# This the rpm spec file for GMT programs
%define name GMT
%define version 4.5.8

Summary: Generic Mapping Tools
Name: %{name}
Version: %{version}
Release: 1%{?_dist_release}
Source0: gmt-%{version}.tar.bz2

License: GPL
Group: Applications/Engineering
URL: http://imina.soest.hawaii.edu/gmt/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: netcdf >= 4.0
Requires: GMT-coastlines
BuildRequires: netcdf-devel >= 4.0
BuildRequires: libXaw-devel

%description
GMT is a free, public-domain collection of ~60 UNIX tools
that allow users to manipulate (x,y) and (x,y,z) data sets
(including filtering, trend fitting, gridding, projecting,
etc.) and produce Encapsulated PostScript File (EPS)
illustrations ranging from simple x-y plots through contour
maps to artificially illuminated surfaces and 3-D perspective
views in black and white, gray tone, hachure patterns, and
24-bit color. GMT supports 25 common map projections plus
linear, log, and power scaling, and comes with support data
such as coastlines, rivers, and political boundaries. 


%package devel
Summary:        Development files for GMT
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the GMT header files and libs.


%prep
%setup -q -n GMT%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/netcdf" \
%configure --enable-shared --disable-flock  --datadir=%{_datadir}/%{name}
make
make suppl
make examples

%install
rm -rf $RPM_BUILD_ROOT
make install-all DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README 
%{_bindir}
%{_includedir}
%{_libdir}/*.so.*
%{_datadir}

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/*.so

%changelog
* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.5.8-1
- update to 4.5.8
- use Source0: gmt-%{version}.tar.bz2 instead of GMT%{version}_src.tar.bz2
- remove Source1: GMT%{version}_share.tar.bz2
- remove Source4: GMT%{version}_suppl.tar.bz2
- remove Source8: GMT%{version}_doc.tar.bz2
- add BuildRequires: libXaw-devel
- add Requires: GMT-coastlines
- create %{name}-devel sub package

* Sat Jan 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.5.1-1
- new upstream release
- remove SOURCE2 (GMT%{version}_man.tar.bz2)
- remove SOURCE3 (GMT%{version}_web.tar.bz2)
- remove SOURCE5 (GMT%{version}_pdf.tar.bz2)
- remove SOURCE6 (GMT%{version}_scripts.tar.bz2)
- remove SOURCE7 (GMT%{version}_tut.tar.bz2)
- remove Patch0 (GMT-conf.patch)
- add SOURCE8 (GMT%{version}_doc.tar.bz2)

* Sat Apr 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.4-0vl1
- new upstream major version

* Sat Apr 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.6-0vl1
- new upstream release
- fix <BTS:435>

* Sat Oct 22 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.4.2-0vl2
- added BuildRequires: netcdf-devel > 3.6
- BTW the changelog of 3.4.2-0vl1 was empty!

* Fri Oct 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.2-0vl1
- initial build

