%define pkg_name    GraphicsMagick
%define pkg_version 1.3.30
%define pkg_release 1%{?_dist_release}

%define quant 16
%define perlm 1


Name:        %{pkg_name}
Summary:     An X application for displaying and manipulating images
Summary(ja): 画像ファイルの表示/処理を行うXのアプリケーション
Version:     %{pkg_version}
Release:     %{pkg_release}

License: MIT License
Group:   Applications/Graphics
URL:     http://www.graphicsmagick.org/
# Source:  ftp://ftp.GraphicsMagick.org/pub/%{name}/%{name}-%{version}.tar.gz
Source:  %{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bzip2-devel
BuildRequires: freetype2-devel >= 2.0.1
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel >= 1.2.5
BuildRequires: libtiff-devel
BuildRequires: lcms-devel
BuildRequires: xz-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
BuildRequires: libtool-ltdl-devel

Requires: bzip2
Requires: freetype2 >= 2.0.1
Requires: libjpeg-turbo
Requires: libpng
Requires: libtiff
Requires: lcms
Requires: libxml2
Requires: xz
Requires: zlib

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much,
more.

GraphicsMagick is one of your choices if you need a program to manipulate
and display images. If you want to develop your own applications
which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

%description -l ja
GraphicsMagick(TM)はXウィンドウシステム用の画像表示/処理ツールです。
GraphicsMagickが読み書き出来る画像形式にはJPEG, TIFF, PNM, GIF, Photo CD
イメージ型式等があります。また画像のリサイズ、回転、シャープ化、減色が
出来ますし、画像に対してイフェクトをかけることも出来ます、変更した画像は
オリジナルと同じ画像形式ででも、異なる画像形式にでも保存することが出来ます。
またGraphicsMagickにはアニメーションGIFや透過GIFの作成、画像の合成、
サムネール画像の作成等々を行うコマンドラインプログラムも含まれています。

画像ファイルの表示/処理を行う為の幾多のプログラムが必要ならば、
GraphicsMagickも選択肢の一つとなるでしょう。
また、GraphicsMagickのコードやAPIを使ったアプリケーションを開発したい場合は、
GraphicsMagick-develパッケージも同時にインストールして下さい。

%package  devel
Summary:     Static libraries and header files for GraphicsMagick app development.
Summary(ja): GraphicsMagickアプリケーション開発用ライブラリ/ヘッダファイル
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
GraphicsMagick-devel contains the static libraries and header files you'll
need to develop GraphicsMagick applications. GraphicsMagick is an image
manipulation program.

If you want to create applications that will use GraphicsMagick code or
APIs, you need to install GraphicsMagick-devel as well as GraphicsMagick.
You do not need to install it if you just want to use GraphicsMagick,
however.
#'

%description devel -l ja
GraphicsMagick-develにはスタティックライブラリとヘッダファイルが収められており、
これらはGraphicsMagickアプリケーションの開発の際に必要となります。
GraphicsMagickは画像処理プログラムです。

GraphicsMagickのコードやAPIを使ったアプリケーションを作りたい場合には、
このGraphicsMagick-develパッケージをGraphicsMagickパッケージと共にインストール
する必要があります。単にGraphicsMagickを使いたいだけならば、
develパッケージはインストールする必要はありません。


%package c++
Summary:     GraphicsMagick Magick++ library (C++ bindings)
Summary(ja): GraphicsMagick Magick++ライブラリ (C++バインディング)
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the GraphicsMagick
graphics manipulation library.

Install GraphicsMagick-c++ if you want to use any applications that use
Magick++.

%description c++
このパッケージにはMagick++ライブラリが収められています。
Magick++とはImageMagickライブラリのC++バインディングです。

Magick++を使ったアプリケーションを利用する際にはImageMagick-c++
パッケージをインストールして下さい。


%package c++-devel
Summary:     C++ bindings for the GraphicsMagick library
Summary(ja): GraphicsMagickライブラリのC++バインディング
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: %{name}-c++ = %{version}
Requires: %{name}-devel = %{version}
Requires: bzip2-devel, freetype-devel
Requires: libjpeg-turbo-devel libpng-devel libtiff-devel
Requires: zlib-devel libxml2-devel

%description c++-devel
GraphicsMagick-c++-devel contains the static libraries and header files you'll
need to develop GraphicsMagick applications using the Magick++ C++ bindings.
GraphicsMagick is an image manipulation program.

If you want to create applications that will use Magick++ code or APIs,
you'll need to install GraphicsMagick-c++-devel, GraphicsMagick-devel and
GraphicsMagick.  You don't need to install it if you just want to use
GraphicsMagick, or if you want to develop/compile applications using the
GraphicsMagick C interface, however.
#'

%description c++-devel -l ja
GraphicsMagick-c++-devel にはMagick++ C++バインディングを使った
GraphicsMagickアプリケーション開発に必要なスタティックライブラリと
ヘッダファイルが収められています。
GraphicsMagickとは画像処理プログラムです。

Magick++コードやAPIを使ったアプリケーションを開発する場合は、
GraphicsMagick-c++-devel、GraphicsMagick-devel、GraphicsMagickパッケージを
インストールする必要があります。
GraphicsMagickプログラムを使うだけの場合、あるいはGraphicsMagick Cインタフェース
を使ってアプリケーション開発を行う場合は，GraphicsMagick-c++-devel パッケージは
インストールする必要はありません。


%if %{perlm}
%package -n perl-GraphicsMagick
Summary:     GraphicsMagick perl bindings
Summary(ja): GraphicsMagickのPerlバインディング
Group: System Environment/Libraries
BuildRequires: perl >= 5.6.0
Requires: %{name} = %{version}-%{release}
Requires: perl >= 5.6.0

%description -n perl-GraphicsMagick
Perl bindings to GraphicsMagick.

Install GraphicsMagick-perl if you want to use any perl scripts that use
GraphicsMagick.

%description -n perl-GraphicsMagick -l ja
このパッケージはGraphicsMagickのPerlバインディングです。

GraphicsMagickを利用するperlスクリプトを使いたい場合は
perl-GraphicsMagickパッケージをインストールして下さい。
%endif


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure} \
    --enable-silent-rules \
    --enable-shared \
    --disable-static \
    --with-modules \
    --with-quantum-depth=%{quant} \
    --without-frozenpaths \
    --with-x \
    --with-magick-plus-plus \
    --without-dps \
    --without-fpx \
    --without-gslib \
    --without-jbig \
    --without-jp2 \
    --without-trio \
    --without-webp \
    --without-wmf \
    --docdir=%{_datadir}/doc/%{name}-%{version} \
%if %{perlm}
    --with-perl \
    --with-perl-options="INSTALLDIRS=vendor %{?perl_prefix} CC='%__cc -L$PWD/magick/.libs' LDDLFLAGS='-shared -L$PWD/magick/.libs'"
%else
    --without-perl \
%endif

%{__make} %{?_smp_mflags}
%if %{perlm}
%{__make} all-perl
%endif

%install
%{make_install}

%if %{perlm}
%{__make} install-exec-perl DESTDIR=${RPM_BUILD_ROOT}
# Remove unpackaged files.
%{__rm} -f `find ${RPM_BUILD_ROOT}%{_libdir}/perl*/ -name perllocal.pod -type f`
%{__rm} -f `find ${RPM_BUILD_ROOT}%{_libdir}/perl*/ -name .packlist -type f`
%endif

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig

%post c++ -p %{_syssbindir}/ldconfig
%postun c++ -p %{_syssbindir}/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/gm
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}Wand.so.*
%{_libdir}/%{name}-%{version}/
%{_datadir}/%{name}-%{version}/config/*.mgk
%{_docdir}/%{name}-%{version}/
%{_mandir}/man1/gm.1.gz
%{_mandir}/man4/*gz
%{_mandir}/man5/*gz

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_bindir}/%{name}Wand-config
%{_includedir}/%{name}/wand/
%{_includedir}/%{name}/magick/
%{_libdir}/lib%{name}.*a
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}Wand.*a
%{_libdir}/lib%{name}Wand.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}Wand.pc
%{_mandir}/man1/%{name}-config.1.gz
%{_mandir}/man1/%{name}Wand-config.1.gz

%files c++
%defattr(-,root,root)
%{_libdir}/lib%{name}++.so.*

%files c++-devel
%defattr(-,root,root)
%{_bindir}/%{name}++-config
%{_includedir}/%{name}/Magick++.h
%{_includedir}/%{name}/Magick++/
%{_libdir}/lib%{name}++.*a
%{_libdir}/lib%{name}++.so
%{_libdir}/pkgconfig/%{name}++.pc
%{_mandir}/man1/%{name}++-config.1.gz

%if %{perlm}
%files -n perl-GraphicsMagick
%defattr(-,root,root)
%{_libdir}/perl*/vendor_perl/
%{_mandir}/man3/*gz
%endif


%changelog
* Sun Oct 07 2018 Toshiaki Ara <ara_t@384.jp> 1.3.30-1
- update to 1.3.30

* Mon Jun 04 2018 Toshiaki Ara <ara_t@384.jp> 1.3.29-1
- update to 1.3.29

* Tue Jun 28 2016 Toshiaki Ara <ara_t@384.jp> 1.3.24-2
- rebuild with gcc-5.4.0

* Sun Jun 19 2016 Toshiaki Ara <ara_t@384.jp> 1.3.24-1
- update to 1.3.24

* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 1.3.23-2
- correct SPEC file

* Wed Mar 16 2016 Toshiaki Ara <ara_t@384.jp> 1.3.23-1
- new package for Vine Linux

* Fri Apr 16 2010 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.3.13
- Avoided duplicate copies of documentation files.  Put documentation
  into a versioned directory as used by Red Hat and CentOS.  Include
  archive libraries in developer package.

* Tue Apr 13 2010 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.3.13
- Fixed PerlMagick build and install which was broken by Makefile
  changes.

* Wed Jan 23 2009 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.3
- The module .la files need to be installed as part of the base
  install or else the modules will fail to load.

* Wed Jan 21 2009 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.3
-  --enable-lzw option is not longer needed

* Tue Nov 11 2008 Giacomo Tenaglia 1.3 <gtenagli at sf . net>.
- The *-config scripts were listed twice.
- Add definition for %{_datadir}/doc directory

* Wed Jun 02 2004 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.2
- Install *-config scripts with mode 755 rather than default 644.

* Sat Feb 21 2004 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.1-1
- Added some comments.
- Eliminated DATE variable.
- Support creating RPMs of snapshots packages.
- Don't remove /usr/include/magick or %{_datadir}/%{name} since they
  are not created anymore.
- Fixed location of .mgk files.

* Mon Jul 28 2003 Bob Friesenhahn <bfriesen@graphicsmagick.org> 1.1-1
- Changed default quantum depth to 8 bits.

* Mon Jun 28 2003 Troy Edwards <vallimar@sexorcisto.net> 1.1-20030628
- Updated to CVS build, added the GraphicsMagickWand files to the spec.
- Only try to remove the unneeded perl package files if we are using
  PerlMagick.

* Mon Jun 09 2003 Troy Edwards <vallimar@sexorcisto.net> 1.0.2-3
- removed libungif as a dependancy
- changed with/without-magick_plus_plus -> with/without-magick-plus-plus
- Use --with-perl-options instead of patching Makefile.in
- Only set a perl prefix if we aren't using perl >= 5.8.0

* Sat Jun 07 2003 Troy Edwards <vallimar@sexorcisto.net> 1.0.2-2
- patch to pass DESTDIR to install-exec-perl since some users
  reported problems

* Sat Jun 07 2003 Troy Edwards <vallimar@sexorcisto.net> 1.0.2-1
- updated to 1.0.2

* Tue May 05 2003 Troy Edwards <vallimar@sexorcisto.net> 1.0-1
- updated to 1.0 Final

* Fri Apr 25 2003 Troy Edwards <vallimar@sexorcisto.net> 1.0-Beta1-1
- updated to 1.0-Beta1

* Mon Oct 22 2002 Troy Edwards <vallimar@sexorcisto.net>
- updated to 1.0.0pre

