Summary: Library for reading RAW files obtained from digital photo cameras
Summary(ja): デジタルカメラから取り込んだ RAW ファイルを読むためのライブラリ
Name: LibRaw017
Version: 0.17.2
Release: 2%{?_dist_release}
License: LGPLv2 or CDDL or LibRaw Software License
Group: System Environment/Libraries
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc libtool make
BuildRequires: lcms2-devel
BuildRequires: jasper-devel

Source0: http://www.libraw.org/data/LibRaw-%{version}.tar.gz

Vendor: Project Vine
Distribution: Vine Linux

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.


%prep
%setup -q -n LibRaw-%{version}

perl -pi -e 's/powf64/libraw_powf64l/' \
	dcraw/dcraw.c \
	internal/dcraw_common.cpp \
	libraw/libraw_const.h \
	src/libraw_cxx.cpp

%build
# This is not the autotools generated configure script
CFLAGS="%{optflags} -Wno-narrowing" \
CXXFLAGS="%{optflags} -Wno-narrowing" \
sh configure --prefix=/usr --disable-examples \
 --disable-demosaic-pack-gpl2 --disable-demosaic-pack-gpl3 \
 --enable-lcms --enable-jasper
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cp -pr doc manual
cp -pr doc manual
chmod 644 LICENSE.CDDL LICENSE.LGPL COPYRIGHT Changelog.*
chmod 644 manual/*.html

# The Libraries
#make install DESTDIR=%{buildroot} LIBDIR=%{_lib}
%makeinstall

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/libraw
rm -rf %{buildroot}%{_includedir}/libraw
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/pkgconfig/*.pc
rm -f %{buildroot}%{_libdir}/*.a


%files
%defattr(-,root,root,-)
%license LICENSE.CDDL LICENSE.LGPL COPYRIGHT
%doc Changelog.txt
%{_libdir}/*.so.*


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sun Sep 08 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.17.2-2
- changed %%name for backward compatibility.

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.17.2-1
- new upstream release.

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.16.0-1
- new upstream release

* Sat Jan 18 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.15.4-1
- new upstream release

* Sun May 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.8-1
- new upstream release

* Fri Jun 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.7-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.14.6-1
- new upstream release
- change BuildRequires: lcms2-devel instead of lcms-devel

* Sun Jan 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.5-1
- new upstream release

* Sat Dec 17 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.4-1
- new upstream release

* Fri Dec 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.14.3-1
- new upstream release
- added BuildRequires: jasper-devel
- fixed configure option
  - deleted --enable-shared=no, --enable-static=no
  - added --enable-jasper
- fixed %%files in -devel
- run ldconfig in %%post, %%postun

* Thu Jun 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-3
- added BuildRequires: lcms-devel
- added configure option --enable-lcms

* Sun Jun 05 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-2
- added BuildRequires: gcc libtool make
- fixed %%install
- deleted library archive
- fixed %%doc in -devel package

* Sat Jun 04 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.5-1
- new upstream release
- dropt Patch0
- fixed configure option
- fixed %%files
- splitted -static package

* Mon Dec 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.3-1
- new upstream release
- added License: LibRaw Software License
- dropt patch1,2
- replaced patch0 by Fedora development patch

* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.10.0-1
- new upstream release

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.1-1
- initial build for VineSeed

* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package
