%define fontname takaofont
%define _fontdir %{_datadir}/fonts/OpenType-%{fontname}

Name:             OpenType-%{fontname}
Summary:          Takao Fonts - community developed derivatives of IPA Fonts
Summary(ja):      IPA フォントの派生版 Takao フォント
Version:          15.03
Release:          1%{?_dist_release}
License:          IPA Font License v1.0
Group:            User Interface/X
URL:              https://launchpad.net/takao-fonts

Source0:          TakaoFonts_00303.01.tar.xz
Source1:          TakaoExFonts_00201.01.tar.xz
Source2:          TakaoMjFonts_00301.01.tar.xz

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildArch:        noarch

Requires: OpenType-%{fontname}-mincho = %{version}
Requires: OpenType-%{fontname}-gothic = %{version}
Requires: OpenType-%{fontname}-doc

%description
Takao Fonts are a community developed derivatives of IPA Fonts. 
The main purpose of this project is to secure the possibility
to maintain the fonts by the community.

This package is meta package to install Mincho and Gothic.

%description -l ja
Takao フォントは IPA フォントの派生版であり、
コミュニティによって開発されています。
本プロジェクトの主目的は、コミュニティによるフォントのバグ修正と
改善の可能性を確保することです。

このパッケージは明朝、ゴシック両書体をインストールするためのメタパッケージです。

#-- 明朝
%package mincho
Summary: Takao Fonts (Mincho)
Summary(ja): Takao フォント（明朝体）
Group: User Interface/X
Requires: OpenType-%{fontname}-doc

%description mincho
This package includes Takao Fonts (Mincho).

- Takao Mincho
- Takao PMincho
- TakaoEx Mincho
- TakaoMj Mincho

%description -l ja mincho
このパッケージには Takao フォントの明朝体フォントが含まれています。

- Takao 明朝
- Takao P明朝
- TakaoEx 明朝
- TakaoMj 明朝

#-- ゴシック
%package gothic
Summary: Takao Fonts (Gothic)
Summary(ja): Takao フォント（ゴシック体）
Group: User Interface/X
Requires: OpenType-%{fontname}-doc

%description gothic
This package includes Takao Fonts (Gothic).

- Takao Gothic
- Takao PGothic
- TakaoEx Gothic

%description -l ja gothic
このパッケージには Takao フォントのゴシック体フォントが含まれています。

- Takao ゴシック
- Takao Pゴシック
- TakaoEx ゴシック

%package doc
Summary: %{name} Fonts Documents
Summary(ja): %{name} フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Takao Fonts
includes enduser license.

%description -l ja doc
このパッケージには Takao フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -n %{name}-%{version} -a 1 -a 2

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a Takao{,Ex,Mj}Font*/*.ttf $RPM_BUILD_ROOT%{_fontdir}

%post mincho
%__font_install_post %{_fontdir}

%post gothic
%__font_install_post %{_fontdir}

%postun mincho
%__font_install_postun %{_fontdir}

%postun gothic
%__font_install_postun %{_fontdir}

%files

%files mincho
%{_fontdir}/TakaoMincho.ttf
%{_fontdir}/TakaoMjMincho.ttf
%{_fontdir}/TakaoPMincho.ttf
%{_fontdir}/TakaoExMincho.ttf

%files gothic
%{_fontdir}/TakaoGothic.ttf
%{_fontdir}/TakaoPGothic.ttf
%{_fontdir}/TakaoExGothic.ttf

%files doc
%doc TakaoFonts_00303.01/IPA_Font_License_Agreement_v1.0.txt
%doc TakaoFonts_00303.01/README
%doc TakaoFonts_00303.01/README.ja
%doc TakaoFonts_00303.01/ChangeLog

%changelog
* Thu Apr 28 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 15.03-1
- new upstream release
  - changed numbering and included fonts
    - TakaoFonts
    - TakaoExFonts
    - TakaoMJFonts
- deleted BuildRequires: unzip

* Sun Jan 12 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 3.02.01-3
- rebuilt with gcc-4.8

* Sat Jul 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.02.01-2
- fixed typo in changelog

* Sun Mar 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.02.01-1
- new upstream release
- improved description

* Wed Feb 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.01.20100214.1-1
- new upstream release

* Fri Feb 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.01.20100207.1-2
- fixed meta package requires

* Wed Feb 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.01.20100207.1-1
- initial build for VineSeed
