%define pkg_name littler
%define pkg_version 0.3.9
%define pkg_release 2%{?_dist_release}

Summary:     GNU R script language and command-line frontend
Summary(ja): GNU R スクリプト言語およびコマンドラインフロントエンド
Name:        R-%{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2+
Group:   Applications/Edutainment
URL:     https://cran.ism.ac.jp/
Source0: https://cran.ism.ac.jp/src/contrib/%{pkg_name}_%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: R
BuildRequires: zlib-devel bzip2-devel
BuildRequires: libicu-devel
BuildRequires: xz-devel

BuildRequires: pcre-devel
%if %{?_dist_release} >= "vl7"
BuildRequires: pcre2-devel
%endif

Requires: R

Obsoletes: littler

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
littler provides hash-bang (i.e. script starting with #!/some/path)
capability for GNU R, as well as simple command-line and piping use.

%description -l ja
'r' (別名 'littler') プログラムは統計計算およびグラフィック向けの
GNU R言語環境 への軽量なバイナリラッパーを提供します。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/R/site-library
R CMD INSTALL %{_sourcedir}/%{pkg_name}_%{version}.tar.gz \
              -l ${RPM_BUILD_ROOT}%{_libdir}/R/site-library

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

cd ${RPM_BUILD_ROOT}
%{__ln_s} %{_libdir}/R/site-library/%{pkg_name}/bin/r usr/bin

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/R/site-library


%changelog
* Sun Mar 01 2020 Toshiaki Ara <ara_t@384.jp> 0.3.9-2
- rebuild under R-3.6.3

* Mon Nov 04 2019 Toshiaki Ara <ara_t@384.jp> 0.3.9-1
- update 0.3.9

* Sun Oct 13 2019 Toshiaki Ara <ara_t@384.jp> 0.3.8-2
- rebuild with icu-65

* Mon Jun 10 2019 Toshiaki Ara <ara_t@384.jp> 0.3.8-1
- update 0.3.8

* Tue May 21 2019 Toshiaki Ara <ara_t@384.jp> 0.3.7-4
- fix missing %%{_bindir}/r

* Mon May 20 2019 Toshiaki Ara <ara_t@384.jp> 0.3.7-3
- move library to %%{_lib64}/R/site-library

* Sat Apr 27 2019 Toshiaki Ara <ara_t@384.jp> 0.3.7-2
- rebuild under R-3.6.0

* Sat Mar 16 2019 Toshiaki Ara <ara_t@384.jp> 0.3.7-1
- update 0.3.7

* Sun Jan 27 2019 Toshiaki Ara <ara_t@384.jp> 0.3.6-1
- update 0.3.6

* Fri Dec 21 2018 Toshiaki Ara <ara_t@384.jp> 0.3.5-2
- rebuild under R-3.5.2

* Sun Oct 07 2018 Toshiaki Ara <ara_t@384.jp> 0.3.5-1
- update 0.3.5

* Tue Aug 28 2018 Toshiaki Ara <ara_t@384.jp> 0.3.4-1
- update 0.3.4
- add BuildRequires: pcre2-devel for VineSeed

* Sat May 05 2018 Toshiaki Ara <ara_t@384.jp> 0.3.3-3
- rebuild under R-3.5.0

* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 0.3.3-2
- rebuild under icu-60.2

* Mon Dec 25 2017 Toshiaki Ara <ara_t@384.jp> 0.3.3-1
- update 0.3.3

* Tue Apr 11 2017 Toshiaki Ara <ara_t@384.jp> 0.3.2-1
- update 0.3.2
- add BuildRequires for Vine6
  - xz-devel pcre-devel

* Sun Aug 07 2016 Toshiaki Ara <ara_t@384.jp> 0.3.1-1
- update 0.3.1

* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-2
- correct SPEC file

* Wed Jan 27 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-1
- rename package from littler to R-littler
- add Obsoletes: littler

* Tue Jan 26 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-1
- update 0.3.0

* Tue Dec 03 2013 Toshiaki Ara <ara_t@384.jp> 0.1.5-1
- new package
