%define pkg_name rgl
%define pkg_version 0.95.1441
%define pkg_release 3%{?_dist_release}

Summary: GNU R package - rgl: 3D Visualization Using OpenGL
Name:    R-%{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2 or 3
Group:   Applications/Edutainment
URL:     https://cran.ism.ac.jp/
Source0: https://cran.ism.ac.jp/src/contrib/%{pkg_name}_%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: R >= 2.15.0
BuildRequires: xorg-x11-devel
BuildRequires: freeglut-devel
BuildRequires: libpng-devel
Requires: R >= 2.15.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Provides medium to high level functions for 3D interactive graphics,
including functions modelled on base graphics (plot3d(), etc.)
as well as functions for constructing representations of
geometric objects (cube3d(), etc.).
Output may be on screen using OpenGL, or to various standard 3D file formats
including WebGL, PLY, OBJ, STL
as well as 2D image formats, including PNG, Postscript, SVG, PGF.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/R/library
R CMD INSTALL %{_sourcedir}/%{pkg_name}_%{version}.tar.gz \
              -l ${RPM_BUILD_ROOT}%{_libdir}/R/library

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_libdir}/R/library


%changelog
* Tue Jun 28 2016 Toshiaki Ara <ara_t@384.jp> 0.95.1441-3
- rebuild with gcc-5.4.0

* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.95.1441-2
- correct SPEC file

* Thu Jan 28 2016 Toshiaki Ara <ara_t@384.jp> 0.95.1441-1
- new package
