Summary: Simple DirectMedia Layer
Name: SDL
Version: 1.2.15
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://www.libsdl.org/
Source0: http://www.libsdl.org/release/%{name}-%{version}.tar.gz

Patch0:	SDL-1.2.15-const-xdata32.patch

BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libXrandr-devel
BuildRequires: mesa-libGL-devel
BuildRequires: alsa-lib-devel, arts-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: libusb-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

%description -l ja
このパッケージはSimple DirectMedia Layerであり、複数のプラットホーム間の
オーディオ、キーボード、マウスやディスプレイフレームバッファにlow level
アクセスするための一般的なAPIです。

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

This is the libraries, include files and other resources you can use
to develop SDL applications.

%description devel -l ja
このパッケージはSimple DirectMedia Layerであり、複数のプラットホーム間の
オーディオ、キーボード、マウスやディスプレイフレームバッファにlow level
アクセスするための一般的なAPIです。

このパッケージはSDLアプリケーションを開発するために使用されるincludeファイルや
その他リソースを含んでいます。

%prep
%setup -q 
%patch0 -p1
sed -i "s|.*AM_PATH_ESD.*||" configure.in

%build
aclocal
libtoolize --force --copy
autoconf
%configure \
	--disable-video-svga --disable-video-ggi --disable-video-aalib \
	--disable-video-directfb --disable-video-ps3 \
	--disable-debug \
	--enable-dlopen \
	--enable-arts-shared \
	--enable-esd-shared \
	--enable-alsa-shared \
	--enable-sdl-dlopen \
	--disable-rpath
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README README-SDL.txt COPYING CREDITS BUGS WhatsNew docs.html
%doc docs/index.html docs/html
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/SDL/
%{_mandir}/man3/*
%{_datadir}/aclocal/*

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.15-2
- rebuild with VineSeed environment
- add Patch0 (SDL-1.2.15-const-xdata32.patch)

* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.15-1
- new upstream release
- remove old patches
- add BuildRequires; libusb-devel
- remove BuildRequires; esound-devel

* Sat Sep 25 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.14-2
- add "--disable-video-ps3"

* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.14-1
- new upstream release
- update prefer sound daemons patch (Patch1)
- drop unnecessary libdir patch (Patch2)
 - stop running "aclocal" and "autoconf"
- add BuildRequires: pulseaudio-libs-devel
- remove *.a

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.13-2vl5
- spec in utf-8
- remove *.la

* Sat Apr  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.13-1vl5
- new upstream release
- updated Patch3

* Tue Jul 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.12-0vl1
- new upstream release
- remove obsolete Patch10 which is merged in upstream

* Wed Jul 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.11-0vl3
- update Patch10 to add missing X11 symbols for X11 dynamic loading.

* Fri Jul 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.11-0vl2
- add Patch10 to support XIM on SDL-X11
  (see http://bugzilla.libsdl.org/show_bug.cgi?id=429)

* Thu Dec 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.11-0vl1
- new upstream release
- update byteorder.patch (patch0), prefersounddaemons.patch (patch1)
- drop c++.patch (patch2), no_rpath.patch (patch5), x86_64.patch (patch7)
- import libdir.patch (patch2) from FC
- update %%configure options:
  - add '--disable-video-directfb --disable-rpath --enable-sdl-dlopen'
  - add '--enable-{esd,arts,alsa}-shared'
  - drop '--enable-xfree86-glidehack'
- add *.pc to SDL-devel package
- add BuildRequires: {XOrg,XOrg-gl,alsa-lib,esound,arts}-devel
- add Requires: pkgconfig to -devel package

* Tue Oct 10 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.8-0vl2
- fixed x86_64 endian problem with x86_64 patch

* Sat Mar 19 2005 Satoshi MACHINO <machino@vinelinux.org> 1.2.8-0vl1
- new upstream version
	-- dropped patch4 and patch6

* Fri Sep 10 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.7-0vl2
- rebuilt without alsa-lib (sorry, ppc.rpm had dependencies with alsa-lib)

* Mon May 03 2004 Satoshi MACHINO <machino@vinelinux.org> 1.2.7-0vl1
- new upstream version
	-- dropped patch3
	-- added patch4,5,6 from fedora
- added Japanese description

* Mon May 05 2003 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl2
- changed configure option
	-- --disable-arts --enable-dlopen 
- added BuildPrereq:   automake autoconf libtool
- added some patches from rawhide SDL-1.2.5-3
	-- SDL-1.2.3-prefersounddaemons.patch
	-- SDL-1.2.3-c++.patch
	-- SDL-1.2.5-dgavideo-modes.patch
- didn't to use libtool/config.{sub,guess}, autogen.sh


* Sun Oct 13 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl1
- new upstream version.

* Tue Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.4-0vl1
- updated SDL-1.2.4

* Thu Jan 10 2002 akira yamada <akira@vinelinux.org> 1.2.3-0vl1
- new upstream version.

* Mon Aug 27 2001 Shoji Matsumoto <shom@vinelinux.org> 1.2.2-0vl2
- rebuild on current Seed

* Sat Aug 18 2001 Toru Sagami <sagami@vinelinux.org>
- 1.2.2-0vl1: updated to 1.2.2 with better macros

* Wed Jan 19 2000 Sam Lantinga <slouken@libsdl.org>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure 
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.

# end of file
