Summary:	SDL_perl - Simple Direct Media Layer for Perl
Summary(ja): 	SDL_perl - Perl 用 SDL(Simple DirectMedia Layer) モジュール
Name:		SDL_perl
Version:	2.2.6
Release: 	3%{?_dist_release}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DG/DGOEHRIG/SDL_Perl-v%{version}.tar.gz
License:	Artistic and GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/SDL_Perl/

Requires:	perl
BuildRequires:	perl, perl-Module-Build >= 0.22
BuildRequires:	SDL-devel >= 1.2.6, smpeg-devel >= 0.4.4
BuildRequires:	SDL_image-devel >= 1.2.2, SDL_gfx-devel >= 2.0.3
BuildRequires:	SDL_mixer-devel >= 1.2.5, SDL_ttf-devel >= 2.0.5
BuildRequires:	SDL_net-devel >= 1.2.4
BuildRequires:	perl-YAML
BuildRequires:	libGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
SDL_perl is a package of perl modules that provides both
functional and object orient interfaces to the Simple DirectMedia
Layer for Perl 5.

%description -l ja
SDL_perl は、Perl 5 に SDL (Simple DirectMedia Layer) 用の機能
とオブジェクト指向のインターフェースを提供する、Perl モジュール
のパッケージです。


%prep

%setup -q -n SDL_Perl-v%{version}
# apply patch from CPAN bug report #19155

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Build.PL installdirs=vendor
./Build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
./Build install destdir=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYING MANIFEST README TODO
%{perl_vendorarch}/SDL.pm
%{perl_vendorarch}/SDL/*
%{perl_vendorarch}/SDL_perl.pm
%{perl_vendorarch}/auto/SDL/*
%{perl_vendorarch}/auto/SDL_perl/*
%{_mandir}/man3/SDL.3pm*
%{_mandir}/man3/SDL::*


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.6-3
- rebuild with VineSeed environment

* Sat Jun 18 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 2.2.6-2
- rebuild with perl-5.12.3

* Thu Dec 30 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.6-1
- new upstream release
- remove Patch0
- add BuildRequires: perl-YAML, libGLU-devel

* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 2.1.2-2
- spec in utf-8

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Mar 26 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.1.2-0vl1
- initial build for Vine Linux
