Summary: Programs which control basic system processes.
Summary(ja): 基本的なシステムプロセスを制御するプログラム
Name: SysVinit
Version: 2.88dsf
Release: 5%{_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: GPLv2+
URL: http://savannah.nongnu.org/projects/sysvinit/
Source: http://download.savannah.gnu.org/releases/sysvinit/sysvinit-%{version}.tar.bz2
Patch1: sysvinit-2.78-man.patch
Patch2: sysvinit-2.86-autofsck.patch
Patch3: sysvinit-2.86-loginshell.patch
Patch4: sysvinit-2.86-inittab.patch
Patch5: sysvinit-2.86-single.patch
Patch6: sysvinit-2.88-quiet.patch
Patch14: sysvinit-2.88-ipv6.patch
Patch15: sysvinit-2.88-omit.patch
Patch16: sysvinit-2.88-wall-maxlines.patch
Patch17: sysvinit-2.88-wall-broadcast-message.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pam >= 0.66-5
Requires: %{name}-tools = %{version}-%{release}
Requires: filesystem
Requires: util-linux >= 2.30.1

%description
The SysVinit package contains a group of processes that control
the very basic functions of your system. SysVinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

%description -l ja
SysVinit パッケージには，システムの非常に基本的な機能を制御する
プロセスが収められています．例えば，システム起動時に Linux カーネルに
よって最初に起動されるプログラムである init 等です．init はその後
システムの起動や，他のプログラムの起動/終了を制御します．


%package tools
Summary: Tools used for process management.
Summary(ja): プロセス管理に使用するツール
Group: system
Requires: util-linux >= 2.30.1
Requires: procps >= 3.3.17

%description tools
The sysvinit-tools package contains various tools used for process
management.

$description -l ja tools
SysVinit-tools パッケージにはプロセス管理に使用するさまざまなツール
が含まれています。


%debug_package


%prep
%setup -q -n sysvinit-%{version}
# We use a shell, not sulogin. Other random man fixes go here (such as #192804)
%patch1 -p1 -b .manpatch
# Unlink /.autofsck on shutdown -f
%patch2 -p1 -b .autofsck
# Invoke single-user shell as a login shell (#105653)
%patch3 -p1 -b .loginshell
# Adjust examples in inittab(5) to more accurately reflect RH/Fedora
# usage (#173572)
%patch4 -p1 -b .inittabdocs
# Fix single user mode (#176348)
%patch5 -p1 -b .single
# Be less verbose when booted with 'quiet'
%patch6 -p1 -b .quiet
# Change accepted ipv6 addresses (#573346)
%patch14 -p1 -b .ipv6
# Add option to pidof to exclude similar processes to omitted processes (#632321)
%patch15 -p1 -b .omit
# Fix counting MAXLINES in wall
%patch16 -p1 -b .maxlines
# Raise limit for broadcast message
%patch17 -p1 -b .broadcast

# for newer glibc.
sed -i -e '/stat.h/a #include <sys/sysmacros.h>' src/mountpoint.c
sed -i -e '/utsname.h/a #include <sys/sysmacros.h>' src/bootlogd.c


%build
make %{?_smp_mflags} CC=%{__cc} CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS="-lcrypt" -C src


%install
rm -rf $RPM_BUILD_ROOT
for I in bin sbin %{_bindir} %{_mandir}/man{1,3,5,8} etc var/run dev %{_includedir}; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
make -C src ROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} STRIP=/bin/true \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

rm -f $RPM_BUILD_ROOT/bin/pidof
ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof
rm -f $RPM_BUILD_ROOT/sbin/bootlogd
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/bootlogd*
chmod 755 $RPM_BUILD_ROOT/usr/bin/utmpdump

# Remove these files, as we use upstart as /sbin/init.
rm -f $RPM_BUILD_ROOT/sbin/{halt,init,poweroff,reboot,runlevel,shutdown,telinit}
rm -f $RPM_BUILD_ROOT/%{_includedir}/initreq.h
rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/{halt,init,poweroff,reboot,runlevel,shutdown,telinit}*

# /sbin/fstab-decode is part of initscripts
rm -f $RPM_BUILD_ROOT/sbin/fstab-decode
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fstab-decode.8

# /bin/mountpoint is part of util-linux >= 2.20
rm -f $RPM_BUILD_ROOT/bin/mountpoint
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/mountpoint.*

# utmpdump and sulogin is part of util-linux >= 2.22
rm -f $RPM_BUILD_ROOT%{_bindir}/utmpdump
rm -f $RPM_BUILD_ROOT/sbin/sulogin
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/utmpdump.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/sulogin.*

# pidof is part of procps >= 3.3.17
rm -f $RPM_BUILD_ROOT/sbin/pidof
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/pidof*

rm -f $RPM_BUILD_ROOT%{_bindir}/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/*


%post
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] && /sbin/telinit u
exit 0


%clean
rm -rf $RPM_BUILD_ROOT


%files tools
%defattr(-,root,root)
%license COPYRIGHT
%doc doc/Changelog
/sbin/killall5
%{_mandir}/man8/killall5*


%changelog
* Fri Oct 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.88dsf-5
- removed pidof which is part of procps >= 3.3.17.

* Sat Sep 09 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.88dsf-4
- removed last,lastb,mesg and wall which is part of util-linux = 2.30.

* Tue Nov 27 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.88dsf-3
- remove sulogin and utmpdump which are part of util-linux >= 2.22

* Tue Feb 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.88dsf-2
- remove mountpoint which is part of util-linux >= 2.20

* Fri Jun 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.88dsf-1
- update to 2.88dsf
- only build -tools subpackage

* Fri Apr 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.87dsf-1
- new upstream release (2.87dsf)
- remove upstreamed or obsoleted patches
- split off a -tools subpackage to avoid upstart conflicts

* Mon Aug 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.86-1
- new upstream release

* Thu Jul 06 2006 Shu KONNO <owa@bg.wakwak.com> 2.85-5vl3
- add script to create $RPM_BUILD_ROOT/bin in %%install section

* Wed Dec 10 2003 <tkoba@vinelinux.org> 2.85-5vl2
- install initreq.h

* Fri Nov 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.85-5vl1
- new upstream release
- merged with fedora package.
  * Tue Jul 17 2001 <sagami@vinelinux.org>
  - 2.78-10vl3: fix orphan symlink in %%doc
  * Tue Jan 23 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 2.78-10vl1
  - rebuilt under new %%{_mandir} definition
  - added Japanese summary and description
  * Sat Nov 18 2000 Satoshi MACHINO <machino@vinelinux.org> 2.78-10vl1
  - build with gcc-2.95.3
  - partially used rpmmacros

* Mon Sep 22 2003 Bill Nottingham <notting@redhat.com> 2.85-5
- add change_console, for changing console used by init

* Wed Jun 25 2003 Bill Nottingham <notting@redhat.com> 2.85-4
- block signals when calling syslog() (#97534, <joden@lee.k12.nc.us>)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Bill Nottingham <notting@redhat.com> 2.85-2
- clean up killall5 some

* Thu May 22 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.85, remove already applied patches

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 2.84-13
- fix s390x build
- fix silly warning (#83943)

* Mon Feb 10 2003 Arjan van de Ven <arjanv@redhat.com>
- fix wait() handling wrt setting SIGCHLD to SIG_IGN in shutdown
- fix segfault in spawn() function in shutdown

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 05 2002 Elliot Lee <sopwith@redhat.com> 2.84-7
- Pass __cc macro to build, to facilitate cross-compiling
- _smp_mflags

* Mon Dec  2 2002 Bill Nottingham <notting@redhat.com> 2.84-6
- rebuild on all arches
- change sulogin message to be slightly more correct (#65828)

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com>
- don't strip binaries
- have wall not write to non-ttys (#65412)
- update usage for halt/reboot (#57753)
- allow '-t' argument to last for checking state at certain times (#56863)
- make 'pidof /foo/bar' not match /baz/bar (#53918)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 12 2002 Bill Nottingham <notting@redhat.com> 2.84-2
- add patch to log messages on shutdown/reboot

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com> 2.84-1
- update to 2.84

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Nov  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.79-2
- Fix pidof -o (#55954)
- Handle RPM_OPT_FLAGS
- s/Copyright/License/

* Mon Sep 17 2001 Bill Nottingham <notting@redhat.com>
- update to 2.79

* Tue Aug 28 2001 Bill Nottingham <notting@redhat.com>
- unlink /.autofsck on shutdown -f

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jun 21 2001 Bill Nottingham <notting@redhat.com>
- update 'no logout' patch
- fix setting of CREAD to work with 2.4.3+ kernels (#45284)

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- show users with no login pid but no logout record as gone (#42550,
  <cwolf@starclass.com>)
- fix sulogin to *always* work without a tty (#40934)

* Tue Apr  3 2001 Bill Nottingham <notting@redhat.com>
- set umask 022 on startup
- manpage tweaks (#21628, #27173)

* Mon Apr  2 2001 Bill Nottingham <notting@redhat.com>
- fix dangling symlink in %%doc (#34383)

* Thu Mar 15 2001 Bill Nottingham <notting@redhat.com>
- don't run telinit u if we don't appear to be on the root fs

* Fri Feb 16 2001 Bill Nottingham <notting@redhat.com>
- run telinit u on upgrade

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- document '-n' option to wall, make it root-only (#18672)
- don't open files in sulogin unless they're really ttys (#21862)

* Tue Aug  8 2000 Bill Nottingham <notting@redhat.com>
- set SHLVL in sulogin so /etc/profile.d stuff isn't run by default

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- fix the md5 code (#11534)
- rebuild for FHS & the like

* Wed Apr 19 2000 Bill Nottingham <notting@redhat.com>
- ignore sigint in sulogin (#9803)
- touch file in root directory if powering off (#7318)

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- update to 2.78-final

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- build to fix dependency problem

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 2.78

* Mon Sep 06 1999 Jakub Jelinek <jj@ultra.linux.cz>
- on big endian machines use a kludge for broken pam md5 passwords

* Fri Aug 27 1999 Bill Nottingham <notting@redhat.com>
- update to 2.77

* Tue Jul 06 1999 Bill Nottingham <notting@redhat.com>
- move pam_console stuff to usermode package

* Fri Jul 02 1999 Cristian Gafton <gafton@redhat.com>
- requires usermode to express the dependency on /usr/bin/consolehelper
(#2813)

* Wed Jun 23 1999 Bill Nottingham <notting@redhat.com>
- make man page references to single-user mode consistent with RH usage

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- remove /etc/initlvl compatibility symlink from file list (#2236).

* Fri Mar 26 1999 Michael Johnson <johnsonm@redhat.com>
- pam.d files marked noreplace
- added poweroff as a console application

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- marked config files as such in consolehelper part of filelist

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Fri Mar 19 1999 Michael Johnson <johnsonm@redhat.com>
- consolehelper support

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- poweroff symlink not included (problem #762)

* Thu Jul 09 1998 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Fix a securelevel releated security hole. Go on, try and break append
  only files + securelevel now ;-)

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown.
- compile around missing SIGPWR on sparc

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.74
- fixed the package source url... (yeah, it was wrong !)

* Wed Oct 1 1997 Cristian Gafton <gafton@redhat.com>
- fixed the MD5 check in sulogin (128 hash bits encoded with base64 gives
  22 bytes, not 24...). Fix in -md5.patch

* Thu Sep 11 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- /etc/initrunlvl gets linked to /tmp/init-root/var/run/initrunlvl which is
  just plain wrong..
- /usr/bin/utmpdump was missing in the files section, although it was
  explicitly patched into PROGS.
- added attr's to the files section.
- various small fixes.

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.71
- built against glibc 2.0.4

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added sulogin.8 man page to file list.
