%define _fontdir %{_datadir}/fonts/TrueType-cwtex

%define _name TrueType-cwTeX
%define archivename cwttf
%define _version v1.0

%define fontdir_base %{_fontdir}/baseline/
%define fontdir_center %{_fontdir}/center/

Name: TrueType-cwtex
Version: 1.0
Release: 3%{?_dist_release}
Summary: cwTeX TrueType Fonts
Summary(ja): cwTeX TrueType フォント
Group: User Interface/X
License: GPLv2+
URL: http://cle.linux.org.tw/fonts/cwttf/
Source: %{archivename}-%{_version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{_version}-root

Requires: TrueType-cwtex-baseline = %{version}
Requires: TrueType-cwtex-baseline-doc = %{version}
Requires: TrueType-cwtex-center = %{version}
Requires: TrueType-cwtex-center-doc = %{version}

%description
cwTeX TrueType fonts are transformed fonts
from cwTeX Traditional Chinese Type 1 fonts.

%description -l ja	
cwTeX TrueType フォントは cwTeX 繁体字中国語の
Type1 フォントから変換したフォントです。
このパッケージは baseline, center 両パッケージを
インストールするためのメタパッケージです。

#for baseline section start
%package baseline
Summary: cwTeX TrueType Fonts (baseline)
Summary(ja): cwTeX TrueType フォント (baseline)
Group: User Interface/X
BuildArch: noarch
Requires: TrueType-cwtex-baseline-doc

%description baseline
cwTeX TrueType Fonts are transformed from
cwTeX Traditional Chinese Type 1 fonts.
This package contains baseline fonts.

%description -l ja baseline
cwTeX TrueType フォントは cwTeX 繁体字中国語の
Type1 フォントから変換したフォントです。
このパッケージは baseline フォントを含んでいます。

#for center section start
%package center
Summary: cwTeX TrueType Font (center)
Summary(ja): cwTeX TrueType フォント (center)
Group: User Interface/X
BuildArch: noarch
Requires: TrueType-cwtex-center-doc

%description center
cwTeX TrueType Fonts are transformed from
cwTeX Traditional Chinese Type 1 fonts.
This package contains center fonts.

%description -l ja center
cwTeX TrueType フォントは cwTeX 繁体字中国語の
Type1 フォントから変換したフォントです。
このパッケージは center フォントを含んでいます。

%package baseline-doc
Summary: cwTeX TrueType Font Documents (baseline)
Summary(ja): cwTeX フォントドキュメント (baseline)
Group: User Interface/X

%description baseline-doc
This package includes important documents
for cwTeX baseline fonts includes enduser license.

%package center-doc
Summary: cwTeX TrueType Font Documents (center)
Summary(ja): cwTeX フォントドキュメント (center)
Group: User Interface/X

%description center-doc
This package includes important documents
for cwTeX center fonts includes enduser license.

%prep
%setup -q -n %{archivename}

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT

#fonts
mkdir -p $RPM_BUILD_ROOT%{fontdir_base}
mkdir -p $RPM_BUILD_ROOT%{fontdir_center}
install -m 0644 ./baseline/*.ttf  $RPM_BUILD_ROOT%{fontdir_base}
install -m 0644 ./center/*.ttf  $RPM_BUILD_ROOT%{fontdir_center}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%post baseline
%__font_install_post %{fontdir_base}

%post center
%__font_install_post %{fontdir_center}

%postun baseline
%__font_install_postun %{fontdir_base}

%postun center
%__font_install_postun %{fontdir_center}

%files

%files baseline-doc
%doc ./baseline/*.pdf *.html
%doc AUTHORS COPYING Readme*.* *.txt

%files center-doc
%doc ./center/*.pdf *.html
%doc AUTHORS COPYING Readme*.* *.txt

%files baseline
%{fontdir_base}/*.ttf

%files center
%{fontdir_center}/*.ttf

%changelog
* Mon Jan 13 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 1.0-3
- built with gcc-4.8

* Mon Sep 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0-2
- rebuild to fix broken dependency (vine-users:079665)

* Fri Jun 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0-1
- initial build for VineSeed
