%define version 0.95.6
%define vsource WindowMaker-%{version}-vine
%define libdockapp libdockapp-0.4.0
%define asclock asclock-2.0.12
%define wmconfig wmconfig-vine-1.1
%define wmmail 0.63a
%define x11confdir %{_sysconfdir}/X11
%define gnustepdir %{_prefix}/lib/GNUstep

Summary: Window Maker - a window manager for X11
Summary(ja): X11 用ウィンドウ・マネージャ
Name: WindowMaker
Version: %{version}
Release: 2%{?_dist_release}
License: GPLv2/OPL
Group: User Interface/Desktops
URL: http://windowmaker.info/
Source0: %{name}-%{version}.tar.gz
Source1: http://www.longstreet.ch/asclock/%{asclock}.tar.gz
Source2: %{libdockapp}.tar.bz2
Source6: %{vsource}.tar.gz

# http://www.eecg.utoronto.ca/cgi-bin/cgiwrap/chanb/www/wmmail
Source10: WMMail.app-%{wmmail}.tar.gz
Source11: WMMail.defaults.vine

Source20: %{wmconfig}.tar.bz2
Source21: dockit
Source22: WindowMaker.desktop
Source23: RunWM

#Patch1: WindowMaker-0.62.0-wmclock.patch
Patch7: WindowMaker-0.95.6-wheel.diff.gz
Patch10: WindowMaker-0.95.6-GSDIR.patch
Patch20: WMMail.app-%{wmmail}-fix.patch
Patch21: WMMail-%{wmmail}.mbox.patch
Patch22: WMMail-%{wmmail}.appsdir.patch

######################
##### for 0.92.0 #####

## for x86_64 architecture support
Patch31: libdockapp-0.4.0-config.sub.patch

## for gcc-4
Patch41: WMMail.app-0.63a.config.patch
Patch42: asclock-2.0.12.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
# libPropList is not necessary for Window Maker >= 0.70, but
# for items around WindowMaker.
BuildRequires: libPropList-devel
BuildRequires: automake automake14
BuildRequires: autoconf >= 2.59
BuildRequires: libtool

BuildRequires: imake
BuildRequires: libX11-devel
BuildRequires: libXmu-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libICE-devel
BuildRequires: libXpm-devel

BuildRequires: giflib-devel
BuildRequires: libexif-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: ImageMagick-devel

Requires: WindowMaker-libs = %{version}
Requires: WindowMaker-Icons, vine-backgrounds, cpp
Requires: vine-logos, vutils, sed
Requires: xterm
Requires: xorg-x11-jpfonts

# for WMMail
Requires: libSM libXau libXdmcp libxcb
# for WPrefs
Requires: libXrender libexpat libtool-ltdl lcms2 xz-libs  

Provides: libwraster.so.2

%description
WindowMaker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It is supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

%description -l ja
NEXTSTEP(tm)のようなルック&フィールのウィンドウマネージャです。
動作が軽く、また強力なカスタマイズ・ツールを装備しています。

WindowMakerをインストール後、各クライアントで /usr/bin/wmaker.inst を
実行してください。既に ~/GNUStep が存在する場合には、それを置き換えるか聞い
て来ます。最後に .xinitrc を作るか聞いてきます。既に startx できる環境が作ら
れている場合には、[Cntl]+C でキャンセルした方が良いかもしれません。

%package libs
Summary: Libraries bundled with WindowMaker
Summary(ja): WindowMaker に必要なライブラリ集
Group: System Environment/Libraries

%description libs
These libraries come bundled with WindowMaker, but are also used
in other packages like AfterStep-APPS and wmakerconf

%description libs -l ja
このライブラリ集はWindowMakerに含まれているものです。
wmakerconf や wdm 等にも必要です。

%package devel
Summary: Development files using WindowMaker related libraries
Summary(ja): WindowMaker 関連ライブラリの開発用ファイル
Group: Development/Libraries
Requires: WindowMaker-libs = %{version}-%{release}
Requires: libX11-devel
Requires: libXext-devel
Requires: xorg-x11-proto-devel
# get-wraster-flags uses the following libraries 
Requires: giflib-devel
Requires: libXpm-devel
Requires: libjpeg-devel
Requires: libpng-devel
Requires: libtiff-devel
Requires: libwebp-devel

%description devel
This package contains the WindowMaker related library and header files 
used for developers.

%description devel -l ja
このパッケージは，WindowMaker のライブラリを利用したアプリケーション開発
に必要なライブラリやヘッダファイルを含んでいます．


%prep
%setup -q -a 1 -a 2 -a 6 -a 10 -a 20 -n WindowMaker-%{version}
%patch7 -p1 -b .wheel
%patch10 -p1 -b .gsdir
%patch20 -p0

cd WMMail.app-%{wmmail}
patch -p0 -s < %PATCH21
patch -p1 -s < %PATCH22
cd ..

# for x86_64 architecture support
%ifarch x86_64
%patch31 -p0 -b .libdockapp
%endif

## for gcc-4
%patch41 -p0 -b .config
%patch42 -p0 -b .asclock

%build
aclocal
autoheader
autoconf 
libtoolize --force --automake
automake -a --gnu --include-deps

export LINGUAS; LINGUAS="de es fr it ja"
export NLSDIR; NLSDIR=%{_localedir}
export GNUSTEP_LOCAL_ROOT; GNUSTEP_LOCAL_ROOT='%{gnustepdir}'
export CPP_PATH; CPP_PATH=/lib/cpp
export CFLAGS; CFLAGS="$RPM_OPT_FLAGS"
%configure --sysconfdir=%{x11confdir} --x-libraries=%{_libdir}
make %{?_smp_mflags}

## make libdockapp
cd %{libdockapp}
	aclocal
	autoconf  
	libtoolize --force --automake
	automake -a --gnu --include-deps
	%configure
	make
cd ..

## make asclock
cd %{asclock}
	mkdir ./default_theme
	cd ./default_theme
	ln -sf ../themes/shaped/beats.xpm beats.xpm
	ln -sf ../themes/shaped/clock.xpm clock.xpm
	ln -sf ../themes/shaped/config config
	ln -sf ../themes/shaped/date.xpm date.xpm
	ln -sf ../themes/shaped/hour.xpm hour.xpm
	ln -sf ../themes/shaped/led.xpm led.xpm
	ln -sf ../themes/shaped/minute.xpm minute.xpm
	ln -sf ../themes/shaped/second.xpm second.xpm
	ln -sf ../languages/japanese/month.xpm month.xpm
	ln -sf ../languages/japanese/weekday.xpm weekday.xpm
	cd ..
	ln -sf asclock.man wmclock.man
	xmkmf
	make clean
	make
cd ..

## make wmmail
cd WMMail.app-%{wmmail}
	aclocal-1.4
	automake-1.4 -a -c --gnu --include-deps
	autoconf
	%configure
	make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L%{_libdir}"
cd ..


%install
rm -rf %{buildroot}
%define SYSDEFDIR %{x11confdir}/WindowMaker/
mkdir -p %{buildroot}%{SYSDEFDIR}

%makeinstall nlsdir=%{buildroot}%{_localedir}

for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done
make install DESTDIR=%{buildroot} -C %{asclock}

# install config files for Vine
make DESTDIR=%{buildroot} SYSDEFDIR=%{SYSDEFDIR} install -C %{vsource}
ln -s %{_libdir}/firefox-3.0/icons/default48.png \
	%{buildroot}%{_datadir}/WindowMaker/Icons/firefox48.png

# set default menubutton for PPC
%ifarch ppc
pushd %{buildroot}%{SYSDEFDIR}
sed -e "s/MouseLeftButtonAction\ =\ SelectWindows/MouseLeftButtonAction\ =\ OpenApplicationsMenu/" \
    -e "s/MouseRightButtonAction\ =\ OpenApplicationsMenu/MouseRightButtonAction\ =\ SelectWindows/" \
    WindowMaker > WindowMaker.ppc
    mv -f WindowMaker.ppc WindowMaker
popd
%endif

# install wmconfig items
make DESTDIR=%{buildroot} install -C %{wmconfig}

# install libdockapp
make DESTDIR=%{buildroot} install -C %{libdockapp}

# install WMMail.app
(
	cd WMMail.app-%{wmmail}
	%makeinstall
	#install sound file and pixmaps of WMMail.app
	WMMailDIR=%{buildroot}/%{gnustepdir}/Applications/WMMail.app/
	mkdir -p ${WMMailDIR}/Sounds/
	mkdir -p ${WMMailDIR}/Anims/{NeXT,asmail,e,monitor-e}
	cp Sounds/*.au ${WMMailDIR}/Sounds/
	for dir in NeXT asmail e monitor-e; do
	    cp Anims/${dir}/*.xpm ${WMMailDIR}/Anims/${dir}
	done
	#install config file of WMMail.app for Vine Linux
	cp %{SOURCE11} %{buildroot}/%{SYSDEFDIR}/WMMail
	#install dockit
	install -m 755 %{SOURCE21} %{buildroot}%{_bindir}
	# prepare docs
	pwd
	mkdir -p ../WMMail.app
	cp -p AUTHORS COPYING ChangeLog INSTALL NEWS README Defaults/WMMail ../WMMail.app
)

# provide libwraster.so.2 tentatively
ln -sf libwraster.so.3 %{buildroot}%{_libdir}/libwraster.so.2

# added for 0.9.2
pushd %{buildroot}/%{_includedir}
	mkdir -p WINGs
	mv WINGs.h WINGsP.h WUtil.h WINGs/
popd

# install WindowMaker.desktop
install -d %{buildroot}%{_datadir}/xsessions
install -m 644 %{SOURCE22} %{buildroot}%{_datadir}/xsessions/
install -m 755 %{SOURCE23} %{buildroot}%{_bindir}

# remove unpackaged files
rm -rf %{buildroot}%{_sysconfdir}/WindowMaker
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a


%clean
rm -rf %{buildroot}

%pre libs
# Script to support upgrade from old directory tree
# This will be removed in near future...
SYSDEFDIR=%{x11confdir}/WindowMaker
if [ -L ${SYSDEFDIR} ]; then
 rm -f ${SYSDEFDIR}
fi

# The below seems to be necessary to suppress warning in updates....
OLDDEFDIR=%{_datadir}/WindowMaker/Defaults
if [ -d ${OLDDEFDIR} ]; then
 rm -f ${OLDDEFDIR}/*
fi

%triggerin -- ppxp
SYSDEFDIR=%{x11confdir}/WindowMaker
cd ${SYSDEFDIR}
rm WMState
ln -sf WMState.ppxp WMState

%triggerun -- ppxp
[ $2 = 0 ] || exit 0
SYSDEFDIR=%{x11confdir}/WindowMaker
cd ${SYSDEFDIR}
rm WMState


%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS COPYING* ChangeLog FAQ FAQ.I18N INSTALL
%doc NEWS README* TODO
%config %{_datadir}/xsessions/WindowMaker.desktop
%{x11confdir}/WindowMaker/*
%{_bindir}/*.sh
%{_bindir}/RunWM
%{_bindir}/wmclock
%{_bindir}/convertfonts
%{_bindir}/geticonset
%{_bindir}/getstyle
%{_bindir}/seticons
%{_bindir}/setstyle
%{_bindir}/wdread
%{_bindir}/wdwrite
%{_bindir}/wkdemenu.pl
%{_bindir}/wm-oldmenu2new
%{_bindir}/wmagnify
%{_bindir}/wmaker
%{_bindir}/wmaker.inst
%{_bindir}/wmgenmenu
%{_bindir}/wmiv
%{_bindir}/wmmenugen
%{_bindir}/wmsetbg
%{_bindir}/wxcopy
%{_bindir}/wxpaste
%{_datadir}/WINGs/
%{_datadir}/WindowMaker/
%{_mandir}/*/*
%{_localedir}/*/*/*
%{gnustepdir}/Applications/WPrefs.app

%{gnustepdir}/Applications/WMMail.app
%doc WMMail.app/
%{_bindir}/dockit

%files libs
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/get-wings-flags
%{_bindir}/get-wraster-flags
%{_bindir}/get-wutil-flags
%{_includedir}/WINGs
%{_includedir}/WMaker.h
%{_includedir}/dockapp.h
%{_includedir}/wraster.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog 
* Tue Feb 10 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.95.6-2
- moved %%{_bindir}/*-flags and %%{_libdir}/pkgconfig/+.pc to devel subpackage
- added BuildRequires: giflib-devel and libexif-devel
- added Requires for WMMail and WPrefs to main package
- added Requires for get-wraster-flags to devel subpackage

* Sun Sep 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.95.6-1
- update to 0.95.6
- update Patch7 (WindowMaker-0.95.6-wheel.diff.gz)
- update Patch10 (WindowMaker-0.95.6-GSDIR.patch)
- remove Patch4 (WindowMaker-cvs-nomisc.patch)
- remove Patch30 (WindowMaker-0.92.0-configure.noasm.patch)
- remove Patch40 (WindowMaker-0.92.0-x86_specific.patch)
- drop static library
- add BuildRequires: libjpeg-turbo-devel, libtiff-devel, libwebp-devel, ImageMagick-devel

* Sat Apr 23 2011 Shu KONNO <owa@bg.wakwak.com> 0.92.0-8
- rebuilt

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.92.0-7
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Feb 22 2010 Shu KONNO <owa@bg.wakwak.com> 0.92.0-6
- putback static libraries

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 0.92.0-5
- rebuilt with new toolchain

* Fri May 01 2009 Shu KONNO <owa@bg.wakwak.com> 0.92.0-4vl5
- added libdockapp-0.4.0-config.sub.patch
- dropt static library

* Wed Apr 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.92.0-3vl5
- changed libs Group to System Environment/Libraries
- updated SOURCE23 (for AfterStep)

* Sat Jun 28 2008 Shu KONNO <owa@bg.wakwak.com> 0.92.0-2vl5
- added WMMail.app-0.63a.config.patch
- fixed WMMail.defaults.vine
- fixed wmconfig-vine-1.1.tar.bz2
- added symbolic link to %%{_libdir}/firefox-3.0/icons/default48.png
- updated WindowMaker-0.92.0-vine to WindowMaker-0.92.0-vine.5a1
	- fixed Defaults/WMWindowAttributes
	- fixed Defaults/WMState*
	- fixed BINDIR path in Makefile
	- added bin/tknamazu.sh
- updated asclock to 2.0.12
	- dropt WindowMaker-0.62.0-wmclock.patch
	- dropt asclock-jp.patch
	- added asclock-2.0.12.patch

* Mon Jun 02 2008 Shu KONNO <owa@bg.wakwak.com> 0.92.0-1vl5
- applied new versioning policy and utf-8
- added BuildRequires: xorg-x11-devel imake
- added Source23: RunWM (import from xinitrc-3.46-0vl1)
- dropt Requires: xinitrc
- fixed Source6: %{vsource}.tar.gz
- fixed Source20: wmconfig-vine-1.1.tar.bz2
- fixed Source22: WindowMaker.desktop

* Mon Aug 20 2007 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl10
- added Patch40: WindowMaker-0.92.0-x86_specific.patch (from FC7 cvs20060123.patch)

* Sun Aug 19 2007 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl9
- changed URL to http://windowmaker.info
- added BuildPreReq: libtool, automake14
- dropt patch40: %{vsource}.font.patch
- updated Source6: %{vsource}.tar.gz
	- added xterm item to menu
	- changed mozilla to firefox in menu
	- fixed fontset scripts

* Tue Oct 17 2006 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl7
- dropt Requires: wmconfig

* Sun Oct 15 2006 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl6
- added patch40: WindowMaker-0.92.0-vine.font.patch
- fixed WMMail.app path in WMMail.defaults.vine

* Fri Mar 10 2006 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl5
- fixed building error of WMMail.app for x86_64
- fixed GNUstep/Applications directory for x86_64

* Sat Feb 25 2006 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl4
- rebuild for VineSeed
- added x86_64 architecture support
- added WindowMaker-0.92.0-configure.noasm.patch for x86_64

* Mon Feb 13 2006 Shu KONNO <owa@bg.wakwak.com> 0.92.0-0vl3
- new upstream release WindowMaker-0.92.0
- added WindowMaker.desktop for gdm session
- added WindowMaker-0.92.0-vine.tar.gz (replaced WindowMaker-0.91.0-vine31.tar.bz2)
- added BuildPreReq: automake17
- dropt WindowMaker-0.51.0-areas.patch -- no source
- dropt WindowMaker-0.62.0-wmclock.patch -- fixed
- dropt WindowMaker-0.64.0-wsetfont.patch -- changed source
- dropt wmaker-xim-xft.patch -- fixed
- dropt wmaker-xim-cvs20040509.patch -- fixed
- changed WINGs headers to originals (next 2 patches are not needed)
- dropt WindowMaker-0.64.0-WUtilPath.patch
- dropt WindowMaker-cvs-src.build.patch

* Tue Dec 14 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.91.0-0vl3
- change menu messages code from EUC to UTF-8

* Tue Nov 09 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.91.0-0vl2
- modified vsource

* Wed Nov 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.91.0-0vl1
- source update
- provides libwraster.so.2 tentatively.
  until rebuild wdm, wmakerconf and WMSoundSet

* Thu May 13 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.80.2-0vl2.1
- TEST update source cvs-20040509

* Sun Jul 13 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.80.2-0vl2
- fixed spec file to build with automake-1.5 and current autoconf

* Tue Nov 12 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.80.2-0vl1
- new upstream release
  - An exploitable buffer overrun bug has been found in Window Maker
    recently. This release fixes the problem.

* Sun Sep 22 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.80.0-0vl10
- vsource updated (linuxconf -> Webmin, vedit -> gedit)

* Wed Jul 17 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl9
- fix include path in WINGs related include files

* Thu Jul 11 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl8
- apply xim patch, wmaker-xim-0.80.0.patch.txt

* Thu Mar 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.80.0-0vl7
- update WindowMaker-0.80.0-vine25
  - remove netscape and vedit, add mozilla and gedit
  - add background image
  - change some window color

* Thu Mar 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.80.0-0vl6
- yet another typo fix. Doh...

* Wed Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.80.0-0vl5
- modified %install section (%ifarch ppc line contained typo)

* Wed Mar  6 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl4
- enable CirculateRaise
- ver.up ja.po

* Sun Feb 10 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl3
- back to WMMail-0.63a and merge some diffs from 0.64

* Fri Feb  8 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl2
- ja.po 更新 (WindowMaker-0.80.0ja2)
- change option name around MouseButton in Defaults/WindowMaker to new one.

* Thu Feb  7 2002 Jun Nishii <jun@vinelinux.org> 0.80.0-0vl1
- ver.up
- build with XFree-4.2

* Sun Aug 05 2001 <sagami@vinelinux.org>
- 0.65.1-0vl2: 
- don't apply guessfont.patch, which is no longer neeeded
- split correctly WINGs stuff (wdm) into libs subpackage
- consequently, move pre script to libs (shouldn't be removed in near future?)
- PreReq: WindowMaker-libs = %%{version} for main package (Wow!!!)

* Thu Jul 26 2001 <sagami@vinelinux.org>
- 0.65.1-0vl1: update to 0.65.1 and regenerate patches

* Sat Jun 23 2001 Jun Nishii <jun@vinelinux.org> 0.65.0-0vl3
- update ja.po

* Thu Jun 07 2001 <sagami@vinelinux.org>
- 0.65.0-0vl2: handle non existent GNUSTEP_USER_ROOT directory

* Mon May 21 2001 Jun Nishii <jun@vinelinux.org>
- 0.65.0-0vl1
- update WMMail.app to ver. 0.64
- separate devel subpackage

* Mon May 14 2001 Shoji Matsumoto <shom@vinelinux.org>
- 0.64.0-0vl3
- modify WindowMaker-0.62.1-vine6 to vine7 (add MozillaImStatus config)

* Mon Apr 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.64.0-0vl2
- fixed WUtil.h path in WINGS.h

* Mon Feb 26 2001 Jun Nishii <jun@vinelinux.org>
- 0.64.0-0vl1

* Thu Feb 08 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- added defattr to separated lib subpackage

* Thu Feb  8 2001 Jun Nishii <jun@vinelinux.org>
- 0.63.1-0vl4
- separate libs subpackage

* Wed Jan 17 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.63.1-0vl3
- change ${SYSDEFDIR} -> %{SYSDEFDIR} in %ifarch ppc lines

1 Jun Nishii <jun@vinelinux.org>
- 0.63.1-0vl2
- more macros in spec
- update WINGs patch

* Sat Jan 13 2001 Jun Nishii <jun@vinelinux.org>
- 0.63.1-0vl1
- version up

* Tue Oct 10 2000 Jun Nishii <jun@vinelinux.org>
- 0.62.1-0vl8
- bug fix in plmenu.ja

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- 0.62.1-0vl7
- change icon of sylpheed

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- 0.62.1-0vl6
- set font as alias-fixed

* Sat Sep 30 2000 Jun Nishii <jun@vinelinux.org>
- 0.62.1-0vl5
- obsletes vmail and use sylpheed

* Thu Aug 31 2000 Jun Nishii <jun@vinelinux.org>
- 0.62.1-0vl4
- change backbground path (use vine-backgrounds)

* Sun Aug 20 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.62.1-0vl3
- swap default mousebutton if ppc
  (PowerMac's default mouse has only one button...)

* Wed Aug 16 2000 Jun Nishii <jun@vinelinux.org>
- rename mozilla.sh as netscape.sh
- use brp
- added dockit

* Mon Apr  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.62.1

* Sun Apr  2 2000 Jun Nishii <jun@vinelinux.org>
- added libdockapp instead of docklib

* Fri Mar 31 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.62.0
- added docklib src from 0.61.1
- modified ja.po for WindowMaker and WMPrefs

* Tue Jan 25 2000 Jun Nishii <jun@vinelinux.org>
- bug fix of WINGs_im patch by Mr. Furukawa

* Sat Jan 22 2000 Jun Nishii <jun@vinelinux.org>
- bug fix of installation process of Makefile in WindowMaker-0.61.1vine7

* Thu Dec 30 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp> (Vine)
- rel.9
- added WINGs_im patch to support XIM in WINGs tool kits.

* Fri Dec  3 1999 Jun Nishii <jun@flatout.org>
- use rm --force in %post
- Do not use birthwindow.patch which may cause incorrect window placement.

* Fri Nov 26 1999 Jun NISHII <jun@flatout.org>
- fix autostart.sh to check wsoundserver and wmsound
- ver up wmconfig-vine
- some other minor changes...

* Fri Nov 12 1999 Jun Nishii <jun@flatout.org>
- rel.6
- added wheel patch
- bug fix in mozilla.sh

* Thu Nov 11 1999 Jun Nishii <jun@flatout.org>
- rel.5
- requires vutils instead of vsetup

* Wed Nov 10 1999 Jun Nishii <jun@flatout.org>
- rel.4
- change menu
- requires vsetup

* Tue Nov  9 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp> (Vine, JP-3)
- use font guess patch instead of Japanese font patch
- remove japanese fontset from default font-set

* Thu Oct 14 1999 Jun Nishii <jun@flatout.org>
- added dockapp.h

* Sat Oct 9 1999 Jun Nishii <jun@flatout.org>
- 0.61.1

* Mon Sep 27 1999 Jun Nishii <jun@flatout.org>
- added mozilla.sh

* Sun Sep 26 1999 Jun Nishii <jun@flatout.org>
- change default font-sets

* Tue Sep 21 1999 Jun Nishii <jun@flatout.org>
- use Default.style_kai instead of Default.style
- install libdockapp

* Wed Jul 21 1999 Jun Nishii <jun@flatout.org>
- move to new directory structure (defaults in /etc/X11/WindowMaker)

* Tue Jul 20 1999 Jun Nishii <jun@flatout.org>
- build for Vine-1.9

* Sun Jun 6 1999 Jun Nishii <jun@flatout.org>
- merged patch for wsetfont to support MultiByteText
- modify default font setting
- launch netscape from autostart.sh

* Fri Jun 4 1999 Jun Nishii <jun@flatout.org>
- updated to 0.60.0

* Fri Apr 23 1999 Jun Nishii <jun@flatout.org>
- updated to 0.53.0

* Thu Mar 25 1999 Jun Nishii <jun@flatout.org>
- patch to fix focus

* Sun Mar 14 1999 Jun Nishii <jun@flatout.org>
- updated to 0.51.2

* Fri Mar 12 1999 Jun Nishii <jun@flatout.org>
- rel.11
- bug fix of the wrapper of wmconfig

* Mon Mar 8 1999 Jun Nishii <jun@flatout.org>
- rel.10
- added wrapper of wmconfig to support dummy NLS

* Thu Mar 4 1999 Jun Nishii <jun@flatout.org>
- rel.9
- asclock-jp.patch and WindowMaker-birthwindow.patch by Yasuyuki Furukawa
- remove xfig from menu

* Thu Mar 4 1999 Jun Nishii <jun@flatout.org>
- rel.8
- bug fix in menu items which require root privilege (use su -)

* Sun Feb 28 1999 Jun Nishii <jun@flatout.org>
- rel.7
- use plmenu.ja as a default menu

* Thu Feb 25 1999 Jun Nishii <jun@flatout.org>
- rel.6
- stop autoraise

* Sun Feb 21 1999 Jun Nishii <jun@flatout.org>
- rel.5
- added patch for WMMail not to down when no /var/spool/mail/$USER

* Sun Feb 21 1999 Jun Nishii <jun@flatout.org>
- rel.4
- merge WMMail.app
- dock WMMail if no xppxpm
- fix bug that kterm doesn't start from dock after restart WM.
- added plmenu.ja

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- rel.3
- set BuggyApplication for xppxp in Dock which enables no warning when 
  xppxp is not installed
- move Themes for Vine to WindowMaker-Icons

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- rel.2
- modify menu, Dock, and etc for Vine 1.0

* Fri Jan 29 1999 Jun Nishii <jun@flatout.org>
- updated to 0.51.0

* Wed Jan 27 1999 Jun Nishii <jun@flatout.org>
- rel.4
- customize some key bindings
- remove xterm from menu.ja
- make default iconsize 56x56

* Thu Jan 14 1999 Jun Nishii <jun@flatout.org>
- rel.3
- use /lib/cpp which is a wrapper to choose one by gcc or egcs
- typo fix in WPrefs.ja.po

* Sun Jan 10 1999 Jun Nishii <jun@flatout.org>
- rel.2
- use gcc -E instead of /lib/cpp

* Sun Jan 10 1999 Jun Nishii <jun@flatout.org>
- updated to 0.50.2

* Sun Jan 10 1999 Jun Nishii <jun@flatout.org>
- updated to 0.50.1

* Fri Jan 8 1999 Jun Nishii <jun@flatout.org>
- updated to 0.50.0

* Sun Dec 27 1998 Jun Nishii <jun@flatout.org>
- added patch, new_nifty_pixmap-gradient.patch

* Sun Dec 20 1998 Jun Nishii <jun@flatout.org>
- modify menu and other default settings
- added new themes

* Fri Dec 11 1998 Jun Nishii <jun@flatout.org>
- modified ja.po for WindowMaker and WPrefs
- added config files for Vine Linux

* Sat Dec 5 1998 Jun Nishii <jun@flatout.org>
- updated to 0.20.3
- added and modified ja.po for WindowMaker and WPrefs
- make and merge patch to support nls for more messages

* Mon Nov 30 1998 Jun Nishii <jun@flatout.org>
- Moved Japanese catalog from ja_JP.ujis to ja

* Tue Nov 24 1998 Jun Nishii <jun@flatout.org>
- updated to 0.20.2

* Mon Nov 23 1998 Jun Nishii <jun@flatout.org>
- enable kanji for Vine Linux

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed swicthing to other window managers problem
- updated to 0.20.1
- include all the .mo files, not just WindowMaker...
- added an older version of asclock as wmclock
- include libPropList.a in the %files

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- version 0.91.3

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.19.2
- don't require asclock as a separate package

* Wed Aug 12 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.17.5

* Tue Jul 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.17.2

* Thu Jul 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.16.1
- removed asclock (conflicts with AfterStep)

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.14.0

* Fri Jan 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.13.0
- added the include files and the development libraries

* Thu Nov 20 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
