%define desktop_file_utils_version 0.26

Summary: The AbiWord word processor
Summary(ja): AbiWord ワードプロセッサ
Name: abiword
Epoch: 1
Version: 3.0.4
Release: 1%{?_dist_release}
%global abiver %(echo %{version} | cut -d . -f 1-2)
%global docver 3.0.1
Group: office
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2+
URL: http://www.abisource.com/
Source0: http://abisource.com/downloads/abiword/%{version}/source/abiword-%{version}.tar.gz
Source1: http://abisource.com/downloads/abiword/%{docver}/source/abiword-docs-%{docver}.tar.gz
Source11: abiword.mime
Source12: abiword.keys
Source13: abiword.xml

Patch0: abiword-2.6.0-windowshelppaths.patch
Patch1: abiword-2.8.3-desktop.patch
Patch2: abiword-2.6.0-boolean.patch
Patch3: abiword-3.0.0-librevenge.patch
Patch4: abiword-3.0.2-explicit-python.patch
Patch5: abiword-3.0.4-pygobject.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: autoconf-archive
BuildRequires: automake
BuildRequires: bison
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: enchant2-devel
BuildRequires: flex
BuildRequires: fribidi-devel
BuildRequires: gcc-c++
BuildRequires: gobject-introspection-devel
BuildRequires: goffice-devel
BuildRequires: gtk3-devel
BuildRequires: libboost-devel
BuildRequires: libgsf-devel
BuildRequires: libpng-devel
BuildRequires: librsvg2-devel
BuildRequires: libsoup-devel
BuildRequires: libwmf-devel
BuildRequires: libxslt-devel
BuildRequires: poppler-devel
BuildRequires: popt-devel
BuildRequires: python3-pygobject
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: readline-devel
BuildRequires: t1lib-devel
BuildRequires: wv-devel
BuildRequires: zlib-devel

Requires: libabiword = %{epoch}:%{version}-%{release}
Requires: python3-pygobject
Requires(pre): desktop-file-utils >= %{desktop_file_utils_version}
Obsoletes: abiword-fonts abiword-plugins

%description
AbiWord is a cross-platform Open Source word processor. The goal is to make
AbiWord full-featured, and remain lean.

%description -l ja
AbiWord はクロスプラットフォームのオープンソースなワードプロセッサーです。
多機能で機敏に動くことを目標としています。


%package -n libabiword
Summary: Library for developing applications based on AbiWord's core
Summary(ja): AbiWord コアで稼動するアプリケーションを開発するためのライブラリ
Group: system

%description -n libabiword
Library for developing applications based on AbiWord's core.

%description -n libabiword -l ja
AbiWord コアで稼動するアプリケーションを開発するためのライブラリです。


%package -n libabiword-devel
Summary: Files for developing with libabiword
Summary(ja): libabiword を用いた開発に必要なファイル群
Group: programming
Requires: libabiword = %{epoch}:%{version}-%{release}

%description -n libabiword-devel
Includes and definitions for developing with libabiword.

%description -n libabiword-devel -l ja
libabiword で開発するためのインクルードファイル及び定義ファイルです。


%debug_package


%prep
%setup -q  -a 1

%patch1 -p1 -b .desktop
%patch2 -p1 -b .boolean
%patch3 -p0 -b .librevenge
%patch4 -p1 -b .explicit_python
%patch5 -p1 -b .pygo

# setup abiword documentation
pushd abiword-docs-%{docver}
%patch0 -p1 -b .windowshelppaths
# some of the help dirs have bad perms (#109261)
find . -type d -exec chmod -c o+rx {} \;
popd


%build
# Needed while explicit-python.patch touches gi-overrides/Makefile.am
aclocal
automake

export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS -DASIO_ENABLE_BOOST"
%configure --enable-plugins --enable-clipart --enable-templates --enable-introspection
%{make_build} V=1

# build the documentation
pushd abiword-docs-%{docver}
ABI_DOC_PROG=$(pwd)/../%{name}-%{version}/src/abiword ./make-html.sh
popd


%install 
rm -rf $RPM_BUILD_ROOT
%{make_install}

# install the documentation
pushd abiword-docs-%{docver}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{abiver}/AbiWord/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{abiver}/AbiWord/help/
popd

install -p -m 0644 -D %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mime-info/abiword.mime
install -p -m 0644 -D %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/mime-info/abiword.keys
install -p -m 0644 -D %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/mime/packages/abiword.xml

# Remove libtool archives and static libs
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%ldconfig_scriptlets -n libabiword


%files
%defattr(-,root,root)
%{_bindir}/abiword
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/abiword.xml
%{_datadir}/icons/*/*/*/abiword.*
%{_datadir}/%{name}-%{abiver}/AbiWord
%{_mandir}/man1/abiword.1.gz

%files -n libabiword
%doc $RPM_BUILD_DIR/%{name}-%{version}/docs $RPM_BUILD_DIR/%{name}-%{version}/COPYING $RPM_BUILD_DIR/%{name}-%{version}/COPYRIGHT.TXT $RPM_BUILD_DIR/%{name}-%{version}/README.TXT
%{_libdir}/abiword-%{abiver}
%{_libdir}/libabiword-%{abiver}.so
%{_libdir}/girepository-1.0/Abi-3.0.typelib
%{_datadir}/abiword-%{abiver}

%files -n libabiword-devel
%{_includedir}/abiword-%{abiver}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Abi-3.0.gir


%changelog
* Mon Mar 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1:3.0.4-1
- new upstream release.
- updated Source11.
- added Source12-13.
- updated Patch0-2.
- dropped Patch3.
- imported Patch3-5 from rawhide.

* Sat Jul 02 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:3.0.1-3
- rebuild with gcc-5.4.0

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:3.0.1-2
- rebuild with poppler-0.37.0

* Thu Dec 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:3.0.1-1
- new upstream release

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:3.0.0-1
- update to 3.0.0
- remove Patch3 (abiword-2.8.6-no-undefined.patch)

* Fri Dec 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:2.8.6-4
- add Patch3 (abiword-2.8.6-no-undefined.patch)
- add BuildRequires: flex, bison

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:2.8.6-3
- rebuild with poppler-0.14.2

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:2.8.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:2.8.6-1
- new upstream release
- drop Source1, Source2
- drop Patch1, Patch3
- fix %setup, %build, %install and %files

* Wed Jul 29 2009 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1:2.6.8-2
- add Japanese Summary and description
- add BuildRequires: libSM-devel

* Sun May 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.6.8-1
- new upstream release

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.6.4-1vl5
- new upstream release
- built with enchant
- split libabiword, libabiword-devel subpackage

* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 1:2.4.6-2vl5
- built with gucharmap-2.24.0

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 1:2.4.6-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.4.6-0vl2
- rebuilt with new toolchain

* Thu Dec 21 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.4.6-0vl1
- new upstream release
- rebuilt with wv-1.2.4

* Thu Sep 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.4.5-2vl2
- fixed .desktop file

* Fri Aug 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.4.5-2vl1
- updated to 2.4.5

* Thu Apr 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.4.4-2vl1
- rebuilt for Vine and merged old spec files
  * Thu Sep 26 2002 Masaki Shinomiya <shino@pos.to>
  - 1.0.3-0vl1 for VinePlus/2.1 and (-0vl2) for 2.5 and VineSeedPlus
  - source update, plugins-1.0.3, many plugins enabled in -0vl2
  - disabled perl
  - abiword-mkhash.sh for spell check
  * Mon Jun 24 2002 Masaki Shinomiya <shino@pos.to>
  - 1.0.2-0vl1 for VinePlus/2.1 and (-0vl2) for 2.5 and VineSeedPlus
  - source update
  - touch fonts.dir, abiword-wrapper.patch
  - no longer segmentation fault on Vine 2.5 (see [vine-users:051609]-)
  * Wed May 22 2002 Masaki Shinomiya <shino@pos.to>
  - 1.0.1-0vl1 for VinePlus/2.1 and (-0vl2) for VineSeedPlus
  - 0vl1 omits plugins because Vine 2.1.x fails to compile
  - 0vl1 also disables gnome and perl support
  - Japanese fonts are now usable on VineSeed/Vine 2.5
  - by using mkjafontsdir.sh made by me
  - source upstream to 1.0.1, plugins(merged in the main package)
  - doc, mime-info
  * Sat Mar 30 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com> 0.99.4-0vl2
  - new upstream version
  - fix symbolic link ([VineSeed-Plus:00941])
  * Sun Mar 18 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com> 0.99.3-0vl2
  - new upstream version
  * Sun Feb 24 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com> 0.99.2-0vl0
  - new upstream version.
  - disable plugin all and comment out plugin part in build/make section,
    because 0.99.2's source tar boll doesn't have abiword-plugins directory.
  * Fri Feb 15 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com>
  - 0.99.1-0vl3 (0.99.1-0vl2 for VinePlus-2.1)
  - fix files owner/group ([VineSeed-Plus:00819])
  * Sat Jan 28 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com>
  - 0.99.1-0vl0.1
  - change release number for VinePlus 2.1
  * Sat Jan 24 2002 Ryoichi TACHIBANA <t-ryoichi@mbi.nifty.com>
  - 0.99.1-0vl1
  - add japanese fonts.dir 
     (see http://www.gnome.gr.jp/ml/gnome-users/200101/msg00034.html)
    0vl0.1 release for VinePlus-2.1 succeed to input/display japanese,
    but this release fail to input/display japanese.
    please someone fix this problem.

* Thu Apr 13 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.4-2.fc6
- Fix documentation generation
- Fix charting support

* Tue Apr 11 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.4-1.fc6
- New upstream version
- Remove the macro patch and update the desktop patch

* Wed Mar 29 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-8.fc6
- Rebuild

* Wed Mar 08 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-7.fc5
- Disable the collaboration plugin; it is not working in 2.4.x

* Thu Feb 16 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-6.fc5
- Rebuild for Fedora Extras 5

* Sun Feb 05 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-5.fc5
- bug 171926

* Sat Jan 21 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-4.fc5
- Disable the PDF plugin for now, as poppler doesn't ship the xpdf
  headers anymore

* Sat Jan 14 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-3.fc5
- Remove redundant requires - bug 177305

* Thu Jan 05 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-2.fc5
- Bump release, forgot to add desktop patch

* Mon Jan 02 2006 Marc Maurer <uwog@abisource.com> - 1:2.4.2-1.fc5
- Update to 2.4.2
- Add BuildRequires readline-devel for the AbiCommand plugin
- Add BuildRequires bzip2-devel and poppler-devel for plugins
- Update desktop patch
- Patch to fix plugin marcros

* Wed Nov 09 2005 Marc Maurer <uwog@abisource.com> - 1:2.4.1-4.fc5
- Fix bug 171928

* Sun Oct 23 2005 Marc Maurer <uwog@abisource.com> - 1:2.4.1-3.fc5
- Fix bug 161832: "Abiword is not loading certain modules"
- Add libgsf dependecy, which was needed all along
- Disable the collaboration plugin, it is not for general use at all

* Tue Oct 11 2005 Marc Maurer <uwog@abisource.com> - 1:2.4.1-2
- Use %%{?dist} in the release name

* Sun Oct 9 2005 Marc Maurer <uwog@abisource.com> - 1:2.4.1-1
- Update to 2.4.1

* Mon Oct 3 2005 Marc Maurer <uwog@abisource.com> - 1:2.4.0-1
- Require mathml-fonts
- Don't rerun autogen.sh, no need anymore
- Update gtkmathview dependency to 0.7.5
- Update to 2.4.0

* Mon Sep 26 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.99-2
- Fix gtkmathview BuildRequires

* Thu Sep 22 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.99-1
- Update to 2.3.99

* Sat Sep 10 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.6-1
- Update to 2.3.6
- Drop the pango patch

* Sat Sep 3 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.5-3
- Rebuild

* Sat Sep 3 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.5-2
- Enable the abimathview plugin

* Sun Aug 21 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.5-1
- Update to 2.3.5

* Fri Aug 19 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.4-4
- Update the pango patch to disable more pango code

* Fri Aug 19 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.4-3
- Fix the build after applying the pango disabling patch by 
  rerunning autogen.sh

* Fri Aug 19 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.4-2
- Disable the experimental pango renderer

* Wed Aug 17 2005 Marc Maurer <uwog@abisource.com> - 1:2.3.4-1
- Update to 2.3.4
- Add link-grammar dependency

* Thu Jul 28 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.9-1
- Update to 2.2.9
- Drop the mailmerge patch again

* Mon Jun 6 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.8-2
- Fix build with mailmerge patch

* Mon Jun 6 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.8-1
- Update to 2.2.8

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1:2.2.7-2
- rebuild on all arches

* Mon Apr 4 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.7-1
- Because we love brown paper bag releases

* Sun Apr 3 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.6-1
- Drop the gcc4, wvread, virtdestr and pt64 patches
- Update the desktop patch

* Tue Mar 15 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.5-3
- Fix 64bit build
- Add virtual destructors to classes with virtual functions

* Mon Mar 14 2005 Marc Maurer <uwog@abisource.com> - 1:2.2.5-2
- Remove the --disable-magick plugin switch
- disable GDA support until the plugin is ported to gnomedb 1.2.x
- Change the download location from SF to http://www.abisource.com/
- patch libole2
- fix read as a macro in new glibc

* Wed Mar  2 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.5-1
- bump to latest stable
- drop integrated dashboard patch again
- some gcc4 fixes

* Wed Feb 23 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.4-2
- rh#149447# dashboard spam revisited

* Tue Feb 22 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.4-1
- bump to latest stable version
- drop integrated nautilus depend patch
- drop integrated libwpd depend patch

* Fri Feb 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.3-4
- upgrade to libwpd-0.8 and incoroprate necessary changeover patches

* Mon Feb 7 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.2.3-3
- rebuild

* Wed Feb 2 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.3-2
- remove unneccessary nautilus dependency

* Mon Jan 17 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.3-1
- bump to new version
- drop integrated silenceabidash patch

* Fri Jan 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.2-4
- RH#145085# annoying cluepacket message on stdout/stderr

* Wed Jan 12 2005 Tim Waugh <twaugh@redhat.com> - 1:2.2.2-3
- Rebuilt for new readline.

* Tue Jan 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.2.2-2
- RH#143368# use enchant as spellchecker

* Mon Dec 13 2004 Caolan McNamara <caolanm@redhat.com> - 1:2.2.2-1
- bump to new version

* Mon Dec 6 2004 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-1
- bump to new version
- geometry patch upstreamed
- security patch upstreamed
- removeoledecod patch upstreamed
- regenerate desktop patch

* Mon Nov 22 2004 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-2
- #abi7961# remove tempnam usages

* Mon Nov 22 2004 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-1
- bump to latest major stable version
- #rh140321# sanity check geometry

* Tue Nov  9 2004 Caolan McNamara <caolanm@redhat.com> - 1:2.0.14-1
- bump to latest stable version

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1:2.0.12-4
- rebuild for python 2.4

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.0.12-3
- Change to PreReq instead of Requires(post), up to 0.9

* Wed Sep 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-2
- Better Requires desktop-file-utils

* Wed Sep 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-1
- update to new abiword, + change norwegian wordprocessor translation

* Tue Sep 14 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-3
- #132389# Add more abiword supported mime types to abiword.desktop

* Mon Sep 6 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-2
- merge abiword.keys into abiword.desktop

* Fri Aug 27 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.11-1
- 2.0.11

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.10-2
- use libgnomedb

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.10-1
- 2.0.10
- use aiksaurus

* Mon Aug 2 2004 Matthias Clasen <mclasen@redhat.com> 1:2.0.9-4
- rebuilt

* Thu Jul 29 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-3
- #126012# some desktop translations

* Wed Jul 28 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-2
- #128004# fix irritating windows looking filenames for generated pngs

* Fri Jul 16 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.9-1
- 2.0.9, new version with security fix

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 20 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.6-1
- 2.0.7, new version + gcc34 fixes

* Wed Apr 28 2004 Caolan McNamara <caolanm@redhat.com> 1:2.0.6-1
- 2.0.6, 64bit changes made upstream

* Sat Mar 13 2004 Jeremy Katz <> 1:2.0.5-1
- 2.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Jeremy Katz <katzj@redhat.com> - 1:2.0.3-3
- rebuild for newer libots and libwpd
- fix verify as non-root (#109261)
- add wpd files to abiword.keys (#114907)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1:2.0.3-1
- 2.0.3 (fixes build against gtk+ 2.3 and lets us rebuild to fix libcroco dep)

* Wed Dec 17 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.2-2
- rebuild for new libwpd

* Sun Nov 30 2003 Jeremy Katz <katzj@redhat.com> 
- and librsvg2-devel (#111222)

* Fri Nov 28 2003 Jeremy Katz <katzj@redhat.com> 
- buildrequire libgnomeui-devel (#111164)

* Tue Oct 28 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.1-1
- 2.0.1
- really remove duplicate desktop file

* Tue Oct 21 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-6
- make the docs with the just built abiword so that we don't have to 
  have abiword installed to build the docs (#107279)

* Tue Oct 21 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-5
- fix linkage to glib 1.2 in hancom plugin (#106033)

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add %%clean specfile target

* Tue Oct 14 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-4
- remove duplicate desktop file (#107023)

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-3
- include the help
- show the clipart (#104577)

* Mon Sep 15 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-2
- rebuild with newer libwpd and libots to get those plugins

* Sun Sep 14 2003 Jeremy Katz <katzj@redhat.com> 1:2.0.0-1
- 2.0.0

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.6-1
- 1.99.6

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.5-1
- 1.99.5

* Tue Aug  5 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.3-1
- 1.99.3
- put icon in the right place (#101646)
- fix some 64bit casting issues
- disable ots plugin for now, doesn't seem to build with ots 0.4.0 :/
- disable -pedantic -ansi so that it will build

* Mon Jul 14 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.2-2
- ugly hack to deal with libtool silliness on x86_64

* Fri Jul 11 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.2-1
- 1.99.2
- add buildrequires to make sure the ots and wp plugins get built
- no longer needs libgal2, remove buildrequires

* Mon Jun 16 2003 Jeremy Katz <katzj@redhat.com> 1:1.99.1-1
- 1.99.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-3
- rebuild for new libgal2

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-2
- tweak plugins build

* Mon May 12 2003 Jeremy Katz <katzj@redhat.com> 1:1.9.1-0.2
- 1.9.1
- drop old patches, switch to using autoconf based build system instead 
  of diving makefiles
- build with gnome support
- build with plugins
- add patch to build on AMD64

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 1:1.0.5-2
- rebuild to fix broken libpspell dep

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.5-1
- 1.0.5

* Mon Feb 10 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.4-2
- fix for abiword starting off the screen (#82425)

* Thu Jan 23 2003 Jeremy Katz <katzj@redhat.com> 1:1.0.4-1
- 1.0.4

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 29 2002 Jeremy Katz <katzj@redhat.com> 1:1.0.3-2
- make it build on x86_64

* Sun Dec 29 2002 Jeremy Katz <katzj@redhat.com> 1:1.0.3-1
- 1.0.3 (#80560)
- set umask before running mkfontdir in %%post
- patch AbiWord script to convert utf8 locales into non-utf8 variants (#72633)

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 1.0.2-7
- Fix doc lines
- Fix multilib

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 1.0.2-6
- rebuilt with gcc-3.2 (we hope)

* Sat Aug 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-5
- fix help index symlink (#71219)

* Thu Aug  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-4
- add abiword binary symlink for upstream compatibility (#70267)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.0.2-3
- rebuild using gcc-3.2-0.1

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- use included desktop file (#64447)
- use desktop-file-install

* Wed Jun 26 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- 1.0.2
- disable perl module build since we weren't including it anyway

* Wed May 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- 1.0.1

* Sun Apr 14 2002 Jeremy Katz <katzj@redhat.com> 0.99.5-1
- zh_CN and zh_TW fonts.dir were flipped
- update to 0.99.5 as it fixes some major bugs
- define ABI_BUILD_VERSION so the about screen gives us a version

* Mon Apr  8 2002 Bennhard Rosenkraenzer <bero@redhat.com> 0.99.4-2
- 1st try at fixing up CJK (#61590)
- #if 0'ify font warning dialog (#62909, #64556)

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.4-1
- Update to 0.99.4, fixes #61153
- Fix #61344
- Nuke the warning about being unable to add anything to font path,
  that's not how xfs works.

* Thu Feb 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.2-1
- 0.99.2
- remove blank lines in fonts.dir

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.99.1-1
- 0.99.1

* Wed Jan 30 2002 Alex Larsson <alexl@redhat.com> 0.9.5-3
- Added patch to use libpng10
- Added patch to fix perl build problems.

* Fri Nov 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-1
- 0.9.5

* Tue Oct 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.4.1-1
- Update to 0.9.4.1 (RFE #54806)
- Add URL (RFE #54590)

* Thu Jul 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-7
- Fix uninstall (#49350)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- rebuilt so that dirs aren't sgid root

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-5
- Add build requirements (#45157)

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-4
- Remove CVS admin files from documentation (#44916)

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390x patch from <oliver.paukstadt@millenux.com>

* Sat Jun 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390 patch from Helge Deller

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.7.14-1
- Update to 0.7.14

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle MIME type stuff (Bug #27530)
- Add BuildPrereqs for some of the less common stuff AbiWord uses
  (gal-devel, gnome-print-devel, libunicode-devel)

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.13

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- fixed broken code for building

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.7.12
- copy fonts.dir to fonts.scale so mkfontdir doesn't blow it away

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of 0777 dirs

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.11

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- fix path to chkfontpath, it was wrong.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Mon Aug  7 2000 Jakub Jelinek <jakub@redhat.com>
- Don't ship AbiWord_s if we have AbiWord_d
- Register AbiWord's fontpath with xfs

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new libpng. This fixes Bug #13707 - gotta love it when they
  change the ABI without increasing the soname!
- fix tooltip (Bug #14711)
- move binaries from /usr/share to /usr/lib

* Wed Jul 12 2000 Jakub Jelinek <jakub@redhat.com>
- Fix build on ia64.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new gcc.

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on ia64

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.10
- update download location

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for main CD
- clean up specfile
- fix build with gcc 2.96 and glibc 2.2
- exclude ia64 for now

* Wed May  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.9

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.8
- move the desktop file to /etc/X11/applnk so it can be used in both
  GNOME and KDE
- fix up handling of RPM_OPT_FLAGS

* Thu Jan 20 2000 Tim Powers <timp@redhat.com>
- bzipped source to conserve space.

* Sun Jan  9 2000 Matt Wilson <msw@redhat.com>
- enable GNOME, remove perl hack to do RPM_OPT_FLAGS
- added libpng requirement.  0.7.7 requires 1.0.5 libpng ABI

* Tue Jan  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.7.7
- handle RPM_OPT_FLAGS

* Mon Nov 15 1999 Tim Powers <timp@redhat.com>
- first build for inclusion into Powertools.
- some things in this spec file are from the abisuite-0.7.5-1mdk package
