Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 6.2.10
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2 or GPLv3
URL: https://www.aquamaniac.de/sites/aqbanking/index.php
# https://www.aquamaniac.de/rdm/projects/aqbanking/files
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# qbanking
BuildRequires: gwenhywfar-devel >= 3.10.0
BuildRequires: gmp-devel
BuildRequires: xmlsec1-gnutls
BuildRequires: xmlsec1-gnutls-devel
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: libtool-ltdl-devel
Obsoletes: aqhbci <= 1.0.3
Obsoletes: g2banking < 3.7.2-1
Obsoletes: python-aqbanking
Obsoletes: qbanking < 5.0.0
Obsoletes: q4banking < 5.0.0

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).


%package devel
Summary: Development headers for Aqbanking
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# for %{_datadir}/aclocal
Requires: automake
Obsoletes: aqhbci-devel <= 1.0.3
Obsoletes: g2banking-devel < %{version}
Obsoletes: qbanking-devel < 5.0.0
Obsoletes: q4banking-devel < 5.0.0

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.


%debug_package


%prep
%setup -q

# hack to nuke rpaths, slighly less ugly than using overriding LIBTOOL below
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif


%build
LIBS="-lxmlsec1-gnutls -lxmlsec1-gcrypt -lltdl"

%configure \
  --disable-static \
  --enable-gui-tests=no \
  --with-build-datetime=`date +\"%Y%m%d\"`

# not smp_mflags safe
make 


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;
find $RPM_BUILD_ROOT -name *.a -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_datadir}/doc/aqbanking $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}
cp AUTHORS README ChangeLog NEWS $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

pushd tutorials
make clean
rm -rf .deps
rm -f Makefile*
popd

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc %{_docdir}/%{name}-%{version}
%{_libdir}/libaq*.so.*
%{_libdir}/aqbanking/plugins/*/bankinfo/
%{_libdir}/aqbanking/plugins/*/imexporters/
%{_libdir}/aqbanking/plugins/*/providers/
%{_libdir}/aqbanking/plugins/*/dbio/*
%{_datadir}/aqbanking/backends/
%{_datadir}/aqbanking/bankinfo/
%{_datadir}/aqbanking/dialogs/
%{_datadir}/aqbanking/imexporters/
%{_bindir}/aqbanking-cli
%{_bindir}/aqebics-tool
%{_bindir}/aqhbci-tool4
%{_bindir}/aqpaypal-tool

%files devel
%defattr(-,root,root)
%doc doc/0[12]* tutorials
%{_bindir}/aqbanking-config
%{_libdir}/libaq*.so
%{_includedir}/aq*/
%{_libdir}/pkgconfig/aqbanking.pc
%{_libdir}/cmake/*
%{_datadir}/aclocal/aqbanking.m4
%{_datadir}/aqbanking/aqbanking/typemaker2/
%{_datadir}/aqbanking/typemaker2/


%changelog
* Fri Apr 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2.10-1
- new upstream release.
- dropped ldconfig scriptlets.

* Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2.8-1
- new upstream release.

* Wed Sep 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.7.8-1
- new upstream release.
- dropped Patch3.

* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.0.25-3
- rebuild with gcc-5.4.0

* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.ac.jp> 5.0.25-2
- rebuilt with gmp 5.1.3

* Sun Sep 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.0.25-1
- new upstream release
- remove Patch2 (aqbanking-4.2.4-pkgconfig.patch)
- remove Patch4 (aqbanking-4.2.4-q4banking_remove_qt3.patch)
- remove qbanking, qbanking-devel q4banking, q4banking-devel subpackages (based on Fedora)

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 4.2.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Sep 13 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.4-1
- update to 4.2.4
- added q4banking subpackage
- obsoletes python-aqbanking subpackage

* Sat Oct 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7.1-1
- update to 3.7.2
- obsolete the no-longer-existing g2banking/kbanking packages

* Mon Jan 21 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.3-0vl1
- update to 2.3.3

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.2-2vl1
- modify and build for VineSeed

* Wed Aug 29 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-2
- Rebuild for selinux ppc32 issue.
- fix build with current glibc/headers

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-1
- update to 2.3.2

* Mon Jun 25 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-3
- fix some build bogosity

* Wed Jun 20 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-2
- add a dist tag

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-1
- update to 2.2.9

* Wed Jan 17 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-14
- fix docdir, obsoletes for aqhbci-devel, and %%clean

* Tue Jan 16 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-13
- fix docs
- add PyXML buildreq

* Mon Jan 15 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-12
- fix missing %%defattrs
- fix %%excludes
- other cleanups from review
- use %%{_python_sitelib}
- require automake
- twiddle aqhbci obsoletes

* Sat Jan 13 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-11
- split into a variety of packages

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 2.1.0-10
- rebuild for python 2.5

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-9
- rebuild for fixed debuginfo (#205248)

* Fri Sep  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-8
- fix multilib conficts (#205204)

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-4
- rebuild against latest libofx

* Tue Aug  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-3
- reenable visibility

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-2
- port *-config to pkgconfig
- don't use -fvisibility=hidden

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-1
- update to 2.1.0

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-5
- buildreq autoconf, libtool

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-4
- add gettext buildreq (#193348)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Karsten Hopp <karsten@redhat.de> 1.8.1beta-3
- buildrequire libofx-devel instead of libofx (pulls in libofx)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Bill Nottingham <notting@redhat.com> 1.8.1beta-2
- add an obsolete (#178554)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-1
- initial packaging, adopt upstream specfile
