%define _unpackaged_files_terminate_build 1

Summary:	Simply a document viewer for MATE
Name:		atril
Version:	1.20.1
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.20/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/Publishing
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-icon-theme
#BuildRequires:	mate-desktop-devel
BuildRequires:	caja-devel
BuildRequires:	gtk3-devel
BuildRequires:	libxml2-devel
BuildRequires:	webkitgtk4-devel
BuildRequires:	libSM-devel
BuildRequires:	poppler-devel
BuildRequires:	libtiff-devel
BuildRequires:	djvulibre-devel
BuildRequires:	libspectre-devel
BuildRequires:	libkpathsea-devel
BuildRequires:	libgxps-devel
BuildRequires:	libsecret-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	gtk2
Requires(post,postun):	desktop-file-utils

Obsoletes:	mate-document-viewer < 1.8.0
Provides:	mate-document-viewer = %{name}-%{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
he MATE Display Manager is a system service that is responsible for
providing graphical log-ins and managing local and remote displays.


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Obsoletes:		mate-document-viewer-devel < 1.8.0
Provides:		mate-document-viewer-devel = %{name}-%{version}

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
Obsoletes:		mate-document-viewer-docs < 1.8.0
Provides:		mate-document-viewer-docs = %{name}-%{version}

%description    docs
This package contains documentation for %{name}.


%package        caja
Summary:        Caja extension for %{name}
Summary(ja):    %{name} の Caja 拡張
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}

%description    caja
This package contains the atril caja extension.


%prep
%setup -q
# fix typo in ja.po
sed -i "s|Artil|Atril|" po/ja.po


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--with-gtk=3.0 \
	--enable-pixbuf

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_bindir}/atril-previewer
%{_bindir}/atril-thumbnailer
%{_libdir}/libatrildocument.so.*
%{_libdir}/libatrilview.so.*
%{_libdir}/%{name}
%{_libexecdir}/mate/atrild
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/caja/extensions/libatril-properties-page.caja-extension
%{_datadir}/dbus-1/services/org.mate.atril.Daemon.service
%{_datadir}/glib-2.0/schemas/org.mate.Atril.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/help/*
%{_datadir}/%{name}
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/atril-previewer.1.gz
%{_mandir}/man1/atril-thumbnailer.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libatrildocument.so
%{_libdir}/libatrilview.so
%{_libdir}/pkgconfig/atril-document-1.5.0.pc
%{_libdir}/pkgconfig/atril-view-1.5.0.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/libatrildocument-1.5.0
%{_datadir}/gtk-doc/html/libatrilview-1.5.0

%files caja
%defattr(-,root,root,-)
%{_libdir}/caja/extensions-2.0/libatril-properties-page.so


%changelog
* Sun May 20 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.20.1-1
- update to 1.20.1

* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.18.3-1
- new upstream release.
- switched to gtk3.

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.1-1
- new upstream release
- update Packager

* Fri Jul  1 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.1-2
- rebuilt with new toolchain.

* Sun May 22 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.1-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Wed Sep 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-2
- fix typo in ja.po

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release
- create %%{name}-caja subpackage

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- add BuildRequires: mate-desktop-devel, WebKit-gtk-devel

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-4
- rebuild with poppler-0.26.2

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-3
- rebuild with libarchive-3.1.2

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- rebuild with poppler-0.24.5

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- rename package
- add BuildRequires: libsecret-devel, itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel
- add BuildRequires: libgxps-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

