Name:		aufs-util
Summary:	Another unionfs implementation
Summary(ja):    もうひとつの unionfs 実装
Version:	0.0.20160321
Release:        1%{?_dist_release}

Group:		System Environment/Base
License:	GPLv2+	
URL:		http://aufs.sourceforge.net/

Source:		%{name}-%{version}.tar.xz
Patch0:		aufs-util-install.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	kernel-headers >= 3.4.3-1
BuildRequires: 	glibc-static

%description
Aufs is a stackable unification file system, which can merge the
contents of several directories (so called branches) while keeping
their physical content separate. It allows any mix of read-only and
read-write branches, as well as insertion and deletion of branches on
the fly.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README sample/
%{_sysconfdir}/default/aufs
/sbin/auibusy
/sbin/aumvdown
/sbin/auplink
/sbin/mount.aufs
/sbin/umount.aufs
%{_bindir}/aubrsync
%{_bindir}/aubusy
%{_bindir}/auchk
%{_libdir}/libau.so
%{_libdir}/libau.so.*
%{_mandir}/man5/aufs.5*
%{_mandir}/man8/aumvdown.8*

%changelog
* Fri May 13 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.20160321-1
- updated to git aufs4.0 branch head

* Wed Oct 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.20151004-1
- updated to git aufs4.0 branch head

* Sat Sep  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.0.20150511-1
- updated to git aufs3.14 branch head
- updated Patch0
- changed Group to System Environment/Base

* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20120619-1
- update to git aufs3.0 branch head

* Fri Jan 27 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.0.20120127-1
- initial build for Vine Linux

