# run "make check" by default
%bcond_without check

Summary: A GNU tool for automatically creating Makefiles.
Summary(ja): Makefile を自動生成するための GNU ツール
Name: automake
Version: 1.16.5
%define api_version %(echo %{version} | cut -d . -f 1-2)
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: GPL
URL: http://sources.redhat.com/automake
Source: https://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Source2: http://git.savannah.gnu.org/cgit/config.git/plain/config.sub
Source3: http://git.savannah.gnu.org/cgit/config.git/plain/config.guess

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  autoconf >= 2.58
BuildRequires:  texinfo
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  help2man
BuildRequires:  perl(Thread::Queue)
BuildRequires:  perl(threads)
Requires:       perl, autoconf >= 2.58
# requirements not detected automatically (#919810)
Requires:       perl(Thread::Queue)
Requires:       perl(threads)
Requires(pre):  install-info

# remove bogus Automake perl dependencies and provides
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Automake::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Automake::

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles. If you install Automake, you will also need to install
GNU's Autoconf package.


%prep
%autosetup -p1
#autoreconf -vi

for file in %SOURCE2 %SOURCE3; do
    for dest in $(find -name "$(basename "$file")"); do
        cp "$file" "$dest"
    done
done
sed -i -e '/t\/vala-.*sh/d' t/list-of-tests.mk


%build
./bootstrap
%configure
%{__make} %{?_smp_mflags}
cp m4/acdir/README README.aclocal
cp contrib/multilib/README README.multilib


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

# create this dir empty so we can own it
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/aclocal
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%check
%if %{with check}
%{__make} -k %{?_smp_mflags} check %{?TESTS_FLAGS: TESTS="%{TESTS_FLAGS}"} \
    || ( cat ./test-suite.log && false )
%endif


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS NEWS README THANKS
%doc REAME.aclocal README.multilib
%doc %{_pkgdocdir}/amhello-1.0.tar.gz
%{_bindir}/*
%{_infodir}/*.info*
%{_datadir}/automake-%{api_version}
%{_datadir}/aclocal-%{api_version}
%{_mandir}/man1/*
%dir %{_datadir}/aclocal


%changelog
* Fri Oct 15 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.5-1
- updated to 1.16.5.
- dropped install-info scriptltes.

* Fri Jul 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.4-1
- updated to 1.16.4.

* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.3-1
- updated to 1.16.3.
- dropped Patch0: got same effect by sed.
- dropped Patch1.
- imported Patch1 from rawhide.

* Thu Aug 29 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.1-1
- updated to 1.16.1.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.1-2
- added Patch0 for perl-5.26.

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.1-1
- update to 1.14.1

* Sat Sep 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14-1
- update to 1.14
- remove Patch1 (automake-1.12.2-vala-fails.patch)

* Thu Nov 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12.5-1
- update to 1.12.5

* Tue Nov 27 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12.2-1
- update to 1.12.2
- add patch1 to skip vala test.

* Sun Sep 30 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.11.1-4
- change prereq to Require(pre)

* Sat Aug 11 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.11.1-3
- add patch100 for fix CVE-2012-3386 (world-writable tmp dir)

* Tue Apr 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.11.1-2
- rebuild for Vine 6

* Sat Jan 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.11.1-1
- new upstream release

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.10.1-2
- spec in utf-8

* Wed Apr 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10.1-1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.6-0vl1
- new upstream release

* Thu Jun  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.5-0vl1
- new upstream release

* Wed May  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.4-0vl1
- new upstream release

* Thu Apr 1 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.3-0vl1
- new upstream release

* Wed Feb 25 2004 Tomoya TAKA <taka@vinelinux.org> 1.8.2-0vl3
- rebuild

* Fri Feb 20 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.8.2-1vl2
- rebuild

* Thu Feb 05 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.2-0vl1
- new upstream release

* Mon Jan 12 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.8-1vl1
- based on 1.8-1 from Rawhide and built for Vine Linux

* Mon Nov 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.9-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.6-0vl1
- new upstream release

* Sat Jun 07 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.7.5-1vl1
- based on 1.7.5-1 from Rawhide and built for Vine Linux

* Wed Apr 09 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.7.3-1vl1
- based on 1.7.3-1 from Rawhide and built for Vine Linux

* Sun Dec 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.6.3-1vl2
- based on 1.6.3-1 from Rawhide and built for Vine Linux

* Mon Jul 29 2002 Jens Petersen <petersen@redhat.com> 1.6.3-1
- bug fix release 1.6.3

* Thu Jul 11 2002 Jens Petersen <petersen@redhat.com> 1.6.2-2
- add buildrequires autoconf 2.52 or greater (reported by Edward Avis) 

* Wed Jun 19 2002 Jens Petersen <petersen@redhat.com> 1.6.2-1
- 1.6.2 (bug fix release)
- do "make check" after building

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.6.1-2
- automated rebuild

* Tue Apr 23 2002 Jens Petersen <petersen@redhat.com> 1.6.1-1
- 1.6.1

* Tue Mar 12 2002 Jens Petersen <petersen@redhat.com> 1.6-1
- new package based on automake15
- 1.6

* Wed Jan 23 2002 Jens Petersen <petersen@redhat.com> 1.5-8
- better aclocal versioning

* Wed Jan 23 2002 Jens Petersen <petersen@redhat.com> 1.5-7
- don't version datadir/automake

* Tue Jan 15 2002 Jens Petersen <petersen@redhat.com> 1.5-6
- version suffix programs and data directories
- own symlinks to programs and /usr/share/aclocal

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.5-5
- automated rebuild

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.5-4
- Completely back out the fix for #56624 for now, it causes more problems
  than it fixes in either form.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.5-3
- Don't use AS_DIRNAME, it doesn't work.

* Mon Jan  7 2002 Jens Petersen <petersen@redhat.com> 1.5-2
- Patch depout.m4 to handle makefiles passed to make with "-f" (#56624)

* Tue Sep 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5-1
- Update to 1.5 - much better to coexist with autoconf 2.52...
- Fix specfile
- No patches

* Fri Aug 24 2001 Jens Petersen <petersen@redhat.com> - 1.4p5-2
- dont raise error when there is source in a subdirectory (bug #35156).
  This was preventing automake from working in binutuls/gas 
  [patch from HJ Lu <hjl@gnu.org>]
- format long lines of output properly with backslash + newlines as in 1.4
  (bug #35259) [patch from HJ Lu <hjl@gnu.org>]

* Sat Jul 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.4-p5, fixes #48788

* Tue Jun 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add the patch from #20559
- really update to 1.4-p4

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4-p4

* Sat May 12 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.4-p1 to work with libtool-1.4

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #8870

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- revert to pristine automake-1.4.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
