%define tarname automake-1.4-p6

Summary: A GNU tool for automatically creating Makefiles.
Summary(ja): Makefile を自動生成するための GNU ツール
Name: automake14
Version: 1.4p6
Release: 8%{?_dist_release}
License: GPLv2
Group: Development/Tools
URL: http://sources.redhat.com/automake

Source: ftp://ftp.gnu.org/pub/gnu/automake/%{tarname}.tar.gz
Patch1: automake-1.4-libtoolize.patch
Patch2: automake-1.4-subdir.patch
Patch3: automake-1.4-backslash.patch
Patch6: automake-1.4-tags.patch
Patch7: automake-1.4-subdirs-89656.patch
Patch8: automake14-info.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: texinfo
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

Conflicts: automake < 1.5

%description 
Automake is a tool for automatically generating
`Makefile.in' files compliant with the GNU Coding Standards.

This package contains Automake 1.4, an older version of automake.
You should install it if you need to run automake in a project that
has not yet been updated to work with newer version of Automake.


%prep
%setup -q -n %{tarname}
%patch1 -p0
%patch2 -p1 -b .subdir
%patch3 -p1 -b .backslash
%patch6 -p1 -b .tags
%patch7 -p1 -b .dollar
%patch8 -p1 -b .rh1
mv automake.texi automake14.texi
rm automake.info

%build
#autoreconf


%configure
make

## 5 of 194 tests fail
# make check || :


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## create this dir empty so we can own it
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

# remove uninstalled files
rm ${RPM_BUILD_ROOT}%{_bindir}/{automake,aclocal}
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*-1.4
%{_datadir}/aclocal*/
%{_datadir}/automake-1.4/
%{_infodir}/*

%changelog
* Sun Dec 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4p6-8
- rebuilt on current VineSeed

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4p6-7
- rebuild with Vine6 environment

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.4p6-6
- rebuilt with new toolchain
- applied new versioning policy

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.4p6-5vl5
- spec in utf-8

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4p6-4vl5
- added Patch8 from Fedora
  * Thu Feb 15 2007 Karsten Hopp <karsten@redhat.com> 1.4p6-14
  - misc. fixes for review
  * Mon Jun 12 2006 Karsten Hopp <karsten@redhat.de> 1.4p6-13
  - don't run autoreconf during build (#194735)

* Tue Jan 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4p6-4vl4
- added BuildRequires: texinfo
- added Japanese summary

* Sat Feb 07 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4p6-4vl3
- patch7 from fedora 1.4p6-8
- add BuildRequires: automake
- s/Copyright/License/

* Mon Dec 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4p6-4vl2
- delete PreReq: install-info

* Mon Dec 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4p6-4vl1
- based on 1.4p6-4 from Rawhide and built for Vine Linux
- uncomment make check and add "|| :"

* Sat Nov 23 2002 Jens Petersen <petersen@redhat.com> 1.4p6-4
- remove bin and info files not for manifest
- update url (#77325)

* Fri Sep  5 2002 Jens Petersen <petersen@redhat.com> 1.4p6-3
- bring back COPYING and INSTALL in datadir

* Fri Aug 16 2002 Jens Petersen <petersen@redhat.com> 1.4p6-2
- conflict with automake < 1.5, to prevent both automake-1.4 and automake14
  from being installed at the same time (#71626)

* Mon Jul 29 2002 Jens Petersen <petersen@redhat.com> - 1.4p6-1
- 1.4-p6 with versioning from upstream
- versioning and lisp patches no longer required
- include the info files in the docs dir
- remove doc files from the automake-1.4 datadir.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan 18 2002 Jens Petersen <petersen@redhat.com> - 1.4p5-1
- new package based on automake-1.4p5-3
- add version suffix to prgram names and data directories
- no info files, since only 1.5 info files will be installed


* Wed Nov 14 2001 Jakub Jelinek <jakub@redhat.com> - 1.4p5-3
- fix lisp.am bug

* Fri Aug 24 2001 Jens Petersen <petersen@redhat.com> - 1.4p5-2
- dont raise error when there is source in a subdirectory (bug #35156).
  This was preventing automake from working in binutuls/gas 
  [patch from HJ Lu <hjl@gnu.org>]
- format long lines of output properly with backslash + newlines as in 1.4
  (bug #35259) [patch from HJ Lu <hjl@gnu.org>]

* Sat Jul 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.4-p5, fixes #48788

* Tue Jun 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add the patch from #20559
- really update to 1.4-p4

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4-p4

* Sat May 12 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.4-p1 to work with libtool-1.4

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #8870

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- revert to pristine automake-1.4.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
