%bcond_with systemd

%define avahi_user_uid 70
%global unitfiles avahi-daemon.socket avahi-daemon.service avahi-dnsconfd.service

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:        Local network service discovery 
Summary(ja):	ローカルネットワークサービス検出システム
Name:           avahi
Version:        0.8
Release:        3%{?_dist_release}%{?with_systemd:.systemd}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPL
URL:            http://avahi.org
Source0:        %{name}-%{version}.tar.gz

## upstream patches
Patch6:         0006-avahi-dnsconfd.service-Drop-Also-avahi-daemon.socket.patch
Patch7:         0007-man-add-missing-bshell.1-symlink.patch
Patch8:         0008-Ship-avahi-discover-1-bssh-1-and-bvnc-1-also-for-GTK.patch
Patch9:         0009-fix-requires-in-pc-file.patch
Patch10:        0010-fix-bytestring-decoding-for-proper-display.patch
Patch11:        0011-avahi_dns_packet_consume_uint32-fix-potential-undefi.patch

Patch1000:      avahi-0.6.31-vine.patch

# this patch also fixes CVE-2021-36217.
Patch2000:      CVE-2021-3502.patch
Patch2001:      CVE-2021-3468.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  dbus-devel, dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  expat-devel
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
#BuildRequires:  python, dbus-python, libxml2-python
BuildRequires:  gdbm-devel
BuildRequires:  intltool
BuildRequires:  libcap-devel
BuildRequires:  libdaemon-devel >= 0.12
BuildRequires:  libevent-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  xmltoman
Requires:       dbus

Requires(post):   dbus
Requires(pre):    shadow-utils
Requires(pre):    coreutils
%if %{with systemd}
BuildRequires:    systemd
%{?systemd_requires}
%else
Requires(post): initscripts, chkconfig >= 1.3.34
%endif

Obsoletes:      howl, howl-libs


%description
Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very
convenient.


%package tools
Summary: Tools for mDNS browsing and publishing
Group: admin-tools
Requires: %{name} = %{version}, gdbm

%description tools
Tools that use avahi to browse and publish mDNS services and hosts.


%package ui-gtk3
Summary: Gtk user interface library for Avahi (Gtk+ 3 version)
Group: admin-tools
Provides: avahi-ui = %{version}-%{release}
Obsoletes: avahi-ui < %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: gtk3

%description ui-gtk3
This library contains a Gtk 3.x widget for browsing services.


%package ui-gtk3-devel
Summary: Libraries and header files for avahi ui development
Group: programming
Provides: avahi-ui-devel = %{version}-%{release}
Obsoletes: avahi-ui-devel < %{version}-%{release}
Requires: %{name}-devel = %{version}
Requires: %{name}-ui-gtk3 = %{version}
Requires: gtk3-devel

%description ui-gtk3-devel
The avahi-ui-devel package contains the header files and libraries
necessary for developing programs using avahi with gtk+.


%package glib
Summary: Glib libraries for avahi
Summary(ja): avahi 用 glib ライブラリ
Group: system
Requires: %{name} = %{version}
Requires: glib2

%description glib
Libraries for easy use of avahi from glib applications.


%package glib-devel
Summary: Libraries and header files for avahi glib development
Group: programming
Requires: %{name}-devel = %{version}
Requires: %{name}-glib = %{version}
Requires: glib2-devel

%description glib-devel
The avahi-glib-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.


%package gobject
Summary: GObject library for Avahi
Summary(ja): Avahi 用 GObject ライブラリ
Group: system
Requires: glib2
Requires: %{name}-glib = %{version}-%{release}

%description gobject
This library contains a GObject wrapper for the Avahi API


%package gobject-devel
Summary: Libraries and header files for Avahi GObject development
Summary(ja): Avahi GObject 開発用ライブラリとヘッダファイル
Group: programming
Requires: %{name}-gobject = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib-devel = %{version}-%{release}

%description gobject-devel
The avahi-gobject-devel package contains the header files and libraries
necessary for developing programs using avahi-gobject.


%package devel
Summary: Libraries and header files for avahi development
Group: programming
Requires: %{name} = %{version}
Obsoletes: howl-devel

%description devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.


# compat32
%package -n compat32-%{name}
Summary:        Local network service discovery 
Summary(ja):	ローカルネットワークサービス検出システム
Group:          system
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very
convenient.


%package -n compat32-%{name}-ui-gtk3
Summary: Gtk user interface library for Avahi (Gtk+ 3 version)
Group: admin-tools,legacy
Provides: compat32-avahi-ui = %{version}-%{release}
Obsoletes: compat32-avahi-ui < %{version}-%{release}
Requires: %{name}-ui-gtk3 = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-gtk3

%description -n compat32-%{name}-ui-gtk3
This library contains a Gtk 3.x widget for browsing services.


%package -n compat32-%{name}-ui-gtk3-devel
Summary: Libraries and header files for avahi ui development
Group: programming,legacy
Provides: compat32-avahi-ui-devel = %{version}-%{release}
Obsoletes: compat32-avahi-ui-devel < %{version}-%{release}
Requires: %{name}-ui-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-ui-gtk3 = %{version}-%{release}
Requires: compat32-gtk3-devel

%description -n compat32-%{name}-ui-gtk3-devel
The avahi-ui-devel package contains the header files and libraries
necessary for developing programs using avahi with gtk+.


%package -n compat32-%{name}-glib
Summary: Glib libraries for avahi
Summary(ja): avahi 用 glib ライブラリ
Group: system,legacy
Requires: %{name}-glib = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2

%description -n compat32-%{name}-glib
Libraries for easy use of avahi from glib applications.

%package -n compat32-%{name}-glib-devel
Summary: Libraries and header files for avahi glib development
Group: programming,legacy
Requires: %{name}-glib-devel = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-glib = %{version}-%{release}
Requires: compat32-glib2-devel

%description -n compat32-%{name}-glib-devel
The avahi-glib-devel package contains the header files and libraries
necessary for developing programs using avahi with glib.

%package -n compat32-%{name}-gobject
Summary: GObject library for Avahi
Summary(ja): Avahi 用 GObject ライブラリ
Group: system,legacy
Requires: %{name}-gobject = %{version}-%{release}
Requires: compat32-glib2
Requires: compat32-%{name}-glib = %{version}-%{release}

%description -n compat32-%{name}-gobject
This library contains a GObject wrapper for the Avahi API


%package -n compat32-%{name}-gobject-devel
Summary: Libraries and header files for Avahi GObject development
Summary(ja): Avahi GObject 開発用ライブラリとヘッダファイル
Group: programming,legacy
Requires: %{name}-gobject-devel = %{version}-%{release}
Requires: compat32-%{name}-gobject = %{version}-%{release}
Requires: compat32-%{name}-devel = %{version}-%{release}
Requires: compat32-%{name}-glib-devel = %{version}-%{release}

%description -n compat32-%{name}-gobject-devel
The avahi-gobject-devel package contains the header files and libraries
necessary for developing programs using avahi-gobject.


%package -n compat32-%{name}-devel
Summary: Libraries and header files for avahi development
Group: programming,legacy
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
The avahi-devel package contains the header files and libraries
necessary for developing programs using avahi.


%debug_package


%prep
%setup -q
%autopatch -p1

rm -fv docs/INSTALL


%build
autoreconf -ivf

%configure --with-distro=vine \
  --disable-monodoc \
  --without-python-twisted \
  --disable-pygobject \
  --with-avahi-user=avahi --with-avahi-group=avahi \
  --enable-compat-howl --enable-compat-libdns_sd \
  --with-avahi-priv-access-group=avahi \
  --with-autoipd-user=avahi-autoipd \
  --with-autoipd-group=avahi-autoipd \
  --enable-gtk3 \
  --disable-gtk \
  --disable-qt3 \
  --disable-qt4 \
  --disable-qt5 \
  --disable-mono \
  --disable-python \
  --enable-shared=yes \
  --enable-static=no \
  --disable-silent-rules \
%if %{with systemd}
  --with-systemdsystemunitdir=%{_unitdir} \
%endif
  --enable-introspection=no

%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# omit libtool .la files
rm -fv %{buildroot}%{_libdir}/lib*.la

# remove example 
rm -fv %{buildroot}%{_sysconfdir}/avahi/services/ssh.service
rm -fv %{buildroot}%{_sysconfdir}/avahi/services/sftp-ssh.service

# remove desktop file for avahi-discover
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/avahi-discover.desktop

# create /var/run/avahi-daemon to ensure correct selinux policy for it:
mkdir -p %{buildroot}%{_localstatedir}/run/avahi-daemon
mkdir -p %{buildroot}%{_localstatedir}/lib/avahi-autoipd

# remove the documentation directory - let % doc handle it:
rm -rfv %{buildroot}%{_datadir}/%{name}-%{version}

# remove avahi-bookmarks - unusable without python-twisted,
# which has been judged dangerous and is removed from the 
# Fedora Core distribution:
rm -f $RPM_BUILD_ROOT/%{_bindir}/avahi-bookmarks $RPM_BUILD_ROOT/%{_mandir}/man1/avahi-bookmarks*
#
%if %{with systemd}
rm -fv %{buildroot}%{_sysconfdir}/init.d/avahi-daemon
rm -fv %{buildroot}%{_sysconfdir}/init.d/avahi-dnsconfd
%else
# move initscripts into /etc/rc.d/init.d :
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
mv $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/* $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/*
%endif

# Make /etc/avahi/etc/localtime owned by avahi:
mkdir -p %{buildroot}/etc/avahi/etc
touch %{buildroot}/etc/avahi/etc/localtime

# fix bug 197414 - add missing symlinks for avahi-compat-howl and avahi-compat-dns-sd
ln -s avahi-compat-howl.pc  %{buildroot}/%{_libdir}/pkgconfig/howl.pc
ln -s avahi-compat-libdns_sd.pc %{buildroot}/%{_libdir}/pkgconfig/libdns_sd.pc
ln -s avahi-compat-libdns_sd/dns_sd.h %{buildroot}/%{_includedir}/

# unpackaged files
rm -fv  %{buildroot}%{_datadir}/applications/{bssh,bvnc}.desktop
rm -fv  %{buildroot}%{_datadir}/avahi/interfaces/avahi-discover.ui

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
# Add the "avahi" group
getent group avahi >/dev/null || /usr/sbin/groupadd -f -r avahi
# Add the "avahi" user
if ! getent passwd avahi > /dev/null ; then
  if ! getent passwd %{avahi_user_uid} > /dev/null ; then
    useradd -r -l -u %{avahi_user_uid} -g avahi -d %{_localstatedir}/run/avahi-daemon -s /sbin/nologin -c "Avahi mDNS/DNS-SD Stack" avahi
  else
    useradd -r -l -g avahi -d %{_localstatedir}/run/avahi-daemon -s /sbin/nologin -c "Avahi mDNS/DNS-SD Stack" avahi
  fi
fi
getent group avahi-autoipd >/dev/null || groupadd -f -g 170 -r avahi-autoipd
if ! getent passwd avahi-autoipd > /dev/null ; then
  if ! getent passwd 170 > /dev/null; then
    useradd -r -u 170 -l -g avahi-autoipd -d %{_localstatedir}/lib/avahi-autoipd -s /sbin/nologin -c "Avahi IPv4LL Stack" avahi-autoipd
  else
    useradd -r -l -g avahi-autoipd -d %{_localstatedir}/lib/avahi-autoipd -s /sbin/nologin -c "Avahi IPv4LL Stack" avahi-autoipd
  fi
fi
exit 0

%post
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :
if [ "$1" -eq 1 ]; then
   if [ -s /etc/localtime ]; then
	cp -fp /etc/localtime /etc/avahi/etc/localtime || :;
   fi
fi
%if %{with systemd}
%systemd_post %{unitfiles}
%else
/sbin/chkconfig --add avahi-daemon >/dev/null 2>&1 ||:
/sbin/chkconfig avahi-daemon resetpriorities >/dev/null 2>&1 ||:
/sbin/chkconfig --add avahi-dnsconfd >/dev/null 2>&1 ||:
/sbin/chkconfig avahi-dnsconfd resetpriorities >/dev/null 2>&1 ||:
%endif

%preun
%if %{with systemd}
%systemd_preun %{unitfiles}
%else
if [ "$1" -eq "0" ]; then
    /sbin/service avahi-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del avahi-daemon
    /sbin/service avahi-dnsconfd stop >/dev/null 2>&1
    /sbin/chkconfig --del avahi-dnsconfd
fi
%endif

%postun
%if %{with systemd}
%systemd_postun_with_restart %{unitfiles}
%else
if [ "$1" -eq "0" ]; then
   /sbin/service avahi-daemon condrestart >/dev/null 2>&1
   /sbin/service avahi-dnsconfd condrestart >/dev/null 2>&1
fi
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/* avahi-daemon/example.service avahi-daemon/ssh.service
%if %{with systemd}
%{_unitdir}/*
%{_datadir}/dbus-1/system-services/org.freedesktop.Avahi.service
%else
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/*
%endif
%dir %{_sysconfdir}/avahi
%dir %{_sysconfdir}/avahi/etc
%ghost %{_sysconfdir}/avahi/etc/localtime
%{_sysconfdir}/avahi/hosts
%dir %{_sysconfdir}/avahi/services
%dir %{_localstatedir}/run/avahi-daemon
%config %{_sysconfdir}/avahi/avahi-autoipd.action
%config %{_sysconfdir}/avahi/avahi-daemon.conf
%config %{_sysconfdir}/avahi/avahi-dnsconfd.action
%config %{_sysconfdir}/dbus-1/system.d/avahi-dbus.conf
%attr(755,root,root) %{_sbindir}/*
%{_libdir}/libavahi-common.so.*
%{_libdir}/libavahi-core.so.*
%{_libdir}/libavahi-client.so.*
%{_libdir}/libavahi-libevent.so.*
%{_libdir}/libhowl.so.*
%{_libdir}/libdns_sd.so.*
%attr(755,root,root) %{_datadir}/avahi
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/avahi
%exclude %{_datadir}/avahi/interfaces
%{_mandir}/man5/*
%{_mandir}/man8/*

%files tools
%defattr(-, root, root)
%{_bindir}/*
#%{python_sitelib}/*
%{_mandir}/man1/*
%{_datadir}/avahi/interfaces/
#%{_datadir}/applications/*

%files devel
%defattr(-, root, root)
%{_libdir}/libavahi-common.so
%{_libdir}/libavahi-core.so
%{_libdir}/libavahi-client.so
%{_libdir}/libavahi-libevent.so
%{_libdir}/libhowl.so
%{_libdir}/libdns_sd.so
%{_includedir}/avahi-client
%{_includedir}/avahi-common
%{_includedir}/avahi-core
%{_includedir}/avahi-compat-howl
%{_includedir}/avahi-compat-libdns_sd
%{_includedir}/avahi-libevent
%{_includedir}/dns_sd.h
%{_libdir}/pkgconfig/avahi-core.pc
%{_libdir}/pkgconfig/avahi-client.pc
%{_libdir}/pkgconfig/avahi-compat-howl.pc
%{_libdir}/pkgconfig/avahi-compat-libdns_sd.pc
%{_libdir}/pkgconfig/avahi-libevent.pc
%{_libdir}/pkgconfig/howl.pc
%{_libdir}/pkgconfig/libdns_sd.pc

%files ui-gtk3
%defattr(-, root, root)
%{_libdir}/libavahi-ui-gtk3.so.*

%files ui-gtk3-devel
%defattr(-, root, root)
%{_libdir}/libavahi-ui-gtk3.so
%{_includedir}/avahi-ui
%{_libdir}/pkgconfig/avahi-ui-gtk3.pc

%files glib
%defattr(-, root, root)
%{_libdir}/libavahi-glib.so.*

%files glib-devel
%defattr(-, root, root)
%{_libdir}/libavahi-glib.so
%{_includedir}/avahi-glib
%{_libdir}/pkgconfig/avahi-glib.pc

%files gobject
%defattr(-, root, root)
%{_libdir}/libavahi-gobject.so.*

%files gobject-devel
%defattr(-, root, root)
%{_libdir}/libavahi-gobject.so
%{_includedir}/avahi-gobject
%{_libdir}/pkgconfig/avahi-gobject.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/libavahi-common.so.*
%{_libdir}/libavahi-core.so.*
%{_libdir}/libavahi-client.so.*
%{_libdir}/libhowl.so.*
%{_libdir}/libdns_sd.so.*
%{_libdir}/avahi

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/libavahi-common.so
%{_libdir}/libavahi-core.so
%{_libdir}/libavahi-client.so
%{_libdir}/libhowl.so
%{_libdir}/libdns_sd.so

%files -n compat32-%{name}-ui-gtk3
%defattr(-, root, root)
%{_libdir}/libavahi-ui-gtk3.so.*

%files -n compat32-%{name}-ui-gtk3-devel
%defattr(-, root, root)
%{_libdir}/libavahi-ui-gtk3.so

%files -n compat32-%{name}-glib
%defattr(-, root, root)
%{_libdir}/libavahi-glib.so.*

%files -n compat32-%{name}-glib-devel
%defattr(-, root, root)
%{_libdir}/libavahi-glib.so

%files -n compat32-%{name}-gobject
%defattr(-, root, root)
%{_libdir}/libavahi-gobject.so.*

%files -n compat32-%{name}-gobject-devel
%defattr(-, root, root)
%{_libdir}/libavahi-gobject.so
%endif


%changelog
* Tue Jul 13 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.8-3
- imported Patch2001 from upstream PR to fix CVE-2021-3468.

* Fri Jun 04 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.8-2
- imported Patch2000 from upstream PR to fix CVE-2021-3502.
- dropped ldconfig scriptlets.

* Sat Apr 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.8-1
- new upstream release.
- added systemd support (disabled as default).

* Mon May 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.7-2
- rebuilt with gdbm-1.18.1.
- dropped GTK+2, Qt3 and Qt4 support.

* Tue Feb 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.7-1
- new upstream release.
- fixed illegal %%attr.

* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.31-5
- rebuild with gcc-5.4.0

* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.31-4
- rebuild with VineSeed environment

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.31-3
- rebuild with VineSeed environment
- add Patch0 (avahi-0.6.31-no-deprecations.patch) from Fedora

* Tue Aug 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.31-2
- update Patch10 (avahi-0.6.31-vine.patch)

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.31-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.30-3
- rebuild with python-2.7.2

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.30-2
- add -ui-gtk3 sub package
- add BuildRequires: gtk3-devel

* Sun Jul 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.30-1
- new upstream release

* Tue Apr 26 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.25-5
- add patch120 for fix CVE-2011-1002 (incorrect fix CVE-2010-2244)
- add patch110 for fix CVE-2010-2244 (DNS packets)

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.25-4
- rebuild with rpm-4.8.1 for pkg-config file

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.25-3
- rebuilt with gcc-4.4.3-3 on ppc

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.25-2
- rebuilt with python-2.6.4

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.25-1
- new upstream release
- update vine patch
  - startup avahi-daemon earlier

* Mon Jul 13 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.6.24-2
- added qt4 subpackage
- added compat32 package for x86_64 arch support

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.24-1
- new upstream release

* Fri Jan 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6.23-2
- fixed %%pre: add the "avahi" user to the "avahi" group

* Mon Sep 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.23-1
- new upstream release

* Thu Jul 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.22-1
- new upstream release
- add gobject, gobject-devel sub package
- enable avahi-autoipd

* Wed Jul 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.20-1vl5
- built with python-2.5.2
- s/automake-1.9/automake/
- fixed python library path
- applied new versioning policy

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.6.20-0vl2
- rebuild with expat-2.0.1

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.20-0vl1
- new upstream release

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.18-0vl2
- rebuild with new environment/toolchain

* Tue May 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.18-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.17-0vl2
- require new chkconfig to reset initscript priorities

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.17-0vl1
- new upstream release

* Fri Jan 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.13-0vl3
- add patch110 for fix CVE-2006-6870
- add Vendor/Distribution Tag

* Wed Dec 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.13-0vl2
- rebuilt for VineSeed

* Thu Dec 07 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.13-0vl1.1
- add patch100 for fix CVE-2006-5461
- add BuildRequires:  XOrg-gl-devel tag

* Thu Sep 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.13-0vl1
- new upstream release
- refine %%post scripts
- add condrestart daemon in %%postun

* Mon May 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.10-0vl1
- new upstream release

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.9-0vl2
- move /var/lib/run/avahi-daemon to /var/run

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.9-0vl1
- initial build for Vine Linux based on FC package
- add Patch10 to support Vine Linux

* Thu Feb 23 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.8-1
- Upgrade to upstream version 0.6.8
- fix bug 182462: +Requires(post): initscripts, chkconfig, ldconfig

* Fri Feb 17 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.7-1
- Upgrade to upstream version 0.6.7

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> - 0.6.6-4
- BuildRequires pygtk2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.6-3.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-3
- rebuild for new gcc (again)
- further fix for bug 178746: fix avahi-dnsconfd initscript 

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-2
- rebuild for new gcc, glibc, glibc-kernheaders

* Wed Feb 01 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.6-1
- fix bug 179448: mis-alignment of input cmsghdr msg->msg_control buffer on ia64
- Upgrade to 0.6.6

* Thu Jan 26 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.5-1
- Upgrade to upstream version 0.6.5
- Make /etc/avahi/etc and /etc/avahi/etc/localtime owned by avahi
  package; copy system localtime into chroot in post

* Mon Jan 23 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-4
- fix bug 178689: copy localtime to chroot
- fix bug 178784: fix avahi-dnsconfd initscript 

* Fri Jan 20 2006 Peter Jones <pjones@redhat.com> - 0.6.4-3
- fix subsystem locking in the initscript

* Thu Jan 19 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-2
- fix bug 178127: fully localize the initscript

* Mon Jan 16 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.4-1
- Upgrade to upstream version 0.6.4

* Thu Jan 12 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.3-2
- fix bug 177610: Enable mono support with new avahi-sharp package
- fix bug 177609: add gdbm / gdbm-devel Requires for avahi-browse

* Mon Jan 09 2006 Jason Vas Dias <jvdias@redhat.com> - 0.6.3-1
- Upgrade to upstream version 0.6.3
- fix bug 177148: initscript start should not fail if avahi-daemon running
 
* Thu Dec 22 2005 Jason Vas Dias <jvdias@redhat.com> - 0.6.1-3
- move initscripts from /etc/init.d to /etc/rc.d/init.d

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 09 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6.1-2
- fix bug 175352: Do not chkconfig --add avahi-daemon 
  if user has already configured it

* Wed Dec 07 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6.1-1
- Upgrade to 0.6.1

* Mon Dec 05 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-6
- fix bug 174799 - fix .spec file \%files permissions

* Fri Dec 02 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-5
- python-twisted has been removed from the FC-5 distribution - disable its use

* Thu Dec 01 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-4
- Rebuild for dbus-0.6 - remove use of DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT

* Wed Nov 30 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-3
- fix bug 172047 - tools should require python-twisted
- fix bug 173985 - docs directory permissions

* Mon Nov 21 2005 Jason Vas Dias<jvdias@redhat.com> - 0.6-1
- Upgrade to upstream version 0.6 - now provides 'avahi-howl-compat'
  libraries / includes.

* Mon Nov 14 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-7
- fix bug 172034: fix ownership of /var/run/avahi-daemon/
- fix bug 172772: .spec file improvements from matthias@rpmforge.net
 
* Mon Oct 31 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-6
- put back avahi-devel Obsoletes: howl-devel

* Mon Oct 31 2005 Alexander Larsson <alexl@redhat.com> - 0.5.2-5
- Obsoletes howl, howl-libs, as we want to get rid of them on updates
- No provides yet, as the howl compat library is in Avahi 0.6.0.

* Sun Oct 30 2005 Florian La Roche <laroche@redhat.com>
- disable the Obsoletes: howl until the transition is complete

* Fri Oct 28 2005 Jason Vas Dias<jvdias@redhat.com> - 0.5.2-3
- change initscript to start avahi-daemon AFTER messagebus

* Wed Oct 26 2005 Karsten Hopp <karsten@redhat.de> 0.5.2-2
- add buildrequires dbus-python

* Fri Oct 21 2005 Alexander Larsson <alexl@redhat.com> - 0.5.2-1
- Initial package
