Summary:        A dynamic, any to any, pixel format conversion library
Name:           babl
Version:        0.1.86
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

# The gggl codes contained in this package are under the GPL, with exceptions allowing their use under libraries covered under the LGPL
License:        LGPLv3+ and GPLv3+
URL:            http://www.gegl.org/babl/
Source0:        https://download.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  w3m
BuildRequires:  meson
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
BuildRequires:  lcms2-devel

%description
Babl is a dynamic, any to any, pixel format conversion library. It
provides conversions between the myriad of buffer types images can be
stored in. Babl doesn't only help with existing pixel formats, but also
facilitates creation of new and uncommon ones.
#'


%package devel
Summary:  Headers for developing programs that will use %{name}
Group:    programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the libraries and header files needed for
developing with %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
	-Dwith-docs=false
%meson_build


%install
%{__rm} -rf %{buildroot}
%meson_install

%{__mkdir_p} babl_docs babl_docs/html
%{__cp} -pr docs/graphics docs/*.html docs/babl.css babl_docs/html
%{__rm} -rf babl_docs/html/graphics/Makefile*

#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%if 0
%check
pushd tests
%{__rm} -f concurrency-stress-test
cat << EOF > concurrency-stress-test
#!/bin/sh
echo Skipping test concurrency-stress-test
EOF
chmod +x concurrency-stress-test
popd
make check
%endif


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, -)
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/*.so.*
%{_libdir}/babl-0.1/
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Babl-0.1.typelib

%files devel
%defattr(-, root, root, -)
%doc babl_docs/html
%{_includedir}/babl-0.1/babl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_datadir}/gir-1.0/
%{_datadir}/gir-1.0/Babl-0.1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/babl-*


%changelog
* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.86-1
- new upstream release.
- dropped ldconfig scriptlets.

* Sat Dec 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.82-1
- new upstream release.

* Fri Sep 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.78-1
- new upstream release.

* Fri Apr 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.74-1
- new upstream release.

* Fri Oct 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.72-1
- new upstream release.

* Mon Dec 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.60-1
- new upstream release.

* Tue Oct 02 2018 Toshiaki Ara <ara_t@384.jp> 0.1.56-1
- new upstream release

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.18-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.10-3
- remove *.la files

* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.10-2
- rebuild with VineSeed environment
- fix %%check (based on fedora package)

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.10-1
- new upstream release
- remove BuildRequires: inkscape, ruby

* Thu Apr 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- new upstream release

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.1.2-2
- rebuilt with rpm-4.8.1-3

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- new upstream release

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp>  0.0.22-1
- initial build for Vine Linux

* Thu Jul 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.22-1
- Update to latest release

* Thu Feb 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.20-1
- New release

* Thu Jan 17 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.18-2
- Apply patch to fix extensions loading on 64bit systems

* Thu Jan 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.18-1
- Update to 0.0.18

* Mon Nov 26 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.16-1
- Update to 0.0.16 release 
- License change from GPLv2+ to GPLv3+

* Mon Oct 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.15-0.5.20071011svn
- Update the License field 

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.15-0.4.20071011svn
- Package the extension libraries in the main package
- Run 'make check' 

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.15-0.3.20071011svn
- Ensure timestamps are kept during install

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.15-0.2.20071011svn
- Remove the use of inexistent source url (Package reviews)
- Package the html docs

* Thu Oct 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.15-0.1.20071011svn
- Initial packaging for Fedora
