%define byaccdate 20200330

Summary:	A public domain Yacc parser generator.
Summary(ja):	パブリックドメイン yacc 構文解析器生成プログラム
Name:		byacc
Version:	1.9
Release: 	28%{?_dist_release}
Group:		Development/Tools
Vendor:		Project Vine
Distribution:	Vine Linux

License:	public domain
# The source is taken from FreeBSD's CVS as of Thu Sep 28 2000
URL:		https://invisible-island.net/byacc/byacc.html
Source:		ftp://invisible-island.net/byacc/byacc-%{byaccdate}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.  

If you are going to do development on your system, you will want to install
this package.

%description -l ja
byacc (Berkeley Yacc) はパブリックドメインの LALR 構文解析器生成
プログラムで，多くのプログラムのビルド過程で使われます．

システムで開発を行う場合は，このパッケージをインストールする
必要があるでしょう．


%prep
%setup -q -n byacc-%{byaccdate}

# Revert default stack size back to 10000
# https://bugzilla.redhat.com/show_bug.cgi?id=743343
find . -type f -name \*.c -print0 |
  xargs -0 sed -i 's/YYSTACKSIZE 500/YYSTACKSIZE 10000/g'


%build
%configure --disable-dependency-tracking
%{__make}


%check
echo ====================TESTING=========================
make check
echo ====================TESTING END=====================


%install
rm -rf %{buildroot}
%make_install
ln -s yacc %{buildroot}%{_bindir}/byacc
ln -s yacc.1 %{buildroot}%{_mandir}/man1/byacc.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/yacc
%{_bindir}/byacc
%{_mandir}/man1/yacc.1*
%{_mandir}/man1/byacc.1*


%changelog
* Sun Jul 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.9-28
- updated tarball from CVS.

* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9-27
- rebuild with VineSeed environment

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.9-26
- rebuilt with rpm-4.8.1-3

* Wed Feb 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9-25
- rebuilt with new toolchain

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 	1.9-24
- spec in utf-8

* Sun Apr 06 2008 Kazutaka HARADA <Kazutaka@dc4.so-net.ne.jp> 1.9-23
- update source and sync with fedora development
- drop unnecessary patches
- apply new versioning policy
 
* Sun Jun 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9-22vl3
- s/Copyright/License/

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.9-22vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9-22vl1
- based on 1.9-22 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- security patch for tmpfile creation from Olaf Kirch <okir@lst.de>

* Fri Sep 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to the version in FreeBSD CVS - it's actively maintained, unlike
  the 1993 4BSD version we used to have

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Bill Nottingham <notting@redhat.com>
- fix perms in tarball

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify
- handle RPM_OPT_FLAGS

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- fix yacc for ia64

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to compress man pages
- fix up manpage symlink

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- man page fixed.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
