%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:     A file compression utility.
Summary(ja): ファイル圧縮ユーティリティ
Name: bzip2
Version: 1.0.8
Release: 1%{?_dist_release}
License: BSD
Group: Applications/Archiving
URL: http://www.bzip.org/
Source0: https://sourceware.org/pub/bzip2/%{name}-%{version}.tar.gz
Source1: bzip2.pc
Patch0: bzip2-saneso.patch
Patch1: bzip2-cflags.patch
Patch2: bzip2-ldflags.patch

# P2 implements a progress counter (in %). It also
# display the percentage of the original file the new file is (size). 
# URL: http://www.vanheusden.com/Linux/bzip2-1.0.2.diff.gz
Patch10: bzip2-1.0.2.diff.bz2

# security patch(es)
# none

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: texinfo

Vendor: Project Vine
Distribution: Vine Linux

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.


%package devel
Summary: Header files and libraries for developing apps which will use bzip2.
Summary(ja): bzip2 を使うプログラム開発に必要なヘッダファイルとライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and a static library of bzip2 functions, for developing apps
which will use the library.

## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: A file compression utility.
Summary(ja): ファイル圧縮ユーティリティ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package -n compat32-%{name}-devel
Summary: Header files and libraries for developing apps which will use bzip2.
Summary(ja): bzip2 を使うプログラム開発に必要なヘッダファイルとライブラリ
Group: Development/Libraries
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
Header files and a static library of bzip2 functions, for developing apps
which will use the library.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1

%patch10 -p1

cp -a %{SOURCE1} .
sed -i "s|^libdir=|libdir=%{_libdir}|" bzip2.pc

%build
make -f Makefile-libbz2_so \
	CC="%{__cc}" \
	AR="%{__ar}" \
	RANLIB="%{__ranlib}" \
	CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fpic -fPIC" \
	LDFLAGS="" \
	%{?_smp_mflags} all

rm -f *.o
make \
	CC="%{__cc}" \
	AR="%{__ar}" \
	RANLIB="%{__ranlib}" \
	CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
	LDFLAGS="" \
	%{?_smp_mflags} all

%install
rm -rf %{buildroot}

chmod 644 bzlib.h
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1,%{_libdir}/pkgconfig,%{_includedir}}
cp -p bzlib.h %{buildroot}%{_includedir}
install -m 755 libbz2.so.* %{buildroot}%{_libdir}
#install -m 644 libbz2.a %{buildroot}%{_libdir}
install -m 644 bzip2.pc %{buildroot}%{_libdir}/pkgconfig/bzip2.pc
install -m 755 bzip2-shared  %{buildroot}%{_bindir}/bzip2
install -m 755 bzip2recover bzgrep bzdiff bzmore  %{buildroot}%{_bindir}/
cp -p bzip2.1 bzdiff.1 bzgrep.1 bzmore.1  %{buildroot}%{_mandir}/man1/
ln -s bzip2 %{buildroot}%{_bindir}/bunzip2
ln -s bzip2 %{buildroot}%{_bindir}/bzcat
ln -s bzdiff %{buildroot}%{_bindir}/bzcmp
ln -s bzmore %{buildroot}%{_bindir}/bzless
ln -s bzgrep %{buildroot}%{_bindir}/bzegrep
ln -s bzgrep %{buildroot}%{_bindir}/bzfgrep
ln -s libbz2.so.%{library_version} %{buildroot}%{_libdir}/libbz2.so.1
ln -s libbz2.so.1 %{buildroot}%{_libdir}/libbz2.so
ln -s bzip2.1 %{buildroot}%{_mandir}/man1/bzip2recover.1
ln -s bzip2.1 %{buildroot}%{_mandir}/man1/bunzip2.1
ln -s bzip2.1 %{buildroot}%{_mandir}/man1/bzcat.1
ln -s bzdiff.1 %{buildroot}%{_mandir}/man1/bzcmp.1
ln -s bzmore.1 %{buildroot}%{_mandir}/man1/bzless.1
ln -s bzgrep.1 %{buildroot}%{_mandir}/man1/bzegrep.1
ln -s bzgrep.1 %{buildroot}%{_mandir}/man1/bzfgrep.1


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc CHANGES README
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/*so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/pkgconfig/*

## to build compat32 for x86_64 architecture support
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/*so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/*so
%{_libdir}/pkgconfig/*
%endif

%changelog
* Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.8-1
- new upstream release.
- dropped Patch0-3 and 1000.
- imported Patch0-2 from rawhide.

* Tue Jul 19 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.6-4
- fixed %%files.

* Tue Jul  5 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.6-3
- added Patch1000 to fix CVE-2016-3189.

* Wed Jan  1 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.6-2
- rebuilt with new vineseed toolchain

* Sat Jul 14 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-1
- update to 1.0.6

* Sun Apr 17 2011 IWAI, Masaharu <iwai@alib.jp> 1.0.5-5vl6
- build on current VineSeed
- update URL and Source0 tags URL

* Thu Feb 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-4
- rebuild with new toolchain

* Sun Jul 05 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.5-3
- updated Patch0: bzip2-1.0.5-autoconflibtoolize.patch
- removed unneccesary %if !%{build_compat32} case condition

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-2
- spec in utf-8
- remove static library

* Thu Mar 20 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.5-1
- new upstream release with security fix
- drop old patches (patch3-6) which are included in new release
- build under new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.3-0vl2
- changed Group to Applications/Archiving
- changed compat32-bzip2 Group to System Environment/Libraries

* Tue Feb 21 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.3-0vl1
- new upstream release
- add Patch3-6 from Fedora Core (includes CAN-2005-0758/0953)

* Sun Feb 12 2006 Shu KONNO <owa@bg.wakwak.com> 1.0.2-0vl5
- fixed %%postun (missing to build as scriptlet by invalid comment)

* Mon Feb 06 2006 Shu KONNO <owa@bg.wakwak.com> 1.0.2-0vl4
- moved macros (_lib, gcc -m32) to /usr/lib/rpm/rpmrc or macros files

* Fri Feb 03 2006 Shu KONNO <owa@bg.wakwak.com> 1.0.2-0vl3
- added compat32- packages for x86_64 architecture support
- changed autoconf-2.13 to current autoconf

* Mon May 05 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.2-0vl2
- added patch 1 from Rawhide 1.0.2-8
- added patch 2 from Mandrake 1.0.2-14mdk

* Sun Sep 29 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 1.0.2-0vl1
- previous patch is so incomplete that "bzip2 -f" fails.
  instead, update the source which fixes this and other bugs.

* Fri May 24 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- fix race condition.

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0.1-3vl2
- added Japanese summary
- rebuilt under new %%{_mandir} definition

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 1.0.1-3vl1
- build on Vine Linux with gcc-2.95.3
- partially used rpmmacros
 
* Fri Jul 21 2000 Trond Eivind Glomsr <teg@redhat.com>
- new URL and source location

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 01 2000 Trond Eivind Glomsr <teg@redhat.com>
- 1.0.1
- ported my patch

* Tue Jun 13 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging to build on solaris2.5.1.
- remove config.cache from autoconf patch.
- sparc: use %%configure, but not the m4 macros.

* Tue Jun 06 2000 Trond Eivind Glomsr <teg@redhat.com>
- Use %%configure, %%makeinstall, %%{_manpath} and %%{_tmpdir}

* Wed May 17 2000 Trond Eivind Glomsr <teg@redhat.com>
- 1.0.0 - ported my 1.0pre8 libtoolizedautoconf patch

* Tue May 16 2000 Trond Eivind Glomsr <teg@redhat.com>
- use soft links, not hardlinks, for binaries
- mv .so to devel

* Mon May 15 2000 Trond Eivind Glomsr <teg@redhat.com>
- autoconfed and libtoolized package 
- fixed Copyright (it's BSD, not GPL)
- dumped bzless (less works fine with bz2-files)
- rewrote build and install parts
- separated main package and devel package

* Mon May  8 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- 1.0pre8

* Fri Apr 14 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Add bzgrep (a version of zgrep hacked to do bzip2)

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Fri Dec 31 1999 Bernhard Rosenkr舅zer <bero@redhat.com>
- 0.9.5d
- Update download URL, add URL: tag in header

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 0.9.5c.

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- install actual bzip2 binary, not libtool cruft.

* Sun Aug  8 1999 Jeff Johnson <jbj@redhat.com>
- run ldconfig to get shared library.

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- create shared libbz1.so.* library.

* Sun Apr  4 1999 Jeff Johnson <jbj@redhat.com>
- update to bzip2-0.9.0c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God 
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
