%define pkg_name    cabal-install
%define pkg_version 1.22.9.0
%define pkg_release 1%{?_dist_release}

Summary: A command-line program simplifies the process of managing Haskell software
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   Applications/Languages
URL:     http://hackage.haskell.org
Source0: cabal-install-%{pkg_version}.tar.gz

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-root

BuildRequires: ghc
BuildRequires: haskell-platform-base
BuildRequires: libffi-devel gmp-devel zlib-devel
Requires: ghc

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
The 'cabal' command-line program simplifies the process of
managing Haskell software by automating the fetching, configuration,
compilation and installation of Haskell libraries and programs.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
ghc --make Setup
./Setup configure \
        --user \
        --disable-shared \
        --prefix=%{_usr} \
        --docdir=%{_docdir}/%{name}-%{version}
./Setup build

%install
./Setup copy --destdir=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc changelog LICENSE README.md
%{_bindir}/


%changelog
* Mon May 02 2016 Toshiaki Ara <ara_t@384.jp> 1.22.9.0-1
- update to 1.22.9.0
- rebuild under haskell-platform-2015.7.10.3-3
- delete BuildRequires: cabal-install and hscolour

* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 1.22.8.0-2
- correct SPEC file

* Sat Feb 20 2016 Toshiaki Ara <ara_t@384.jp> 1.22.8.0-2
- rebuild under ghc-7.10.3 and haskell-platform-2015.7.10.3

* Mon Feb 15 2016 Toshiaki Ara <ara_t@384.jp> 1.22.8.0-1
- update to 1.22.8.0

* Thu Feb 11 2016 Toshiaki Ara <ara_t@384.jp> 1.16.0.2-2
- correct Requires

* Thu Feb 11 2016 Toshiaki Ara <ara_t@384.jp> 1.16.0.2-1
- subpackage of haskell-platform

