Name: cdrdao
Summary: Writes audio CD-Rs in disk-at-once (DAO) mode.
Summary(ja): ディスクアットワンス（DAO）モードでオーディオデータを CD-R へ書き込むツール
Version: 1.2.3
Release: 6%{?_dist_release}

Group: Applications/Multimedia
License: GPLv2+
URL: http://cdrdao.sourceforge.net/

Source0:   http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Missing includes causes failure build
Patch1: cdrdao-1.2.3-stat.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libsigc++-devel
BuildRequires: libao-devel
BuildRequires: libvorbis-devel >= 1.0

Obsoletes: gcdmaster < 1.2.3-5vl7

Vendor: Project Vine
Distribution: Vine Linux

%description
Cdrdao records audio CD-Rs in disk-at-once (DAO) mode, based on a
textual description of the CD contents. Recording in DAO mode writes
the complete disc (lead-in, one or more tracks, and lead-out) in a
single step.

%description -l ja
Cdrdaoはディスクアットワンス（DAO）モードでaudioをCD-Rへ記録します。
CD中身の原文の説明に基づきます。DAOモードのレコーディングは、一回のステップに完全なディスク（lead-in、一つ以上のトラックとlead-out）を書きます。


%prep
%setup -q
%patch1 -p1 -b .stat

%build
%configure \
        --without-xdao \
        --without-scglib \
        --without-mp3-support \
        --without-lame

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cdrdao
%{_datadir}/cdrdao/*
%{_bindir}/toc2*
%{_bindir}/cue2toc
%{_mandir}/man1/*.gz
%doc AUTHORS COPYING CREDITS ChangeLog README NEWS README.PlexDAE README.Win32


%changelog
* Fri Jul  1 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.3-6
- rebuilt with new toolchain.

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-5
- remove gcdmaster subpackage
- remove BuildRequires: gtkmm2-devel, libgnomeuimm-devel, libSM-devel, libICE-devel

* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.2.3-4
- rebuilt with libao-1.2.0

* Fri Jul 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-3
- rebuild with libao-1.1.0

* Tue Apr 19 2011 Ryoichi INAGAKI <daisuke@linux.or.jp> 1.2.3-2
- fixed %%changelog
- added BR: libSM-devel and libICE-devel

* Sat Apr 16 2011 Ryoichi INAGAKI <daisuke@linux.or.jp> 1.2.3-1
- updated to 1.2.3
- rebuilt with current VineSeed

* Tue Apr 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-4
- add --without-mp3-support

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-3
- add --without-lame
- remove BR: libmad-devel

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-2vl5
- added BuildRequires: libao-devel, libmad-devel

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.2-1vl5
- applied new versioning policy, spec in utf-8
- added cdrdao-1.2.2-sigc.patch from mdv
    * Tue Sep 11 2007 Adam Williamson <awilliamson@mandriva.com> 1.2.2-5mdv2008.0
    + Revision: 84331
    - add patch0 to fix compilation issue caused by use of old sigc++ API

* Sat Nov  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-0vl1
- update to 1.2.2
- fixed BuildRequires and Prereq

* Mon May 22 2006 TOSHI <vine-jp@mail.goo.ne.jp> 1.1.9-0vl1
- update to 1.1.9
- added Requires -> libstdc++2_10,libstdc++2_10-compat

* Mon Jun 10 2002 Tomoya TAKA <taka@vinelinux.org> 1.1.5-7vl2
- separate gcdmaster into subpackage
- add /etc/profile.d/gcdmaster.{sh,csh} to exec gcdmaster on C locale
# end of file
