Summary:	A unit test framework for C
Summary(ja):	C 言語用単体テストフレームワーク
Name:		check
Version:	0.9.14
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
URL:		http://check.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-examples-bootstrap.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
BuildRequires:	texinfo
Requires(post,preun): /sbin/install-info

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	USAMI Kosuke <usami-k@yc5.so-net.ne.jp>

%description
Check is a unit test framework for C. It features a simple interface
for defining unit tests, putting little in the way of the developer. 
Tests are run in a separate address space, so Check can catch both
assertion failures and code errors that cause segmentation faults or
other signals. The output from unit tests can be used within source
code editors and IDEs.


%package devel
Summary:	Libraries and headers for developing programs with check
Summary(ja):	Check を使ったプログラム開発用ライブラリとヘッダファイル
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and headers for developing programs with check


%package tools
Summary:	The tools for %{name}
Summary(ja):	Check 用のツール
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains check tool "chkckmk".
checkmk, a tool for reducing "boilerplate coding" when writing unit tests with check.


%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

rm -rf example
cp -pr $RPM_BUILD_ROOT%{_datadir}/doc/check/example .
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/check


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER ChangeLog ChangeLogOld NEWS README SVNChangeLog
%{_libdir}/libcheck.so.*
%{_infodir}/check.info*

%files devel
%defattr(-,root,root)
%doc example
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_libdir}/libcheck.so
%{_libdir}/pkgconfig/check.pc
%{_datadir}/aclocal/check.m4

%files tools
%defattr(-,root,root)
%{_bindir}/checkmk
%{_mandir}/man1/checkmk.1.gz


%changelog
* Thu Nov 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.14-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.12-1
- new upstream release

* Sat Nov 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.9-1
- new upstream release
- create %{name}-tools sub package

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.8-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Apr 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9.8-1
- new upstream release
- dropt Patch1

* Mon May 26 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.5-2
- spec in UTF-8
- split devel subpackage

* Sat Apr  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.5-1vl5
- new upstream release
- updated Patch1

* Mon Sep 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.3-0vl2
- enable -fPIC to build gstreamer on x86_64

* Mon Jan 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.3-0vl1
- upstream release
- add BuildRequires: docbook-utils instead of lyx

* Fri Aug  1 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.8.4-0vl2
- Rebuild for new Vine.

* Wed Jun 18 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 0.8.4-0vl1
- Initial build.

