Summary:	Common libraries for Cinnamon desktop
Summary(ja):	Cinnamon デスクトップ用共通ライブラリ
Name: 		cinnamon-desktop
Version:	2.8.0
Release:	1%{?_dist_release}
URL:		https://github.com/linuxmint/cinnamon-desktop

Source0:	%{name}-%{version}.tar.gz

# for Vine Linux
Patch1000:	cinnamon-desktop-2.2.0-vine-settings.patch

License:	GPL 
Group:		User Interface/Desktops

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Requires for Vine
#Requires: ibus-gtk3
#Requires: gnome-icon-theme-symbolic
#Requires: gnome-themes
#Requires: gnome-themes-standard
#Requires: gnome-themes-vine
#Requires: gsettings-desktop-schemas

BuildRequires:	glib2-devel >= 2.32
BuildRequires:	gtk3-devel >= 3.3.6
BuildRequires:	libXrandr-devel
BuildRequires:	libxkbfile-devel
BuildRequires:	xkeyboard-config
BuildRequires:	gnome-common
BuildRequires:	autoconf, automake


%description
cinnamon-desktop contains the libcinnamon-desktop library, the cinnamon-about
program as well as some desktop-wide documents.

The libcinnamon-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.


%package devel
Summary: Libraries and headers for libcinnamon-desktop
Summary(ja): libcinnamon-desktop の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk3-devel >= %{gtk3_version}


%description devel
Libraries and header files for the GNOME-internal private library 
libcinnamon-desktop


%prep
%setup -q
%patch1000 -p1 -b .vine

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/cinnamon-desktop-migrate-mediakeys
%{_libdir}/libcinnamon-desktop.so.*
%{_libdir}/girepository-1.0/CDesktopEnums-3.0.typelib
%{_libdir}/girepository-1.0/CinnamonDesktop-3.0.typelib
%{_libexecdir}/cinnamon-rr-debug
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/libcinnamon-desktop/pnp.ids

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}//libcinnamon-desktop.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/CDesktopEnums-3.0.gir
%{_datadir}/gir-1.0/CinnamonDesktop-3.0.gir


%changelog
* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.3-1
- new upstream release
- remove Patch0 (cinnamon-desktop-2.2.0-revert-gnome-bg.patch)

* Tue Apr 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

