Summary:	Cinnamon Screensaver
Summary(ja):	Cinnamon スクリーンセーバー
Name:		cinnamon-screensaver
Version:	2.8.0
Release:	1%{?_dist_release}
License:	GPL
Group:		User Interface/Desktops
URL:		https://github.com/linuxmint/cinnamon-screensaver

Source0:	%{name}-%{version}.tar.gz

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk3-devel >= 2.99.3
BuildRequires:	glib2-devel >= 2.25.6
BuildRequires:	dbus-devel >= 0.30
BuildRequires:	cinnamon-desktop-devel >= 1.0.0
BuildRequires:	webkitgtk4-devel
BuildRequires:	pam-devel
BuildRequires:	libX11-devel, libXScrnSaver-devel, libXext-devel
BuildRequires:	libXinerama-devel libXmu-devel
BuildRequires:	libnotify-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libXxf86misc-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	nss-devel
BuildRequires:	automake, autoconf, libtool, intltool
BuildRequires:	gnome-common

Requires(postun,posttrans):  glib2
Requires(postun,posttrans):  desktop-file-utils

%description
cinnamon-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

	* the ability to lock down configuration settings
	* translation into many languages
	* user switching


%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--enable-locking \
	--without-systemd
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%postun 
if [ $1 -eq 0 ] ; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
	update-desktop-database -q > /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q > /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_sysconfdir}/pam.d/cinnamon-screensaver
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_libexecdir}/%{name}-dialog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_datadir}/%{name}
%{_mandir}/man1/%{name}-command.1.gz
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release
- add BuildRequires: webkitgtk4-devel

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.0-1
- new upstream release

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.4-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

