Summary:	The daemon sharing settings from Cinnamon to GTK+/KDE applications
Summary(ja):	Cinnamon から GTK+/KDE のアプリケーションで設定を共有するためのデーモン

Name:		cinnamon-settings-daemon
Version:	2.8.3
Release:	1%{?_dist_release}

Group:		System Environment/Daemons
License:	GPLv2+
URL:		https://github.com/linuxmint/cinnamon-settings-daemon
Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	dbus-glib-devel
BuildRequires:	gtk3-devel
BuildRequires:	cinnamon-desktop-devel
BuildRequires:  libnotify-devel >= 0.7.3
BuildRequires:	lcms2-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:	libgnomekbd-devel >= 2.91.1
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	libxkbfile-devel
BuildRequires:	xkeyboard-config
BuildRequires:	eudev-libgudev1-devel
BuildRequires:	nss-devel
BuildRequires:	polkit-devel
BuildRequires:	cups-devel
BuildRequires:	upower-devel >= 0.99.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	colord-devel
BuildRequires:	libwacom-devel
BuildRequires:	xorg-x11-drv-wacom-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libXtst-devel
BuildRequires:	gnutls-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
A daemon to share settings from GNOME to other applications. It also
handles global keybindings, as well as a number of desktop-wide settings.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -if
%configure \
	--disable-static \
	--disable-profiling \
	--disable-packagekit \
	--enable-ibus
	
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
  
%postun
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%dir %{_sysconfdir}/%{name}/xrandr/
%{_sysconfdir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
%{_libdir}/%{name}-3.0
%{_libexecdir}/%{name}
%{_libexecdir}/csd-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/%{name}-3.0/input-device-example.sh
%{_datadir}/dbus-1/system-services/org.cinnamon.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.cinnamon.settings-daemon.*
%{_datadir}/icons/hicolor/*/apps/csd-xrandr.*
%{_datadir}/polkit-1/actions/org.cinnamon.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.cinnamon.settings-daemon.plugins.wacom.policy
%{_datadir}/polkit-1/actions/org.cinnamon.settingsdaemon.datetimemechanism.policy
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-3.0
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Nov 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.3-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.1-1
- new upstream release
- add BuildRequires: gnutls-devel

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.3-2
- rebuild with current VineSeed environment

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.3-1
- new upstream release

* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.4-2
- change BuildRequires: upower-devel instead of libupower09-devel

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.4-1
- new upstream release
- change BuildRequires: eudev-libgudev1-devel instead of libgudev1-devel

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.1-1
- initial build

