Summary:     Javascript binding for Cinnamon
Summary(ja): Cinnamon 向け JavaScript バインディング
Name:        cjs
Version:     2.8.0
Release:     2%{?_dist_release}
Source0:     %{name}-%{version}.tar.gz

License:     LGPLv2
Group:       System Environment/Libraries
URL:         https://github.com/linuxmint/cjs

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig >= 0.14.0
BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel >= 1.29.16
BuildRequires:	cairo-devel
BuildRequires:	mozjs24-devel
BuildRequires:	yelp-tools
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	gnome-common

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This module contains JavaScript bindings based on gobject-introspection.


%package	devel
Summary:	Development files of the %{name} library.
Summary(ja):	%{name} ライブラリの開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Development files of the %{name} library.


%prep
%setup -q

%build
rm -f configure
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static)
%{__make} V=1 %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/cjs*
%{_libdir}/libcjs.so.*
%{_libdir}/%{name}
%{_libdir}/%{name}/girepository-1.0/CjsPrivate-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libcjs.so
%{_libdir}/pkgconfig/cjs-1.0.pc
%{_libdir}/pkgconfig/cjs-internals-1.0.pc


%changelog
* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-2
- rebuild with gcc-5.4.0

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release
- add BuildRequires: gtk3-devel

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.1-1
- new upstream release
- change BuildRequires: mozjs24-devel instead of js-devel

* Thu Jan  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.2.2-2
- moved to System Environment/Libraries Group
- added Japanese summary
- changed BR: automake instead of automake112

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.2-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.1-2
- rebuild with libffi-3.0.13

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.1-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

