%global         origname clutter-gst

Summary:        ClutterMedia interface to GStreamer
Name:           clutter-gst3
Version:        3.0.27
Release:        1%{?_dist_release}
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://www.clutter-project.org
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source:         https://download.gnome.org/sources/%{origname}/%{shortver}/%{origname}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  clutter-devel gstreamer1-plugins-base-devel gstreamer1-devel 
BuildRequires:	gobject-introspection-devel
BuildRequires:	eudev-libgudev1-devel

# use libgstclutter.so
Requires:	clutter-gst

%description
This package contains a video texture actor and an audio player object for
use with clutter


%package        devel
Summary:        Clutter-gst development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       clutter-devel
Requires:		gstreamer1-devel
Requires:		gstreamer1-plugins-base-devel

%description    devel
Header files and libraries for building a extension library for the
clutter-gst


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q -n clutter-gst-%{version}


%build
%configure --enable-introspection=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# remove conflict library with clutter-gst (libgstclutter.so)
rm -rf %{buildroot}%{_libdir}/gstreamer-1.0/


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README
%{_libdir}/libclutter-gst-3.0.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/clutter-gst-3.0.pc
%{_libdir}/libclutter-gst-3.0.so
%{_datadir}/gir-1.0/*.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/clutter-gst-3.0


%changelog
* Sun Aug 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.27-1
- new upstream release.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.26-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.18-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.14-1
- new upstream release

* Thu Jul 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.8-2
- add BuildRequires: eudev-libgudev1-devel
- remove libgstclutter-3.0.so

* Sun Jul 26 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.8-1
- new upstream release

* Sat May 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.6-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-1
- new upstream release
- rename package
- create %%{name}-docs subpackage

* Sun Feb 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.14-1
- new upstream release

* Tue Oct 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.0.12-2
- moved to System Environment/Libraries

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.12-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.10-3
- rebuild with cogl-1.18.0

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.10-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.8-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.8-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.6-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.4-1
- new upstream release

* Sun Mar 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.2-2
- rebuild with clutter-1.14.0

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.2-1
- new upstream release

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.0-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9.92-1
- new upstream release
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel

* Tue Jun 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Tue Jun 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.6-1
- new upstream release

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.4-1
- new upstream release

* Sat Jan 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.6-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Wed Oct 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Sat Oct 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.14-2
- rebuild with cogl-1.8.0

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.14-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.12-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Mar 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- new upstream release

* Sat Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- build for Vine Linux


* Wed Jul 29 2009 Bastien Nocera <bnocera@redhat.com> 0.10.0-1
- Update to 0.10.0

* Sat Jul 25 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-1
- Update to 0.9.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Jan 23 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-3
- Rebuild

* Fri Sep 12 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-2
- Rebuild against new gstreamer-devel

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0

* Fri Feb 22 2008 Allisson Azevedo <allisson@gmail.com> 0.6.1-1
- Update to 0.6.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.0-1
- Update to 0.4.0

* Sun May 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-2
- INSTALL removed from docs
- fix make install for keeping timestamps
- changed license for LGPL
- Fix requires/buildrequires

* Fri Apr 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-1
- Initial RPM release
