%define ver 1.0

Summary: A C++ wrapper for Clutter
Summary(ja): Clutter の C++ ラッパー
Name: cluttermm
Version: 1.17.3
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries

Source: ftp://ftp.gnome.org/pub/GNOME/sources/cluttermm/1.17/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires:	atkmm >= 2.22.2
Requires:	clutter >= 1.18.0
Requires:	gtkmm3 >= 3.10
Requires:	pangomm >= 2.27.1
BuildRequires:	atkmm-devel >= 2.22.2
BuildRequires:	clutter-devel >= 1.18.0
BuildRequires:	gtkmm3-devel >= 3.10
BuildRequires:	pangomm-devel >= 2.27.1
BuildRequires:	mm-common
BuildRequires:	autoconf

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

# from upstream 
Patch0: cluttermm-1.17.3-c++11.patch

%description
Cluttermm is a C++ wrapper for Clutter. See Clutter::Stage and Clutter::Actor,
for instance, and see the Programming with cluttermm tutorial.


%package	devel
Summary: 	Development tools for cluttermm applications.
Summary(ja): 	cluttermm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the cluttermm.

%prep
%setup -q 
%patch0 -p1

%build
autoreconf -if
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}/

# devhelp path fix
sed -i 's:doc/%{name}-%{ver}:gtk-doc/html/%{name}-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{ver}/%{name}-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*
%{_datadir}/%{name}-%{ver}/proc/m4/*.m4

%changelog
* Wed Jun 29 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.17.3-2
- rebuild with gcc-5.4.0
- add Patch0 (cluttermm-1.17.3-c++11.patch)

* Wed Dec 17 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.17.3-1
- new upstream release
- add BuildRequires: gtkmm3-devel
- dropt BuildRequires: mm-common

* Sun Oct 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.3-1
- new upstream release
- add BuildRequires: atkmm-devel, mm-common

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-1
- initial build for Vine Linux

