%define	srcdate	20110227
%define	srcname	cmigemo-default-src
%define use_git 1
%define githash 5e5f9810

Summary:	C implementation of migemo
Summary(ja): 	Migemo の C 言語による実装
Name:		cmigemo
Version:	1.3e
%if %{use_git}
Release: 	2.git%{githash}%{?_dist_release}
Source0:	%{name}-git%{githash}.tar.gz
%else
Release: 	1%{?_dist_release}
Source0:	http://cmigemo.googlecode.com/files/%{srcname}-%{srcdate}.zip
%endif
Patch0:		cmigemo-include-fix.patch
Patch2:		cmigemo-git_no-http.patch
License:	MIT/distributable (see README files for detail)
Group:		System Environment/Libraries
URL:		http://www.kaoriya.net/software/cmigemo

#Requires:	
BuildRequires:	ctags
BuildRequires:	unzip
BuildRequires:	nkf
#BuildRequires:	curl
BuildRequires:	skkdic
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

Packager:	kazutaka

%description
C/Migemo is a C implementation of Migemo(Ruby/Migemo).
With this library, It is possible to implement incremantal search
function for japanese using roman letter input.

%description -l ja
C/MigemoはMigemo(Ruby/Migemo)をC言語で実装したものです。C/Migemo
ライブラリを利用するソフトウェアは「ローマ字のまま日本語を(インク
リメンタルに)検索する」機能を持つことが可能になります。


%prep
%if %{use_git}
%setup -q -n %{name}-git%{githash}
%else
%setup -q -n %{srcname}
%endif
%patch0 -p1 -b .include
%patch2 -p1 -b .no-http

# fix execution bit for configure
%{__chmod} +x ./configure


%build
%configure --prefix=$RPM_BUILD_ROOT/%{_prefix}
%{__make} gcc
%{__make} gcc-dict


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} gcc-install DESTDIR=$RPM_BUILD_ROOT

# fix library install location for x86_64
%ifarch x86_64
%{__mv} $RPM_BUILD_ROOT/%{_prefix}/lib/ $RPM_BUILD_ROOT/%{_prefix}/lib64
%endif

# remove unnecessary files
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/migemo/cp932/
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/migemo/euc-jp/
%{__rm} -rf $RPM_BUILD_ROOT/%{_prefix}/doc/migemo/README_j.txt


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README.txt doc/
%{_bindir}/%{name}
%{_includedir}/migemo.h
%{_libdir}/libmigemo*
%{_datadir}/migemo/


%changelog
* Sun Jan 26 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.3e-2.git5e5f9810
- update to Git 5e5f9810
- drop unneccesary UTF-8 dictionary patch (Patch1)
- add no HTTP patch (Patch2)
- add BuildRequires: skkdic

* Mon Jun 20 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.3e-1
- initial build for Vine Linux
