Name:           cogl
Version:        1.22.8
Release:        2%{?_dist_release}
Summary:        A small open source library for using 3D graphics hardware to draw pretty pictures
Group:          system
Vendor:	        Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://www.clutter-project.org/
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
# Vaguely related to https://bugzilla.gnome.org/show_bug.cgi?id=772419
# but on the 1.22 branch, and the static inline in the header is gross
# ajax promises he'll clean this up.
Patch0:			0001-egl-Use-eglGetPlatformDisplay-not-eglGetDisplay.patch
# "GL_ARB_shader_texture_lod" is used to do lod biased texturing. It
# make achieve faster blurring of images instead of using large blur radius.
Patch1:			0002-add-GL_ARB_shader_texture_lod-support.patch
# "copy_sub_image" is used to implement feature similar with kwin blur
# effect by being abel to copy partial of framebuffer contents as texture
# and do post blurring.
Patch2:			0003-texture-support-copy_sub_image.patch

BuildRoot:		%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gobject-introspection-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXrandr-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	pango-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gstreamer1-plugins-base-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.


%package		devel
Summary:        Development tools for cogl
Summary(ja):    cogl の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
cogl.


%package		gstreamer
Summary:        Cogl GStreamer library
Summary(ja):    cogl gstreamer ライブラリ
Group:          system
Requires:       %{name} = %{version}-%{release}

%description	gstreamer
%{summary}


%package        docs
Summary:        Documentation for cogl
Summary(ja):    cogl 用のドキュメント
Group:          documentation
Provides:       %{name}-doc = %{version}-%{release}
BuildArch:		noarch

%description    docs
This package contains documentation for cogl.


%debug_package


%prep
%autosetup -p1


%build
%configure \
	--enable-gtk-doc \
	--disable-static \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-gst=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-introspection=yes \
	--enable-kms-egl-platform=yes \
	--enable-xlib-egl-platform=yes \
	--enable-wayland-egl-platform \
	--enable-wayland-egl-server

make %{_smp_mflags} V=1


%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p -c"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog AUTHORS NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/%{name}/examples-data/crate.jpg

%files devel
%defattr(-,root,root,-)
%{_includedir}/cogl
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files gstreamer
%defattr(-,root,root,-)
%{_libdir}/gstreamer-1.0/libgstcogl.so

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/cogl
%{_datadir}/gtk-doc/html/cogl-gst
%{_datadir}/gtk-doc/html/cogl-2.0-experimental


%changelog
* Sun Mar 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.22.8-2
- rebuilt with wayland.
- dropped ldconfig scriptlets.
- imported Patch0-2 from rawhdie.

* Sun Aug 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.22.8-1
- new upstream release.
- dropped Patch0: fixed in upstream.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.22.2-1
- new upstream release.
- added Patch0.

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.22.0-1
- new upstream release
- remove Patch0

* Wed May 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.20.0-2
- add Patch0 (cogl-1.20.0-git20150508.patch)
- add BuildRequires: mesa-libgbm-devel

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.20.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.18.2-1
- new upstream release
- add BuildRequires: mesa-libEGL-devel

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.18.0-1
- new upstream release

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.2-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.0-1
- new upstream release
- add BuildRequire: gstreamer1-plugins-base-devel

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release
- add BuildRequires: libXrandr-devel

* Sun Jan 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release
- remove Patch0 (04_fix_crash_on_free.patch)

* Sun Jul 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.4-1
- new upstream release

* Mon Jul 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-2
- add Patch0 (04_fix_crash_on_free.patch)

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Tue Sep 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.8-1
- new upstream release
- remove Patch0

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.6-1
- new upstream release
- add Patch0 (cogl-1.7.6-configure.patch)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.4-1
- initial build for Vine Linux

