Name:           colm
Version:        0.14.7
Release:        1%{?_dist_release}
Summary:        Programming language designed for the analysis of computer languages
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

# aapl/ and some headers from src/ are the LGPLv2+
License:        MIT and LGPLv2+
URL:            https://www.colm.net/open-source/colm/
Source0:        https://www.colm.net/files/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  asciidoc

# Unfortunately, upstream doesn't exist and not possible to find version
Provides:       bundled(aapl)

%description
Colm is a programming language designed for the analysis and transformation
of computer languages. Colm is influenced primarily by TXL. It is
in the family of program transformation languages.


%package devel
Summary:        Development libraries and header files for %{name}
Group:          programming
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      ragel-devel < 7.0.4
Provides:       ragel-devel = 7.0.4

%description devel
%{summary}.


%debug_package


%prep
%autosetup
# Do not pollute with docs
sed -i -e "/dist_doc_DATA/d" Makefile.am


%build
autoreconf -vfi
%configure --datadir=%{_datadir}/%{name}
%make_build


%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -print -delete
find %{buildroot}%{_libdir} -type f -name '*.a' -print -delete
install -p -m 0644 -D %{name}.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/%{name}.vim

rm -rf rpmdoc
mkdir -p rpmdoc
mv -f %{buildroot}%{_docdir}/%{name}/* ./rpmdoc/


%files
%license COPYING
%doc CREDITS README
%{_libdir}/lib%{name}-%{version}.so
%{_libdir}/libfsm-%{version}.so
%dir %{_datadir}/%{name}

%files devel
%doc rpmdoc/*
%{_bindir}/%{name}
%{_bindir}/%{name}-wrap
%{_libdir}/lib%{name}.so
%{_libdir}/libfsm.so
%{_includedir}/aapl
%{_includedir}/libfsm
%{_includedir}/%{name}
%{_datadir}/%{name}/*
%exclude %{_datadir}/vim/vimfiles/syntax/%{name}.vim


%changelog
* Mon Jul 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.14.7-1
- new upstream release.
- dropped ldconfig scriptletes.

* Mon Aug 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.13.0.7-4
- rebuilt with current environment.

* Sat Mar 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.13.0.7-3
- dropped a file for vim.

* Wed Oct 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.13.0.7-2
- initial build for Vine Linux.

* Sun Jul 28 2019 Christian Glombek <lorbus@fedoraproject.org> - 0.13.0.7-1
- Updated to version 0.13.0.7

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Christian Glombek <lorbus@fedoraproject.org> - 0.13.0.6-1
- Updated to version 0.13.0.6

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 10 2017 Jason Taylor <jtfas90@gmail.com> - 0.13.0.5-1
- Upstream bugfix release
- Correction to spec license add MIT license
- Added asciidoc BuildRequires and docdir files

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 01 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13.0.4-1
- Initial package
