Summary:	Additional GTK support code for colord
Name:		colord-gtk
Version:	0.2.0
Release:	1%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2+
URL:		https://www.freedesktop.org/software/colord/
Source0:	https://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	colord-devel >= 0.1.23
BuildRequires:	gtk3-devel >= 3.0.0
BuildRequires:	vala-tools

%description
Additional GTK support code for colord


%package	devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%prep
%setup -q


%build
%meson \
	-Dgtk2=false \
	-Dvapi=true \
	-Dtests=false \
	-Dman=false \
	-Ddocs=false
%meson_build


%install
rm -rf ${RPM_BUILD_ROOT}
%meson_install

%find_lang %{name}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/cd-convert
%{_libdir}/libcolord-gtk.so.*
%{_libdir}/girepository-1.0/ColordGtk-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/colord-1
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%{_datadir}/gir-1.0/ColordGtk-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2.0-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.26-1
- new upstream release.

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.25-3
- rebuild with colord-1.1.7

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.25-2
- rebuild with VineSeed environment

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.25-1
- new upstream release

* Thu Jan 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.24-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.23-1
- initial build
