%define ver 1.4
%define rel 2

Summary: Courier Unicode Library
Name: courier-unicode
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv3
Group: System Environment/Libraries
URL: http://www.courier-mta.org/unicode/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library implements several algorithms related to the Unicode Standard:

- Look up uppercase, lowercase, and titlecase equivalents of a unicode
  character.
- Implementation of grapheme and work breaking rules.
- Implementation of line breaking rules.
- Several ancillary functions, like looking up the unicode character
  that corresponds to some HTML 4.0 entity (such as “&amp;”, for example),
  and determining the normal width or a double-width status of a unicode
  character. Also, an adaptation of the iconv(3) API for this unicode library.

This library also implements C++ bindings for these algorithms.

%package devel
Summary: Libraries and header files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and header files for %{name}

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%prep
%setup -q
%configure --enable-shared --enable-static=no

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_mandir}/man?/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-2
- rebuild with gcc-5.4.0

* Tue Dec 29 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.4-1
- update to 1.4

* Wed Jan  7 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.1-1
- initial build for Vine Linux
