Summary: Root crontab files used to schedule the execution of programs.
Summary(ja): root のプログラム実行を予約する crontab ファイル
Name: crontabs
Version: 1.10
Release: 5%{?_dist_release}
License: public domain
Group: System Environment/Base
Source0: crontab
Source1: run-parts
Source2: 000-delay.cron
Source3: config
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The crontabs package contains root crontab files.  Crontab is the
program used to install, uninstall or list the tables used to drive the
cron daemon.  The cron daemon checks the crontab files to see when
particular commands are scheduled to be executed.  If commands are
scheduled, it executes them.

Crontabs handles a basic system function, so it should be installed on
your system.


%description -l ja
crontabs パッケージには root 用 crontab ファイルが収められています。
crontab は cron デーモンの動作を制御するテーブルをインストール/
アンインストール/一覧表示するのに使います。cron デーモンはこの
crontab ファイルを参照し、指定されたコマンドをいつ実行すればよいのか
判断します。

crontabs はシステムの基本的な動作に関わるものですので、
必ずインストールして下さい。


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily,weekly,monthly}
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/crontab
install -m644 $RPM_SOURCE_DIR/crontab $RPM_BUILD_ROOT/etc/crontab
install -m755 $RPM_SOURCE_DIR/run-parts $RPM_BUILD_ROOT/usr/bin/run-parts
install -m755 $RPM_SOURCE_DIR/000-delay.cron $RPM_BUILD_ROOT/etc/cron.daily/000-delay.cron
ln -s ../cron.daily/000-delay.cron $RPM_BUILD_ROOT/etc/cron.weekly/000-delay.cron
ln -s ../cron.daily/000-delay.cron $RPM_BUILD_ROOT/etc/cron.monthly/000-delay.cron

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%config(noreplace) /etc/crontab
/usr/bin/run-parts
%dir /etc/cron.hourly
%dir /etc/cron.daily
%dir /etc/cron.weekly
%dir /etc/cron.monthly
/etc/cron.daily/000-delay.cron
/etc/cron.weekly/000-delay.cron
/etc/cron.monthly/000-delay.cron
%config(noreplace) /etc/sysconfig/crontab

%changelog
* Sat Jul 25 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10-5
- updated crontab for cronie.

* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10-4
- rebuild with VineSeed environment

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10-3
- rebuild for Vine 6

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10-2
- spec in utf-8

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10-1
- added Source2 and 3 from Fedora
  * Tue Aug 21 2007 Marcela Maslanova <mmaslano@redhat.com> 1.10-15
  - add config file to crontab - delay of cron.{daily,...} could be
    switch off
  * Wed Oct 11 2006 Marcela Maslanova <mmaslano@redhat.com> 1.10-9
  - patch (#110894) for delaying more emails in the moment

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9-2vl2
- rebuild to add gpg sign
- use License:

* Mon Apr  9 2001 Jun Nishii <jun@vinelinux.org> 1.9-2vl1
- update with 1.9-2 (user noreplace for crontab)

* Thu Feb 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.9-1vl1
- based on 1.9-1 from Rawhide
- use better macros (%%{_tmppath})
- added Japanese summary and description

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- don't process ,v files (#15968)

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- put name of script in output of stuff run by run-parts (#12411)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- don't run *~ or *, files (#4740).

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't run .rpm{save,new,orig} files (bug #2190)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- crontab: set HOME=/

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- run-parts: skip sub-directories (e.g. CVS) found instead of complaining

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- moved crontab jobs up a bit to make sure they aren't confused by
  switching to and fro daylight savings time
  
* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- removed tmpwatch and at entries

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
