Summary:	D-Bus Debugger
Summary(ja):	D-Bus デバッガ
Name:		d-feet
Version:	0.3.9
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		Development/Debuggers
URL:		https://live.gnome.org/DFeet/

Source0: 	http://download.gnome.org/sources/d-feet/0.3/%{name}-%{version}.tar.xz
Patch0: 	d-feet-desktop-keywords.patch

BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: itstool
#BuildRequires: libappstream-glib
Requires: 	libwnck3
Requires: 	pygobject3

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
D-Feet is an easy to use D-Bus debugger. D-Feet can be used to inspect D-Bus
interfaces of running programs and invoke methods on those interfaces. 

%description -l ja
D-Feet は簡単に使える D-Bus デバッガです。D-Feet は実行中のプログラムの D-Bus
インタフェースを調べたり、これらのインタフェースのメソッドを呼び出すときに
使えるプログラムです。

%prep
%setup -q
%patch0 -p1 -b .keywords

%build
%configure --disable-tests
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Update the screenshot shown in the software center
#
# NOTE: It would be *awesome* if this file was pushed upstream.
#
# See http://people.freedesktop.org/~hughsient/appdata/#screenshots for more details.
#
#appstream-util replace-screenshots $RPM_BUILD_ROOT%{_datadir}/appdata/d-feet.appdata.xml \
#  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/d-feet/a.png \
#  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/d-feet/b.png 

%find_lang d-feet --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/d-feet.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f d-feet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/%{name}
#{python_sitelib}/d_feet-%{version}-py2.7.egg-info
%{python_sitelib}/dfeet
%{_datadir}/appdata/d-feet.appdata.xml
%{_datadir}/applications/d-feet.desktop
%{_datadir}/d-feet
%{_datadir}/glib-2.0/schemas/org.gnome.d-feet.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/HighContrast/*/*/*


%changelog
* Fri Apr 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.3.9-1
- updated to 0.3.9
- updated BR
- moved to Development/Debuggers Group

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.15-2
- fix typo in Group

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.15-1
- initial build
