%define pkg_name    datamash
%define pkg_version 1.1.0
%define pkg_release 1%{?_dist_release}

Summary: A statistics tool for command-line interface
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv3+
Group:   Applications/Edutainment
URL:     https://www.gnu.org/software/datamash/
Source0: http://ftp.gnu.org/gnu/datamash/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
GNU datamash is a command-line program which performs basic numeric,
textual and statistical operations on input textual data files.

GNU datamash is designed for ease of use, strict input validation,
and robust operation. If datamash is not available, some operations
could be performed using existing software (such as awk, Perl, R).
Using Datamash has the following advantages over simple one-liners:
 - Datamash performs strict input validation on the input, and provides
   informative error messages when invalid input is found.
 - Datamash operations are simpler to type, and less error-prone than
   writing one-liners.
 - Datamash supports header lines (-H/--headers) on all operations.
 - Datamash supports printing the entire line (-f/--full), not just
   the field being processed.
 - Datamash's output is suitable for both interactive command-line usage,
   and for scripting, automation and down-stream processing by other tools.
GNU datamash is a command-line program which performs basic numeric,
textual and statistical operations on input textual data files.
#'

%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
%{configure}

%build
%{__make} %{?_smp_mflags}

%install
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%{_syssbindir}/install-info --info-dir=%{_infodir} \
 %{_infodir}/datamash.info.gz || :

%preun
if [ "$1" = "0" ]; then
    %{_syssbindir}/install-info --delete --info-dir=%{_infodir} \
     %{_infodir}/datamash.info.gz || :
fi


%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS
%doc README README-release THANKS TODO
%{_bindir}/
%{_datadir}/%{name}/
%{_datadir}/info/
%{_datadir}/locale/
%{_mandir}/man1/


%changelog
* Sun Jul 31 2016 Toshiaki Ara <ara_t@384.jp> 1.1.0-1
- new package
