Name:		datefudge
Version:	1.22
Release:	1%{?_dist_release}
Summary:	Fake the system date

License:	GPLv2+
URL:		http://packages.qa.debian.org/d/datefudge.html
Source0:	http://cdn.debian.net/debian/pool/main/d/datefudge/%{name}_%{version}.tar.xz

Vendor: Project Vine
Distribution: Vine Linux

%description
This program (and preload library) fakes the system date so that 
programs think the wall clock is ... different. The faking is not 
complete; time-stamp on files are not affected in any way. This 
package is useful if you want to test the date handling of your 
programs without changing the system clock. 

%prep
%setup -q
sed "s/VERSION := \$\(.*\)/VERSION := %{version}/g" -i Makefile
sed 's/-o root -g root/-p/g' -i Makefile

%build
LDFLAGS="%{?__global_ldflags}" CFLAGS="%{optflags}" make libdir=%{_libexecdir} %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} libdir=%{_libexecdir}
chmod +x %{buildroot}/%{_libexecdir}/%{name}/datefudge.so #for stripping

%files
%{_libexecdir}/%{name}

%license COPYING
%doc README
%{_mandir}/man1/datefudge.1*
%{_bindir}/datefudge

%changelog
* Thu Nov 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.22-1
- new upstream release.

* Thu Jul  7 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.20-4
- initial build for Vine Linux.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec  3 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.20-1
- New upstream release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.18-2
- Removed support for EL5
- Apply build LDFLAGS and CFLAGS.

* Wed Nov 13 2013 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.18-1
- Initial version of the package
