%define gettext_package dbus

%define expat_version 2.1.0
%define glib2_version 2.34.0
%define dbus_version 1.8.0

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: GLib bindings for D-Bus
Summary(ja): D-Bus の GLib バインディング
Name: dbus-glib
Version: 0.112
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux


License: AFL/GPL
URL: https://www.freedesktop.org/software/dbus/
Source0: https://dbus.freedesktop.org/releases/dbus-glib/%{name}-%{version}.tar.gz
Source1: dbus-bus-introspect.xml

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: chkconfig
BuildRequires: libtool
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: libxml2-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: python3

%description
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.


%package devel
Summary: Libraries and headers for the D-Bus GLib bindings
Summary(ja): D-Bus GLib バインディング用のライブラリとヘッダファイル
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel 
Requires: dbus-devel 
Requires: pkgconfig
Obsoletes: dbus-devel < 0.90

%description devel
Headers and static libraries for the D-Bus GLib bindings 


# compat32
%package -n compat32-%{name}
Summary: GLib bindings for D-Bus
Summary(ja): D-Bus の GLib バインディング
Group: system,legacy
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.


%package -n compat32-%{name}-devel
Summary: Libraries and headers for the D-Bus GLib bindings
Summary(ja): D-Bus GLib バインディング用のライブラリとヘッダファイル
Group: programming,legacy
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2-devel 
Requires: compat32-dbus-devel 

%description -n compat32-%{name}-devel
Headers and static libraries for the D-Bus GLib bindings 


%debug_package


%prep
%setup -q


%build
%configure --disable-tests \
	--disable-verbose-mode \
	--disable-asserts \
	--disable-gtk-doc \
	--with-introspect-xml=%{SOURCE1}

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog NEWS
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libdir}/*glib*.so.*
%{_libexecdir}/dbus-bash-completion-helper
%{_bindir}/dbus-binding-tool
%{_mandir}/man1/dbus-binding-tool.1.gz

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/dbus-glib

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/*glib*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%endif

%changelog
* Thu Apr 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.112-1
- new upstream release.
- dropped ldconfig scriptlets.

* Sat Apr 11 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.110-1
- new upstream release.

* Sat Feb 13 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.106-1
- new upstream release

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.104-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.100.2-2
- rebuild with VineSeed environment

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.100.2-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.100-1
- new upstream release

* Sat Dec 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.98-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.96-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.94-1
- new upstream release

* Sat Dec 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.92-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.88-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.86-2
- build with rpm-4.8.1-1 for pkg-config file

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.86-1
- new upstream release

* Sat Sep 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.82-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.80-2
- added compat32 package for x86_64 arch support

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.80-1
- new upstream release
- built with dbus-1.2.12, glib-2.20.0

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.76-1
- new upstream release

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.74-1vl5
- rebuilt with dbus-1.1.20, glib2-2.16.1
- used %%{?_dist_release}

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.74-0vl2
- rebuild with expat-2.0.1

* Sat Aug 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.74-0vl1
- new upstream release

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.73-0vl1
- initial build for Vine Linux

* Wed Apr  4 2007 Matthias Clasen <mclasen@redhat.com> - 0.73-1
- Update to 0.73 (#233631)
- Drop upstreamed patches

* Tue Dec 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.71-4
- Add dbus-glib-0.70-use-default-threads.patch
- Partial fix to #219257

* Wed Nov 29 2006 David Zeuthen <davidz@redhat.com> - 0.71-3%{?dist}
- Add dbus-glib-0.70-fix-info-leak.patch
- Resolves: #216034

* Sun Nov  5 2006 Matthias Clasen <mclasen@redhat.com> - 0.71-2
- Fix up Requires for the -devel package

* Mon Oct 23 2006 Matthias Clasen <mclasen@redhat.com> - 0.71-1
- Update to 0.71

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.70-4
- remove improper obsoletes

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-3
- Pregenerate the xml introspect file so you don't need dbus running during
  the build 

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-2
- Spec file cleanups

* Mon Jul 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-1
- Initial dbus-glib package
