#define	dbus_version 0.90
#define	dbus_glib_version 0.70

Summary:	C# bindings for D-Bus
Summary(ja): 	D-Bus の C# バインディング
Name:		dbus-sharp
Version:	0.8.1
Release:	2%{?_dist_release}

License:	MIT
Group:		System Environment/Libraries
URL:		http://mono.github.io/dbus-sharp/

Source0:	https://github.com/mono/%{name}/archive/v%{version}.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
#BuildRequires:	dbus-devel >= %{dbus_version}
#BuildRequires:	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:  libtool
BuildRequires:	mono-devel
BuildArch: noarch

%description
dbus-sharp is a fork of ndesk-dbus, which is a C# implementation of D-Bus.
It's often referred to as "managed D-Bus" to avoid confusion with existing
bindings (which wrap libdbus).

%description -l ja
dbus-sharp は、C# による D-Bus の実装である ndesk-dbus のフォーク(派生版)です。
これは (libdbusのラッパーである) 既存のバインディングとの混乱を避けるために、
"managed D-Bus"と呼ばれることがあります。

%package	devel
Summary:	Libraries and headers for %{name}
Summary(ja):	%{name} 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package includes the files needed for developing and compiling
applications which use the %{name} library.

You should install the %{name}-devel package if you would like to
develop applications using %{name}.

%description devel -l ja
このパッケージは %{name} ライブラリを使用するアプリケーションを開発
するのに必要なライブラリやヘッダファイルを含んでいます。

%{name} を使用したアプリケーションを開発する場合は、このパッケージ
をインストールしてください。


%prep
%setup -q

%build
./autogen.sh
%configure --libdir=%{_prefix}/lib

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=$RPM_BUILD_ROOT pkgconfigdir=%{_datadir}/pkgconfig

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%{_prefix}/lib/mono/dbus-sharp-2.0
%{_prefix}/lib/mono/gac/dbus-sharp

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/dbus-sharp-2.0.pc

%changelog
* Sat Mar 28 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.8.1-2
- rebuilt with mono 3.12.1
- fixed License to MIT

* Mon Nov  3 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.8.1-1
- updated to 0.8.1

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.0-6
- rebuild with VineSeed environment

* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 0.7.0-5
- rebuilt with mono-2.10.1-3

* Wed Apr 13 2011 Shu KONNO <owa@bg.wakwak.com> 0.7.0-4
- fixed dbus-sharp-1.0.pc path

* Mon Apr 11 2011 Shu KONNO <owa@bg.wakwak.com> 0.7.0-3
- fixed mono library path
- added BuildArch: noarch

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 0.7.0-2
- rebuilt with mono-2.10.1

* Mon Mar 14 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.7.0-1
- initial build for Vine Linux based on fedora development

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Hor叩k <dan[at]danny.cz> - 0.63-16
- updated the supported arch list

* Tue Oct 26 2010 Christian Krause <chkr@fedoraproject.org> - 0.63-15
- Rebuilt against Mono 2.8

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.63-14
- ExcludeArch sparc64

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-13.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Karsten Hopp <karsten@redhat.com> 0.63-12.1
- mono is now available on s390x

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.63-12
- build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.63-10
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.63-9
- Autorebuild for GCC 4.3

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.63-8
- Add alpha to ExlusiveArch

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.63-7
- Fix license field
- Add pkgconfig dependency to the -devel package

* Wed Aug 30 2006 Alexander Larsson <alexl@redhat.com> - 0.63-6
- Fix connection and message gc problem (#187452)
- Patch from Christian Krause

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.63-5
- Update for new mono multilib setup
- Don't buildrequire old gtk-sharp

* Thu Jul 20 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-4
- Remove from the s390 builds

* Thu Jul 20 2006 Warren Togami <wtogami@redhat.com> - 0.63-3
- remove unnecessary obsolete

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-2
- Spec file cleanups

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.63-1
- Initial dbus-glib package
