Name: dbusmenu-qt
Summary: A Qt implementation of the DBusMenu protocol 
Summary(ja): Qt で実装された DBusMenu プロトコル 
Version: 0.9.2
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2+
URL: https://launchpad.net/libdbusmenu-qt/

Source0: http://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/libdbusmenu-qt-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: pkgconfig
BuildRequires: qjson-devel
BuildRequires: qt4-devel
BuildRequires: doxygen

Provides: libdbusmenu-qt = %{version}-%{release}

%description
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.


%package devel
Summary: Development files for %{name}
Summary(ja): %{name} 開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libdbusmenu-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q -n libdbusmenu-qt-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake .. 
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

rm -rf included_docs
mkdir included_docs
mv $RPM_BUILD_ROOT%{_docdir}/dbusmenu-qt/* included_docs

%check
# verify pkg-config version
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion dbusmenu-qt)" = "%{version}"
# unfortunately, most of these require an active X/dbus session
make -C %{_target_platform}/tests check ||:


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libdbusmenu-qt.so.2*

%files devel
%defattr(-,root,root,-)
%doc included_docs/*
%{_includedir}/dbusmenu-qt/
%{_libdir}/libdbusmenu-qt.so
%{_libdir}/pkgconfig/dbusmenu-qt.pc

%changelog
* Mon Jul 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2-2
- rebiuld with gcc-5.4.0

* Sun Jul 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2-1
- update to 0.9.2
- add BuildRequires: doxygen

* Sat Dec 10 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.3-1
- new upstream release

* Sat Feb 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.3-1
- new upstream release
- added Patch100

* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.2-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 15 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.2-2
- initial build for Vine Linux

* Fri Aug 06 2010 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-1
- dbusmenu-qt-0.5.2

* Fri May 21 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-1
- dbusmenu-qt-0.3.3

* Sun Apr 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-2
- pkg rename s/libdbusmenu-qt/dbusmenu-qt/
- Provides: libdbusmenu-qt(-devel)

* Sun Apr 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-1
- dbusmenu-qt-0.3.2

