Name: desktop-file-utils
Summary: Utilities for manipulating .desktop files
Summary(ja): .desktop ファイルを操作するユーティリティ
Version: 0.26
Release: 1%{?_dist_release}
Group: admin-tools
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2
URL: https://www.freedesktop.org/wiki/Software/desktop-file-utils
Source0: https://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Source1: desktop-entry-mode-init.el

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: emacs
BuildRequires: meson

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.


%debug_package


%prep
%setup -q


%build
%meson
%meson_build


%install
rm -rf %{buildroot}
%meson_install

mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/%{name}
mv %{buildroot}%{_datadir}/emacs/site-lisp/*.el* %{buildroot}%{_datadir}/emacs/site-lisp/%{name}/
install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/emacs/site-start.d/desktop-entry-mode-init.el
touch %{buildroot}%{_datadir}/emacs/site-start.d/desktop-entry-mode-init.elc


%clean
rm -rf %{buildroot}


%transfiletriggerin -- %{_datadir}/applications
update-desktop-database &> /dev/null || :

%transfiletriggerpostun -- %{_datadir}/applications
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/*
%dir %{_datadir}/emacs
%dir %{_datadir}/emacs/site-lisp
%{_datadir}/emacs/site-lisp/*
%dir %{_datadir}/emacs/site-start.d
%{_datadir}/emacs/site-start.d/desktop-entry-mode-init.el
%ghost %{_datadir}/emacs/site-start.d/desktop-entry-mode-init.elc
%{_mandir}/man1/*


%changelog
* Mon Mar 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.26-1
- new upstream release.
- added triggers.

* Thu Apr 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.23-1
- new upstream release.

* Thu Oct 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22-2
- fix typo in url

* Fri Sep 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22-1
- new upstream release

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.21-1
- new upstream release

* Tue May 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18-1
- new upstream release

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.17-2
- rebuilt with rpm-4.8.1-3

* Thu Sep 16 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-1
- new upstream release

* Tue May  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-1
- new upstream release
- removed BR: popt-devel

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-2
- spec in utf-8

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-1vl5
- new upstream release

* Sun Jan  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14-0vl1
- new upstream release
- added %doc files

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.13-0vl1
- new upstream release

* Sun Aug 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10-0vl2
- add BuildRequires: emacsen

* Mon Nov 22 2004 Tomoya TAKA <taka@vinelinux.org> 0.10-0vl1
- new upstream release

* Mon Jun 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- new upstream release

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.20030616-0vl1
- update from cvs

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-3vl1
- build for Vine Linux

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- fix more error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- remove old symlinks before creating new ones, chills out 
  a lot of error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- version 0.3

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.2.95 cvs snap, should fix OnlyShowIn

* Mon Jul 22 2002 Havoc Pennington <hp@redhat.com>
- 0.2.94 cvs snap, adds --print-available

* Tue Jul  9 2002 Havoc Pennington <hp@redhat.com>
- 0.2.93 cvs snap with a crash fixed, and corrects [KDE Desktop Entry]

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.92 cvs snap with --remove-key and checking for OnlyShowIn
  and missing trailing semicolons on string lists

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.91 cvs snap with --copy-name-to-generic-name and
  --copy-generic-name-to-name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.2.90 cvs snap with --delete-original fixed

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build


