Summary: A real mode 80x86 assembler and linker
Summary(ja): リアルモード 80x86 アセンブラとリンカ
Name: dev86
Version: 0.16.21
Release: 1%{?_dist_release}
License: GPL
Group: Development/Languages
URL: https://github.com/lkundrak/dev86
Source: %{name}-%{version}.tar.gz
Patch0: dev86-noelks.patch
Patch1: dev86-x86_64.patch
Patch2: dev86-nostrip.patch
Patch3: dev86-long.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: bin86
BuildRequires: gawk

%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%description -l ja
dev86 パッケージは リアルモード 80x86 命令のアセンブラとリンカを提供
します。LILO や kernel のブートストラップコードを含むリアルモードで
走るプログラムをソースから作成するときにはこのパッケージがインストー
ルされている必要があります。

リアルモードで走るプログラムをソースから作成するつもりなら dev86 を
インストールしてください。

%prep
%setup -q
%patch0 -p1 -b .noelks
%ifarch x86_64
%patch1 -p1 -b .x86_64
%endif
%patch2 -p1 -b .nostrip
%patch3 -p1 -b .long

%build
make <<EOF
5
quit
EOF

%install
rm -rf ${RPM_BUILD_ROOT}

make	DIST=${RPM_BUILD_ROOT} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}/bcc \
	INCLDIR=%{_libdir}/bcc \
	LOCALPREFIX=%{_prefix} \
	install install-man

# preserve READMEs
for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86

pushd ${RPM_BUILD_ROOT}%{_bindir}
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86
popd

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86
%dir %{_libdir}/bcc
%{_bindir}/bcc
%{_bindir}/ar86
%{_bindir}/as86
%{_bindir}/ld86
%{_bindir}/objdump86
%{_bindir}/nm86
%{_bindir}/size86
%{_libdir}/bcc/*
%{_mandir}/man1/*

%changelog
* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.16.21-1
- update to 0.16.21
- add Patch3 (dev86-long.patch) from fedora

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> - 0.16.17-3
- rebuilt with rpm-4.8.1-3

* Tue Jan  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.16.17-2
- remove ExclusiveArch to allow to run dev86 on different arches

* Mon Sep 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.16.17-1vl5
- applied new versioning policy, spec in utf-8

* Tue Nov 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16.17-0vl1
- new upstream release

* Sat Sep 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.3-9vl1
- based on Rawhide 0.16.3-9
  * Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 0.16.3-9
  - preserve README files with separate names
  * Fri Jan 31 2003 Florian La Roche <Florian.LaRoche@redhat.de>
  - do not strip static archive to get rebuild working again
  * Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
  - add ar86 to filelist
  * Wed Jun 19 2002 Florian La Roche <Florian.LaRoche@redhat.de>
  - do not strip apps

- rebuild with new toolchains
- s/Copyright/License/

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 0.15.5-1vl2: use %%{ix86} for ExclusiveArch instead of i386
- enabled %%clean (why was it disabled?) 

* Sun May 27 2001 <sagami@vinelinux.org>
- 0.15.5-1vl1: added Japanese summary and description

* Mon May  7 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.15.5-1
- Update to 0.15.5, lots of fixes

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add defattr

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- change default header directory to match libs and fix bug #9121

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 0.15.0
- man pages are compressed

* Mon Sep 20 1999 Donnie Barnes <djb@redhat.com>
- removed "Distribution:" line (was RHCN)
- changed description and summary to the ones from bin86 with s/bin/dev/
  done throughout
- added patch to keep from installing in /usr/bcc and simply in /usr
- moved include files to /usr/lib/bcc/include

* Tue Sep 07 1999 Erik Troan <ewt@redhat.com>
- updated to Dev86src
- included in Red Hat 6.1

* Sat Nov 14 1998 Simon Weijgers <simon@mbit.doa.org>

- First release of this package to be shipped to rhcn.

- To be fixed: Bug in Makefile which installs headerfiles
  double. E.g. /usr/bcc/include/arch is also installed under
  /usr/bcc/include/arch/arch. This doesn't hinder operation,
  just eats a tiny bit of diskspace.

