Name: diffuse
Version: 0.4.8
Release: 1%{?_dist_release}
Summary: Graphical tool for comparing and merging text files
Summary(ja): テキストファイルをマージして比較するためのグラフィックツール

Group: Development/Tools
License: GPLv2+
URL: http://%{name}.sourceforge.net/
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils gettext hicolor-icon-theme rarian-compat
Requires: python >= 2.4 pygtk2 >= 2.10
#Requires(post): scrollkeeper
#Requires(postun): scrollkeeper

Requires(post): rarian-compat
Requires(postun): rarian-compat

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Diffuse is a graphical tool for merging and comparing text files.  Diffuse is
able to compare an arbitrary number of files side-by-side and gives users the
ability to manually adjust line matching and directly edit files.  Diffuse can
also retrieve revisions of files from Bazaar, CVS, Darcs, Git, Mercurial,
Monotone, Subversion, and SVK repositories for comparison and merging.

%prep
%setup -q

%build


%install
rm -rf %{buildroot}
python install.py --destdir=%{buildroot} --prefix=/usr

desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --delete-original \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datadir}/gnome/help/*
%dir %{_datadir}/omf/%{name}

%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/*
%{_datadir}/omf/%{name}/%{name}*.omf
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/diffuserc
%{_mandir}/*

%doc AUTHORS ChangeLog COPYING README

%changelog
* Fri Aug 29 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.8-1
- new upstream release
- replaced BuildRequires: scrollkeeper to rarian-compat
- added BuildRequires: hicolor-icon-theme
- run gtk-update-icon-cache in %%post, %%postun, %%posttrans

* Thu May 23 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.7-1
- new upstream release
- changed Requires(post,postun): rarian-compat instead of scrollkeeper
- disabled modifing .desktop

* Wed Feb 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.6-2
- rebuilt with python-2.7
- fixed %%files

* Sun Nov 06 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.6-1
- new upstream release

* Thu Jul 14 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.5-1
- new upstream release

* Fri Oct 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.4-1
- new upstream release
- changed desktop file install action

* Tue Aug 10 2010 Jon Levell <fedora@coralbark.net> - 0.4.3-1
- Update to 0.4.3 upstream release

* Thu Sep 17  2009 Jon Levell <fedora@coralbark.net> - 0.4.0-1
- Update to new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 4  2009 Jon Levell <fedora@coralbark.net> - 0.3.4-1
- Update to new upstream release (patch no longer needed)

* Tue Jun 30 2009 Jon Levell <fedora@coralbark.net> - 0.3.3-1
- Update to latest upstream release
- Add patch provided by upstream

* Tue Mar 10 2009 Jon Levell <fedora@coralbark.net> - 0.3.1-1
- Update to latest upstream release

* Wed Feb 11 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-4
- Validate the .desktop file
- Use the prescribed forms for scrollkeeper/update-desktop-database
- Clean up the unowned directories

* Sat Jan 24 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-3
- Fix typos in formatting of changelog
- Fix buildroot in line with packaging guidelines
- Updated defattr with default directory permissions

* Wed Jan 21 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-2
- Use macros in file paths
- patch .desktop file to add trailing semi-colons
- updated URL/source/group

* Tue Jan 20 2009 Jon Levell <fedora@coralbark.net> - 0.2.15-1
- clean buildroot on install
- conditional use scrollkeeper/update-desktop-database
- updated release/license as per Fedora guidelines
- first version submitted to Fedora

* Sun Apr 27 2008 Derrick Moser <derrick_moser@yahoo.com>
- created initial diffuse package
