%define _kde4_version 4.14.3

Name:	     digikam
Version:     4.10.0
Release:     1%{?_dist_release}
Summary:     A digital camera accessing & photo management application
Summary(ja): デジタルカメラへのアクセス機能を持つ写真管理アプリケーション

License:     GPLv2+
Group:	     Applications/Multimedia
URL:	     http://www.digikam.org/

Source0:     http://download.kde.org/stable/digikam/%{name}-%{version}.tar.bz2
# digiKam not listed as a media handler for pictures in Nautilus (#516447)
# TODO: upstream me
Source1:     digikam-import.desktop

## upstreamable patches

## upstream patches


BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: baloo-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: eigen3-devel
BuildRequires: exiv2-devel
## DNG converter
BuildRequires: expat-devel
# Panorama plugin requires flex and bison
BuildRequires: flex bison
BuildRequires: gettext
BuildRequires: glib2-devel
#BuildRequires: herqq-devel >= 2.0.0
BuildRequires: ImageMagick-devel
BuildRequires: jasper-devel
BuildRequires: kdelibs4-devel >= 4.9.1
BuildRequires: kdepimlibs-devel
BuildRequires: kfilemetadata-devel
BuildRequires: lcms2-devel
BuildRequires: lensfun-devel
BuildRequires: libgphoto2-devel
BuildRequires: libgpod-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libkdcraw-devel
BuildRequires: libkexiv2-devel
BuildRequires: libkipi-devel
BuildRequires: libksane-devel
BuildRequires: liblqr-1-devel
BuildRequires: libpgf-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
# libusb required for GPhoto2 support https://bugs.kde.org/268267
# but libgphoto2 switched to libusbx https://bugzilla.redhat.com/997880
BuildRequires: libusb-devel
## htmlexport plugin
BuildRequires: libxslt-devel
# marble integration, http://bugzilla.redhat.com/470578
BuildRequires: marble-devel >= 4.6.80 
BuildRequires: mariadb-server
## RemoveRedeye
BuildRequires: opencv-devel >= 2.4.7
## Shwup
BuildRequires: qca2-devel
## debianscreenshorts
BuildRequires: qjson-devel
# for DLNAExport
BuildRequires: qtsoap-devel
## VideoSlideShow
# pkgconfig(QtGStreamer-1.0) vs. pkgconfig(QtGStreamer-0.10) is autodetected
BuildRequires: qt-gstreamer-devel
BuildRequires: sane-devel

Requires: %{name}-libs = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
# http://bugzilla.redhat.com/761184
#Requires: kcm_colors
Requires: kdebase-workspace
# better default access to mtp-enabled devices
Requires: kio_mtp

Obsoletes: digikamimageplugins < 0.9.1-2


%description
digiKam is an easy to use and powerful digital photo management application,
which makes importing, organizing and manipulating digital photos a "snap".
An easy to use interface is provided to connect to your digital camera,
preview the images and download and/or delete them.

digiKam built-in image editor makes the common photo correction a simple task.
The image editor is extensible via plugins, can also make use of the KIPI image
handling plugins to extend its capabilities even further for photo
manipulations, import and export, etc. Install the kipi-plugins packages
to use them.

%package libs
Summary:     Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:       System Environment/Libraries
Provides:    libkface
Provides:    libkgeomap
Provides:    libkvkontakte
Provides:    libmediawiki

%description libs
%{summary}.

%package devel
Summary:     Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:	     Development/Libraries
Requires:    %{name}-libs = %{version}-%{release}
Requires:    kdelibs4-devel

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%package doc
Summary:     Application handbook, documentation for %{name}
Summary(ja): %{name} のドキュメント
Group:       Applications/Documentation
Requires:    digikam = %{version}-%{release}
BuildArch:   noarch

%description doc
%{summary}.

%package -n kipi-plugins
Summary:     Plugins to use with Kipi
Summary(ja): Kipi と共に使用するプラグイン集
License:     GPLv2+ and Adobe
Group:	     Applications/Multimedia
Requires:    kipi-plugins-libs = %{version}-%{release}
## jpeglossless plugin
Requires:    ImageMagick
## expoblending
#Requires:   hugin-base

%description -n kipi-plugins
This package contains plugins to use with Kipi, the KDE Image Plugin
Interface.  Currently implemented plugins are:
AcquireImages      : acquire images using flat scanner
BatchProcess       : batch process images (convert, resize, rename, etc.)
Calendar           : create calendars
DebianScreenshots  : export images to Debian Screenshots web service
DLNAExport         : export collection on DLNA network service
DngConverter       : convert Raw Image to Digital NeGative
ExpoBlending       : create pseudo HDR image with a stack of bracketed images
Facebook           : export/import images to/from a remote Facebook web service
FlickrExport       : export images to a remote Flickr web service
GalleryExport      : export images to a remote Gallery server
GPSSync            : geolocalize pictures
HTMLExport         : export images collections into a static XHTML page
ImageShackExport   : export images to ImageShack web service
ImageViewer        : preview images using OpenGL
ImgurExport        : export images to ImgUr web service
IpodExport         : export pictures to an Ipod device
JpegLossLess       : rotate/flip images without losing quality
KIOExport          : export images to remote computer using network protocol
Kopete             : export images to an instant messaging contact
MediaWiki          : export images to Mediawiki based web service
MetadataEdit       : edit EXIF, IPTC and XMP metadata
Panorama           : assemble panoramic photo automatically
PhotoLayoutEditor  : assemble images together
PicasaWebExport    : export images to a remote Picasa web service
PiwigoExport       : export images to a remote Piwigo (PHPWebGallery) server
PrintImage         : print images in various format
RajceExport        : export images to Rajce web service
RawConverter       : convert Raw Image to JPEG/PNG/TIFF
RemoveRedEyes      : remove red eyes on image automatically
SendImages         : send images by e-mail
SimpleViewerExport : export images to Flash using SimpleViewer
Slideshow          : slide images with 2D and 3D effects using OpenGL
ShwupExport        : export images to a remote Shwup web service
Smug               : export/import images to/from a remote SmugMug web service
TimeAdjust         : adjust date and time
Vkontakte          : export images to VKontakte web service
WallPaper          : set image as background on your desktop
YandexFotki        : export images to Yandex web service

%package -n kipi-plugins-libs
Summary:     Runtime libraries for kipi-plugins
Summary(ja): kipi-plugins のランタイムライブラリ
License:     GPLv2+ and Adobe
Group:       System Environment/Libraries
Requires:    kipi-plugins = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4 >= %{_kde4_version}}
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}

%description -n kipi-plugins-libs
%{summary}.

%package -n kipi-plugins-doc
Summary:     Application handbook, documentation for kipi-plugins
Summary(ja): kipi-plugins のドキュメント
Group:       Applications/Documentation
# for upgrade path
Obsoletes:   kipi-plugins < 2.5.0-4
Requires:    kipi-plugins = %{version}-%{release}
BuildArch:   noarch

%description -n kipi-plugins-doc
%{summary}.


%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

## HACK to allow building with older opencv (for now), see
# https://bugzilla.redhat.com/show_bug.cgi?id=1119036
sed -i.opencv_247 -e 's|^DETECT_OPENCV(2.4.9 |DETECT_OPENCV(2.4.7 |' extra/libkface/CMakeLists.txt
sed -i.opencv_247 -e 's|OPENCV_MIN_VERSION "2.4.9"|OPENCV_MIN_VERSION "2.4.7"|' \
  core/CMakeLists.txt \
  extra/kipi-plugins/CMakeLists.txt

# don't use bundled/old FindKipi.cmake in favor of kdelibs' version
# see http:/bugs.kde.org/307213
mv -f cmake/modules/FindKipi.cmake cmake/modules/FindKipi.cmake.ORIG


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DENABLE_LCMS2=ON \
    -DENABLE_KDEPIMLIBSSUPPORT=ON \
    -DDIGIKAMSC_COMPILE_LIBKFACE=ON \
    -DDIGIKAMSC_COMPILE_LIBKGEOMAP=ON \
    -DDIGIKAMSC_COMPILE_LIBMEDIAWIKI=ON \
    -DDIGIKAMSC_COMPILE_LIBKVKONTAKTE=ON \
    -DENABLE_MYSQLSUPPORT=ON \
    -DENABLE_INTERNALMYSQL=ON \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install --vendor="" \
    --dir=%{buildroot}%{_datadir}/applications/kde4 \
    %{SOURCE1}

%find_lang digikam --with-kde --without-mo
mv digikam.lang digikam-doc.lang
%find_lang showfoto --with-kde --without-mo
mv showfoto.lang showfoto-doc.lang
cat showfoto-doc.lang >> digikam-doc.lang
%find_lang digikam

#find_lang libkgeomap

%find_lang kipi-plugins --with-kde --without-mo
mv kipi-plugins.lang kipi-plugins-doc.lang
%find_lang kipiplugins
%find_lang kipiplugin_acquireimages
%find_lang kipiplugin_advancedslideshow
%find_lang kipiplugin_batchprocessimages
%find_lang kipiplugin_calendar
%find_lang kipiplugin_debianscreenshots
%find_lang kipiplugin_dlnaexport
%find_lang kipiplugin_dngconverter
%find_lang kipiplugin_dropbox
%find_lang kipiplugin_expoblending
%find_lang kipiplugin_facebook
%find_lang kipiplugin_flashexport
%find_lang kipiplugin_flickrexport
%find_lang kipiplugin_galleryexport
%find_lang kipiplugin_googledrive
%find_lang kipiplugin_gpssync
%find_lang kipiplugin_htmlexport
%find_lang kipiplugin_imageshackexport
%find_lang kipiplugin_imageviewer
%find_lang kipiplugin_imgurexport
%find_lang kipiplugin_ipodexport
%find_lang kipiplugin_jalbumexport
%find_lang kipiplugin_jpeglossless
%find_lang kipiplugin_kioexportimport
%find_lang kipiplugin_kmlexport
%find_lang kipiplugin_kopete
%find_lang kipiplugin_metadataedit
%find_lang kipiplugin_panorama
%find_lang kipiplugin_photivointegration
%find_lang kipiplugin_photolayouteditor
%find_lang kipiplugin_picasawebexport
%find_lang kipiplugin_piwigoexport
%find_lang kipiplugin_printimages
%find_lang kipiplugin_rajceexport
%find_lang kipiplugin_rawconverter
%find_lang kipiplugin_removeredeyes
%find_lang kipiplugin_sendimages
%find_lang kipiplugin_shwup
%find_lang kipiplugin_smug
%find_lang kipiplugin_timeadjust
%find_lang kipiplugin_videoslideshow
%find_lang kipiplugin_vkontakte
%find_lang kipiplugin_wallpaper
%find_lang kipiplugin_wikimedia
%find_lang kipiplugin_yandexfotki

cat kipiplugin_acquireimages.lang kipiplugin_advancedslideshow.lang \
    kipiplugin_batchprocessimages.lang kipiplugin_calendar.lang \
    kipiplugin_debianscreenshots.lang kipiplugin_dlnaexport.lang \
    kipiplugin_dngconverter.lang kipiplugin_dropbox.lang \
    kipiplugin_expoblending.lang kipiplugin_facebook.lang \
    kipiplugin_flashexport.lang kipiplugin_flickrexport.lang \
    kipiplugin_galleryexport.lang kipiplugin_googledrive.lang \
    kipiplugin_gpssync.lang kipiplugin_htmlexport.lang \
    kipiplugin_imageshackexport.lang kipiplugin_imageviewer.lang \
    kipiplugin_imgurexport.lang kipiplugin_ipodexport.lang \
    kipiplugin_jalbumexport.lang kipiplugin_jpeglossless.lang \
    kipiplugin_kioexportimport.lang kipiplugin_kmlexport.lang \
    kipiplugin_kopete.lang kipiplugin_metadataedit.lang \
    kipiplugin_panorama.lang kipiplugin_photivointegration.lang \
    kipiplugin_photolayouteditor.lang kipiplugin_picasawebexport.lang \
    kipiplugin_piwigoexport.lang kipiplugin_printimages.lang \
    kipiplugin_rajceexport.lang kipiplugin_rawconverter.lang \
    kipiplugin_removeredeyes.lang kipiplugin_sendimages.lang \
    kipiplugin_shwup.lang kipiplugin_smug.lang \
    kipiplugin_timeadjust.lang kipiplugin_videoslideshow.lang \
    kipiplugin_vkontakte.lang kipiplugin_wallpaper.lang \
    kipiplugin_wikimedia.lang kipiplugin_yandexfotki.lang \
    kipiplugins.lang >> kipi-plugins.lang

## unpackaged files
rm -fv %{buildroot}%{_bindir}/libkgeomap_demo
rm -fv %{buildroot}%{_libdir}/libdigikamcore.so
rm -fv %{buildroot}%{_libdir}/libdigikamdatabase.so
rm -fv %{buildroot}%{_libdir}/libkipiplugins.so
rm -fv %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkipi.mo

## prepare libs documents
rm -rf _docs_libs
mkdir -p _docs_libs/{libkface,libkgeomap,libkvkontakte,libmediawiki}
cp -p extra/libkface/{AUTHORS,COPYING,README,COPYING.LIB} \
   _docs_libs/libkface
cp -p extra/libkgeomap/{AUTHORS,COPYING,README,COPYING.LIB} \
   _docs_libs/libkgeomap
cp -p extra/libkvkontakte/{COPYING,COPYING.LIB} \
   _docs_libs/libkvkontakte
cp -p extra/libmediawiki/{AUTHORS,COPYING,README,COPYING.LIB} \
   _docs_libs/libmediawiki

%check
for i in %{buildroot}%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $i
done

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post -n kipi-plugins
touch --no-create %{_datadir}/icons/hicolor &> /dev/null  ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%postun -n kipi-plugins
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    touch --no-create %{_datadir}/icons/oxygen  &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor >& /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/oxygen >& /dev/null ||:
    update-desktop-database -q &> /dev/null
fi

%posttrans -n kipi-plugins
gtk-update-icon-cache %{_datadir}/icons/hicolor >& /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen >& /dev/null ||:
update-desktop-database -q &> /dev/null

%post -n kipi-plugins-libs -p /sbin/ldconfig
%postun -n kipi-plugins-libs -p /sbin/ldconfig


%files -f digikam.lang
%defattr(-,root,root,-)
%doc core/AUTHORS core/ChangeLog core/COPYING
%doc core/NEWS core/README core/TODO
%{_bindir}/digikam
%{_bindir}/digitaglinktree
%{_bindir}/cleanup_digikamdb
%{_bindir}/showfoto
%{_libdir}/kde4/digikam*.so
%{_libdir}/kde4/kio_digikam*.so
%{_libexecdir}/kde4/digikamdatabaseserver
%{_datadir}/appdata/digiKam-ImagePlugin*xml
%{_datadir}/appdata/digikam.appdata.xml
%{_datadir}/appdata/showfoto.appdata.xml
%{_datadir}/applications/kde4/digikam.desktop
%{_datadir}/applications/kde4/digikam-import.desktop
%{_datadir}/applications/kde4/showfoto.desktop
%{_datadir}/kde4/apps/digikam/
%{_datadir}/kde4/apps/kconf_update/adjustlevelstool.upd
%{_datadir}/kde4/apps/showfoto/
%{_datadir}/kde4/apps/solid/actions/*.desktop
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/*.protocol
%{_datadir}/kde4/servicetypes/*.desktop
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/digikam*
%{_datadir}/icons/hicolor/*/apps/showfoto*

%files libs
#-f libkgeomap.lang
%defattr(-,root,root,-)
%doc _docs_libs/*
%{_libdir}/libdigikamcore.so.4*
%{_libdir}/libdigikamdatabase.so.4*
%{_libdir}/libkface.so.3*
%{_libdir}/libkgeomap.so.2*
%{_libdir}/libkvkontakte.so.1*
%{_libdir}/libmediawiki.so.1*
%{_datadir}/kde4/apps/libkface/
%{_datadir}/kde4/apps/libkgeomap/


%files devel
%defattr(-,root,root,-)
%{_libdir}/libkface.so
%{_libdir}/libkgeomap.so
%{_libdir}/libkvkontakte.so
%{_libdir}/libmediawiki.so
%{_libdir}/cmake/Kface-3.5.0/
%{_libdir}/cmake/LibKVkontakte/

%files doc -f digikam-doc.lang

%files -n kipi-plugins -f kipi-plugins.lang
%defattr(-,root,root,-)
%doc extra/kipi-plugins/AUTHORS extra/kipi-plugins/COPYING
%doc extra/kipi-plugins/COPYING-ADOBE extra/kipi-plugins/ChangeLog
%doc extra/kipi-plugins/README extra/kipi-plugins/TODO extra/kipi-plugins/NEWS
%{_bindir}/dngconverter
%{_bindir}/dnginfo
%{_bindir}/expoblending
%{_bindir}/panoramagui
%{_bindir}/photolayoutseditor
%{_bindir}/scangui
%{_libdir}/kde4/kipiplugin_acquireimages.so
%{_libdir}/kde4/kipiplugin_advancedslideshow.so
%{_libdir}/kde4/kipiplugin_batchprocessimages.so
%{_libdir}/kde4/kipiplugin_calendar.so
%{_libdir}/kde4/kipiplugin_debianscreenshots.so
%{_libdir}/kde4/kipiplugin_dngconverter.so
%{_libdir}/kde4/kipiplugin_dropbox.so
%{_libdir}/kde4/kipiplugin_facebook.so
%{_libdir}/kde4/kipiplugin_flickrexport.so
%{_libdir}/kde4/kipiplugin_flashexport.so
%{_libdir}/kde4/kipiplugin_galleryexport.so
%{_libdir}/kde4/kipiplugin_googledrive.so
%{_libdir}/kde4/kipiplugin_gpssync.so
%{_libdir}/kde4/kipiplugin_htmlexport.so
%{_libdir}/kde4/kipiplugin_imageviewer.so
%{_libdir}/kde4/kipiplugin_imageshackexport.so
%{_libdir}/kde4/kipiplugin_imgurexport.so
%{_libdir}/kde4/kipiplugin_ipodexport.so
%{_libdir}/kde4/kipiplugin_jpeglossless.so
%{_libdir}/kde4/kipiplugin_kioexportimport.so
%{_libdir}/kde4/kipiplugin_kmlexport.so
%{_libdir}/kde4/kipiplugin_kopete.so
%{_libdir}/kde4/kipiplugin_metadataedit.so
%{_libdir}/kde4/kipiplugin_panorama.so
%{_libdir}/kde4/kipiplugin_picasawebexport.so
%{_libdir}/kde4/kipiplugin_piwigoexport.so
%{_libdir}/kde4/kipiplugin_printimages.so
%{_libdir}/kde4/kipiplugin_rajceexport.so
%{_libdir}/kde4/kipiplugin_rawconverter.so
%{_libdir}/kde4/kipiplugin_sendimages.so
%{_libdir}/kde4/kipiplugin_shwup.so
%{_libdir}/kde4/kipiplugin_smug.so
%{_libdir}/kde4/kipiplugin_timeadjust.so
%{_libdir}/kde4/kipiplugin_vkontakte.so
%{_libdir}/kde4/kipiplugin_yandexfotki.so
%{_libdir}/kde4/kipiplugin_wikimedia.so
%{_libdir}/kde4/kipiplugin_dlnaexport.so
%{_libdir}/kde4/kipiplugin_jalbumexport.so
# Plugin not yet ready for production
#{_libdir}/kde4/kipiplugin_photivointegration.so
%{_libdir}/kde4/kipiplugin_videoslideshow.so
%{_datadir}/kde4/apps/kipi/tips
%{_datadir}/kde4/apps/kipi/*rc
%{_datadir}/kde4/apps/gpssync/
%{_datadir}/kde4/apps/kipiplugin_flashexport/
%{_datadir}/kde4/apps/kipiplugin_galleryexport/
%{_datadir}/kde4/apps/kipiplugin_htmlexport/
%{_datadir}/kde4/apps/kipiplugin_imageviewer/
%{_datadir}/kde4/apps/kipiplugin_panorama/
%{_datadir}/kde4/apps/kipiplugin_piwigoexport/
%{_datadir}/kde4/apps/kipiplugin_printimages/
%{_datadir}/kde4/apps/kipiplugin_dlnaexport/
%{_datadir}/applications/kde4/dngconverter.desktop
%{_datadir}/applications/kde4/kipiplugins.desktop
%{_datadir}/applications/kde4/expoblending.desktop
%{_datadir}/applications/kde4/panoramagui.desktop
%{_datadir}/applications/kde4/photolayoutseditor.desktop
%{_datadir}/applications/kde4/scangui.desktop
%{_datadir}/kde4/services/kipiplugin*.desktop
%{_datadir}/icons/hicolor/*/actions/*
%{_datadir}/icons/hicolor/*/apps/photolayoutseditor*
%{_datadir}/icons/hicolor/*/apps/kipi-*
%{_datadir}/icons/oxygen/*/apps/rawconverter*
%{_libdir}/kde4/kipiplugin_expoblending.so
%{_datadir}/kde4/apps/kipiplugin_expoblending/
%{_libdir}/kde4/kipiplugin_removeredeyes.so
%{_datadir}/kde4/apps/kipiplugin_removeredeyes/
%{_libdir}/kde4/kipiplugin_photolayoutseditor.so
%{_datadir}/kde4/apps/photolayoutseditor/
%{_datadir}/templates/kipiplugins_photolayoutseditor/
%{_datadir}/config.kcfg/photolayoutseditor.kcfg
%{_datadir}/kde4/servicetypes/photolayoutseditor*.desktop

%files -n kipi-plugins-libs
%defattr(-,root,root,-)
%{_libdir}/libkipiplugins.so.4*

%files -n kipi-plugins-doc -f kipi-plugins-doc.lang

%changelog
* Thu May 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.10.0-1
- new upstream release
- built with libimobiledevice 1.2.0 and libplist 1.12

* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.8.0-2
- changed kipi-plugins-libs Group to System Environment/Libraries
- updated summary of kipi-plugins-doc and kipi-plugins-libs 

* Mon Mar  9 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.8.0-1
- new upstream release

* Mon Feb 23 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.6.0-1
- new upstream release

* Sat Jan 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.9.0-2vl6
- excluded kde4/plugins/marble/ExternalDraw.so <Vine Linux:0001324>

* Wed Jun  8 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9.0-1
- new upstream release
- add Patch10 to build against libjpeg-turbo-devel
- add BR: MySQL-server (needs mysql_install_db during compilation)

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.4.0-1
- new upstream release
- added Japanese summary
- added R: qt4-sqlite, kdeedu4-marble <BTS:1026> <BTS:1027>

* Sat Aug 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.3.0-1
- new upstream release

* Fri Jul 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-3
- R: kdeedu4-marble-libs

* Fri Jul 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-2
- Initial build for Vine Linux

* Mon Mar 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-1
- digikam-1.2.0

* Mon Mar 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.1.0-3
- -libs: drop extraneous deps
- -devel: Req: kdelibs4-devel

* Wed Feb 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.1.0-2
- touch up marble-related deps

* Mon Feb 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.1.0-1
- digikam-1.1.0

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-2
- use %%{_kde4_version}

* Mon Dec 21 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- digikam-1.0.0

* Mon Nov 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.11.rc
- digikam-1.0.0-rc

* Wed Nov 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.10.beta6
- rebuild (kdegraphics)

* Sat Nov 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.9.beta6
- digiKam not listed as a media handler for pictures in Nautilus (#516447)

* Mon Nov 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.8.beta6
- digikam-1.0.0-beta6

* Tue Oct 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.7.beta5
- digikam-1.0.0-beta5
- tweak marble deps (again)

* Tue Sep 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.6.beta4
- fix marble dep(s)

* Mon Aug 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.5.beta4
- digikam-1.0.0-beta4
- BR: liblqr-1-devel

* Wed Aug 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.4.beta3
- drop xdg-utils references 
- tighten -libs related deps via %%{?_isa}

* Fri Jul 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.3.beta3
- digikam-1.0.0-beta3

* Mon Jul 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.2.beta2
- digikam-1.0.0-beta2

* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-0.1.beta1
- digikam-1.0.0-beta1

* Tue Mar 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-1
- digikam-0.10.0 (final)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-0.18.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.17.rc2
- digikam-0.10.0-rc2

* Mon Feb 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.16.rc1
- Req: kdebase-runtime

* Wed Feb 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.15.rc1
- BR: kdeedu-devel >= 4.2.0, Req: kdeedu-marble >= 4.2.0
- add min Req: kdelibs4 dep too 

* Thu Jan 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10-0-0.14.rc1
- digikam-0.10.0-rc1

* Mon Jan 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10-0.13.beta8
- re-enable marble integration, kde42+ (bug #470578)

* Mon Jan 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.12.beta8
- digikam-0.10.0-beta8

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.11.beta7
- BR: libkipi-devel >= 0.3.0

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.9.beta7
- digikam-0.10.0-beta7

* Mon Dec 01 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.8.beta6
- omit kde42 (icon) conflicts

* Tue Nov 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.7.beta6
- digikam-0.10.0-beta6
- lensfun support

* Mon Oct 27 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.6.beta5
- digikam-0.10.0-beta5

* Mon Oct 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.0-0.5.beta4
- update to 0.10.0 beta 4
- build against latest kdegraphics

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.4.beta3
- digikam-0.10.0-beta3

* Mon Aug 04 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.3.beta2
- disable marble integration

* Sat Aug 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.2.beta2
- omit conflicts with oxygen-icon-theme

* Thu Jul 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.0-0.1.beta2
- digikam-0.10.0-beta2

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.9.4-2
- --without-included-sqlite3, BR: sqlite-devel

* Thu Jul 17 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.9.4-1
- digikam-0.9.4

* Mon Jul 07 2008 Marcin Garski <mgarski[AT]post.pl> 0.9.3-5
- Don't lose some photos during import (#448235)

* Fri Mar 14 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.9.3-3
- respin (for libkdcraw)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.3-2
- Autorebuild for GCC 4.3

* Sat Dec 22 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.3-1
- Update to 0.9.3
- BR: libkexiv2-devel >= 0.1.6 libkdcraw-devel >= 0.1.2

* Sat Dec 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3-0.5.rc1
- digikam-0.9.3-rc1
- BR: kdelibs3-devel

* Thu Nov 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3-0.2.beta3
- digikam-0.9.3-beta3

* Tue Nov 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3-0.1.beta2
- digikam-0.9.3-beta2

* Tue Sep 18 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-5
- Rebuild

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3-4
- License: GPLv2+
- lcms patch (kde bug #148930)

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.9.2-3
- Rebuild for selinux ppc32 issue.

* Fri Jun 22 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-2
- Create symlinks in pixmaps directory (#242978)

* Tue Jun 19 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-1
- Update to version 0.9.2-final
- Remove digikam-0.9.2-beta3-fix-exiv2-dep.patch, merged upstream

* Wed Jun 06 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-0.3.beta3
- Fix .desktop category

* Wed Jun 06 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-0.2.beta3
- Fix broken compilation caused by Exiv2 dependency

* Tue Jun 05 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-0.1.beta3
- Update to version 0.9.2-beta3 (merge with digikamimageplugins)
- Update description

* Mon May 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.1-3
- respin against libkexiv2-0.1.5
- preserve upstream .desktop vendor (f7 branch at least)

* Mon Apr 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.1-2
- exiv2-0.14 patch
- cleanup/simplify BR's,Requires,d-f-i usage

* Fri Mar 09 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.1-1
- Update to version 0.9.1
- Update BuildRequires

* Mon Dec 18 2006 Marcin Garski <mgarski[AT]post.pl> 0.9.0-1
- Update to version 0.9.0

* Tue Nov 28 2006 Marcin Garski <mgarski[AT]post.pl> 0.9.0-0.2.rc1
- Rebuild

* Tue Nov 28 2006 Marcin Garski <mgarski[AT]post.pl> 0.9.0-0.1.rc1
- Update to version 0.9.0-rc1

* Fri Sep 01 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-3
- Rebuild for Fedora Core 6

* Wed Aug 16 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-2
- Release bump (#201756)

* Tue Aug 01 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-1
- Update to version 0.8.2 (#200932)

* Tue Feb 14 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.1-3
- Rebuild

* Wed Feb 08 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.1-2
- Exclude x-raw.desktop (bug #179754)
- Don't own icons directory

* Mon Jan 23 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.1-1
- Add --enable-final
- Remove GCC 4.1 patch, applied upstream
- Update to version 0.8.1

* Mon Jan 23 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.0-16
- Add some stuff to BuildRequires (finally fix bug #178031)

* Tue Jan 17 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.0-15
- Remove redundant BuildRequires (bug #178031)

* Mon Jan 16 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.0-14
- Remove --disable-dependency-tracking

* Mon Jan 16 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.0-13
- Remove --enable-final (caused compilation errors)

* Sun Jan 15 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.0-12
- Change "/etc/profile.d/qt.sh" to "%%{_sysconfdir}/profile.d/qt.sh"
- Add --disable-dependency-tracking & --enable-final

* Wed Dec 14 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-11
- Add libart_lgpl-devel and gamin-devel to BR

* Wed Dec 14 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-10
- Add libacl-devel to BR

* Wed Dec 14 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-9
- Add libidn-devel to BR

* Wed Dec 14 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-8
- Fix compile on GCC 4.1

* Tue Dec 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-7
- Remove autoreconf

* Tue Dec 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-6
- Remove patch

* Tue Dec 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-5
- Last chance to make it right (modular X.Org)

* Tue Dec 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-4
- Try to build for modular X.Org

* Tue Dec 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-3
- Add new paths for modular X.Org

* Fri Dec 09 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-2
- Work around for modular X.Org paths

* Thu Dec 01 2005 Marcin Garski <mgarski[AT]post.pl> 0.8.0-1
- Add description about digikamimageplugins and kipi-plugins
- Remove 64 bit patch, applied upstream
- Update to version 0.8.0

* Sat Oct 22 2005 Marcin Garski <mgarski[AT]post.pl> 0.7.4-4
- Exclude libdigikam.la (bug #171503)

* Sat Sep 17 2005 Marcin Garski <mgarski[AT]post.pl> 0.7.4-3
- Change confusing warning about Big Endian Platform

* Tue Sep 13 2005 Marcin Garski <mgarski[AT]post.pl> 0.7.4-2
- Spec improvements

* Mon Sep 12 2005 Marcin Garski <mgarski[AT]post.pl> 0.7.4-1
- Updated to version 0.7.4 & clean up for Fedora Extras

* Sat Jun 26 2004 Marcin Garski <mgarski[AT]post.pl> 0.6.2-1.fc2
- Updated to version 0.6.2

* Wed Jun 09 2004 Marcin Garski <mgarski[AT]post.pl> 0.6.2RC-1.fc2
- Initial specfile
