Summary: DjVu viewer
Summary(ja): DjVu 画像ファイルのビュアー
Name: djview
Version: 4.9
Release: 2%{?_dist_release}
License: GPLv2 and BSD
Group: Applications/Graphics
URL: http://djvu.sourceforge.net/djview4.html

Source: http://downloads.sourceforge.net/djvu/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel >= 4.2
BuildRequires: djvulibre-devel >= 3.5.19
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info

Distribution: Project Vine
Vendor: Vine Linux
Packager: owa

%description 
DjView4 is a viewer and browser plugin for DjVu documents,
based on the DjVuLibre-3.5 library and the Qt4 toolkit.

%package plugin
Summary: The plug-in files needed for Fx browser.
Summary(ja): Fx ウェブブラウザ用の DjView プラグイン
Group: Applications/Internet
Requires: %{name} = %{version}
Obsoletes: djvulibre-plugin <= 3.5.22

%description plugin
Djview plug-in files for fx browser.


%prep
%setup -q -n djview4-%{version}

%build
%configure QTDIR=`pkg-config --variable=prefix Qt`
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mv %{buildroot}/%{_libdir}/netscape %{buildroot}/%{_libdir}/mozilla

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Categories=Application;Graphics;
MimeType=image/x-djvu;image/x.djvu;image/vnd.djvu;
Name=DjView
Name[ja]=Djvuビュアー
Exec=%{name} %f
Comment=Standalone Djvu Viewer
Comment[ja]=スタンドアロンでDjvu画像を表示するツールです
Terminal=false
Icon=%{name}
EOF

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m644 ./desktopfiles/hi32-djview4.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m644 ./desktopfiles/hi64-djview4.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%post 
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
    update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
    if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
    fi
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc COPYRIGHT COPYING INSTALL NEWS README*
%{_bindir}
%{_datadir}/djvu/djview4
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_mandir}/*

%files plugin
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/nsdejavu.so


%changelog
* Thu Sep 01 2016 Toshiaki Ara <ara_t@384.jp> - 4.9-2
- rebuild with gcc-5.4.0

* Mon Feb 09 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.9-1
- updated to 4.9
- built with current VineSeed
- moved to Applications/Graphics
- used 'fx' as browser name at plugin subpackage summary

* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 4.7-2
- install desktop files

* Sun May 01 2011 Shu KONNO <owa@bg.wakwak.com> 4.7-1
- initial build for VineLinux

