Summary: Benchmarking authorative and recursing DNS servers
Summary(ja): 権威DNSサーバおよびキャッシングDNSサーバのベンチマークツール
Name: dnsperf
Version: 2.0.0.0
Release: 4%{?_dist_release}
License: MIT
Url: http://www.nominum.com/services/measurement_tools.php
Source: ftp://ftp.nominum.com/pub/nominum/dnsperf/%{version}/dnsperf-src-%{version}-1.tar.gz
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bind-devel, libcap-devel, bzip2, openssl-devel
BuildRequires: krb5-devel, libxml2-devel
Requires: gnuplot pcapy python-dns

%description
This is dnsperf, a collection of DNS server performance testing tools.
For more information, see the dnsperf(1) and resperf(1) man pages.

%prep
%setup -q -n dnsperf-src-%{version}-1
%configure  

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
install contrib/queryparse/queryparse %{buildroot}/%{_bindir}
install -D -m 644 contrib/queryparse/queryparse.1 %{buildroot}/%{_mandir}/man1/queryparse.1
gzip %{buildroot}/%{_mandir}/man1/queryparse.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc README RELEASE_NOTES doc
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Tue Jan 21 2014 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.0.0-4
- rebuild

* Tue Oct 08 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-3
- rebuild with bind-9.9.4

* Wed Jul 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-2
- rebuild with bind-9.6.ESV.R7.P2

* Fri Apr 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-1
- update to 2.0.0.0

* Thu Apr 05 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1.0-1
- initial build for Vine Linux

* Wed Feb  1 2012 Adam Williamson <awilliam@redhat.com> - 1.0.1.0-28
- rebuild against new bind

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Adam Tkac <atkac redhat com> - 1.0.1.0-26
- rebuild against new bind

* Fri Sep 09 2011 Adam Tkac <atkac redhat com> - 1.0.1.0-25
- rebuild against new bind

* Tue May 24 2011 Paul Wouters <paul@xelerance.com> - 1.0.1.0-24
- rebuilt for newer bind

* Mon Feb 21 2011 Adam Tkac <atkac redhat com> - 1.0.1.0-23
- rebuild against new bind

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Adam Tkac <atkac@redhat.com> - 1.0.1.0-21
- rebuild against new bind

* Fri Aug 27 2010 Adam Tkac <atkac redhat com> - 1.0.1.0-20
- rebuild against new bind

* Tue Aug 03 2010 Adam Tkac <atkac redhat com> - 1.0.1.0-19
- rebuild against new bind

* Fri Jul 02 2010 Adam Tkac <atkac redhat com> - 1.0.1.0-18
- rebuild to ensure devel branch doesn't have lower NVR than stable branch

* Mon May 31 2010 Adam Tkac <atkac redhat com> - 1.0.1.0-17
- rebuild against new bind

* Thu Jan 28 2010 Adam Tkac <atkac redhat com> - 1.0.1.0-16
- rebuild against new bind

* Tue Dec 15 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-15
- rebuild against new bind

* Tue Dec 01 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-14
- rebuild against new bind

* Thu Nov 26 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-13
- rebuild against new bind

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-12
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-10
- rebuild again

* Wed Jun 17 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-9
- rebuild against new bind-libs

* Mon Mar 30 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-8
- rebuild against new bind-libs

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-6
- rebuild with new openssl
- seems to require libxml2-devel to build now

* Mon Nov 10 2008 Adam Tkac <atkac redhat com> - 1.0.1.0-5
- rebuild against new bind-libs

* Fri Oct 31 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-4
- Changed license from BSD to MIT

* Wed Oct 22 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-3
- Fixed missing buildrequires
- Pass proper CFLAGS to gcc
- Fix Group

* Tue Oct 21 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-2
- Fixed libpcap vs libcap confusion

* Mon Oct 20 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-1
- Initial Fedora package
