%bcond_with build_nosrc

%if !%{with build_nosrc}
%global _disable_source_fetch 0
%endif

Name: docker-compose
Summary: Define and run multi-container applications with Docker
Version: 2.2.2
Release: 1%{?_dist_release}
Group: admin-tools,virtualization
Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

License: ASL 2.0
URL: https://www.docker.com
Source0: https://github.com/docker/compose/releases/download/v%{version}/docker-compose-linux-x86_64#/docker-compose-%{version}
Source1: https://raw.githubusercontent.com/docker/compose/%{version}/README.md
Source2: https://raw.githubusercontent.com/docker/compose/%{version}/LICENSE

%if %{with build_nosrc}
NoSource: 0
NoSource: 1
NoSource: 2
%endif

Requires: docker-ce-cli

%description
Compose is a tool for defining and running multi-container Docker applications. With Compose, you use a Compose file to configure your application's services. Then, using a single command, you create and start all the services from your configuration.


%prep


%build


%install
# install binary
install -d %{buildroot}%{_bindir}

install -p -m 755 %{SOURCE0} %{buildroot}%{_bindir}/docker-compose
install -p -m 755 %{SOURCE1} ./
install -p -m 755 %{SOURCE2} ./


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_bindir}/docker-compose


%changelog
* Tue Dec 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.2-1
- new upstream release.

* Wed Dec 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.1-1
- new upstream release.

* Wed May 12 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.29.2-1
- new upstream release.

* Thu Feb 11 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.28.2-1
- new upstream release.

* Thu Dec 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.27.4-1
- new upstream release.

* Sun Jul 26 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.26.2-1
- new upstream release.

* Thu Mar 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.25.4-1
- new upstream release.

* Thu Oct 10 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.24.1-2
- rebuilt to upload to VineSeed official repository.

* Tue Aug 27 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.24.1-1
- initial build for Vine Linux.
