Name: dragon
Summary: KDE simple video player
Summary(ja): KDE 向けのシンプルなビデオプレーヤー
Version: 4.14.3
Release: 2%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2+
Group: Applications/Multimedia
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel
BuildRequires: soprano-devel

Requires: kdelibs >= %{version}

Vendor: Project Vine
Distribution: Vine Linux

%description
Dragon Player is a very simple Phonon-based media player. It was originally 
developed by Max Howell and called Codeine. I ported it to KDE 4.0 and on 
Max's suggestion renamed it to Video Player (probably, I might still
rename it.)  


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%{_bindir}/dragon
%{_libdir}/kde4/dragonpart.so
%{_datadir}/applications/kde4/dragonplayer.desktop
%{_datadir}/config/dragonplayerrc
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/apps/dragonplayer
%{_datadir}/kde4/apps/solid/actions/dragonplayer-opendvd.desktop
%{_datadir}/kde4/services/*
%{_docdir}/HTML/en/dragonplayer/
%{_mandir}/man1/%{name}.1.gz


%changelog
* Wed Jul 06 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Tue May 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
