Name:             dvipng
Version:          1.14
Release:          2%{?_dist_release}

Summary:          Converts DVI files to PNG/GIF format
Summary(ja):      DVIファイルをPNG/GIF画像に変換
Source:           %{name}-%{version}.tar.gz
URL:              http://sourceforge.net/projects/dvipng/
Group:            Applications/Publishing
License:          GPLv2+ and OFSFDL

BuildRequires:    libkpathsea-devel
BuildRequires:    gd-devel
BuildRequires:    zlib-devel
BuildRequires:    libpng-devel
%if %{?_dist_release} == "vl5"
BuildRequires:    tetex
%else
BuildRequires:    texlive-common
%endif
BuildRequires:    texinfo
BuildRequires:    t1lib-devel
BuildRequires:    freetype2-devel
BuildRequires:    fontconfig-devel

BuildRoot:        %{_tmppath}/%{name}-%{version}-root

Vendor:           Project Vine
Distribution:     Vine Linux
Packager:         munepi

%description
This program makes PNG and/or GIF graphics from DVI files as obtained
from TeX and its relatives.

It is intended to produce anti-aliased screen-resolution images as
fast as is possible. The target audience is people who need to generate
and regenerate many images again and again. 


%description -l ja
TeX やその関連ツールにより作成される DVI ファイルを 
PNG または GIF 画像に変換するプログラムです。

可能な限り素早くアンチエリアスが効いた画面解像度の画像を生成します。
このソフトの主な対象者は、多数の画像を何度も繰り返し再生成したい人です。 


%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make install DESTDIR=${RPM_BUILD_ROOT}

%__rm -rf ${RPM_BUILD_ROOT}/%{_infodir}/dir

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/install-info %{_infodir}/dvipng.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ "$1" = "0" ] ; then 
    /sbin/install-info --delete %{_infodir}/dvipng.info %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog ChangeLog.0 README RELEASE
%{_bindir}/dvigif
%{_bindir}/dvipng
%{_infodir}/dvipng.info*
%{_mandir}/man1/dvigif.1*
%{_mandir}/man1/dvipng.1*


%changelog
* Sun Dec 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14-2
- rebuild with libpng-1.6.12

* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.14-1
- new upstream release
- TeX Live 2011 (vl7)

* Wed Sep 29 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.13-1
- new upstream release
  - upgrades dvipng to version 1.13 which fixes CVE-2010-0829
- added BuildRequires: texlive (for vl6)

* Sat Oct 31 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.12-1
- new upstream release
- changed Group tag to Applications/Publishing
- updated License tag to GPLv2+ and OFSFDL

* Wed Nov 29 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Rebuilt for VineLinux4.0

* Mon Nov 13 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.9

* Tue Apr  4 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.8
- The URL has moved

* Wed Sep 28 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.6

* Tue Nov  9 2004 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0

