Name:           dynamite
Version:        0.1.1
Release:        3%{?_dist_release}
Summary:        Extract data compressed with PKWARE Data Compression Library

Group:          Applications/Accessories
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/libdynamite-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libtool
Provides:       libdynamite = %{version}-%{release}

%description
%{summary}

%package devel
Summary:        Files needed for software development with %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       libdynamite-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development with
%{name}

%prep
%setup -q -n libdynamite-%{version}

%build
%configure --disable-static --disable-rpath
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libdynamite.{l,}a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/dynamite
%{_libdir}/libdynamite.so.*
%{_mandir}/man1/dynamite.1.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdynamite.so
%{_includedir}/libdynamite.h
%{_libdir}/pkgconfig/libdynamite.pc

%changelog
* Tue Oct 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.1.1-3
- moved to Applications/Accessories Group

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.1-2
- rebuild with Vine6 environment

* Wed Jun 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.1-1
- initial build for Vine Linux


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.1.1-2
- rebuild for pkgconfig

* Tue Jun 17 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.1.1-1
- version upgrade

* Fri Mar 28 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.1-8
- fix #435583 Underquoted definition of AM_PATH_LIBDYNAMITE

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.1-7
- rebuild for buildid

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.1-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.1-5
- FE6 rebuild

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.1-4
- Rebuild for Fedora Extras 5

* Fri Aug 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.1-3
- require v-r for devel package

* Thu Aug 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.1-2
- add dist

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.1-1
- Initial Release
