Summary:	Tag Editor for MP4, MP3, Ogg Vorbis, FLAC and othe music files
Summary(ja):	MP4, MP3, Ogg Vorbis, FLAC 等に対応したタグエディタ
Name:		easytag
Version:	2.2.6
Release:	2%{?_dist_release}
License: 	GPLv2+
Group:		Applications/Multimedia
URL:		https://wiki.gnome.org/Apps/EasyTAG

Source0:	https://download.gnome.org/sources/easytag/2.2/%{name}-%{version}.tar.xz

Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  appdata-tools
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  flac-devel
BuildRequires:  gtk3-devel
BuildRequires:  id3lib-devel >= 3.7.12
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libid3tag-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxslt
#BuildRequires: pkgconfig(opusfile)
BuildRequires:  speex-devel
BuildRequires:  taglib-devel
BuildRequires:  wavpack-devel

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux


%description
EasyTAG is a utility for viewing, editing and writing the tags of MP4, MP3,
MP2, FLAC, Ogg Opus, Ogg Speex, Ogg Vorbis, MusePack and Monkey's Audio files.

%description -l ja
EasyTAG は、MP4, MP3, MP2, FLAC, Ogg Opus, Ogg Speex, Ogg Vorbis などオーディオファイルのタグを閲覧したり編集したりするユーティリティです。


%prep
%setup -q

%build
%configure
make V=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} INSTALL="install -p" install
find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name} --with-gnome


%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README THANKS TODO
%{_bindir}/easytag
%{_datadir}/appdata/easytag.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/easytag.*
%{_mandir}/man1/easytag.1*


%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.6-2
- rebuild with gcc-5.4.0

* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.2.6-1
- updated to 2.2.6

* Tue Mar 20 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.7-1
- updated to 2.1.7
- remove mpg123 code from the source tarball
- import patch[012] from Fedora

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 2.1-1vl5
- applied new versioning policy, spec in utf-8

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl2
- rebuilt with flac-1.2.0

* Mon Jun 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl1
- new upstream release
- rebuilt with new toolchain

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl3
- add audio-file-player.patch (patch0)
  to use audacious as default audio file player instead of xmms

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl2
- add Requires(post,postun): ldconfig, desktop-file-utils

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl1
- initial build
