# Basic Information
Name:		emerillon
Version:	0.1.90
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Applications/Other
Source0:	http://download.gnome.org/sources/emerillon/0.1/emerillon-0.1.90.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Emerillon is a map viewer.
Summary(ja):	Emerillon は、マップビューアーです。

# Dependency
BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	libchamplain-gtk-devel
BuildRequires:	geoclue-devel
BuildRequires:	libpeas-devel
BuildRequires:	gtk-doc
BuildRequires:	gnome-doc-utils
BuildRequires:	rest-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	vala-devel
BuildRequires:  autoconf
BuildRequires:  gnome-common

%description
Emerillon is a map viewer. Aiming at simple user interface, Emerillon is a
powerful, extensible application. It is pronounced Ey-may-ree-yon.

It features OpenStreetMap based maps: the street map, the cycling map and
the transportation map. Use it to:

- Browse maps,
- Search the map for places,
- Placemark places for later quick access.

%description -l ja
Emerillon は、マップビューアーです。簡単なユーザーインターフェースを目指して
おり、強力で拡張可能なアプリケーションです。エーメイリーヨンと発音します。

Emerillon は、OpenStreetMap に基づいた地図を特色としています: 街路図、自転車
道図および交通機関の地図があります。以下のように利用してください:

- 地図を閲覧する
- 地図で場所を検索する
- 後で素早くアクセスするために場所にマーカーを付与する

%package devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gtk3-devel
Requires:	libchamplain-gtk-devel
Requires:       pkgconfig

%description devel
Development files for %{name}

%description -l ja devel
%{name} の開発用ファイル

%prep
%setup -q

%build
autoreconf -if
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
export GSETTINGS_DISABLE_SCHEMAS_COMPILE=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset GSETTINGS_DISABLE_SCHEMAS_COMPILE

%find_lang %{name}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/emerillon/plugins/*.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/emerillon
%{_libdir}/emerillon
%{_libdir}/girepository-1.0/Emerillon-0.2.typelib
%{_datadir}/GConf/gsettings/emerillon.convert
%{_datadir}/applications/emerillon.desktop
%{_datadir}/emerillon/emerillon-ui.xml
%{_datadir}/glib-2.0/schemas/org.gnome.emerillon.gschema.xml
%{_datadir}/gnome/help/emerillon
%{_datadir}/vala/vapi/emerillon.deps
%{_datadir}/vala/vapi/emerillon.vapi

%files devel
%defattr(-,root,root)
%{_includedir}/emerillon-0.1/emerillon/emerillon.h
%{_includedir}/emerillon-0.1/emerillon/sidebar.h
%{_includedir}/emerillon-0.1/emerillon/window.h
%{_libdir}/pkgconfig/emerillon.pc
%{_datadir}/gir-1.0/Emerillon-0.2.gir
%{_datadir}/gtk-doc/html/emerillon

%changelog
* Sun Aug 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.90-2
- rebuild with clutter-1.22.4
- add BuildRequires: autoconf, gnome-common

* Sat Oct 08 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.90-1
- initial build for Vine Linux
