Summary:	A plain ASCII to PostScript converter
Summary(ja):	ASCII テキストを PostScript に変換するツール
Name:		enscript
Version:	1.6.6
Release:	1%{?_dist_release}
License:	GPLv3+
Group:		Applications/Publishing
URL:		http://www.gnu.org/software/enscript
# Tarball exists nowhere. You have to obtain it via:
# $ git clone git://git.savannah.gnu.org/enscript.git
# $ git archive --format=tar --prefix=enscript-1.6.4/ v1.6.4 |gzip > enscript-1.6.4.tar.gz
Source0:	enscript-%{version}.tar.gz
Source1:	enscript-ruby-1.6.4.tar.gz
#http://neugierig.org/software/ruby/ruby-enscript.tar.gz
Source2:	enscript-php-1.6.4.st
#http://home.raxnet.net/downloads/viewcvs/php.st

# RH #61294
Patch3:		enscript-1.6.1-locale.patch

# RH #224548
Patch8:		enscript-wrap_header.patch

Patch10:	enscript-1.6.4-rh457720.patch
Patch12:	enscript-rh477382.patch
Patch13:	enscript-build.patch
Patch14:	enscript-manfixes.patch
Patch15:	enscript-bufpos-crash.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	nenscript < 1.13++-13
Provides:	nenscript = 1.13++-13

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	texinfo

Requires(preun): /sbin/install-info
Requires(post): /sbin/install-info

Vendor:		Project Vine
Distribution:	Vine Linux

%description
GNU enscript is a free replacement for Adobe's Enscript
program. Enscript converts ASCII files to PostScript(TM) and spools
generated PostScript output to the specified printer or saves it to a
file. Enscript can be extended to handle different output media and
includes many options for customizing printouts.

%description -l ja
GNU enscript は Adobe Enscript に代わるフリーなプログラムです。
Enscript は ASCII ファイルを PostScript(TM) に変換して、
特定のプリンタに作成した PostScript ファイルをスプールしたり、
ファイルに保存することができます。
Enscript は異なる出力メディアを扱えるように拡張されており、
プリント出力をカスタマイズするための多くのオプションを含んでいます。


%prep
%setup -q
%patch3 -p1 -b .locale
%patch8 -p1 -b .wrap_header
%patch10 -p1 -b .rh457720
%patch12 -p1 -b .rh477382
%patch13 -p1 -b .build
%patch14 -p1 -b .manfixes
%patch15 -p1 -b .bufpos-crash

%{__tar} -C states/hl -zxf %{SOURCE1} ruby.st
install -pm 644 %{SOURCE2} states/hl/php.st


%build
autoreconf -fiv
export CPPFLAGS='%{optflags} -DPROTOTYPES'
%configure --with-media=A4
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/info/dir

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/* \! -type d) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list
(cd %{buildroot};find .%{_datadir}/enscript/* -type d) | \
	sed -e 's,^\.,,' | sed -e 's,^,%dir ,' >> share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

%find_lang %{name} %{name}.lang

for all in README THANKS; do
	iconv -f ISO88591 -t UTF8 < $all > $all.new
	touch -r $all $all.new
	mv $all.new $all
done

%clean
rm -rf %{buildroot}

%preun
if [ $1 = 0 ]; then
    [ -f %{_infodir}/%{name}.info.gz ] && \
      /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
	%{_infodir}/dir || :
fi

%post
[ -f %{_infodir}/%{name}.info.gz ] && \
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%files -f %{name}.lang -f share.list
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING docs/FAQ.html NEWS README README.ESCAPES THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/enscript
%{_infodir}/%{name}*
%config(noreplace) %{_sysconfdir}/enscript.cfg


%changelog
* Fri Jan 16 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.6.6-1
- updated to 1.6.6
- added BR: texinfo
- spec in UTF-8

* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.6.5.2-2
- specify --with-media=A4 (Letter is rarely used in Japan)

* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.6.5.2-1
- updated to 1.6.5.2
- spec revamped based on Fedora

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.1-28vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 11 2004 Satoshi MACHINO <machino@vinelinux.org> 1.6.1-27vl1
- build for VineLinux
- added BuildPrereq and Requires
- added japanese description

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-20
- Fix URL (bug #65278).

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-19
- Fix license (bug #62573).

* Mon Mar 18 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-18
- Fix locale issues (bug #61294).

* Mon Feb 04 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-17
- Rebuild in new environment.

* Mon Jan 14 2002 Tim Waugh <twaugh@redhat.com> 1.6.1-16.2
- Use tmpfile instead of tmpnam or tempnam (bug #57704).
- Built for Red Hat Linux 7.x.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.6.1-16
- automated rebuild

* Wed Dec 19 2001 Tim Waugh <twaugh@redhat.com> 1.6.1-15
- Own %%{_datadir}/enscript directory (bug #56974).

* Mon Jun 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.6.1-14
- add optional mail paramater, closing bug #17750
- patch from marques@cs.cornell.edu

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind Glomsrﾃｸd <teg@redhat.com>
- langify

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
