%define glib2_version 2.48.0
%define pango_version 1.40.0
%define gtk3_version 3.22.30
%define gnome_desktop3_version 3.20.0
%define gnome_icon_theme_version 3.12.0
%define desktop_file_utils_version 0.16

Summary: Eye of GNOME image viewer
Summary(ja): Eye of GNOME 画像ビューワ
Name:    eog
Version: 40.1
Release: 1%{?_dist_release}
Group: desktop-gnome,graphics
Vendor: Project Vine
Distribution: Vine Linux

License: GPL 
URL: http://projects.gnome.org/eog/
%global shortver %(echo %{version} | cut -d . -f 1)
Source0: https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: meson
BuildRequires: libappstream-glib-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: libxml2-devel
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-desktop3-devel >= %{gnome_desktop3_version}
BuildRequires: shared-mime-info >= 0.20
BuildRequires: libexif-devel
BuildRequires: libXt-devel
BuildRequires: libffi-devel
BuildRequires: lcms2-devel
BuildRequires: exempi-devel
BuildRequires: yelp-tools
BuildRequires: libjpeg-turbo-devel
BuildRequires: librsvg2-devel
BuildRequires: libpeas-devel
BuildRequires: gtk-doc

%description
Eye of GNOME (EOG) is an image viewer component used by Nautilus.

%description -l ja
Eye of GNOME (EOG) は Nautilus が使用する画像ビューワです．


%package       devel
Summary:       Development tools for eog applications.
Summary(ja):   eog アプリケーションの開発用ファイル
Group:         programming
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig
Requires:      gtk3-devel

%description   devel
Header files and libraries for building a extension library for the eog.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
	-Dgtk_doc=true \
	-Dinstalled_tests=false \
	-Dlibportal=false
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/eog/plugins

desktop-file-install --vendor "" --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-only-show-in GNOME							\
	$RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/eog
%{_libdir}/eog
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/metainfo/eog.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/eog
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/eog

%changelog
* Thu May 13 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.1-1
- new upstream release.

* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.3-1
- new upstream release.

* Mon Dec 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.28.4-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.3-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-2
- remove *.la files

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- create %%{name}-docs subpackage

* Mon Nov 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.3-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-2
- add OnlyShowIn=GNOME; to gnome-eog.desktop

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: exempi-devel, yelp-tools

* Tue Jul 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.3-1
- new upstream release

* Tue Jun 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sun Nov 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- add BuildRequires: libxml2-devel

* Mon Sep 26 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.92-3
- update translation from master.

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.92-2
- update BR from lcms-devel to lcms2-devel
- translation testing

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: gnome-desktop3-devel instead of gnome-desktop-devel
- add BuildRequires: libpeas-devel
- remove Source1,2
- remove Patch0
- fix %files

* Thu Apr 07 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.1-2
- Add Source{1,2}(Update Japanese Translation)
- Add Patch0(Fix category of help)

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Tue Oct 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- add BuildRequires: librsvg2-devel
- add devel sub package again

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: libgnomeui-devel
- change BuildRequires: libjpeg-turbo-devel instead of libjpeg-devel

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-3
- add devel sub package

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: python-devel, pygobject-devel, pygtk2-devel

* Sat Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: gnome-doc-utils >= 0.3.2, libjpeg-devel, docbook-dtds

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3.1-1
- new upstream release
- changed Group to Applications/Graphics

* Tue Oct 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.22.2-2
- rebuilt with python-2.5.2

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release
- removed BuildRequires: libgnomeprint[ui]-devel
- added BuildRequires: gnome-icon-theme
- spec in UTF-8

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.3-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Wed May 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release
- add BuildRequires: libexif-devel

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.91-0vl1
- new upstream release

* Sun Feb 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Wed Mar 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.0-0vl1
- new upstream version

* Fri Jan 07 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- added Japanese summary and description

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Mon Dec 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-0vl1
- new upstream release
- rebuild with new toolchains

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.6-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- add missing files

* Wed Jan 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.4-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl2
- remove redhat category

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl1
- build for Vine Linux

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2
- remove --copy-generic-name-to-name because there's no GenericName
  anymore
- include libexecdir stuff

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- copy generic name to name and move to -Extra

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1, rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 05 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnomeprint

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 0.118.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 0.117.0

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- initial build



