Name:		epdfview
Version:	0.1.8
Release:	9%{?_dist_release}
Summary:	Lightweight PDF document viewer
Summary(ja):	軽量な PDF ドキュメントビューア

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://trac.emma-soft.com/epdfview
Source0:	http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
#Patch0:		epdfview-poppler-0.16.patch
#Patch1:		epdfview-0.1.7-fix-mouse-scroll.patch
#Patch2:		03_nonexisting-file.patch
Patch0:		02_glib-single-include.patch
Patch1:		epdfview-0.1.8-swap-colors-with-poppler-0.18.patch
Patch2:		06_fix-format.patch
Patch3:		epdfview-0.1.8-cups-1.6.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	poppler-devel
BuildRequires:	gtk2-devel glib2-devel cups-devel
BuildRequires:	bison cppunit-devel
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake libtool gettext

%description
ePDFView is a lightweight PDF document viewer using Poppler and GTK+ libraries.
The aim of ePDFView is to make a simple PDF document viewer, in the lines of
Evince but without using the Gnome libraries.

%description -l ja
ePDFView は Poppler と GTK+ ライブラリを用いた軽量な PDF ドキュメントビューアです。
ePDFView の狙いは Evince の流れをくみつつも Gnome ライブラリを使用することなく
シンプルな PDF ドキュメントビューアを作成することにあります。

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
# making null ChangeLog to avoid failure at autoreconf
touch ChangeLog
#autoreconf -f -i
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=vine \
	--delete-original \
	--remove-category Office \
	--add-category Graphics \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}/%{_datadir}/pixmaps
pushd %{buildroot}/%{_datadir}/pixmaps
ln -s ../%{name}/pixmaps/icon_epdfview-48.png .
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc AUTHORS COPYING README NEWS THANKS
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui
%{_datadir}/pixmaps/icon_epdfview-48.png
%{_mandir}/man1/

%changelog
* Thu Sep 01 2016 Toshiaki Ara <ara_t@384.jp> - 0.1.8-9
- rebuild with gcc-5.4.0

* Sat Jul 09 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.8-8
- rebuilt with new toolchain

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.8-7
- rebuild with poppler-0.37.0

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.8-6
- rebuild with poppler-0.26.2

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.8-5
- rebuild with poppler-0.24.5

* Sat Mar 15 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.8-4
- added Patch2 from Debian sid to fix message format
- added Patch3 to fix build error against cups
  (it is from https://github.com/Barthalion/aports/blob/master/main/epdfview/epdfview-0.1.8-cups-1.6.patch)
  
* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.8-3
- rebuild with poppler-0.24.2

* Thu May 03 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.8-2
- rebuilt with poppler-0.18.4
- added Patch0 from Debian sid to fix build error
- added Patch1 from Fedora rawhide to fix color channel

* Sun May 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.8-1
- new upstream release
- dropt all patches

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.7-6
- rebuild with krb5-libs-1.8.2

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.7-5
- rebuilt with poppler-0.16.3
- added Patch0

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.7-4
- rebuild with poppler-0.14.2

* Sat Sep 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-3
- added Patch2 from Debian
- added BuildRequires:	bison, cppunit-devel

* Thu Sep 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-2
- added Patch1 from Mandriva to fix mouse scroll

* Sat Aug 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-1
- initial build for Vine 5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 26 2009 Michal Schmidt <mschmidt@redhat.com> - 0.1.7-1
- Upstream release 0.1.7.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8.20081217svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-7.20081217svn
- Add icon.

* Wed Dec 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-6.20081217svn
- Rebased to current svn snapshot.
- Fixes bz476575 "epdfview crashes on print pdf".  

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.1.6-5
- rebuild for dependencies

* Sun Aug 31 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-4
- Fix build with the new RPM.

* Fri Mar 21 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-3
- Rebuild with new poppler.

* Fri Feb 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-2
- Use standard scriptlets for updating desktop-database.
- Conditional buildreqs to build on F8 too.
- Preserve timestamps of unmodified files.

* Wed Feb 13 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-1
- Initial Fedora package.
