%global ephy_major          3.6
%global ephy_api_major      3.6
%global ephy_min_version    %{ephy_major}.0

Summary:        Extensions for Epiphany, the GNOME web browser
Summary(ja):    Epiphany (GNOMEウェブブラウザ) 用の拡張

Name:           epiphany-extensions
Version:        %{ephy_min_version}
Release:        1%{?_dist_release}

## The Live HTTP Headers extension is LGPLv2.1+; the Gestures extension is
## GPLv2 (only); and all other extensions are GPLv2+.
License:        LGPLv2+ and GPLv2 and GPLv2+ and GFDL
Group:          Applications/Internet
URL:            http://www.gnome.org/projects/epiphany/extensions

Source0:        http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{ephy_major}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	epiphany-devel >= %{ephy_min_version}
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	WebKit3-gtk-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	opensp-devel
BuildRequires:	gnome-doc-utils >= 0.3.2

Requires:       epiphany

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.

%prep
%setup -q

%build
%configure --disable-scrollkeeper		\
	   --disable-schemas-install		\
	   --disable-static			\
           --with-extensions=actions,adblock,auto-reload,extensions-manager-ui,gestures,greasemonkey,html5tube,push-scroller,rss,sample,soup-fly,tab-key-tab-navigate,tab-states

%{__make} %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} LIBTOOL=%{_bindir}/libtool install

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-%{ephy_api_major}

%clean
%{__rm} -rf %{buildroot}


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:

%postun
scrollkeeper-update -q ||:

%files -f %{name}-%{ephy_api_major}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog README NEWS
%{_libdir}/epiphany/%{ephy_api_major}/extensions/
%{_datadir}/epiphany/icons/hicolor/*/status/feed-presence.*
%{_datadir}/epiphany/icons/hicolor/*/status/ad-blocked.*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.epiphanyextensions.gschema.xml
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%changelog
* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Mon Apr 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release
- fix %install and %files (change installation diretory)

* Wed Apr 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: GConf2-devel, gnome-doc-utils >= 0.3.2
- fix find_lang from %{name}-%{ephy_major} to %{name}-2.29

* Sun Nov 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release
- BR: WebKit-gtk-devel instead of gecko-devel

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-2
- rebuild with gecko-1.9.1

* Fri May 29 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.26.1-1
- new upstream release

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Oct 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- initial build for Vine Linux

* Mon Sep 29 2008 Peter Gordon <peter@thecodergeek.com> - 2.24.0-1
- Update to new upstream release (2.24.0)

* Wed Sep 24 2008 Christopher Aillon <caillon@redhat.com> - 2.23.91-2
- Rebuild against newer gecko

* Sun Sep 07 2008 Peter Gordon <peter@thecodergeek.com> - 2.23.91-1
- Update to new upstream release (2.23.91)
- Drop fixes for Ephy 2.23 API bump (applied upstream):
  - 2.22_23-api.diff

* Sat Jul 26 2008 Peter Gordon <peter@thecodergeek.com> - 2.23.0-0.1
- Adapt internal build scripts so that the Extensions are built against and
  run with Ephy 2.23/2.24: 
  + 2.22_23-api.diff
- Rebuild for XULrunner 1.9.0.1 while we're at it. :)

* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Tue Mar 11 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> - 2.21.92-1
- Update to 2.91.92
- Build against xulrunner 4realz, yo

* Wed Jan  9 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.20.1-4
- Switch to building against xulrunner (gecko 1.9) rather than firefox

* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 2.20.1-2
- Rebuild against newer gecko

* Tue Nov 06 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.1-2
- Rebuild for new Gecko (Firefox 2.0.0.9)

* Mon Oct 15 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.1-1
- Update to new upstream release (2.20.1), which fixes the "About" dialog of
  the AdBlocker extension and contains updated translations for Thai (th) and
  Catalan (ca). 
- Use the system libtool for building, to avoid unnecessary RPATH inclusions.  

* Tue Sep 18 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.0-1
- Update to new upstream release (2.20.0). 

* Tue Sep 04 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.90-1
- Update to new upstream release (2.19.90), which contains reworked
  installation rules for the icons and a fix for the Greasemonkey
  extension so that it does not break when the directory is not
  created (GNOME bug 437648).

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 2.19.6-1
- Rebuild for build ID

* Wed Aug 08 2007 Christopher Aillon <caillon@redhat.com> - 2.19.6-1
- Update to 2.19.6
- Rebuild against newer gecko

* Thu Aug 02 2007 Peter Gordon <peter@thecodergeek.com>
- Update License tag (LGPLv2.1+ and GPLv2 and GPLv2+).

* Sat Jul 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.5-1
- Update to new upstream release (2.19.5), which contains significant
  Epilicious updates and improved filterset.g syncing support in the
  AdBlocker extension.
- Build against the new Gecko release (Firefox 2.0.0.5) 

* Sat Jun 09 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-5
- Revert previous Yelp dependency addition. It's in the default install (via
  comps) and the only bad thing to happen if it's not available is that
  clicking the "Help" option simply does nothing. It's not a strict requirement
  in this case. 

* Fri Jun 08 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-4
- Add yelp dependency to ensure that its built-in "Help" functionality works
  as expected. (Resolves bug 243378; Thanks to Matej Cepl for his script.)

* Wed Jun 06 2007 Christopher Aillon <caillon@redhat.com> - 2.19.2-3
- Specfiles should _NOT_ call rpm directly.  Fix the previous bug the
  correct way, by doing explicit requires on the exact versions instead
  of via rpm -q

* Tue Jun 05 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-2
- Add %%{_target_cpu} to versioned Firefox dependency to avoid multilib
  updating issues such as bug 242318, wherein the 32-bit older Firefox build
  matches the versioned dependency, but the updated 64-bit Firefox build
  matches the 64-bit shared library dependencies. (Thanks to Frederik Hertzum
  for the bug report.) 

* Tue May 30 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-1
- Update to new upstream release (2.19.2); and rebuild for newer Firefox/Gecko
  version (2.0.0.4).

* Wed Apr 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.1-1
- Update to new upstream release (2.18.1).

* Sat Mar 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-2
- Rebuild against new Gecko release (Firefox 2.0.0.3).

* Wed Mar 14 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-1
- Update to new upstream release (2.18.0).
- Remove shell syntax error (erroneous "||:") in %%preun scriptlet.

* Fri Mar 02 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.92-1
- Update to new upstream release (2.17.92), which includes the Epilicious
  extension (thus closing bug #223746).  
- Add an explicit versioned dependency on firefox to help avoid version-bump
  incompatibilities in the future.(Thanks to Brian Pepple for the fix.)  

* Sat Jan 27 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-3
- Enable all extensions. (Woo!)
- Fix summary (it shouldn't end with a period).

* Fri Jan 26 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-2
- Fix %%post GConf scriptlet (thanks to David Nielsen for the bug report via
  email) and a spelling mistake in previous %%changelog entry. 
- Lots of aesthetic fixes to the spec file.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-1
- Update to new upstream release (2.17.4)
- Use %%find_lang instead of a hardcoded call to 'find_lang.sh --all-name'
- A couple of fixes from Brian Pepple:
  (1) Own only the extensions subdirectory in %%_libdir/epiphany, not the
  toplevel epiphany directory (which is owned by epiphany).
  (2) Don't package libtool archive (*.la) files.
- Make macro usage a bit more consistent.
- Add AUTHORS, COPYING, and COPYING.README to installed documentation (%%doc).
- Includes smart-bookmarks GConf schema, so add associated gconftool-2
  scriptlet calls, etc. 

* Fri Dec 01 2006 Peter Gordon <peter@thecodergeek.com> - 2.17.0-1
- Update to new upstream release (2.17.0), for new Epiphany 2.17/2.18 in Devel. 
- Fix BuildRoot to be in compliance with Fedora Extras packaging policy  

* Thu Oct 12 2006 Peter Gordon <peter@thecodergeek.com>
- Change perl-XML-Parser BR to perl(XML::Parser)
- DESTDIR is a make variable, not an external one

* Thu Oct 12 2006 Zack Cerza <zcerza@redhat.com> 2.16.0-1
- Update to 2.16.0

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 2.15.2-1
- Update to 2.15.2

* Sun Apr 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM
