%define dbus_glib_version 0.88
%define dbus_version 1.6.0
%define gnome_icon_theme_version 2.30.2.1
%define libxml2_version 2.7.3
%define gtkhtml_version 4.5.2
%define last_libgal2_version 2:2.5.3-2
%define soup_version 2.32.0
%define unique_version 2.90.4
%define gstreamer1_version 0.11.0
%define gnome_desktop3_version 2.91.3
%define libgdata_version 0.10
%define libgweather_version 3.5.0
%define gsettings_desktop_schemas_version 2.91.92
%define webkitgtk_version 1.10.0
%define eds_version 3.22.0

%define ldap_support 1
%define libnotify_support 1

%define nm_support 1

%define evo_plugin_dir %{_libdir}/evolution/plugins
%define web_extensions_dir %{_libdir}/evolution/web-extensions

### Abstract ###

Summary: GNOME's next-generation groupware suite
Summary(ja): GNOME 次世代グループウェアスイート
Name: evolution
Version: 3.40.1
Release: 1%{?_dist_release}
Group: desktop-gnome,communication,internet
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2 and GFDL+
URL: http://www.gnome.org/projects/evolution/
%global shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0: https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

### Patches ###

BuildRoot: %{_tmppath}/%{name}-%{version}-root

### Dependencies ###
Requires: dbus >= %{dbus_version}
Requires: evolution-data-server >= %{eds_version}
Requires: gnome-icon-theme >= %{gnome_icon_theme_version}
Requires: gnutls
Requires: gtk3 >= 3.0.0
Requires: libsoup >= %{soup_version}

%if %{libnotify_support}
Requires: libnotify >= 0.4
%endif

Obsoletes: libgal2 <= %{last_libgal2_version}

### Build Dependencies ###

BuildRequires: cmake
BuildRequires: gtk3-devel
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: gnome-desktop3-devel >= %{gnome_desktop3_version}
BuildRequires: libgweather-devel >= %{libgweather_version}
BuildRequires: gsettings-desktop-schemas-devel >= %{gsettings_desktop_schemas_version}
BuildRequires: libcanberra-gtk3-devel
#BuildRequires: WebKit3-gtk-devel >= %{webkitgtk_version}
BuildRequires: webkitgtk4-devel >= %{webkitgtk_version}
BuildRequires: gstreamer1-devel >= %{gstreamer1_version}
BuildRequires: libSM-devel
BuildRequires: libgdata-devel >= %{libgdata_version}
BuildRequires: gnome-online-accounts-devel
BuildRequires: gtkspell3-devel
BuildRequires: libcryptui-devel
BuildRequires: gnome-autoar-devel
BuildRequires: bogofilter
BuildRequires: spamassassin
BuildRequires: itstool

BuildRequires: bison
BuildRequires: gettext
BuildRequires: gtk-doc

BuildRequires: nspr-devel
BuildRequires: nss-devel

%if %{ldap_support} 
BuildRequires: openldap-devel >= 2.0.11 
%endif

%if %{nm_support}
BuildRequires: NetworkManager-libnm-devel
%endif

%if %{libnotify_support}
BuildRequires: libnotify-devel
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%description -l ja
Evolution はメーラ，カレンダー，アドレス帳， TO DO リスト，メモ帳
を含むツールです．Evolution を構成する各ツールはしっかりと統合され
ており、シームレスに個人情報管理ツールとして機能します．


%package devel
Summary: Development files for building against evolution
Summary(ja): Evolution の開発用ファイル
Group: programming
Requires: %{name} = %{version}
Requires: gtkhtml4-devel >= %{gtkhtml_version}
Requires: libsoup-devel >= %{soup_version}

%description devel
Development files needed for building things which link against evolution.

%description devel -l ja
evolution をリンクするプログラムをビルドするために必要な開発用ファイルです．


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description    docs
This package contains documentation for %{name}.


%package help
Summary: Help files for %{name}
Summary(ja): %{name} 用ヘルプファイル
Group: documentation
Requires: %{name} = %{version}-%{release}

%description help
This package contains user documentation for %{name}. 

%description help -l ja
%{name} のユーザ用ドキュメントです.  


%package bogofilter
Summary: Bogofilter plugin for Evolution
Summary(ja): Evolution 用 Bogofilter プラグイン
Group: desktop-gnome,communication,internet
Requires: %{name} = %{version}-%{release}
Requires: bogofilter

%description bogofilter
This package contains the plugin to filter junk mail using Bogofilter.

%description bogofilter -l ja
Bogofilter を使って迷惑メールをフィルタリングするためのプラグインです．


%package spamassassin
Summary: SpamAssassin plugin for Evolution
Summary(ja): Evolution 用 SpamAssassin プラグイン
Group: desktop-gnome,communication,internet
Requires: %{name} = %{version}-%{release}
Requires: spamassassin

%description spamassassin
This package contains the plugin to filter junk mail using SpamAssassin.

%description spamassassin -l ja
SpamAssassin を使って迷惑メールをフィルタリングするためのプラグインです．


%debug_package


%prep
%setup -q


%build
# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags -DWITH_OPENLDAP=ON
%else
%define ldap_flags -DWITH_OPENLDAP=OFF
%endif

%define ssl_flags -DENABLE_SMIME=ON

if ! pkg-config --exists nss; then 
  echo "Unable to find suitable version of mozilla nss to use!"
  exit 1
fi

CFLAGS=`echo "$RPM_OPT_FLAGS -fPIC -DLDAP_DEPRECATED -Wno-sign-compare -Wno-deprecated" | sed -e 's/-g//'`; export CFLAGS

%cmake \
	-G "Unix Makefiles" \
	-DCMAKE_BUILD_TYPE=Release \
	-DENABLE_MAINTAINER_MODE=OFF \
	-DVERSION_SUBSTRING=" (%{version}-%{release})" \
	%ldap_flags %ssl_flags \
	-DENABLE_PLUGINS=all \
	-DENABLE_YTNEF=OFF \
	-DENABLE_GSPELL=OFF \
	-DENABLE_GTK_DOC=ON -DWITH_HELP=ON \
	-DENABLE_INSTALLED_TESTS=OFF \
	-DENABLE_TEXT_HIGHLIGHT=OFF \
	-DENABLE_PST_IMPORT=OFF \
	%{nil}

%cmake_build

# Replace identical images in the help by links.
# This reduces the RPM size by several megabytes.
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%find_lang %name-%{shortver} --all-name --with-gnome

grep "%{_datadir}/locale" evolution-%{shortver}.lang > translations.lang
grep -v "%{_datadir}/locale" evolution-%{shortver}.lang > help.lang


%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f translations.lang
%defattr(-, root, root)
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/evolution/*.so

%{_datadir}/GConf/gsettings/evolution.convert
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.shell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.addressbook.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.importer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.mail.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.text-highlight.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.attachment-reminder.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.autocontacts.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.email-custom-header.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.external-editor.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.face-picture.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.itip.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.mail-notification.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.prefer-plain.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.publish-calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.sender-validator.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.templates.gschema.xml

# The main executable
%{_bindir}/evolution

# man:
%{_mandir}/man1/evolution.1*

# Desktop files:
%{_datadir}/metainfo/org.gnome.Evolution.appdata.xml
%{_datadir}/applications/org.gnome.Evolution.desktop

# Icons:
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/icons/hicolor/symbolic/apps/*

# The main data directory
# (have not attempted to split this up into an explicit list)
%{_datadir}/evolution

# Modules:
%dir %{_libdir}/evolution
%{_libdir}/evolution/modules/*
%exclude %{_libdir}/evolution/modules/module-bogofilter.so
%exclude %{_libdir}/evolution/modules/module-spamassassin.so

# Various libexec programs:
%dir %{_libexecdir}/evolution
%{_libexecdir}/evolution/evolution-backup
%{_libexecdir}/evolution/killev

# The plugin directory:
%dir %{evo_plugin_dir}

# The various plugins follow; they are all part of the main package:
# (note that there are various resources such as ui and pixmap files that 
# are built as part of specific plugins but which are currently packaged using 
# globs above; the purpose of the separation below is to be more explicit about
# which plugins we ship)

%{evo_plugin_dir}/org-gnome-evolution-attachment-reminder.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-attachment-reminder.so

%{evo_plugin_dir}/org-gnome-email-custom-header.eplug
%{evo_plugin_dir}/liborg-gnome-email-custom-header.so

%{evo_plugin_dir}/org-gnome-evolution-bbdb.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-bbdb.so

%{evo_plugin_dir}/org-gnome-external-editor.eplug
%{evo_plugin_dir}/liborg-gnome-external-editor.so

%{evo_plugin_dir}/org-gnome-face.eplug
%{evo_plugin_dir}/liborg-gnome-face.so

%{evo_plugin_dir}/org-gnome-mailing-list-actions.eplug
%{evo_plugin_dir}/liborg-gnome-mailing-list-actions.so

%{evo_plugin_dir}/org-gnome-mail-notification.eplug
%{evo_plugin_dir}/liborg-gnome-mail-notification.so

%{evo_plugin_dir}/org-gnome-mail-to-task.eplug
%{evo_plugin_dir}/liborg-gnome-mail-to-task.so

%{evo_plugin_dir}/org-gnome-prefer-plain.eplug
%{evo_plugin_dir}/liborg-gnome-prefer-plain.so

%{evo_plugin_dir}/org-gnome-publish-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-publish-calendar.so

%{evo_plugin_dir}/org-gnome-save-calendar.eplug
%{evo_plugin_dir}/liborg-gnome-save-calendar.so

%{evo_plugin_dir}/org-gnome-evolution-sender-validation.eplug
%{evo_plugin_dir}/liborg-gnome-evolution-sender-validation.so

%{evo_plugin_dir}/org-gnome-templates.eplug
%{evo_plugin_dir}/liborg-gnome-templates.so

%{evo_plugin_dir}/org-gnome-dbx-import.eplug
%{evo_plugin_dir}/liborg-gnome-dbx-import.so

# Web extensions
%dir %{web_extensions_dir}
%{web_extensions_dir}/libewebextension.so
%dir %{web_extensions_dir}/webkit-editor
%{web_extensions_dir}/webkit-editor/module-webkit-editor-webextension.so

%dir %{_libdir}/evolution-data-server
%dir %{_libdir}/evolution-data-server/ui-modules
%{_libdir}/evolution-data-server/ui-modules/module-evolution-alarm-notify.so

%files devel
%defattr(-, root, root)
%{_includedir}/evolution
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/evolution-mail-composer
%{_datadir}/gtk-doc/html/evolution-mail-engine
%{_datadir}/gtk-doc/html/evolution-mail-formatter
%{_datadir}/gtk-doc/html/evolution-shell
%{_datadir}/gtk-doc/html/evolution-util

%files help -f help.lang
%defattr(-, root, root)
#%dir %{_datadir}/omf/evolution

%files bogofilter
%defattr(-, root, root)
%{_libdir}/evolution/modules/module-bogofilter.so
%{_datadir}/metainfo/org.gnome.Evolution-bogofilter.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.bogofilter.gschema.xml

%files spamassassin
%defattr(-, root, root)
%{_libdir}/evolution/modules/module-spamassassin.so
%{_datadir}/metainfo/org.gnome.Evolution-spamassassin.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.spamassassin.gschema.xml


%changelog
* Sun May 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.40.1-1
- new upstream release.

* Sun Mar 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.40.0-1
- new upstream release.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.4-1
- new upstream release.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.3-1
- new upstream release.
- dropped all patches.
- dropped krb5 support.

* Fri Jan 26 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.22.6-1
- new upstream release.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.4-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.4-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.3-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.5-1
- new upstream release

* Mon Jul 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.4-1
- new upstream release

* Wed Jun 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add BuildRequires: libcryptui-devel

* Mon Feb 23 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.12.11-2
- rebuilt with libical 1.0.1

* Sun Feb 22 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.11-1
- new upstream release

* Wed Jan 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.10-1
- new upstream release

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.9-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.8-1
- new upstream release

* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.7-1
- new upstream release

* Sun Sep 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.6-1
- new upstream release

* Thu Aug 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.5-1
- new upstream release

* Fri Jul 18 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.4-1
- new upstream release

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.3-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: gtkspell3-devel

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.5-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- add BuildRequires: bogofilter, spamassassin
- create %%{name}-docs subpackage

* Sun Mar 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.4-1
- new upstream release

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Wed Oct 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-2
- fix %%files

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: libgweather-devel, WebKit3-gtk-devel, itstool

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.4-1
- new upstream release

* Fri Jun 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.3-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas-devel

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Jan 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.3-1
- new upstream release

* Mon Nov 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90.1-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gnome-desktop3-devel instead of gnome-desktop-devel
- change BuildRequires: unique3-devel instead of unique-devel
- change BuildRequires: libcanberra-gtk3-devel instead of libcanberra-devel
- change BuildRequires: gtkhtml4-devel instead of gtkhtml3-devel
- add BuildRequires: gnome-online-accounts-devel
- add configure option: --disable-image-inline

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.3-1
- new upstream release

* Tue Feb 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Mon Oct 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: libgdata-devel
- drop Patch13
- fix %files (fix plugin list)

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- fix %files (move evolution-alarm-notify from %{_bindir} to %{_libexecdir}/%{name}/%{shortver})

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1.2-1
- new upstream release
- drop Patch10

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0.1-1
- new upstream release
- add BuildRequires: unique-devel, gstreamer-devel, gtkimageview-devel, libSM-devel, gnome-desktop-devel, rarian-compat
- remove BuildRequires: byacc, flex, libbonobo-devel, libbonoboui-devel
- remove Requires: libbonoboui
- add configure option (--disable-pst-import)
- remove unrecognized configure options (--enable-ipv6, --enable-nntp, --enable-exchange)
- change strict_build_settings (from 1 to 0)

* Sun Nov 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Aug 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.3-2
- added Japanese description 

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1.1-1
- new upstream release

* Sat Apr  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.26.0-2
- rebuilt with openldap-2.4.11

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sat Mar  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.5-1
- new upstream release

* Sat Jan 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.2-1
- new upstream release
- enabled krb5 support

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Jun  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release
- built with evolution-data-server 2.22.2
- removed Requires: libgnomeprint[ui], BuildRequires: libgnomeprint[ui]-devel

* Wed May  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1
- new upstream release
- rebuilt with evolution-data-server 2.22.1.1

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release based on Fedora package
  * Tue Mar 25 2008 Dan Williams <dcbw@redhat.com> - 2.22.0-4.fc9
  - Add patch for GNOME bug #524310
  * Fri Mar 14 2008 Matthew Barnes <mbarnes@redhat.com> - 2.22.0-3.fc9
  - Explicit require evolution-data-server since its shared object names
    still can't be trusted (RH bug #426511).
  * Mon Dec 10 2007 Matthew Barnes <mbarnes@redhat.com> - 2.21.3-4.fc9
  - Split junk filtering plugins into evolution-bogofilter and
    evolution-spamassassin subpackages, each of which requires the
    necessary backend packages.  (RH bug #377381)
  * Mon Nov 06 2006 Matthew Barnes <mbarnes@redhat.com> - 2.9.1-3.fc7
  - Add patch for RH bug #176400 (reset calendar IM context).


* Sat Jul 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-4vl1
- new upstream release based on Fedora package
  * Sat Apr 14 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-4.fc7
  - Add patch for RH bug #234315 (fix saving attachments).
  * Fri Apr 13 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-3.fc7
  - Add patch for RH bug #235878 (make Help->Contents work again).
  * Tue Apr 10 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-2.fc7
  - Revise patch for GNOME bug #362638 to fix RH bug #235096
    (crash when displaying a mail server message to user).
  * Mon Apr 09 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.1-1.fc7
  - Update to 2.10.1
  - Fix buggy gnome-doc-utils.make (GNOME bug #427939).
  - Remove patch for CVE-2007-1002 (fixed upstream).
  - Add libxml-2.0 requirement to evolution-plugin-2.10.pc.
  * Tue Apr 03 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-8.fc7
  - Revise patch for GNOME bug #419524 to fix RH bug #235082
    (crash in initial account setup wizard).
  * Fri Mar 30 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-6.fc7
  - Revise patch for GNOME bug #362638 (deprecate EThread).
  * Thu Mar 29 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-5.fc7
  - CVE-2007-1002 (Shared memo categories format string vulnerability)
  - Add -Wdeclaration-after-statement to strict build settings.
  * Sat Mar 17 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-3.fc7
  - Add flag to disable deprecated Camel symbols.
  - Add patch for GNOME bug #419469 (refactor shell/main.c).
  - Add patch for GNOME bug #419524 (use GLib's i18n macros).
  - Add patch for GNOME bug #418971 (drop support for GLib < 2.8).
  * Wed Mar 14 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-2.fc7
  - Add patch for GNOME bug #417999 (use ESourceComboBox).
  * Mon Mar 12 2007 Matthew Barnes <mbarnes@redhat.com> - 2.10.0-1.fc7
  - Update to 2.10.0.
  - Add patch for GNOME bug #376991 (refactor password handling).

* Mon Dec  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2.1-0vl2
- fixed duplicated .desktop files

* Mon Nov 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2.1-0vl1
- new upstream release
- updated eds_version to 1.8.2

* Mon Nov 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1.1-0vl1
- new upstream release
- dropped Patch23, 26, 27, 29, 30, 31, 33 and 34 (merged into upstream)

* Sat Oct  7 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-7vl1
- new upstream release
- updated SOURCE1
- built with openssl instead of mozilla-nss and mozilla-nspr

* Tue Aug 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2.1-0vl2
- rebuilt with openldap-2.3.24-0vl4

* Tue May 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2.1-0vl1
- updated to 2.4.2.1
- added evolution-2.4.desktop

* Fri May  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-7vl2
- rebuilt with dbus 0.61

* Wed Nov  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-7vl1
- new upstream release
- added/updated some Patches from Fedora
  * Wed Oct 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.4.1-7
  - Added a patch (110) to hide the component switcher buttons by default 
    on new windows (#170799) by patching the GConf schema.

* Sun Sep 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0-2vl1
- new upstream release
- added/removed some Patches based on Fedora
  * Fri Aug 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.8-3
  - Added patch for #157074 (patch 804)
  * Tue Aug  2 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.6.1-4
  - Added patch to show correct mimetype for OpenOffice.org files when 
    guessing type for attachments with mimetype "application/octet-stream" 
    (#164957)
  * Thu Jul 28 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.5.1-2
  - added experimental patch to port ETable printing to use Pango (#150458)
  * Mon Jul 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.3.5.1-1
  - Updated evo-calendar-print-with-pango- patch from version 4 to 5
  - Removed Patch105: evolution-2.2.2-fix-new-mail-notify.patch as 
    configure.in in this branch tests for existance for dbus-glib-1, 
    rather than max-version.
  - Updated evolution-2.2.2-no-gnome-common.patch to include a patch to rename
    mozilla-nspr to nspr
  * Mon Jun 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.2-9.fc5
  - Replaced patch to port conduits to pilot-link-0.12 with Mark G Adams's 
    version of same (#161817)
  * Thu May 26 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.2-7
  - Added Akira Tagoh's patch for calendar keypress handling (#154360)
- not include *.a files
- removed dependency libgal2/libgal2-devel 

* Wed May 04 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.2-0vl2
- rebuilt with mozilla-1.7.7

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Tue Apr 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1.1-0vl1
- new upstream release
- merged with FC package.
- split evolution-devel sub package

* Sat Mar 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.6-0vl1
- new upstream release
- remove obsolete patches

* Tue Feb 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl3
- rebuild with new environment
- import patch8 from fedora

* Mon Nov 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl2
- import patch0-7,100,101,200,500 from fedora.

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl1
- new upstream release
- add Vine Linux errata rdf in preferences.

* Sun Aug 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.4-0vl2
- enable ldap support

* Fri Aug 29 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.4-0vl1
- new upstream release

* Fri Jul 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.3-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl2
- rebuilt

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.92-0vl1
- build for Vine Linux based on 1.3.92-1
- disable ldap, krb5, pilot, nntp

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 1.3.92-1
- 1.3.92

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-2
- fix default for /schemas/apps/evolution/mail/display/mime_types

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.3.3-1
- 1.3.3

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-2
- enable pilot support
- add redhatify patch back

* Tue Apr 22 2003 Jeremy Katz <katzj@redhat.com>
- add a /usr/bin/evolution symlink

* Mon Apr 21 2003 Jeremy Katz <katzj@redhat.com> 
- fix gnome-spell version requirement

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.3.2-1
- add trivial fix for evolution-mail schema key (ximian #41419)

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 
- update to 1.3
- don't build with pilot support for now
- don't redhat-ify the summary prefs for now

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-2
- fix krb5 libdir for lib64 systems

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.2.4-1
- update to 1.2.4

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-7
- oops, fix a tyop

* Thu Apr  3 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-6
- add a few cleanups for 64bit cleanliness (#86347)

* Sun Mar 30 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#87612)

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.2.3-1
- update to 1.2.3

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-5
- security patches from upstream
  - sanity check UUEncoding header before decoding (CAN-2003-0128)
  - don't decode doubly UUEncoded content (CAN-2003-0129)
  - don't use a bonobo component to display things without registered 
    handlers (CAN-2003-0130)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.2.2-4
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-3
- memleak patch had some bits that weren't supposed to be there.  update 
  to newer from upstream.
- fix directory checking in proxy patch

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-2
- add missing build dep (#84388)
- add patch from upstream for evolution-mail memleak
- add patch from upstream to use the gnome2 proxy settings by default

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.2.2-1
- 1.2.2
- build on x86_64 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-4
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- if building with OpenSSL, attempt to get cflags and ldflags from pkgconfig

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 1.2.1-3
- we don't want to use native POSIX threads for mutexes in db3, override them

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 1.2.1-2
- rebuild

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.2.1-1
- update to 1.2.1

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-6
- require a newer soup, the old one Has Bugs (tm)
- excludearch x86_64; getting a R_X86_64_32S relocation in libical 
  although everything appears to be built with -fPIC correctly

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-5
- patch for multilib krb5

* Mon Dec  2 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-4
- add upstream patch to handle LDAPv3 better
- add upstream patch to fix shell memory leaks
- add upstream patch to fix ldap scope selection
- build with openssl instead of mozilla-nss since it's available on 
  more platforms
- build on all arches

* Fri Nov 22 2002 Jeremy Katz <katzj@redhat.com>
- require bonobo-conf, not -devel (#78398)

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 1.2.0-3
- disable pilot support for mainframe

* Mon Nov 18 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-2
- macro-ify the mozilla version to make it easier to build against 
  newer mozillas with headers in new locations
- buildrequire pilot-link-devel (#78077)
- drop uneeded ldapv3 patch (toshok says 1.2 already handles this)
- drop unneeded patch for ordering of the libdb checks
- add fejj's patch to always subscribe to the inbox from evolution-patches

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.2.0-1
- 1.2.0

* Sat Nov  2 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-2
- reenable pilot support
- redhatify

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.90-1
- update to 1.1.90

* Thu Oct 31 2002 Jeremy Katz <katzj@redhat.com>
- include mozilla epochs in requires (#74577)
- add build requires on newer oaf (#76801)

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.2-1
- update to 1.1.2
- remove unpackaged files from the buildrooot
- disable pilot support for now

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-10
- add freetype-devel to build requires (#73319)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix a problem where evolution-mail right click items corrupted the stack
  (#67992)

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-9
- don't install two desktop files (#72871)

* Wed Aug 28 2002 Preston Brown <pbrown@redhat.com> 1.0.8-8
- absolute symlink .desktop file (#72913)

* Thu Aug 22 2002 han Ngo <than@redhat.com> 1.0.8-7
- rebuild against new pilot-link

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0.8-5
- rebuild against new pilot-link-0.11.2

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-4
- rebuild against new gnome-pilot

* Tue Jul  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-3
- remove static and libtool archives for importers and camel-providers (#68222)
- do desktop-file-install magic 
- remove dead sites from summary list (#64522)
- support openldap protocol version 3 based off of Nalin's autofs changes 

* Mon Jul  8 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-2
- fix openldap-devel buildrequire

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-1
- 1.0.8 

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-2
- include patch to omf files from otaylor@redhat.com to fix 
  scrollkeeper validation errors

* Sun Jun 23 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- update to 1.0.7
- excludearch alpha while mozilla isn't being built there

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.0.5-2
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- update to 1.0.5

* Fri May  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-6
- add patch to fix spool unread counts (#64198)
- build with the fix for the crasher mail sent to 
  evolution-list (ximian #24140)

* Mon Apr 15 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- include fejj(at)ximian.com's patch to fix the EINPROGRESS error with ssl 
  since it's been committed to the branch and fixes the problem for me
- include patch from tagoh(at)redhat.com to change the default charset 
  for Japanese to ISO-2022-JP (#63214)

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- minor tweaks to the redhatify patch
- make accepting appointments sent to mailing lists work
- use the RFC specified LDAP attribs for freebusy and calendarURI 
  in addressbook
- fix a crash in the startup wizard

* Sun Mar 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- move desktop file to /etc/X11/applnk (#62399)

* Sun Mar 24 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- update to evolution 1.0.3
- change summary view to show a recent errata list by default

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- put correct path to nspr includes on configure command line

* Mon Mar 11 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-3
- mozilla 0.9.9 has nspr and nss subpackages, hooray!  rip out the static 
  libnss linkage and just link against what is provided dynamically
- kill the -devel subpackage since it's of questionable use
- explicitly require mozilla-nss and mozilla-nspr packages to make it easier
  to resolve the requirements

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- rebuild in new environment
- temporarily exclude on ia64 again

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

