%define _unpackaged_files_terminate_build 1

Name: exiv2
Summary: Exif and IPTC metadata manipulation library
Summary(ja): Exif, IPTC メタデータ操作ライブラリ
Version: 0.27.5
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2
URL: https://www.exiv2.org/
Source0: https://www.exiv2.org/builds/exiv2-%{version}-Source.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: curl-devel
BuildRequires: libssh-devel
BuildRequires: zlib-devel

Obsoletes: libexiv2 <= 0.13
Provides:  libexiv2 = %{version}-%{release}

%description
Exiv2 comprises of a C++ library and a command line utility to access image metadata. Exiv2 supports full read and write access to the Exif and Iptc metadata, Exif MakerNote support, extract and delete methods for Exif thumbnails, classes to access Ifd and so on.
The command line utility allows you to:

* print the Exif metadata of Jpeg images as summary info, interpreted values,
or the plain data for each tag (here is a sample)
* print the IPTC metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, IPTC metadata and Jpeg comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata

%description -l ja
Exiv2 は、イメージメタデータにアクセスするための C++ ライブラリと
コマンドラインユーティリティにより構成されています．Exiv2 は Exif，
IPTC メタデータの完全な読込み及び書込みアクセス，Exif MakerNote，
Exif サムネイルを抽出/削除するためのメソッド，Ifd 等にアクセスする
ためのクラス等をサポートします．

コマンドラインユーティリティにより、次のようなことができます：

* JPEG イメージの EXIF メタデータを各タグごとに表示する
* JPEG イメージの IPTC メタデータを表示する
* JPEG イメージのコメントを表示する
* JPEG イメージに EXIF 情報や IPTC メタデータを設定/追加/削除する
* EXIF タイムスタンプを調整する
* EXIF タイムスタンプに基づいて EXIF イメージファイルをリネームする
* EXIF メタデータ，IPTC メタデータ，JPEG コメントを抽出/挿入/削除する
* EXIF メタデータ中のサムネイルイメージを抽出/挿入/削除する


#'
%package devel
Summary: Header files, libraries and development documentation for exiv2
Summary(ja): exiv2 の開発用ファイル
Group: programming
Requires: %{name} = %{version}-%{release}
Obsoletes: libexiv2-devel <= 0.13
Provides: libexiv2-devel = %{version}-%{release}

%description devel
Header files, libraries and development documentation for exiv2

%description -l ja devel
exiv2 用ヘッダファイル，ライブラリ，開発用ドキュメントです．


%debug_package


%prep
%setup -q -n %{name}-%{version}-Source


%build
%cmake \
  -DEXIV2_ENABLE_NLS:BOOL=ON \
  -DEXIV2_BUILD_PO:BOOL=ON \
  -DEXIV2_BUILD_SAMPLES:BOOL=OFF \
  -DEXIV2_ENABLE_LIBXMP:BOOL=ON

%cmake_build


%install
rm -rf $RPM_BUILD_ROOT 

%cmake_install

%find_lang exiv2 --with-man

## unpackaged files
rm -fv %{buildroot}%{_libdir}/libexiv2.la
rm -fv %{buildroot}%{_libdir}/libxmp.a
rm -fv %{buildroot}%{_libdir}/pkgconfig//exiv2.lsm

# set eXecute bit on installed lib
chmod a+x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

## FIXME/TODO: patch installed exiv2-config to instead pull values from pkgconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING*
%doc README*
%{_bindir}/exiv2
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
#doc doc/index.html doc/include
#{_bindir}/exiv2-config
%{_includedir}/exiv2/*
%{_libdir}/libexiv2.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/exiv2.pc
%dir %{_libdir}/cmake
%{_libdir}/cmake/*
#{_datadir}/exiv2


%changelog
* Sat Oct 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.27.5-1
- new upstream release.

* Wed Jun 16 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.27.4-1
- new upstream release.
- dropped ldconfig scriptlets.

* Sat Sep 26 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.27.3-1
- new upstream release.

* Fri Nov 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.27.2-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.27-1
- new upstream release.
- dropprd all patches.

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.25-2
- rebuilt with new toolchain.

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.25-1
- new upstream release

* Tue Dec 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24-1
- new upstream release
- add Patch3 (exiv2-0.24-visibility.patch)

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.21.1-1
- new upstream release
- updated Patch3

* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.19-2
- rebuilt with rpm-4.8.1 for pkg-config

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.19-1
- new upstream release
- updated Patch3

* Mon Oct 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.2-1
- new upstream release
- updated Japanese description

* Fri May  1 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.18.1-2
- add Patch3 not to use -fvisibility-inlines-hidden
  (this will also fix build failure on ppc)
  http://dev.exiv2.org/issues/show/627

* Sun Apr 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.1-1
- new upstream release

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17.1-1vl5
- new upstream release

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 0.15-1vl5
- applied new versioning policy, spec in utf-8

* Wed Dec 26 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.15-0vl4
- add patch100 for fix CVE-2007-6353 ("setDataArea()" Integer OF)

* Sat Aug 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-0vl3
- add Obsoletes: libexiv2 <= 0.13 , libexiv2-devel <= 0.13
  to upgrade from 0.13-0vl[12]
  * Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl2
  - rebuild with new environment/toolchain
  * Fri Mar 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl1
  - initial build for Vine Linux
  
* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-0vl2
- rebuilt for VineSeed

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-0vl1
- new upstream release
- remove Requires: kdelibs-devel at devel package

* Fri Jan 5 2007 TOSHI <vine-jp@mail.goo.ne.jp> 0.12-0vl1
- build for vine 4.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12-1
- exiv2-0.12
# end of file

