Summary:        A collection of GStreamer modules and libraries for videoconferencing
Name:           farstream
Version:        0.2.9
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://www.freedesktop.org/wiki/Software/Farstream/
Source0:        https://freedesktop.org/software/farstream/releases/farstream/%{name}/%{name}-%{version}.tar.gz
Patch0:         farstream-0.2.8-configure-add-check-for-glib-mkenums.patch
Patch1:         farstream-0.2.9-build-Adapt-to-backwards-incompatible-change-in-GNU-.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libnice-devel
BuildRequires:  glib2-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gupnp-igd-devel
BuildRequires:  gobject-introspection-devel

Obsoletes:      farsight2 < 0.0.32

%description
Farstream is a collection of GStreamer modules and libraries for
videoconferencing. The API is described in the documentation in the
docs/ directory.


%package		devel
Summary:        Development tools for farstream
Summary(ja):    farstream の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
farstream.


%package        docs
Summary:        Documentation for farstream
Summary(ja):    farstream 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:		noarch
Provides:       %{name}-doc = %{version}-%{release}

%description    docs
This package contains documentation for farstream.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

autoreconf -fiv


%build
%configure \
  --with-package-name='Vine Linux Farstream-0.2 package' \
  --with-package-origin='http://updates.vinelinux.org/' \
  --disable-silent-rules \
  --disable-static

make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc NEWS AUTHORS
%{_libdir}/*.so.*
%dir %{_libdir}/farstream-0.2
%{_libdir}/farstream-0.2/*.so
%dir %{_libdir}/gstreamer-1.0
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/girepository-1.0/Farstream-0.2.typelib
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/0.2

%files devel
%defattr(-,root,root,-)
%{_includedir}/farstream-0.2
%{_libdir}/libfarstream-0.2.so
%{_libdir}/pkgconfig/farstream-0.2.pc
%{_datadir}/gir-1.0/Farstream-0.2.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/farstream-libs-0.2
%{_datadir}/gtk-doc/html/farstream-plugins-0.2


%changelog
* Sat Apr 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2.6-1
- new upstream release.

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- new upstream release
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel
- add BuildRequires: gobject-introspection-devel

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-2
- add Obsoletes: farsight2

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- initial build for VIne Linux

