Name:		feh
Version:	2.12
Release:	1%{?_dist_release}

License:	MIT
Group:		Applications/Multimedia
URL:            http://feh.finalrewind.org/
Source0:        http://feh.finalrewind.org/%{name}-%{version}.tar.bz2
Patch1:         feh-2.3-prefix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

Summary:        Fast command line image viewer using Imlib2
Summary(ja):	Imlib2によるコマンドライン版高速画像ビュワー

BuildRequires:  giblib-devel
BuildRequires:  imlib2-devel
BuildRequires:  curl-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libXt-devel
BuildRequires:  libXinerama-devel
Requires:       giblib

%description
feh is an X11 image viewer aimed mostly at console users.
Unlike most other viewers, it does not have a fancy GUI,
but simply displays images. It is controlled via commandline 
arguments and configurable key/mouse actions.

%description -l ja
feh は CUI ベースの X11 用画像ビュワーです。
多くの画像ビュワーとは違い、feh はきれいな GUI は持っていませんが、
シンプルに画像を表示します。それはコマンドライン・オプションと
設定可能なキーボードとマウス操作により操作する事ができます。

%prep
%setup -q
%patch1 -p1 -b .prefix


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
%{__rm} -rf ${RPM_BUILD_ROOT}/usr/doc
# install desktop-entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/*
%{_docdir}/*
%{_datadir}/applications/feh.desktop


%changelog
* Wed Jan 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.12-1
- update to 2.12

* Mon Jan  6 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 2.9.3-1
- source update

* Tue Feb 07 2012 KATO Masashi <mkato@par.odn.ne.jp> 2.3-1
- initial build for Vine Linux
