Summary: A tool for creating scanners (text pattern recognizers).
Summary(ja): スキャナ (テキストパターン認識器) 作成ツール
Name: flex
Version: 2.6.4
Release: 1%{?_dist_release}

Group: Development/Tools
License: BSD
URL: https://github.com/westes/flex

Source: https://github.com/westes/flex/releases/download/v%{version}/flex-%{version}.tar.gz
Patch0: flex-rh1389575.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext bison m4 help2man
Requires: m4
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Vendor: Project Vine
Distribution: Vine Linux

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

%description -l ja
flex はスキャナを生成するプログラムです．スキャナとは，
テキストの語彙を認識するプログラムです．flex は正規表現と
C のコードを入力とし，C のソースファイルを出力します．
出力されたファイルはコンパイルされ，ライブラリとリンクされて
実行ファイルが作られます．この実行ファイルは入力を調べ，正規表現に
マッチするものがないか探します．もしマッチするものが見付かれば，
対応する C コードが実行されます．flex は yacc と bison と共に
動作する様設計されており，多くのプログラムを作成する際に使われます．

アプリケーション開発を行う場合は flex をインストールして下さい．


%prep
%setup -q 
%patch0 -p1

autoreconf -ivf

%build
%configure --disable-dependency-tracking CFLAGS="-fPIC $RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_infodir}/dir

( cd %{buildroot}
  strip .%{_bindir}/flex
  ln -sf flex .%{_bindir}/lex
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

rm -f %{buildroot}%{_libdir}/libfl.so*
rm -f %{buildroot}%{_libdir}/libfl.la

%find_lang %{name}

rm -rf %{buildroot}%{_docdir}/%{name}

%check
echo ============TESTING===============
make check
echo ============END TESTING===========

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/flex.info.gz --dir-file=%{_infodir}/dir ||:

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir ||:
fi

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc NEWS README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_includedir}/FlexLexer.h
%{_infodir}/flex.info*

%changelog
* Mon Feb 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.4-1
- updated to 2.6.4.
- dropped Patch0.
- imported Patch0 (flex-rh1389575.patch) from rawhide.

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.37-1
- update to 2.5.37
- remove old patches
- add Patch0 (flex-2.5.36-bison-2.6.1.patch) from Fedora

* Sat Apr 09 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.35-3
- rebuilt with current VineSeed
- inserted the "-fPIC" on configure command-line and dropt the -fPIC patch.
- removed BR: info
- added Patch0-3 from Fedora
  * Tue Jul 13 2010 Petr Machata <pmachata@redhat.com> - 2.5.35-10
  - Declare yyget_column and yyset_column in reentrant mode.
  - Resolves: #612465
  * Mon Apr 20 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.5.35-5
  - Resolves: #496548.
  * Mon Apr 20 2009 Petr Machata <pmachata@redhat.com> - 2.5.35-4
  - Get rid of warning caused by ignoring return value of fwrite() in
    ECHO macro.  Debian patch.
  - Resolves: #484961
  * Mon May 12 2008 Petr Machata <pmachata@redhat.com> - 2.5.35-2
  - Resolves: #445950

* Wed Apr 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.35-2
- spec in utf-8

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.35-1
- new upstream release
- updated Patch0, dropped Patch1

* Tue Nov 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.33-5vl1
- rebuilt with new toolchains
- updated to 2.5.33 based on Fedora packages
  * Fri Mar 30 2007 Petr Machata <pmachata@redhat.com> - 2.5.33-5
  - Make yy-prefixed variables available to scanner even with -P.
  * Fri Feb  2 2007 Petr Machata <pmachata@redhat.com> - 2.5.33-4
  - Use %%find_lang to package locale files.
  * Wed Jan 31 2007 Petr Machata <pmachata@redhat.com> - 2.5.33-3
  - Compile with -fPIC.
  * Fri Jan 19 2007 Petr Machata <pmachata@redhat.com> - 2.5.33-1
  - Rebase to 2.5.33

* Sat Jan 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.4a-30vl2
- rebuild with gcc 3.3.6

* Sun Jul  6 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.4a-30vl1
- rebuild with new toolchains
- based on Redhat Rawhide 2.5.4-30
  - Mon Nov  4 2002 Than Ngo <than@redhat.com> 2.5.4a-27
  - YY_NO_INPUT patch from Jean Marie
  - Tue Apr  2 2002 Than Ngo <than@redhat.com> 2.5.4a-23
  - More ISO C++ 98 fixes (#59670)
  - Wed Feb 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.5.4a-21
  - More ISO C++ 98 fixes (#59670)
- s/Copyright/License/

* Mon Feb 12 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.5.4a-13vl1
- based on 2.5.4a-13 from Rawhide
- use better macros (%%{_tmppath})
- added Japanese summary and description

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix generation of broken code (conflicting isatty() prototype w/ glibc 2.2)
  This broke, among other things, the kdelibs 2.0 build
- Fix source URL

* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging (64bit systems need to use libdir).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- add a libl.a link to libfl.a

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- avoid uninitialized variable warning (Erez Zadok).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.5.4 to 2.5.4a

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 2.5.4
