%bcond_with     test

Summary:        GObject contact aggregation library
Name:           folks
Version:        0.15.2
Release:        1%{?_dist_release}
Group:          desktop-gnome,communication,system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://telepathy.freedesktop.org/wiki/Folks
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  chrpath
BuildRequires:  evolution-data-server-devel >= 3.0.1
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libgee-devel
BuildRequires:  libxml2-devel
BuildConflicts: libsocialweb-devel
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires:  readline-devel
BuildRequires:  tracker-devel
BuildRequires:  python3-dbusmock

BuildRequires:  vala
BuildRequires:  vala-devel
BuildRequires:  libgee-vala
BuildRequires:  evolution-data-server-vala

%description
libfolks is a library that aggregates people from multiple sources (e.g. 
Telepathy connection managers and eventually evolution data server, 
Facebook, etc.) to create meta-contacts. 


%package        devel
Summary:        Development files for %{name}
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:		libgee-devel
Requires:		glib2-devel
Requires:		pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       vala
Requires:       libgee-vala
Requires:		evolution-data-server-vala

%description    vala
Vala bindings for %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
	-Dtelepathy_backend=false \
	-Dtracker_backend=true \
	-Dinstalled_tests=false
%meson_build


%install
%meson_install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%if %{with test}
%check
%meson_test
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}-import
%{_bindir}/%{name}-inspect
%{_libdir}/*.so.*
%{_libdir}/folks
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/GConf/gsettings/folks.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/folks
%{_libdir}/*.so
%{_libdir}/pkgconfig/folks*.pc
%{_datadir}/gir-1.0/*.gir

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/folks-dummy.deps
%{_datadir}/vala/vapi/folks-dummy.vapi
%{_datadir}/vala/vapi/folks-eds.deps
%{_datadir}/vala/vapi/folks-eds.vapi
%{_datadir}/vala/vapi/folks.deps
%{_datadir}/vala/vapi/folks.vapi


%changelog
* Sun Mar 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.15.2-1
- new upstream release.
- dropped scriptlets.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.14.0-1
- new upstream release.
- disabled telepathy.

* Sun Sep 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.1-1
- new upstream release.
- disabled libsocialweb.

* Sun Dec 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.11.4-2
- rebuilt with evolution-data-server-3.30.3.

* Sat Jan 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.11.4-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.2-2
- rebuild with evolution-data-server-3.20.0

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.2-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.1-2
- rebuild with evolution-data-server-3.18.1

* Sat May 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.0-1
- new upstream release
- add BuildRequires: tracker-devel

* Wed Jan 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.1-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-1
- new upstream release
- remove Patch0 (folks-0.9.5-git20131001.patch)

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- new upstream release
- add BuildRequires: libgee-vala, evolution-data-server-vala
- add Patch0 (folks-0.9.5-git20131001.patch)

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release
- change BuildRequires: libgee-devel instead of libgee06-devel
- add BuildRequires: vala, vala-tools
- create %%{name}-vala subpackage

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4.1-1
- new upstream release
- change BuildRequires: libgee06-devel instead of libgee-devel
- add BuildRequires: libzeitgeist-devel

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.9-1
- new upstream release

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.6-1
- new upstream release

* Sun Nov 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.5-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.3.2-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.3-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.1-1
- new upstream release
- add BuildRequires: libsocialweb-devel

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.2-1
- new upstream release
- add BuildRequires: GConf2-devel

* Sun Oct 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build for Vine Linux


* Wed Sep 29 2010 jkeating - 0.2.0-2
- Rebuilt for gcc bug 634757

* Sat Sep 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0.
- Add missing requires to devel subpackage.
- Drop DSO linkng patch. Fixed upstream.

* Sun Sep 12 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17.
- Add patch to fix DSO linking for import tool.
- Add BR on libxml2-devel so import tool is built.

* Wed Sep  1 2010 Yanko Kaneti <yaneti@declera.com> 0.1.16-1
- New upstream release.

* Mon Aug 30 2010 Yanko Kaneti <yaneti@declera.com> 0.1.15-1
- New upstream release. Drop the RPATH hacks.

* Thu Aug 19 2010 Yanko Kaneti <yaneti@declera.com> 0.1.14.1-1
- New upstream release. Requires vala >= 0.9.6

* Thu Aug 19 2010 Yanko Kaneti <yaneti@declera.com> 0.1.14-2
- Use chrpath to remove the lingering RPATH because the guidelines
  recomended sed makes libtool incapable of building the tp-lowlevel.gir.
  Better solution welcome.

* Wed Aug 18 2010 Yanko Kaneti <yaneti@declera.com> 0.1.14-1
- New upstream. Remove patch and libtool hack.

* Tue Aug 17 2010 Yanko Kaneti <yaneti@declera.com> 0.1.13-4
- Add BR: vala-tools

* Tue Aug 17 2010 Yanko Kaneti <yaneti@declera.com> 0.1.13-3
- Update for the available telepathy-glib vala packaging

* Thu Aug 12 2010 Yanko Kaneti <yaneti@declera.com> 0.1.13-2
- Add BR: libgee-devel

* Thu Aug 12 2010 Yanko Kaneti <yaneti@declera.com> 0.1.13-1
- New upstream release
- Autofoo for the new vala api versioning

* Tue Aug  3 2010 Yanko Kaneti <yaneti@declera.com> 0.1.12-1
- New upstream release

* Mon Aug  2 2010 Yanko Kaneti <yaneti@declera.com> 0.1.11-1
- Packaged for review
