Name:           font-manager
Version:        0.7.2
Release:        1%{?_dist_release}
Summary:        A font management application for the GNOME desktop environment
Summary(ja):    GNOME デスクトップ環境のフォント管理アプリケーション
#BuildArch:      noarch
Group:          Applications/Publishing
License:        GPLv3+
URL:            http://fontmanager.github.io/
Source0:        https://github.com/FontManager/master/releases/download/%{version}/%{name}-%{version}.tar.bz2
#Patch0:         1001-gcc47.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  cairo-devel
BuildRequires:  desktop-file-utils
BuildRequires:  file-roller
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:	glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  gucharmap-devel
BuildRequires:  json-glib-devel
BuildRequires:  libgee-devel
BuildRequires:  libgee-vala
BuildRequires:  libxml2-devel
BuildRequires:  pango-devel
BuildRequires:  sqlite3-devel
BuildRequires:  vala
BuildRequires:  yelp-tools

%description
Font Manager is an application that allows users to easily manage fonts
on their system.

Although designed with the GNOME desktop environment in mind, it should
work well with most major desktop environments such as XFCE,
Enlightenment, and even KDE.

%description -l ja
Font manager はユーザーが簡単に自分のシステム上のフォントを
管理することができるアプリケーションです。

GNOME デスクトップ環境を念頭において設計していますが、
著名なデスクトップ環境である XFCE や Enlightment、KDE でも
十分動くはずです。

%prep
%setup -q
#%patch0 -p1

%build
%configure --disable-schemas-compile
#make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/appdata/font-manager.appdata.xml
%{_datadir}/applications/org.gnome.FontManager.desktop
%{_datadir}/dbus-1/services/org.gnome.FontManager.service
%{_datadir}/glib-2.0/schemas/org.gnome.FontManager.gschema.xml
%{_datadir}/help/C/%{name}/*

%changelog
* Wed Apr 27 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release
- changed URL, Source0
- deleted Patch0
- corrected BuildRequires
- did not run %%{?_smp_flags} in %%build

* Sat May 31 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.7-4
- added Patch0 to fix build error from Debian

* Wed Feb 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.7-3
- rebuilt with python-2.7

* Tue Dec 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.7-2
- add BuildRequires: fontconfig-devel, pango-devel, sqlite3-dvel
- change BuildRequires: python-devel instead of python

* Fri Dec 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.7-1
- new upstream release
- changed BuildArch to fail building
- added Requires: pycairo yelp sqlite3

* Tue Aug 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.6-1
- new upstream release

* Fri Jul 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.5-1
- new upstream release
- added font-sampler.desktop

* Mon May 31 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-1
- new upstream release

* Sun May 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.3-1
- new upstream release

* Wed May 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release
- dropt Patch0
- added %{_datadir}/font-manager/ in %files

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.4-1
- new upstream release
- applied new naming policy to spec
- fixed typo in Japanese description 

* Wed Feb 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- initial build for VineSeed

* Sun Jan 17 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.3-1
- Update to new upstream version
- Remove patches as they are not necessary anymore
- Adjust python optimization

* Wed Jan  6 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-5
- Fix license string
- Fix upstream Makefile to include *.py file with *.pyc and *.pyo

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-4
- Fix permission problem on .desktop file directly with a patch

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-3
- Fix permission problem on .desktop file
- Fix wildcards problem in file section

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-2
- Fix as per the recommendations on bug #551878

* Sat Jan  2 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-1
- Initial build for Fedora
