Name:           freepats
Version:        20060219
Release:        5%{?_dist_release}
Summary:	Patch set(soundfonts) for MIDI audio synthesis (GUS)
Summary(ja):	MIDIシンセのためのサウンドフォントセット(GUSパッチ互換)
Group:          Applications/Multimedia
License:	GPLv2
URL:		http://freepats.zenvoid.org/
#--------------------------------------------------------------------

Source0:	http://freepats.zenvoid.org/%{name}-%{version}.tar.bz2
Source1:	timidity.freepats.cfg
Source2:	freepats.cfg
# Source3:	mandrake-freepats.cfg
Source4:	freepat_README.ja
Source5:	mkcfg.sh.txt
Source6:	mkdist.sh.txt

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires(post):  alternatives 
Requires(preun): alternatives 

Provides:	soundfont2

#--------------------------------------------------------------------
#
# NOTE:
#
# 1. When big change is involved (e.g. timidity.cfg change location),
# so that new timidity binray and old patch RPM won't work together,
# increment this number by 1 for all timidity related RPMs
#
# 2. Current config is hand merged from freepats.cfg and crude.cfg,
# so if new version is available, please merge both config, and make
# sure all patch files listed in config file do exist.
#
#--------------------------------------------------------------------
# (リリース番号の)覚書:
#                     ※Mandrake、Mandriva の NOTEの和訳です(馬場崎)
#
# 1.大きな変化に巻き込まれて(例えば timidity.cfgの場所が変更された時)、
#   新しい timidityバイナリと古いパッチ(音源)のRPMが一緒に働かせられ
#   ないのならば、このナンバーを全ての timidityに関連付けられたRPM
#   パッケージで、1から増分(+1)する。
#
# 2.現在のコンフィグは、freepats.cfg と crude.cfg から手作業でマージ
#   してあり、新しいバージョンが利用可能になった場合は、両方の
#   コンフィグをマージしてください。そして、全てのパッチファイルで
#   コンフィグファイルのリスト通りであるかを確認してください。
# 
#--------------------------------------------------------------------

%description
Freepats is a project to create a free and open set of GUS
compatible patches that can be used with softsynths such as
Timidity and WildMidi. They are verified to contain no non-free
restriction. Freepats is distributed under GPL v2 or later, with
the follow exception clause about the relation of MIDI composition
and patches:

=========================================================
As a special exception, if you create a composition which uses
these patches, and mix these patches or unaltered portions of
these patches into the composition, these patches do not by
themselves cause the resulting composition to be covered by the
GNU General Public License. This exception does not however
invalidate any other reasons why the document might be covered
by the GNU General Public License. If you modify these patches,
you may extend this exception to your version of the patches,
but you are not obligated to do so. If you do not wish to do so,
delete this exception statement from your version.
==========================================================

This patch set is of limited quality, because some instruments are
still missing. For personal use, feel free to use other patch sets
(such as eawpatches which has excellent quality, but the site is
no more), or other free soundfonts.


%description -l ja
  Freepats はフリーでオープンな、そして例えば Timidity や WildMidi
  といったソフトウェアシンセで使う事の出来る GUSパッチセット互換の
  パッチ製作を目的としたプロジェクトです。それらは、少しも非自由で
  ない制限を証明します。Freepats は GPL バージョン2か、それ以降の
  元で再配布されており、MIDIでの作曲とパッチに関係した例外条項を
  次のようにフォローしています。

  =========================================================
                         例外条項
  =========================================================
    特別な例外として、これらのパッチやパッチを混合(MIX)した
  もの、あるいはこれらのパッチの変更が加えられていない
  一部分を作曲の中に用いて、「曲」を創作したのであるならば、
  これらのパッチそれ自体を原因(根拠)として、その結果(成果)
  としての「曲」が、GNU一般公有使用許諾書の対象となるもの
  ではありません。しかし、この例外は、そのドキュメントが
  他の理由でGNU Public License の対象となる事を妨げません。
   このパッチを修正する場合、あなたのパッチのバージョンに
  この例外を拡張する事は出来ますが、義務ではありません。
  望まないのでしたら、あなたのバージョンからこの例外宣言を
  削除して下さい。
  ==========================================================

   このパッチセットは限られた品質のため、いくつかの楽器は依然として
  (リストが)埋まっておりません。個人的な利用については、他のパッチ
  セット(例えば 優れた品質の eawpatches のような、しかしもはや
  そのサイトは存在しませんが)や、その他のフリーなサウンドフォントの
  ように、お気軽にご利用下さい。


#--------------------------------------------------------------------

%prep
%setup -q -n freepats

cp -p  %{SOURCE4} ./
cp -p  %{SOURCE5} ./
cp -p  %{SOURCE6} ./

#--------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/soundfonts/freepats/
cp -a Drum_000 Tone_000 $RPM_BUILD_ROOT%{_datadir}/soundfonts/freepats/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/timidity/
cp -p  %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/timidity/timidity.freepats.cfg
cp -p  %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/timidity/freepats.cfg

%clean
rm -rf $RPM_BUILD_ROOT

#--------------------------------------------------------------------
%post
/sbin/update-alternatives --install \
    %{_sysconfdir}/timidity/timidity.cfg timidity.cfg \
    %{_sysconfdir}/timidity/timidity.freepats.cfg 30

%preun
if [ "$1" = "0" ]; then
    /sbin/update-alternatives --remove \
        timidity.cfg %{_sysconfdir}/timidity/timidity.freepats.cfg
fi

#--------------------------------------------------------------------
%files
%defattr(-,root,root)
%doc README COPYING mkcfg.sh.txt  mkdist.sh.txt crude.cfg freepats.cfg
%config(noreplace) %{_sysconfdir}/timidity/timidity.freepats.cfg
%config(noreplace) %{_sysconfdir}/timidity/freepats.cfg
%{_datadir}/soundfonts/freepats

#--------------------------------------------------------------------
%changelog
* Sun Feb  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 20060219-5
- fixed spec encoding to UTF-8 (BTS #2784)
- updated encoding of SOURCE4 to UTF-8
		       
* Sun Oct 14 2012 Yoji TOYODA 20060219-4
- fix %%URL and %%SOURCE0

* Fri May 30 2008 Seiichirou Babasaki 20060219-3
- genetic translation  freepat /README
- Updated specfile

* Fri May 2 2008 Seiichirou Babasaki 20060219-2
- Import freepat - Packager: Babasaki
- Updated specfile (base  Mandriva)

#--------------------------------------------------------------------
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 20060219-8mdv2008.1
+ Revision: 171143
- rebuild

* Fri Jan 04 2008 G?tz Waschk <waschk@mandriva.org> 20060219-7mdv2008.1
+ Revision: 144833
- fix alternatives uninstallation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-6mdv2008.1
+ Revision: 128453
- kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 20060219-6mdv2008.0
+ Revision: 90839
- update to new version

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060219-5mdv2008.0
+ Revision: 90338
- rebuild

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 20060219-4mdv2008.0
+ Revision: 73491
- bump release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-3mdv2008.0
+ Revision: 44025
- bump release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-2mdv2008.0
+ Revision: 44003
- add "noreplace" flag

* Sat Apr 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20060219-1mdv2008.0
+ Revision: 18981
- update to new release: 20060219


* Tue Mar 20 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-3mdv2007.1
+ Revision: 146933
- bump release

  + Pixel <pixel@mandriva.com>
    - fix typo making alternatives break (#29527)

* Wed Feb 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-2mdv2007.1
+ Revision: 126852
- bump

* Wed Feb 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-1mdv2007.1
+ Revision: 126842
- add #extension in config files to avoid old timidity used by SDL_mixer
  gets syntax errors
- %%mkrel
- Import timidity-patch-freepats

* Thu Feb 17 2005 Abel Cheung <deaddog@mandrake.org> 20040611-1mdk
- First package for Mandrakelinux

