Name: fribidi
Version: 1.0.9
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux

License: LGPL
URL: https://github.com/fribidi/fribidi
Source: https://github.com/fribidi/fribidi/releases/download/v%{version}/%{name}-%{version}.tar.xz
Summary: Library implementing the Unicode Bidirectional Algorithm
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A library to handle bidirectional scripts (eg. hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.


%package devel
Summary: Library implementing the Unicode Bidirectional Algorithm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package includes the static libraries and header files
for the fribidi package.
Install if you want to develop programs which will use fribidi.


%prep
%setup -q


%build
%configure --disable-static
 
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# remove empty (compressed) man pages
find $RPM_BUILD_ROOT%{_mandir}/man3 -type f -empty -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%license COPYING
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}_*.gz


%changelog
* Fri May 01 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.9-1
- new upstream release.

* Wed Jun  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.19.7-1
- new upstream release.

* Tue Aug 14 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.19.2-1
- new upstream release.

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.9-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.9-1
- applied new versioning policy

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.9-0vl1
- new upstream release

* Sun Mar 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.7-0vl1
- new upstream release

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10.4-0vl2
- update URL

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10.4-0vl1
- change build method, %%files and Group for VineSeed

* Tue Mar 12 2002  Behdad Esfahbod <behdad@bamdad.org>
- Use License instead of Copyright
- Moved pkgconfig to devel package instead of lib package.

* Sat Jan 26 2002  Behdad Esfahbod <behdad@bamdad.org>
- CFLAGS changed to OPT_CFLAGS.

* Wed Jan  9 2002  Behdad Esfahbod <behdad@bamdad.org>
- First spec released.
