%global minorversion 0.5

Name:           garcon
Summary:        Implementation of the freedesktop.org menu specification
Summary(ja):    freedesktop.org メニュー仕様の実装
Version:        0.5.0
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
# garcon's source code is licensed under the LGPLv2+,
# while its documentation is licensed under the GFDL 1.1
License:        LGPLv2+ and GFDL
URL:            http://xfce.org/

Source0:        http://archive.xfce.org/src/xfce/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
Patch0:         garcon-0.2.0-redhat-menus.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.30.0
BuildRequires:  gtk2-devel >= 2.24.0
BuildRequires:  gtk3-devel >= 3.14.0
BuildRequires:  gtk-doc >= 1.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libxfce4util-devel >= 4.10.0
BuildRequires:  libxfce4ui-devel >= 4.11.1
Requires:       vine-menus
#Requires:       redhat-menus

Obsoletes:      libxfce4menu < 4.6.3
# because of %%{_datadir}/desktop-directories/xfce-*
Conflicts:      xfdesktop <= 4.6.2

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Garcon is an implementation of the freedesktop.org menu specification replacing
the former Xfce menu library libxfce4menu. It is based on GLib/GIO only and 
aims at covering the entire specification except for legacy menus.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
# FIXME not yet in place
Obsoletes:      libxfce4menu-devel < 4.6.2

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#patch0 -p1 -b.redhat-menus

%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}

# ad-hoc fix
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_libdir}/*.so.*
%{_datadir}/desktop-directories/xfce-*.directory

%files devel
%defattr(-,root,root,-)
%doc HACKING STATUS TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/

%changelog
* Wed Apr 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.5.0-1
- new upstrem release
- added BR: gtk3-devel

* Sun Mar  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.4.0-1
- new upstrem release
- added BR: libxfce4ui-devel

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.2.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.2.0-1
- new upstrem release
- add BuildRequires:  libxfce4util-devel

* Mon May 23 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.7-1
- new upstrem release

* Tue Mar 29 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.5-4
- Initial build for Vine Linux

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.5-2
- Include rebased redhat-menus.patch

* Sun Jan 16 2011 Kevin Fenzi <kevin@tummy.com> - 0.1.5-1
- Update to 0.1.5

* Sun Dec 05 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4

* Sat Dec 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.3-2
- Add patch to use redhat-menus

* Mon Nov 08 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.3-1
- Update to 0.1.2

* Wed Nov 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Thu Oct 07 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.1-2
- Drop dependency on gtk-doc (#604352)

* Fri Feb 26 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Tue Jan 12 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-2
- Build gtk-doc

* Tue Jan 05 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial spec file
