%define pkg_name    gauche
%define pkg_version 0.9.9
%define pkg_release 1%{?_dist_release}

Summary:     An R7RS Scheme implementation developed to be a handy script interpreter
Summary(ja): R7RS準拠のScheme処理系
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD-style
Group:   Development/Languages
URL:     http://practical-scheme.net/gauche/index-j.html
Source:  Gauche-%{version}.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: zlib-devel
BuildRequires: gdbm-devel
BuildRequires: texinfo

Requires: gdbm

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Gauche is an R7RS Scheme implementation developed to be a handy
script interpreter, which allows programmers and system administrators
to write small to large scripts for their daily chores. Quick startup,
built-in system interface, native multilingual support are some of my goals.

%descriptionl -l ja
Gauche(ゴーシュ)は、スクリプトインタプリタとしての使い易さに重点を置いて
開発を行っているR7RS準拠のScheme処理系です。日常業務の中でのちょっとした
処理を行うスクリプトを気軽にSchemeで書きたいなあ、という願望のもとに、
起動が速いこと、システムへのアクセスが組み込まれていること、 最初から
多国語対応を考慮していること、リスト処理ライブラリとして他のC/C++プログラム
から簡単にリンク可能であること、などを目標としています。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n Gauche-%{version}

%build
%{configure} --enable-multibyte=utf-8
%{__perl} -pi -e "s|DESTDIR\ +\=|DESTDIR = ${RPM_BUILD_ROOT}|" src/Makefile

%{__make} %{?_smp_mflags}
pushd doc
%{__make}
popd


%install
export LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir}:${LD_LIBRARY_PATH}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%check
export LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir}:${LD_LIBRARY_PATH}
%{__make} check

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
for doc in gauche-refe gauche-refj; do
    file=%{_infodir}/${doc}.info.gz
    if [ -e ${file} ]; then
        /sbin/install-info ${file} %{_infodir}/dir 2>/dev/null
    fi
done
%{_syssbindir}/ldconfig

%preun
if [ $1 = 0 ]; then
    for doc in gauche-refe gauche-refj; do
        file=%{_infodir}/${doc}.info.gz
        if [ -e ${file} ]; then
            /sbin/install-info --delete ${file} %{_infodir}/dir 2>/dev/null
        fi
    done
fi

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING.adoc README.adoc
%{_bindir}/
%{_libdir}/gauche-*
%{_libdir}/libgauche-*.a
%{_libdir}/libgauche-*.so*
%{_datadir}/aclocal/
%{_datadir}/gauche-*
%{_infodir}/
%{_mandir}/man1/


%changelog
* Wed Jan 01 2020 Toshiaki Ara <ara_t@384.jp> 0.9.9-1
- update to 0.9.9

* Thu Sep 12 2019 Toshiaki Ara <ara_t@384.jp> 0.9.8-1
- update to 0.9.8

* Tue May 14 2019 Toshiaki Ara <ara_t@384.jp> 0.9.7-2
- rebuild with gdbm-1.18.1

* Fri Dec 21 2018 Toshiaki Ara <ara_t@384.jp> 0.9.7-1
- update to 0.9.7

* Thu Jul 05 2018 Toshiaki Ara <ara_t@384.jp> 0.9.6-1
- update to 0.9.6

* Sun Nov 06 2016 Toshiaki Ara <ara_t@384.jp> 0.9.5-2
- change Group to Development/Languages

* Sat Oct 08 2016 Toshiaki Ara <ara_t@384.jp> 0.9.5-1
- update to 0.9.5
- drop PDF manual

* Sat May 14 2016 Toshiaki Ara <ara_t@384.jp> 0.9.4-2
- make pdf manuals
- add BuildRequires

* Fri May 13 2016 Toshiaki Ara <ara_t@384.jp> 0.9.4-1
- new package
