Summary:	A GObject library to create cabinet files
Summary(ja):	キャビネットファイル作成用 GObject ライブラリ
Name:		gcab
Version:	0.7
Release:	1%{?_dist_release}
License:	LGPLv2.1
Group:		System Environment/Libraries 
URL:		https://git.gnome.org/browse/gcab/

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
%{summary}


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_libdir}/libgcab-1.0.so.*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgcab-1.0
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7-2
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- initial build

