Summary: A C++ wrapper for GConf2
Summary(ja): GConf2 の C++ バインディング
Name: gconfmm
Version: 2.28.3
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://download.sourceforge/net/gtkmm/%{name}-%{version}.tar.bz2
URL: http://gtkmm.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibmm-devel >= 2.14.1
BuildRequires: GConf2-devel >= 2.4.0

%description
This package provides a C++ interface for GConf2. It is a subpackage
of the GTKmm project.  The interface provides a convenient interface
for C++ programmers to create Gnome GUIs with GTK+'s flexible
object-oriented framework.

%package devel
Summary: Headers for developing programs that will use gconfmm
Summary(ja): gconfmm の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibmm-devel >= 2.14.1
Requires: GConf2-devel >= 2.4.0

%description devel 
This package contains the headers that programmers will need to
develop applications which will use gconfmm, part of GTKmm, the C++
interface to the GTK+.

%prep
%setup -q

%build
%configure --disable-static --enable-shared 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/gconfmm-2.6
%{_libdir}/gconfmm-2.6
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/devhelp/books/gconfmm-2.6/gconfmm-2.6.devhelp2
%doc %{_datadir}/doc/gconfmm-2.6

%changelog
* Tue Nov  4 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.28.3-1
- updated to 2.28.3
- built on current VineSeed
- added Japanese summary

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.28.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- fix %files

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release
- add BuildRequires: gtkmm2-devel

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1
- new upstream release

* Sun Sep 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.0-1
- new upstream release

* Fri May 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl2 
- rebuilt with new toolchains

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl1 
- new upstream release

* Sat Nov  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl1 
- initial build for Vine Linux

* Wed Sep 24 2003 Eric Bourque <ericb@computer.org> 
- Initial build.


