%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%define _unpackaged_files_terminate_build 1

Summary:	A library for bits of crypto UI and parsing etc.
Name:		gcr
Version:	3.40.0
Release:	1%{?_dist_release}
Group:		desktop-gnome,security
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL/LGPL
URL:		https://www.gnome.org/
%define		shortver %(echo %{version} | cut -d. -f1-2)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	gtk3-devel 
BuildRequires:	p11-kit-devel 
BuildRequires:	libtasn1-devel 
BuildRequires:	libgcrypt-devel 
BuildRequires:	vala
BuildRequires:	libxslt
BuildRequires:	gtk-doc

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GCR is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides the viewer for crypto files on the GNOME
desktop.

GCK is a library for accessing PKCS#11 modules like smart cards, in a
(G)object oriented way.


%package	devel
Summary:	Development tools for gcr
Summary(ja):	gcr の開発環境
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Header files and libraries for building a extension library for the
gcr.


%package	docs
Summary:	Documentation for gcr
Summary(ja):	gcr 用のドキュメント
Group:		documentation
Provides:	%{name}-doc = %{version}-%{release}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description	docs
This package contains documentation for gcr.


%debug_package


# compat32
%package -n	compat32-%{name}
Summary:	A library for bits of crypto UI and parsing etc.
Group:		system,legacy
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
GCR is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides the viewer for crypto files on the GNOME
desktop.

GCK is a library for accessing PKCS#11 modules like smart cards, in a
(G)object oriented way.


%package -n	compat32-%{name}-devel
Summary:        Development tools for gcr
Summary(ja):    gcr の開発環境
Group:          programming,legacy
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the
gcr.


%prep
%setup -q


%build
%meson
%meson_build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%meson_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libmock-test-module.so

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc ChangeLog NEWS README*
%{_bindir}/gcr-viewer
%{_libdir}/libgck-1.so.*
%{_libdir}/libgcr-*.so.*
%{_libdir}/girepository-1.0/Gck-1.typelib
%{_libdir}/girepository-1.0/Gcr-3.typelib
%{_libdir}/girepository-1.0/GcrUi-3.typelib
%{_libexecdir}/gcr-prompter
%{_libexecdir}/gcr-ssh-askpass
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp.convert
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp_keyservers.convert
%{_datadir}/applications/gcr-prompter.desktop
%{_datadir}/applications/gcr-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml
%{_datadir}/icons/*/*/*
%{_datadir}/mime/packages/gcr-crypto-types.xml

%files devel
%defattr(-,root,root)
%{_includedir}/gck-1
%{_includedir}/gcr-3
%{_libdir}/libgck-1.so
%{_libdir}/libgcr-*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gck-1.gir
%{_datadir}/gir-1.0/Gcr-3.gir
%{_datadir}/gir-1.0/GcrUi-3.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*

%files docs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gck
%{_datadir}/gtk-doc/html/gcr

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libgck-1.so.*
%{_libdir}/libgcr-*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libgck-1.so
%{_libdir}/libgcr-*.so
%endif


%changelog
* Mon Mar 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.40.0-1
- new upstream release.
- dropped ldconfig scriptlets.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.0-1
- new upstream release.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.28.0-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.15.92-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: libxslt

* Wed Feb 19 2014 NAKAMURA Kenta <kenta@vinelinux.org> 3.10.1-3
- rebuilt with libtasn1-3.4 and libgcrypt-1.6

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- initial build for Vine Linux

