Summary:     The GdkPixBuf image handling library
Summary(ja): GdkPixBuf - 画像を扱うライブラリ
Name:        gdk-pixbuf
Version:     0.22.0
Release:     4%{?_dist_release}
License:     LGPL
Group:       System Environment/Libraries
URL:         http://www.gnome.org/
Source:      ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22/%{name}-%{version}.tar.bz2

Patch0:      gdk-pixbuf-0.14.0-config.patch
#Patch1:      gdk-pixbuf-0.11.0-passall.patch
Patch2:      gdk-pixbuf-0.22.0-loaders.patch
Patch3:      gdk-pixbuf-0.22.0-CAN-2004-0753.patch

# Quote in configure.in appropriately for recent libtool
Patch4:	     gdk-pixbuf-0.22.0-acquote.patch
# Patches backported from GTK+ HEAD
Patch5:	     gdk-pixbuf-0.22.0-bmp-colormap.patch
Patch6:	     gdk-pixbuf-0.22.0-ico-width.patch
Patch7:	     gdk-pixbuf-underquoted.patch
Patch8:	     gdk-pixbuf-0.22.0-libpng.patch

BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel >= 1.0.3
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel >= 3.4
BuildRequires: zlib-devel >= 1.1.3
BuildRequires: glib-devel >= 1.2.0
BuildRequires: gtk+-devel
BuildRequires: libXt-devel
#BuildRequires: gnome-libs-devel >= 1.4.2-0vl7

Requires:    libpng >= 1.0.3
Requires:    zlib >= 1.1.3
Requires:    libtiff >= 3.4
Requires:    glib >= 1.2.0
#Requires:   gnome-libs >= 1.4.2-0vl7

Packager: inagaki

%description
The GdkPixBuf library provides a number of features, including :

- GdkPixbuf structure for representing images.
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- Fast scaling and compositing of pixbufs.
- Simple animation loading (ie. animated gifs)

In addition, this module also provides a little libgnomecanvaspixbuf
library, which contains a GNOME Canvas item to display pixbufs with
full affine transformations.


%package devel
Summary:     Libraries and include files for developing GdkPixBuf applications.
Summary(ja): GdkPixBuf を使うアプリケーション開発に必要なライブラリ/ファイル
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}
Requires:    libpng-devel >= 1.0.3
Requires:    libjpeg-devel
Requires:    libtiff-devel >= 3.4
Requires:    zlib-devel >= 1.1.3
Requires:    gtk+-devel

%description devel
Libraries and include files for developing GdkPixBuf applications.


%prep
%setup -q
%patch0 -p1 -b .config
# %patch1 -p1 -b .passall
%patch2 -p1 -b .can-2004-0782_0783_0788
%patch3 -p0 -b .can-2004-0753

%patch4 -p1 -b .acquote
%patch5 -p1 -b .bmp-colormap
%patch6 -p1 -b .ico-width
%patch7 -p1 -b .underquoted
%patch8 -p1 -b .libpng

%build
## Matt says we don't need the libtoolize, and it breaks things, 
## so it's out.
## %define __libtoolize /bin/true
##
## for i in config.guess config.sub ; do
##         test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
## done

%configure --libexecdir=%{_libdir}/%{name}/loaders --disable-static --disable-gtk-doc
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
##%%ifarch x86_64
# if no gdk-pixbuf, error occurred (/usr/bin/ld: cannot find -lgdk_pixbuf)
# fix me. thanks!
cp libtool libtool.old
sed "s|CC -shared|& -L./.libs|g" libtool.old > libtool
rm libtool.old
##%%endif
%makeinstall libexecdir=$RPM_BUILD_ROOT%{_libdir}/%{name}/loaders

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/loaders/*.{la,a}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html
%{_libdir}/lib*.so.*
%{_libdir}/%{name}/loaders/*.so*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/lib*.so
#{_libdir}/%{name}/loaders/*.a
#{_libdir}/%{name}/loaders/*.la
#{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*
%{_datadir}/aclocal/*
%{_datadir}/gnome/html/*


%changelog
* Wed Jan 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.0-4
- rebuild with libpng-1.6.12
- add Patch8 (gdk-pixbuf-0.22.0-libpng.patch)

* Sun Mar 11 2012 KATO Masashi <mkato@par.odn.ne.jp> 0.22.0-3
- added BR: libXt-devel
- removed "%if x86_64"(for problem of "can't find '-lgdk_pixbuf'" in i686-arch.)

* Sat Jun  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-2
- spec in UTF-8
- removed lib*.a files from devel package

 Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-1
- applied new versioning policy
- removed lib*.la files from devel package

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-0vl9
- rebuilt with gnome-libs-1.4.2-0vl7
- BuildPreReq: gnome-libs-devel >= 1.4.2-0vl7

* Sun May 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-0vl8
- rebuilt with new toolchain
- added Patch4-7 from Fedora development
- remove BuildPreReq: gnome-libs-devel >= 1.4.2-0vl5

* Thu Feb 16 2006 Shu KONNO <owa@bg.wakwak.com> 0.22.0-0vl6.2
- dissabled find_lang %%{name} macros
- if x86_64, edit libtool currently because can't find '-lgdk_pixbuf' first

* Thu Oct 21 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-0vl6
- BuildPreReq: gnome-libs-devel >= 1.4.2-0vl5

* Mon Oct 11 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.22.0-0vl5
- rebuilt with db4-4.2.25
- disable-gtk-doc

* Sun Oct 03 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.22.0-0vl4
- add patch2 for fix CAN-2004-0782, CAN-2004-0783, CAN-2004-0788
- add patch3 for fix CAN-2004-0753

* Sat Apr 24 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.0-0vl3
- rebuild for VineSeed
- fixed BuildPrReq: db4-devel
- added Requires: db4

* Thu Mar 18 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.22.0-0vl2
- fix SOURCE tag URL

* Sun Mar 14 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.22.0-0vl1
- new upstream release
- fix CAN-2004-0111

* Fri Oct 25 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.21.0-0vl1
- new upstream release
- add BuildRequires and Requires

* Thu Jan 24 2002 Akira TAGOH <tagoh@gnome.gr.jp> 0.16.0-0vl1
- New upstream release.

* Fri Dec 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.14.0-0vl1
- New upstream release.
- Revert libtoolize stuff.

* Tue Jul 17 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.11.0-0vl4
- fixed again not to libtoolize, as Rawhide's 0.11.0-3 (and up) does,
  plus fixed one mistake in the spec file since 0.11.0-0vl2
- (FIXME: but libtoolize must be enabled in the future...)

* Mon Jul 16 2001 <sagami@vinelinux.org>
- 0.11.0-0vl3: made a fix at %%build to quit disabling libtoolize

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 0.11.0-0vl2: minor spec fixes(%%doc, post script, PreReq)
- disable libtoolize

* Tue May  8 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.11.0-0vl1
- New upstream release.

* Tue Mar 13 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.10.1-0vl1
- New upstream release.
- Use rpmmacros.
- Added relative execute for config.

* Sat Jan 22 2000 Ross Golder <rossigee@bigfoot.com>

- Borrowed from gnome-libs to integrate into gdk-pixbuf source tree

