Version:	3.20.0
Release:	1%{?_dist_release}

Name:		gdl
Summary:	Gnome Docking library
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.gnome.org/
Summary(ja):	GNOMEドッキングライブラリ

Source:		http://ftp.gnome.org/pub/GNOME/sources/gdl/3.20/%{name}-%{version}.tar.xz

BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires: 	gtk3 >= 3.0.0
Requires: 	libxml2 >= 2.2.8

BuildRequires: 	gtk3-devel >= 3.0.0
BuildRequires: 	libxml2-devel >= 2.2.8
BuildRequires: 	gobject-introspection-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi, Takemikaduchi

%description
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%description -l ja
GTK+にドッキング機能を提供します。現在はAnjutaとLumieraで使用されています。

%package devel
Summary:	Libraries and include files for gdl.
Summary(ja):	gdl の開発用ライブラリとヘッダファイル集.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files if you want to make use of the gdl library in your
own programs.

%description devel -l ja
プログラムをgdlを使用して構築するのに必要なライブラリとヘッダファイルです。

%prep
%setup -q

%build
%ifarch x86_64
%configure
%else
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
%endif

CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/locale/*/LC_MESSAGES/*

%files devel
%defattr (-, root, root)
%{_prefix}/include/libgdl-3.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/gdl-3.0

%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.14.0-2
- moved gdl to System Environment/Libraries Group

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Wed Oct 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- add BuildRequires: gobject-introspection-devel

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release.

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release.

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release.

* Mon Nov 02 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.1-1
- new upstream release.
- fixed BR.
- update summary, description and  license.
- add Vendor, Distribution and Packager.


* Thu Jul 30 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.27.3-1
- update from upstream.
- remove libglade from Requires and BuildRequires.

* Thu Jul 30 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.0-1
- update from upstream.

* Wed Apr 29 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.0-1vl5
- update from upstream.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.11-2vl5
- use macro for Release

* Sat May 10 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.11-1vl5
- update from upstream.

* Thu May 08 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.7-1vl5
- apply new virsioning policy.
- remove *.la

* Sat Jan 05 2008 Shu KONNO <owa@bg.wakwak.com> 0.7.7-0vl1
- fixed %%{_prefix}/lib to %%{_libdir} in %%files section

* Sat Mar 31 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- update from upstream.

* Thu Feb 22 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- packaging for VineSeed.

* Tue Aug 10 2004 Pierre Sarrazin <http://sarrazip.com/>
- Update for version 0.4.0
* Thu Oct 24 2002 Jean Schurger <jschurger@schurger.org
- Update for gnome 2 version
* Wed Aug 8 2001 Jens Finke <jens@gnome.org>
- created spec file
