%define	VER 0.3

Summary:	A graph based image processing framework
Summary(ja):	グラフベースの画像処理フレームワーク
Name:		gegl03
Version:	0.3.8
Release:	1%{?_dist_release}
# The binary is under the GPL, while the libs are under LGPL
License:	LGPLv3+ and GPLv3+
Group:		System Environment/Libraries
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gtk.org/pub/gegl/%{VER}/gegl-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  pango-devel
BuildRequires:	babl-devel >= 0.1.12
BuildRequires:	json-glib-devel
BuildRequires:	perl
BuildRequires:	ruby
BuildRequires:  exiv2-devel
BuildRequires:  libgexiv2-devel
BuildRequires:  lcms2-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libtiff-devel
BuildRequires:  libwebp-devel
BuildRequires:  LibRaw-devel
BuildRequires:  jasper-devel
BuildRequires:  lensfun-devel
BuildRequires:  asciidoc
BuildRequires:  SDL-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  lua-devel
BuildRequires:  enscript
BuildRequires:  w3m
BuildRequires:  graphviz


Vendor: Project Vine
Distribution: Vine Linux

%description
GEGL (Generic Graphics Library) is a graph based image processing framework. 
GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig babl-devel glib2-devel

%description devel
This package contains the libraries and header files needed for
developing with %{name}.

%prep
%setup -q -n gegl-%{version}

chmod -x operations/external/ff-load.c operations/common/perlin/perlin.*

%build
# Needed by Ruby 1.9.3.
export LANG=en_US.utf8

%ifnarch ppc64
%configure --disable-static --enable-workshop
%else
%configure --disable-static --enable-workshop --disable-docs
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL='install -p'

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# conflict with gegl-0.2
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{_bindir}

%find_lang gegl-%{VER}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gegl-%{VER}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README
%{_libdir}/libgegl-%{VER}.so.*
%{_libdir}/libgegl-npd-%{VER}.so
%{_libdir}/libgegl-sc-%{VER}.so
%{_libdir}/gegl-%{VER}
%{_libdir}/girepository-1.0/Gegl-%{VER}.typelib

%files devel
%defattr(-, root, root, -)
%{_includedir}/gegl-%{VER}
%{_libdir}/libgegl-%{VER}.so
%{_libdir}/pkgconfig/gegl-%{VER}.pc
%{_libdir}/pkgconfig/gegl-sc-%{VER}.pc
%{_datadir}/gir-1.0/Gegl-%{VER}.gir

%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.8-1
- initial build
