%define	ver	3.18.2
%define	rel	1%{?_dist_release}

Summary:	Binary file editor for GNOME
Summary(ja):	GNOME用バイナリ・ファイル・エディタ
Name:		ghex
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Editors

Source:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.10/%{name}-%{ver}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	yelp-tools

Packager:	ryoichi, daisuke, kazutaka, Takemikaduchi

%description
GHex allows the user to load data from any file, view and edit 
it in either hex or ascii. A must for anyone playing games that
use non-ascii format for saving.

%description -l ja
GHex は16進と ASCIIのどちらのモードでもファイルの読み込み、
表示及び編集が可能です。また 非 ASCII 形式のデータを保存する
機能も備えています。


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static --disable-scrollkeeper
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-3.0 --with-gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}-3.0.lang
%defattr(-,root,root)
%doc README COPYING NEWS AUTHORS
%{_bindir}/ghex
%{_libdir}/libgtkhex-3.so.*
%{_datadir}/GConf/gsettings/ghex.convert
%{_datadir}/appdata/ghex.appdata.xml
%{_datadir}/applications/ghex.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/help/*/%{name}

%files devel
%{_includedir}/gtkhex-3
%{_libdir}/libgtkhex-3.so
%{_libdir}/pkgconfig/gtkhex-3.pc

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release
- add BuildRequires: yelp-tools

* Wed Oct 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.24.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Wed May 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.24.0-1
- new upstream release
- add japanese description

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.8.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Fri Nov 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Thu Sep 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0.1-0vl1
- new upstream release

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.1-0vl1
- rebuild with new toolchains and Gnome2

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.1-0vl1
- New upstream release.
- Fixed the font names for printing.

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2-0vl1
- New upstream release.
- Use rpmmacros.

* Sun Mar 12 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first release for vine

