%define	helpdir	glade3

Summary: A user interface builder for the GTK+ toolkit and GNOME
Summary(ja): GTK+ツールキット及びGNOME向けのユーザインターフェースビルダー
Name: glade3
Version: 3.38.2
Release: 1%{?_dist_release}
Group: desktop-gnome,programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL
URL: https://glade.gnome.org/
%global shortver %(echo %{version} | cut -d . -f 1,2)
Source0: https://download.gnome.org/sources/glade/%{shortver}/glade-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: docbook-style-xsl
BuildRequires: gnome-common
BuildRequires: gjs-devel
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: itstool
BuildRequires: libSM-devel
BuildRequires: libxml2-devel
BuildRequires: meson
BuildRequires: python3-devel
BuildRequires: python3-pygobject-devel
BuildRequires: webkitgtk4-devel
BuildRequires: yelp-devel yelp-tools


Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: devhelp

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces
at runtime. The DTD for the XML files is included with libglade, and is
also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%description -l ja
Gladeは、GTK+ツールキットやGNOME向けのユーザインターフェースを素早く簡単に開
発する事が可能なRADツールです。
Gladeでデザインされたユーザインターフェースは外部ツールに用意に統合可能なXML
フォーマットで保存されます。
特にlibgladeは、XMLファイルを読み込み、ランタイムにインターフェースを生成す
ることが出来ます。このXMLファイルのDTDは、libgladeに含まれており、
http://glade.gnome.org/glade-2.0.dtdにもあります。
このXMLファイルをC++、PerlやPythonといった言語のソースコードに変換する他のツー
ルも利用可能です。


%package libs
Summary:	Widget library for Glade UI designer
Group:		system

%description	libs
The %{name}-libs package consists of the widgets that compose the Glade GUI as
a separate library to ease the integration of Glade into other applications.


%package devel
Summary:	the Glade UI Builder core library
Group:		programming
Requires:	%{name} = %{version}-%{release}

%description devel
the Glade UI Builder core library to integrate Glade into your application
and integrate your custom (GTK+ based) widget toolkit into the Glade
UI Builder.


%debug_package


%prep
%setup -q -n glade-%{version}


%build
%meson -Dgtk_doc=false
%meson_build


%install
rm -rf %{buildroot}
%meson_install

%find_lang glade --all-name --with-gnome


%clean
rm -rf %{buildroot}


%files -f glade.lang
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS NEWS
%{_bindir}/glade
%{_bindir}/glade-previewer
%{_datadir}/metainfo/*
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/glade-previewer.1.gz
%{_mandir}/man1/glade.1.gz

%files	libs
%license COPYING*
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib
%dir %{_libdir}/glade
%dir %{_libdir}/glade/modules
%{_libdir}/glade/modules/*.so
%{_libdir}/libgladeui-2.so.*
%{_datadir}/glade

%files	devel
%defattr(-,root,root)
%{_includedir}/libgladeui-2.0/gladeui/*
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gettext
%dir %{_datadir}/gettext/its
%{_datadir}/gettext/its/glade-catalog.its
%{_datadir}/gettext/its/glade-catalog.loc
%{_libdir}/libgladeui-2.so
%{_datadir}/gir-1.0/Gladeui-2.0.gir


%changelog
* Sun May 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.38.2-1
- new upstream release.
- dropped scriptlets.
- added a subpackage: libs.

* Wed Aug 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.0-1
- new upstream release.

* Tue May 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.22.2-1
- new upstream release.

* Sat Mar 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.20.3-1
- new upstream release.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.3-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Tue Dec 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add BuildRequires: docbook-style-xsl

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Mon Oct 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release
- add BuildRequires: python-devel, pygobject3-devel

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- delete BuildRequires: libgnomeui-devel, libbonoboui-devel

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.7-4
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: libSM-devel

* Fri Nov 06 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-3
- add gnome-doc-utils to BR
- comment out desktop-file-install

* Tue Nov 03 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-2
- rebuild with gtk2-2.18.2

* Sat Aug 01 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.6.7-1
- new upstream release
- care ld and icon cache
- define helpdir

* Sun May 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.3-1
- new upstream release
- spec in utf-8 (fixed)

* Fri May 01 2009 Shu KONNO <owa@bg.wakwak.com> 3.6.2-2
- spec in utf-8

* Sun Apr 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.2-1
- new upstream release

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 3.5.2-1
- new upstream version.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.5-1
- new upstream version.
- update Requires.
- update description.

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.1-2vl5
- use macro for release

* Fri May 09 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.4.1-1vl5
- apply new virsioning policy.
- remove *.la

* Fri Jan 04 2008 Shu KONNO <owa@bg.wakwak.com> 3.4.1-0vl
- new upstream version
- added Requires: devhelp
- added Prereq: scrollkeeper
- added disable-scrollkeeper to configure
- added scrollkeeper-update in %%post and %%postun sections
- changed gnome help directory temporarily

* Sun Dec 17 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.0.3-0vl
- build for VineSeed 

