%define ver 2.4

%define _unpackaged_files_terminate_build 1

Summary:	A C++ interface for glib library.
Summary(ja):	glib ライブラリの C++ インターフェイス
Name:		glibmm
Version:	2.66.0
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPL
URL:		https://www.gtkmm.org/
%global		shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel >= 2.46.0
BuildRequires:  libsigc++-devel >= 2.6.0
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  mm-common
BuildRequires:  meson

%description
glibmm is a set of C++ bindings for glib, including cross-platform APIs such
as a std::string-like UTF8 string class, string utility methods, such as a
text encoding converter API, file access, and threads.


%package devel
Summary:	Development files for %{name}.
Summary(ja):	%{name} の開発用ファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.46.0
Requires:       libsigc++-devel >= 2.6.0
Requires:       perl 

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.


%debug_package


%prep
%setup -q -n %{name}-%{version}


%build
%meson \
	-Dmaintainer-mode=true \
	-Dwarnings=min \
	-Ddist-warnings=min \
	-Dbuild-deprecated-api=true \
	-Dbuild-documentation=false \
	-Ddebug-refcounting=false \
	-Dbuild-examples=false \
	-Dmsvc14x-parallel-installable=false
%meson_build


%install
rm -rf %{buildroot}
%meson_install


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgiomm*.so.*
%{_libdir}/libglibmm*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/giomm-%{ver}
%{_libdir}/glibmm-%{ver}
%{_libdir}/libgiomm*.so
%{_libdir}/libglibmm*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb 12 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.66.0-1
- new upstream release.

* Sat Aug 01 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.64.2-1
- new upstream release.

* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.58.1-1
- new upstream release.

* Sat Jan 06 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.54.1-1
- new upstream release.

* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.48.1-1
- new upstream release

* Wed Jun 29 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.3-2
- rebuild with gcc-5.4.0

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.3-1
- new upstream release

* Wed Nov 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.2-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.44.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.42.0-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.40.0-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.38.1-1
- new upstream release

* Sat Nov 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.38.0-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.36.2-1
- new upstream release

* Tue Nov 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.1-1
- new upstream release

* Mon Oct 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.0-1
- new upstream release

* Mon Oct 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.33.14-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.33.13-1
- new upstream release

* Tue Jul 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.13-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.12-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.11-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.25.5-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.0-1
- new upstream release

* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1
- new upstream release

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-1
- new upstream release

* Fri Jan 16 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.18.1-1
- new upstream release

* Thu Oct  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-2
- added --disable-static option to %%configure
- Fix Source URL typo

* Mon Sep 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-1
- new upstream release
- spec in UTF-8

* Sat Jul 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.4-1vl5
- new upstream release

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.1-1vl5
- new upstream release
- devel documents are installed into gtk-doc dir

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.0-0vl1
- new upstream release

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-0vl2
- rebuilt for VinePlus/4.x

* Wed Aug 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-0vl1
- new upstream release
- rebuilt with glib-2.14.0

* Sat May 19 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.12.9-0vl2
- rebuild with new environment/toolchain.

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.9-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.8-0vl2
- rebuild with new environment/toolchain

* Sat Apr 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.8-0vl1
- new upstream release

* Mon Jan  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.4-0vl1
- new upstream release

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl2
- new upstream release

* Sat Aug 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.0-0vl1
- new upstream release
- rebuilt with glib2-2.12.2

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.3-0vl1
- new upstream release

* Mon May 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl1
- new upstream release

* Tue Apr 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-0vl1
- new upstream release

* Mon Mar 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.0-0vl1
- new upstream release

* Sat Feb  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upstream release

* Sat Nov 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Tue Sep 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-0vl1
- new upstream release
- added Requires: glib2-devel, libsigc++-devel to devel package

* Sat Jul 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-0vl2
- rebuild with libsigc++-2.0.15
- fixed document location in devel package

* Mon Mar 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-0vl1
- new upstream

* Sat Feb 26 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.7-0vl1
- new upstream

* Sun Nov 14 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.5-0vl1
- rebuild for Vine Linux
- added Japanese summary

* Sun Jun 20 2004 Marcin Garski <garski@poczta.onet.pl> 2.4.3-1.fc2
- Updated to version 2.4.3

* Sat Jun 05 2004 Marcin Garski <garski@poczta.onet.pl> 2.4.2-1.fc2
- Initial specfile
