Summary:        Gnome Background images
Summary(ja):    Gnome バックグラウンド画像
Name:           gnome-backgrounds
Version:        40.1
Release:        1%{?_dist_release}
Group:          desktop-gnome
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL
URL:            https://www.gnome.org/
%global         shortver %(echo %{version} | cut -d . -f 1)
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  meson

%description
Background images from the GNOME project.

%description -l ja
GNOME project によるバックグラウンド(背景)画像です。


%package        extras
Summary:        GNOME 追加背景画像
Group:          desktop-gnome
Requires:       %{name} = %{version}-%{release}

%description    extras
This package contains the additional desktop backgrounds
which are packaged with the GNOME desktop.


%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/backgrounds/images
# all translations are merged back into xml by intltool
rm -rf %{buildroot}%{_datadir}/locale


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/adwaita.xml
%{_datadir}/backgrounds/gnome/adwaita-day.png
%{_datadir}/backgrounds/gnome/adwaita-morning.png
%{_datadir}/backgrounds/gnome/adwaita-night.png
%{_datadir}/backgrounds/gnome/adwaita-timed.xml

%files extras
%{_datadir}/gnome-background-properties/gnome-backgrounds.xml
%{_datadir}/backgrounds/gnome/ColdWarm.jpg
%{_datadir}/backgrounds/gnome/DepthLava.png
%{_datadir}/backgrounds/gnome/IceCrystals.jpg
%{_datadir}/backgrounds/gnome/Lava.jpg
%{_datadir}/backgrounds/gnome/Leaf.jpg
%{_datadir}/backgrounds/gnome/LightBulb.jpg
%{_datadir}/backgrounds/gnome/Loveles.jpg
%{_datadir}/backgrounds/gnome/Symbolics-1.png
%{_datadir}/backgrounds/gnome/Tree.jpg
%{_datadir}/backgrounds/gnome/VNC.png
%{_datadir}/backgrounds/gnome/Wood.jpg


%changelog
* Thu May 13 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.1-1
- new upstream release.

* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sun Aug 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Tue Dec 01 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Sep  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.3-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.2-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- initial build for Vine Linux

