%define _unpackaged_files_terminate_build 1
%global __global_cflags %{optflags}
%global __global_ldflags ""

Summary: GNOME Bluetooth Subsystem
Summary(ja): GNOME Bluetooth サブシステム
Name: gnome-bluetooth
Version: 3.34.1
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2+
URL: http://live.gnome.org/GnomeBluetooth
%global 	shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0: https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
Source1: 61-gnome-bluetooth-rfkill.rules

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: meson
BuildRequires: bluez-libs-devel >= 2.8
#BuildRequires: libbonobo-devel >= 2.32.0
#BuildRequires: libbonoboui-devel >= 2.24.4
BuildRequires: unique3-devel
BuildRequires: libnotify-devel
BuildRequires: eudev-libudev-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool, automake, libtool, gettext
BuildRequires: itstool

Requires: %{name}-libs = %{version}-%{release}
Requires: bluez >= 5.54
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
ExcludeArch: s390 s390x

Obsoletes: bluez-gnome < 1.9
Obsoletes: nautilus-sendto-gnome-bluetooth < 3.7

# virtual package
Provides:       dbus-bluez-pin-helper


%description
This package contains a library with widgets for Bluetooth applications.

%description -l ja
このパッケージには、 Bluetooth アプリケーションのためのウィジェットと
ライブラリが含まれます。


%package libs
Summary: Libraries for applications, which use gnome-bluetooth
Summary(ja):Gnome-bluetooth を使用するアプリケーション用ライブラリ
Group: Development/Libraries

%description libs
This package contains the libraries for applications, 
which use gnome-bluetooth.

%description libs -l ja
このパッケージには Gnome-bluetoothを使用するアプリケーション用の
ライブラリが含まれています。


%package devel
Summary: Files for the development of applications, which use gnome-bluetooth
Summary(ja): Gnome-bluetoothを使用するアプリケーション開発用ファイル
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig
Requires:	gtk3-devel

%description devel
This package contains the files for the development of applications,
which will use gnome-bluetooth.

%description devel -l ja
このパッケージにはGnome-bluetoothを使用するアプリケーションを
開発するためのヘッダーファイルなどが含まれています(develパッケージ)


%prep
%setup -q -n gnome-bluetooth-%{version}


%build
%meson \
  -Dicon_update=false \
  -Dgtk_doc=true
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

install -m0644 -D %{SOURCE1} $RPM_BUILD_ROOT/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%find_lang gnome-bluetooth2 --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database -q

%postun
update-desktop-database -q
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%post libs
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans libs
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun libs
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%files -f gnome-bluetooth2.lang
%defattr(-, root, root)
%license COPYING
%doc README NEWS
%{_bindir}/bluetooth-*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth/
%{_mandir}/man1/*
/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%files libs
%defattr(-,root,root,-)
%license COPYING.LIB
%{_libdir}/libgnome-bluetooth.so.*
%{_libdir}/girepository-1.0/GnomeBluetooth-1.0.typelib
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir
%{_datadir}/gtk-doc/html/gnome-bluetooth/


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.34.1-1
- new upstream release.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.28.2-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release
- add BuildRequires: libcanberra-gtk3-devel

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- add BuildRequires: eudev-libudev-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release
- remove BuildRequires: nautilus-sendto-devel

* Fri Nov 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add Obsoletes: bluez-gnome < 1.9
- add BuildRequires: itstool

* Sun Jul 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-2
- fix spec file

* Sun Jul 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Fri Jun 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- add BuildRequires: nautilus-sendto-devel
- create nautilus-sendto-gnome-bluetooth package

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- remove BuildRequires: GConf2-devel

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: unique3-devel instead of unique-devel
- add BuildRequires: control-center-devel

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: gir-repository-devel
- add Requires(post) and Requires(postun): desktop-file-utils

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Apr 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: gir-repository-devel
- add configure option (--disable-nautilus-sendto)

* Wed Dec 30 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.6-1
- new upstream release
- merge spec file from FC package

* Fri Oct 24  2008 Seiichirou Babasaki 0.11.0-6
- Update to 0.11.0 (VineSeed)
- added "# Maintainers: " comments.
- changed UTF-8 encode at gnome-bluetooth.vsc.spec
- FedoraCore - LOGS
-- 0.11.0-5
-- Rebuild against new bluez-libs
-- 0.11.0-4
-- Changed name of icon file(#444811)
-- 0.11.0-3
-- Remove gnome-obex-server, we should use gnome-user-share now
-- 0.11.0-1
-- gcc43 rebuild
-- 0.11.0 - Update to 0.11.0
-- 0.10.0 - Update to 0.10.0
-- 0.9.1-4
-- marked gnome-obex-server.schemas as config file
-- changed upstream URL
-- 0.9.1-3
-- fixed wrong source URL
-- 0.9.1-2
-- rebuilt for F8
-- changed license tag to GPLv2 and LGPLv2+
-- 0.9.1-1
-- Upgrade to 0.9.1 to fix a crasher in the server
-- 0.9.0-1
-- Update for 0.9.0
-- Fix installation of the python bindings
-- 0.8.0-4
-- Remove unncessary gconfd killing from scripts (#224561)
-- 0.8.0-3
-- corrected BuildRoot
-- smp flags added
-- specfile cleanup
-- fixed desktop file
- Updated specfile

* Fri Sep 26 2008 Seiichirou Babasaki 0.8.0-2
- Updated specfile

* Wed Jan 16 2008 Seiichirou Babasaki 0.8.0-1
- Import gnome-bluetooth - Packager: Babasaki
- Updated specfile (downgrade -> 0.8.0-0vl1)

#----------------------------------------------------------------------------
* Mon Nov 13 2006 Harald Hoyer <harald@redhat.com> - 0.8.0-1
- version 0.8.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-10.1
- rebuild

* Wed Jun 14 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-10
- bump for new openobex

* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-9
- Missing automake, libtool, gettext BR

* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-6
- Bump for new libbluetooth

* Wed May 31 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-6
- add dependency on bluez-utils, cosmetic tweaks (bug #190280)

* Tue May 30 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-5
- install schemata correctly (bug #193518)

* Mon May 29 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-3
- more build requires (bug #193374)

* Mon Feb 27 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-2
- pydir fixes for lib64

* Thu Feb 16 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-1
- version 0.7.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Oct 07 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-2
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.

* Wed Sep 28 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-1
- new version 0.6.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> 0.5.1-14
- rebuild for new cairo

* Thu Jul  7 2005 Matthias Saou <http://freshrpms.net/> 0.5.1-13
- Minor spec file cleanups.
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.
- Remove useless zero epochs.
- Remove explicit python abi requirement, it's automatic for FC4 and up.

* Thu Mar 31 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-12
- removed base requirement from libs

* Tue Mar 29 2005 Warren Togami <wtogami@redhat.com> - 0.5.1-11
- devel req glib2-devel libbtctl-devel for pkgconfig (#152488)

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Mon Feb 21 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-9
- added gnome hbox patch for bug rh#149215

* Tue Dec 07 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-8
- added requires for python-abi

* Tue Dec 07 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-7
- split package into app, libs and devel

* Mon Oct 25 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-6
- fixed again gnome-bluetooth-manager script for 64bit (bug 134864)

* Fri Oct 08 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-5
- buildrequire pygtk2-devel (bug 135032)
- fixed gnome-bluetooth-manager script for 64bit (bug 134864)
- fixed segfault on file receive (bug 133041)

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-4
- buildrequire libbtctl-devel
- buildrequire openobex-devel >= 1.0.1
- pythondir -> pyexecdir

* Wed Jul 28 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-3
- added build dependency for librsvg2-devel

* Tue Jul 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-2
- added pydir patch

* Thu Jul 22 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-1
- version 0.5.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-8
- corrected BuildRequires

* Wed Mar 10 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-7
- added EggToolBar patch for gcc34

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Harald Hoyer <harald@redhat.de> 0.4.1-4
- added autofoo patch

* Thu Aug 28 2003 Harald Hoyer <harald@redhat.de> 0.4.1-3
- add .so to gnome-vfs module, if libtool does not!

* Thu Aug 07 2003 Harald Hoyer <harald@redhat.de> 0.4.1-2
- call libtool finish

* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 0.4.1-1
- new version 0.4.1

* Thu Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.4-1
- initial RPM


