Summary:        Develop software for GNOME
Summary(ja):    GNOME 用統合開発環境
Name:           gnome-builder
Version:        3.40.2
Release:        2%{?_dist_release}
Group:          programming,desktop-gnome
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv3
URL:            https://wiki.gnome.org/Apps/Builder
%global         shortver %(echo %{version} | cut -d . -f 1,2)
Source:         https://download.gnome.org/sources/gnome-builder/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: clang-devel
BuildRequires: desktop-file-utils
BuildRequires: enchant2-devel
BuildRequires: gtk3-devel
BuildRequires: gtksourceview4-devel
BuildRequires: devhelp-devel
BuildRequires: glade3-devel
BuildRequires: glib2-devel
BuildRequires: gspell-devel
BuildRequires: itstool
BuildRequires: json-glib-devel
BuildRequires: jsonrpc-glib-devel
BuildRequires: libdazzle-devel
BuildRequires: libgit2-glib-devel
BuildRequires: libpeas-devel
BuildRequires: libportal-devel
BuildRequires: llvm-devel
BuildRequires: meson
BuildRequires: pango-devel
BuildRequires: pcre2-devel
BuildRequires: pygobject3-devel
BuildRequires: python3-devel
BuildRequires: python3-pygobject
BuildRequires: python3-rpm-macros
BuildRequires: template-glib-devel
BuildRequires: vte3-devel
BuildRequires: webkitgtk4-devel

%description
Builder is a new IDE for GNOME that is focused on bringing the power
of our platform to more developers than ever before. 

%description -l ja
gnome-builder はより多くの開発者にGNOMEのプラットフォーム力をもたらすことに
焦点を当てた新しい統合開発環境です。


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          programming,desktop-gnome
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
  -Dplugin_flatpak=false \
  -Dplugin_sysprof=false \
  -Dplugin_update_manager=false
%meson_build


%install
rm -rf $RPM_BUILD_ROOT

%meson_install

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%exclude %{_libdir}/gnome-builder/pkgconfig/
%{_libdir}/gnome-builder/
%{_libexecdir}/gnome-builder-clang
%{_libexecdir}/gnome-builder-git
%{python3_sitelib}/gi/overrides/Ide.py
%{_datadir}/metainfo/org.gnome.Builder.appdata.xml
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/glib-2.0/schemas/org.gnome.builder*.gschema.xml
%exclude %{_datadir}/gnome-builder/gir-1.0/
%{_datadir}/gnome-builder/
%{_datadir}/gtksourceview-4/styles/*.xml
%{_datadir}/icons/*/*/*/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*
%{_libdir}/%{name}/pkgconfig
%{_datadir}/%{name}/gir-1.0


%changelog
* Wed Oct 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.40.2-2
- rebuilt with libgit2-1.3.0.

* Sun May 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.40.2-1
- new upstream release.
- dropped scriptlets.

* Sat Aug 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.1-1
- new upstream release.

* Tue May 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.0-1
- new upstream release.

* Tue Aug 21 2018 Toshiaki Ara <ara_t@384.jp> 3.20.4-2
- rebuild with libgit2-0.27.4

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.4-1
- new upstream release
- add BuildRequires: desktop-file-utils

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release
- add BuildRequires: libpeas-devel

* Sat May 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- initial build

