Summary:	A character map application
Summary(ja):	GNOME 用カレンダーアプリケーション
Name:		gnome-characters
Version:	3.20.1
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	gjs-devel

Requires(postun,posttrans):	desktop-file-utils
Requires(postun,posttrans):	glib2
Requires: gnome-shell

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
A simple utility application to find and insert unusual characters. 

%description -l ja
普段使用しない文字を検索・入力するためのシンプルなアプリケーションです。


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang org.gnome.Characters --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f org.gnome.Characters.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{_libdir}/org.gnome.Characters/libgc.so
%{_libdir}/org.gnome.Characters/girepository-1.0/Gc-1.0.typelib
%{_datadir}/appdata/org.gnome.Characters.appdata.xml
%{_datadir}/applications/org.gnome.Characters.desktop
%{_datadir}/dbus-1/services/org.gnome.Characters.BackgroundService.service
%{_datadir}/dbus-1/services/org.gnome.Characters.service
%{_datadir}/glib-2.0/schemas/org.gnome.Characters.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Characters.search-provider.ini
%{_datadir}/icons/*/*/*/*
%{_datadir}/org.gnome.Characters


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- initial build

