Name:			gnome-chess
Summary:		GNOME Chess
Summary(ja):	GNOME チェス
Version:		3.20.1
Release:		1%{?_dist_release}
License:		GPLv2
Group:			Applications/Games
URL:			https://live.gnome.org/Mines
Source:			ftp://ftp.gnome.org/pub/gnome/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	librsvg2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	yelp-tools
BuildRequires:	vala

Requires(postun,posttrans): desktop-file-utils
Requires(postun,posttrans): gtk3

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
gnome-chess is a 2D/3D chess game, where games can be played between
a combination of human and computer players. 


%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch %{_datadir}/icons/hicolor
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database -q > /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q > /dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc  COPYING NEWS
%{_sysconfdir}/%{name}/engines.conf
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.chess.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man6/%{name}.6.gz


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.3-1
- new upstream release

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Sun Jun 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.3-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.3-1
- new upstream release

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1.1-1
- new upstream release

* Tue Aug 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- initial build

