Summary:	Clocks applications for GNOME
Summary(ja):	GNOME 用時計アプリケーション
Name:		gnome-clocks
Version:	40.0
Release:	1%{?_dist_release}
Group:		desktop-gnome,accesories
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPLv2+
URL:		https://live.gnome.org/GnomeClocks
%global		shortver %(echo %{version} | cut -d . -f 1)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	gtk3-devel >= 3.9.11
BuildRequires:	libcanberra-gtk3-devel >= 0.30
BuildRequires:	gnome-desktop3-devel >= 3.7.90
BuildRequires:	libgweather-devel >= 3.9.91
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	geocode-glib-devel >= 0.99.3
BuildRequires:	geoclue2-devel >= 1.99.3
BuildRequires:	gsound-devel >= 1.0
BuildRequires:	yelp-tools
BuildRequires:	vala
BuildRequires:	libappstream-glib-devel
BuildRequires:	libhandy-devel

Requires(postun,posttrans):	desktop-file-utils

%description
Clock application designed for GNOME 3 

%description -l ja
gnome-clocks は GNOME3 向けに作られた時計アプリケーションです。


%debug_package


%prep
%setup -q


%build
%meson

%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang
%defattr(-,root,root,-)
%license LICENSE.md
%doc README.md NEWS.md
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.clocks.metainfo.xml
%{_datadir}/applications/org.gnome.clocks.desktop
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Fri Apr 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Wed Aug 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.2-1
- new upstream release.

* Mon Dec 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.1-1
- new upstream release.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add BuildRequires: gsound-devel

* Sat Nov 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-2
- fix typo in Group

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- add BuildRequires: geocode-glib-devel, geoclue2-devel, yelp-tools

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- add BuildRequires: libcanberra-gtk3-devel, gnome-desktop3-devel
- remove BuildRequires: pygobject3-devel
- remove BuildArch:	noarch

* Sun Apr 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- add BuildArch: noarch

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-2
- add BuildArch: noarch

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.3-1
- initial build
