%define        python_ver            2.7
%define        exiv2_ver             0.23
%define        taglib_ver            1.4
%define        libgsf_ver            1.12.0
%define        poppler_ver           0.14.2

Name:          gnome-commander
Summary:       A nice and fast file manager for the GNOME desktop
Summary(pl):   Menadżer plików dla GNOME oparty o Norton Commander'a (TM)
Summary(sv):   GNOME Commander är en snabb och smidig filhanderare för GNOME
Version:       1.4.7
Release:       3%{?_dist_release}

Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://www.nongnu.org/gcmd/
Source0:       ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.4/%{name}-%{version}.tar.xz

Patch1:        gnome-commander-1.2.8.15-libgsf.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: automake
BuildRequires: flex
BuildRequires: intltool >= 0.35.0
BuildRequires: libtool
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
BuildRequires: scrollkeeper
BuildRequires: gettext >= 0.10.36
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: gtk2-devel >= 2.8.0
BuildRequires: gnome-vfs2-devel >= 2.0.0
BuildRequires: libgnomeui-devel >= 2.4.0
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: perl(XML::Parser)
BuildRequires: libSM-devel
BuildRequires: fontconfig-devel
BuildRequires: unique-devel >= 0.9.3

Requires:      glib2 >= 2.6.0
Requires:      gtk2 >= 2.8.0
Requires:      gnome-vfs2 >= 2.0.0
Requires:      gnome-vfs2-smb >= 2.0.0
Requires:      libgnomeui >= 2.4.0

Requires:         meld
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

BuildRequires:   python-devel >= %{python_ver}
BuildRequires:   exiv2-devel >= %{exiv2_ver}
BuildRequires:   taglib-devel >= %{taglib_ver}
BuildRequires:   libgsf-devel >= %{libgsf_ver}
BuildRequires:   poppler-devel >= %{poppler_ver}

Requires:        python >= %{python_ver}
Requires:        exiv2 >= %{exiv2_ver}
Requires:        taglib >= %{taglib_ver}
Requires:        libgsf >= %{libgsf_ver}
Requires:        poppler >= %{poppler_ver}

Vendor: Project Vine
Distribution: Vine Linux

%description
GNOME Commander is a nice and fast file manager for the GNOME desktop.
In addition to performing the basic file manager functions the program is
also an FTP-client and it can browse SMB-networks.

%prep
%setup -q
%patch1 -p1 -b .libgsf

%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-deprecated-declarations"
%configure \
   --disable-scrollkeeper \
   --enable-python
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} \
   INSTALL="%{__install} -c -p" \
   DESTDIR=%{buildroot} \
   install

desktop-file-install \
   --delete-original \
   --vendor '' \
   --remove-category Application \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/%{name}.desktop

%{__rm} -f %{buildroot}%{_libdir}/%{name}/*.{a,la}
%{__rm} -f %{buildroot}%{_libdir}/%{name}/*/*.{a,la,py}

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO doc/*.txt
%{_bindir}/*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/%{name}/mime/*

%changelog
* Sat Jul 02 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-3
- rebuild with gcc-5.4.0

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-2
- rebuild with poppler-0.37.0

* Sun Jun 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-1
- new upstream release

* Sat May 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.6-1
- new upstream release

* Wed Jan 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-2
- rebuild with poppler-0.26.2

* Sat Jun 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Jun 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-2
- rebuild with poppler-0.24.5

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- add BuildRequires: unique-devel

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.17-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.16-1
- new upstream release
- remove Patch0 (gnome-commander-1.2.8.15-poppler-0.24.x.patch)
- remove Patch2 (gnome-commander-1.2.8.15-gcc47.patch) from fedora

* Wed Dec 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-7
- rebuild with exiv2-0.24

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-6
- rebuild with poppler-0.24.2
- update Patch0 (gnome-commander-1.2.8.15-poppler-0.24.x.patch)
- add Patch1 (gnome-commander-1.2.8.15-libgsf.patch)
- add Patch2 (gnome-commander-1.2.8.15-gcc47.patch) from fedora

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-5
- rebuild with poppler-0.20.4
- add Patch0 (gnome-commander-1.2.8.15-poppler-0.20.x.patch)

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-4
- rebuild with exiv2-0.23

* Mon May 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-3
- rebuild with exiv2-0.22

* Sun Feb 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-2
- rebuild with python-2.7.2

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.15-1
- new upstream release

* Fri Oct 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.14-1
- new upstream release

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.13-1
- new upstream release

* Sun Aug  7 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.8.11-2
- rebuilt with exiv2-0.21.1
- added BR: fontconfig-devel

* Sat May 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.11-1
- new upstream release
- change Group: User Interface/Desktops instead of Applications/File

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.8.9-2
- rebuilt with poppler-0.16.3

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.9-1
- new upstream release

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.8-1
- new upstream release

* Sun Jun 27 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.6-1
- new upstream release

* Wed May 05 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.8.5-2
- rebuilt with exiv2-0.19

* Sun Mar 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8.5-1
- Initial build for Vine Linux

* Wed Jan 13 2010 Piotr Eljasiak <epiotr@use.pl>
- added gnome-vfs2-smb dependency
- replaced exiv2 with exiv2-libs dependency for FC>=8

* Fri Oct 3 2008 Yuriy Penkin <yuriy.penkin@gmail.com>
- changed dependencies for intltool to 0.35.0

* Thu Aug 7 2008 Piotr Eljasiak <epiotr@use.pl>
- added poppler dependencies

* Fri Jul 11 2008 Piotr Eljasiak <epiotr@use.pl>
 - added build deps

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.4-4
- Drop yelp dependency

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.4-3.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.4-3.dist.1
- License update

* Wed Jul 18 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.5-1
 - replaced libexif and libiptcdata with exiv2 library

* Tue Jul 10 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.5-1
- replaced id3lib with taglib dependencies

* Sat Jun 16 2007 Dušan Hokův <dusan@mirc.cz> 1.2.5-1
- added cs description

* Mon Jun 11 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.5-1
- minor tweaking with library versioning

* Sun Feb 4 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.4-1
- added libgsf dependencies

* Tue Jan 30 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.4-1
- added build and runtime deps for python and gnome-python2-gnomevfs

* Sat Jan 20 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.3-5
- Require meld (#225324)

* Wed Jan 10 2007 Piotr Eljasiak <epiotr@use.pl> 1.2.4-1
- removed unneeded .py files

* Thu Dec 21 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2.3-2
- Clean up.

* Sun Dec 17 2006 Piotr Eljasiak <epiotr@use.pl> 1.2.4-1
- use version requirements from configure.in
- changed dependencies from glib to glib2

* Fri Dec 15 2006 Stephanos Manos <stefmanos AT gmail DOT com> - 1.2.4-1
- removed not needed .a files
- added build and runtime deps for libexif id3lib

* Tue Dec 12 2006 Stephanos Manos <stefmanos AT gmail DOT com> - 1.2.4-1
- minor cleanups/fixes to make rpmlint silent
       -changelog: entries starting with % (added a second %)
       -changelog: replaced tabs with spaces
       -descriptions: splitted in multiple lines
       -summary: removed ending dot
       -license: changed license-tag form GPL2 to GPL
* Tue Nov 14 2006 Piotr Eljasiak <epiotr@use.pl>
- fixed Source0 address

* Mon Jul 17 2006 Piotr Eljasiak <epiotr@use.pl>
- added glib dependencies

* Sun May 14 2006 Stephanos Manos <stefmanos@gmail.com>
- Fixed Scrollkeeper database update
        -disabled scrollkeeper update from make
        -added scrollkeeper-database-update in the %%post & %%postun section
- Added %%post & %%postun entries for the desktop file
- Added %%post & %%postun entries for the gtk+ icon cache file

* Sun Apr 9 2006 Piotr Eljasiak <epiotr@use.pl>
- minor cleanups

* Sun Mar 5 2006 Piotr Eljasiak <epiotr@use.pl>
- added OMF files

* Mon Feb 13 2006 Piotr Eljasiak <epiotr@use.pl>
- install gnome-commander icon to %%{_datadir}/pixmaps/
- install gnome-commander.1* to %%{_mandir}/man1/

* Sat Feb 11 2006 Piotr Eljasiak <epiotr@use.pl>
- set default srcext to .bz2

* Fri Jan 28 2005 Piotr Eljasiak <epiotr@use.pl>
- fixed typo: rpm --> rpmbuild

* Mon May 03 2004 Piotr Eljasiak <epiotr@use.pl>
- converted spec file to utf-8
- used RPM macros a bit more

* Thu Jun 19 2003 Piotr Eljasiak <epiotr@use.pl>
- added libraries

* Tue Mar 25 2003 Piotr Eljasiak <epiotr@use.pl>
- updated Sources

* Mon Jan 20 2003 Piotr Eljasiak <epiotr@use.pl>
- added build dependencies

* Fri Jan 10 2003 Piotr Eljasiak <epiotr@use.pl>
- added localization

* Thu Jan 09 2003 Piotr Eljasiak <epiotr@use.pl>
- added dependencies

* Mon Jun 24 2002 Piotr Eljasiak <epiotr@use.pl>
- more cleanup in install section

* Sat Jun 15 2002 Piotr Eljasiak <epiotr@use.pl>
- simplified install and files sections

* Mon Jun 10 2002 Piotr Eljasiak <epiotr@use.pl>
- .spec file is now generated from .spec.in

* Mon Jun 10 2002 Marcus Bjurman <marbj499@student.liu.se>
- The default icon for this project is now called gnome-commander.png
  The xpm variant of the same icon is now also renamed in the same manner.

* Sat Mar  9 2002 Marcus Bjurman <marbj499@student.liu.se>
- Pumped up the version nr

* Sun Nov  4 2001 Marcus Bjurman <marbj499@student.liu.se>
- Initial build.
