# Basic Information
Summary:	GNOME contacts list manager
Summary(ja):	GNOME 連絡先リストマネージャー
Name:		gnome-contacts
Version:	40.0
Release:	1%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	GPLv2
%global		shortver %(echo %{version} | cut -d . -f 1)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
# 以下に依存関係を記述してください。
BuildRequires:	meson
BuildRequires:	gtk3-devel
BuildRequires:	gnome-desktop3-devel
BuildRequires:	folks-devel
BuildRequires:	folks-vala
#folks-telepathy
BuildRequires:	libnotify-devel
BuildRequires:	evolution-data-server-vala
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	cheese-devel
BuildRequires:	libchamplain-devel
BuildRequires:	geocode-glib-devel >= 3.15.3
BuildRequires:	vala
BuildRequires:	libappstream-glib-devel
BuildRequires:	libgee-vala
BuildRequires:	libhandy-devel
BuildRequires:	libxslt
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
gnome-contacts is a contacts list manager of Google account.

%description -l ja
GNOME コンタクトは、Google アカウントの連絡先リストマネージャーです。


%debug_package


%prep
%setup -q

%build
%meson \
  -Dtelepathy=false
%meson_build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%meson_install

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc NEWS README*
%{_bindir}/gnome-contacts
%{_libexecdir}/gnome-contacts-search-provider
%{_datadir}/metainfo/org.gnome.Contacts.appdata.xml
%{_datadir}/applications/org.gnome.Contacts.desktop
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_mandir}/man1/gnome-contacts.1.gz
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Fri Apr 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Wed Aug 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.2-1
- new upstream release.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.2-1
- new upstream release.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add BuildRequires: libchamplain-devel, geocode-glib-devel

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- add BuildRequires: vala-tools

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: cheese-devel

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.5.2-1
- initial build for Vine Linux
