Summary:        GNOME font viewer
Summary(ja):    GNOME フォントビューアー
Name:           gnome-font-viewer
Version:        3.34.0
Release:        1%{?_dist_release}
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2+
URL:            http://www.gnome.org
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

# https://gitlab.gnome.org/GNOME/gnome-font-viewer/-/commit/9661683379806e2bad6a52ce6dde776a33f4f981
Patch1000:      CVE-2019-19308.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  meson
BuildRequires:  gtk3-devel
BuildRequires:  gnome-desktop3-devel
BuildRequires:  libappstream-glib-devel

Requires(postun,posttrans):	desktop-file-utils

%description
%{summary}


%prep
%setup -q


%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%postun
update-desktop-database -q &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc NEWS 
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Wed Aug 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.34.0-1
- new upstream release.

* Wed Mar 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.0-2
- imported Patch1000 to fix CVE-2019-19308 from upstream.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.0-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.2-1
- new upstream release

* Tue Nov 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-2
- rebuild with gnome-desktop3-3.18.1

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Thu Jan 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- initial build
