%define mono_dir %{_prefix}/lib/mono
%define monodoc_dir %{_prefix}/lib/monodoc

Name:           gnome-keyring-sharp
Version:        1.0.2
Release:        1%{?_dist_release}
Summary:        Mono implementation of GNOME Keyring
Summary(ja):	GNOME Keyring の Mono による実装

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.mono-project.com/Libraries#Gnome-KeyRing-Sharp

Source0:        https://github.com/mono/gnome-keyring-sharp/archive/%{name}-%{version}.tar.gz
Patch0:         gnome-keyring-sharp-libdir.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf automake
BuildRequires:  mono-devel monodoc
BuildRequires:	gtk-sharp2-devel
BuildRequires:	libgnome-keyring-devel

Packager:	kazutaka

%description
gnome-keyring-sharp is a fully managed implementation of libgnome-keyring.

When the gnome-keyring-daemon is running, you can use this to retrive/store
confidential information such as passwords, notes or network services user
information.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       monodoc

%description    doc
The %{name}-doc package contains documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1 -b .libdir


%build
./autogen.sh
%configure --disable-static --libdir=%{_prefix}/lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT pkgconfigdir=%{_libdir}/pkgconfig
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT%{_prefix}/lib/libgnome-keyring-sharp-glue.so \
   $RPM_BUILD_ROOT%{_libdir}/
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libgnome-keyring-sharp-glue.so
%{mono_dir}/gnome-keyring-sharp-1.0
%{mono_dir}/gac/Gnome.Keyring

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files doc
%defattr(-,root,root,-)
%{monodoc_dir}/sources/Gnome.Keyring.*


%changelog
* Tue Mar 31 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.2-1
- updated to 1.0.2
- added BR: gtk-sharp2-devel
- built with mono 3.12.1

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-6.115768svn
- rebuild with VineSeed environment

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 1.0.1-5.115768svn
- rebuilt with mono-2.8

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.0.1-4.115768svn
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jul 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.1-3.115768svn
- rebuild with latest rpm to update mono-dependencies

* Sat Jun 13 2009 Shu KONNO <owa@bg.wakwak.com> 1.0.1-2.115768svn
- added mono_dir, monodoc_dir macros
- added --libdir=%%{_prefix}/lib option to %%configure
- added pkgconfigdir=%%{_libdir}/pkgconfig option to make install

* Thu Jun 11 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.1-1.115768svn
- initial build for Vine Linux based on fedora development

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.115768svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.1-0.1.115768svn%{?dist}
- Update to r115768

* Mon Jul 14 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.0-0.2.87622svn%{?dist}
- Disable creation of -debuginfo subpackage

* Sun Jul  6 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.0-0.1.87622svn%{?dist}
- Initial package
