%define gtk3_version 3.24.1

Summary: A framework for managing user passwords and other secrets
Summary(ja): ユーザのパスワードや秘匿情報を管理するためのフレームワーク
Name: gnome-keyring
Version: 40.0
Release: 1%{?_dist_release}
Group: desktop-gnome,security
Vendor: Project Vine
Distribution: Vine Linux

License: GPL/LGPL
URL: http://www.gnome.org
%define shortver %(echo %{version} | cut -d. -f1)
Source0:https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
Patch2: %{name}-2.31.91-configure-vine.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: gtk3 >= %{gtk3_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: dbus-devel >= 1.0
BuildRequires: gettext
BuildRequires: libgcrypt-devel
BuildRequires: libtasn1-devel
BuildRequires: openssl-devel
BuildRequires: gcr-devel
BuildRequires: pam-devel
BuildRequires: libcap-ng-devel
BuildRequires: p11-kit-devel
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: autoconf, automake, libtool
BuildRequires: intltool
BuildRequires: perl(XML::Parser)
BuildRequires: openssh-clients

# remove mate-keyring package
Obsoletes: mate-keyring < 1.8.0
Obsoletes: mate-keyring-devel < 1.8.0
Obsoletes: mate-keyring-doc < 1.8.0

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.


%package pam
Summary: A pam module for unlocking keyrings at login time
License: LGPLv2+
Group: system
Requires: %{name} = %{version}-%{release}
# for /lib/security
Requires: pam

%description pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in 
and start the keyring daemon.


%debug_packcage


%prep
%setup -q -n gnome-keyring-%{version}
%patch2 -p1 -b .vine


%build
%configure \
	--with-gtk=3.0 \
	--disable-gtk-doc \
	--enable-pam \
	--with-pam-dir=/%{_lib}/security 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install install-pam DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/pam_gnome_keyring.so

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/pkcs11/*.la
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_bindir}/*
%dir %{_libdir}/gnome-keyring
%{_libdir}/gnome-keyring/devel/*.so
%{_libdir}/pkcs11/gnome-keyring-pkcs11.so
%{_datadir}/dbus-1/services/*
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/p11-kit
%dir %{_datadir}/p11-kit/modules
%{_datadir}/p11-kit/modules/gnome-keyring.module
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/gnome-keyring.portal
%{_mandir}/man1/gnome-keyring-3.1.gz
%{_mandir}/man1/gnome-keyring-daemon.1.gz
%{_mandir}/man1/gnome-keyring.1.gz

%files pam
%defattr(-, root, root)
/%{_lib}/security/*.so


%changelog
* Sat Apr 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.0-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.28.2-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.3-1
- new upstream release

* Sun Jun 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add Obsoletes: mate-keyring

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.15.92-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- remove BuildRequires: libcap-ng-devel

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Wed Feb 19 2014 NAKAMURA Kenta <kenta@vinelinux.org> 3.10.1-3
- rebuilt libtasn1-3.4 and libgcrypt-1.6

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- add BuildRequires: p11-kit-devel, libxslt, docbook-style-xsl

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- remove BuildRequires: p11-kit-devel
- add BuildRequires: gcr-devel
- remove devel sub package
- remove compat32 sub packages

* Wed Nov 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release
- remove Patch3

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- add BuildRequires: openssl-devel, p11-kit-devel, libcap-ng-devel
- add Patch3 (gnome-keyring-3.1.4-git20110729.patch)

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add configure option (--enable-pam)
- remove configure option (--disable-schemas-install)
- add Patch2 (%{name}-2.31.91-configure-vine.patch)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.30.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- remove BuildRequires: hal-devel

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: GConf2-devel

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.3-2
- added compat32 package for x86_64 arch support

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Tue Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- added BuildRequires: libtasn1-devel

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release
- added a pam subpackage

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.1-0vl1
- new upstream release

* Tue May 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.9-0vl1
- new upstream release

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.8-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.5-0vl1
- new upstream release

* Wed Sep 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl1
- new upstream release

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- new upstream version

* Sun Dec 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.0-0vl1
- new upstream release

* Sun Aug 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- initial build for Vine Linux based on fedora's spec file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 0.2.0-1
- update to 0.2.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.1.90-1
- update to 0.1.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.1.4-1
- update to 0.1.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- update to 0.1.3

* Mon Jan 26 2004 Bill Nottingham <notting@redhat.com>
- tweak summary

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-2
- devel package only needs glib2-devel, not gtk2-devel

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- First version
