Summary:	GNOME MultiWriter
Summary(ja):	GNOME 用マルチライター
Name:		gnome-multi-writer
Version:	3.20.0
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		https://wiki.gnome.org/Apps/MultiWriter

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	libgusb-devel >= 0.2.2
BuildRequires:	udisks2-devel
BuildRequires:	eudev-libgudev1-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	yelp-tools

Requires(postun,posttrans):	desktop-file-utils
Requires(postun,posttrans):	glib2

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
GNOME MultiWriter can be used to write an ISO file to multiple
USB devices at once. Supported drive sizes are between 1GB and 32GB.

%description -l ja
gnome-multi-writer は一度に複数の USB デバイスへ ISO ファイルを書き
込むことができます。


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-probe
%{_datadir}/appdata/org.gnome.MultiWriter.appdata.xml
%{_datadir}/applications/org.gnome.MultiWriter.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.MultiWriter.gschema.xml
%{_datadir}/icons/*/*/*/*
%{_datadir}/polkit-1/actions/org.gnome.MultiWriter.policy
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- initial build

