Summary:        Photo applications for GNOME
Summary(ja):    GNOME 用写真アプリケーション
Name:           gnome-photos
Version:        40.0
Release:        1%{?_dist_release}
Group:          desktop-gnome,graphics
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2+
URL:            https://wiki.gnome.org/Design/Apps/Photos
%define         shortver %(echo %{version} | cut -d . -f 1)
Source:         https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	gtk3-devel
BuildRequires:	libgdata-devel
BuildRequires:	babl-devel
BuildRequires:	exempi-devel
BuildRequires:	gegl04-devel
BuildRequires:	gnome-desktop3-devel
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	grilo-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libgexiv2-devel
BuildRequires:	lcms2-devel
BuildRequires:	libexif-devel
BuildRequires:	librsvg2-devel
BuildRequires:	tracker-devel
BuildRequires:	libgfbgraph-devel
BuildRequires:	desktop-file-utils
BuildRequires:	yelp-tools
BuildRequires:	libdazzle-devel
BuildRequires:	geocode-glib-devel
BuildRequires:	libappstream-glib-devel
BuildRequires:	libhandy-devel

Requires(postun,posttrans):	desktop-file-utils

%description
Photo application designed for GNOME 3 

%description -l ja
gnome-photos は GNOME3 向けに作られた写真アプリケーションです。


%debug_package


%prep
%setup -q


%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%find_lang %{name} --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README NEWS
%doc %{_pkgdocdir}/*
%{_bindir}/%{name}
%{_libdir}/*
%{_libexecdir}/*
%{_datadir}/metainfo/org.gnome.Photos.appdata.xml
%{_datadir}/applications/org.gnome.Photos.desktop
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Photos.search-provider.ini
%{_datadir}/icons/*/*/*/*


%changelog
* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.

* Wed Oct 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.1-2
- rebuilt with tracker-2.2.2.

* Mon Dec 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.1-1
- new upstream release.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.2-1
- new upstream release
- add BuildRequires: libjpeg-turbo-devel, gegl03-devel, libgexiv2-devel
- remove BuildRequires: gegl-devel

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-2
- fix typo in Group

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Sun Nov 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- add BuildRequires: libgdata-devel

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release
- add BuildRequires: yelp-tools

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: libgfbgraph-devel

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- initial build

