Summary:	GNOME search tool
Summary(ja):	GNOME 検索ツール
Name:		gnome-search-tool
Version:	3.6.0
Release:	3%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	libSM-devel
BuildRequires:	itstool
BuildRequires:	desktop-file-utils

Requires(postun,posttrans):	glib2
Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
gnome-search-tool is a utility for finding files on your system. To perform a
basic search, you can type a filename or a partial filename,
with or without wildcards. To refine your search, you can
apply additional search options.

%description -l ja
gnome-search-tool はシステム内のファイルを検索するユーティリティーです。
基本的な検索を行うには、ファイル名かファイル名の一部をワイルドカードあり
またはなしでタイプします。詳細検索を行うには、追加検索オプションを適用します。


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gobject-introspection-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor gnome --delete-original		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications			\
	--add-only-show-in GNOME								\
	--remove-not-show-in KDE								\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-search-tool.gschema.xml
%{_datadir}/pixmaps/gsearchtool/thumbnail_frame.png
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue Jun 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-3
- add BuildRequires: desktop-file-utils
- add OnlyShowIn=GNOME; to gnome-search-tool.desktop

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-2
- rebuild with VineSeed environment

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- initial build
