%bcond_with systemd

Summary:	Window management and application launching for GNOME
Summary(ja):	GNOME 上でウィンドウの管理及びアプリケーションの起動を行うインターフェース
Name:		gnome-shell
Version:	40.0
Release:	1%{?_dist_release}%{?with_systemd:.systemd}
Group:		desktop-gnome
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPLv2+
URL:		http://live.gnome.org/GnomeShell
%global		shortver %(echo %{version} | cut -d . -f 1)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

Requires: mutter
Requires: ca-certificates
Requires: at-spi2-atk
Requires: network-manager-applet
Requires: gnome-tweak-tool
Requires: xdg-desktop-portal-gtk

BuildRequires: meson
BuildRequires: pkgconfig
BuildRequires: python3
BuildRequires: sassc
BuildRequires: libxslt
BuildRequires: gnome-common
BuildRequires: at-spi2-atk-devel
BuildRequires: evolution-data-server-devel
BuildRequires: gcr-devel
BuildRequires: gtk4-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-devel
BuildRequires: gjs-devel
BuildRequires: libxml2-devel
BuildRequires: clutter-devel
BuildRequires: cogl-devel
BuildRequires: mutter-devel
BuildRequires: polkit-devel
BuildRequires: startup-notification-devel
BuildRequires: ibus-devel
BuildRequires: libX11-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gnome-desktop3-devel
BuildRequires: gnome-bluetooth-devel
BuildRequires: gstreamer1-devel
BuildRequires: NetworkManager-libnm-devel
BuildRequires: libsecret-devel
%if %{with systemd}
BuildRequires: systemd-devel
%endif
BuildRequires: pulseaudio-libs-devel
BuildRequires: gnome-autoar-devel
BuildRequires: json-glib-devel
BuildRequires: bash-completion
BuildRequires: asciidoc

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience.
It provides core interface functions like switching to windows and launching
applications. GNOME Shell takes advantage of the capabilities of modern graphics
hardware and introduces innovative user interface concepts to provide a delightful
and easy to use experience. 


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:		noarch

%description    docs
This package contains documentation for %{name}.


%debug_package


%prep
%setup -q


%build
export LANG=ja_JP.UTF-8
%meson \
%if !%{with systemd}
  -Dsystemd=false \
%endif
  -Dgtk_doc=true
%meson_build


%install
export LANG=ja_JP.UTF-8
%{__rm} -rf %{buildroot}
%meson_install

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post 
touch --no-create %{_datadir}/icons/hicolor

%postun
touch --no-create %{_datadir}/icons/hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README.md
%dir %{_sysconfdir}/xdg
%dir %{_sysconfdir}/xdg/autostart
%{_sysconfdir}/xdg/autostart/gnome-shell-overrides-migration.desktop
%{_bindir}/gnome-*
%{_libdir}/%{name}/*
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-overrides-migration.sh
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-portal-helper
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/glib-2.0/schemas/00_org.gnome.shell.gschema.override
%{_datadir}/%{name}/*
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-system.xml
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/gnome-shell.portal
%{_mandir}/man1/*.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/gnome-extensions
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/icons/hicolor/symbolic/apps/*
%{_datadir}/metainfo/*
%if %{with systemd}
%{_userunitdir}/*
%endif

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/shell
%{_datadir}/gtk-doc/html/st


%changelog
* Fri Aug 14 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.5-1
- new upstream release.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.4-1
- new upstream release.

* Fri Jan 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.2-1
- new upstream release.
- dropped Patch102: session tracker was switched to elogind.
- added Patch105.

* Fri Jan 26 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.20.4-1
- new upstream release.

* Sun Jul 31 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.3-2
- new upstream release
- add Patch104 (gnome-shell-3.20.3-vine-themes.patch)

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.3-1
- new upstream release
- update Patch104 (gnome-shell-3.20.0-vine-themes.patch)

* Fri Nov 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.3-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Thu Nov 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release
- update Patch104 (gnome-shell-3.18.1-vine-themes.patch)

* Sun Jul 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sun Jun 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-3
- add Patch104 (gnome-shell-3.16.2-vine-themes.patch)

* Sun May 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-2
- add Patch103 (gnome-shell-3.16.2-disable-packagekit.patch)

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Thu Apr 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- add BuildRequires: python3-devel
- update Patch102 (gnome-shell-3.16.0-revert-loginManager.patch)

* Tue Feb 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.14.3-2
- rebuilt with libical 1.0.1

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.3-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Sat Nov 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1.5-1
- new upstream release
- update Patch101 (gnome-shell-3.14.1-vine-settings.patch)
- add Patch102 (gnome-shell-3.14.1.5-revert-loginManager.patch)

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.3-1
- new upstream release

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Mon Apr 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- update Patch101 (gnome-shell-vine-settings.patch)
- add BuildRequires: control-center-devel, libnm-gtk-devel, caribou-devel
- add Requires: telepathy-logger, network-manager-applet, gnome-tweak-tool
- create %%{name}-docs subpackage

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3.1-1
- new upstream release
- remove Source102 (gnome-shell.gnome-3-6.ja.po)

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release
- add Source102 (gnome-shell.gnome-3-6.ja.po)

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release
- remove Patch0 (gnome-shell-3.4.1-git20121031.patch)

* Thu Nov 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-2
- rebuild with telepathy-logger-0.6.0
- add Patch0 (gnome-shell-3.4.1-git20121031.patch)

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add Patch0 (gnome-shell-3.5.92-git20120921.patch)
- update Patch101 (gnome-shell-vine-settings.patch)
- change BuildRequires: ca-certificates instead of openssl
- add BuildRequires: libcanberra-gtl3-devel

* Sun Jul 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release
- remove Patch103 (gnome-shell-ja.po-date.patch)

* Sat Apr 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- update Patch101,103
- remove Patch0,102
- add BuildRequires: gcr-devel
- remove BuildRequires: GConf2-devel
- add Requires: at-spi2-atk

* Sat Jan 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2.1-1
- new upstream release
- remove Patch1

* Sun Nov 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-2
- add Patch0 (gnome-shell-3.2.1-shell_parse_argv.patch)
- add Patch1 (gnome-shell-3.2.1-ja.po.patch)
- rename Patch103 (gnome-shell-ja.po-date.patch)
- drop Patch102

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- update Patch101
- update Patch102
- update Patch103 (gnome-shell-3.1.91.1-ja.po.patch)
- add BuildRequires: libgudev1-devel, openssl

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90.1-1
- new upstream release
- add BuildRequires: folks-devel, NetworkManager-glib-devel
- add Requires: caribou
- remove Patch0
- update Patch101
- update Patch102
- update Patch103 (gnome-shell-3.1.90.1-ja.po.patch)

* Mon Aug 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-2
- rebuild with gnome-menus-3.1.5
- add Patch0 (gnome-shell-git20110821.patch)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- add BuildRequires: telepathy-logger-devel, polkit-devel, pulseaudio-libs-devel, evolution-data-server-devel
- change BuildRequires: gnome-desktop3-devel instead of gnome-desktop-devel
- remove BuildRequires: xulrunner-devel
- add Patch101 (gnome-shell-vine-settings.patch)
- add Patch102 (gnome-shell-vine-customize.patch)
- add Patch103 (gnome-shell-3.1.4-ja.po.patch)

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.1-2
- add Requires: mutter

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.1-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- initial build for Vine Linux

