Name:			gnome-sudoku
Summary:		GNOME Sudoku
Summary(ja):	GNOME 数独
Version:		3.30.0
Release:		1%{?_dist_release}
License:		GPLv2
Group:			Applications/Games
URL:			https://live.gnome.org/
%global			shortver %(echo "%{version}" | sed -e 's/\.[0-9]*$//')
Source:			https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
Source1:		https://raw.githubusercontent.com/GNOME/gnome-sudoku/master/po/ja.po

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	libgee-vala
BuildRequires:	libappstream-glib-devel
BuildRequires:	gtk3-devel
BuildRequires:	libgee-devel
BuildRequires:	json-glib-devel
BuildRequires:	qqwing-devel
BuildRequires:	yelp-tools

Requires(postun,posttrans): desktop-file-utils
Requires(postun,posttrans): gtk3
Requires:		qqwing

Vendor:			Project Vine
Distribution:	Vine Linux

%description
Gnome Sudoku is a logic game with a Japanese name that has recently exploded
in popularity.


%prep
%setup -q
cp -f %{SOURCE1} po/

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch %{_datadir}/icons/hicolor
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database -q > /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q > /dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%license COPYING
%doc  NEWS
%{_bindir}/%{name}
%{_datadir}/metainfo/gnome-sudoku.appdata.xml
%{_datadir}/applications/gnome-sudoku.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.sudoku.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man6/%{name}.6.gz


%changelog
* Mon Sep 09 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.0-1
- new upstream release.
- imported newest ja.po from upstream.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.4-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release
- add BuildRequires: libgee-devel, json-glib-devel, qqwing-devel
- remove Requires: pygobject3-devel, python3-pygobject
- remove Requires: python3-pygobject, python3-pycairo

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: python3-pygobject
- add Requires: python3-pygobject, python3-pycairo

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- initial build
- add Patch0 (0001-Fix-NumberBox-envents-configuration-with-latest-pygo.patch) from fedora

