Summary:	Graphical interface for advanced GNOME 3 settings
Summary(ja):	GNOME3の上級設定を行うためのグラフィカルインターフェイス
Name:		gnome-tweaks
Version:	40.0
Release:	1%{?_dist_release}
Group:		desktop-gnome,accesories
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPLv3
URL:		http://live.gnome.org/GnomeTweakTool
%global		shortver %(echo %{version} | cut -d . -f 1)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  meson
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  pygobject3-devel
BuildRequires:  python3-pygobject
BuildRequires:  libappstream-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-common

Requires:       gnome-desktop3
Requires:       gnome-settings-daemon
Requires:       gnome-shell
Requires:       gobject-introspection
Requires:       gsettings-desktop-schemas
Requires:       gtk3
Requires:       libnotify
Requires:       libsoup
Requires:       mutter
Requires:       pango
Requires:       python3-pygobject

Obsoletes:	gnome-tweak-tool < 3.27
Provides:	gnome-tweak-tool = %{version}-%{release}

%description
GNOME Tweaks is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch gtk/icon/cursor themes
* Switch window manager themes
* Change:
        * The user-interface and titlebar fonts
        * Icons in menus and buttons
        * Behavior on laptop lid close
        * Shell font size
        * File manager desktop icons
        * Titlebar click action
        * Shell clock to show date
        * Font hinting and antialiasing 


%prep
%setup -q

perl -pi -e 's/Adwaita/Vine/g' gnome-tweaks-3.30.2/gtweak/tweaks/tweak_group_appearance.py


%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

perl -pi -e 's/OnlyShowIn=GNOME;Unity;Pantheon;/OnlyShowIn=GNOME;/' $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name}


%files -f %{name}.lang
%license LICENSES/*
%doc AUTHORS NEWS README*
%{_bindir}/%{name}
%{python3_sitelib}/gtweak
%{_libexecdir}/gnome-tweak-tool-lid-inhibitor
%{_datadir}/glib-2.0/schemas/org.gnome.tweaks.gschema.xml
%{_datadir}/metainfo/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Fri Apr 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.34.0-2
- rebuilt with python-3.8.

* Wed Aug 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.34.0-1
- new upstream release.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.2-1
- new upstream release.
- dropped Patch101: get same effects by another way.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- update Patch101 (gnome-tweak-tool-3.16.0-vine-customize.patch)

* Sat Nov 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-2
- add Group tag

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- update Patch101 (gnome-tweak-tool-3.14.0-vine-customize.patch)

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- update Patch101 (gnome-tweak-tool-3.12.0-vine-customize.patch)

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release
- update Patch101
- add BuildRequires: gtk3-devel
- remove BuildRequires: GConf2

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Mon Apr 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release
- update Patch101
- add BuildRequires: autoconf, gnome-common

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Thu Oct 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- update Patch101

* Tue Oct 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.5-1
- new upstream release
- update Patch101

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0.1-1
- new upstream release

* Tue Apr 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.4-1
- new upstream release
- update Patch101

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-2
- rebuild with python-2.7.2

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Mon Nov 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release
- change BuildRequires: pygobject3-devel instead of pygojbect-devel
- update Patch101

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.0-1
- new upstream release
- update Patch101

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.5-1
- initial build for Vine Linux


* Tue Jul 19 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-2
- Depend on nautilus (# 722541)

* Thu Jun 30 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-1
- Update to 3.0.5
- upstream news:
  http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.5.news
  * autostart fixes
  * appearance improvements
  * focus follow mouse mode
  * finer-grained desktop item visibility
  * streamlined shell restart offer when enabling extensions

* Mon Jun 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4
- Dropped redundant commented out lines in spec
- Updated description
- Dropped defattr since it is set by default in recent RPM
- http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.4.news
  * Enables support for system wide themes
  * Supports management of shell extensions 

* Wed May  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
