%define		pkgname	org.gnome.Weather.Application

Summary:	Weather application for GNOME
Summary(ja):	GNOME 用天気アプリケーション
Name:		gnome-weather
Version:	3.20.1
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		https://live.gnome.org/Design/Apps/Weather

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	gjs-devel
BuildRequires:	libgweather-devel >= 3.9.5
BuildRequires:	geoclue2-devel

Requires(postun,posttrans):	desktop-file-utils

Obsoletes:	%{name}-devel < 3.14.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is a small application that allows you to monitor the current
weather conditions for your city, or anywhere in the world, and to
access updated forecasts provided by various internet services.

%description -l ja
gnome-weather は世界各地の現在の天候を表示し、様々なインターネット
サービスで提供された天気予報にアクセスするための小さなアプリケーションです。


%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang org.gnome.Weather

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi

%posttrans
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :


%files -f org.gnome.Weather.lang
%defattr(-,root,root,-)
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/appdata/%{pkgname}.appdata.xml
%{_datadir}/applications/%{pkgname}.desktop
%{_datadir}/dbus-1/services/%{pkgname}.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/%{pkgname}.gschema.xml
%{_datadir}/gnome-shell/search-providers/%{pkgname}.search-provider.ini
%{_datadir}/icons/*/*/*/*
%{_datadir}/org.gnome.Weather


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release
- add BuildRequires: geoclue2-devel

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-2
- fix typo in Group

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release
- remove %%{name}-devel subpackage

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- add BuildRequires: libgweather-devel

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- initial build
