Name: gnomebaker
Version: 0.6.4
Release: 10%{?_dist_release}
Summary: CD/DVD burning application for Gnome
Summary(ja): GNOME デスクトップのための CD/DVD 作成アプリケーション

Group: Applications/Multimedia
License: GPLv3
URL: http://sourceforge.net/projects/%{name}/
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: gnomebaker_ja.po

Patch0: 01_fix_get_msinfo.patch
Patch1: 02_change_homepage_uri.patch
Patch2: gnomebaker-0.6.4-mimetype.patch
# from http://sourceforge.net/tracker/?func=detail&aid=2695023&group_id=127397&atid=708501
Patch3: devices.c.566.patch
Patch4: gnomebaker-0.6.4-nograce.patch
Patch5: gnomebaker-0.6.4-seldata.patch

Patch6: gnomebaker-libm.patch
Patch7: gnomebaker_0.6.4_04_blu_ray.dpatch
Patch8: gnomebaker-0.6.4-ldadd.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libgnomeui-devel >= 2.10.0
BuildRequires: libglade2-devel
BuildRequires: gstreamer-devel
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils
BuildRequires: perl-XML-Parser
BuildRequires: intltool
BuildRequires: libSM-devel

Requires: dvd+rw-tools
Requires: cdrtools-cdrecord
Requires: cdrtools-mkisofs
Requires: cdrtools-cdda2wav
Requires: gstreamer-plugins >= 0.10
Requires: gstreamer-plugins-base >= 0.10
Requires: gstreamer-plugins-good >= 0.10

Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
GnomeBaker is a CD/DVD burning application for the Gnome desktop.

%description -l ja
GnomeBaker は GNOME デスクトップのための CD/DVD 作成アプリケーションです。

%prep
%setup -q
chmod 644 AUTHORS TODO
%__cp -f %{SOURCE1} po/ja.po

%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .mimetype
%patch3 -p1
%patch4 -p1 -b .nograce
%patch5 -p1 -b .seldata
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove duplicate docs.
rm -rf $RPM_BUILD_ROOT/usr/doc/%{name}/

#menu
desktop-file-install --vendor vine \
       --delete-original \
       --add-category "GTK;" \
       --add-category "Application;" \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/*

%changelog
* Sat Feb 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-10
- rebuilt with new toolchain

* Fri Jun 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-9
- updated Source1
- improved action in desktop-file-install

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-8
- added Pacth6,7,8
  - Patch6,7 from upstream tracker
  - Patch8 from Fedora
- deleted category on desktopfile

* Thu Jan 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-7
- updated Source1
- added Patch4,5 from Fedora development
- run gtk-update-icon-cache in %post, %postun

* Fri Sep 25 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-6
- fixed using multibyte character in changelog (Thu Sep 24 2009)
- updated Source1
- added Patch3 from gnomebaker tracker

* Thu Sep 24 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-5
- added Patch0,1,2 (0/1:from Debian, 2:from Fedora)

* Tue Jul 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-4
- updated Source1
- cleaned up spec
- added BuildRequires: libSM-devel
- added update-desktop-database %{_datadir}/applications in %post, %postun

* Sun Jun 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-3
- added Source1 to replace orginal ja.po

* Sun May 10 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-2
- added Summary(ja)
- changed License to GPLv3
- changed URL
- added BuildRequires: perl-XML-Parser, intltool
- fixed PreReq to Requires
- added Requires: gstreamer-plugins-base, gstreamer-plugins-good
- spec in UTF-8

* Fri Apr 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-1
- initial build for VineSeed

* Tue Mar  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-4
- Rebuild for FC5.
- Add requires for gstreamer08-plugins.

* Sat Feb 11 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-3
- Rebuild.

* Mon Feb  6 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-2
- Bump release.

* Sat Feb  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-1
- Drop aclocal & autoconf calls.
- Change gstreamer-devel to gstreamer08-devel for FC5.
- Add dist tag.
- Correct permissions on AUTHORS & TODO.
- Drop help & desktop patchs.
- Update 0.5.1.

* Wed Oct 19 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-3
- Edit configure.in to use RPM_OPT_FLAGS. (Thanks to Adrian Reber)

* Mon Oct 17 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-2
- Rebuild config. & make files w/ aclocal & autconf, so builds on FC5.

* Sun Oct 16 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec file.

