Summary:        Set of document centric objects and utilities for glib/gtk
Name:           goffice
Version:        0.10.50
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL
URL:            http://www.gnome.org
%global         shortver %(echo %{version} | cut -d . -f 1,2)
Source:         https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  libxml2-devel >= 2.4.12
BuildRequires:  libgsf-devel >= 1.14.9
BuildRequires:  librsvg2-devel >= 2.22.0
BuildRequires:  libxslt-devel

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package devel
Summary: Development files of the Goffice library.
Group: programming
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
Development files of the Goffice library.


%debug_package


%prep
%setup -q


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%ldconfig_scriptlets


%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%license COPYING*
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%{_libdir}/lib*.so.*
%{_libdir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/goffice-0.10


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.50-1
- new upstream release.

* Mon Mar 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.48-1
- new upstream release.

* Sat May 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.46-1
- new upstream release.

* Tue Jan 29 2019 Toshiaki Ara <ara_t@384.jp> 0.10.44-1
- new upstream release

* Wed Jun 06 2018 Toshiaki Ara <ara_t@384.jp> 0.10.41-1
- new upstream release

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-1
- new upstream release

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.25-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.24-1
- new upstream release

* Fri Jul 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.23-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.22-2
- remove *.la files

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.22-1
- new upstream release

* Sun Mar 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.21-1
- new upstream release

* Sun Feb 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.20-1
- new upstream release

* Wed Jan 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.19-1
- new upstream release

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.18-1
- new upstream release

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.17-1
- new upstream release

* Sat Jun 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.16-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.15-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.14-1
- new upstream release
- add BuildRequires: libxslt-devel

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.9-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.8-1
- new upstream release

* Fri Sep 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.7-1
- new upstream release

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.6-1
- new upstream release

* Tue Aug 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.5-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.4-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.2-1
- new upstream release

* Sun Mar 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.1-1
- new upstream release

* Tue Jan 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- new upstream release

* Mon Jul 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- new upstream release

* Wed Aug 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.17-1
- new upstream release

* Sat Apr 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.14-1
- new upstream release

* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.13-1
- new upstream release

* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.12-1
- new upstream release

* Sat Oct 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.11-1
- new upstream release

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.10-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Sep 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.10-1
- new upstream release

* Mon Aug 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.9-1
- new upstream release

* Sun Aug 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.8-1
- new upstream release
- drop Patch0

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.7-1
- new upstream release

* Wed Jun 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.6-1
- new upstream release

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release

* Sun Jul 26 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.6.6-1
- new upstream release

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.5-1
- new upstream release

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.2-1vl5
- new upstream release
- removed lib*.la from devel package 

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.2-0vl1
- new upstream release
- rebuilt with libgsf-1.14.8

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.4.3-0vl1
- new upstream release

* Sun Dec 02 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.2.2-0vl1
- new upstream release

* Sat Jun 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.1-0vl2
- rebuild

* Thu May  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-0vl1
- new upstream release
- updated ja.po (%SOURCE1)

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-0vl1
- new upstream release
- rebuilt with libgsf-1.14.0
- updated ja.po (%SOURCE1)

* Fri Nov 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl2
- updated ja.po %{SOURCE1}

* Thu Nov 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl1
- rebuild for Vine Linux
- updated ja.po %{SOURCE1}

* Thu Sep 08 2005 Gotz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Fri Sep  2 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Tue Aug 16 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Wed May 18 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Tue May 10 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package
