Summary:	A GObject to SQLite object mapper
Name:		gom
Version:	0.4
Release:	2%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Gom
%global		shortver %(echo %{version} | cut -d. -f1-2)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gobject-introspection-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  sqlite3-devel
BuildRequires:  python3-pygobject
BuildRequires:  python3-rpm-macros
BuildRequires:  gtk-doc

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex
queries upon that data. 


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q


%build
%meson \
%ifnarch %{ix86}
  -Denable-gtk-doc=true
%else
  -Denable-gtk-doc=false
%endif
%meson_build


%install
rm -rf ${RPM_BUILD_ROOT}
%meson_install


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc README NEWS
%{_libdir}/libgom-1.0.so.*
%{_libdir}/girepository-1.0/Gom-1.0.typelib
%dir %{python3_sitearch}/gi
%dir %{python3_sitearch}/gi/overrides
%{python3_sitearch}/gi/overrides/Gom.py

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libgom-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Gom-1.0.gir

%ifnarch %{ix86}
%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}
%endif

%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4-2
- rebuilt with python-3.8.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.3-1
- new upstream release.

* Wed Jul 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- initial build

