%define pkg_version 3.3.3
%define pkg_release 1%{?_dist_release}

Summary:	A Compact Disk Player and Ripper for GNOME
Summary(ja):	GNOME 向け CD プレイヤ・リッパー
Name:		goobox
Version:	%{pkg_version}
Release:	%{pkg_release}

Source0:	http://download.gnome.org/sources/%{name}/3.3/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		Applications/Multimedia
URL:		http://people.gnome.org/~paobac/goobox/  

Requires(posttrans,postun):	glib2
Requires(posttrans,postun):	desktop-file-utils

BuildRequires:	gtk3-devel 
BuildRequires:	GConf2-devel 
BuildRequires:	gstreamer1-devel
BuildRequires:	libmusicbrainz5-devel
BuildRequires:	libdiscid-devel
BuildRequires:	brasero-devel
BuildRequires:	libnotify-devel
BuildRequires:	libSM-devel
BuildRequires:	itstool

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Goobox is a CD player and ripper well integrated with the GNOME environment.

%description -l ja
Goobox は GNOME 環境で統合された CD プレイヤ・リッパーです。


%prep
%setup -q
sed -i "s|LDFLAGS = @LDFLAGS@|LDFLAGS = @LDFLAGS@ -lm|" Makefile.in
sed -i "s|LDFLAGS = @LDFLAGS@|LDFLAGS = @LDFLAGS@ -lm|" src/Makefile.in

%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/goobox
%{_datadir}/GConf/gsettings/goobox.convert
%{_datadir}/appdata/goobox.appdata.xml
%{_datadir}/applications/goobox.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Goobox.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png


%changelog
* Sun Apr 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.3-1
- new upstream release
- remove Patch0
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: libmusicbrainz5-devel instead of libmusicbrainz3-devel
- add BuildRequires: itstool

* Thu Oct 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- initial build for Vine Linux

