Summary:        A new canvas widget for GTK+ that uses cairo for drawing
Summary(ja):    Cairo を用いた GTK+ 用の新しいキャンバスウィジェット

Name:           goocanvas015
Version:        0.15
Release:        2%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/GooCanvas

Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/0.14/goocanvas/goocanvas-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  pkgconfig, gettext, gtk2-devel
BuildRequires:  cairo-devel >= 1.4.0

Vendor: Project Vine
Distribution: Vine Linux

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

%prep
%setup -q -n goocanvas-%{version}

# demo application does not compile properly
sed -i -e 's/ demo / /g' Makefile.am
sed -i -e 's/ demo / /g' Makefile.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove static libraries and libtool droppings
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgoocanvas.{a,la}

%find_lang goocanvas

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f goocanvas.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgoocanvas.so.*

%package devel
Group:          Development/Libraries
Summary:        A new canvas widget for GTK+ that uses cairo for drawing
Summary(ja):    Cairo を用いた GTK+ 用の新しいキャンバスウィジェット
Requires:       %{name} = %{version}-%{release} pkgconfig

%description devel
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

These are the files used for development.

%files devel
%defattr(-,root,root,-)
%{_includedir}/goocanvas-1.0
%{_libdir}/libgoocanvas.so
%{_libdir}/pkgconfig/goocanvas.pc
%{_datadir}/gtk-doc/html/goocanvas


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15-2
- rename package (goocanvas015)

* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-1
- updated to 0.15
- built with rpm-4.8.1 for pkg-config

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.14-1
- initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Denis <denis@poolshark.org> - 0.14-1
- Update to upstream 0.14

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Denis Leroy <denis@poolshark.org> - 0.13-1
- Update to upstream 0.13
- Updated URLs to gnome.org

* Tue Sep 30 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.10-2
- demo application does not build; remove it

* Sun Jun 29 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.10-1
- v 0.10

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-4
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9-3
- don't explicitely require gtk2; no special versioning needed since FC6+

* Sun Aug 26 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9-2
- require gtk2 not gtk2-devel (bz #254239)

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9-1
- 0.9
- update license tag to LGPLv2+

* Sat May 05 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.6-2
- bump for incorrect tag in buildsys

* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.6-1
- initial release
