%define ver 0.1

Summary: A C++ wrapper for goocanvas
Summary(ja): goocanvas の C++ ラッパー
Name: goocanvasmm
Version: 1.90.9
Release: 1%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: http://live.gnome.org/GooCanvas

Source: ftp://ftp.gnome.org/pub/GNOME/sources/goocanvasmm/1.90/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	goocanvas-devel >= 2.0.1
BuildRequires:	glibmm-devel >= 2.14.2
BuildRequires:	gtkmm3-devel >= 2.91.3
BuildRequires:	cairomm-devel
Requires:	goocanvas >= 2.0.1
Requires:	glibmm >= 2.14.2
Requires:	gtkmm3 >= 2.91.3

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Goocanvasmm is a C++ wrapper for goocanvas.


%package	devel
Summary: 	Development tools for goocanvasmm applications.
Summary(ja): 	goocanvasmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	goocanvas-devel >= 2.0.1
Requires:	glibmm-devel >= 2.14.2
Requires:	gtkmm3-devel >= 2.91.3

%description devel
Header files and libraries for building a extension library for the goocanvasmm.

%prep
%setup -q 

%build
%configure \
    --disable-static \
    --disable-documentation 
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-*
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Sep 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.90.9-1
- update to 0.90.9
- change BuildRequires: gtkmm3-devel instead of gtkmm2-devel

* Tue Dec 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15.4-1
- new upstream release
- add BuildRequires: cairomm-devel

* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15.3-1
- new upstream release
- built with rpm-4.8.1 for pkg-config
- added --disable-documentation to %%configure

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.0-1
- initial build for Vine Linux

