%define _unpackaged_files_terminate_build 1

Name:           grilo-plugins
Summary:        A collection of plugins for the Grilo framework
Summary(ja):    Grilo フレームワーク用のプラグイン集
Version:        0.3.13
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2
URL:            https://live.gnome.org/Grilo
%define         major_minor %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{major_minor}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  meson
BuildRequires:  grilo-devel >= 0.3
BuildRequires:  libdmapsharing-devel >= 2.9.12
BuildRequires:  avahi-gobject-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libgdata-devel
BuildRequires:  libsoup-devel
BuildRequires:  libgdata-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  json-glib-devel
BuildRequires:  rest-devel
BuildRequires:  totem-pl-parser-devel >= 3.4.1
BuildRequires:  gmime-devel
BuildRequires:  tracker-devel
BuildRequires:  libmediaart-devel
BuildRequires:  gom-devel
BuildRequires:  liboauth-devel
BuildRequires:  libxml2-devel
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  yelp-tools

%description
%{summary}


%debug_package


%prep
%setup -q


%build
%meson \
 -Denable-lua-factory=no
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install
rm -f $RPM_BUILD_ROOT%{_datadir}/help/*/examples/example-tmdb.c

%find_lang %{name} --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/pkgconfig/grilo-plugins-%{major_minor}.pc
%{_libdir}/grilo-%{major_minor}/*.so*


%changelog
* Sat Apr 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.13-1
- new upstream release.

* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.12-1
- new upstream release.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.11-1
- new upstream release.

* Sun Sep 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.9-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.8-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.2-1
- new upstream release

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.17-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.16-1
- new upstream release

* Wed Jul 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-2
- add BuildRequires: gom-devel

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.13-2
- rebuild with libgdata-0.16.0

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.13-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.12-1
- new upstream release
- add BuildRequires: yelp-tools, avahi-gobject-devel, libmediaart-devel
- remove BuildRequires: libquvi-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.9-2
- rebuild with VineSeed environment

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.9-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.8-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build
