%define ver 0.3
%define _unpackaged_files_terminate_build 1

Summary:        Framework for multimedia developers
Summary(ja):    マルチメディア開発者用のフレームワーク
Name:           grilo
Version:        0.3.13
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2
URL:            https://live.gnome.org/Grilo
%define major_minor %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{major_minor}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  meson
BuildRequires:  glib2-devel >= 2.29.10
BuildRequires:  gtk3-devel
BuildRequires:  libsoup-devel 
BuildRequires:  libxml2-devel 
BuildRequires:  gobject-introspection-devel 
BuildRequires:  python3-devel
BuildRequires:  totem-pl-parser-devel >= 3.4.1
BuildRequires:  vala

%description
Grilo is a framework for browsing and searching media content from various
sources using a single API.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%debug_package


%prep
%setup -q


%build
%meson -Denable-gtk-doc=false
%meson_build


%check


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/grl-inspect-%{ver}
%{_bindir}/grl-launch-%{ver}
%{_bindir}/grilo-test-ui-%{ver}
%{_libdir}/libgrilo-%{ver}.so.*
%{_libdir}/libgrlnet-%{ver}.so.*
%{_libdir}/libgrlpls-%{ver}.so.*
%{_libdir}/girepository-1.0/Grl-%{ver}.typelib
%{_libdir}/girepository-1.0/GrlNet-%{ver}.typelib
%{_libdir}/girepository-1.0/GrlPls-%{ver}.typelib
%{_mandir}/man1/grilo-test-ui-%{ver}.1.gz
%{_mandir}/man1/grl-inspect-%{ver}.1.gz
%{_mandir}/man1/grl-launch-%{ver}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{ver}
%{_libdir}/libgrilo-%{ver}.so
%{_libdir}/libgrlnet-%{ver}.so
%{_libdir}/libgrlpls-%{ver}.so
%{_libdir}/pkgconfig/%{name}-%{ver}.pc
%{_libdir}/pkgconfig/%{name}-net-%{ver}.pc
%{_libdir}/pkgconfig/%{name}-pls-%{ver}.pc
%{_datadir}/gir-1.0/Grl-%{ver}.gir
%{_datadir}/gir-1.0/GrlNet-%{ver}.gir
%{_datadir}/gir-1.0/GrlPls-%{ver}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/grilo-0.3.deps
%{_datadir}/vala/vapi/grilo-0.3.vapi
%{_datadir}/vala/vapi/grilo-net-0.3.deps
%{_datadir}/vala/vapi/grilo-net-0.3.vapi


%changelog
* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.13-1
- new upstream release.
- dropped ldconfig scriptlets.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.12-1
- new upstream release.

* Sun Sep 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.9-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.7-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- new upstream release

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.15-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.12-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.11-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.10-1
- new upstream release
- add BuildRequires: liboauth-devel, totem-pl-parser-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.6-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- add BuildRequires: gtk3-devel, libsoup-devel

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- new upstream release

* Mon Sep 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build
