Name:           grsync
Version:        1.2.6
Release:        1%{?_dist_release}
Summary:        A Gtk+ GUI for rsync
Summary(ja):    rsync の Gtk+ GUI

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.opbyte.it/grsync/
Source0:        http://www.opbyte.it/release/%{name}-%{version}.tar.gz
Patch0:         grsync-1.2.2-dsofix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  desktop-file-utils gettext-devel perl-XML-Parser
BuildRequires:  intltool pkgconfig

Requires:  gtk2 rsync

%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline 
directory synchronization tool. It makes use of the GTK libraries and 
is released under the GPL license, so it is opensource. It is in beta 
stage and doesn't support all of rsync features, but can be effectively 
used to synchronize local directories. For example some people use 
grsync to synchronize their music collection with removable devices or 
to backup personal files to a networked drive. 

%description -l ja
Grsync は コマンドラインのディレクトリ同期ツールである rsync の
GUI（グラフィカルユーザインタフェース）です。
GTK ライブラリを利用して作成しており、GPL ライセンスの下で
リリースされているので、オープンソースです。
ベータ版の段階なので rsync の機能のすべてをサポートはしていませんが、
ローカルディレクトリを同期するために効果的に使用できます。
たとえば、リムーバブルデバイスに自分の音楽コレクションを同期させたり、
個人のファイルをネットワークドライブにバックアップするために
grsync を使います。


%prep
%setup -q
%patch0 -p1

# some minor corrections for rpmlint
%{__sed} -i 's/\r//' README AUTHORS NEWS

%build
%configure --disable-unity

make %{?_smp_mflags}
%{__sed} -i 's/Icon=grsync.png/Icon=grsync/g' %{name}.desktop

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install                                             \
        --add-category=GTK                                       \
        --dir=%{buildroot}%{_datadir}/applications/              \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/grsync*
%{_mandir}/man1/grsync*.1.gz
%{_datadir}/applications/grsync.desktop
%{_datadir}/grsync/
%{_datadir}/icons/
%{_datadir}/mime/
%{_datadir}/pixmaps/



%changelog
* Tue May 03 2016 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.6-1
- new upstream release

* Sat Apr 26 2014 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.4-2
- rebuilt with new toolchain

* Sun Jul 14 2013 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.4-1
- new upstream release

* Fri Mar 01 2013 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.3-1
- new upstream release
- replaced Patch0 from Fedora development

* Mon Jan 16 2012 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.1-1
- new upstream release
- added patch0 from Fedora development to fix dso linking
- added configure option --disable-unity

* Sun Jul 31 2011 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.2.0-1
- new upstream release
- fixed desktop file error

* Tue May 11 2010 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.1.1-1
- new upstream release

* Tue May 4 2010 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.1.0-1
- new upstream release
- added %{_datadir}/icons/, %{_datadir}/mime/ in %files section

* Sat Feb 6 2010 Toshihahru Kudoh <toshi.kd2@gmail.com> - 1.0.0-1
- new upstream release

* Thu Dec 3 2009 Toshihahru Kudoh <toshi.kd2@gmail.com> - 0.9.3-2
- fixed changelog typo
- probed Japanese description

* Wed Dec 2 2009 Toshihahru Kudoh <toshi.kd2@gmail.com> - 0.9.3-1
- new upstream release
- added BuildRequires:  pkgconfig
- changed BuildRequires:  gtk2-devel >= 2.16.0

* Wed Oct 14 2009 Toshihahru Kudoh <toshi.kd2@gmail.com> - 0.9.2-1
- initial build for VineSeed

* Mon Oct 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.2-1
- new upstream release (fixes #524169)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.1-1
- new upstream release

* Sun Jun 14 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.0-1
- new upstream release

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.3-2
- BR: intltool

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.3-1
- new upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.2-1
- new upstream release
- drop grsync-0.6.1-fix-crash-when-adding-new-sessions.patch

* Fri Feb 08 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.1-2
- workaround crash when adding new sessions (#385051)

* Wed Nov 28 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.1-1
- New upstream version: 0.6.1

* Thu Sep 13 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6-1
- New upstream version: 0.6
- Change license to GPLv2

* Tue May 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.2-2
- BR: perl(XML::Parser)

* Tue Jan 23 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.2-1
- New upstream version: 0.5.2

* Fri Dec 01 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-2
- BR: gettext

* Sat Nov 11 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-1
- New upstream version: 0.5

* Fri May 05 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.4.1-1
- Initial Spec Release
