# Basic Information
Summary:	A collection of GSettings schemas
Summary(ja):	GSettingsスキーマのコレクション
Name:		gsettings-desktop-schemas
Group:		desktop-gnome
Version:	40.0
Release:	1%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPLv2
URL:		https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
%global		shortver %(echo %{version} | cut -d . -f 1)
Source:		https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

# settings for Vine
Patch101:	gsettings-desktop-schemas-3.36.1-vine-settings.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel

%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.

%description -l ja
gsettings-desktop-schemasは、デスクトップのさまざまな部品によって共有される
GSettingsスキーマのコレクションを含んでいます。


%package devel
Summary:        Development tools for gsettings-desktop-schemas
Summary(ja):    gsettings-desktop-schemas の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
gsettings-desktop-schemas.


%global debug_package %{nil}


%prep
%setup -q
%autosetup -p1


%build
%meson
%meson_build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%meson_install

%find_lang %{name} --with-gnome


%check
# Test that the schemas compile
glib-compile-schemas --dry-run --strict %{buildroot}%{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/pkgconfig/*
%{_datadir}/gir-1.0/*.gir


%changelog
* Sun Mar 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.
- dropped scriptlets.

* Sun Aug 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.1-1
- new upstream release.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.28.1-1
- new upstream release.
- updated Patch101.

* Sat Jul 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-3.20.0-vine-settings.patch)

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sat Mar 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-3.16.0-vine-settings.patch)

* Tue Nov 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-2
- update Patch101 (gsettings-desktop-schemas-3.14.1-vine-settings.patch)

* Sat Nov 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-3.14.0-vine-settings.patch)

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release
- update Patch101

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-2
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)
- create -devel sub package

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- add Patch0 (gsettings-desktop-schemas-vine-settings.patch)

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.1-2
- add Requires: dconf

* Tue Oct 12 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.0.1-1
- new package.


