Summary:	GObject library for playing system sounds
Summary(ja):	システム音再生用 GObject ライブラリ
Name:		gsound
Version:	1.0.2
Release:	3%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2.1
URL:		https://wiki.gnome.org/Projects/GSound
%global		shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GSound is a small library for playing system sounds. It's designed to
be  used via GObject Introspection, and is a thin wrapper around the
[libcanberra](http://0pointer.de/lennart/projects/libcanberra/) C library.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog NEWS README README.md
%{_bindir}/gsound-play
%{_libdir}/libgsound.so.*
%{_libdir}/girepository-1.0/GSound-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gsound*
%{_libdir}/libgsound.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GSound-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.2-3
- rebuilt with current environment.

* Mon Dec 31 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.2-2
- added vala files.

* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-1
- initial build

