Summary:        Resource discovery and announcement over SSDP
Name:           gssdp
Version:        1.2.2
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gssdp
%global			shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/gupnp/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel >= 1.36
BuildRequires: gtk3-devel
BuildRequires: gtk-doc
BuildRequires: libsoup-devel
BuildRequires: meson
BuildRequires: pkgconfig
BuildRequires: vala >= 0.20

%description
GSSDP implements resource discovery and announcement over SSDP and is part 
of gUPnP.  GUPnP is an object-oriented open source framework for creating 
UPnP devices and control points, written in C using GObject and libsoup. The 
GUPnP API is intended to be easy to use, efficient and flexible.


%package devel
Summary: Development package for gssdp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with gssdp.


%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.


%prep
%setup -q


%build
%meson -Dgtk_doc=true
%meson_build


%install
rm -rf %{buildroot}
%meson_install


%check
%meson_test


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/gssdp-device-sniffer
%{_libdir}/libgssdp-%{shortver}.so.*
%{_libdir}/girepository-1.0/GSSDP-%{shortver}.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gssdp-%{shortver}/
%{_libdir}/libgssdp-%{shortver}.so
%{_libdir}/pkgconfig/gssdp-%{shortver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GSSDP-%{shortver}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gssdp*

%files docs
%defattr(-,root,root,-)
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat Apr 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.2-1
- new upstream release.

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.7.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-1
- initial build for Vine Linux

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.7.0-2
- Remove unneeded libglade BR

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.7.0-1
- Update to 0.7.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.4-3
- Move docs to noarch subpackage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.4-1
- New upstream release

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.3-3
- Add gtk-doc build req

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.3-2
- Fix summary

* Mon Oct 27 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.3-1
- New upstream version

* Sun Aug 31 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.2-1
- New upstream version

* Tue Aug 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-4
- Move glade files from devel to main rpm

* Tue Aug 12 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-3
- Patch to fix the build in rawhide

* Fri Aug 8 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-2
- Updates based on feedback

* Mon May 19 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- Initial package 
