# keep in sync with the VERSION.  gstreamer can append a .0.1 to CVS snapshots.
%define major		0.10

%define _glib2_ver	2.28.8
%define _libxml2_ver	2.7.8
%define _gtk_doc_ver	1.3
%define _check_ver	0.9.2
%define _python_ver	2.6

%define po_package	%{name}-%{major}

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		gstreamer
Summary:	GStreamer streaming media framework runtime.
Summary(ja):	GStreamer ストリーミングメディアフレームワークランタイム
Version:	0.10.36
Release:	3%{?_dist_release}

Group:		System Environment/Libraries
License:	LGPL
URL:		http://gstreamer.freedesktop.org/
Source:		http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib2-devel >= %{_glib2_ver}
BuildRequires:	libxml2-devel >= %{_libxml2_ver}
BuildRequires:	bison
BuildRequires:	gtk-doc >= %{_gtk_doc_ver}
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	check >= %{_check_ver}
BuildRequires:	python >= %{_python_ver}, python-pyxml
BuildRequires:	gobject-introspection-devel
Requires:	glib2 >= %{_glib2_ver}
Requires:	libxml2 >= %{_libxml2_ver}
Obsoletes:	gstreamer-tools

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:       inagaki, Takemikaduchi

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package devel
Summary:	Libraries/header files for GStreamer streaming media framework.
Summary(ja):	GStreamer ストリーミングメディアフレームワークのライブラリ/ヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= %{_glib2_ver}
Requires:	libxml2-devel >= %{_libxml2_ver}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

# compat32
%package -n compat32-%{name}
Summary:	GStreamer streaming media framework runtime.
Summary(ja):	GStreamer ストリーミングメディアフレームワークランタイム
Group:		System Environment/Libraries

%description -n compat32-%{name}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n compat32-%{name}-devel
Summary:	Libraries/header files for GStreamer streaming media framework.
Summary(ja):	GStreamer ストリーミングメディアフレームワークのライブラリ/ヘッダファイル
Group:		Development/Libraries
Requires:	compat32-%{name} = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	compat32-glib2-devel >= %{_glib2_ver}
Requires:	compat32-libxml2-devel >= %{_libxml2_ver}

%description -n compat32-%{name}-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q

%build
%configure \
	--with-package-name='Vine Linux gstreamer package' \
	--with-cachedir=%{_var}/cache/gstreamer-%{major} \
	--enable-introspection=yes \
	--disable-docbook --enable-gtk-doc \
	--disable-static --disable-examples \
	--disable-tests --disable-debug

make %{?_smp_mflags}

%install
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_var}/cache/gstreamer-%{major}

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so.0.0.0

%find_lang %{po_package}

%clean
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README NEWS RELEASE
%doc TODO ABOUT-NLS
%{_bindir}/*
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.so*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libexecdir}/gstreamer-%{major}
%{_libexecdir}/gstreamer-%{major}/gst-plugin-scanner
%{_mandir}/man1/*
%dir %{_var}/cache/gstreamer-%{major}

%files devel
%defattr(-, root, root)
%dir %{_includedir}/%{name}-%{major}
%{_includedir}/%{name}-%{major}/*
#{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/gstreamer*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc/html/gstreamer-%{major}
%{_datadir}/gtk-doc/html/gstreamer-libs-%{major}
%{_datadir}/gtk-doc/html/gstreamer-plugins-%{major}
%{_datadir}/gir-1.0/*.gir

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.so*
%{_libdir}/*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%endif

%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.36-3
- rebuild with VineSeed environment

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.36-2
- remove *.pc from compat32-%{name}-devel

* Tue Feb 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.36-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.35-1
- new upstream release

* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.32-1
- new upstream release

* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.30.2-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)
- fix %files

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.10.30-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Jul 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.30-1
- new upstream release

* Sat May 01 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.29-1
- new upstream release

* Tue Mar  9 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.28-1
- new upstream release
- used make install instead of %%makeinstall

* Sun Feb 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.26-1
- new upstream release
- built with new toolchain

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.25-1
- new upstream release

* Sun Aug  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.24-1
- new upstream release

* Sat May 16 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.10.23-2
- added compat32 package for x86_64 arch support

* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.23-1
- new upstream release
- removed static librairies from devel package
- added Packager tag

* Thu Mar 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.22-1
- new upstream release
- changed Group to System Environment/Libraries

* Wed Oct  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.21-1vl5
- new upstream release
- spec in UTF-8

* Thu Jun 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.20-1vl5
- new upstream release

* Sat Apr  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.19-1vl5
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.18-1vl5
- new upstream release

* Sun Dec 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.15-0vl1
- new upstream release

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.14-0vl1
- new upstream release

* Sat Jun  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.13-0vl1
- new upstream release

* Sat Mar 10 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.12-0vl1
- new upstream release
- add Vendor/Distribution tag
- add '-with-package-name' option to %%configure
- use more macros

* Sat Dec 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.11-0vl1
- new upstream release

* Sat Nov 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.10-0vl1
- new upstream release

* Sun Jul 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.9-0vl1
- new upstream release

* Sun Jun 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.8-0vl1
- new upstream release

* Thu May 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.6-0vl1
- new upstream release

* Sun Apr 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.comp> 0.10.5-0vl1
- new upstream release

* Tue Mar 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.4-0vl1
- new upstream release

* Fri Feb 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.3-0vl1
- new upstream release

* Tue Jan 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.2-0vl1
- new upstream release

* Tue Jan 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.1-0vl1
- new upstream release
  - change major to 0.10
- update URLs
- update versions: glibc >= 2.8, gtk-doc >= 1.3
- add BuildRequires: check >= 0.9.2, python >= 2.1, python-pyxml
- remove from BuildRequires: popt, zlib-devel
- remove obsolete options from %%configure
- add --enable-gtk-doc to %%configure
- add gtk-doc/html/gstreamer-* to gstreamer-devel package
- add RELEASE to %%doc
- remove REQUIREMENTS DOCBUILDING from %%doc
- not exec gst-register-%%{major} at %%post

* Fri Nov 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.11-0vl1
- new upstream release

* Thu May  5 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.10-0vl1
- new upstream release

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.9-0vl1
- new upstream release
- removed dependancy related to documentaion build

* Wed Nov 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.7-0vl1
- new upstream release

* Tue Dec 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-0vl1
- new upstream release

* Sat Sep 06 2003 Tomoya TAKA <taka@vinelinux.org> 0.6.3-0vl2
- update alpha-noWerror patch (Patch10)

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.3-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.2-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-0vl1
- new upstream release

* Sat Feb 01 2003 Tomoya TAKA <taka@vinelinux.org> 0.5.2-0vl2
- build without -Werror on alpha (Patch10)

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl3
- merge gstreamer-tools into gstreamer, obsoletes gstreamer-tools

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl2
- fix broken %files entries..

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.0-10vl1
- build for Vine Linux

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-10
- Add patch1 to fix C++ plugins on ia64

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- %post -p was wrong

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- explicitly add %{_libdir}/libgstreamer-{major}.so
- explicitly add %{_libdir}/libgstcontrol-{major}.so

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com>
- bump release

* Fri Dec 13 2002 Jonathan Blandford <jrb@redhat.com>
- move .so files out of -devel

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- new version 0.5.0
- require docbook-style-xsl
- add gstreamer-tools package too
- New patch to use the right docbook prefix.

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- downgrade to a release candidate.  Should work better on other arches
- build without Werror

* Mon Dec  9 2002 Jonathan Blandford <jrb@redhat.com>
- update to new version.  Remove ExcludeArch

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch some arches

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- import into CVS and build "officially"
- use smp_mflags
- temporarily disable docs build, doesn't seem to work

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- minor cleanups

* Sat Jun 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved header location

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added popt
- removed .la

* Fri Jun 07 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added release of gstreamer to req of gstreamer-devel
- changed location of API docs to be in gtk-doc like other gtk-doc stuff
- reordered SPEC file

* Mon Apr 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved html docs to gtk-doc standard directory

* Tue Mar 5 2002 Thomas Vander Stichele <thomas@apestaart.org>
- move version defines of glib2 and libxml2 to configure.ac
- add BuildRequires for these two libs

* Sun Mar 3 2002 Thomas Vander Stichele <thomas@apestaart.org>
- put html docs in canonical place, avoiding %doc erasure
- added devhelp support, current install of it is hackish

* Sat Mar 2 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added documentation to build

* Mon Feb 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libgstbasicscheduler
- renamed libgst to libgstreamer

* Fri Jan 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added configdir parameter as it seems the configdir gets weird otherwise

* Thu Jan 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- split off gstreamer-editor from core
- removed gstreamer-gnome-apps

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file

* Sat Dec 15 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split of more plugins from the core and put them into their own modules
- Includes colorspace, xfree and wav
- Improved package Require lines
- Added mp3encode (lame based) to the SPEC

* Wed Dec 12 2001 Christian Schaller <Uraeus@linuxrising.org>
- Thomas merged mpeg plugins into one
* Sat Dec 08 2001 Christian Schaller <Uraeus@linuxrising.org>
- More minor cleanups including some fixed descriptions from Andrew Mitchell

* Fri Dec 07 2001 Christian Schaller <Uraeus@linuxrising.org>
- Added logging to the make statement

* Wed Dec 05 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated in preparation for 0.3.0 release

* Fri Jun 29 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated for 0.2.1 release
- Split out the GUI packages into their own RPM
- added new plugins (FLAC, festival, quicktime etc.)

* Sat Jun 09 2001 Christian Schaller <Uraeus@linuxrising.org>
- Visualisation plugins bundled out togheter
- Moved files sections up close to their respective descriptions

* Sat Jun 02 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split the package into separate RPMS, 
  putting most plugins out by themselves.

* Fri Jun 01 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated with change suggestions from Dennis Bjorklund

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file

