# Note that this is NOT a relocatable package
%define	ver	1.2.10
%define rel	5%{?_dist_release}
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		gtk+
Version:	%{ver}
Release:	%{rel}
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.gtk.org

Obsoletes:	gtk
BuildRequires:	glib-devel >= 1.2.10
BuildRequires:  libX11-devel libXext-devel libXi-devel
BuildRequires:	linuxdoc-tools automake14 autoconf213
BuildRequires:	libXt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://ftp.gimp.org/pub/gtk/v1.2/%{name}-%{ver}.tar.gz
Source1:	gtkrc-default
Source2:	gtkrc.ja-vine

#
# merged RH patches.
#
Patch1:		gtk+-1.2.6-ahiguti.patch
Patch5:		gtk+-1.2.8-wrap-alnum.patch
## Supress alignment warnings on ia64
Patch10:	gtk+-1.2.10-alignment.patch
## Improve exposure compression
Patch11:	gtk+-1.2.10-expose.patch
## Handle focus tracking for embedded window properly
Patch12:	gtk+-1.2.10-focus.patch
## Find gtkrc files for the current encoding better
Patch13:	gtk+-1.2.10-encoding.patch
## Don't screw up CTEXT encoding for UTF-8
Patch14:	gtk+-1.2.10-ctext.patch
## Don't warn about missing fonts for UTF-8
Patch15:	gtk+-1.2.10-utf8fontset.patch
## Accept KP_Enter as a synonym for Return everywhere
Patch16:	gtk+-1.2.10-kpenter.patch
## Allow theme switching to work properly when no windows are realized
Patch17:	gtk+-1.2.10-themeswitch.patch
## Fix crash when switching themes
Patch18:	gtk+-1.2.10-pixmapref.patch
## Fix computation of width of missing characters
Patch19:	gtk+-1.2.10-missingchar.patch
# Fix sizes of Ukrainian fontsets
Patch20:	gtk+-1.2.10-ukfont.patch
# Fix file selection delete-dir when changing directory problem
# also, fix memory corruption problem when changing directories.
Patch21:	gtk+-1.2.10-deletedir.patch
# Improve warning for missing fonts
Patch22:	gtk+-1.2.10-fontwarning.patch
# Allow themes to make scrollbar trough always repaint
Patch23:	gtk+-1.2.10-troughpaint.patch
# Fix a crash that can happen in some apps when the current
# locale is not supported by XLib.
Patch24:	gtk+-1.2.10-localecrash.patch
# Use lib64 in X11R6 path if it exists.
Patch25:	gtk+-1.2.10-xlibs.patch
# Patch from CVS to fix b.g.o #56349
Patch26:	gtk+-1.2.10-dndorder.patch
# Patch from CVS to fix b.g.o #94812
Patch27:	gtk+-1.2.10-clistfocusrow.patch
# Fix GTK+ to obey X server's default bell volume
Patch28:	gtk+-1.2.10-bellvolume.patch
# Hack up the configure scripts to deal with some obscure
# breakage with ancient libtool
Patch29:	gtk+-1.2.10-libtool.patch
# Add a dependency on libgdk to libgtk
Patch30:	gtk+-1.2.10-gtkgdkdep.patch

# Add x86_64
Patch31: gtk+-1.2.10-config.sub-x86_64.patch

#
# Vine-specific patches.
#
# This is still necessary.
Patch101:	gtk+-1.2.3-eventmask.patch
Patch102:	gtk+-1.2.8-fontselector.patch
Patch103:	gtk+-1.2.6-event_send.patch
# Security Patch
Patch110:	gtk+-1.2.8-gtkmod.patch


Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Summary(ja):	X 上の GUI を作成ライブラリ: GIMP ツールキット(GTK+)


%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%description -l ja 
gtk+ パッケージは, X ウィンドウ・システム上で GUI を作成するための GIMP 
ツールキット (GTK+) を含んでいます。GTK+ は、画像処理プログラム GIMP 
(GNU Image Manipulation Program) のために作られましたが、現在は他の様々な
プログラムで用いられています。

もし、GTK+ を使う GIMP や他のプログラムを用いる予定ならば、この gtk+ 
パッケージをインストールしてください。


%package -n compat32-%{name}
Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Summary(ja):	X 上の GUI を作成ライブラリ: GIMP ツールキット(GTK+)
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%description -n compat32-%{name} -l ja 
gtk+ パッケージは, X ウィンドウ・システム上で GUI を作成するための GIMP 
ツールキット (GTK+) を含んでいます。GTK+ は、画像処理プログラム GIMP 
(GNU Image Manipulation Program) のために作られましたが、現在は他の様々な
プログラムで用いられています。

もし、GTK+ を使う GIMP や他のプログラムを用いる予定ならば、この gtk+ 
パッケージをインストールしてください。


%package devel
Summary:	Development tools for GTK+ (GIMP ToolKit) applications.
Summary(ja):	GTK+ (GIMP ツールキット) アプリケーション開発ツール
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib-devel
Requires:	libX11-devel
Requires:	libXext-devel
Requires:	libXi-devel
Obsoletes:	gtk-devel
Requires(post):	 /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The gtk+-devel
package contains glib (a collection of routines for simplifying the
development of GTK+ applications), GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.

%description devel -l ja
gtk+-devel には、GTK+ (GIMP ToolKit) アプリケーションを開発するのに必要
な静的ライブラリやヘッダファイルを含んでいます。gtk+-devel パッケージには
glib (GTK+ アプリケーション開発を簡単にするルーチン集), GDK (アプリケーシ
ョン中でGTK+ ウィジッドを書いたり用いたりするのを簡単にするドローキット)
そして、GTK+ (ウィジッド・セット) を含んでいます。

もし、GTK+ アプリケーションを開発するなら、gtk+-devel パッケージをインスト
ールしてください。gtk+ パッケージもインストールしておく必要があります。


%package -n compat32-%{name}-devel
Summary:	Development tools for GTK+ (GIMP ToolKit) applications.
Summary(ja):	GTK+ (GIMP ツールキット) アプリケーション開発ツール
Group:		Development/Libraries
Requires:	%{name}-devel    = %{version}-%{release}
Requires:	compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The gtk+-devel
package contains glib (a collection of routines for simplifying the
development of GTK+ applications), GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.

%description -n compat32-%{name}-devel -l ja
gtk+-devel には、GTK+ (GIMP ToolKit) アプリケーションを開発するのに必要
な静的ライブラリやヘッダファイルを含んでいます。gtk+-devel パッケージには
glib (GTK+ アプリケーション開発を簡単にするルーチン集), GDK (アプリケーシ
ョン中でGTK+ ウィジッドを書いたり用いたりするのを簡単にするドローキット)
そして、GTK+ (ウィジッド・セット) を含んでいます。

もし、GTK+ アプリケーションを開発するなら、gtk+-devel パッケージをインスト
ールしてください。gtk+ パッケージもインストールしておく必要があります。


%prep
%setup -q

%patch1 -p1 -b .ahiguti
%patch5 -p1 -b .alnum
%patch10 -p1 -b .alignment
%patch11 -p1 -b .expose
%patch12 -p1 -b .focus
%patch13 -p1 -b .encoding
%patch14 -p1 -b .ctext
%patch15 -p1 -b .utf8fontset
%patch16 -p1 -b .kpenter
%patch17 -p1 -b .themeswitch
%patch18 -p1 -b .pixmapref
%patch19 -p1 -b .missingchar
%patch20 -p1 -b .ukfont
%patch21 -p1 -b .deletedir
%patch22 -p1 -b .fontwarning
%patch23 -p0 -b .troughpaint
%patch24 -p1 -b .localecrash
%patch25 -p1 -b .xlibs
%patch26 -p0 -b .dndorder
%patch27 -p0 -b .clistfocusrow
%patch28 -p1 -b .bellvolume
%patch29 -p1 -b .libtool

%patch31 -p1 -b .x86_64

%patch101 -p1 -b .nocore
%patch102 -p1 -b .fontsel
%patch103 -p1 -b .event_send
%patch110 -p1 -b .gtkmod

#libtoolize --force
#aclocal-1.4
automake-1.4
autoconf-2.13
autoheader-2.13

%build
%configure --with-xinput=xfree --with-native-locale --disable-static

make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

# rename gtk-config to gtk-config-32 if build_compat32 option is enabled
%if %{build_compat32}
#mv $RPM_BUILD_ROOT%{_bindir}/gtk-config $RPM_BUILD_ROOT%{_bindir}/gtk-config-32
cp -p $RPM_BUILD_ROOT%{_bindir}/gtk-config $RPM_BUILD_ROOT%{_bindir}/gtk-config-32
%endif

#
# Make cleaned-up versions of examples and tutorial for installation
#
./mkinstalldirs tmpdocs/tutorial
install -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/*; do
	if [ -d $dir ]; then
		./mkinstalldirs tmpdocs/$dir
		for file in $dir/*; do
			case $file in
			*pre1.2.7)
				;;
			*)
				install -m 0644 $file tmpdocs/$dir
				;;
			esac
		done
	fi
done

install -m 444 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc
install -m 444 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc.ja

%find_lang %{name}

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/lib{gdk,gtk}.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gdk.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gtk.info.gz %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gdk.info.gz %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gtk.info.gz %{_infodir}/dir
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libgtk-1.2.so.*
%{_libdir}/libgdk-1.2.so.*
%{_datadir}/themes/Default
%config %{_sysconfdir}/gtk/*


%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig 
%{_mandir}/man1/*
%{_includedir}/*
%{_infodir}/*info*
%{_datadir}/aclocal/*
#%{_bindir}/*
%{_bindir}/gtk-config
%doc tmpdocs/tutorial
%doc tmpdocs/examples


%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/libgtk-1.2.so.*
%{_libdir}/libgdk-1.2.so.*


%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_bindir}/gtk-config-32
%endif


%changelog
* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.10-5
- rebuild with VineSeed environement

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.10-4
- fixed missing of gtk-config (on i686)

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.10-3
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: libXt-devel

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.10-2
- spec in utf-8

* Mon Jun  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.10-1
- applied new versioning policy
- rebuilt with xorg-x11 7.3 (updated denepdancies)

* Wed May 24 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.10-0vl10
- rename gtk-config to gtk-config-32 if build_compat32 option is enabled

* Mon Mar 06 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.2.10-0vl9
- added compat32-* packages for x86_64 architecture support

* Wed Feb 15 2006 Shu KONNO <owa@bg.wakwak.com> 1.2.10-0vl8
- added gtk+-1.2.10-config.sub-x86_64.patch

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl7
- rebuild
- not run libtoolize --force, aclocal-1.4
- remove %%{_libdir}/lib{gdk,gtk}.la
- compress info files by brp-compress

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.10-0vl6
- merge more RH patches (Patch26-Patch29)
  * Mon Oct 27 2003 Owen Taylor <otaylor@redhat.com> 1:1.2.10-28.1
  - Cave like a cheap house of cards and add gdk-pixbuf dependency (#105613)
  - Add gtkrc.*.utf8 RC files for CJK (#84593)
  - Add a dependency on libgdk to libgtk (#106677)

  * Thu Feb 13 2003 Elliot Lee <sopwith@redhat.com> 1.2.10-26
  - Run libtoolize/auto* to get an updated libtool that recognizes ppc64

  * Wed Jan 15 2003 Owen Taylor <otaylor@redhat.com> 1.2.10-24
  - Add a couple of patches from GNOME CVS, fixing a crash
    with CList focus row tracking, and a place where DND
    would get confused.
  - Obey the system bell volume (#74802)
  - Ship the pkg-config files

  * Mon Nov  4 2002 Tim Waugh <twaugh@redhat.com> 1.2.10-23
  - Don't install files not shipped.
  - Fix gtk-config output for multilib archs.
    
* Wed Dec 25 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.10-0vl5
- merge more RH patches (Patch20-Patch25)
- rawhide's changelog since last merge (except "automated rebuild") are:

  - Thu Aug 22 2002 Owen Taylor <otaylor@redhat.com>
  - Fix a crash that can happen in some apps when the current
    locale is not supported by XLib. (#72157)

  - Fri Jul 26 2002 Owen Taylor <otaylor@redhat.com>
  - Fix a small memory leak in the .encoding patch (Kjartan Maraas)

  - Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com>
  - Add troughpaint patch

  - Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
  - Fix UTF-8 font specification not to pick up *-c-* fonts

  - Thu May 16 2002 Alex Larsson <alexl@redhat.com>
  - Require automake 1.4

  - Wed Apr 17 2002 Owen Taylor <otaylor@redhat.com>
  - Fix problem with incorrect directory contents when changing directories (#63726)

  - Fri Apr 12 2002 Owen Taylor <otaylor@redhat.com>
  - Fix filesel delete-filename-on-dir-change problem
  - Improve warning for missing fontset elements

  - Thu Apr 11 2002 Owen Taylor <otaylor@redhat.com>
  - Fix ukrainian font sizes, minor tweak to russian fonts (#63135)
  - Own /etc/gtk/ as well as the files in it (#63139)

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.10-0vl4
- changed default theme to BeCool.

* Mon Oct 15 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.10-0vl3
- Merged several RH patches.
  * Mon Aug 13 2001 Owen Taylor <otaylor@redhat.com>
  - Fix problem with width computation for missing characters

  * Sun Aug 12 2001 Owen Taylor <otaylor@redhat.com>
  - Fix refcounting problem in gtk_style_copy() that might affect 
    theme switching. (#51580)

  * Wed Aug  8 2001 Owen Taylor <otaylor@redhat.com>
  - Add fix for theme switching in nautilus sidebar tabs 
    (and other similar situations)

  * Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
  - Accept KP_Enter as well as Return (#21111)

  * Wed Jul 11 2001 Owen Taylor <otaylor@redhat.com>
  - Further improve exposure compression code

  * Tue Jul 10 2001 Owen Taylor <otaylor@redhat.com>
  - Omit warnings about character sets not found in fontset,
    if current locale is UTF-8 based. (Hack!)

  * Tue Jul  3 2001 Owen Taylor <otaylor@redhat.com>
  - Add patch for alignment warnings on ia64
  - Add from Alex to vastly improve expose compression
  - Add patch to fix focus tracking for embedded windows
  - Add patch by Pablo Saratxaga to improve encoding handling 
  - Add patch to not screw up CTEXT for UTF-8 locales

* Tue Jul 17 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.2.10-0vl2
- change CFLAGS on alpha (gcc-2.95.3 with -O2 causes problems)

* Tue Apr  3 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.10-0vl1
- New upstream release.

* Wed Mar  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2.9-0vl1
- New upstream release.

* Wed Feb 14 2001 Shoji Matsumoto <shom@vinelinux.org> 1.2.8-0vl6
- correct configure for stablity

* Tue Feb 13 2001 Shoji Matsumoto <shom@vinelinux.org> 1.2.8-0vl5
- correct configure (for --enable-xinput)
- add DESTDIR patch for po/Makefile.in.in

* Wed Feb  7 2001 Shoji Matsumoto <shom@vinelinux.org> 1.2.8-0vl4
- add gtk+-1.2.8-gtktextwcfix.patch

* Thu Feb 01 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.2.8-0vl2
- applied security patch (http://www.securityfocus.com/bid/2165)

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.8

* Fri Feb 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added fontselector based on kondara's patch

* Thu Feb 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.7
- remove morioka marged to the original gtk source tree.

 Tue Dec 28 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added event_send patch to be more stable when switching themes.

* Sat Dec 11 1999 Jun Nishii <jun@flatout.org>
- smaller fontset in gtkrc.ja 

* Thu Nov 25 1999 Jun NISHII <jun@flatout.org>
- use morioka patch instead of fontsel patches

* Sat Oct 23 1999 Jun Nishii <jun@flatout.org>
- gtk+-1.2.6-1vl2
- added fontsel patches from gtk/gnome-ML

* Tue Oct 12 1999 Jun Nishii <jun@flatout.org>
- gtk+-1.2.6-1vl1

* Thu Sep 30 1999 Jun Nishii <jun@flatout.org>
- gtk+-1.2.5-1vl2
- with wordwrap patch

* Mon Sep 27 1999 Jun Nishii <jun@flatout.org>
- gtk+-1.2.5-1vl1

* Sat Sep 11 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
  [gtk+-1.2.4-1vl2]
- removed fontsel patch.

* Mon Sep 6 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
  [gtk+-1.2.4-1vl1]
- install gzipped info.
- changed release tag with 'vl.'

* Fri Sep 3 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
  [gtk+-1.2.4-1]
- Update for GTK+-1.2.4.
- bzip2 source.
- use %{sysconfdir} as /etc.

* Sun Aug 22 1999 Jun Nishii <jun@flatout.org>
- bzip2 source

* Sat Aug 21 1999 Jun Nishii <jun@flatout.org>
- build for Vine-1.9
- merge fontset patch

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- Update for GTK+-1.2.3
- Patches that will be in GTK+-1.2.4
- Patch to keep GTK+ from coredumping on X IO errors
- Patch to improve compatilibity with GTK-1.2.1 (allow
  event mask to be set on realized widgets)

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fixes memory leak

* Mon Apr 12 1999 Owen Taylor <otaylor@redhat.com>
- The important bug fixes that will be in GTK+-1.2.2

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=/etc

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Sat Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Wed Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Sat Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Sat Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
