Summary:	Simple image viewer widget
Summary(ja): 	シンプルなイメージビューワウィジェット
Name:		gtkimageview
Version:	1.6.4
Release: 	3%{?_dist_release}

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://trac.bjourne.webfactional.com/

Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel
BuildRequires:	gtk2-devel >= 2.8.0
BuildRequires:  gtk-doc >= 1.0


%description
GtkImageView is a simple image viewer widget for GTK.
Similar to the image viewer panes in gThumb or Eye of
Gnome. It makes writing image viewing and editing
applications easy. 
Among its features are:

    * Mouse and keyboard zooming.
    * Scrolling and dragging.
    * Adjustable interpolation.
    * Fullscreen mode.
    * GIF animation support. 

%description -l ja
GtkImageView は GTK 用のシンプルなイメージビューワウィジェットです。
Eye of Gnome や gThumb のようなイメージビューアペインを提供します。これによりイメージを表示したり編集したりするアプリケーションが簡単に開発できるようになります。
主な特徴は以下の通りです。

    * マウスやキーボードを使ったズーム
    * スクロールおよびドラッグ
    * 調整可能な画像補間
    * フルスクリーン表示
    * GIF アニメーションのサポート 

#-----------------------------------------------------------------------------

%package devel
Summary:        Libraries and header files for gtkimageview
Summary(ja):    gtkimageview 用のヘッダファイル及びライブラリ
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the header files and libraries for
gtkimageview. If you like to develop programs using gtkimageview,
you will need to install gtkimageview-devel.

%description devel -l ja
このパッケージは gtkimageview 用のヘッダファイル及びライブラリ
を含んでいます。もし gtkimageview を使用したプログラムを開発す
る場合は、このパッケージをインストールする必要があります。

#-----------------------------------------------------------------------------

%prep
%setup -q

# ad-hoc fix to build on current toolchain
sed -i -e 's/-Werror//g' configure

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unnecessary file
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libgtkimageview.la

%clean
rm -rf $RPM_BUILD_ROOT

%check
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libgtkimageview.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gtkimageview/*
%{_libdir}/libgtkimageview.so
%{_libdir}/pkgconfig/gtkimageview.pc
%{_datadir}/gtk-doc/html/gtkimageview/*

%changelog
* Mon Dec 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.4-3
- rebuilt on current VineSeed

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.6.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.4-1
- new upstream release
- removed static library from devel package
- fixed License tag

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.0-0vl2 
- rebuilt for VineSeed

* Wed Aug 07 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.0-0vl1
- initial build for Vine Linux.
