Name:           gtkparasite
Version:        0.0.20131231
Release:        2%{?_dist_release}
Summary:        A GUI debugging tool for GTK+ applications
Summary(ja):    GTK+ アプリケーションの GUI デバッグツール

Group:          Development/Debuggers
License:        MIT
URL:            http://chipx86.github.com/gtkparasite/

Source0:        %{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gtk3-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  python-devel
BuildRequires:  gnome-common
BuildRequires:  autoconf libtool automake


%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget
properties, and more. You can modify properties on the fly in order to
experiment with the look of your UI.

Parasite includes an embedded Python shell that lets you write new code that
directly interacts with your application's UI, regardless of the language the
application is written in. Create new dialogs, attach temporary signal
handlers to buttons, test out new logic, and gather additional debug
information.

%prep
%setup -q
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/modules/libgtkparasite.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gtk-3.0/modules/libgtkparasite.so

%changelog
* Thu Feb  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.0.20131231-2
- moved to Development/Debuggers Group

* Fri Jul 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.0.20131231-1
- initial build for Vine Linux

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0-0.7.20090120git928494e5
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.5.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.2.20090120git928494e5
- Rename package
- Update to latest release
- Drop upstreamed patch

* Mon Jan 19 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.1.gitf485897d
- Initial RPM release
