Name: gtkpod
Version: 2.1.5
Release: 2%{?_dist_release}
Summary: Graphical song management program for Apple's iPod
Summary(ja): Apple の iPod 用のグラフィカルな楽曲管理ツール
#'

Group: Applications/Multimedia
# The help documentation is under GFDL, the rest of the code is GPLv2+
License: GPLv2+ and GFDL
URL: http://www.gtkpod.org/

Source0: %{name}-%{version}.tar.gz
Source1: %{name}-2.1.4-ja.po

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: anjuta-devel
BuildRequires: brasero-devel
BuildRequires: clutter-gtk-devel
BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: flac-devel >= 1.2.1
BuildRequires: flex
BuildRequires: gettext
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: libgpod-devel
BuildRequires: libid3tag-devel
BuildRequires: libmusicbrainz5-devel
BuildRequires: libvorbis-devel >= 1.3.1
BuildRequires: perl(XML::Parser)
BuildRequires: pkgconfig
BuildRequires: WebKit3-gtk-devel

# some of the scripts in %%{_datadir}/%%{name}/scripts use which
Requires:       which
Requires:       hicolor-icon-theme

Vendor:         Project Vine
Distribution:   Vine Linux

%description
gtkpod is a platform independent Graphical User Interface for Apple's
iPod using GTK3. It supports all current iPod models, including
the Mini, Photo, Shuffle, Nano, Video, Classic, Touch, and iPhone.

%description -l ja
gtkpodは、GTK3を利用したプラットフォームに依存しない Apple の iPod 用 GUI 
ツールです。 Mini, Photo, Shuffle, Nano, Video, Classic, Touch を含む 
iPod 及び iPhone に対応しています。

#'
%package devel
Summary: Development files for the gtkpod
Summary(ja): gtkpod の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The gtkpod-devel package contains libraries and header files for
developing extensions for gtkpod.

%prep
%setup -q
cp -p %{SOURCE1} po/ja.po

%build
%configure \
    --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category="Audio" \
    --add-category="Video" \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

# delete libtool files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* COPYING README TODO TROUBLESHOOTING
%{_bindir}/gtkpod
%{_libdir}/lib*.so.*
%dir %{_libdir}/gtkpod
%{_libdir}/gtkpod/*.plugin
%{_libdir}/gtkpod/*.so
%{_datadir}/gtkpod
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*
%{_mandir}/man1/%{name}*

%files devel
%defattr(-,root,root)
%{_includedir}/gtkpod
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.5-2
- rebuild with gcc-5.4.0

* Wed Jun 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1.5-1
- new upstream release
- added BR: gstreamer1-devel, gstreamer1-plugins-base-devel
- added BR: libmusicbrainz5-devel

* Thu May 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1.4-2
- rebuilt with libimobiledevice 1.2.0 and libplist 1.12

* Wed Feb  4 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1.4-1
- updated to 2.1.4
- updated SOURCE1
- added devel subpackage

* Fri Feb 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.99.16-2
- rebuild with Vine6 environment

* Sat Aug 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.99.16-1
- new upstream release
- add BuildRequires: libglade2-devel
- add Requires: desktop-file-utils

* Sat Jul 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.14-2
- build without libmp4v2 by default
- add %%post/%%postun script to update desktop db and icon cache

* Wed Jun 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.14-1
- new upstream release
- spec in utf-8

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.12-1vl5
- applied new versioning policy
- fixed Icon path of gtkpod.desktop

* Sun Jan 06 2008 Shu KONNO <owa@bg.wakwak.com> 0.99.12-0vl1
- new upstream release
- dropt gtkpod-0.99.8_libgpod-0.4.2.diff
- added icons in %%files section
- rebuilt with libgpod-0.6.0

* Tue May 29 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.99.8-0vl3
- for VineSeedPlus
- rebuilt with new toolchain and libgpod-0.4.2
- add Patch0 (derived from FC)

* Sun Jan  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.8-0vl1
- new upstream release
- added SOURCE1
- rebuilt with libgpod-devel 0.4.0
- moved gtkpod.desktop to %{_datadir}/applications <BTS:454>

* Sun Jan  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.2-0vl2
- rebuilt for VineSeed Plus

* Sun Jan  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.2-0vl1
- new upstream release

* Fri Dec 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.0-0vl3
- rebuilt for VineSeed Plus

* Fri Dec 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.0-0vl2
- rebuilt for VinePlus/3.0 
- added BuildRequires: curl-devel, flex

* Wed Dec 14 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.0-0vl1
- new upstream release.
- add BuildRequires: libgpod-devel

* Tue Aug 16 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.94.0-0vl1
-new upstream release.

* Mon Jun 16 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.8.22-0vl3
-A revision %description -l ja
-A revision %files
-add %doc

* Thu Jun 2 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.8.22-0vl2
-add macro
-add BuildRequires

* Tue May 17 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.8.22-0vl1
First release.

- initial build for Vine Linux

# end of file
