%define mono_dir %{_prefix}/lib/mono

Name: gtksourceview-sharp2
Summary: GtkSourceView bindings for Mono
Summary(ja):  Mono 用 GtkSourceView バインディング
Version: 0.12
Release: 7%{?_dist_release}

License: LGPL
Group: System Environment/Libraries
URL: http://www.mono-project.com/

Source: http://download.mono-project.com/sources/gtksourceview-sharp-2.0/gtksourceview-sharp-2.0-%{version}.tar.bz2
Patch0: gtksourceview-sharp2-gnome-print.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtksourceview-devel
BuildRequires: gnome-sharp2-devel
BuildRequires: gtk-sharp2-gapi gtk-sharp2-devel
BuildRequires: gnome-print-sharp-devel
BuildRequires: mono-devel
BuildRequires: monodoc

Vendor: Project Vine
Distribution: Vine Linux

%description
This package provides Mono bindings for GtkSourceView, a child of the
GTK+ text widget which implements syntax highlighting and other
features typical of a source editor.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains development files for %{name}.


%prep
%setup -q -n gtksourceview-sharp-2.0-%{version}
%patch0 -p0 -b .gnome-print
autoreconf

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_prefix}/lib \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}

make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT%{_datadir}/pkgconfig

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_datadir}/gtksourceview-1.0/language-specs/nemerle.lang
rm -f $RPM_BUILD_ROOT%{_datadir}/gtksourceview-1.0/language-specs/vbnet.lang


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{mono_dir}/gac/gtksourceview-sharp
%{mono_dir}/gtksourceview-sharp-2.0
%{_datadir}/gapi-2.0/gtksourceview-api.xml

%files devel
%defattr(-, root, root)
%{_datadir}/pkgconfig/gtksourceview-sharp-2.0.pc
%{_prefix}/lib/monodoc/sources/gtksourceview-sharp-docs*

%changelog
* Sun Apr 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.12-7
- split development files into devel subpackage

* Sun Oct 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.12-6
- moved packages to Development/Libraries Group
- fixed Licesne to LGPL (see, COPYING)

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-5
- rebuild with VineSeed environment

* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 0.12-4
- rebuilt with mono-2.10.1-3

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 0.12-3
- rebuilt with mono-2.10.1

* Sat Oct 09 2010 Shu KONNO <owa@bg.wakwak.com> 0.12-2
- rebuilt with mono-2.8
- added gtksourceview-sharp2-gnome-print.patch
- added BR:monodoc instead of monodoc-core

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 0.12-1vl5
- initial build for VineSeed
    - applied vine versioning policy
    - added japanese summary
    - spec in utf-8

* Tue Feb 26 2008 wberrier@novell.com
- Update to 0.12 (new gtk# requires this version)
* Thu Aug 16 2007 wberrier@suse.de
- add noarch again (even though this package depends on binary
  libraries, the package itself contains no architecture
  dependant code, and can run on any platform where mono runs)
- Update to use gtksourceview18 package (this package hasn't been
  ported to use 1.9 yet)
* Tue Jun 12 2007 ro@suse.de
- remove noarch: this package depends on binary libraries
* Wed Jun  6 2007 wberrier@novell.com
- remove upstream patch (also remove autoreconf, since there's
  no patches)
- Update to 0.11
  - removes circular dependency on 'monodoc' in mono-tools
  - updated samples
* Wed May 16 2007 wberrier@novell.com
- Fix BuildRequires for suse 10.0 (so .config can be resolved)
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Fri Apr  6 2007 wberrier@novell.com
- Adapt for buildservice, add monodoc patch so only monodoc-core
  is needed, not mono-tools. Clean up BuildRequires some more.
* Mon Feb 12 2007 aj@suse.de
- Remove unneeded BuildRequires.
* Wed Jan 24 2007 ro@suse.de
- GNOME moved to /usr
* Thu Oct 19 2006 ro@suse.de
- added mono-devel to buildrequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Wed Nov 16 2005 wberrier@suse.de
- Remove icu deps
* Thu Oct 20 2005 ro@suse.de
- rename package, provide and obsolete old name
* Thu Sep 22 2005 ro@suse.de
- added norootforbuild
* Wed Sep 21 2005 wberrier@suse.de
- Use the buildroot and package the docs for monodoc (bug #116196)
* Fri Sep 16 2005 wberrier@suse.de
- Only package correct files (Bug #116196)
* Fri Aug 26 2005 ro@suse.de
- nfb: monodoc -> monodoc-core
* Sun Aug 14 2005 aj@suse.de
- Require 2.6.13 or newer kernel.
* Sun Aug 14 2005 aj@suse.de
- Add check-build.sh script.
* Sun Aug  7 2005 ro@suse.de
- fix location of pkgconfig files
* Sun Aug  7 2005 ro@suse.de
- rename package to gtksourceview-sharp-2_0 (no "." allowed in name)
* Thu Aug  4 2005 wberrier@suse.de
- Initial package
