Name:           gupnp-igd
Version:        0.2.5
Release:        1%{?_dist_release}
Summary:        Library to handle UPnP IGD port mapping        
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GUPnP
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/gupnp/%{shortver}/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gupnp-igd/-/merge_requests/1
Patch0:         switch-to-gupnp-1-2-api.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gupnp-devel
# for patch0
BuildRequires:  autoconf automake libtool

%description
%{name} is a library to handle UPnP IGD port mapping.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

# for patch0
autoreconf -fiv


%build
%configure --disable-static --disable-python --enable-introspection=yes
# quite rpmlint error about unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
LDFLAGS="$RPM_LD_FLAGS -lgobject-2.0" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-1.0*.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir


%changelog
* Sat Apr 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2.5-1
- new upstream release.

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.1.3-5
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.3-4
- initial build for Vine Linux

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.1.3-3
- Rebuild for new gupnp

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3.

* Sat May 16 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.1.1-2
- Quite rpmlint error about unused-direct-shlib-dependency.

* Wed Dec 31 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.1-1
- Initial Fedora spec.

