Summary: The GNU data compression program.
Summary(ja): GNU データ圧縮プログラム
Name: gzip
Version: 1.11
Release: 1%{?_dist_release}
Group: accessories
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: GPLv3+ and GFDL
URL: http://www.gzip.org/
Source: https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1: https://www.gnu.org/licenses/fdl-1.3.txt
# downstream solution for coloured z*grep (#1034839)
Source100: colorzgrep.csh
Source101: colorzgrep.sh

Patch1: gnulib.patch

Requires(post): install-info
Requires(preun): install-info
Requires: mktemp, less, coreutils
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: texinfo

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Red Hat Linux system, because it is a
very commonly used data compression program.

%description -l ja
gzip パッケージには有名な GNU gzip データ圧縮プログラムが収められています．
gzip で圧縮されたファイルには .gz の拡張子がつきます．

gzip は大変一般的に使われる圧縮プログラムなので，Linux システムには
是非ともインストールされている必要があります．


%debug_package


%prep
%setup -q

#%patch1 -p1 -b .gnulib
cp %{SOURCE1} .

autoreconf


%build
export DEFS="NO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
export CC="%{__cc}"
export CPP="%{__cpp}"
export CXX="%{__cxx}"
%configure  --bindir=/bin
make %{?_smp_mflags}
#make gzip.info


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall  bindir=$RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf ../../bin/gzip $RPM_BUILD_ROOT/usr/bin/gzip
ln -sf ../../bin/gunzip $RPM_BUILD_ROOT/usr/bin/gunzip

for i in  zcmp zegrep zforce zless znew gzexe zdiff zfgrep zgrep zmore ; do
    mv $RPM_BUILD_ROOT/bin/$i $RPM_BUILD_ROOT/usr/bin/$i
done

gzip -9nf $RPM_BUILD_ROOT%{_infodir}/gzip.info*

# we don't ship it, so let's remove it from ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
# uncompress is a part of ncompress package
rm -f ${RPM_BUILD_ROOT}/bin/uncompress

cat > $RPM_BUILD_ROOT%{_bindir}/zless <<EOF
#!/bin/sh
/bin/zcat "\$@" | /usr/bin/less
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/zless

# coloured z*grep (#1034839)
%global profiledir %{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{profiledir}
install -p -m 644 %{SOURCE100} %{buildroot}%{profiledir}
install -p -m 644 %{SOURCE101} %{buildroot}%{profiledir}


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%license COPYING fdl-1.3.txt
%doc NEWS README AUTHORS ChangeLog THANKS TODO
/bin/*
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/gzip.info*
%{profiledir}/*


%changelog
* Tue Sep 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.11-1
- new upstream release.
- dropped install-info scriptlets.
- dropped Patch2.

* Sun Mar 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10-1
- new upstream release.
- dropped all patches.
- imported Patch1 and 2 from rawhide.
- imported Source1, 100 and 101 from rawhide.

* Sun Jan 19 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-1
- update to 1.6
- add BR: texinfo

* Mon Oct 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-1
- update to 1.5
- remove unneeded patches

* Sun Apr 17 2011 IWAI, Masaharu <iwai@alib.jp> 1.3.13-2
- build on current VineSeed

* Thu Feb 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.13-1
- new upstream release

* Fri Jan 22 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- add patch18 for fix CVE-2009-2624 (decompressing dynamic Huffman code)
- add patch19 for fix CVE-2010-0001 (unlzw)

* Wed Apr 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.12-2
- spec in utf-8

* Wed Mar 26 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.3.12-1
- new upstream release
- drop old patches and update patches to fit new release
- add Vendor/Distribution tag
- add smp_mflags into make section
- remove uncompress (uncompress is a part of ncompress package)
- build under new versioning policy

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.5-6vl3
- [security fix] add patches to fix several vulnerabilities
  - cve-2006-4334 - null dereference problem
  - cve-2006-4335 - buffer overflow problem
  - cve-2006-4336 - buffer underflow problem
  - cve-2006-4338 - infinite loop problem
  - cve-2006-4337 - buffer overflow problem

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.5-6vl2
- changed Group to Applications/Archiving

* Fri May 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.5-6vl1
- based on 1.3.5-6 from Fedora
  * Fri Apr 29 2005 Ivana Varekova <varekova@redhat.com> 1.3.5-5
  - fix bug 156269 - CAN-2005-1228 directory traversal bug
   (using the patch from Ulf Harnhammar)
  * Tue Apr 26 2005 Ivana Varekova <varekova@redhat.com> 1.3.5-4
  - fix bug 155746 - CAN-2005-0988 Race condition in gzip (patch9)
  * Tue Mar 22 2005 Tomas Mraz <tmraz@redhat.com> 1.3.5-2
  - upstream 1.3.5
  - dropped long ago obsolete dirinfo patch
  - escape file names in zgrep (#123012)
  - make stack in match.S nonexecutable
  * Mon Dec 13 2004 Ivana Varekova <varekova@redhat.com>
  - fix bug #106551 problem with zmore which requires the suffix .gz 
    in file name
  * Fri Jan 31 2003 Jeff Johnson <jbj@redhat.com> 1.3.3-9
  - enlarge window buffer to avoid accessing beyond end-of-buffer 
    (#78413,#83095).
  - re-enable rsync ready patch.

* Fri May  2 2003 IWAI Masaharu <iwai@alib.jp> 1.3.2-2vl2
- rebuild with new toolchain
- fix typo in %%changelog

* Mon Jan 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.3.2-2vl1
- based on 1.3.2-2 from Rawhide and rebuilt for Vine Linux

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Nov 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.3.2-1
- 1.3.2: no need for autoconf 2.5x hacks anymore

* Sat Nov 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.3.1:
	- disable patch2

* Fri Oct 26 2001 Trond Eivind Glomsr <teg@redhat.com> 1.3.0-16
- replace tempfile patches with improved ones solar@openwall.com
- Add less to the dependency chain - zless needs it

* Thu Aug 23 2001 Trond Eivind Glomsr <teg@redhat.com> 1.3.0-15
- Fix typo in comment in zgrep (#52465) 
- Copyright -> License

* Tue Jun  5 2001 Trond Eivind Glomsr <teg@redhat.com>
- Patch various uses of $$ in the bundled scripts

* Mon Jun  4 2001 Trond Eivind Glomsr <teg@redhat.com>
- Fix the SIGPIPE patch to avoid blank lines (#43319)

* Thu Feb 08 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed buzilla bug #26680. Wrong skip value after mktemp patch and forced
  overwrite for output file during decompression.

* Tue Jan 30 2001 Trond Eivind Glomsr <teg@redhat.com>
- trap SIGPIPE in zgrep, so "zgrep | less" gets a happy ending
  (#24104)

* Sun Dec 10 2000 Trond Eivind Glomsr <teg@redhat.com>
- add HAVE_LSTAT define, to avoid it doing weird things to symlinks
  instead of ignoring them as the docs say it should (#22045)

* Fri Dec 01 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Thu Nov 09 2000 Trond Eivind Glomsr <teg@redhat.com>
- patch all scripts so usage error messages are written to 
  stderr (#20597)

* Mon Oct 30 2000 Trond Eivind Glomsr <teg@redhat.com>
- disable assembly, as it is faster without it (bug #19910)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Wed Jun 07 2000 Trond Eivind Glomsr <teg@redhat.com>
- Use %%{_mandir}, %%{_infodir},  %%configure, %%makeinstall
  and %%{_tmppath}

* Fri May 12 2000 Trond Eivind Glomsr <teg@redhat.com>
- Add root as default owner of the files, permits building 
  as non-root user

* Wed May 10 2000 Trond Eivind Glomsr <teg@redhat.com>
- Build system handles stripping
- Don't do thing the system does, like creating directories
- use --bindir /bin
- Added URL
- skip unnecesarry sed step
- Include THANKS, AUTHORS, ChangeLog, TODO

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.3
- handle RPM_OPT_FLAGS

* Tue Feb 15 2000 Cristian Gafton <gafton@redhat.com>
- handle compressed man pages even better

* Tue Feb 08 2000 Cristian Gafton <gafton@redhat.com>
- adopt patch from Paul Eggert to fix detection of the improper tables in
  inflate.c(huft_build)
- the latest released version 1.2.4a, which provides documentation updates
  only. But it lets us use small revision numbers again
- add an dirinfo entry for gzip.info so we can get rid of the ugly --entry
  args to install-info

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #7970

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- built against gliibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/bin/gzip and /usr/bin/gunzip symlinks as some programs are too
  brain dead to figure out they should be at least trying to use $PATH
- added BuildRoot

* Wed Jan 28 1998 Erik Troan <ewt@redhat.com>
- fix /tmp races

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info
- applied patch for gzexe

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Marc Ewing <marc@redhat.com>
- (Entry added for Marc by Erik) fixed gzexe to use /bin/gzip

