%define pkg_name    qrupdate
%define pkg_version 1.1.2
%define pkg_release 3%{?_dist_release}

%ifarch %{ix86}
%define LIB_DIR lib
%endif
%ifarch x86_64
%define LIB_DIR lib64
%endif


Summary: A Fortran library for fast updates of QR and Cholesky decompositions
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   System Environment/Libraries
URL:     https://sourceforge.net/projects/qrupdate/
Source0: qrupdate-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-gfortran
BuildRequires: blas-devel lapack-devel
Requires: blas lapack

%if %{?_dist_release} == "vl7"
%ifarch %{ix86}
Provides: libqrupdate.so.1
%endif
%ifarch x86_64
Provides: libqrupdate.so.1()(64bit)
%endif
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{__make} solib %{?_smp_mflags}

%install
%{__make} install-shlib \
          PREFIX=%{_prefix} LIBDIR=%{LIB_DIR} DESTDIR=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_libdir}/libqrupdate.so*


%changelog
* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 1.1.2-3
- correct SPEC file

* Tue Mar 22 2016 Toshiaki Ara <ara_t@384.jp> 1.1.2-2
- fix %{_syssbindir}/ldconfig
- add Provides: libqrupdate.so.1()

* Sat Mar 19 2016 Toshiaki Ara <ara_t@384.jp> 1.1.2-1
- new package

