%define pkg_version 3.20.0
%define pkg_release 1%{?_dist_release}

Summary: A logic game similar to Sudoku
Summary(ja): 数独に類似した論理ゲーム 
Name:        hitori
Version:     %{pkg_version}
Release:     %{pkg_release}
Source0:     http://ftp.gnome.org/pub/GNOME/sources/hitori/3.20/%{name}-%{version}.tar.xz
License:     GPLv3+
Group: Applications/Games
URL: http://live.gnome.org/Hitori

BuildRequires: gtk3-devel 
BuildRequires: yelp-tools
BuildRequires: which

Requires(post,postun):	desktop-file-utils
Requires(postun,posttrans):	glib2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Hitori is a small application written to allow one to play the eponymous puzzle game, which is similar in theme to more popular puzzles such as Sudoku. 

%description -l ja
Hitori は数独のようなより人気のあるパズルとテーマにおいて類似した小さなゲームアプリケーションです。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post 
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/hitori
%{_datadir}/appdata/org.gnome.Hitori.appdata.xml
%{_datadir}/applications/org.gnome.Hitori.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.hitori.gschema.xml
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Wed Nov 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Mar 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.3-1
- new upstream release

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2.1-1
- new upstream release

* Mon Nov 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sun Jun 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.3-1
- new upstream release

* Sun Nov 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.2-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- new upstream release

* Mon Oct 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gome-doc-utils

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.6-1
- new upstream release

* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.5-1
- new upstream release

* Sun Jul 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4-1
- new upstream release
- fix %install and %files

* Sun Jan 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- initial build for Vine Linux

