Name:		httperf
Version:	0.9.0
Release:	2%{?_dist_release}
Summary:	Web server benchmarking tool
Summary(ja):	Web サーバのベンチマークツール
License:	GPLv2+ with exceptions
Group:		Applications/Internet
URL:		http://code.google.com/p/httperf/

Packager:	shaolin
Vendor:		Project Vine
Distribution:	Vine Linux

Source:		ftp://ftp.hpl.hp.com/pub/httperf/httperf-%{version}.tar.gz
Patch1:		httperf-0.9.0_big_cookies.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	openssl-devel


%description
httperf is a popular web server benchmark tool for measuring web server
performance. It provides a flexible facility for generating various HTTP
workloads and for measuring server performance. The focus of httperf is
not on implementing one particular benchmark but on providing a robust,
high-performance tool that  facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics of
httperf are its robustness, which includes the ability to generate and
sustain server overload, support for the HTTP/1.1 protocol, and its 
extensibility to new workload generators and performance measurements. 

%description -l ja
httperf は web サーバのパフォーマンス計測に使われる、有名なベンチマーク
ツールです。HTTP の負荷を様々にかけたり、サーバのパフォーマンス計測を
行ったりする目的に便利な柔軟性を備えています。httperf が注力しているのは、
ある特定のベンチマークの実装ではなく、堅固で高性能なツールを提供し、
マイクロレベルからマクロレベルまでのベンチマークを構成しやすくすること
です。httperf の3つの特徴は、サーバを高負荷に保ち続ける堅固性、HTTP/1.1
プロトコルのサポート、そして拡張性に富んだ新しい負荷生成部とパフォーマンス
計測部です。


%prep

%setup -q
%patch1 -p1


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL="%{__install} -p" DESTDIR="%{buildroot}"


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/httperf.1*
%{_bindir}/httperf
%{_bindir}/idleconn


%changelog
* Fri Aug 16 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.0-2
- added Patch1 to handle bigger cookies

* Thu Aug 15 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.0-1
- initial build for Vine Linux
