Name:           hyphen
Summary:        A text hyphenation library
Version:        2.8.8
Release:        2%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

URL:            http://hunspell.sf.net
License:        LGPLv2+ or MPLv1.1
Source:         http://downloads.sourceforge.net/hunspell/hyphen-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  perl, patch

%description
Hyphen is a library for high quality hyphenation and justification.


%package devel
Summary: Files for developing with hyphen
Group: programming
Requires: hyphen = %{version}-%{release}

%description devel
Includes and definitions for developing with hyphen


%package en
Summary: English hyphenation rules
Summary(ja): English hyphenation rules
Group: publishing
Requires: hyphen

%description en
English hyphenation rules.


%debug_package


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
en_US_aliases="en_AU en_BS en_BZ en_CA en_GH en_GB en_IE en_IN en_JM en_NA en_NZ en_PH en_TT en_ZA en_ZW"
for lang in $en_US_aliases; do
        ln -s hyph_en_US.dic hyph_$lang.dic
done
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README README.hyphen README.nonstandard TODO
%{_libdir}/*.so.*
%dir %{_datadir}/hyphen

%files en
%defattr(-,root,root,-)
%{_datadir}/hyphen/hyph_en*.dic

%files devel
%defattr(-,root,root,-)
%{_includedir}/hyphen.h
%{_libdir}/*.so
%{_bindir}/substrings.pl


%changelog
* Thu Mar 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.8-2
- rebuilt with current environment.

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.8-1
- update to 2.8.8

* Tue Jun 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.3-1
- update to 2.8.3

* Fri Jul 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-1
- initial build for Vine Linux

* Fri May 02 2008 Caolan McNamara <caolanm@redhat.com> - 2.4-1
- latest version

* Tue Feb 19 2008 Caolan McNamara <caolanm@redhat.com> - 2.3.1-1
- latest version

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3-2
- Autorebuild for GCC 4.3

* Mon Nov 12 2007 Caolan McNamara <caolanm@redhat.com> - 2.3-1
- initial version
