%define	ver	1.5.6
%define	rel	1

Name: ibus-anthy
Version: %{ver}
Release: %{rel}%{?_dist_release}
Summary: The Anthy engine for IBus input platform
License: GPLv2+
Group: System Environment/Libraries
URL: http://code.google.com/p/ibus/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext, libtool, python-devel >= 2.5, anthy-devel, swig
BuildRequires: glib2-devel >= 2.26.0
BuildRequires: gobject-introspection-devel
BuildRequires: pygobject3-devel
BuildRequires: ibus-devel
Requires: ibus, anthy

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
The Anthy engine for iBus platform. It provides Japanese input method from
libanthy.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%check
make check

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/ibus-engine-anthy
%{_libexecdir}/ibus-setup-anthy
%{_libdir}/libanthygobject*.so*
%{_libdir}/girepository-1.0/Anthy-*.typelib
%dir %{_datadir}/ibus-anthy
%{_datadir}/ibus-anthy/*
%{_datadir}/ibus/component/anthy.xml
%{_datadir}/icons/hicolor/scalable/apps/ibus-anthy.svg
%{_datadir}/gir-1.0/Anthy-*.gir
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_includedir}/ibus-anthy-1.0

%changelog
* Mon May  4 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.5.6-1
- update to 1.5.6

* Sat Nov 17 2012 IWAI, Masaharu <iwai@alib.jp> 1.4.99.20121006-1
- new upstream release
- add BuildRequires
  - glib2-devel >= 2.26.0
  - gobject-introspection-devel
  - pygobject3-devel
  - ibus-devel
- update %%files

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.6-2
- rebuild with python-2.7.2

* Thu May 26 2011 IWAI, Masaharu <iwai@alib.jp> 1.2.6-1
- new upstream release

* Thu Dec 23 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.5-1
- new upstream release

* Wed Oct 20 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.3-1
- new upstream release

* Tue Jun 01 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-2
- rebuild with anthy-9100h-8

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.1-1
- new upstream release
- clean up:
  - drop unused git_source and python_sitearch

* Fri Apr 16 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20100313-1
- new upstream release

* Sun Nov 29 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091127-1 
- new upstream release

* Thu Oct  8 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090917-1
- new upstream release

* Thu Sep 17 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090907-1
- new upstream release
- update BuildRequires

* Fri Aug 28 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090814-1
- new upstream release

* Sat Jun 20 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090603-1
- new upstream release
- add Packager tag

* Sat Apr  4 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090402-1
- new upstream release

* Mon Feb 23 2009 IWAI, Masaharu <iwai@alib.jp> - 1.1.0.20090211-1
- new upstream release

* Mon Jan 26 2009 IWAI, Masaharu <iwai@alib.jp> - 0.1.1.20090126-1
- initial release
