%bcond_without libonly

%define sover 60
%define minorver 3

%define _unpackaged_files_terminate_build 1

Summary: International Components for Unicode
Summary(ja): ユニコード用国際化コンポーネント
Name: icu%{sover}
Version: %{sover}.%{minorver}
Release: 2%{?_dist_release}
Group:   Development/Tools
License: MIT
URL:     http://icu-project.org/

Source0: https://github.com/unicode-org/icu/releases/download/release-%{sover}-%{minorver}/icu4c-%{sover}_%{minorver}-src.tgz
Source1: https://github.com/unicode-org/icu/releases/download/release-%{sover}-%{minorver}/icu4c-%{sover}_%{minorver}-docs.zip

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++
BuildRequires: unzip perl 
Requires: libicu%{sover} = %{version}

Vendor: Project Vine
Distribution: Vine Linux

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the Unicode character database and derived
properties, along with converters and time zones data.

%package -n libicu%{sover}
Summary: International Components for Unicode (library)
Summary(ja): ユニコード用国際化コンポーネント (ライブラリ）
Group: System Environment/Libraries
Provides: libicu%{sover} = %{version}-%{release}

%description -n libicu%{sover}
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU. It does not
contain any of the data files needed at runtime.

%if %{without libonly}
%package -n libicu%{sover}-devel
Summary: Header files, libraries and development documentation for libicu
Summary(ja): libicu 用のヘッダファイル、ライブラリおよび開発用ドキュメント
Group: Development/Libraries
Requires: libicu = %{version}-%{release}

%description -n libicu%{sover}-devel
This package contains the header files, static libraries for %{name}. 
If you like to develop programs using %{name}, you will need to install 
%{name}-devel.

%package -n libicu%{sover}-doc
Summary: Documentation for International Components for Unicode
Summary(ja): ユニコード用国際化コンポーネントのドキュメント
Group: Applications/Documentation

%description -n libicu%{sover}-doc
This package contains the development documentation for %{name}. 
%endif

%prep
%setup -q -n icu

find . -name CVS -o -name .cvsignore | xargs -r rm -rf
perl -pi -e 's/^(HAVE_DOT\b.*=).*$/$1 YES/' source/Doxyfile.in

mkdir docs
pushd docs
unzip %{SOURCE1}
popd

%build
cd source
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static --with-data-packaging=library --disable-samples 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make -C source install DESTDIR=$RPM_BUILD_ROOT
cp -pR ./source/tools/ctestfw/libicutest.so* $RPM_BUILD_ROOT/%{_libdir}
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*

%if %{with libonly}
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_sbindir}
rm -rf %{buildroot}%{_libdir}/{icu,pkgconfig}
rm -f  %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_datadir}
%endif

%ifarch x86_64
%check || :
make %{?_smp_mflags} -C source check
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libicu%{sover} -p /sbin/ldconfig

%postun -n libicu%{sover} -p /sbin/ldconfig

%if %{without libonly}
%files
%defattr(-, root, root, 0755)
%license LICENSE
%doc license.html readme.html
%{_bindir}/derb
%{_bindir}/genbrk
%{_bindir}/gencfu
%{_bindir}/gencnval
%{_bindir}/gendict
%{_bindir}/genrb
%{_bindir}/icuinfo
%{_bindir}/makeconv
%{_bindir}/pkgdata
%{_bindir}/uconv
%{_sbindir}/*
%{_mandir}/man?/*
%exclude %{_mandir}/man1/icu-config.1*
%endif

%files -n libicu%{sover}
%license LICENSE
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*

%if %{without libonly}
%files -n libicu%{sover}-devel
%license LICENSE
%defattr(-, root, root, 0755)
%{_bindir}/icu-config
%{_includedir}/unicode
%{_libdir}/*.so
%{_libdir}/icu
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/icu-config.1*
%{_datadir}/icu

%files -n libicu%{sover}-doc
%license LICENSE
%defattr(-,root,root,-)
%doc docs/*
%endif

%changelog
* Sun Oct 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.3-2
- changed %%name and built for compatibility.

* Fri Aug 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.3-1
- updated to 60.3.
- disables test on i686.

* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.2-1
- updated to 60.2.

* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 56.1-2
- rebuild with gcc-5.4.0

* Thu Oct 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 56.1-1
- update to 56.1

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 54.1-1
- update to 54.1

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 52.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 51.2-1
- update to 51.2

* Tue Apr 13 2010 Shu KONNO <owa@bg.wakwak.com> 4.4-2
- install libicutest.so*

* Sat Apr 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4-1
- new upstream release
- built with new toolchain

* Sun Mar 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0.1-1vl5
- new upstream release
- updated URL

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 3.6-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.6-0vl1
- updated to 3.6
- removed ".so ver" from libicu package name
- changed Group to Development/Tools
- changed libicu-doc Group to Applications/Documentation

* Tue Mar 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.4.1-0vl1
- updated to 3.4.1

* Sun Jul 31 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.2-3vl1
- updated to 3.2 based on Fedora extra
- new subpackage libicu-doc for API document 

* Sat Oct 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.0-0vl1
- Build for Vine Linux
- add developers document to devel package
- add Japanese summary

* Wed Feb 25 2004 Dag Wieers <dag@wieers.com> - 2.6.2-1
- Fixed a typo in the dependencies "libuci" should be "libicu". (Daniel Demus)

* Wed Feb 25 2004 Dag Wieers <dag@wieers.com> - 2.6.2-0
- Initial package. (using DAR)
