Name:		id3lib
Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Summary(ja):	ID3v1/v2 タグを扱うためのライブラリ
Version:	3.8.3
Release:	5%{?_dist_release}
Group:		System Environment/Libraries
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2
URL:		http://id3lib.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/id3lib/id3lib-%{version}.tar.gz
Patch0:		http://prdownloads.sourceforge.net/easytag/patch_id3lib_3.8.3_UTF16_writing_bug.diff
Patch1:		id3lib-3.8.3-fix-id3v2-latest.patch
Patch2:		id3lib-3.8.3-mkstemp.patch
Patch3:         id3lib-3.8.3-includes.patch
Patch4:         http://launchpadlibrarian.net/33114077/id3lib-vbr_buffer_overflow.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	zlib-devel

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities. Additionally, it can tell mp3 header info, like bitrate etc.

%description -l ja
ID3v1/v2 タグを扱うためのライブラリです。
標準に従った ID3v1/v2 タグ機能をアプリケーションに含めるための便利なイン
ターフェイスを提供します。
含まれている機能には、有効なタグの識別、自動的なサイズ変換、タグフレーム
の (再) 同期化、シームレスなタグの圧縮 (及び伸長) などがあります。


%package	devel
Summary:	Headers for developing programs that will use id3lib
Summary(ja):	id3lib を使うソフトウェアの開発用ヘッダーファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:       zlib-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%description -l ja devel
このパッケージには id3lib を使うアプリケーションの開発に必要なヘッダー
ファイルが含まれています。


%prep
%setup -q

%patch0 -p1 -b .UTF-16
%patch1 -p1 -b .id3v2-latest
%patch2 -p1 -b .mkstemp
%patch3 -p1 -b .gcc43
%patch4 -p1
chmod -x src/*.h src/*.cpp include/id3/*.h


%build
%configure --enable-debug=no --enable-static=no

%__make
( cd doc ; %__make index.html )


%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la 


%clean
%__rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO
%doc doc/*.html doc/*.css doc/*.gif doc/*.png doc/*.txt
%{_bindir}/id3*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/id3*.h
%{_includedir}/id3
#{_libdir}/*.la
#{_libdir}/*.a
%{_libdir}/*.so


%changelog
* Mon May 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.8.3-5
- rebuilt with current environment.

* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-4
- rebuild with gcc-5.4.0

* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-3
- rebuild with VineSeed environment

* Sat Mar 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.3-2
- added Patch3 to build with current toolchain

* Sun Jun 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.3-1
- applied new versioning policy
- removed lib*.la files from devel package
- spec in UTF-8

* Wed Sep 05 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 3.8.3-0vl8
- [SECURITY] add mktemp.patch (patch2)
  - fix insecure temporary file creation vulnerability (CVE-2007-4460)

* Fri May 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8.3-0vl7
- rebuild with new environment/toolchain

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl6
- rebuild

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl5
- add UTF16_writing_bug.diff (patch0) to fix UTF-16 writing <Tracker:1016290>
- add fix-id3v2-latest.patch (patch1) to read ID3v2.4.0 tags <Tracker:1500788>
- add --enable-static=no option to %%configure

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl4
- rebuild

* Thu Nov 04 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl3
- add Requires: zlib-devel (id3lib-devel)

* Tue Aug 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl2
- add BuildRequires: zlib-devel
- add Summary, Description in Japanese

* Thu Apr 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.8.3-0vl1
- first build for Vine Linux

* Sat Sep 08 2001 Cedric Tefft <cedric@earthling.net> 3.8.0pre2
- Version 3.8.0pre2

* Mon Nov 20 2000 Scott Thomas Haug <scott@id3.org> 3.8.0pre1-1
- Version 3.8.0pre1

* Thu Sep 14 2000 Scott Thomas Haug <scott@id3.org> 3.7.13-1
- Version 3.7.13

* Sat Aug 26 2000 Scott Thomas Haug <scott@id3.org> 3.7.12-2
- Removed -mpreferred-stack-boundary option from RPM_OPT_FLAGS for RedHat 6.2

* Fri Jul 07 2000 Scott Thomas Haug <scott@id3.org> 3.7.12-1
- Version 3.7.12

* Wed Jul 05 2000 Scott Thomas Haug <scott@id3.org> 3.7.11-1
- Version 3.7.11

* Fri Jun 23 2000 Scott Thomas Haug <scott@id3.org> 3.7.10-1
- Version 3.7.10

* Wed May 24 2000 Scott Thomas Haug <scott@id3.org> 3.7.9-1
- Version 3.7.9

* Wed May 10 2000 Scott Thomas Haug <scott@id3.org> 3.7.8-1
- Version 3.7.8

* Wed May 10 2000 Scott Thomas Haug <scott@id3.org> 3.7.7-1
- Version 3.7.7

* Wed May 03 2000 Scott Thomas Haug <scott@id3.org> 3.7.6-1
- Version 3.7.6

* Fri Apr 28 2000 Scott Thomas Haug <scott@id3.org> 3.7.5-1
- Version 3.7.5

* Wed Apr 26 2000 Scott Thomas Haug <scott@id3.org> 3.7.4-1
- Version 3.7.4

* Mon Apr 24 2000 Scott Thomas Haug <scott@id3.org> 3.7.3-1
- Version 3.7.3
- Added explicit RPM_OPT_FLAGS def based on arch, since -fno-exceptions and
  -fno-rtti are part of the default flags in rpmrc and we need both exceptions
  and rtti (exceptions uses rtti)

* Fri Apr 21 2000 Scott Thomas Haug <scott@id3.org> 3.7.2-1
- Version 3.7.2
- More conditional blocks for noarch
- More thorough cleaning of files for documentation
- Updated html directory

* Thu Apr 20 2000 Scott Thomas Haug <scott@id3.org> 3.7.1-2
- Fixed date of changelog entry for 3.7.1-1
- Added conditional blocks so docs only get built for noarch target

* Wed Apr 19 2000 Scott Thomas Haug <scott@id3.org> 3.7.1-1
- Version 3.7.1
- Removed zlib-devel requirement from devel
- Added doc package to distribute documentation
- Added examples package to distribute binary examples (id3tag, id3info, ...)
- Moved doc/ and examples/ source files from devel to doc package

* Mon Apr 17 2000 Scott Thomas Haug <scott@id3.org> 3.7.0-1
- First (s)rpm build
