%define pkg_name    imagej
%define pkg_version 1.5.0
%define pkg_release 1%{?_dist_release}

Summary:     Image processing program inspired by NIH Image
Summary(ja): NIH Imageがきっかけとなって作成された画像処理ソフトウェア
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: Public Domain
Group:   Applications/Edutainment
URL:     https://imagej.nih.gov/ij
Source0: http://wsr.imagej.net/distros/cross-platform/ij150.zip
Source11: imagej.desktop
Source12: Imagej1-icon.png

BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
It can display, edit, analyze, process, save and print 8-bit, 16-bit
and 32-bit images. It can read many image formats including TIFF, GIF,
JPEG, BMP, DICOM, FITS and "raw". It supports "stacks", a series of
images that share a single window.

It can calculate area and pixel value statistics of user-defined selections.
It can measure distances and angles. It can create density histograms and
line profile plots. It supports standard image processing functions such as
contrast manipulation, sharpening, smoothing, edge detection and median
filtering.

Spatial calibration is available to provide real world dimensional
measurements in units such as millimeters. Density or gray scale
calibration is also available.

ImageJ is developed by Wayne Rasband (wayne@codon.nih.gov), is at
the Research Services Branch, National Institute of Mental Health,
Bethesda, Maryland, USA.

%description -l ja
ImageJでは、8ビット、16ビットまたは32ビットの画像を表示したり、
加工、解析、処理、保存、印刷したりできる。読み込める画像フォーマットは数多く、
TIFF、GIF、JPEG、BMP、DICOM、FITS や 「raw（生データ）」画像などである。
また、ひと続きになった多くの画像を、1つのウィンドウでまとめて扱う
「Stacks（スタック）」機能をサポートしている。マルチスレッド（multi-thread）
処理に対応しているので、時間のかかる作業（例、画像ファイル読み込みなど）は
他の処理を行いながら並行して処理できる。

ImageJでは、ユーザーが決めた選択範囲に対して、その面積やピクセル値（輝度値）に
関する統計量を算出できる。距離や角度も計算できる。輝度分布のヒストグラム
（度数分布）や2点間の輝度変化の様子を示す「ラインプロファイル」プロットを作成
できる。また、一般的な画像処理機能、たとえば、コントラスト調節やシャープ、
スムージング、輪郭の検出、メディアン（中央値）などのフィルタ処理も行うことが
できる。

画像の拡大縮小、回転、反転といった幾何学的な変換も行える。表示は、32倍表示から
1/32表示までのズームが可能。どの倍率で表示していても、すべての解析、処理機能が
使える。コンピュータのメモリ領域が利用できる限り画像（ウィンドウ）を何枚でも
同時に開いておくことができる。

ミリメートルなど現実の単位を使って計測ができるように、長さのキャリブレーション
が可能である。また、濃度（輝度）のキャリブレーションも可能である。

ImageJ は、オープン・アーキテクチャとして設計されていて、Java によるプラグイン
ソフトを追加すると機能を拡張できる。ImageJ にはエディタと Java コンパイラが
内蔵されていて、ユーザ独自の画像取込み、解析や処理用のプラグインを開発できる。
必要なプラグインを作成することで、ほぼあらゆる画像処理や解析の問題を解決できる。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n ImageJ

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}
%{__cp} -r ../ImageJ ${RPM_BUILD_ROOT}%{_libdir}
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/TmageJ/ImageJ.exe

# menu / icon
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons
%{__cp} %{SOURCE11} ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__cp} %{SOURCE12} ${RPM_BUILD_ROOT}%{_datadir}/icons/

# make "/usr/bin/imagej"
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
echo "java -Xmx512m -jar %{_libdir}/ImageJ/ij.jar" > \
     ${RPM_BUILD_ROOT}%{_bindir}/imagej
%{__chmod} +x ${RPM_BUILD_ROOT}%{_bindir}/imagej

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/ImageJ
%{_datadir}/applications/
%{_datadir}/icons/


%changelog
* Thu May 12 2016 Toshiaki Ara <ara_t@384.jp> 1.5.0-1
- new package

