# Note that this is NOT a relocatable package
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name: imlib
Summary: Image loading and rendering library for X11R6
Summary(ja): 画像の読み込み/レンダリング用のライブラリ
Version: 1.9.15
Release: 6%{?_dist_release}

License: LGPL
Group: System Environment/Libraries

Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2

Patch1: imlib-1.9.13-sec2.patch
Patch2: imlib-1.9.14-configure-x86_64.patch
Patch3: imlib-1.9.15-libpng15.patch
Patch4: imlib-1.9.15-bpp16-CVE-2007-3568.patch
Patch5:	imlib-1.9.13-underquoted.patch
Patch6: imlib-1.9.15-giflib4.patch
Obsoletes: Imlib

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: giflib-devel
BuildRequires: gtk+-devel >= 1.2.1
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel >= 2:1.2.5
BuildRequires: libtiff-devel
BuildRequires: libSM-devel
BuildRequires: libXt-devel
BuildRequires: zlib-devel
Requires: netpbm-progs

%description
Imlib is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexability and
speed.

%package -n compat32-%{name}
Summary: Image loading and rendering library for X11R6
Summary(ja): 画像の読み込み/レンダリング用のライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Imlib is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexability and
speed.

%package devel
Summary: Imlib headers, static libraries and documentation
Summary(ja): Imlib のヘッダファイルおよび静的ライブラリ、ドキュメント
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libungif-devel libjpeg-devel 
Requires: libtiff-devel libpng-devel zlib-devel
Obsoletes: Imlib

%description devel
Headers, static libraries and documentation for Imlib.

%package cfgeditor
Summary: Imlib configuration editor
Summary(ja): Imlib 設定エディタ
Group: Applications/System
Requires: %{name} = %{version}
#Requires: gtk+ >= 1.2.1

%description cfgeditor
The imlib_config program allows you to control the way imlib uses
color and handles gamma correction/etc.

%prep
%setup -q
#patch0 -p1 -b .bmp-buffer-overflow
%patch1 -p1 -b .can-2004-1025_1026
%patch2 -p1 -b .x86_64
%patch3 -p0 -b .libpng
## CVE-2007-3568 (DoS via a BMP image with a Bits Per Page of 0) (#426091)
%patch4 -p0 -b .bpp16
## Fix underquoted m4 definitions
%patch5 -p1 -b .underquoted
%patch6 -p1 -b .giflib4

%build
%define __libtoolize /bin/true
%configure --disable-static

## Remove -L%%{_libdir} from imlib-config if present;
## it's redundant and breaks multilib compatibility
sed -i -e 's,-L%{_libdir} ,,g' imlib-config

## Kill bogus RPATHs
sed -i 's|^sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir}|' libtool

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

##%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

##%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%config %{_sysconfdir}/*
%{_libdir}/lib*.so.*
%{_libdir}/libimlib-*.so

%files cfgeditor
%defattr(-,root,root)
%{_bindir}/imlib_config
%{_mandir}/man1/imlib_config*

%files devel
%defattr(-,root,root)
%doc doc/*.gif doc/*.html
%{_bindir}/imlib-config
%{_libdir}/libImlib.so
%{_libdir}/libgdk_imlib.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/imlib-config*

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/libimlib-*.so
%endif

%changelog
* Sun Sep 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.9.15-6
- fixed Group typo on cfgeditor subpackage

* Fri Sep 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.9.15-5
- added Patch4, Patch5 from Fedora
- added Patch6 to build with giflib-4.2.3

* Fri Jul 18 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.9.15-4
- add BuildRequires: libSM-devel, libXt-devel
- add Patch3 (imlib-1.9.15-libpng15.patch) from fedora

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.9.15-3
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 1.9.15-2
- spec in utf-8

* Tue Jul 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.15-1
- updated to 1.9.15 (dropped Patch0)
- applied to new versioning policy

* Wed May 24 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.9.14-0vl10
- added compat32-imlib package for x86_64 architecture support

* Fri Feb 17 2006 Shu KONNO <owa@bg.wakwak.com> 1.9.14-0vl9
- added imlib-1.9.14-configure-x86_64.patch
- disable %%find_lang macro
- rebuilt for x86_64 architecture

* Sat May 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.14-0vl8
- added Requires: lib*-devel to devel package
- added %{_libdir}/pkgconfig/*.pc files to devel package
- removed gtk+ dependancy on main package

* Wed Feb 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.14-0vl7
- rebuild for VineSeed

* Mon Jan 31 2005 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.9.14-0vl6.1
- Added a security patch for CAN-2004-1025 and CAN-2004-1026.
- Patch1: imlib-1.9.13-sec2.patch
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138516

* Fri Sep 17 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 1.9.14-0vl6
- Updated Patch0: http://bugzilla.gnome.org/show_bug.cgi?id=151034#c8

* Wed Sep  1 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp>  1.9.14-0vl5
- Added a security patch for buffer overflow in bmp handling (Patch0).

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.9.14-0vl4
- rebuild 

* Sat Apr 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.9.14-0vl2
- rebuild with libpng12-devel
- add BuildPrereq

* Sat Mar 30 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9.14-0vl1
- updated to new upstream release
- Patch0 removed (merged into upstream source)

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 1.9.10-0vl2: fix to build against new libtool

* Tue May  8 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.9.10-0vl1
- New upstream release.

* Wed Mar  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.9.9-0vl1
- New upstream release.
- use rpmmacros.

* Mon Feb 19 2001 Jun Nishii <jun@vinelinux.org>
- 1.9.8.1-2vl2
- requires netpbm-progs instead of libgr-progs

* Sun Jul 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- change to use libtoolize

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- change group
- added Japanese summary

* Wed Jan 5 2000 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp>
- added setlocale patch

* Mon Jan 11 1999 Carsten Haitzler <raster@redhat.com>
- up to 1.9.0

* Wed Sep 23 1998 Carsten Haitzler <raster@redhat.com>
- up to 1.8.1

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- yet another build for today (%defattr and %attr in the files lists)
- devel docs are back on the spec file

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- Added minor patch for ps saving code.

* Mon Sep 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to version 1.8

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- take out imlib_config from devel package

* Wed Sep 9 1998 Michael Fulbright <msf@redhat.com>
- upgraded to 1.7
- changed name so it will persist if user later install devel imlib
- added subpackage for imlib_config

* Fri Apr 3 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed typo

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Added -k, Obsoletes
- Integrate into CVS source tree

