Summary: Powerful image loading and rendering library
Summary(ja): 強力な画像ロード & レンダリングライブラリ
Name: imlib2
Version: 1.6.1
Release: 1%{?_dist_release}
Group: System Environment/Libraries
Vendor: Project Vine
Distribution: Vine Linux

License: BSD
Source: https://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.bz2
Patch1000: CVE-2020-12761.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: freetype2-devel
BuildRequires: libid3tag-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

Requires: %{name}-loaders = %{version}

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%package devel
Summary: Imlib2 headers, static libraries and documentation
Summary(ja): Imlib2 のヘッダーファイル，静的ライブラリ，ドキュメント
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Headers, static libraries and documentation for Imlib2.

%package filters
Summary: Imlib2 basic plugin filters set
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description filters
Basic set of plugin filters that come with Imlib2

%package loaders
Summary: Imlib2 loader set
Group: System Environment/Libraries
#Requires: libjpeg libpng zlib libtiff
Provides: %{name}-loader_jpeg %{name}-loader_png %{name}-loader_argb
Provides: %{name}-loader_bmp %{name}-loader_gif %{name}-loader_pnm
Provides: %{name}-loader_tga %{name}-loader_tiff %{name}-loader_xpm
Provides: %{name}-loader_gz %{name}-loader_bz2 
Provides: %{name}-loader_lbm %{name}-loader_id3
Provides: %{name}-loader = %{version}-%{release}
Obsoletes: %{name}-loader < %{version}-%{release}

%description loaders
Set of image loader/saver of Imlib2. This package contains 
the following loader.

loader_lbm - LBM image loader/saver 
loader_jpeg - JPEG image loader/saver
loader_png - PNG image loader/saver
loader_argb - ARGB image loader/saver
loader_bmp - BMP image loader/saver
loader_gif - GIF image loader
loader_pnm - PNM image loader/saver
loader_tga - TGA image loader/saver
loader_tiff - TIFF image loader/saver
loader_xpm - XPM image loader/saver
loader_bz2 - Bzip2 compressed image loader/saver
loader_gz  - gz compressed image loader/saver
loader_id3 - id3 tag image loader/saver

%prep
%setup -q
%patch1000 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackage files
rm -f $RPM_BUILD_ROOT%{_libdir}/imlib2/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%license COPYING
%doc AUTHORS README doc/index.html doc/imlib2.gif doc/blank.gif
%{_libdir}/lib*.so.*
%{_bindir}/imlib2_*
%{_datadir}/imlib2

%files devel
%defattr(-,root,root,0755)
%{_bindir}/imlib2-config
%{_libdir}/libImlib2.so
#{_libdir}/*.a
%{_libdir}/pkgconfig/imlib2.pc
%{_includedir}/*

%files filters
%defattr(-,root,root,0755)
%dir %{_libdir}/imlib2/filters
%{_libdir}/imlib2/filters/*.so

%files loaders
%defattr(-,root,root,0755)
%dir %{_libdir}/imlib2/loaders
%{_libdir}/imlib2/loaders/*.so

%changelog
* Sat May 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.1-1
- new upstream release.
- added Patch1000 to fix CVE-2020-12761.

* Wed May 18 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.9-1
- new upstream release.

* Sun Nov 15 2015 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4.7-1
- new upstream release
- deleted vl4 conditional branch

* Fri Jul 18 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4.6-2
- rebuilt with libpng-1.6.12

* Sat Jan 18 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4.6-1
- new upstream release

* Wed Jun 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4.5-1
- new upstream release
- deleted Patch1

* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> 1.4.3-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.3-1
- new upstream release (includeing security fix CVE-2008-6079)
- added Patch1 for CVE-2010-0991
- added --disable-static to %%configure
- renamed "loader" subpackage to "loaders"

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.1-1
- new upstream release (including security fix CVE-2008-2426)

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.2-1vl5
- applied new versioning policy, spec in utf-8

* Wed May 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-0vl1
- updated to 1.2.2

* Sat Feb  5 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- updated to 1.2.0
- fix typo

* Wed Oct  6 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.1.0-1vl2
- added patch imlib2-1.1.0-bmpfix.patch for CAN-2004-0817

* Sat May 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.0-1vl1
- rebuild with Vine Linux
- s/Copyright/License/
- collect imlib2-loader-* packages and make imlib2-loader package

* Mon Jan 8 2001 The Rasterman <raster@rasterman.com>
- Fix Requires & BuildRequires for freetype.

* Sat Sep 30 2000 Lyle Kempler <term@kempler.net>
- Bring back building imlib2 as root via autogen.sh for the lazy (me)
- Some minor changes

* Sat Sep 30 2000 Joakim Bodin <bodin@dreamhosted.com>
- Linux-Mandrake:ise the spec file

* Tue Sep 12 2000 The Rasterman <raster@rasterman.com>
- Redo spec file

* Wed Aug 30 2000 Lyle Kempler <kempler@utdallas.edu>
- Include imlib2-config

* Sat May 20 2000 Lyle Kempler <kempler@utdallas.edu>
- Fixed problems with requiring imlib2_view
- Went back to imlib2_view (not imlib2-view)

* Tue Nov 2 1999 Lyle Kempler <kempler@utdallas.edu>
- Mangled imlib 1.9.8 imlib spec file into imlib2 spec file
