Summary: Integer point manipulation library
Name: isl
Version: 0.23
Release: 2%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: MIT
URL: http://isl.gforge.inria.fr/

%global libmajor 23
%global libversion %{libmajor}.0.0

%global oldversion 0.16.1
%global oldlibmajor 15
%global oldlibversion %{oldlibmajor}.1.1

# Please set buildid below when building a private version of this rpm to
# differentiate it from the stock rpm.
#
# % global buildid .local

BuildRequires: gmp-devel
BuildRequires: pkgconfig

Source0: http://isl.gforge.inria.fr/isl-%{version}.tar.xz

# Current gcc requires exactly 0.14.1
Source1: http://isl.gforge.inria.fr/isl-%{oldversion}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package devel
Summary: Development for building integer point manipulation library
Group: programming
Requires: isl == %{version}-%{release}
Requires: gmp-devel

%description devel
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.


%debug_package


%prep
%global docdir isl-%{version}
%setup -a 1 -q -n isl -c


%build
cd isl-%{oldversion}
%configure
make %{?_smp_mflags} V=1
cd ..

cd isl-%{version}
%configure
make %{?_smp_mflags} V=1


%install
cd isl-%{oldversion}
%make_install INSTALL="install -p" install-libLTLIBRARIES
cd ..

cd isl-%{version}
%make_install INSTALL="install -p"
rm -f %{buildroot}/%{_libdir}/libisl.a
rm -f %{buildroot}/%{_libdir}/libisl.la
mkdir -p %{buildroot}/%{_datadir}
%global gdbprettydir %{_datadir}/gdb/auto-load/%{_libdir}
mkdir -p %{buildroot}/%{gdbprettydir}
mv %{buildroot}/%{_libdir}/*-gdb.py* %{buildroot}/%{gdbprettydir}


%check
cd isl-%{oldversion}
#make check
cd ..

cd isl-%{version}
#make check


%files
%{_libdir}/libisl.so.%{libmajor}
%{_libdir}/libisl.so.%{libversion}
%{_libdir}/libisl.so.%{oldlibmajor}
%{_libdir}/libisl.so.%{oldlibversion}
%{gdbprettydir}/*
%license %{docdir}/LICENSE
%doc %{docdir}/AUTHORS %{docdir}/ChangeLog %{docdir}/README

%files devel
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc
%doc doc/manual.pdf


%changelog
* Sat Apr 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.23-2
- rebuilt with current environment.

* Tue Feb 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.23-1
- new upstream release.

* Sun Jan 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.16.1-1
- new upstream release.

* Sat Jun 25 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.1-1
- initial build for Vine Linux


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 5 2015 David Howells <dhowells@redhat.com> - 0.14-3
- Initial packaging.
