Name:		jansson
Version:	2.13.1
Release:	1%{?_dist_release}
Summary:	C library for encoding, decoding and manipulating JSON data
Summary(ja):	JSONデータをエンコード・デコード・操作するためのライブラリ
Vendor:		Project Vine
Distribution:	Vine Linux

Group:		system
License:	MIT
URL:		http://www.digip.org/jansson/
Source0:	http://www.digip.org/jansson/releases/jansson-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Small library for parsing and writing JSON documents.


%package devel
Summary: Header files for jansson
Summary(ja): Header files for jansson
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files for developing applications making use of jansson.


%debug_package


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%check
make check


%install
rm -rf "$RPM_BUILD_ROOT"
make install INSTALL="install -p" DESTDIR="$RPM_BUILD_ROOT"
rm "$RPM_BUILD_ROOT%{_libdir}"/*.la


%clean
rm -rf "$RPM_BUILD_ROOT"


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license LICENSE
%doc CHANGES
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.rst
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Wed Feb 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.13.1-1
- new upstream release.

* Fri Mar 27 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.12-2
- rebuilt with current environment.

* Fri Nov 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.12-1
- new upstream release.

* Sat Feb 24 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.11-1
- new upstream release.
- dropped Patch1000 (fixed in upstream).

* Fri May 20 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7-2
- added Patch1000 to fix CVE-2016-4425.

* Wed Jul  8 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7-1
- new upstream release.

* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 	2.1-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 11 2011 Sean Middleditch <sean@middleditch.us> 2.1-1
- Update to Jansson 2.1.
- Drop Sphinx patch, no longer necessary.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 03 2010 Sean Middleditch <sean@middleditch.us> 1.3-1
- Update to Jansson 1.3.
- Disable warnings-as-errors for Sphinx documentation.

* Thu Jan 21 2010 Sean Middleditch <sean@middleditch.us> 1.2-1
- Update to Jansson 1.2.

* Mon Jan 11 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-4
- Update jansson description per upstream's suggestions.
- Removed README from docs.

* Sat Jan 09 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-3
- Correct misspelling of jansson in the pkg-config file.

* Sat Jan 09 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-2
- Fix Changelog dates.
- Mix autoheader warning.
- Added make check.
- Build and install HTML documentation in -devel package.

* Thu Jan 07 2010 Sean Middleditch <sean@middleditch.us> 1.1.3-1
- Initial packaging for Fedora.
