%define mainver 0.99
%define subver 19

Summary: Fast, compact editor based on the S-Lang screen library
Summary(ja): Slang 画面ライブラリを用いた高速でコンパクトなエディタ
Name: jed
Version: %{mainver}.%{subver}
Release: 3%{?_dist_release}
License: GPL+
Group: Applications/Editors
Source0: ftp://space.mit.edu/pub/davis/jed/v%{mainver}/jed-%{mainver}-%{subver}.tar.bz2
Patch1: jed-0.99.12-xkeys.patch
URL: http://www.jedsoft.org/jed/
Patch2: jed-etc.patch
Patch3: jed-multilib-newauto.patch
Obsoletes: jed-common jed-xjed
Requires: slang-slsh
BuildRequires: slang-devel >= 2.0
BuildRequires: autoconf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     Daisuke SUZUKI <daisuke@linux.or.jp>

%description
Jed is a fast, compact editor based on the S-lang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief
editors; support for extensive customization with slang macros,
colors, keybindings; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if
you haven't used any text editors before and you're still deciding
what you'd like to use.

%description -l ja
Jed は slang 画面ライブラリを使った高速でコンパクトなエディタです．
Jed の機能には，Emacs/EDT/WordStar/Brief エディタのエミュレーション，
カラー，キーバインド等の slang マクロを使った豊富なカスタマイズ機能
等があります．他にも幾多のプログラミングモードを備えており，シンタックス
ハイライト機能を備えています．

%prep
%setup -q -n jed-%{mainver}-%{subver}
%patch1 -p1 -b .xkeys
%patch2 -p1
%if "%{_lib}" == "lib64"
%patch3 -p1
%endif

find doc -type f -exec chmod a-x {} \;

cd autoconf
autoconf
mv configure ..
cd ..

%build
export JED_ROOT="%{_datadir}/jed"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_ROOT%{_datadir}/jed
  export JED_ROOT=.
  ../../bin/jed -batch -n -l ./lib/preparse.sl < /dev/null
popd

rm -f $RPM_BUILD_ROOT%{_mandir}/man*/rgrep*

rm -rf $RPM_BUILD_ROOT%{_datadir}/jed/doc/{txt,manual,README}
rm -rf $RPM_BUILD_ROOT%{_datadir}/jed/bin $RPM_BUILD_ROOT%{_datadir}/jed/info

sed -i "s|JED_ROOT|%{_datadir}/jed|g" $RPM_BUILD_ROOT/%{_mandir}/man1/jed.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT doc INSTALL INSTALL.unx README changes.txt
%{_bindir}/*
%{_mandir}/man1/jed.*
%{_datadir}/jed

%changelog
* Sun Jul 13 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.99.19-3
- rebuilt

* Mon Apr 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.99.19-2
- added Requires: slang-slsh

* Sun Apr 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.19-1
- new upstream release

* Fri Jun 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.18-1
- new upstream release
- use slang-2.0
- drop canna/slang-j patch
- drop xjed, rgrep
  - add Obsoletes: jed-xjed, jed-common

* Sun Jan 13 2008 NAKAMURA Kenta <kenta@vinelinux.org> 0.99.14-0vl8
- moved JED_ROOT to %%{_datadir}/jed
- updated Source14: jed.sh and Source15: jed.csh

* Tue Mar 27 2007 Shu KONNO <owa@bg.wakwak.com> 0.99.14-0vl7
- added '--libdir=%%{_libdir}' to configure options
- added Patch20: configure-slang.x86_64.patch
- added Patch21: configure-canna.x86_64.patch

* Mon Nov 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.14-0vl6
- disable canna by default

* Fri Jul 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.14-0vl5
- rebuild with new toolchains
- s/Copyright/License/

* Mon Feb 11 2002 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.14-0vl4
- added /etc/profile.d/jed.sh & jed.csh
- added patch jed-initcolor.patch
- fixed README.vine dot.jedrc.vine and jed.rc

* Sat Feb  9 2002 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.14-0vl3
- fixed input canna for xjed
- delete jed-menu.patch
- added BuildPrereq and info patch
- added Help Browse Docs
- modified README.vine

* Wed Jan 23 2002 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.14-0vl2
- fixed menu mode (added jed-menu.patch and fixed jedrc patch)
- fixed jed on kon console
- add xjed.desktop and delete wmconfig/xjed

* Wed Oct  3 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.14-0vl1
- update to jed-B0.99-14
- fixed ruby mode

* Sat Sep  8 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.13-0vl4
- delete xjed & gpm patches and clean spec file
  added dot.skkrc.vine and fixed README.vine
  skktcp moved jed-common from jed

* Sat Jul 28 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 0.99.13-0vl3
- delete rgrep package
- add ruby mode
- byte compiled japanese.sl kinsoku.sl canna.sl skk.sl
- fixed vi.sl and jp version

* Sat Jul 14 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.13-0vl2
- fixed typo in jed-B0.99-13jp0-make.patch
  ( ../info/jes.* -> ../info/jed.* )

* Wed Jun 27 2001 Matubara <matubara@mb.asmnet.ne.jp>
- 0.99.13-0vl1
- updatei to jed-B0.99-13
- use jed-B0.99-13jp1 patch
- use better macros
- add skktcp
- use Release No for Vine Linux

* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.98.7_jp-3
- /usr/man -> %%{_mandir}
- added Japanese summary and description

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.98.7_jp-2
- modified %files section to handle compressed man page(s)

* Fri Jul 16 1999 Daisuke SUZUKI <daisuke@linux.or.jp>
- added japanese patch j055

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
