Summary: Utilities for managing the JFS filesystem
Summary(ja): JFS ファイルシステムを管理するためのユーティリティ集

Name: jfsutils
Version: 1.1.15
Release: 2%{?_dist_release}
Group: System Environment/Base
License: GPLv2+
URL: http://jfs.sourceforge.net/

Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: jfsutils-1.1.15_stdint.patch
Patch1: jfsutils_format-security_ftbs.patch

Buildroot: %{_tmppath}/%{name}-%{version}
BuildRequires: libuuid-devel

Packager: kenta
Vendor:   Project Vine

%description
Utilities for managing IBM's Journaled File System (JFS) under Linux.  The
following utilities are available: jfs_fsck - initiate replay of the JFS
transaction log, and check and repair a JFS formatted device. jfs_fscklog -
extract a log from the JFS fsck workspace into a file and/or display it.
jfs_logdump - dump a JFS formatted device's journal log. jfs_mkfs - create
a JFS formatted partition. jfs_tune - adjust tunable parameters of the JFS
file system. jfs_debugfs - shell-type JFS file system editor.

%description -l ja
jfsutils は IBM が開発した Linux版 Journaled File System (JFS) の管理ユー
ティリティ群であり、次のユーティリティが含まれています。
jfs_fsck: JFSのトランザクション・ログのリプレイを初期化し、JFSフォーマット
          のデバイスのチェックや修復を行います。
jfs_fscklog: jfs_fsck の作業領域からログを抽出し、ファイルや画面に出力します。
jfs_logdump: JFSフォーマットのデバイスからジャーナル・ログをダンプします。
jfs_mkfs: JFSフォーマットのパーティションを作成します。
jfs_tune: JFSフォーマットのファイルシステムに関するいくつかのパラメータを
          調整することが出来ます。
jfs_debugfs: 対話型の JFS用ファイルシステム・エディタです。


%prep
%setup -q
find . -type f -name *.[ch] -exec chmod -x {} \;
%patch0 -p1
%patch1 -p1

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --mandir=%{_mandir}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_syssbindir}/*
%{_mandir}/*/*

%changelog
* Sun Jan 11 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.15-2
- rebuilt with current VineSeed
- added Patch1 and Patch2 from Fedora

* Sat Apr 16 2011 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.15-1
- new upstream release

* Sat May 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.14-1
- new upstream release

* Tue Jul 22 2008 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.13-1
- new upstream release
- spec in UTF-8
- new versioning policy

* Sun Oct 07 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.12-0vl1
- new upstream release

* Thu Nov 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.11-0vl2
- add Japanese Summaries and descriptions

* Fri Sep 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.11-0vl1
- new upstream release

* Fri Mar 10 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.1.10-1vl1
- initial release
