Name:		jhead
Summary:	EXIF JPEG header manipulation tool
Summary(ja):	JPEG の EXIF ヘッダを操作するツール
Version:	3.00
Release:	1%{?_dist_release}
License:	Public Domain
URL:		http://www.sentex.net/~mwandel/jhead/
Source:		http://www.sentex.net/~mwandel/jhead/%{name}-%{version}.tar.gz
Group:		Applications/Graphics
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libjpeg-turbo-utils

Vendor:		Project Vine
Distribution:	Vine Linux


%description
Jhead displays and manipulates the non-image portions of EXIF formatted
JPEG images, such as the images produced by most digital cameras.

Jhead can extract various EXIF info from an JPEG file such as:
time/date picture was taken; camera make/model; integral lowres thumbnail;
shutter speed; F-stop number; flash used; distance camera was focused at;
and many more. Jhead can also modify existing EXIF info on the JPEG file
such as rotation tag, date/time offsets, jpeg comments etc.


%description -l ja
Jhead は、JPEG 画像ファイルの EXIF 情報を表示したり編集したりするツールです。
ディジタルカメラで撮影された画像のほとんどは、EXIF 情報が付加されています。

Jhead を使うと、撮影日時、カメラのメーカーやモデル名、埋め込みサムネール、
シャッタースピード、F値、フラッシュ使用の有無、焦点距離、その他多くの
EXIF 情報を JPEG ファイルから取り出し表示することが出来ます。
また Jhead では、ローテーションタグや、日時オフセット、JPEG コメントなどを
修正することも可能です。


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 755 jhead %{buildroot}%{_bindir}
install -m 644 jhead.1 %{buildroot}%{_mandir}/man1/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc readme.txt usage.html changes.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*


%changelog 
%changelog 
* Sun Feb 14 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.00-1
- new upstream release

* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.95-1
- updated to 2.95 (the newest version so far)
- spec revamp; add comprehensive description (English/Japanese)

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.6-1vl5
- applied new versioning policy

* Fri Jun  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-0vl1
- new upstream release
- s/Copyright/License/
- changed Group to Applications/Graphics

* Sun Dec  2 2001 Jun Nishii <jun@vinelinux.org> 1.5-0vl1
- first release

