Summary: a command-line JSON processor
Name: jq
Version: 1.6
Release: 1%{?_dist_release}
License: BSD
Group: Applications/Text
URL: https://stedolan.github.io/jq/
Source0: https://github.com/stedolan/jq/releases/download/jq-%{version}/jq-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: oniguruma-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
jq is like sed for JSON data – you can use it to slice and filter and
map and transform structured data with the same ease that sed, awk,
grep and friends let you play with text.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%configure --enable-shared --enable-static=no

%build
%make_build

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README*
%{_bindir}/jq
%{_libdir}/libjq.so.*
%{_mandir}/man1/jq.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libjq.so

%changelog
* Sat Sep 14 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6-1
- new upstream release.

* Fri Sep  2 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.5-1
- add BR: oniguruma-devel

* Fri Jan  2 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.4-1
- initial release Vine Linux
