%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define glib_ver 2.48.0

Name:		json-glib
Summary:	Library for JavaScript Object Notation format
Version:	1.6.6
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2+
URL:		http://live.gnome.org/JsonGlib
#VCS:		git:git://git.gnome.org/json-glib
%global		shortver %(echo %{version} | cut -d . -f 1,2)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	meson
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	gobject-introspection-devel

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package	devel
Summary:	Development files for %{name}
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= %{glib_ver}
#Requires:	gtk-doc
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


# compat32
%package -n compat32-%{name}
Summary:	Library for JavaScript Object Notation format
Group:		system,legacy

%description -n compat32-%{name}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%debug_package


%prep
%setup -q


%build
%meson -Dgtk_doc=disabled
%meson_build


%install
rm -rf %{buildroot}
%meson_install

rm -rf %{buildroot}%{_libexecdir}/installed-tests
rm -rf %{buildroot}%{_datadir}/installed-tests

%find_lang %{name}-1.0

%check
# make check


%clean
rm -rf %{buildroot}


%files -f %{name}-1.0.lang
%defattr(-,root,root,-)
%license COPYING
%doc NEWS
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_libdir}/lib%{name}*.so.*
%{_libdir}/girepository-1.0/Json-1.0.typelib

%files devel
%defattr(-,root,root,-)
#%{_datadir}/gtk-doc/html/%{name}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_includedir}/%{name}-1.0/
%{_datadir}/gir-1.0/Json-1.0.gir

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}*.so.*
%endif


%changelog
* Fri Aug 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.6.6-1
- new upstream release.

* Thu Apr 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.6.2-1
- new upstream release.
- dropped ldconfig scriptlets.

* Tue May 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.4.4-2
- rebuilt with current envirpnment.

* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.4.4-1
- new upstream release.

* Thu Jul 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.2.0-1
- new upstream release

* Sat Feb 13 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.4-2
- create compat32-json-glib subpackage

* Sat Mar 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.4-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.0-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.16.2-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.16.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.16.0-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.15.2-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.14.2-1
- update to 0.14.2

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.14.0-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.13.4-1
- new upstream release

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.12.4-1
- new upstream release

* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.12.2-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.12.0-1
- initial build for Vine Linux


* Thu Jul 15 2010 Colin Walters <walters@verbum.org> - 0.10.4-3
- Rebuild with new gobject-introspection

* Thu Jul  1 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-2
- Rebuild for "Incompatible version 1.0 (supported: 1.1)"
  for introspection file

* Fri Mar 19 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4.

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> - 0.10.0-3
- Require the gobject-introspection-devel package, not the library

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> - 0.10.0-2
- Enable gobject-introspection support

* Tue Dec 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0.

* Mon Nov 16 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2.

* Tue Sep 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0.
- Update source url.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.6.2-3
- Disable tests for now.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 31 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2.
- Enable tests.

* Mon May 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-1
- Update 0.6.0.
- Disable tests for now.
- Add requires on gtk-doc.

* Sun Apr 20 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.4.0-1
- Initial Fedora spec.

