Summary: Internet whois/nicname client.
Summary(ja): whois クライアント
Name: jwhois
Version: 4.0
Release: 9%{?_dist_release}
Group: internet
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv3
URL: http://www.gnu.org/software/jwhois/
Source: https://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Source1: https://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz.sig

# newest jwhois.conf
# https://github.com/robert-scheck/jwhois/blob/master/example/jwhois.conf
Source10: https://raw.githubusercontent.com/robert-scheck/jwhois/2018b4f8f0799e6c55e4d11f0ab653f1801d85aa/example/jwhois.conf

Patch0: jwhois-4.0-connect.patch
Patch1: jwhois-4.0-ipv6match.patch
Patch2: jwhois-4.0-fclose.patch
Patch3: jwhois-4.0-select.patch
Patch5: jwhois-4.0-multi-homed.patch
Patch6: jwhois-4.0-libidn2.patch
Patch7: jwhois-4.0-idna.patch
Patch8: jwhois-4.0-idnfail.patch
# Patch9: adds options to force querying on ipv4 or ipv6, see rhbz#1551215
Patch9: jwhois-4.0-ipv4_ipv6.patch

Patch1000: jwhois-4.0-conf-update-newgTLD.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libidn2-devel
Obsoletes: fwhois, whois

%description
A whois client that accepts both traditional and finger-style queries.


%debug_package


%prep
%setup -q
%{__cp} %{SOURCE10} example/

%patch0 -p1 -b .connect
%patch1 -p1 -b .ipv6match
%patch2 -p1 -b .fclose
%patch3 -p1 -b .select
%patch5 -p1 -b .multi-homed
%patch6 -p1 -b .libidn2
%patch7 -p1 -b .idna
%patch8 -p1 -b .idnfail
%patch9 -p1 -b .ipv4_ipv6

# add several new gTLD
# http://fukumoto-tech.serveblog.net/wiki/index.php?%BF%B7gTLD%A4%CEwhois%20%A5%B5%A1%BC%A5%D0%C5%D0%CF%BF%C6%E2%CD%C6%A4%CB%A4%C4%A4%A4%A4%C6
%patch1000 -p1 -b .conf-update-newgTLD

iconv -f iso-8859-1 -t utf-8 < doc/sv/jwhois.1 > doc/sv/jwhois.1_
mv doc/sv/jwhois.1_ doc/sv/jwhois.1


%build
%configure --without-cache
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall

# Force compression of the info page so that the %%post knows its name.
#gzip $RPM_BUILD_ROOT/%{_infodir}/*.info*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang jwhois

# Make "whois" jwhois.
ln -sf jwhois $RPM_BUILD_ROOT/%{_bindir}/whois
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.1

# install newest jwhois.conf
# install -m 644 %{SOURCE10} ${RPM_BUILD_ROOT}/etc/jwhois.conf


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/jwhois.1*
%{_infodir}/jwhois.info.gz
%config(noreplace) %{_sysconfdir}/jwhois.conf


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%changelog
* Wed Oct 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0-9
- dropped install-info scriptlets.

* Fri Apr 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0-8
- updated Source10.
- renumbered Patch9 to Patch1000.
- updated Patch1000.
- imported Patch9 from rawhide.

* Sat Nov 12 2016 Toshiaki Ara <ara_t@384.jp> 4.0-7
- update jwhois.conf from GitHub head
- add several new gTLD

* Sun Feb 28 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0-6
- rebuilt current env
- use smp flage in make section

* Thu Jul  9 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0-5
- import patches from rawhide.

* Fri Jan  4 2013 IWAI, Masaharu <iwai@alib.jp> 4.0-4
- update jwhois.conf (Source10) from cvs head (revision: 1.143)
- add Vendor and Distribution tags

* Sun May  1 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-3
- rebuilt with current VineSeed

* Sun May 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-2
- spec in UTF-8

* Mon Apr 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- update jwhois.conf from cvs head
- add patch[01] from fedora development
  - Fix matching of cidr-ipv6 network addressed (patch1)
  - Fix connections to IPv4 servers (patch0)

* Wed Oct 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-0vl1
- new upstream release
- added Japanese summary

* Sun Nov 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.2.3-0vl1
- upstream release
- update jwhois.conf (Source10)

* Thu Jan 23 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.0-4vl2
- added Source10 (in sync with .org transition)

* Thu Jan 23 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.0-4vl1
- based on 3.2.0-4 from Rawhide and built for Vine Linux

* Thu Dec 12 2002 Karsten Hopp <karsten@redhat.de>
- Requires(post,preun) doesn't seem to work properly

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require install-info

* Thu Nov 14 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-2
- don't bail out of %%install if make install doesn't create an info top node

* Mon Sep 30 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-1
- initial package
