Name: k3b
Version: 2.0.3a
Release: 2%{?_dist_release}
Summary: CD/DVD/Blu-ray burning application for KDE
Summary(ja): KDE 向け CD/DVD/Blu-ray 作成アプリケーション

Group: Applications/Multimedia
License: GPLv2+
URL: http://www.k3b.org/

Source0: http://download.kde.org/stable/k3b/k3b-%{version}.tar.xz
# k3b app icon missing, https://bugzilla.redhat.com/show_bug.cgi?id=611272
Source1: ox32-k3b.png
Source2: k3brc

ExcludeArch: s390 s390x

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: flac-devel
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: libkcddb-devel
BuildRequires: libdvdread-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
BuildRequires: libXpm-devel
BuildRequires: taglib-devel
# needed by k3bsetup
BuildRequires: polkit-qt-devel

Requires: cdrecord mkisofs
Requires: cdrdao
Requires: dvd+rw-tools

Obsoletes: k3b-i18n

Vendor: Project Vine
Distribution: Vine Linux

%description
K3b is a CD and DVD burning application for Linux systems optimized for KDE. 
It provides a comfortable user interface to perform most 
CD/DVD burning tasks like creating an Audio CD from a set of audio files or copying a CD.

[Notice]
Please install self-build-k3b-extra package if you want to handle MP3 and WMA files.

%description -l ja
K3b は、KDE の為に最適化された Linux システム用の CD/DVD 作成アプリケーションです．
多様なCD/DVDの作成に快適なユーザーインターフェースを提供します．
また、音楽データや CD の複製等、音楽 CD を簡単に作成できます．

K3b にて MP3/WMA ファイルを扱いたい場合は、self-build-k3b-extra パッケージを
追加でインストールしてください．

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group: System Environment/Libraries
Requires: kdelibs4 >= 4.4.0

%description libs
%{summary}.

%description -l ja libs
%{summary}.

%package devel
Summary: Files for the development of applications which will use %{name} 
Summary(ja): %{name} を使用するアプリケーションを開発するためのファイル 
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel >= 4.4.0

%description devel
%{summary}.

%description -l ja devel
%{summary}.

%prep
%setup -q -n %{name}-2.0.3

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DK3B_BUILD_FFMPEG_DECODER_PLUGIN:BOOL=OFF \
    -DK3B_BUILD_MAD_DECODER_PLUGIN::BOOL=OFF \
    -DK3B_BUILD_LAME_ENCODER_PLUGIN:BOOL=OFF \
    ..
#   -DK3B_BUILD_K3BSETUP:BOOL=OFF \
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast -C %{_target_platform} DESTDIR=$RPM_BUILD_ROOT

%find_lang k3b --with-kde
%find_lang k3bsetup
%find_lang kio_videodvd
%find_lang libk3b
%find_lang libk3bdevice
cat k3bsetup.lang >> k3b.lang
cat kio_videodvd.lang >> libk3b.lang
cat libk3bdevice.lang >> libk3b.lang

# k3b app icon missing, https://bugzilla.redhat.com/show_bug.cgi?id=611272
if [ ! -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/k3b.png ]; then
  echo "NOTICE: %{_datadir}/icons/hicolor/32x32/apps/k3b.png missing, borrowing oxygen version"
  install -pD -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/k3b.png
fi


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/k3b.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor ||:

%postun
if [ $1 -eq 0 ] ; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
    update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 ||:
    update-mime-database %{_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 ||:
update-mime-database %{_datadir}/mime &> /dev/null

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f k3b.lang
%defattr(-,root,root,755)
%doc README COPYING COPYING.DOC ChangeLog
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/k3b
%{_bindir}/k3bsetup
%{_libdir}/kde4/*.so
%{_libexecdir}/kde4/k3bsetuphelper
%{_datadir}/applications/kde4/k3b.desktop
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/k3b/
%{_datadir}/kde4/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_datadir}/kde4/apps/solid/actions/k3b*.desktop
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/*.protocol
%{_datadir}/kde4/services/ServiceMenus/k3b*.desktop
%{_datadir}/kde4/servicetypes/k3b*.desktop
%{_datadir}/mime/packages/x-k3b.xml
%{_datadir}/polkit-1/actions/*.policy

%files libs -f libk3b.lang
%defattr(-,root,root,-)
%{_libdir}/libk3bdevice.so.6*
%{_libdir}/libk3blib.so.6*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/k3b*.h
%{_libdir}/libk3bdevice.so
%{_libdir}/libk3blib.so

%changelog
* Sat Jul 02 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.3a-2
- rebuild with gcc-5.4.0

* Sat Jan 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.0.3a-1
- updated to 2.0.3a
- moved to Applications/Multimedia Group

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.3-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.2-4
- change BuildRequires: libkcddb-devel instead of kdemultimedia-devel

* Fri May 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.2-3
- add BuildRequires: soprano-devel

* Fri Mar  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-2
- added BR: libXpm-devel

* Sat Feb 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-1
- new upstream release

* Sun Sep 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-2
- fixed %%build section to remove qt-devel dependency 

* Wed Sep  8 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-1
- new upstream release

* Thu Jul 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0-1
- new upstream release
- updated build dependencies

* Mon Nov 02 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.5-6
- drop required packages to resolve unmet dependency <BTS:VineLinux:797>
  - Requires: libstdc++2_10, libstdc++2_10-compat, dvdrecord, libzvt
  - BuildRequires: libzvt-devel

* Mon Feb 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.5-5
- changed to Requires: self-build-libmad from libmad
- changed to BuildRequires: self-build-libmad from libmad-devel
- added Requires: %{name} = %{version}-%{release} in k3b-i18n subpackage

* Sun Jan 18 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.5-4
- removed Release: tag of k3b-i18n subpackage

* Sat Jan 17 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.5-3
- rebuild with libdvdread.so.4 for vl4 <BTS:651>
- spec in utf-8
- merged the spec of 1.0.5-1vl4 release: 
  - added --with-lame --with-libdvdread in %%configure options
  - set --vendor="vine" in desktop-file-install

* Mon Jan 12 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.0.5-1
- new upstream release
- change %{_includedir}/k3b
- drop {_localedir}/*  (i18n)
- add devel Package

* Fri Jan 2 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.0.5-2vl5
- It returned it: %{_libdir}/kde3/*.la

* Wed Dec 31 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.0.5-1vl5
- new upstream release.
- spec in utf-8, and applied vine versioning policy.
- Remove *.la.
- specfile updates.

*Tue Dec 26 2006 TOSHI <vine-jp@mail.goo.ne.jp> 0.12.17-0vl1
-new upstream release

*Sun Jun 18 2006 TOSHI <toshi-52@sa.il24.net> 0.12.15-0vl3
-with-k3bsetup=no option is deleted.

*Sat Apr 15 2006 TOSHI <toshi-52@sa.il24.net> 0.12.15-0vl1
-new upstream release
-Requires -> sox and libsndfile added
-BuildPreReq -> sox-devel and libsndfile-devel added
-with-k3bsetup=no option added

*Sun Apr 9 2006 TOSHI <toshi-52@sa.il24.net> 0.12.14-0vl1
-new upstream release

*Tue Feb 14 2006 TOSHI <vine-jp@mail.goo.ne.jp> 0.12.10-0vl1
-new upstream release
-Requires -> Libstdc++2_10 and libstdc++2_10-compat added

*Thu Feb 9 2006 TOSHI <vine-jp@mail.goo.ne.jp> 0.12.10-0vl1
-new upstream release
-added i18n to spec

*Tue Aug 16 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.12.3-0vl1
-new upstream release

* Tue Jul 12 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.12.2-0vl1
-new upstream release

* Mon May 30 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.12beta2-0vl1
-1st Release.
