Name: kasumi
Summary: Personal dictionary management tool for Anthy
Summary(ja): Anthy 個人辞書管理ツール
Version: 2.5
Release: 4%{?_dist_release}

License: GPLv2
Group: Applications/System
URL: http://kasumi.sourceforge.jp/
Source0: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: anthy-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Personal dictionary management tool for Anthy.

%description -l ja
Anthy 用の個人辞書管理ツールです．

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall
%{find_lang} %{name}

# install desktop file
desktop-file-install --delete-original  \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   \
        --add-category X-GNOME-PersonalSettings \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/kasumi.desktop


%clean
%__rm -rf %{buildroot}

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/kasumi
%{_datadir}/pixmaps/kasumi.png
%{_datadir}/applications/kasumi.desktop
%{_mandir}/man1/kasumi.1*

%changelog
* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5-4
- rebuild with gcc-5.4.0

* Mon Sep 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.5-3
- rebuilt for removing dependency to libpng12

* Tue Apr  5 2011 IWAI, Masaharu <iwai@alib.jp> 2.5-2
- add BuildRequires(install): desktop-file-utils
- execute update-desktop-database in post, postun

* Sun Aug 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.5-1
- new upstream release
- add Categories=X-GNOME-PersonalSettings for kasumi.desktop

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.3-1vl5
- applied new versioning policy, spec in utf-8

* Fri Dec 28 2007 IWAI, Masaharu <iwai@alib.jp> 2.3-0vl1
- new upstream release

* Tue May 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl2
- rebuild with new environment/toolchain

* Sat Dec 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2-0vl1
- upstream release
- add required version of gtk2
- update %%files
- use original desktop file
- drop obsolete patch0

* Wed Aug 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-0vl3
- add BuildRequires: anthy-devel
- add Patch0 to allow empty private dictionary
  (http://kasumi.sourceforge.jp/index.php?%A5%D0%A5%B0%CA%F3%B9%F0%2F75)

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-0vl2
- changed Group to Applications/System

* Sun Jul 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.1-0vl1
- [SECURITY] upstream release
  - an arbitrary text can be accepted as printf()-style format string

* Fri Jun 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl1
- upstream release

* Fri Dec 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0-0vl1
- upstream release

* Thu Nov 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10-0vl3
- fix typo in kasumi.desktop

* Mon Oct 24 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10-0vl2
- import and modify kasumi.desktop (Source1) from momonga

* Mon Oct 10 2005 IWAI, Masaharu <iwai@alib.jp> 0.10-0vl1
- Initial build.

