%if %{?_dist_release} == "vl5"
%define kde KDE
%else
%define kde KDE3
%endif

Name: kde-i18n-ja
Summary: Japanese support for %{kde}
Summary(ja): %{kde} の日本語サポートパッケージ
Version: 3.5.10
Release: 7%{?_dist_release}

# GFDL, with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
License: GFDL 
URL: http://www.kde.org/
Group: User Interface/Desktops

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-i18n/%{name}-%{version}.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs3-devel
BuildRequires: arts-devel
Requires: kdelibs3

%if %{?_dist_release} == "vl5"
Conflicts: kde-l10n
%endif

%description
Japanese support for %{kde}.

%description -l ja
%{kde} の日本語サポートパッケージです．

%prep
%setup -q

%build
%configure 
make 

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} install

# remove zero-length file
for i in $(find $RPM_BUILD_ROOT%{_docdir}/HTML -size 0) ; do
   rm -f $i
done

# See http://fedoraproject.org/wiki/Languages
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/flag.png

%if %{?_dist_release} != "vl5"
# remove .mo and entry.desktop files which conflict with KDE4 kde-l10n
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/amor.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ark.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiocd_encoder_lame.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiocd_encoder_vorbis.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiorename_plugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/blinken.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/bovo.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/cervisia.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/cvsservice.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/display.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/dolphin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/drkonqi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/filetypes.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/gwenview.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/htmlsearch.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/imagerename_plugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/irkick.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/joystick.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/juk.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_dir.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_file.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_ldapkio.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_net.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabcformat_binary.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaccess.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalgebra.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalzium.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kanagram.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kappfinder.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kate.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateexternaltoolsplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefilebrowserplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefiletemplates.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefindinfilesplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katehelloworld.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katehtmltools.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateinsertcommand.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katekjswrapper.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katekonsoleplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katemailfilesplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katemake.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateopenheader.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katepart4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katepybrowse.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katequickdocumentswitcherplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katesnippets.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katesymbolviewer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katetabbarextension.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katetextfilter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katexmlcheck.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katexmltools.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katomic.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbattleship.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kblackbox.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kblankscrn.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbounce.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbruch.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbstateapplet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbugbuster.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcachegrind.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcalc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcertpart.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcharselect.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcharselectapplet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_krfb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_kwindesktop.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_phonon.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_phononxine.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_solid.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaccess.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaccessibility.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaudiocd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmbackground.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmbell.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcddb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcgi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcolors.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcomponentchooser.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcrypto.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcss.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmenergy.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmfonts.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmhtmlsearch.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmicons.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminfo.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminput.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmioslaveinfo.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkamera.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkclock.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkded.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkdnssd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkeyboard.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkeys.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkio.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkonq.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkonqhtml.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkurifilt.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkvaio.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwallet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwincompositing.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwindecoration.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwinrules.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwm.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlaunch.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlirc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlocale.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmnic.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmnotify.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmperformance.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsamba.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmscreensaver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmshell.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsmartcard.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsmserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmstyle.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmtaskbar.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmthinkpad.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmusb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmview1394.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmxinerama.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcolorchooser.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcron.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdat.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kde-menu.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdebugdialog.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelibs4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelibs_colors4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelirc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepasswd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdeqt.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdessh.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdesu.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdesud.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdevelop.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdialog.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdmconfig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdmgreet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/keditbookmarks.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfifteenapplet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_avi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_dds.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_drgeo.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_dvi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_exr.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_flac.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_kig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mp3.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mpc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mpeg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_ogg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_pnm.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_raw.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_rgb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_rpm.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_sid.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_theora.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_tiff.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_torrent.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_wav.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_xps.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfileaudiopreview4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfileshare.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfindpart.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfloppy.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfmclient.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfontinst.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfourinline.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgamma.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgeography.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kget.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgoldrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgpg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgreet_classic.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgreet_winbind.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khangman.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khelpcenter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khotkeys.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khotnewstuff.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khtmlkttsd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kinetd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kinfocenter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_archive.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_audiocd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_finger.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_fish.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_floppy.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_help4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_imap4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_jabberdisco.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_ldap.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_man.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_mbox.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_nfs.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_nntp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_pop3.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_remote.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_settings.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_sftp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_sieve.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_smb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_smtp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_svn.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_thumbnail.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_trash.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_zeroconf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kioclient.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kioexec.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiriki.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiten.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kjots.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kjumpingcube.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klaptopdaemon.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klettres.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klickety.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klines.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klipper.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klock.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmag.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmahjongg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmenuedit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_asus.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_delli8k.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_generic.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_kvaio.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_powerbook.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_thinkpad.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilod.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmimetypefinder.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmines.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmix.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmoon.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmousetool.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmouth.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmplot.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetattach.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetwalk.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetworkconf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knotify4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolourpaint4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kompare.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqueror.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konquest.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konsole.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kopete.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpackage.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpartsaver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpasswdserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpat.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpercentage.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kppp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kppplogview.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kquitapp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krandr.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krdb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krdc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kreadconfig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_bugzilla.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kreversi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krfb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kruler.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_bookmarksrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_calculatorrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_locationsrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_searchrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_webshortcutsrunner.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolourpaint.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksame.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksayit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscanplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscreensaver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kshisen.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kshorturifilter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksim.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksmserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksnapshot.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kspaceduel.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksplashthemes.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksquares.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstars.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstart.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstartperf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_config.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_keramik_config.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_phase_config.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksudoku.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksysguard.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksystraycmd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksysv.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kteatime.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktexteditor_plugins.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kthememanager.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktimer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktip.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktouch.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktraderclient.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktron.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kttsd.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktuberling.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kturtle.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktux.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuiserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuiviewer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kurifilter.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuser.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwalletmanager.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kweather.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_art_clients.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_clients.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_effects.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_lib.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwordquiz.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kworldclock.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwrite.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwriteconfig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kxkb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kxsconfig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libKTTSD.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkblog.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcal.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcddb.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcompactdisc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdeedu.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdegames.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkldap.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkmahjongg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkmime.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkonq.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpimidentities.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpimutils.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkresources.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkscreensaver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libktnef.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkworkspace.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkxmlrpcclient.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libmailtransport.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libphonon.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libplasma.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libtaskmanager.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/lskat.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/marble.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nepomukcoreservices.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nepomukserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nsplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/oktetapart.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_chm.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_djvu.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_dvi.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_fictionbook.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_ghostview.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_kimgio.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_ooo.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_plucker.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_poppler.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_tiff.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_xps.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/parley.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/phonon-xine.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/phonon_kde.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_battery.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_clock.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_desktop.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_devicenotifier.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_dig_clock.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_kget.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_knewsticker.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_launcher.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_pager.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_skapplet.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_tasks.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_engine_dict.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasmaengineexplorer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/processcore.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/processui.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/secpolicy.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/solidcontrol.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/solidshell.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/soliduiserver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/spy.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/strigila_diff.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/superkaramba.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/svgpart.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/sweeper.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/systemsettings.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/timezones4.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/umbrello.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/useraccount.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdgantt.mo
rm -f %{buildroot}%{_datadir}/locale/*/entry.desktop

# keep these ones because we're shipping KDE 3 kdewebdev (because of Quanta)
# rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfilereplace.mo
# rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kimagemapeditor.mo
# rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klinkstatus.mo

# remove docs which conflict with KDE 4 kde-l10n
rm -rf %{buildroot}%{_docdir}/HTML/*/amor
rm -rf %{buildroot}%{_docdir}/HTML/*/ark
rm -rf %{buildroot}%{_docdir}/HTML/*/blinken
rm -rf %{buildroot}%{_docdir}/HTML/*/bovo
rm -rf %{buildroot}%{_docdir}/HTML/*/cervisia
rm -rf %{buildroot}%{_docdir}/HTML/*/common
rm -rf %{buildroot}%{_docdir}/HTML/*/dolphin
rm -rf %{buildroot}%{_docdir}/HTML/*/gwenview
rm -rf %{buildroot}%{_docdir}/HTML/*/irkick
rm -rf %{buildroot}%{_docdir}/HTML/*/juk
rm -rf %{buildroot}%{_docdir}/HTML/*/kalgebra
rm -rf %{buildroot}%{_docdir}/HTML/*/kalzium
rm -rf %{buildroot}%{_docdir}/HTML/*/kamera
rm -rf %{buildroot}%{_docdir}/HTML/*/kanagram
rm -rf %{buildroot}%{_docdir}/HTML/*/kapptemplate
rm -rf %{buildroot}%{_docdir}/HTML/*/kate
rm -rf %{buildroot}%{_docdir}/HTML/*/kate-plugins
rm -rf %{buildroot}%{_docdir}/HTML/*/katomic
rm -rf %{buildroot}%{_docdir}/HTML/*/kbattleship
rm -rf %{buildroot}%{_docdir}/HTML/*/kblackbox
rm -rf %{buildroot}%{_docdir}/HTML/*/kbounce
rm -rf %{buildroot}%{_docdir}/HTML/*/kbruch
rm -rf %{buildroot}%{_docdir}/HTML/*/kbugbuster
rm -rf %{buildroot}%{_docdir}/HTML/*/kcachegrind
rm -rf %{buildroot}%{_docdir}/HTML/*/kcalc
rm -rf %{buildroot}%{_docdir}/HTML/*/kcharselect
rm -rf %{buildroot}%{_docdir}/HTML/*/kcmlirc
rm -rf %{buildroot}%{_docdir}/HTML/*/kcontrol
rm -rf %{buildroot}%{_docdir}/HTML/*/kcron
rm -rf %{buildroot}%{_docdir}/HTML/*/kdat
rm -rf %{buildroot}%{_docdir}/HTML/*/kdebugdialog
rm -rf %{buildroot}%{_docdir}/HTML/*/kdesu
rm -rf %{buildroot}%{_docdir}/HTML/*/kdesvn-build
rm -rf %{buildroot}%{_docdir}/HTML/*/kdf
rm -rf %{buildroot}%{_docdir}/HTML/*/kdm
rm -rf %{buildroot}%{_docdir}/HTML/*/kfind
rm -rf %{buildroot}%{_docdir}/HTML/*/kfloppy
rm -rf %{buildroot}%{_docdir}/HTML/*/kfourinline
rm -rf %{buildroot}%{_docdir}/HTML/*/kgamma
rm -rf %{buildroot}%{_docdir}/HTML/*/kgeography
rm -rf %{buildroot}%{_docdir}/HTML/*/kget
rm -rf %{buildroot}%{_docdir}/HTML/*/kgoldrunner
rm -rf %{buildroot}%{_docdir}/HTML/*/kgpg
rm -rf %{buildroot}%{_docdir}/HTML/*/khangman
rm -rf %{buildroot}%{_docdir}/HTML/*/khelpcenter
rm -rf %{buildroot}%{_docdir}/HTML/*/kig
rm -rf %{buildroot}%{_docdir}/HTML/*/kinfocenter
rm -rf %{buildroot}%{_docdir}/HTML/*/kiriki
rm -rf %{buildroot}%{_docdir}/HTML/*/kioslave
rm -rf %{buildroot}%{_docdir}/HTML/*/kiten
rm -rf %{buildroot}%{_docdir}/HTML/*/kjots
rm -rf %{buildroot}%{_docdir}/HTML/*/kjumpingcube
rm -rf %{buildroot}%{_docdir}/HTML/*/klettres
rm -rf %{buildroot}%{_docdir}/HTML/*/klickety
rm -rf %{buildroot}%{_docdir}/HTML/*/klines
rm -rf %{buildroot}%{_docdir}/HTML/*/klipper
rm -rf %{buildroot}%{_docdir}/HTML/*/kmag
rm -rf %{buildroot}%{_docdir}/HTML/*/kmahjongg
rm -rf %{buildroot}%{_docdir}/HTML/*/kmenuedit
rm -rf %{buildroot}%{_docdir}/HTML/*/kmines
rm -rf %{buildroot}%{_docdir}/HTML/*/kmix
rm -rf %{buildroot}%{_docdir}/HTML/*/kmoon
rm -rf %{buildroot}%{_docdir}/HTML/*/kmousetool
rm -rf %{buildroot}%{_docdir}/HTML/*/kmouth
rm -rf %{buildroot}%{_docdir}/HTML/*/kmplot
rm -rf %{buildroot}%{_docdir}/HTML/*/knetattach
rm -rf %{buildroot}%{_docdir}/HTML/*/knetwalk
rm -rf %{buildroot}%{_docdir}/HTML/*/knetworkconf
rm -rf %{buildroot}%{_docdir}/HTML/*/knewsticker
rm -rf %{buildroot}%{_docdir}/HTML/*/kolf
rm -rf %{buildroot}%{_docdir}/HTML/*/kolourpaint
rm -rf %{buildroot}%{_docdir}/HTML/*/kompare
rm -rf %{buildroot}%{_docdir}/HTML/*/konqueror
rm -rf %{buildroot}%{_docdir}/HTML/*/konquest
rm -rf %{buildroot}%{_docdir}/HTML/*/konsole
rm -rf %{buildroot}%{_docdir}/HTML/*/kopete
rm -rf %{buildroot}%{_docdir}/HTML/*/kpackage
rm -rf %{buildroot}%{_docdir}/HTML/*/kpat
rm -rf %{buildroot}%{_docdir}/HTML/*/kpercentage
rm -rf %{buildroot}%{_docdir}/HTML/*/kppp
rm -rf %{buildroot}%{_docdir}/HTML/*/krdc
rm -rf %{buildroot}%{_docdir}/HTML/*/kreversi
rm -rf %{buildroot}%{_docdir}/HTML/*/krfb
rm -rf %{buildroot}%{_docdir}/HTML/*/kruler
rm -rf %{buildroot}%{_docdir}/HTML/*/ksame
rm -rf %{buildroot}%{_docdir}/HTML/*/kscd
rm -rf %{buildroot}%{_docdir}/HTML/*/kshisen
rm -rf %{buildroot}%{_docdir}/HTML/*/ksim
rm -rf %{buildroot}%{_docdir}/HTML/*/ksnapshot
rm -rf %{buildroot}%{_docdir}/HTML/*/kspaceduel
rm -rf %{buildroot}%{_docdir}/HTML/*/ksquares
rm -rf %{buildroot}%{_docdir}/HTML/*/kstars
rm -rf %{buildroot}%{_docdir}/HTML/*/ksudoku
rm -rf %{buildroot}%{_docdir}/HTML/*/ksysguard
rm -rf %{buildroot}%{_docdir}/HTML/*/ksysv
rm -rf %{buildroot}%{_docdir}/HTML/*/kteatime
rm -rf %{buildroot}%{_docdir}/HTML/*/ktimer
rm -rf %{buildroot}%{_docdir}/HTML/*/ktouch
rm -rf %{buildroot}%{_docdir}/HTML/*/ktron
rm -rf %{buildroot}%{_docdir}/HTML/*/kttsd
rm -rf %{buildroot}%{_docdir}/HTML/*/ktuberling
rm -rf %{buildroot}%{_docdir}/HTML/*/kturtle
rm -rf %{buildroot}%{_docdir}/HTML/*/kuser
rm -rf %{buildroot}%{_docdir}/HTML/*/kwallet
rm -rf %{buildroot}%{_docdir}/HTML/*/kweather
rm -rf %{buildroot}%{_docdir}/HTML/*/kwordquiz
rm -rf %{buildroot}%{_docdir}/HTML/*/kworldclock
rm -rf %{buildroot}%{_docdir}/HTML/*/kwrite
rm -rf %{buildroot}%{_docdir}/HTML/*/kxkb
rm -rf %{buildroot}%{_docdir}/HTML/*/lskat
rm -rf %{buildroot}%{_docdir}/HTML/*/marble
rm -rf %{buildroot}%{_docdir}/HTML/*/okular
rm -rf %{buildroot}%{_docdir}/HTML/*/parley
rm -rf %{buildroot}%{_docdir}/HTML/*/plasma
rm -rf %{buildroot}%{_docdir}/HTML/*/sonnet
rm -rf %{buildroot}%{_docdir}/HTML/*/superkaramba
rm -rf %{buildroot}%{_docdir}/HTML/*/umbrello

# keep these ones because we're shipping KDE 3 kdewebdev (because of Quanta)
# rm -rf %{buildroot}%{_docdir}/HTML/*/kfilereplace
# rm -rf %{buildroot}%{_docdir}/HTML/*/kimagemapeditor
# rm -rf %{buildroot}%{_docdir}/HTML/*/klinkreplace
# rm -rf %{buildroot}%{_docdir}/HTML/*/xsldbg

# remove .mo files which conflict with KDE 4 extragear
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcoloredit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiconedit.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaudiocreator.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmid.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/akregator_konqplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/autorefresh.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/babelfish.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/crashesplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/dirfilterplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/domtreeviewer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/fsview.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/imgalleryplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khtmlsettingsplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_mediaplayer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_metabar.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_news.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/mf_konqplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/minitoolsplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/rellinks.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/searchbarplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/uachangerplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/validatorsplugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/webarchiver.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpovmodeler.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuickshow.mo

# remove docs which conflict with KDE 4 extragear
rm -rf %{buildroot}%{_docdir}/HTML/*/kcoloredit
rm -rf %{buildroot}%{_docdir}/HTML/*/kiconedit
rm -rf %{buildroot}%{_docdir}/HTML/*/kaudiocreator
rm -rf %{buildroot}%{_docdir}/HTML/*/kmid
rm -rf %{buildroot}%{_docdir}/HTML/*/konq-plugins
rm -rf %{buildroot}%{_docdir}/HTML/*/ksig
rm -rf %{buildroot}%{_docdir}/HTML/*/kpovmodeler
rm -rf %{buildroot}%{_docdir}/HTML/*/kuickshow

# remove obsolete KDE 3 application data translations
rm -rf %{buildroot}%{_datadir}/apps

# on F10+, also get rid of kdepim stuff
rm -rf %{buildroot}%{_docdir}/HTML/*/akregator
rm -rf %{buildroot}%{_docdir}/HTML/*/kaddressbook
rm -rf %{buildroot}%{_docdir}/HTML/*/kalarm
rm -rf %{buildroot}%{_docdir}/HTML/*/karm
rm -rf %{buildroot}%{_docdir}/HTML/*/kleopatra
rm -rf %{buildroot}%{_docdir}/HTML/*/kmail
rm -rf %{buildroot}%{_docdir}/HTML/*/knode
rm -rf %{buildroot}%{_docdir}/HTML/*/knotes
rm -rf %{buildroot}%{_docdir}/HTML/*/konsolekalendar
rm -rf %{buildroot}%{_docdir}/HTML/*/kontact
rm -rf %{buildroot}%{_docdir}/HTML/*/korganizer
rm -rf %{buildroot}%{_docdir}/HTML/*/korn
rm -rf %{buildroot}%{_docdir}/HTML/*/kpilot
rm -rf %{buildroot}%{_docdir}/HTML/*/ktnef
rm -rf %{buildroot}%{_docdir}/HTML/*/kwatchgnupg
rm -rf %{buildroot}%{_docdir}/HTML/*/multisynk

rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/akregator.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_slox.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaddressbook.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalarm.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkabconfig.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkontactnt.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepimresources.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepimwizards.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_vcf.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_groupwise.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kitchensync.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kleopatra.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail_text_calendar_plugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail_text_vcard_plugin.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmailcvt.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knode.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knotes.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konsolekalendar.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kontact.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/korganizer.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/korn.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpilot.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_birthday.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_featureplan.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_groupware.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_groupwise.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_kolab.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_remote.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_scalix.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_tvanytime.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_xmlrpc.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktnef.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwatchgnupg.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdepim.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkholidays.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkleopatra.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpgp.mo
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libksieve.mo
%endif

# Generieren der Fileliste
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list

%files -f ../file.list

%changelog
* Wed Oct  1 2014 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-7
- rebuilt on current VineSeed

* Sat Feb 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-6
- removed klickety.mo, now in kde-l10n (VineSeed)

* Sat Jan  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-5
- added Conflicts: kde-l10n (VinePlus/5)

* Tue Dec 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-4
- updated summary

* Sat Jul 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-3
- added BR: arts-devel

* Wed Jun 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-2
- rebuilt for Vine Linux 5

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-1
- new upstream release

* Tue Apr 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Wed May 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Mon Mar 20 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Tue Nov 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Thu Jun  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release

* Thu Mar 10 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Mon Feb 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0rc1)
- add BuildPreReq: unsermake

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release

* Thu Jan 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release

* Mon Dec 13 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade

* Sat Oct  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Thu Sep 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade

* Sat Jun  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Wed Feb  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade to 3.1.94 and kde-i18n-ja_20040205 (from kde.gr.jp)

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sat Jan 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6

* Mon Dec 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- build for VineSeed with new toolchain and qt-3.2.3

* Thu Sep 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl1
- source upgrade

* Fri Jul 31 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0.26vl1
- rebuild for Vine2.6

* Fri Jul 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade

* Mon May 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- source upgrade

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade

* Fri Mar 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade

* Fri Jan 31 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Mon Jan 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7

* Mon Jan 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl1
- source upgrade to 3.1rc6

* Sun Dec 29 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl1
- source upgrade

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade

* Mon Aug 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade
- delete Requires: kdebase

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- upgrade to 3.0.1
- remove patch1

* Tue Apr  9 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-0vl2
- upgrade to 3.0
- add patch1 from kde.gr.jp

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-0vl1
- upgrade to cvs-20020329

* Sun Mar 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
- upgrade to 2.2.2

* Sat Nov 23 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl2
- Build with kdelibs-2.2.1-1vl3

* Sat Oct 20 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
- Build for VineSeed
- Change prefix to /usr

* Sat Sep 22 2001 Takumi ASAKI <asaki@kde.gr.jp> 2.2.1-1
- First release
