%if %{?_dist_release} != "vl4" && %{?_dist_release} != "vl5" 
# Compile only atlantikdesigner on KDE4
%define donotcompilelist doc kaddressbook-plugins kate kfile-plugins kicker-applets knewsticker-scripts konq-plugins ksig noatun-plugins renamedlgplugins
%define kde KDE3
%else
%define kde KDE
%endif

Name: kdeaddons
Summary: %{kde} additional plugins
Summary(ja): %{kde} 追加プラグイン
Version: 3.5.10
Release: 4%{?_dist_release}

URL: http://www.kde.org/
Group: Applications/Other
License: GPLv2

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: kdegames3-devel >= %{version}
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: zlib-devel libjpeg-devel libpng-devel gettext
%if %{?_dist_release} == "vl4" || %{?_dist_release} == "vl5" 
BuildRequires: kdemultimedia3-devel >= %{version}
BuildRequires: kdenetwork3-devel >= %{version}
BuildRequires: kdepim3-devel >= %{version}
BuildRequires: SDL-devel
%endif
Requires: kdelibs3 >= %{version}
Requires: kdegames3 >= %{version}

%description
kdeaddons contains additional plugins and scripts for some KDE applications.

%if %{?_dist_release} !="vl4" && %{?_dist_release} !="vl5" 
%package atlantikdesigner
Summary: Atlantik Designer
Group: Applications/Games
Requires: kdelibs3 >= %{version}
Requires: kdegames3 >= %{version}
# directory ownership
Requires: hicolor-icon-theme

Obsoletes: kdeaddons-extras < %{version}-%{release}

%description atlantikdesigner
This package includes a game board designer for Atlantik.
%endif

%prep
%setup -q
%if %{?_dist_release} != "vl4" && %{?_dist_release} != "vl5" 
sed -i -e 's/-lkdegames//g' atlantikdesigner/designer/Makefile.in
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%if %{?_dist_release} != "vl4" && %{?_dist_release} != "vl5" 
export DO_NOT_COMPILE="%{donotcompilelist}"
%endif

%configure \
    --with-qt-libraries=$QTDIR/lib \
    --includedir=%{_includedir}/kde \
    --disable-rpath \
    --enable-new-ldflags \
    --disable-debug --disable-warnings \
    --disable-dependency-tracking --enable-final

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%if %{?_dist_release} != "vl4" && %{?_dist_release} != "vl5" 
export DO_NOT_COMPILE="%{donotcompilelist}"
make DESTDIR=$RPM_BUILD_ROOT install
%else
make DESTDIR=$RPM_BUILD_ROOT install

# Make symlinks relative
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i/common
		ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i
	fi
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{?_dist_release} == "vl4" || %{?_dist_release} == "vl5" 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%endif

%if %{?_dist_release} == "vl4" || %{?_dist_release} == "vl5" 
%files
%defattr(-,root,root)
%doc README COPYING-DOCS
%doc %{_datadir}/doc/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/applications/*
%{_datadir}/applnk
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%else
%files atlantikdesigner
%defattr(-,root,root)
%doc README COPYING-DOCS atlantikdesigner/TODO
%{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner/
%{_datadir}/icons/hicolor/*/*/atlantikdesigner*
%{_datadir}/applications/kde/atlantikdesigner.desktop
%endif

%changelog
* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.10-4
- rebuild with gcc-5.4.0

* Sat Feb 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-3
- changed package name to avoid obsolation by kdeplasma-addons

* Thu Dec 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-2
- built for VinePlus/5
- updated spec file compatibility

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-1
- updated to 3.5.10, only including atlantikdesigner
- built with new toolchain

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- added BR: kdebase-devel
- changed Group to Applications/Other

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Tue Aug 21 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- rebuild with flac-1.2.0

* Wed Jul  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat Jun 30 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Thu Nov 24 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Tue Nov 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- initial release for VineSeed
