Name: kdesdk-kioslaves
Summary: KDE KIOslave for perldoc and subversion
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group: Applications/Development
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel
BuildRequires: subversion-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
KDE SDK kioslaves:
* perldoc KIOSlave
* Subversion KIOslave


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_bindir}/kio_svn_helper
%{_libdir}/kde4/kded_ksvnd.so
%{_libdir}/kde4/kio_perldoc.so
%{_libdir}/kde4/kio_svn.so
%{_datadir}/dbus-1/interfaces/org.kde.ksvnd.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/kio_perldoc/pod2html.pl
%{_datadir}/kde4/services/perldoc.protocol
%{_datadir}/kde4/services/svn+file.protocol
%{_datadir}/kde4/services/svn+http.protocol
%{_datadir}/kde4/services/svn+https.protocol
%{_datadir}/kde4/services/svn+ssh.protocol
%{_datadir}/kde4/services/svn.protocol
%{_datadir}/kde4/services/ServiceMenus/subversion.desktop
%{_datadir}/kde4/services/ServiceMenus/subversion_toplevel.desktop
%{_datadir}/kde4/services/kded/ksvnd.desktop


%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

