Name:		keychain
Summary:	Agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Version:	2.8.2
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Applications/Internet
URL:		http://www.funtoo.org/Keychain
Source0:	http://www.funtoo.org/distfiles/keychain/keychain-%{version}.tar.bz2
Source1:	keychain.sh
Source2:	keychain.csh
Source3:	README.Fedora
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# # https://bugzilla.redhat.com/show_bug.cgi?id=486025
# Conflicts:	kde-settings < 4.2-3
# # https://bugzilla.redhat.com/show_bug.cgi?id=314431
# Conflicts:	zsh < 4.3.4-7

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

%prep
%setup -q
sed -i -e 's|/usr/ucb:||' keychain

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 755 keychain %{buildroot}%{_bindir}/keychain
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/keychain.sh
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/keychain.csh
install -pm 644 keychain.1 %{buildroot}%{_mandir}/man1
install -pm 644 %{SOURCE3} README.Fedora

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.txt ChangeLog README.md README.Fedora
%config(noreplace) %{_sysconfdir}/profile.d/keychain.sh
%config(noreplace) %{_sysconfdir}/profile.d/keychain.csh
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%changelog
* Wed Aug 24 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2.8.2-2
- rebuilt

* Sun Dec  6 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2.8.2-1
- new upstream release

* Sun Dec  6 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2.8.0-1
- initial build based on Fedora Rawhide

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl2
- fix typo in Group:
- use License: instead of Copyright:

* Fri Feb  6 2004 IWAI, Masaharu <iwai@alib.jp> 2.0.3-0vl1
- new upstream release
- add COPYING in %%doc
- update SOURCE0 URL
- update user's manual in %%description

* Sun Feb 03 2002 akira yamada <akira@vinelinux.org> 1.8-0vl3
- requires bash

* Mon Dec 03 2001 Yoichi Imai <yoichi@silver-forest.com>
- 1.8-0vl1
- source update

* Sun Dec 02 2001 Yoichi Imai <yoichi@silver-forest.com>
- 1.7-0vl1
- initial release.
