Name: kfilemetadata
Summary: A library for extracting file metadata
Summary(ja): ファイルのメタデータ抽出ライブラリ
Version: 4.14.3
Release: 2%{?_dist_release}

License: LGPLv2,LGPLv2.1,LGPLv3
Group: System Environment/Libraries
URL: https://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
%{name}

%package devel
Summary: Development files for kdepim
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel

%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    -DKDEPIM_BUILD_MOBILE:BOOL=OFF \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING-CMAKE-SCRIPTS COPYING.LGPL-2 COPYING.LGPL-2.1 COPYING.LGPL-3
%{_libdir}/libkfilemetadata.so.*
%{_libdir}/kde4/*.so
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/servicetypes//*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/%{name}
%{_libdir}/libkfilemetadata.so
%{_libdir}/cmake/KFileMetaData/*.cmake

%changelog
* Mon Jul 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Wed Dec 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- initial build
