%define git_commit c418634
%define snap 20141221

Name:           kio_mtp
Version:        0.75
Release:        9.%{snap}git%{git_commit}%{?dist}
Summary:        An MTP KIO slave for KDE

License:        GPLv2+
Group:          System Environment/Libraries
URL:            https://projects.kde.org/projects/playground/base/kio-mtp
# use releaseme
Source0:        kio-mtp-%{version}-%{snap}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  libmtp-devel

%description
Provides KIO Access to MTP devices using the mtp:/// protocol.

%prep
%setup -n kio-mtp-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kio_mtp --with-kde

%clean
rm -rf %{buildroot}


%files -f kio_mtp.lang
%doc README LICENCE
%{_libdir}/kde4/kio_mtp.so
%{_datadir}/kde4/services/mtp.protocol
%{_datadir}/kde4/apps/konqueror/dirtree/remote/mtp-network.desktop
%{_datadir}/kde4/apps/solid/actions/solid_mtp.desktop
%{_datadir}/kde4/apps/remoteview/mtp-network.desktop


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 0.75-9.20141221gitc418634
- rebuild with gcc-5.4.0

* Wed Feb  4 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.75-8.20141221gitc418634
- Initial build for Vine Linux

* Sat Jan 10 2015 Rex Dieter <rdieter@fedoraproject.org> 0.75-7.20141221gitc418634 
- 20141221 snapshot, include translations, .spec cleanup

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.75-6.20131020git2063e75
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.75-5.20131020git2063e75
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-4.20131020git2063e75
- update git snapshot

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.75-3.20130323gitcc6b195
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-2.20130323gitcc6b195
- update git snapshot

* Tue Mar 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-1.20130323git1bcd508
- update git snapshot

* Mon Mar 11 2013 Jan Grulich <jgrulich@redhat.com> - 0.70-5.20130311git7de86ba
- fix versioning

* Mon Mar 11 2013 Jan Grulich <jgrulich@redhat.com> - 0.70-4.20130311git7de86ba
- update git snapshot

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-3.20121225gitfae62fc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 25 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121225gitfae62fc
- Add LICENCE file
- Remove %%clean
- Change name

* Fri Dec 21 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-1.20121221gitccaa6d1
- Initial package
- Based on git snapshot ccaa6d1da2d6c04134dd35fbdd6bbf5dd0b86572
