Name:		kmod
Summary:	Linux kernel module management utilities
Summary(ja):	Linux カーネルモジュール管理ユーティリティ
Version:	29
Release:	1%{?_dist_release}
Group:		system
Distribution:	Vine Linux
Vendor:		Project Vine
Packager:	daisuke

License:	GPLv2+
URL:		http://git.kernel.org/?p=utils/kernel/kmod/kmod.git;a=summary
Source0:	https://mirrors.edge.kernel.org/pub/linux/utils/kernel/kmod/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	chrpath
BuildRequires:	zlib-devel
BuildRequires:	xz-devel
BuildRequires:  libxslt

Provides:	module-init-tools = 4.0-1
Obsoletes:	module-init-tools < 4.0-1
Provides:	modutils = 4.0-1
Obsoletes:      modutils < 4.0-1
Provides:	/sbin/modprobe

%description
The kmod package provides various programs needed for automatic
loading and unloading of modules under 2.6, 3.x, and later kernels, as well
as other module management programs. Device drivers and filesystems are two
examples of loaded and unloaded modules.


%package libs
Summary:	Libraries to handle kernel module loading and unloading
Summary(ja):	kernelモジュールのロード/アンロードを扱うライブラリ
Group:		system
License:	LGPLv2+

%description libs
The kmod-libs package provides runtime libraries for any application that
wishes to load or unload Linux kernel modules from the running system.


%package devel
Summary:	Header files for kmod development
Summary(ja):	kmodを使うアプリケーション開発のためのヘッダファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}

%description devel
The kmod-devel package provides header files used for development of
applications that wish to load or unload Linux kernel modules.


%debug_package


%prep
%setup -q


%build
export V=1
%configure \
  --bindir=%{_sysbindir} \
  --sbindir=%{_syssbindir} \
  --with-zlib \
  --with-xz
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT/%{_mandir}/man5
ln -s modprobe.d.5.gz modprobe.conf.5.gz
popd

mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT/%{_libdir}/*.so* $RPM_BUILD_ROOT/%{_lib}/
ln -sf ../../%{_lib}/libkmod.so $RPM_BUILD_ROOT/%{_libdir}/libkmod.so

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_syssbindir}
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/modprobe
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/modinfo
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/insmod
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/rmmod
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/depmod
ln -sf ../bin/kmod $RPM_BUILD_ROOT%{_syssbindir}/lsmod

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/depmod.d
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/modprobe.d


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/depmod.d
%dir %{_sysconfdir}/modprobe.d
%dir %{_prefix}/lib/modprobe.d
%{_sysbindir}/kmod
%{_syssbindir}/modprobe
%{_syssbindir}/modinfo
%{_syssbindir}/insmod
%{_syssbindir}/rmmod
%{_syssbindir}/lsmod
%{_syssbindir}/depmod
%attr(0644,root,root) %{_mandir}/man5/*.5*
%attr(0644,root,root) %{_mandir}/man8/*.8*
%doc NEWS README TODO
%license COPYING
%dir %{_datadir}/bash-completion/completions
%dir %{_datadir}/bash-completion
%{_datadir}/bash-completion/completions/kmod

%files libs
/%{_lib}/libkmod.so.*

%files devel
%{_includedir}/libkmod.h
%{_libdir}/pkgconfig/libkmod.pc
%{_libdir}/libkmod.so
/%{_lib}/libkmod.so


%changelog
* Thu Jul 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 29-1
- updated to 29.

* Thu Feb 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 28-1
- updated to 28.

* Tue Jul 28 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 27-1
- updated to 27.

* Fri Feb 08 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 25-1
- updated to 25.

* Sat Jul 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 23-1
- update to 23

* Sat Nov 21 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 22-1
- update to 22

* Wed Jun 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 21-1
- update to 21

* Sun May 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 20-1
- update to 20

* Wed Nov 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 11-1
- update to 11
- add BR: libxslt

* Thu Jun 28 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 	8-1
- initial build for Vine Linux

* Wed May 23 2012 Josh Boyer <jwboyer@redhat.com> - 8-2
- Provide modprobe.conf(5) (rhbz 824552)

* Tue May 08 2012 Josh Boyer <jwboyer@redhat.com> - 8-1
- Update to version 8

* Mon Mar 19 2012 Kay Sievers <kay@redhat.com> - 7-1
- update to version 7
  - fix issue with --show-depends, where built-in
    modules of the running kernel fail to include
    loadable modules of the kernel specified

* Sun Mar 04 2012 Kay Sievers <kay@redhat.com> - 6-1
- update to version 6
- remove all patches, they are included in the release

* Fri Feb 24 2012 Kay Sievers <kay@redhat.com> - 5-8
- try to address brc#771285

* Sun Feb 12 2012 Kay Sievers <kay@redhat.com> - 5-7
- fix infinite loop with softdeps

* Thu Feb 09 2012 Harald Hoyer <harald@redhat.com> 5-6
- add upstream patch to fix "modprobe --ignore-install --show-depends"
  otherwise dracut misses a lot of modules, which are already loaded

* Wed Feb 08 2012 Harald Hoyer <harald@redhat.com> 5-5
- add "lsmod"

* Tue Feb  7 2012 Kay Sievers <kay@redhat.com> - 5-4
- remove temporarily added fake-provides

* Tue Feb  7 2012 Kay Sievers <kay@redhat.com> - 5-3
- temporarily add fake-provides to be able to bootstrap
  the new udev which pulls the old udev into the buildroot

* Tue Feb  7 2012 Kay Sievers <kay@redhat.com> - 5-1
- Update to version 5
- replace the module-init-tools package and provide all tools
  as compatibility symlinks

* Mon Jan 16 2012 Kay Sievers <kay@redhat.com> - 4-1
- Update to version 4
- set --with-rootprefix=
- enable zlib and xz support

* Thu Jan 05 2012 Jon Masters <jcm@jonmasters.org> - 3-1
- Update to latest upstream (adds new depmod replacement utility)
- For the moment, use the "kmod" utility to test the various functions

* Fri Dec 23 2011 Jon Masters <jcm@jonmasters.org> - 2-6
- Update kmod-2-with-rootlibdir patch with rebuild automake files

* Fri Dec 23 2011 Jon Masters <jcm@jonmasters.org> - 2-5
- Initial build for Fedora following package import

* Thu Dec 22 2011 Jon Masters <jcm@jonmasters.org> - 2-4
- There is no generic macro for non-multilib "/lib", hardcode like others

* Thu Dec 22 2011 Jon Masters <jcm@jonmasters.org> - 2-3
- Update package incorporating fixes from initial review feedback
- Cleaups to SPEC, rpath, documentation, library and binary locations

* Thu Dec 22 2011 Jon Masters <jcm@jonmasters.org> - 2-2
- Update package for posting to wider test audience (initial review submitted)

* Thu Dec 22 2011 Jon Masters <jcm@jonmasters.org> - 2-1
- Initial Fedora package for module-init-tools replacement (kmod) library
