Name:    konsole
Summary: KDE Terminal emulator
Summary(ja): KDE 端末エミュレータ
Version: 4.14.3
Release: 2%{?_dist_release}

# sources: MIT and LGPLv2 and LGPLv2+ and GPLv2+
License: GPLv2 
Group:   User Interface/Desktops
URL:     http://konsole.kde.org/ 

Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-devel >= %{version}
BuildRequires: soprano-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel

Requires: kdelibs%{?_kde4_version: >= %{_kde4_version}}
# when split occurred
Conflicts: kdebase4 < 4.6.95-10

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/konsole.desktop


%files 
%doc COPYING* README
%{_bindir}/konsole
%{_bindir}/konsoleprofile
%{_datadir}/applications/kde4/konsole.desktop
%{_libdir}/kde4/libkonsolepart.so
%{_libdir}/libkdeinit4_konsole.so
%{_libdir}/libkonsoleprivate.so
%{_datadir}/kde4/apps/kconf_update/konsole*
%{_datadir}/kde4/apps/konsole/
%{_datadir}/kde4/services/ServiceMenus/konsolehere.desktop
%{_datadir}/kde4/services/ServiceMenus/konsolerun.desktop
%{_datadir}/kde4/services/konsolepart.desktop
%{_datadir}/kde4/servicetypes/terminalemulator.desktop
%{_datadir}/doc/HTML/en/konsole/

%changelog
* Wed Jul 06 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Tue May 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- add BuildRequires: kdebase-devel

* Sat Dec 24 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.4-1
- new upstream release

* Sat Oct 29 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.2-1
- new upstream release

* Mon Aug  1 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-2
- Initial build for Vine Linux

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-4
- fix Conflicts: kdebase (wrong epoch)

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-3
- License: GPLv2 (per FAQ)

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-2
- fix URL
- drop Requires: kdebase-runtime (overkill)
- License: +LGPLv2 

* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- first try
