Name: kppp
Summary: Modem dialer and ppp frontend for KDE
Summary(ja): KDE 用 ダイアルアップアプリケーション
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group: Applications/Internet
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Source1: kppp.console 
Source2: kppp.pamd

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils
# consolehelper
Requires: usermode-gtk

Obsoletes: kppp4 < %{version}-%{release}
Provides:  kppp4 = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
KPPP is a dialer and front end for pppd. It allows for interactive 
script generation and network setup. It will automate the dialing in 
process to your ISP while letting you conveniently monitor the 
entire process.

Once connected KPPP will provide a rich set of statistics and keep 
track of the time spent online for you.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

#make -C %{_target_platform}/doc
#make %{?_smp_mflags} -C %{_target_platform}
make -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
         $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps \
         $RPM_BUILD_ROOT%{_sysconfdir}/pam.d

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/kppp
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/kppp
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/kppp


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB ChangeLog
%doc README README.ModemDB
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp
%{_bindir}/kppp
%{_bindir}/kppplogview
%{_sbindir}/kppp
%{_datadir}/applications/kde4/Kppp.desktop
%{_datadir}/applications/kde4/kppplogview.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kppp.xml
%{_datadir}/kde4/apps/kppp
%{_datadir}/icons/hicolor/*/*/*
%{_docdir}/HTML/en/kppp

%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Tue May 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Mon Dec 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

