Name:    kremotecontrol
Summary: Remote control utility for KDE
Summary(ja): KDE用リモート・コントロールユーティリティー
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group:   Applications/Accessories
URL:     https://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel

# when split occurred
Conflicts: kdeutils < 4.8.0

Vendor: Project Vine
Distribution: Vine Linux

%description
This module allows you to configure your remote controls.
You can assign actions that are executed on button presses. 
Actions can start applications, control them or execute
system commands, such as powering off your computer.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  /sbin/ldconfig
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%doc COPYING COPYING.LIB README
%{_bindir}/krcdnotifieritem
%{_libdir}/liblibkremotecontrol.so.*
%{_libdir}/kde4/*.so
%{_datadir}/applications/kde4/krcdnotifieritem.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/apps/%{name}daemon/
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/kded/kremotecontroldaemon.desktop
%{_datadir}/kde4/services/kremotecontrolbackends/kremotecontrol_lirc.desktop
%{_datadir}/kde4/servicetypes/*.desktop
%{_docdir}/HTML/en/kcontrol
%exclude %{_libdir}/liblibkremotecontrol.so

%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Fri Jan 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- initila build
