Name: krfb
Summary: VNC server for KDE
Summary(ja): KDE 用 VNC サーバー
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2, LGPLv2
Group: Applications/Internet
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
krfb is a server application that allows you to share your current
session with a user on another machine, who can use a VNC client to
view or even control the desktop.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB README
%{_bindir}/%{name}
%{_libdir}/libkrfbprivate.so.*
%{_libdir}/kde4/krfb_framebuffer_qt.so
%{_libdir}/kde4/krfb_framebuffer_x11.so
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/services/krfb_framebuffer_qt.desktop
%{_datadir}/kde4/services/krfb_framebuffer_x11.desktop
%{_datadir}/kde4/servicetypes/krfb-framebuffer.desktop
%{_docdir}/HTML/en/%{name}


%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Tue May 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Mon Dec 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

