Name: kstars
Summary: Desktop Planetarium for KDE
Summary(ja): KDE 向けデスクトッププラネタリウム
Version: 4.12.5
Release: 4%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/kstars/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cfitsio-devel >= 3.09
BuildRequires: desktop-file-utils
BuildRequires: eigen2-devel
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libindi-devel >= 0.8
BuildRequires: mesa-libGL-devel
BuildRequires: xplanet >= 1.0
BuildRequires: zlib-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

Vendor: Project Vine
Distribution: Vine Linux

%description
KStars is a desktop planetarium for KDE, depicting an accurate 
graphical simulation of the night sky, from any location on Earth, 
at any date and time. The display includes 130,000 stars, 13,000 
deep-sky objects, all 8 planets, the Sun and Moon, and thousands 
of comets and asteroids. It includes tools for astronomical calculations 
and can control telescopes and cameras.

This package is part of the KDE education module.

%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# unpackaged files
# omit stuff for which there isn't a clear public API
rm -f $RPM_BUILD_ROOT%{_libdir}/libhtmesh.a

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/kstars
%{_datadir}/applications/kde4/kstars.desktop
%{_datadir}/config/kstars.knsrc
%{_datadir}/config.kcfg/kstars.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/kstars
%doc %{_docdir}/HTML/en/kstars/

%changelog
* Fri Jul 08 2016 Yoji TOODA <bsyamato@sea.plala.or.jp> 4.12.5-4
- rebuild with gcc-5.4.0

* Wed Feb 25 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.5-3
- rebuilt with cfitsio 3.370

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-2
- rebuild with KDE-4.14.3

* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release

* Sat Sep  3 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

