Name:    kwalletmanager
Summary: Wallet Management Tool 
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group:   Applications/Accessories
URL:     https://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel

# when split occurred
Conflicts: kdeutils < 4.8.0

Vendor: Project Vine
Distribution: Vine Linux

%description
The wallet subsystem provides a convenient and secure way to manage
all your passwords.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%doc COPYING COPYING.LIB
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmkwallet.conf
%{_bindir}/%{name}
%{_libdir}/kde4/kcm_kwallet.so
%{_libexecdir}/kde4/kcm_kwallet_helper
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/applications/kde4/%{name}-kwalletd.desktop
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkwallet.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/services/*.desktop
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkwallet.policy
%{_docdir}/HTML/en/kwallet

%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Fri Jan 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- initila build
