Summary:	LAME Ain't an MP3 Encoder... but it's the best.
Name:		lame
Version:	3.100
Release:	3%{?_dist_release}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://lame.sourceforge.net/
Vendor:         Project Vine
Distribution:   Vine Linux

Source:		https://prdownloads.sourceforge.net/lame/lame-%{version}.tar.gz
Patch1:         %{name}-noexecstack.patch
Patch2:         libmp3lame-symbols.patch

Patch10:        lame-3.99-libs-termcap.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%{?enable_brhist:BuildRequires:	ncurses-devel}
BuildRequires:	gtk+-devel
BuildRequires:	nasm
%{?enable_brhist:Requires:	ncurses}

Requires(post):   ldconfig
Requires(postun): ldconfig

Provides:       self-build-lame = %{version}-%{release}

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

%package mp3x
Summary:	GTK frame analyzer for lame
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+

%description mp3x
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

This package contains the GTK frame analyzer.

%package devel
Summary:	Shared and static libraries for LAME.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

This package contains the libraries and includes files needed to develop
applications with lame.

%prep
%setup -q

%patch1 -p1 -b .noexec
%patch2 -p1 -b .symbol
%patch10 -p1 -b .termcap

%build
sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
%ifarch %{ix86}
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
#From LFS:http://www.linuxfromscratch.org/blfs/view/svn/multimedia/lame.html
export ac_cv_header_xmmintrin_h=no
%endif

%configure \
    --disable-dependency-tracking \
    --disable-static \
%ifarch %{ix86} x86_64
    --enable-nasm \
%else
    --disable-nasm \
%endif
    --enable-decoder \
    --without-vorbis \
    --enable-mp3x \
    --enable-mp3rtp \
    --enable-decode-layer1 \
    %{?enable_brhist:--enable-brhist}%{!?enable_brhist:--disable-brhist} \
    --disable-debug \
    ;

%__make %{?_smp_mflags}

%check
%__make test

%install
%__rm -rf %{buildroot}
%makeinstall

%__rm -rf installed-docs
%__mv -f %{buildroot}%{_datadir}/doc/%{name} installed-docs

# some apps still expect to find <lame.h>
%__ln_s -f lame/lame.h %{buildroot}%{_includedir}/lame.h

# remove unpackaged files
%__rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%license COPYING LICENSE
%doc ChangeLog README TODO USAGE
%doc installed-docs/*
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_libdir}/lib*.so.*
%{_mandir}/man1/lame.1*

%files mp3x
%defattr (-,root,root)
%{_bindir}/mp3x

%files devel
%defattr (-,root,root)
%doc API HACKING STYLEGUIDE
%{_libdir}/lib*.so
%{_includedir}/lame
%{_includedir}/lame.h

%changelog
* Sun Oct 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.100-3
- moved to VinePlus: patents of MP3 are expired.

* Thu Sep 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.100-2
- rebuilt with current environment.

* Sun Dec 24 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.100-1
- new upstream release.
- imported Patch2 from rawhide.

* Sun Jul 03 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.99.5-2
- fix spec for i686

* Sat May 26 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.99.5
- new upstream release

* Wed Oct 19 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.99-1
- new upstream release
- applied lame-3.99-libs-termcap.patch

* Sun Sep 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.4-2
- change release to sync with self-build-lame

* Sat Mar 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.4-1
- new upstream release

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.3-1
- new upstream release

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.2-2
- change release to sync with self-build-lame

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.2-1
- new upstream release
- applied some patches from RPM Fusion development
- added in %%configure: 
  --enable-decode-layer1
  --disable-dependency-tracking
  --disable-static

* Fri Jun 05 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-5
- change release to sync with self-build-lame

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-4
- change release to sync with self-build-lame

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-3
- spec in utf8
- remove *.la

* Wed May 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-2
- change %%{__make} option to -j1 <BTS:VineLinux:611>

* Sat May 03 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-1
- apply new versioning policy

* Sun Nov 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.97-0vl3
- fix typo

* Sun Nov 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.97-0vl2
- link libmp3lame with libm (patch1)

* Sat Nov 11 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.97-0vl1
- initial build
