Summary:	SVG and Mathml rendering library
Summary(ja):	SVG 及び Mathml のレンダリングライブラリ
Name:		lasem
Version:	0.4.1
Release:	1%{?_dist_release}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://blogs.gnome.org/emmanuel/category/lasem/

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Lasem is a library for rendering SVG and Mathml, implementing a DOM like
API. It's based on GObject and use Pango and Cairo for the rendering.
Included in the package, there is a simple application, lasem-render,
which is able to convert a Mathml, an itexmml (latex math like) or a SVG
file to either a PNG, PDF or SVG image.


%package	devel
Summary:	Development package for %{name}
Summary(ja):	%{name} の開発環境
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Files for development with %{name}.


%package	doc
Summary:	Documentation for %{name}
Summary(ja):	%{name} 用のドキュメント
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-0.4
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-0.4

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}-0.4.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/lasem-render-0.4
%{_libdir}/liblasem-0.4.so.*
%{_libdir}/girepository-1.0/Lasem-0.4.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/lasem-0.4
%{_libdir}/liblasem-0.4.so
%{_libdir}/pkgconfig/lasem-0.4.pc
%{_datadir}/gir-1.0/Lasem-0.4.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/lasem-0.4


%changelog
* Sun Nov  2 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.4.1-1
- new upstream release
- moved to System Environment/Libraries Group
- changed License to LGPLv2 (see COPYING)

* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-1
- new upstream release
- add BuildRequires: bison, flex

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.3-1
- initial build
