Name: lcrt
Version: 1.1.2
Release: 2%{?_dist_release}
Summary: Graphic Linux remote login tool
Summary(ja): グラフィック Linux リモートログインツール

Group: Applications/Internet
License: GPLv2
URL: https://github.com/niutao/lcrt
#URL: http://code.google.com/p/lcrt/
Source0: %{name}-%{version}.tar.gz
Source1: ja_JP.c
Source2: ja_JP.h

Patch0: enable_ja_trans.patch
Patch1: fix_desktop_entry.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel >= 2.0
BuildRequires: sqlite3-devel >= 3.0.0
BuildRequires: vte-devel >= 0.22.2

Requires: openssh
Requires: openssh-clients

%description
lcrt is a Linux remote login tool. Just like ssh or telnet, but it has
a GUI and can manage many connections. User can use it to save connection
information such as hostname, username and password(optionally), and 
auto login at next time. lcrt also can clone a connected session, so
user can open many connections quickly.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__cp} -f %{SOURCE1} %{SOURCE2} language/

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="" \
	--delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database > /dev/null 2>&1 || :

%postun
update-desktop-database > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Apr 19 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.2-2
- rebuilt with new toolchain

* Sun Jun 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.2-1
- initial build for VineSeed
