%define build_vine31 0

Summary:          GTK+ based simple text editor
Summary(ja):      GTK+ベースのシンプルなテキストエディタ
Name:             leafpad
Version:          0.8.18.1
Release:          3%{?_dist_release}
License:          GPL
Source:           %{name}-%{version}.tar.gz

Vendor:           Project Vine
Distribution:     Vine Linux
Packager:	  kazutaka, daisuke

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
URL:              http://tarot.freeshell.org/leafpad/
Group:            Applications/Editors
BuildRequires:    gtk2-devel atk-devel pango-devel
Requires:         gtk2 pango atk
Requires:         atril


%description
Leafpad is a GTK+ based simple text editor. The user interface is
similar to Notepad. It aims to be lighter than GEdit and KWrite, and
to be as useful as them.

Following concepts are intended...

    * Minimum requirement: for portability
    * Minimum menu item: to make full use of features and to learn easily
    * No toolbar: to maximize area to view text
    * Single document interface (SDI): to set out windows to view at a time
    * Character coding auto detection: to open file quickly without multi-codeset annoyance

%description -l ja
Leafpad は GTK+ ベースのシンプルなテキストエディタであり、メモ帳のような
インターフェイスを持っています。gEdit や KWrite のように使いやすく、より
軽快に動作するように作られています。

主なコンセプトは以下の通りです。

    * 可搬性のための最低限の要件
    * 全機能を把握し楽に使いこなすための最低限のメニュー項目
    * 編集領域を最大限確保するためにツールバーを廃止
    * 複数のエディタ画面を一望するためのSDI
    * 多言語エンコーディングを正しく判別する機能


%prep

%setup -q
%if %{build_vine31}
   %configure --disable-chooser
%else
   %configure
%endif

%build
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall

# remove unnecessary files
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/leafpad
%{_datadir}/applications/leafpad.desktop
%{_datadir}/pixmaps/leafpad.png
%{_datadir}/pixmaps/leafpad.xpm
%{_datadir}/icons/hicolor/16x16/apps/leafpad.png
%{_datadir}/icons/hicolor/22x22/apps/leafpad.png
%{_datadir}/icons/hicolor/24x24/apps/leafpad.png
%{_datadir}/icons/hicolor/32x32/apps/leafpad.png
%{_datadir}/icons/hicolor/scalable/apps/leafpad.svg


%changelog
* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.18.1-3
- change Requires: atril  instead of evince

* Wed Jan 15 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 0.8.18.1-2
- build with gcc-4.8

* Thu Feb 3 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.18.1-1
- new upstream release

* Mon Nov 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.17-1
- new upstream release

* Sun May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.16-2
- remove libgnomeprint/libgnomeprintui dependency
  - leafpad uses gtkprintui if available.
- add Requires: evince for print preview 

* Sun Mar 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.16-1
- new upstream release

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.14-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.14-0vl2
- rebuild for Vine Seed.
  * Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.14-0vl1
  - source update.

* Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.14-0vl1
- source update.

* Mon Feb 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.13-0vl2
- rebuild for Vine Seed.
  * Mon Feb 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.13-0vl1
  - source update.
  - drop Patch0.

* Mon Feb 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.13-0vl1
- source update.
- drop Patch0.

* Sat Oct 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.12-0vl1.2
- rebuild for Vine Seed.
  * Sat Oct 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.12-0vl1.1
  - source update.
  - add Patch0 to fix missing brace.

* Sat Oct 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.12-0vl1.1
- source update.
- add Patch0 to fix missing brace.

* Wed Sep  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.11-0vl1
- source update.

* Sun Apr 29 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.10-0vl1.2
- source update.
- add some tango icons in %%files section.

* Sun Jun 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.9-0vl1
- build for Vine Plus/3.0.

* Sat Apr 22 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.9-0vl1.1
- source update.
- add following dependencies.
  BuildRequires: libgnomeprint-devel & libgnomeprintui-devel >= 2.2.0
  Requires: libgnomeprint & libgnomeprintui >= 2.2.0

* Mon Jan 23 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.7-0vl1
- build for Vine Plus/3.0.

* Mon Jan 23 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.7-0vl1.1
- source update.
- build for VineSeed Plus.

* Wed Jan 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.6-0vl1
- build for Vine Plus/3.0.

* Wed Jan 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.6-0vl1.1
- source update.
- use License tag instead of Copylight.
- build for VineSeed Plus.

* Sat Nov 12 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.5-0vl1
- build for Vine Plus/3.0.

* Sat Nov 12 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.5-0vl1.1
- source update.
- add %%{_datadir}/pixmaps/leafpad.xpm in files section.
- build for VineSeed Plus.

* Tue Sep 27 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.4-0vl1
- build for Vine Plus/3.0.

* Tue Sep 27 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.4-0vl1.1
- source update.
- build for VineSeed Plus.

* Sun Jul 31 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.3-0vl1
- build for Vine Plus/3.0.

* Sat Jul 30 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.3-0vl1.1
- source update.
- build for VineSeed Plus.

* Wed Jul 13 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.2-0vl1
- build for Vine Plus/3.0.

* Thu Jul 7 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.2-0vl1.1
- source update.
- build for VineSeed Plus.

* Mon May 23 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.1-0vl1
- build for Vine Plus/3.0

* Sat May 21 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.1-0vl1.1
- source update.
- drop patch0.
- add %find_lang macro.
- add build_vine31 flag and %if statement.
- update japanese description.
- build for VineSeed Plus.

* Thu Mar 24 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp>
- add GtkFileChooser patch (GTK+2.4 required).
- build for VineSeed Plus.

* Fri Jan 28 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.1
