%define git_date 20161015
%define src_version %{version}-git%{git_date}

Summary:	LHa file archiving utility with compress (autoconfiscated)
Summary(ja):	高圧縮アーカイバ (autoconf 版)
Name:		lha
Version:	1.14i
Release:	4.git%{git_date}%{?_dist_release}
Group:		Applications/Archiving
License:	distributable
URL:		http://lha.sourceforge.jp/
Source:		lha-%{src_version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
LHa is a file archiving utility with high compression algorithm.

%description -l ja
LHa は効率の高い圧縮機能を持つファイルアーカイバです。

-lh5-, -lh6-, -lh7- 圧縮形式での圧縮/展開が可能なアーカイバ
LHa の UNIX 版の非正式 バージョンアップ版です。

%prep
%setup -q -n %{name}

%build
autoreconf -f -i

%configure \
	--mandir=%{_mandir}/ja \
	--enable-multibyte-filename=auto \
	--enable-ignore-dot-files
%__make

%check
%__make check

%install
%__rm -rf %{buildroot}
%makeinstall mandir=%{buildroot}%{_mandir}/ja

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%doc olddoc/change*.txt olddoc/{PROBLEMS,README,CHANGES}.euc
%{_bindir}/lha
%{_mandir}/ja/man1/lha.1*

%changelog
* Sun May  7 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14i-4.git20161015
- updated to git HEAD.

* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.14i-3
- rebuild for Vine Linux 6

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.14i-2
- spec in utf-8

* Sun May 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14i-1
- applied new versioning policy

* Fri Oct 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.14i-0vl9
- [SECURITY] update to 1.14i-ac20050924p1
  - fix multiple issues (CVE-2006-4335, CVE-2006-4337, CVE-2006-4338)

* Sat Oct 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.14i-0vl8
- change source to autoconfiscated version
  - 1.14i-ac20050924
  - change URL
  - drop obsolete patches

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14i-0vl7
- changed Group to Applications/Archiving

* Sat Sep  4 2004 SATO Masakiyo <info@pocomoco.net> 1.14i-0vl6
- add patch 101 for CAN-2004-0694, CAN-2004-0745, CAN-2004-0769, CAN-2004-0771

* Sun May  2 2004 IWAI, Masaharu <iwai@alib.jp> 1.14i-0vl5
- [SECURITY FIX] CAN-2004-0234, CAN-2004-0235
    - add lha-114i-sec.patch (Patch100): from Red Hat Linux 9 lha-1.14i-9.1

* Fri May  2 2003 IWAI Masaharu <iwai@alib.jp> 1.14i-0vl4
- rebuild with new toolchain

* Sat Feb 23 2002 Toru Sagami <sagami@vinelinux.org> 1.14i-0vl3
- use distributed tar.gz  

* Sat Jan 13 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.14i-0vl2
- use _mandir

* Fri Oct 13 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.14i-0vl1
- added lha-1.14i.patch from ad-hoc 114i.lzh onto 1.14h

* Sun Jul 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.14g-0vl2
- fixed %files section to handle compressed man page

* Tue May 16 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- 1.14g: supports -lh7-

* Sat May 13 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- moved ja_JP.ujis -> ja
- small fix: Vendor, Description and so on

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- change group

* Tue Aug 31 1999 Norihito Ohmori <ohmori@flatout.org>
- new versoin 1.14f

* Tue Aug 10 1999 Norihito Ohmori <ohmori@flatout.org>
- rebuild for new environment (glibc-2.1.x)
