%global githubname   libbpf
%global githubver    0.0.9
%global githubfull   %{githubname}-%{githubver}

Name:           %{githubname}
Version:        %{githubver}
Release:        1%{?_dist_release}
Summary:        Libbpf library
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2 or BSD
URL:            https://github.com/%{githubname}/%{githubname}
Source:         https://github.com/%{githubname}/%{githubname}/archive/v%{githubver}.tar.gz
BuildRequires:  gcc elfutils-libelf-devel elfutils-devel

%description
A mirror of bpf-next linux tree bpf-next/tools/lib/bpf directory plus its
supporting header files. The version of the package reflects the version of
ABI.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          programming

%description    devel
The %{name}-devel package contains libraries header files for
developing applications that use %{name}


%package        static
Summary:        Static library for libbpf development
Group:          programming
Requires: %{name}-devel = %{version}-%{release}

%description    static
The %{name}-static package contains static library for
developing applications that use %{name}


%global make_flags DESTDIR=%{buildroot} OBJDIR=%{_builddir} CFLAGS="%{optflags}" LDFLAGS="%{?build_ldflags} -Wl,--no-as-needed" LIBDIR=/%{_libdir} NO_PKG_CONFIG=1


%prep
%autosetup -n %{githubfull}


%build
%make_build -C ./src %{make_flags}


%install
%make_install -C ./src %{make_flags}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_libdir}/libbpf.so.%{version}
%{_libdir}/libbpf.so.0

%files devel
%{_libdir}/libbpf.so
%{_includedir}/bpf/
%{_libdir}/pkgconfig/libbpf.pc

%files static
%{_libdir}/libbpf.a


%changelog
* Mon Aug 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.0.9-1
- new upstream release.

* Wed Oct 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.0.5-2
- initial build for Vine Linux.

* Thu Oct 03 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.5-1
- release 0.0.5

* Wed Sep 25 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-2
- Fix libelf linking (BZ#1755317)

* Fri Sep 13 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-1
- Initial release
