Name: liferea
Version: 1.12.7
Release: 1%{?_dist_release}
License: GPLv2
Group: Applications/Internet
URL: https://lzone.de/liferea/
Source0: https://github.com/lwindolf/liferea/archive/v%{version}.tar.gz#/liferea-%{version}.tar.gz
#Patch0: lX11.patch

#Requires(post): GConf2
#Requires(preun): GConf2

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: gettext
BuildRequires: gnome-vfs2-devel
BuildRequires: gnutls-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gtk3-devel
BuildRequires: gnutls-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: intltool >= 0.40.3
BuildRequires: json-glib-devel
BuildRequires: libglade2-devel
BuildRequires: libnotify-devel
BuildRequires: libpeas-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: perl-XML-Parser
BuildRequires: sqlite3-devel
BuildRequires: unique-devel
BuildRequires: webkitgtk4-devel
BuildRequires: zlib-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Summary: aggregator for online news feeds
Summary(ja): オンラインニュースアグリゲータ

Vendor: Project Vine
Distribution: Vine Linux

%description
Liferea is an aggregator for online news feeds. There are many other news
readers available, but these others are not available for Linux or require
many extra libraries to be installed. Liferea tries to fill this gap by 
creating a fast, easy to use, easy to install news aggregator for GTK/GNOME.

Technical Details
 * RSS/RDF, CDF, Atom, OCS, OPML.
 * Filters to scrape websites or postprocess feeds.
 * Supports Enclosures (Podcasting).
 * Bandwidth saving by supporting feed specified update intervals, 
   HTTP compression and etags.

Liferea is an abbreviation for Linux Feed Reader.

%description -l ja
liferea はオンラインニュースフィードのアグリゲータです。
多くのニュースリーダーがありますが、それらは Linux では利用できない、
または多くの追加ライブラリをインストールする必要があります。
liferea は GTK/GNOME で高速且つ簡単に使用とインストールが可能な
ニュースアグリゲータを作成することでこのギャップを埋めようとしたものです。

技術面の詳細
 * RSS/RDF 、CDF 、Atom 、OCS、OPML。
 * ウェブサイトをまとめたり、あるいはフィードを後処理するためのフィルタ。
 * Enclosures (Podcasting) をサポート。
 * フィードのアップデート間隔の指定、HTTP 圧縮と etags のサポートで帯域幅を節約。

Liferea は Linux Feed Reader を省略したものです。

%prep
%setup -q


./autogen.sh

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/liferea/*.{a,la}
rm -f %{buildroot}%{_libdir}/liferea/web-extension/*.{a,la}
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog INSTALL README
#%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/liferea.convert
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_mandir}/pl/*

%changelog
* Sun Oct 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12.6-1
- new upstream release.

* Wed May 31 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.11.7-2
- changelog merged
 * Tue May 03 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.19-1
 - new upstream release

* Sun Jan 31 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.11.7-1
- update to 1.11.7

* Sat May 31 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.7-1
- new upstream release

* Sun Mar 09 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.6-1
- new upstream release

* Sat Oct 12 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.3-1
- new upstream release

* Sat Sep 07 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.2-1
- new upstream release

* Sat Aug 31 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.1a-2
- fix MIME type in desktop entry

* Sat Aug 10 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.1a-1
- new upstream release

* Sat Jul 20 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.0-1
- new upstream release
- maintained BuildRequires
  - added: libpeas-devel, gsettings-desktop-schemas-devel
  - changed: gtk2-devel to gtk3-devel
             WebKit-gtk-devel to WebKit3-gtk-devel
	     intltool >= 0.35 to intltool >= 0.40.4
  - deleted: GConf2-devel
- deleted Requires: GConf2
- deleted unrecognized option: --disable-schemas-install
- run glib-compile-schemas in %posttrans, %postun

* Sat Jun 29 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.15-1
- new upstream release

* Sun May 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.14-1
- new upstream release

* Sat Jan 05 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.12-1
- new upstream release

* Sat Dec 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.11-1
- new upstream release

* Wed Oct 31 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.10-1
- new upstream release
- changed archive type gzip to bz2

* Tue Oct 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.9-1
- new upstream release

* Sun Sep 02 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.8-1
- new upstream release

* Wed Aug 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.7-1
- new upstream release

* Sat Jun 16 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.6-1
- new upstream release

* Sun Apr 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.5-1
- new upstream release

* Sun Mar 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.3-1
- new upstream release

* Thu Mar 22 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.2-1
- new upstream release

* Sat Mar 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.1b-1
- new upstream release

* Sun Dec 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.8.0-1
- new upstream release
- dropt patch0
- added BuildRequires: unique-devel json-glib-devel
- stopped running autoreconf and libtoolize

* Wed Nov 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.7-1
- new upstream release
- dropt BuildRequires: xulrunner-devel

* Wed Jun 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.6b-1
- new upstream release

* Wed Sep 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.5-1
- new upstream release
- added BuildRequires: libtool, libSM-devel, perl-XML-Parser
- run autoreconf in %%build
- deleted unrecognized option
- used %%{?_smp_mflags}

* Thu Jul 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.4-1
- new upstream release
- added patch1 from Fedora

* Thu Mar 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.3-1
- new upstream release

* Fri Feb 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.2-1
- new upstream release
- changed BuildRequires: xulrunner-devel-unstable to xulrunner-devel
- done libtoolize --copy --force before configure

* Wed Dec 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.1-2
- added Japanese description

* Thu Dec 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.1-1
- new upstream release

* Thu Aug 20 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.0-2
- run gtk-update-icon-cache in %post, %postun
- added BuildRequires: libsoup-devel, WebKit-gtk-devel

* Fri Aug 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6.0-1
- new upstream release

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.26-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.23-3
- rebuilt with gnutls-2.6.3

* Sat Jan 17 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.4.23-2
- disabled GtkHTML2 support
- updated --with-gecko configure option
- added BuildRequires: libxslt-devel, sqlite3-devel and libglade2-devel

* Fri Jan  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.23-1
- new upstream release
- BuildRequires: gecko-devel-unstable (instead of firefox-devel)

* Tue Nov 27 2007 IWAI, Masaharu <iwai@alib.jp> 1.4.8-0vl1
- new upstream release

* Sun Sep  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.4.1-0vl1
- new upstream release
- added Japanese summary
- using firefox instead of mozilla

* Mon Jan 16 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> - 1.0-0vl2
- fixed %pre and %post scripts.

* Thu Dec 29 2005 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0-0vl1
- new upstream
- update description

* Sun Dec 12 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.6.4b-0vl1
- new upstream

* Fri Oct 15 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.6.0-0vl2
- add defattr in files section

* Sun Oct  3 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.6.0-0vl1
- new upstream

* Tue Aug 24 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.5.3b-0vl1
- new upstream
- add BuildPreReq zlib-devel mozilla-devel gettext
- install gconf schemas

* Sun Feb 15 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.4.6b-0vl1
- Initial build.

