Summary:	Firmware files used by the Linux kernel
Summary(ja):	Linux Kernel で利用されるファームウェアファイル
Name:		linux-firmware
Version:	20210511
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
URL:		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
Source0:	https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/snapshot/linux-firmware-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
%define _binaries_in_noarch_packages_terminate_build 0

Provides:	kernel-firmware = %{version} 
Provides:	xorg-x11-drv-ati-firmware = 7.0
Obsoletes:	kernel-firmware < %{version} 
Obsoletes:	XOrg-drv-ati-firmware < 6.13.0-0.22
Obsoletes:	ueagle-atm4-firmware < 1.0-5
Obsoletes:	rt2870-firmware
Obsoletes:	ivtv-firmware
Requires:	udev

%description
Kernel-firmware includes firmware files required for some devices to
operate.


%define iwlwifi_release 5%{_dist_release}
%package -n iwlwifi-firmware
Summary:	Firmware for Intel(R) Wireless WiFi Link Series Adapters
Summary(ja):	Intel(R) Wireless WiFi Link シリーズ用ファームウェア集
URL:		http://intellinuxwireless.org/
License:	Redistributable, no modification permitted

# obsoletes individual package
Obsoletes: iwlwifi-100-ucode <= 39.31.5.1-1vl6
Obsoletes: iwlwifi-1000-ucode <= 1:39.31.5.1-1vl6
Obsoletes: iwlwifi-3945-ucode <= 15.32.2.9-1vl6
Obsoletes: iwlwifi-4965-ucode <= 228.61.2.24-1vl6
Obsoletes: iwlwifi-5000-ucode <= 8.83.5.1-1vl6
Obsoletes: iwlwifi-5150-ucode <= 8.24.2.2-2vl6
Obsoletes: iwlwifi-6000-ucode <= 9.221.4.1-2vl6
Obsoletes: iwlwifi-6000g2a-ucode <= 17.168.5.2-1vl6
Obsoletes: iwlwifi-6000g2b-ucode <= 17.168.5.2-1vl6
Obsoletes: iwlwifi-6050-ucode <= 41.28.5.1-1vl6
# provide ucode package
Provides: iwlwifi-100-ucode = 39.31.5.1-%{iwlwifi_release}
Provides: iwlwifi-105-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-135-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-1000-ucode = 1:39.31.5.1-%{iwlwifi_release}
Provides: iwlwifi-2000-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-2030-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-3160-ucode = 25.30.13.0-%{iwlwifi_release}
Provides: iwlwifi-3945-ucode = 15.32.2.9-%{iwlwifi_release}
Provides: iwlwifi-4965-ucode = 228.61.2.24-%{iwlwifi_release}
Provides: iwlwifi-5000-ucode = 8.83.5.1_1-%{iwlwifi_release}
Provides: iwlwifi-5150-ucode = 8.24.2.2-%{iwlwifi_release}
Provides: iwlwifi-6000-ucode = 9.221.4.1-%{iwlwifi_release}
Provides: iwlwifi-6000g2a-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-6000g2b-ucode = 18.168.6.1-%{iwlwifi_release}
Provides: iwlwifi-6050-ucode = 41.28.5.1-%{iwlwifi_release}
Provides: iwlwifi-7260-ucode = 25.30.13.0-%{iwlwifi_release}

%description -n iwlwifi-firmware
This package containts firmware collection for Intel(R) Wireless WiFi
Link Series ada
pter.

%description -n iwlwifi-firmware -l ja
Intel(R) Wireless WiFi Link
シリーズの無線LANアダプタ用のファームウェア集です。


%prep
%setup -q -n linux-firmware-%{version} 


%build
# Remove source files we don't need to install
rm -f usbdux/*dux */*.asm


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -r * %{buildroot}/lib/firmware
rm %{buildroot}/lib/firmware/{WHENCE,LICENCE.*,LICENSE.*,README*}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENCE.* LICENSE.*
%doc WHENCE
/lib/firmware/*
%exclude /lib/firmware/iwlwifi*

%files -n iwlwifi-firmware
%license LICENCE.iwlwifi*
%doc WHENCE
/lib/firmware/iwlwifi*


%changelog
* Thu Jul 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20210511-1
- updated to the newest git snapshot.

* Tue Sep 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20200918-1
- updated to the newest git snapshot.

* Fri Apr 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20200316-1
- updated to the newest git snapshot.

* Sat Jul  1 2017 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 20170701-1
- update 20170701 git
- (20160723 changelog is missing...)
- use _binaries_in_noarch_packages_terminate_build 0

* Thu Mar 21 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 20130214-2
- add epoch number in Obs/Prov number of iwlwifi-1000-ucode

* Fri Feb 15 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 20130214-1
- update to new upstream git master
- add subpackage to provide iwlwifi-firmware
  - obsoletes/provides iwlwifi-*-ucode

* Fri Sep 14 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 20120709-2
- add Obsoletes: ivtv-firmware (included in Vine-5.x main)

* Wed Jul 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20120709-1
- update to new git snapshot (20120709)

* Sun Aug 14 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 20110731-1
- new upstream release
- add Obsoletes: rt2870-firmware

* Thu Jun 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 	20110601-1
- initial build for Vine Linux

* Sun Jun 05 2011 Peter Lemenkov <lemenkov@gmail.com> 20110601-2
- Remove duplicated licensing files from /lib/firmware

* Wed Jun 01 2011 Dave Airlie <airlied@redhat.com> 20110601-1
- Latest firmware release with AMD llano support.

* Thu Mar 10 2011 Dave Airlie <airlied@redhat.com> 20110304-1
- update to latest upstream for radeon ni/cayman, drop nouveau fw we don't use it anymore

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110125-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 David Woodhouse <dwmw2@infradead.org> 20110125-1
- Update to linux-firmware-20110125 (new bnx2 firmware)

* Fri Jan 07 2011 Dave Airlie <airlied@redhat.com> 20101221-1
- rebase to upstream release + add new radeon NI firmwares.

* Thu Aug 12 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 20100806-4
- Really obsolete ueagle-atm4-firmware

* Thu Aug 12 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 20100806-3
- Obsolete ueagle-atm4-firmware

* Fri Aug 06 2010 David Woodhouse <dwmw2@infradead.org> 20100806-2
- Remove duplicate radeon firmwares; they're upstream now

* Fri Aug 06 2010 David Woodhouse <dwmw2@infradead.org> 20100806-1
- Update to linux-firmware-20100806 (more legacy firmwares from kernel source)

* Fri Apr 09 2010 Dave Airlie <airlied@redhat.com> 20100106-4
- Add further radeon firmwares

* Wed Feb 10 2010 Dave Airlie <airlied@redhat.com> 20100106-3
- add radeon RLC firmware - submitted upstream to dwmw2 already.

* Tue Feb 09 2010 Ben Skeggs <bskeggs@redhat.com> 20090106-2
- Add firmware needed for nouveau to operate correctly (this is Fedora
  only - do not upstream yet - we just moved it here from Fedora kernel)

* Wed Jan 06 2010 David Woodhouse <David.Woodhouse@intel.com> 20090106-1
- Update

* Fri Aug 21 2009 David Woodhouse <David.Woodhouse@intel.com> 20090821-1
- Update, fix typos, remove some files which conflict with other packages.

* Thu Mar 19 2009 David Woodhouse <David.Woodhouse@intel.com> 20090319-1
- First standalone kernel-firmware package.
