Summary: Hardware information listing tool
Summary(ja): ハードウェア情報表示ツール
Name:           lshw
Version:        B.02.19.2
Release:        1%{?_dist_release}
Group:          Applications/System
License:        GPLv2
URL:            http://ezix.org/project/wiki/HardwareLiSter
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       daisuke

Source0: http://www.ezix.org/software/files/%{name}-%{version}.tar.gz
Source1: lshw.desktop
Source2: lshw.consolehelper
Source3: lshw.pam

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sqlite3-devel
BuildRequires: gtk2-devel >= 2.4
BuildRequires: desktop-file-utils
BuildRequires: desktop-file-utils

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton on 
the hardware configuration of the machine. It can report exact memory 
configuration, firmware version, mainboard configuration, CPU version and 
speed, cache configuration, bus speed, etc. on DMI-capable x86 systems 
and on some PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

%package gui
Summary:  Graphical hardware lister
Summary(ja): グラフィカルなハードウエア情報表示ツール
Group:    Applications/System
Requires: usermode
Requires: %{name} = %{version}-%{release}

%description gui
Graphical frontend for the hardware lister (lshw) tool.
If desired, hardware information can be saved to file in
plain, XML or HTML format.

%prep
%setup -q -n %{name}-%{version}

%{__sed} -i 's|-g -Wall -g|%{optflags}|' src/Makefile
%{__sed} -i 's|-g -Wall -Os|%{optflags}|' src/core/Makefile
%{__sed} -i 's|-g -Wall -Os|%{optflags}|' src/gui/Makefile
%{__sed} -i 's|LDFLAGS= -Os -s|LDFLAGS=|' src/gui/Makefile

%build
%{__make} %{?_smp_mflags} SBINDIR="%{_sbindir}" gui 

# Replace copyrighted icons
pushd src
%{__make} nologo

%install
%{__rm} -rf %{buildroot}
%{__make} install              \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        INSTALL="%{__install} -p"

%{__make} install-gui          \
        DESTDIR="%{buildroot}" \
        PREFIX="%{_prefix}"    \
        SBINDIR="%{_sbindir}"  \
        MANDIR="%{_mandir}"    \
        INSTALL="%{__install} -p"

%{__ln_s} -f gtk-lshw %{buildroot}%{_sbindir}/lshw-gui

# desktop icon
%{__install} -D -m 0644 -p ./src/gui/artwork/logo.svg \
     %{buildroot}%{_datadir}/pixmaps/%{name}-logo.svg

desktop-file-install --vendor ""  \
  --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

# consolehelper
%{__install} -d %{buildroot}%{_bindir}
%{__ln_s} -f consolehelper %{buildroot}%{_bindir}/%{name}-gui
%{__install} -D -m 0644 %{SOURCE2} \
   %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-gui
%{__install} -D -m 0644 %{SOURCE3} \
   %{buildroot}%{_sysconfdir}/pam.d/%{name}-gui

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -)
%license COPYING
%doc README docs/*
%doc %{_mandir}/man1/lshw.1*
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/*.ids

%files gui
%defattr(-, root, root, -)
%doc COPYING
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-gui
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-gui
%{_bindir}/%{name}-gui
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}/artwork
%{_datadir}/%{name}/ui/gtk-%{name}.ui
%{_datadir}/pixmaps/%{name}-logo.svg
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Apr 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> B.02.19.2
- new upstream release.

* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> B.02.16-2
- rebuild with gcc-5.4.0

* Mon Jun 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> B.02.16-1
- new upstream release

* Fri Nov 18 2011 Daisuke SUZUKI <daisuke@linux.or.jp> B.02.15-1
- new upstream release

* Wed Jul 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> B.02.13-1
- new upstream release

* Sun Dec 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> B.02.12.01-0vl1
- initial build for Vine Linux

* Mon Nov  5 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.12.01-1
- B.02.12.01
- Replace trademark icons

* Tue Aug 14 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-3
- Move desktop and pam config to files
- Simplify build

* Tue Aug 07 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-2
- Remove trademarks

* Mon Aug 06 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11.01-1
- B.02.11.01

* Sun Aug 05 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-3
- Move artwork to gui subpackage
- Implement consolehelper support

* Sat Aug 04 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-2
- License is GPLv2 (only)
- Fix ui %%description

* Wed Aug 01 2007 Terje Rosten <terjeros@phys.ntnu.no> - B.02.11-1
- Follow upstream version scheme

* Wed Jul 25 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.11-1
- 2.11

* Wed Jun 27 2007 Terje Rosten <terjeros@phys.ntnu.no> - 2.10-2
- minor fixes
- add patch to avoid stripping
- add desktop file
- strip changelog
- move from sbin to bin
- new url

* Wed Feb 14 2007 Dag Wieers <dag@wieers.com> - 2.10-1 - 4876+/dag
- Updated to release B.02.10.

* Tue Dec 21 2004 Dag Wieers <dag@wieers.com> - 2.0-1
- Initial package. (using DAR)

