## -*- coding: utf-8-unix -*-
Summary:	Tetlis game with multiplayer mode
Summary(ja):	対戦型テトリス
Name:		ltris
Version:	1.0.19
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Applications/Games
URL:		http://lgames.sourceforge.net/

Requires(post,postun): desktop-file-utils
Requires:	SDL
Requires:	SDL_mixer
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
LTris as a tetris clone: differently shaped blocks are falling down the 
rectangular playing field and can be moved sideways or rotated by 90 degree 
units with the aim of building lines without gaps which then disappear 
(causing any block above the deleted line to fall down). LTris has three 
game modes: In Classic you play until the stack of blocks reaches the top 
of the playing field and no new blocks can enter. In Figures the playing 
field is reset to a new figure each level and later on tiles and lines 
suddenly appear. In Multiplayer up to three players (either human or CPU) 
compete with each other sending removed lines to all opponents. And in 
Demo you can watch your CPU playing while enjoying a cup of tea!

%prep
%__rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --prefix=%{_prefix} \
	   --localstatedir=%{_localstatedir}/games \
	   ;
%__make

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi 
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications || :

%postun
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/ltris
%{_datadir}/applications/ltris.desktop
%{_datadir}/icons/ltris48.gif
%{_datadir}/%{name}/figures
%{_datadir}/%{name}/gfx
%{_datadir}/%{name}/sounds
%ghost %{_localstatedir}/games/ltris.hscr


%changelog
* Sun Jan 24 2016 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.19-1
- new upstream release

* Mon Feb 13 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.18-1
- new upstream release
- fixed License tag
- added Requires(post,postun): desktop-file-utils
- moved game score file to /var/games

* Sun Aug 28 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.17-1
- new upstream release

* Tue Mar 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.16-1
- new upstream release

* Mon Jan 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.15-1
- new upstream release

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.14-1
- new upstream release

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.11-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.0.11-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.0.11-0vl1
- initial build for Vine Linux

# * Thu Oct 6 2005 1.0.11-0vl1
# - initial build for Vine Linux

# * Mon May 9 2005 1.0.10-0vl1
# - initial build for Vine Linux

# end of file
