Name:           lxappearance
Version:        0.5.5
Release:        2%{?_dist_release}
Summary:        Feature-rich GTK+ theme switcher for LXDE
Summary(ja):    LXDE の機能豊かな GTK+ テーマスイッチャ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz

Vendor:         Project Vine
Distribution:   Vine Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.18.0
BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  intltool >= 0.40
BuildRequires:  menu-cache-devel >= 0.3.2
BuildRequires:  perl-XML-Parser
BuildRequires:  libX11-devel
Requires:       lxsession >= 0.4.0

%description
LXAppearance is a new GTK+ theme switcher developed for LXDE, the Lightweight 
X11 Desktop Environment. It is able to change GTK+ themes, icon themes, and 
fonts used by applications. All changes done by the users can be seen 
immediately in the preview area. After clicking the "Apply" button, the 
settings will be written to gtkrc, and all running programs will be asked to 
reload their themes.

%description -l ja
LXAppearance は LXDE -the Lightweight X11 Desktop Environment- のために開発された
新しい GTK+ テーマスイッチャです。GTK テーマ・アイコンテーマ・フォントを
アプリケーションによって変えることができます。
ユーザーにより行われたすべての変更はプレビューエリアで迅速に見ることができます。
"適用"ボタンを押した後、設定は gtkrc に書き込まれ、すべての起動中のプログラムが
それらのテーマを再読み込みするように求められます。

%package devel
Summary: Development files of %{name}
Summary(ja): %{name} の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains headers and pkg-config file for development
with %{name}.

%description -l ja devel
このパッケージは %{name} の開発に必要なヘッダと pkg-config ファイルを含みます。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="vine" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --delete-original \
  --add-category X-System \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/ui/
%{_mandir}/man1/%{name}*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jul 26 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.5-2
- rebuilt with current environment
 -deleted Release tag from -devel

* Sat Apr 19 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.5-1
- new upstream release
- changed archive type gzip to xz

* Mon May 21 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release

* Sun Jul 31 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.1-1
- new upstream release
- added BuildRequires: libX11-devel

* Thu Oct 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release
- added and arranged BuildRequires
  - BuildRequires:  desktop-file-utils
  - BuildRequires:  gettext
  - BuildRequires:  glib2-devel >= 2.18.0
  - BuildRequires:  gtk2-devel >= 2.12.0
  - BuildRequires:  intltool >= 0.40
  - BuildRequires:  menu-cache-devel >= 0.3.2
  - BuildRequires:  perl-XML-Parser
- added Requires: lxsession >= 0.4.0
- splitted -devel pacakage

* Wed Jan 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.0-1
- new upstream release

* Mon Dec 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-1
- new upstream release
- fixed desktop file for build

* Mon Jul 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1vl5
- new upstream release
- dropt Source1 and Patch0

* Wed Apr  1 2009 IWAI, Masaharu <iwai@alib.jp> 0.2-3
- enable ja.po
  - drop lxappearance-LINGUAS (Source2)
  - add enable lang ja patch (Patch0)
  - run autogen.sh

* Fri Mar 27 2009 IWAI, Masaharu <iwai@alib.jp> 0.2-2
- replace ja.po: from upstream repository
- update %%files section: drop unnecessary extension in mandir
- add Vendor and Distribution tags for Vine Linux

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-1vl5
- initial build for VineSeed (import Fedora package)

* Sun Apr 20 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2-1
- Update to 0.2
- Remove install-patch, applied upstream

* Sat Apr 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1-1
- Initial Fedora RPM
