Name:           lxlauncher
Version:        0.2.2
Release:        3%{?_dist_release}
Summary:        Open source replacement for Asus Launcher on the EeePC
Summary(ja):    EeePC における Asus Launcher のオープンソースの代替品

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Patch0:         fix_building_with_gtk_older_than_224.patch
Patch1:         fix_gtkallocation_bug.patch

BuildRequires:  gtk2-devel >= 2.12 startup-notification-devel
BuildRequires:  gnome-menus-devel >= 2.18.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:	menu-cache-devel
BuildRequires:	GConf2-devel


%description
LXLauncher is designed as an open source replacement for the Asus Launcher
included in their EeePC. It is desktop-independent and follows 
freedesktop.org specs, so newly added applications will automatically show 
up in the launcher, and vice versa for the removed ones.
LXLauncher is part of LXDE, the Lightweight X11 Desktop Environment.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#mkdir -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/backgrounds
#mkdir -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
#%{_datadir}/%{name}/
%{_datadir}/desktop-directories/*.directory
%{_sysconfdir}/xdg/*

%changelog
* Fri Aug 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.2-3
- rebuilt with current environment

* Sat Nov 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.2-2
- rebuilt with menu-cache-0.4.1

* Tue Jul 26 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-1
- new upstream release
- added BuildRequires: intltool
- added patch0,1 from upstream git repository

* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-2
- rebuilt with current environment

* Thu Jul 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1
- new upstream release

* Mon Jun 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-1
- initial build for VineSeed

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 21 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2-1
- Update to 0.2
- Remove empty ChangeLog

* Mon May 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.6-1
- Initial Fedora RPM
