Name:           lxpolkit
Version:        0.1.0
Release:        2%{?_dist_release}
Summary:        Simple PolicyKit authentication agent
Summary(ja):     シンプルな PolicyKit 認証エージェント

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.18.0
BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  intltool >= 0.40.0
BuildRequires:  menu-cache-devel >= 0.3.2
BuildRequires:  perl-XML-Parser
BuildRequires:  polkit-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: kudoh

Requires:       polkit >= 0.95
# required to replace polkit-gnome and polkit-kde
Provides:       PolicyKit-authentication-agent

%description
LXPolKit is a simple PolicyKit authentication agent developed for LXDE,
the Lightweight X11 Desktop Environment.


%prep
%setup -q
sed -i 's/^NotShowIn=GNOME;KDE;/NotShowIn=GNOME;KDE;XFCE;/g' data/lxpolkit.desktop.in.in

%build
%configure --bindir=%{_libexecdir} --sysconfdir=/etc
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config %{_sysconfdir}/xdg/autostart/lxpolkit.desktop
%{_libexecdir}/%{name}
%{_datadir}/%{name}/


%changelog
* Sat Sep 06 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.2-2
- rebuilt with current environment

* Sun Sep 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-1
- initial build for Vine Linux

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.2.20100402git5087383
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 02 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100402git5087383
- Update to git version 5087383
- Install binary to %%{_libexecdir}

* Mon Mar 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100329git93555fa
- Initial package

