Name:           lxsession-edit
Version:        0.2.0
Release:        2%{?_dist_release}
Summary:        Simple GUI to configure what’s automatically started in LXDE
Summary(ja):    LXDE で自動的に開始されるセッションを設定するためのシンプルな GUI

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org
Source0:        http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
#Patch0:         %{name}-0.1-desktop-file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.12.0, desktop-file-utils, gettext
BuildRequires:  intltool, perl-XML-Parser
Requires:       lxsession

%description
LXSession-edit is a tool to manage freedesktop.org compliant desktop session 
autostarts. Currently adding and removing applications from the startup list 
is not yet available, but it will be support in the next release.

%description -l ja
LXSession-edit は freedesktop.org 準拠の自動起動するデスクトップセッションを
管理するためのツールです。
現在はスタートアップリストからアプリケーションを追加したり削除することは
できませんが、次のリリースでサポートされます。

%prep
%setup -q
#%patch0 -p1 -b .fixes

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                       \
  --delete-original                                        \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/lxsession-edit.desktop
%{_datadir}/lxsession-edit/


%changelog
* Sat Aug 09 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-2
- rebuilt with current environment

* Sat Jul 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release
- added BuildRequires: intltool, perl-XML-Parser

* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-2
- rebuilt with current environment

* Tue Jul 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-1
- new upstream release
- dropt Patch0

* Sun Jun 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-5
- deleted Obsoletes: lxsession-lite < 0.3.8

* Tue May 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-4
- reverted Requires: lxsession
- changed Obsoletes: lxsession-lite < 0.3.8

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-3
- fixed changlog typo
- spec in UTF-8

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-2
- changed Requires: lxsession to lxsession-lite
- added Obsoletes: lxsession <= 0.3.2
- rebuilt with lxsession-lite

* Fri Apr 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-1
- initial build for VineSeed

* Sun Dec 07 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1-1
- Initial Fedora package
