Name:           lxterminal
Version:        0.2.0
Release:        2%{?_dist_release}
Summary:        Desktop-independent VTE-based terminal emulator
#Summary(de):    Desktup-unabhängiger VTE-basierter Terminal Emulator
Summary(ja):    デスクトップに依存しない VTE ベースのターミナルエミュレータ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
#Patch0:         lxterminal-new-tab-cwd.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

BuildRequires:  gtk2-devel >= 2.14 vte-devel
BuildRequires:  desktop-file-utils intltool gettext

%description
LXterminal is a VTE-based terminal emulator with support for multiple tabs. 
It is completely desktop-independent and does not have any unnecessary 
dependencies. In order to reduce memory usage and increase the performance 
all instances of the terminal are sharing a single process.

%description -l ja
LXterminal は複数タブをサポートした VTE ベースのターミナルエミュレータです。
完全にデスクトップから独立し、不要な依存をもちません。
メモリ使用量を抑え性能を向上させるため、ターミナルのすべての
インスタンスが1つのプロセスに共有されています。

#%description -l de
#LXTerminal ist ein VTE-basierter Terminalemulator mit Unterstützung für 
#mehrere Reiter. Er ist komplett desktop-unabhängig und hat keine unnötigen 
#Abhängigkeiten. Um den Speicherverbrauch zu reduzieren und die Leistung zu
#erhöhen teilen sich alle Instanzen des Terminals einen einzigen Prozess.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=vine	\
  --delete-original	\
  --add-category=Utility	\
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_mandir}/man1/%{name}*.1*


%changelog
* Mon Apr 11 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-2
- rebuilt

* Sat Oct 25 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release
- fixed %%changelog in Sat May 03 2014
- run gtk-update-icon-cache in %%post, %%postun, %%posttrans

* Sat May 03 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.11-2
- rebuilt with current environment

* Thu Jul 28 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.11-1
- new upstream release
- dropt all patches

* Tue Jul 26 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.10-2
- added patch0,1 from upstream git repository

* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.10-1
- Update to 0.1.10

* Thu Sep 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.9-1
- Update to 0.1.9

* Wed Jul 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.8-1
- Update to 0.1.8

* Wed Mar 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.7-1
- Update to 0.1.7
- dropt Patch0

* Sun Oct 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.6-2
- added Patch0 from LXDE tracker to set cwd of new tab equal to the cwd of the current tab

* Sun Jul 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.6-1
- Update to 0.1.6
- cleaned up spec

* Fri May 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.5-1
- Update to 0.1.5
- dropt Source1,2
- spec in UTF-8

* Fri Mar 27 2009 IWAI, Masaharu <iwai@alib.jp> 0.1.4-3
- replace ja.po: from upstream repository
- fix Japanese description: drop unnecessary English
- update %%files section: drop unnecessary extension in mandir
- add Vendor and Distribution tags for Vine Linux

* Thu Mar 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.4-2vl5
- modified ja.po
- added Summary(ja)

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.4-1vl5
- initial build for VineSeed (import from Fedora Package)

* Fri Dec 26 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.4-1
- Update to 0.1.4.

* Sat Jun 28 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.3-1
- Update to 0.1.3
- Add the new manpage

* Fri Jun 20 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-1
- Initial Fedora package
