%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: Library for parsing IDL (Interface Definition Language)
Summary(ja): IDL (インターフェース定義言語) 解析ライブラリ
Name: libIDL
Version: 0.8.14
Release: 3%{?_dist_release}
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libIDL/0.8/%{name}-%{version}.tar.bz2
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig >= 0.8
BuildRequires: glib2-devel >= 2.0
BuildRequires: flex bison

Vendor: Project Vine
Distribution: Vine Linux

%description
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

%description -l ja
libIDL は IDL (インターフェース定義言語) を解析するためのライブラリです.
COM形式とCORBA形式の両方のIDLで利用することができます.

%package devel
Summary: Development libraries and header files for libIDL
Summary(ja): libIDL の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig >= 0.8
Requires: glib2-devel >= 2.0
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write 
or compile programs that use libIDL.

# compat32
%package -n compat32-%{name}
Summary: Development libraries and header files for libIDL
Summary(ja): libIDL の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

%description -n compat32-%{name} -l ja
libIDL は IDL (インターフェース定義言語) を解析するためのライブラリです.
COM形式とCORBA形式の両方のIDLで利用することができます.

%package -n compat32-%{name}-devel
Summary: Development libraries and header files for libIDL
Summary(ja): libIDL の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2-devel >= 2.0
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description -n compat32-%{name}-devel
libIDL is a library for parsing IDL (Interface Definition Language). 
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write 
or compile programs that use libIDL.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%post devel
/sbin/install-info --quiet %{_infodir}/libIDL2.info.gz %{_infodir}/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --quiet --delete %{_infodir}/libIDL2.info.gz %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING README NEWS
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libIDL-config-2
%{_includedir}/*
%{_libdir}/%{name}-2.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/libIDL2.info.gz

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/%{name}-2.so
%{_libdir}/pkgconfig/*.pc
%endif

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.14-3
- rebuild with VineSeed environment

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> - 0.8.14-2
- build with rpm-4.8.1-1 for pkg-config file

* Wed Apr  7 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.8.14-1
- new upstream release

* Sat Jul 11 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.8.13-2
- added compat32 package for x86_64 arch support

* Sun May  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.13-1
- new upstream release
- removed static library

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.11-1
- new upstream release
- spec in UTF-8

* Sat Jul 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.10-2vl5
- dropt libIDL-2.la

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.10-1vl5
- new upstream release

* Tue Oct  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.9-0vl1
- new upstream release

* Thu Mar 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl1
- new upstream release

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.7-0vl1
- new upstream release

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.6-0vl1
- new upstream release

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.5-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.4-0vl1
- new upstream release

* Fri Jan 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.2-0vl2
- rebuild with new toolchains

* Fri Jul 25 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.2-0vl1
- new upstream release
- add Japanese summary and description

* Sat Dec 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl1
- build for Vine Linux

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.8.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- move include files to -devel
- other spec file tweaks

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.7.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- cvs snap 0.7.1.91

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, rebuild on new glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- glib 1.3.10

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- initial build of standalone libIDL
- fix braindamage

