
# Basic Information
Name:		libXaw3dXft
Summary:	X 3D Athena Widgets Library with Xft
Version:	1.6.2e
Release:	1%{?_dist_release}
License:	MIT
Group:		System Environment/Libraries

Source0:	%{name}-%{version}.tar.bz2
Patch7:         Xaw3d-1.6.1-3Dlabel.patch
Patch10:        Xaw3d-1.6.1-fontset.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

# Dependency
Requires:	libXft
Requires:	libXmu
Requires:	libXpm
BuildRequires:	libXft-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXpm-devel

%package devel
Summary:	Development tools for programs which will use the libXaw3dXft library.
Summary(ja):	libXaw3dXft ライブラリを使うプログラム向け開発ツール
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libXft-devel
Requires:	libXmu-devel
Requires:	libXpm-devel

%description
X 3D Athena Widgets Library with Xft

%description devel
Development tools for programs which will use the libXaw3dXft library.

%prep
%setup -q
%patch7 -p1 -b .3Dlabel
%patch10 -p1 -b .fontset

%build
%configure \
    --disable-static \
    --enable-internationalization \
    --enable-arrow-scrollbars \
    --enable-gray-stipples \
    --enable-multiplane-bitmaps

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libXaw3dxft.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/X11/Xaw3dxft
%{_libdir}/*.so
%{_libdir}/pkgconfig/libxaw3dxft.pc
%{_docdir}/%{name}/README.XAW3D

%changelog
* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.2e-1
- new upstream release.

* Tue Jan  6 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.2d-1
- new upstream release
- enabled multiplane-bitmaps and gray-stipples
- added Patch7 and Patch10 from Fedora

* Sun Oct 05 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.2c-2
- moved main package to System Environment/Libraries Group
- added %%post and %%postun section

* Wed Sep 03 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.6.2c-1
- new upstream release

* Sat Oct 05 2013 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.6.2b-1
- initial build for Vine Linux

