%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXdamage runtime library
Summary(ja): X.Org X11 libXdamage ランタイムライブラリ
Name: libXdamage
Version: 1.1.5
Release: 1%{?_dist_release}
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: libX11-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libXfixes-devel
Obsoletes: XFree86-libs, XOrg-libs

Vendor: Project Vine
Distribution: Vine Linux

%description
X.Org X11 libXdamage runtime library

%package devel
Summary: X.Org X11 libXdamage development package
Summary(ja): X.Org X11 libXdamage 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Requires: libXfixes-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXdamage development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXdamage runtime library
Summary(ja): X.Org X11 libXdamage ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libXdamage runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXdamage development package
Summary(ja): X.Org X11 libXdamage 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-libXfixes-devel

%description -n compat32-%{name}-devel
X.Org X11 libXdamage development package

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libXdamage.so.1
%{_libdir}/libXdamage.so.1.1.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/Xdamage.h
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXdamage.so.1
%{_libdir}/libXdamage.so.1.1.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc
%endif

%changelog
* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.5-1
- new upstream release.

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-2
- rebuild with VineSeed environment

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.3-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jul 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.3-1
- new upstream release

* Tue Nov 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-1
- new upstream release

* Sun May 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.1-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-2
- spec in utf-8

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-0vl1
- initial build for Vine Linux

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.1.1-3
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.1.1-2
- Don't install INSTALL

* Mon Mar 26 2007 Adam Jackson <ajax@redhat.com> 1.1.1-1
- libXdamage 1.1.1

* Mon Mar 05 2007 Adam Jackson <ajax@redhat.com> 1.1-1
- libXdamage 1.1

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 1.0.4-1
- Update to 1.0.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.3-2.1
- rebuild

* Wed Jun 07 2006 Mike A. Harris <mharris@redhat.com> 1.0.3-2
- Added "BuildRequires: xorg-x11-proto-devel >= 7.0-1" as xcursor.pc indicates
  "damageproto >= 1.0" is required.
- Added "Requires: xorg-x11-proto-devel >= 7.0-1, libXfixes-devel" to devel
  package also, as per xcursor.pc
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.3-1
- Update to 1.0.3

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.2.2-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.2.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 1.0.2.2-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.2.2-1
- Updated libXdamage to version 1.0.2.2 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 1.0.2.1-1
- Updated libXdamage to version 1.0.2.1 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 1.0.2-1
- Updated libXdamage to version 1.0.2 from X11R7 RC2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-4
- Updated libXdamage to version 1.0.1 from X11R7 RC1

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Initial build.
