# libXp will be removed from future release.
%define without_devel	0

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXp runtime library
Summary(ja): X.Org X11 libXp ランタイムライブラリ
Name: libXp
Version: 1.0.3
Release: 2%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Patch0: libXp-1.0.3-add-proto-files.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXau-devel
BuildRequires: libtool automake autoconf gettext
Obsoletes: XFree86-libs, XOrg-libs

Vendor: Project Vine
Distribution: Vine Linux

%description
X.Org X11 libXp runtime library

%package devel
Summary: X.Org X11 libXp development package
Summary(ja): X.Org X11 libXp 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: libXau-devel
Requires: libXext-devel
Requires: %{name} = %{version}-%{release}
BuildRequires: xorg-x11-proto-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXp development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXp runtime library
Summary(ja): X.Org X11 libXp ランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
X.Org X11 libXp runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXp development package
Summary(ja): X.Org X11 libXp 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libXau-devel

%description -n compat32-%{name}-devel
X.Org X11 libXp development package

%prep
%setup -q

%patch0 -p1 -b .add-proto-files

# Disable static library creation by default.
%define with_static 0

%build

# There is a patch that changes configure.ac, so we have
# run autoreconf

autoreconf -if
CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT%{_includedir}"
export CPPFLAGS

autoreconf -v --install

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%if %{without_devel}
{
   rm -f $RPM_BUILD_ROOT%{_libdir}/libXp.a
   rm -f $RPM_BUILD_ROOT%{_libdir}/libXp.so
   rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
   rm -rf $RPM_BUILD_ROOT%{_mandir}
}
%endif

# Don't encourage people to use the deprecated Xprint APIs.
rm -rf $RPM_BUILD_ROOT%{_mandir}

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README INSTALL ChangeLog
%{_libdir}/libXp.so.6
%{_libdir}/libXp.so.6.2.0

%if ! %{without_devel}
%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXp.a
%endif
%{_includedir}/X11/extensions/Print.h
%{_includedir}/X11/extensions/Printstr.h
%{_libdir}/pkgconfig/printproto.pc
# FIXME: Should we remove the shared lib during deprecation, so that things
# that keep linking to libXp, will always get the static lib and not break
# when we eventually drop libXp?
%{_libdir}/libXp.so
%{_libdir}/pkgconfig/xp.pc
#%dir %{_mandir}/man3x
#%{_mandir}/man3/*.3x*
%endif

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXp.so.6
%{_libdir}/libXp.so.6.2.0

%if ! %{without_devel}
%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXp.a
%endif
# FIXME: Should we remove the shared lib during deprecation, so that things
# that keep linking to libXp, will always get the static lib and not break
# when we eventually drop libXp?
%{_libdir}/libXp.so
%endif
%endif

%changelog
* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-2
- rebuilt with current environment.

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.3-1
- new upstream release
- update Patch0 (libXp-1.0.3-add-proto-files.patch)

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-2
- rebuild with VineSeed environment

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release
  (including security fix for CVE-2013-2062)
- update Patch0 (libXp-1.0.2-add-proto-files.patch)

* Sat Jan 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-1
- new upstream release
- update Patch0 (libXp-1.0.1-add-proto-files.patch)
- add Requires: libXext-devel (devel package)

* Fri Sep 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-4
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 20 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.0-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-2
- spec in utf-8

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-0vl1
- initial build for Vine Linux

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.0.0-8
- Rebuild for build id

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-8
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0.7
- Add requires for the devel package on libXau-devel (173530)

* Fri Aug 18 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0-6
- Add the proto files directly instead of attempting to build a separate
  tarball. Also remove last traces of printproto-1.0.3.tar.gz

* Fri Aug 18 2006 Soren Sandmann <sandmann@redhat.com>
- Remove printproto source. 

* Fri Aug 18 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0-6
- BuildRequire autoconf automake libtool gettext

* Fri Aug 18 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0-6
- Run autoreconf to make sure changes to configure.ac take effect

* Fri Aug 18 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0-6
- Add patch to not check for printproto.pc. (Since it's part of this
  package now, it isn't installed at the time libXp is configured).

* Thu Aug 17 2006 Soren Sandmann <sandmann@redhat.com> - 1.0.0-5
- Moved Print.h, Printstr.h and printproto.pc into the devel package here
  (they used to be in xorg-x11-proto-devel). 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Mon Jul 10 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-4
- Renamed libXp_deprecated rpm macro to "with_devel" to avoid confusion.  This
  library is still deprecated, we just decided to remove the word "deprecated"
  from the package name for library naming consistency.

* Fri Jun 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-3
- Replace "makeinstall" with "make install DESTDIR=..."
- Added "Requires: xorg-x11-proto-devel" to devel for xp.pc
- Remove package ownership of mandir/libdir/etc.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated libXp to version 1.0.0 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated libXp to version 0.99.2 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-3
- Added "Obsoletes: xorg-x11-deprecated-libs" to runtime package, and
  "Obsoletes: xorg-x11-deprecated-libs-devel" to devel package.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated libXp to version 0.99.1 from X11R7 RC1

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
