%define repo_id 17201ad512e86d248ac158046ac322e7164adc87

Summary:        A low-level library for managing accounts settings.
Name:           libaccounts-glib
Version:        1.25
Release:        1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux

Group:          System Environment/Libraries
License:        LGPL
URL:            https://gitlab.com/accounts-sso/libaccounts-glib
Source0:        https://gitlab.com/accounts-sso/libaccounts-glib/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	python3-rpm-macros
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	sqlite3-devel
BuildRequires:	python3-pygobject
BuildRequires:	check-devel
BuildRequires:	gtk-doc
BuildRequires:	docbook-style-xsl
BuildRequires:	vala-devel

%description
This project is a library for managing accounts which can be used from GLib
applications. 


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q -n %{name}-%{version}
perl -pi -e 's/^subdir.*docs.*$//' meson.build

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README*
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/Accounts-1.0.typelib
%{python3_sitearch}/gi/overrides/Accounts.*
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.Accounts.Manager.xml
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%{_datadir}/gettext/its/*
#%{_mandir}/man1/ag-backup.1.gz
#%{_mandir}/man1/ag-tool.1.gz

%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Accounts-1.0.gir

%files vala
%defattr(-, root, root, -)
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.25-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.24-1
- new upstream release.

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.18-1
- new upstream release
- remove %%{name}-docs subpackage

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16-1
- initial build

