%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: Library of graphics routines used by libgnomecanvas
Summary(ja): libgnomecanvas で使うグラフィックルーチンを集めたライブラリ
Name: libart_lgpl
Version: 2.3.21
Release: 3%{?_dist_release}
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries 
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package devel
Summary: Libraries and headers for libart_lgpl.
Summary(ja): libart_lgpl の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}
Conflicts: gnome-libs-devel < 1.4.1.2

%description devel
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package -n compat32-%{name}
Summary: Library of graphics routines used by libgnomecanvas
Summary(ja): libgnomecanvas で使うグラフィックルーチンを集めたライブラリ
Group: System Environment/Libraries 
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package -n compat32-%{name}-devel
Summary: Libraries and headers for libart_lgpl.
Summary(ja): libart_lgpl の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_bindir}/libart2-config
%{_includedir}/*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%endif

%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.21-3
- rebuild with VineSeed environment

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.3.21-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.21-1
- new upstream release

* Sat Jul 11 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.20-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.20-2
- spec in utf-8
- remove static lib

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.20-1vl5
- new upstream release (Patch0 was merged into upstream)

* Mon Apr  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3.19-0vl2
- add Patch0 (http://svn.gnome.org/viewcvs/libart_lgpl?view=rev&revision=278)

* Thu Mar 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.19-0vl1
- new upstream release

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.17-0vl1
- new upstream release
- add Japanese summary

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.16-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.15-0vl1
- new upstream release

* Wed Aug 27 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.14-0vl1
- source upgrade

* Mon May 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3.12-0vl1
- source upgrade

* Sat Jan  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3.11-0vl1
- source upgrade
- build with new toolchain

* Tue Aug  6 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3.10-1vl1
- first release for Vine Linux
- cleanup spec for Vine Linux

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.3.10, required by nautilus 2.0.2 for some reason

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- 2.3.9, should give gdm login screen a kick in the ass

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Apr 24 2002 Havoc Pennington <hp@redhat.com>
 - rebuild in different environment

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- rebuild

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- actually increase version to 2.3.8

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- upgrade to 2.3.8 so header files don't break eel2

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.7.91 snap

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, rebuild with new glib

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 2.3.6

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap with upstream changes merged

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


