%define captury_version 0.3.0

# Tarfile created using git
# git clone git://gitorious.org/libcaptury/mainline.git libcaptury
# cd libcaptury
# git-archive --format=tar --prefix=libcaptury-%{captury_version}/ %{git_version} | bzip2 > libcaptury-%{captury_version}-%{gitdate}.tar.bz2

%define gitdate 20080323
%define git_version cca4e3c

%define tarfile %{name}-%{captury_version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Summary:        A library for X11/OpenGL video capturing framework
Name:           libcaptury
Version:        %{captury_version}
Release:        0.%{snapshot}.4%{?_dist_release}
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://gitorious.org/projects/libcaptury/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  libcapseo-devel
BuildRequires:  libX11-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libogg-devel

# Fedora specific snapshot no upstream release (yet)
Source0:	%{tarfile}

%description
Captury is a realtime multimedia capturing framework for currently
OpenGL video (to be extended to XShm and audio/alsa soon). 
Its uses are e.g. for capturing video from external OpenGL applications
(via captury itself) and is currently also used by KDE's kwin
to record your desktop efficiently (VideoRecord plugin).

Captury supports full encoding as well as incremential(!) encoding
by only regions from the screen that have actually changed.
Window managers (like kwin) do know of such areas and can make use of it.

%package devel
Summary: Developer and header files for captury
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libcapseo-devel
Requires: libXfixes-devel
Requires: pkgconfig

%description devel
Developer and header files for the captury movie capturing
framework.

%prep
%setup -q -n %{name}-%{version}
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/captury
%{_includedir}/captury/*.h
%{_libdir}/libcaptury.so
%{_libdir}/pkgconfig/libcaptury.pc

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-0.20080323gitcca4e3c.4
- rebuild with gcc-5.4.0

* Fri Jul 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-0.20080323gitcca4e3c.3
- rebuild with VineSeed environment

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-0.20080323gitcca4e3c.2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.3.0-0.20080323gitcca4e3c.1
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-0.4.20080323gitcca4e3c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-0.3.20080323gitcca4e3c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> 0.3.0-0.2.20080323gitcca4e3c
- Include /usr/include/captury directory.

* Sat May 3 2008 Shawn Starr <shawn.starr@rogers.com> 0.3.0-0.1.20080323gitcca4e3c
- Initial Fedora package.
