Name:                   libconfig
Summary:                C/C++ configuration file library
Summary(ja):            C/C++ 設定ファイルライブラリ
Group:                  system
Version:                1.7.3
Release:                1%{?_dist_release}

License:                LGPLv2+
URL:                    https://hyperrealm.github.io/libconfig/
Source0:                https://hyperrealm.github.io/libconfig/dist/libconfig-%{version}.tar.gz
BuildRequires:          texinfo
BuildRequires:          bison, flex

%description
Libconfig is a simple library for manipulating structured configuration
files. This file format is more compact and more readable than XML. And
unlike XML, it is type-aware, so it is not necessary to do string parsing
in application code.


%package devel
Summary:                Development files for libconfig
Summary(ja):            libconfig の開発ファイル
Group:                  programming
Requires:               %{name} = %{version}-%{release}
Requires:               pkgconfig
Requires:               install-info

%description devel
Development libraries and headers for developing software against
libconfig.


%debug_package


%prep
%setup -q
iconv -f iso-8859-1 -t utf-8 -o AUTHORS{.utf8,}
mv AUTHORS{.utf8,}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir


%files
%defattr(-,root,root,-)
%license COPYING.LIB
%doc AUTHORS ChangeLog README*
%{_libdir}/libconfig*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libconfig*
%{_libdir}/libconfig*.so
%{_libdir}/pkgconfig/libconfig*.pc
%dir %{_libdir}/cmake/libconfig
%{_libdir}/cmake/libconfig
%{_libdir}/cmake/libconfig++
%{_infodir}/libconfig.info*


%changelog
* Thu Sep 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.3-1
- new upstream release.
- dropped scriptlets.

* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.9-2
- rebuild with gcc-5.4.0

* Mon Nov 05 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.9-1
- initial build for Vine Linux

* Mon Oct  1 2012 Tom Callaway <spot@fedoraproject.org> - 1.4.9-1
- update to 1.4.9

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Tom Callaway <spot@fedoraproject.org> - 1.4.8-1
- update to 1.4.8

* Wed Mar 23 2011 Tom Callaway <spot@fedoraproject.org> - 1.4.7-1
- update to 1.4.7

* Tue Mar  1 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.6-1
- Update to 1.4.6
- Install libconfig_tests
- Fix rpmlint warnings

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.5-1
- update to 1.4.5

* Wed Aug 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.2-1
- update to 1.3.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-2
- prevent multilib conflicts with the generated pdf

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.1-1
- update to 1.3.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-2
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-1
- bump to 1.2.1

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-4
- nuke %%{_infodir}/dir, we handle it in %%post

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-3
- move all docs to devel
- move scriptlets around to match
- move requires around to match

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-2
- BR: texinfo-tex (not Requires)

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-1
- Initial package for Fedora
