Summary:	Library for OpenPGP prompts
Name:		libcryptui
Version:	3.12.2
Release:	1%{?_dist_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.10/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries
URL:		http://git.gnome.org/browse/libcryptui/

BuildRequires:	glib2-devel
BuildRequires:	GConf2-devel
BuildRequires:	gtk3-devel
BuildRequires:	gpgme-devel >= 1.0.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libnotify-devel
BuildRequires:	libSM-devel
BuildRequires:	yelp-tools

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libcryptui is a library used for prompting for PGP keys. It's likely that this
library will become deprecated in the near future.


%package		devel
Summary:        Development tools for libcryptui
Summary(ja):    libcryptui の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
libcryptui.


%package        docs
Summary:        Documentation for libcryptui
Summary(ja):    libcryptui 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:		noarch
Provides:       %{name}-doc = %{version}-%{release}


%description    docs
This package contains documentation for libcryptui.


%prep
%setup -q


%build
autoreconf -fi
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# conflict with seahorse
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/seahorse-daemon
%{_libdir}/libcryptui.so.*
%{_libdir}/girepository-1.0/CryptUI-0.0.typelib
%{_datadir}/GConf/gsettings/org.gnome.seahorse.recipients.convert
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.recipients.gschema.xml
%{_datadir}/pixmaps/cryptui/*/*
%{_datadir}/cryptui/ui/*.xml
%{_mandir}/man1/seahorse-daemon.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libcryptui
%{_libdir}/libcryptui.so
%{_libdir}/pkgconfig/cryptui-0.0.pc
%{_datadir}/gir-1.0/CryptUI-0.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libcryptui


%changelog
* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Mon Nov 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.91-1
- new upstream release
- remove Patch0

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-2
- add Patch0 (libcryptui-3.1.4-bug655291.patch)

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux

