%global majorminor 1.0
%global date 20120405

Name:           libcrystalhd
Version:        3.10.0
Release:        2%{?_dist_release}
Summary:        Broadcom Crystal HD device interface library
Summary(ja):    Broadcom Crystal HD デバイスのインターフェースライブラリ

License:        LGPLv2
Group:          System Environment/Libraries
URL:            http://www.broadcom.com/support/crystal_hd/

#Source:         http://www.broadcom.com/docs/support/crystalhd/crystalhd_linux_20100703.zip
# This tarball and README are inside the above zip file...
# Patch generated from http://git.linuxtv.org/jarod/crystalhd.git
Source0:        libcrystalhd-%{date}.tar.bz2
Source1:        README_07032010
# We're going to use even newer firmware for now
Source2:        bcm70012fw.bin
Source3:        bcm70015fw.bin
# LICENSE file is copy-n-pasted from http://www.broadcom.com/support/crystal_hd/
Source4:        LICENSE
Source5:        libcrystalhd-snapshot.sh
Patch0:         libcrystalhd-nosse2.patch
# https://patchwork2.kernel.org/patch/2247431/
Patch1:         crystalhd-gst-Port-to-GStreamer-1.0-API.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  autoconf automake libtool
BuildRequires:  gstreamer1-devel >= %{majorminor}
BuildRequires:  gstreamer1-plugins-base-devel >= %{majorminor}
Requires:       crystalhd-firmware

%description
The libcrystalhd library provides userspace access to Broadcom Crystal HD
video decoder devices. The device supports hardware decoding of MPEG-2,
h.264 and VC1 video codecs, up to 1080p at 40fps for the first-generation
bcm970012 hardware, and up to 1080p at 60fps for the second-generation
bcm970015 hardware.

%package devel
Summary:       Development libs for libcrystalhd
Summary(ja):   libcrystalhd の開発用ファイル
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
Development libraries needed to build applications against libcrystalhd.

%package -n crystalhd-firmware
Summary:       Firmware for the Broadcom Crystal HD video decoder
Summary(ja):   Broadcom Crystal HD ビデオデコーダ用ファームウェア
License:       Redistributable, no modification permitted
Group:         System Environment/Kernel
BuildArch:     noarch
Requires:      %{name} = %{version}-%{release}

%description -n crystalhd-firmware
Firmwares for the Broadcom Crystal HD (bcm970012 and bcm970015)
video decoders.

%package -n gstreamer-plugin-crystalhd
Summary:       Gstreamer crystalhd decoder plugin
Summary(ja):   Gstreamer crystalhd デコーダプラグイン
Group:         System Environment/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      gstreamer1-plugins-base

%description -n gstreamer-plugin-crystalhd
Gstreamer crystalhd decoder plugin

%prep
%setup -q -n libcrystalhd-%{date}
cp %{SOURCE1} %{SOURCE4} .
%ifnarch %{ix86} ia64 x86_64
%patch0 -p1 -b .nosse2
sed -i -e 's|-msse2||' linux_lib/libcrystalhd/Makefile
%endif
%patch1 -p1 -b .gst1

%build
pushd linux_lib/libcrystalhd/ > /dev/null 2>&1
# FIXME: this doesn't work just yet...
#make CPPFLAGS="%{optflags}" %{?_smp_mflags}
make %{?_smp_mflags}
popd > /dev/null 2>&1

pushd filters/gst/gst-plugin/ > /dev/null 2>&1
sh autogen.sh || :

%configure
make %{?_smp_mflags} \
  CFLAGS="-I%{_builddir}/%{buildsubdir}/include -I%{_builddir}/%{buildsubdir}/linux_lib/libcrystalhd" \
  BCMDEC_LDFLAGS="-L%{_builddir}/%{buildsubdir}/linux_lib/libcrystalhd -lcrystalhd"
popd > /dev/null 2>&1

%install
rm -rf $RPM_BUILD_ROOT
pushd linux_lib/libcrystalhd/ > /dev/null 2>&1
make install LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT
popd > /dev/null 2>&1
pushd filters/gst/gst-plugin/ > /dev/null 2>&1
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgstbcmdec.{a,la}
popd > /dev/null 2>&1

#rm -rf $RPM_BUILD_ROOT/lib/firmware/
mkdir -p $RPM_BUILD_ROOT/lib/firmware/
cp -p %{SOURCE2} $RPM_BUILD_ROOT/lib/firmware/
cp -p %{SOURCE3} $RPM_BUILD_ROOT/lib/firmware/

# Install udev rule
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d
install -pm 0644 driver/linux/20-crystalhd.rules \
    $RPM_BUILD_ROOT/lib/udev/rules.d

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README_07032010 LICENSE
%{_libdir}/libcrystalhd.so.*

%files devel
%defattr(-,root,root,0755)
%dir %{_includedir}/libcrystalhd
%{_includedir}/libcrystalhd/*
%{_libdir}/libcrystalhd.so

%files -n crystalhd-firmware
%defattr(-,root,root,0755)
%doc LICENSE
/lib/udev/rules.d/20-crystalhd.rules
/lib/firmware/bcm70012fw.bin
/lib/firmware/bcm70015fw.bin

%files -n gstreamer-plugin-crystalhd
%defattr(-,root,root,0755)
%{_libdir}/gstreamer-%{majorminor}/*.so


%changelog
* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with gcc-5.4.0

* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.10.0-1
- updated to 3.10.0 based on Fedora 3.10.0-8
- changed gstreamer-plugin-crystalhd to System Environment/Libraries Group

* Wed Jan 11 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.5.1-3
- applied libcrystalhd-3.5.1-define-first.patch

* Sun May 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.1-2
- add Patch1 for ppc (libcrystalhd-ppc.patch)

* Sun Feb 20 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 3.5.1-1
- initial build based on Fedora rawhide

* Sat Aug 28 2010 Jarod Wilson <jarod@redhat.com> - 3.5.1-1
- Update to v3.5.1, now with nv12 support

* Sun Jul 25 2010 Jarod Wilson <jarod@redhat.com> - 3.5.0-2
- Tarball had object files in it, clean them out before building

* Sat Jul 24 2010 Jarod Wilson <jarod@redhat.com> - 3.5.0-1
- Rebase to 07032010 crystalhd sources
- Large version-bump as driver and lib are now essentially 100%
  in sync with the Windows driver and lib
- Ship firmware, now that Broadcom has posted a redistribution,
  no modification license to cover it
- Build the gstreamer decoder plugin (will be moved to its own
  package sooner or later)

* Sun Apr 04 2010 Jarod Wilson <jarod@redhat.com> - 0.9.25-4
- Fix segfault on firmware upload

* Fri Mar 26 2010 Jarod Wilson <jarod@redhat.com> - 0.9.25-3
- Update to pre-0.9.26 libcrystalhd, which contains support
  for the new Broadcom BCM970015 Crystal HD decoder card

* Thu Mar 11 2010 Jarod Wilson <jarod@redhat.com> - 0.9.25-2
- Minor fixups to the as-yet-not-enabled firmware sub-package

* Wed Jan 06 2010 Jarod Wilson <jarod@redhat.com> - 0.9.25-1
- Initial package
