Name:		libcue
Summary:	Cue sheet parser library
Summary(ja):	Cue シートをパースするライブラリ
Version:	2.2.1
Release:	1%{?_dist_release}
Vendor:		Project Vine
Group:		system
Distribution:	Vine Linux
Packager:	iwaim

# Files libcue/rem.{c,h} contains a BSD header
License:	GPLv2 and BSD
URL:		https://github.com/lipnitsk/libcue
Source0:	https://github.com/lipnitsk/libcue/archive/refs/tags/v2.2.1.tar.gz#/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex

%description
Libcue is intended for parsing a so-called cue sheet from a char string or
a file pointer. For handling of the parsed data a convenient API is available.


%package devel
Summary:	Development files
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Development files for %{name}.


%debug_package


%prep
%setup -q


%build
%cmake .
%cmake_build


%install
%cmake_install


%check
%cmake_build --target test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%license LICENSE
%doc README.md ChangeLog
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.1-1
- new upstream release.

* Sat Feb  2 2013 IWAI, Masaharu <iwai@alib.jp> 1.3.0-1
- initial build for Vine Linux

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 16 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-2
- Changed %%description a bit
- Corrected license field
- Fixed Source0 value
- Fixed Group tag for main package

* Mon Nov  9 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Initial package for Fedora

