Name:           libestr
Summary:        String handling essentials library
Version:        0.1.11
Release:        3%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            http://libestr.adiscon.com/
Source0:        http://libestr.adiscon.com/files/download/libestr-%{version}.tar.gz

%description
This package compiles the string handling essentials library 
used by the Rsyslog daemon.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          programming
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The package contains libraries and header files for
developing applications that use libestr.


%debug_package


%prep
%setup -q


%build
%configure --disable-static --with-pic
V=1 make %{?_smp_mflags}


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.{a,la}


%files
%license COPYING
%doc README AUTHORS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/libestr.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libestr.pc


%changelog
* Thu Mar 25 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.11-3
- rebuilt with current environment.

* Sun Apr 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.11-2
- rebuilt with current environment.

* Wed Nov 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.11-1
- new upstream release.

* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.10-1
- new upstream release.

* Fri Sep 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1.9-4
- added Group tag

* Mon Jun 16 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.9-3
- initial build for Vine Linux.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 07 2014 Tomas Heinrich <theinric@redhat.com> - 0.1.9-1
- rebase to 0.1.9
- remove patch 0; doesn't seem to be necessary anymore

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 02 2013 Tomas Heinrich <theinric@redhat.com> - 0.1.5-1
- rebase to 0.1.5

* Wed Dec 12 2012 Mahaveer Darade <mdarade@redhat.com> - 0.1.4-1
- upgrade to upstream version 0.1.4
- correct an impossible timestamp in an older changelog entry

* Thu Sep 20 2012 mdarade <mdarade@redhat.com> - 0.1.3-3
- Fixed broken configure script

* Mon Aug 27 2012 mdarade <mdarade@redhat.com> - 0.1.3-2
- Removed unnecessary macros in spec file.

* Tue Aug 7 2012 Mahaveer Darade <mdarade@redhat.com> - 0.1.3-1
- Initial port libestr-0.1.3
