%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%global source_dir  %{_datadir}/%{name}-source
%global inst_srcdir %{buildroot}/%{source_dir}

Name:		libev
Version:	4.33
Release:	1%{?_dist_release}
Summary:	High-performance event loop/event model with lots of features
Summary(ja):    高機能・高性能のイベントループ・イベントモデル
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	BSD or GPLv2+
URL:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/Attic/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	automake libtool

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%description -l ja
libev は libevent および Perl の Event を大まかに参考にして作られましたが、
それらより高速に動作し、よりスケールし、より正確で、より高機能で、
同時によりコンパクトです。


%package 	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		programming
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description 	devel
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller. Development libraries.

%description    devel -l ja
このパッケージには libev 用開発ライブラリとヘッダが収録されています。


%package libevent-devel
Summary:	Compatibility development header with libevent for %{name}.
Summary(ja):	libevent互換の%{name}ヘッダファイル.
Group:		programming
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

# The event.h file actually conflicts with the one from libevent-devel
Conflicts:	libevent-devel

%description libevent-devel
This package contains a development header to make libev compatible with
libevent.

%description libevent-devel -l ja
このパッケージにはlibevent互換のlibev用ヘッダファイルが収録されています。


%package	source
Summary:	Source code for libev
Summary(ja):	libev のソースコード
Group:		programming
BuildArch:      noarch

%description	source
This package contains the source code for libev.

Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller. Development libraries.

%description    source -l ja
このパッケージには libev のソースコードが収録されています。


%package -n compat32-%{name}
Summary:	High-performance event loop/event model with lots of features
Summary(ja):	高機能・高性能のイベントループ・イベントモデル
Group:		system,legacy

%description -n compat32-%{name}
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%description -n compat32-%{name} -l ja
libev は libevent および Perl の Event を大まかに参考にして作られましたが、
それらより高速に動作し、よりスケールし、より正確で、より高機能で、
同時によりコンパクトです。


%debug_package


%prep
%setup -q

#autoreconf -vfi


%build
%configure --disable-static --with-pic
make %{?_smp_mflags}


%check
make check


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

rm -rf %{buildroot}%{_libdir}/%{name}.la

# Make the source package
mkdir -p %{inst_srcdir}

find . -type f | grep -E '.*\.(c|h|am|ac|inc|m4|h.in|pc.in|man.pre|pl|txt)$' | xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
install -p -m 0644 Changes ev.pod LICENSE README %{inst_srcdir}


%clean
rm -rf %{buildroot}


%files
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_mandir}/man?/*

%files libevent-devel
%{_includedir}/event.h

%files source
%{source_dir}

%if %{build_compat32}
%files -n compat32-%{name}
%{_libdir}/%{name}.so.4*
%endif


%changelog
* Thu Jul 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 4.33-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 4.25-1
- updated to 4.25.

* Sat Nov 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 4.24-1
- updated to 4.24.
- added a sub-package 'libevent-devel'.
- added a sub-package 'compat32-libev'.

* Sat Nov 01 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.19-1
- updated to 4.19
- spec in UTF-8
- moved devel and source packages to Development/Libraries Group

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.04-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug  9 2011 Tom Callaway <spot@fedoraproject.org> - 4.04-1
- move man page
- cleanup spec
- update to 4.04

* Mon Jun 13 2011 Matﾄ嬲 Cepl <mcepl@redhat.com> - 4.03-2
- EL5 cannot have noarch subpackages.

* Sat Feb  5 2011 Michal Nowak <mnowak@redhat.com> - 4.03-1
- 4.03; RHBZ#674022
- add a -source subpackage (Mathieu Bridon); RHBZ#672153

* Mon Jan 10 2011 Michal Nowak <mnowak@redhat.com> - 4.01-1
- 4.01
- fix grammar in %%description

* Sat Jan  2 2010 Michal Nowak <mnowak@redhat.com> - 3.90-1
- 3.9

* Mon Aug 10 2009 Michal Nowak <mnowak@redhat.com> - 3.80-1
- 3.8
- always use the most recent automake
- BuildRequires now libtool

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Michal Nowak <mnowak@redhat.com> - 3.70-2
- spec file change, which prevented uploading most recent tarball
  so the RPM was "3.70" but tarball was from 3.60

* Fri Jul 17 2009 Michal Nowak <mnowak@redhat.com> - 3.70-1
- v3.7
- list libev soname explicitly

* Mon Jun 29 2009 Michal Nowak <mnowak@redhat.com> - 3.60-1
- previous version was called "3.6" but this is broken update
  path wrt version "3.53" -- thus bumping to "3.60"

* Thu Apr 30 2009 Michal Nowak <mnowak@redhat.com> - 3.6-1
- 3.60
- fixed few mixed-use-of-spaces-and-tabs warnings in spec file

* Thu Mar 19 2009 Michal Nowak <mnowak@redhat.com> - 3.53-1
- 3.53

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Michal Nowak <mnowak@redhat.com> - 3.52-1
- 3.52

* Wed Dec 24 2008 Michal Nowak <mnowak@redhat.com> - 3.51-1
- 3.51

* Thu Nov 20 2008 Michal Nowak <mnowak@redhat.com> - 3.49-1
- version bump: 3.49

* Sun Nov  9 2008 Michal Nowak <mnowak@redhat.com> - 3.48-1
- version bump: 3.48

* Mon Oct  6 2008 kwizart <kwizart at gmail.com> - 3.44-1
- bump to 3.44

* Tue Sep  2 2008 kwizart <kwizart at gmail.com> - 3.43-4
- Fix pkgconfig support

* Tue Aug 12 2008 Michal Nowak <mnowak@redhat.com> - 3.43-2
- removed libev.a
- installing with "-p"
- event.h is removed intentionaly, because is there only for 
  backward compatibility with libevent

* Mon Aug 04 2008 Michal Nowak <mnowak@redhat.com> - 3.43-1
- initial package

