Summary: C++ Library for FileZilla
Name: libfilezilla
Version: 0.24.1
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2+
URL: https://lib.filezilla-project.org/
Source0: https://download.filezilla-project.org/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: nettle-devel

%description
libfilezilla is a small and modern C++ library, offering some basic
functionality to build high-performing, platform-independent programs.


%package devel
Summary: Development files for C++ Library for FileZilla
Group: programming
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
libfilezilla is a small and modern C++ library, offering some basic
functionality to build high-performing, platform-independent programs.

This package contains files needed to compile code using libfilezilla.


%debug_package


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%doc doc/*
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libfilezilla.pc


%changelog
* Tue Sep 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.24.1-1
- new upstream release.

* Sat Oct 12 2019 Toshiaki Ara <ara_t@384.jp> - 0.18.2-1
- new upstream release
- add BuildRequires: nettle-devel

* Sat Jul 23 2016 Toshiharu Kudoh <kudoh@vinelinux.org> - 0.6.0-1
- new upstream release

* Sat Jul 09 2016 Toshiharu Kudoh <kudoh@vinelinux.org> - 0.5.3-1
- initial build for Vine Linux

* Tue Jun 21 2016 Jon Ciesla <limburgher@gmail.com> - 0.5.3-1
- Latest upstream.

* Sun May 22 2016 Jon Ciesla <limburgher@gmail.com> - 0.5.2-1
- Latest upstream.

* Mon Apr 25 2016 Jon Ciesla <limburgher@gmail.com> - 0.5.0-1
- Latest upstream.

* Mon Apr 04 2016 Jon Ciesla <limburgher@gmail.com> - 0.4.0.1-2
- Dropped buildroot, Group, buildroot scrup, and added --disable-static and
- isa-specific Requires.

* Tue Mar 15 2016 Jon Ciesla <limburgher@gmail.com> - 0.4.0.1-1
- Initial package creation.
