Name:		libgadu
Summary:	A Gadu-gadu protocol compatible communications library
Version:	1.12.1
Release:	1%{?_dist_release}

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://toxygen.net/libgadu/

Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%package devel
Summary:	Libgadu development library
Group:		Development/Libraries
Requires:	libgadu = %{version}-%{release}
Requires:	openssl-devel

%description devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-pthread

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libgadu.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_libdir}/pkgconfig/*

%changelog
* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.12.1-1
- update to 1.12.1

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.11.2-1
- update to 1.11.2

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.9.0-3
- rebuild with openssl-1.0.0c

* Thu Sep 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.9.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.9.0-1
- new upstream release

* Mon Aug 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.8.2-5
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.8.2-2
- rebuild with new openssl

* Sun Oct 26 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.2-1
- updated to 1.8.2 (security update)
- preserve timestamps during make install
- put defattr at the top of files section (fixes rpmlint error)

* Wed Jun 18 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-1
- updated to 1.8.1

* Sun Feb 24 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-1
- updated to 1.8.0

* Sat Feb 16 2008 Dominik Mierzejewski <rpm@greysector.net> 1.7.2-1
- updated to 1.7.2

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.7.1-3
 - Rebuild for deps

* Sun Aug 26 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7.1-2
- rebuild for BuildID
- update license tag

* Wed Apr 25 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7.1-1
- updated to 1.7.1 (security fixes)

* Sun Sep 17 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7.0-1
- initial build
