Summary:        Code shared between GNOME games
Name:           libgames-support
Version:        1.0.2
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv3
URL:            https://git.gnome.org/browse/libgames-support/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/1.0/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk3-devel
BuildRequires: libgee-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Useful functionality shared among GNOME games.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name}の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the
%{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q


%build
%configure --disable-static


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER README NEWS
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-games
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/libgames-support-1.0.vapi

%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- initial build

