Name:		libgdiplus
Version: 	3.12
Release:	1%{?_dist_release}
Summary:	An Open Source implementation of the GDI+ API.
Summary(ja):	GDI+ API のオープンソース実装

License:	MIT
Group:		System Environment/Libraries
URL:		http://www.mono-project.com/docs/gui/libgdiplus/

Source:		http://download.mono-project.com/sources/libgdiplus/%{name}-%{version}.tar.gz
Patch0:		libgdiplus-2.10-freetype-2.5.x.patch
Patch1:		libgdiplus-3.12-QuantizeBuffer.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	freetype2-devel
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel

Vendor:		Project Vine
Distribution: 	Vine Linux

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%description -l ja
GDI+ API のオープンソースな実装です．
これは Mono Project の一部です．

%package devel
Summary:	Libraries for developing with libgdiplus.
Summary(ja):	libgdiplus の開発用ライブラリ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel
Requires:	freetype2-devel
Requires:	giflib-devel
Requires:	glib2-devel
Requires:	libexif-devel
Requires:	libjpeg-devel
Requires:	libtiff-devel

%description devel
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%description devel -l ja
libgdiplus を使って開発する時に必要なライブラリ集です。

%prep
%setup -q
#patch0 -p1 -b .ft
%patch1 -p1 -b .qb

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post  -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROO


%files 
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING src/ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Mar 26 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.12-1
- new upstream release
- updated Source1
- added Requires: libexif-devel to devel subpackage

* Sun Oct 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.8-1
- updated to 3.8
- dropt Patch0
- linked with libexif
- updated URL

* Fri Dec 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10-2
- rebuild with VineSeed environment
- add Patch0 (libgdiplus-2.10-freetype-2.5.x.patch)
- add Patch1 (libgdiplus-2.10-QuantizeBuffer.patch)

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-1
- updated libgdiplus to 2.10

* Sun Nov 21 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.1-1
- updated libgdiplus to 2.8.1

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-1
- updated libgdiplus to 2.8

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.7-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.7-1
- updated libgdiplus to 2.6.7

* Sat May 01 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated libgdiplus to 2.6.4

* Sat Apr 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.2-2
- added --disable-static option to %%configure
- added Requires to devel package

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-1
- updated libgdiplus to 2.6.2

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated libgdiplus to 2.6

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-1
- new upstream release
- dropt static library

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5-1vl5
- applied new versioning policy, spec in utf-8

* Fri Sep 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- new upstream release
- added --without-libexif option

* Sat Oct 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.6-0vl1
- new upstream release

* Wed Mar 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.4-0vl1
- new upstream release

* Sun Dec 19 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-0vl1
- new upstream release

* Tue Nov 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.4-0vl2
- fixed spec file encofing (was iso-2022-jp?)
- changed Groups of each packages

* Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.4-0vl1
- new upstream version
- added japanese description

* Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl2
- build on cairo-0.2.0

* Sat Oct 16 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl1
- built for VineLinux


