Name:           libgexiv2
Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library
Summary(ja):    Exiv2 ライブラリの GObject ベースのラッパー
Version:        0.12.2
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2
URL:            https://wiki.gnome.org/Projects/gexiv2
%define         shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0:        https://ftp.gnome.org/pub/GNOME/sources/gexiv2/%{shortver}/gexiv2-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  meson
BuildRequires:  exiv2-devel >= 0.19
BuildRequires:  expat-devel
BuildRequires:  gobject-introspection-devel

BuildRequires:  vala
BuildRequires:  python-devel
BuildRequires:  pygobject3
BuildRequires:  python3-devel
BuildRequires:  python3-pygobject
BuildRequires:  python3-rpm-macros

%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library.
It makes the basic features of Exiv2 available to GNOME applications.

%description -l ja
gexiv2 は Exiv2 ライブラリの GObject ベースのラッパーです。
Exiv2 の基本的な機能が GNOME アプリケーションで利用できるようになります。


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       vala
Requires:       exiv2-devel
Requires:       glib2-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n     python-gexiv2
Summary:        Python2 bindings for %{name}
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pygobject3

%description -n python-gexiv2
This package contains the python bindings for %{name}


%package -n     python3-gexiv2
Summary:        Python3 bindings for %{name}
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       python3-pygobject

%description -n python3-gexiv2
This package contains the python3 bindings for %{name}


%debug_package


%prep
%setup -q -n gexiv2-%{version}


%build
%meson
%meson_build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%meson_install


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README THANKS
%{_libdir}/libgexiv2.so.*
%{_libdir}/girepository-1.0/

%files devel
%defattr(-,root,root,-)
%{_includedir}/gexiv2/
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi

%files -n python-gexiv2
%{python_sitearch}/gi/overrides/GExiv2.py*

%files -n python3-gexiv2
%{python3_sitearch}/gi/overrides/GExiv2.py


%changelog
* Mon Mar 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.2-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri Nov 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.0-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.9-1
- update to 0.10.9.

* Mon Oct 08 2018 Toshiaki Ara <ara_t@384.jp> 0.10.8-1
- update to 0.10.8
- add new subpackages for python2/python3 bindings

* Tue Oct 02 2018 Toshiaki Ara <ara_t@384.jp> 0.10.6-1
- update to 0.10.6

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.3-2
- rebuilt with new toolchain.

* Tue Nov 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.3-1
- update to 0.10.3

* Wed Dec 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.0-2
- rebuild with exiv2-0.24

* Thu May 02 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release
- changed source archive type to xz

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-2
- rebuild with exiv2-0.23

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-2
- rebuilt with exiv2-0.21.1
- added Patch100

* Sun Jan 9 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-1
- new upstream release

* Fri Oct 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1
- new upstream release

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.2.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.2.0-2
- add Requires: exiv2-devel, glib2-devel (devel package)

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-1
- initial build for VineSeed

* Mon Jun 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.91-2
- changed file section so package owns the directory containing headers too

* Fri Jun 11 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.91-1
- updated to latest release
- removed patch - it was included in this release

* Sat Jun 05 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-5
- changed configure macro as per bug report comment

* Sat Jun 05 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-4
- changed configure portion
- added Requires:  vala for devel
- made the file section more precise
- bugzilla #599097 
- changed patch to include a default LIB setting

* Fri Jun 04 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-3
- patched makefile

* Thu Jun 03 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-2
- some fixes in spec
- moved *.vapi to devel
- removed INSTALL from doc
- added comment to yorba ticket link
- corrected typo in description

* Wed Jun 02 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-1
- initial rpmbuild
