Name:		libgfbgraph
Version:	0.2.4
Release:	1%{?_dist_release}
Summary:	GLib/GObject wrapper for the Facebook Graph API
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2+
URL:		https://git.gnome.org/browse/libgfbgraph/
%define		shortver %(echo %{version} | cut -d . -f 1-2)
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gfbgraph/%{shortver}/gfbgraph-%{version}.tar.xz

BuildRequires:	glib2-devel
BuildRequires:	json-glib-devel
BuildRequires:	rest-devel
BuildRequires:	libsoup-devel
BuildRequires:	gnome-online-accounts-devel
Obsoletes:	libgfbgraph-docs < 0.2.4

%description
%{summary}


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the %{name}.


%debug_package


%prep
%setup -q -n gfbgraph-%{version}

%build
./autogen.sh
%configure \
	--disable-static

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgfbgraph-0.2.so.*
%{_libdir}/girepository-1.0/GFBGraph-0.2.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gfbgraph-0.2
%{_libdir}/libgfbgraph-0.2.so
%{_libdir}/pkgconfig/libgfbgraph-0.2.pc
%{_datadir}/gir-1.0/GFBGraph-0.2.gir


%changelog
* Tue Mar 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2.4-1
- new upstream release.
- dropped ldconfig scriptltes.
- dropped docs package.

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build

