%define pkg_name    build-pandoc
%define pkg_version 2.4
%define pkg_release 1%{?_dist_release}

Summary: Haskell libraries: %{pkg_name} and dependent libraries
Name:    libghc-%{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   Applications/Text
URL:     http://hackage.haskell.org

Source0: packages

Source11: Glob-0.9.3.tar.gz
Source12: Glob.cabal
Source13: HsYAML-0.1.1.2.tar.gz
Source14: HsYAML.cabal
Source15: JuicyPixels-3.3.3.tar.gz
Source16: JuicyPixels.cabal
Source17: SHA-1.6.4.4.tar.gz
Source18: SHA.cabal
Source19: base-compat-0.10.5.tar.gz
Source20: base-compat.cabal
Source21: base64-bytestring-1.0.0.2.tar.gz
Source22: base64-bytestring.cabal
Source23: bitarray-0.0.1.1.tar.gz
Source24: bitarray.cabal
Source25: blaze-markup-0.8.2.2.tar.gz
Source26: blaze-markup.cabal
Source27: cmark-gfm-0.1.6.tar.gz
Source28: cmark-gfm.cabal
Source29: cmdargs-0.10.20.tar.gz
Source30: cmdargs.cabal
Source31: colour-2.3.4.tar.gz
Source32: colour.cabal
Source33: digest-0.0.1.2.tar.gz
Source34: digest.cabal
Source35: fail-4.9.0.0.tar.gz
Source36: fail.cabal
Source37: hxt-charproperties-9.2.0.1.tar.gz
Source38: hxt-charproperties.cabal
Source39: regex-pcre-builtin-0.94.4.8.8.35.tar.gz
Source40: regex-pcre-builtin.cabal
Source41: safe-0.3.17.tar.gz
Source42: safe.cabal
Source43: tagged-0.8.6.tar.gz
Source44: tagged.cabal
Source45: tagsoup-0.14.7.tar.gz
Source46: tagsoup.cabal
Source47: temporary-1.3.tar.gz
Source48: temporary.cabal
Source49: th-abstraction-0.2.8.0.tar.gz
Source50: th-abstraction.cabal
Source51: time-locale-compat-0.1.1.5.tar.gz
Source52: time-locale-compat.cabal
Source53: utf8-string-1.0.1.1.tar.gz
Source54: utf8-string.cabal
Source55: uuid-types-1.0.3.tar.gz
Source56: uuid-types.cabal
Source57: xml-1.3.14.tar.gz
Source58: xml.cabal
Source59: unicode-transforms-0.3.5.tar.gz
Source60: unicode-transforms.cabal
Source61: blaze-html-0.9.1.1.tar.gz
Source62: blaze-html.cabal
Source63: ansi-terminal-0.8.2.tar.gz
Source64: ansi-terminal.cabal
Source65: zip-archive-0.3.3.tar.gz
Source66: zip-archive.cabal
Source67: hslua-1.0.1.tar.gz
Source68: hslua.cabal
Source69: hxt-unicode-9.0.2.4.tar.gz
Source70: hxt-unicode.cabal
Source71: hxt-regex-xmlschema-9.2.0.3.tar.gz
Source72: hxt-regex-xmlschema.cabal
Source73: hslua-module-text-0.2.0.tar.gz
Source74: hslua-module-text.cabal
Source75: hxt-9.3.1.16.tar.gz
Source76: hxt.cabal
Source77: pandoc-types-1.17.5.4.tar.gz
Source78: pandoc-types.cabal
Source79: doctemplates-0.2.2.1.tar.gz
Source80: doctemplates.cabal
Source81: aeson-pretty-0.8.7.tar.gz
Source82: aeson-pretty.cabal
Source83: skylighting-core-0.7.5.tar.gz
Source84: skylighting-core.cabal
Source85: texmath-0.11.1.2.tar.gz
Source86: texmath.cabal
Source87: skylighting-0.7.5.tar.gz
Source88: skylighting.cabal

BuildRequires: ghc haskell-platform
BuildRequires: libghc-data-default-class
BuildRequires: libghc-dlist
BuildRequires: libghc-old-locale
BuildRequires: libghc-data-default
BuildRequires: libghc-aeson
BuildRequires: libghc-semigroups
BuildRequires: libghc-http-client-tls
BuildRequires: libghc-haddock-library

BuildRequires: zlib-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: ghc haskell-platform
Requires: haskell-platform-dep
Requires: libghc-data-default-class
Requires: libghc-dlist
Requires: libghc-old-locale
Requires: libghc-data-default
Requires: libghc-aeson
Requires: libghc-semigroups
Requires: libghc-http-client-tls
Requires: libghc-haddock-library


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Haskell libraries: %{pkg_name}


%build
%ghc_pkg_init

cd %{_builddir}
for pkg in `cat %{SOURCE0}`; do
    %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
    pushd ${pkg}
        %ghc_fix_dependencies ${pkg}
        %cabal_configure2 %{name} ${pkg}
        %cabal_build
        %cabal_haddock
        %cabal_copy_resister %{name}_${pkg}
    popd
done


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_datadir}/%{name}/
%{_docdir}/%{name}/


%changelog
* Mon Dec 17 2018 Toshiaki Ara <ara_t@384.jp> 2.4-1
- update to 2.4
- build using ghc-8.6.3

* Thu Aug 09 2018 Toshiaki Ara <ara_t@384.jp> 2.2.3.2-1
- update to 2.2.3.2
- drop BuildRequires: and Requires: yaml

* Fri Jul 20 2018 Toshiaki Ara <ara_t@384.jp> 2.2.2-1
- update to 2.2.2
- build using ghc-8.4.3

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 2.2.1-2
- correct BuildRequires and Requires (add libghc-data-default)

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 2.2.1-1
- update to 2.2.1
- rebuild using ghc-8.4.2
- rewrite using macro

* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 2.0.6-1
- update to 2.0.6
- build using ghc-8.2.2

* Tue Feb 21 2017 Toshiaki Ara <ara_t@384.jp> 1.19.2.1-1
- update to 1.19.2.1
- build using ghc-8.0.2

* Fri Feb 03 2017 Toshiaki Ara <ara_t@384.jp> 1.17.1-1
- update to 1.17.1
- build using ghc-8.0.1

* Fri May 06 2016 Toshiaki Ara <ara_t@384.jp> 1.17.0.3-1
- new package
