%define pkg_name    semigroups
%define pkg_version 0.18.5
%define pkg_release 3%{?_dist_release}

Summary: Haskell libraries: %{pkg_name}
Name:    libghc-%{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   Applications/Text
URL:     http://hackage.haskell.org

Source0: packages

Source11: semigroups-0.18.5.tar.gz
Source12: semigroups.cabal

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: libffi-devel gmp-devel zlib-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: ghc haskell-platform
Requires: haskell-platform-dep


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Haskell libraries: %{pkg_name}-%{version}


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
%ghc_pkg_init

cd %{_builddir}
for pkg in `cat %{SOURCE0}`; do
    %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
    pushd ${pkg}
        %ghc_fix_dependencies ${pkg}
        %cabal_configure2 %{name} ${pkg}
        %cabal_build
        %cabal_haddock
        %cabal_copy_resister %{name}_${pkg}
    popd
done


%install
# copy documents
pushd %{_builddir}/%{pkg_name}-%{version}
    %{__cp} CHANGELOG.markdown README.markdown \
     ${RPM_BUILD_ROOT}%{_docdir}/%{name}/%{pkg_name}-%{version}
popd


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache


%files
%defattr(-, root, root)
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_datadir}/


%changelog
* Mon Dec 17 2018 Toshiaki Ara <ara_t@384.jp> 0.18.5-3
- rebuild with ghc-8.6.3-1

* Wed Aug 08 2018 Toshiaki Ara <ara_t@384.jp> 0.18.5-2
- rebuild with ghc-8.4.3-2

* Fri Jul 20 2018 Toshiaki Ara <ara_t@384.jp> 0.18.5-1
- update to 0.18.5
- build using ghc-8.4.3

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 0.18.4-1
- new package
