Summary:        C implementation of the Git core methods as a library with a solid API 
Name:           libgit2
Version:        1.3.0
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2
URL:            https://libgit2.org/
Source0:        https://github.com/libgit2/libgit2/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  http-parser-devel
BuildRequires:  curl-devel
BuildRequires:  libssh2-devel
BuildRequires:  zlib-devel

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
which supports C bindings.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       openssl-devel
Requires:       http-parser-devel
Requires:       libssh2-devel
Requires:       zlib-devel

%description    devel
Header files and libraries for building a extension library for the %{name}.


%debug_package


%prep
%setup -q


%build
%cmake -DINSTALL_DOCS=OFF
%cmake_build


%install
rm -rf ${RPM_BUILD_ROOT}
%cmake_install

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%check
%ctest


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS README.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/git2/
%{_includedir}/git2.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Oct 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3.0-1
- new upstream release.
- dropped ldconfig scriptlets.

* Tue May 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.0-1
- new upstream release.

* Mon Mar 25 2019 Toshiaki Ara <ara_t@384.jp> 0.27.8-2
- correct date

* Mon Mar 25 2019 Toshiaki Ara <ara_t@384.jp> 0.27.8-1
- update to 0.27.8
- add BuildRequires: curl-devel

* Thu Nov 01 2018 Toshiaki Ara <ara_t@384.jp> 0.27.4-2
- rebuild with openssl-1.1.1

* Mon Aug 20 2018 Toshiaki Ara <ara_t@384.jp> 0.27.4-1
- new upstream release

* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23.3-1
- new upstream release

* Sun Apr 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.2-2
- add BuildRequires: openssl-devel, http-parser-devel, libssh2-devel, zlib-devel

* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.2-1
- initial build

