%define __libtoolize :
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define libxml2_version 2.4.29
%define gtk2_version 2.6.0
%define pango_version 1.8.0

Summary: The libglade library for loading user interfaces.
Name: libglade2
Version: 2.6.4
Release: 6%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: libglade-%{version}.tar.bz2
#Source2: fixed-ltmain.sh
URL: http://www.gnome.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: python-devel >= 2.2.1
BuildRequires: python >= 2.2.1
Requires(post): libxml2 >= %{libxml2_version}
Requires(postun): libxml2 >= %{libxml2_version}
Requires(post): xml-common
Requires(postun): xml-common

Vendor: Project Vine
Distribution: Vine Linux

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.
#'

%package devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel >= %{libxml2_version}
Requires: gtk2-devel >= %{gtk2_version}
Conflicts: libglade < 0.17

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%package -n compat32-%{name}
Summary: The libglade library for loading user interfaces.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.
#'

%package -n compat32-%{name}-devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libxml2-devel >= %{libxml2_version}
Requires: compat32-gtk2-devel >= %{gtk2_version}

%description -n compat32-%{name}-devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n libglade-%{version}

%build

#rm ltmain.sh && cp %{SOURCE2} ltmain.sh
%configure --disable-gtk-doc --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
install -m755 libglade-convert $RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "system" \
 "http://glade.gnome.org/glade-2.0.dtd" \
 "file://%{_datadir}/xml/libglade/glade-2.0.dtd" $CATALOG

%postun 
/sbin/ldconfig
# remove entries only on removal of package
if [ "$1" = 0 ]; then
  CATALOG=/etc/xml/catalog
  /usr/bin/xmlcatalog --noout --del \
   "file://%{_datadir}/xml/libglade/glade-2.0.dtd" $CATALOG
fi

%post   -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*
%{_datadir}/xml

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%endif

%changelog
* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.4-6
- rebuild with VineSeed environment

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.6.4-5
- build with rpm-4.8.1-1 for pkg-config file

* Tue Mar  2 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.6.4-4
- rebuilt with new toolchain

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.4-3
- added compat32-libglade2-devel for x86_64 architecture

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.4-2
- add Requires(post,postun): xml-common
- remove static library

* Fri Apr 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.4-1
- new upstream release

* Mon Sep 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.3-1
- new upstream release
- run /usr/bin/xmlcatlog at %%post and %%postun section

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.2-1vl5
- used %%{?_dist_release} tag
- removed lib*.la from devel package

* Sat Nov 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.2-0vl1
- new upstream release

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.0-0vl1
- new upstream release

* Fri May 26 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.1-0vl2
- added compat32-libglade2 package for x86_64 architecture support

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.1-0vl1
- new upstream version

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl1
- new upstream release

* Thu Jun 17 2004 Tomoya TAKA <taka@vinelinux.org> 2.4.0-0vl1
- new upstream release
- drop obsoleted Source2
- s/COPYRIGHT/LICENSE/

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-0vl2
- rebuild with python2

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-0vl1
- build for Vine Linux

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- check over file list, add XML DTD to it

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- don't run auto*

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 1.99.12
- remove gtk-doc hack, --disable-gtk-doc now works

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 1.99.11

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.99.10

* Tue Mar 19 2002 Alex Larsson <alexl@redhat.com>
- Update autoconf dependency to 2.53

* Mon Mar 11 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.99.9

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Thu Feb 21 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Tue Feb 19 2002 Alex Larsson <alexl@redhat.com>
- Add horrible buildroot check hacks. Require new Gtk+.

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new gtk

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild against new GTK+

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- put "nogtkdoc" patch back, it avoids X display requirement
- automake14

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.99.5.90 snap
- comment out "nogtkdoc" patch, don't run autoconf

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- new 1.99.4.91 snap with Jacob's fixes, he 
  assures me we are 1.99.4.90 ABI-compatible

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- new 1.99.4.90 snap, gtk 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild on gtk 1.3.10

* Sat Oct  6 2001 Havoc Pennington <hp@redhat.com>
- new snap, add hack to avoid trying to build docs
- add the ltmain.sh hack to avoid relinking

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new snap

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- convert libglade rpm to libglade2 rpm, initial build of libglade2

* Mon Aug 20 2001 Jonathan Blandford <jrb@redhat.com>
- Escape strings, #51966

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- add build requires, bug #49508

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %makeinstall, since that is required when %configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
