%define gettext_package libgnomecanvas-2.0

%define gtk2_version 2.24.4
%define libart_lgpl_version 2.3.21
%define libglade2_version 2.6.0

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: GnomeCanvas widget
Name: libgnomecanvas
Version: 2.30.3
Release: 2%{?_dist_release}
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries 
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, Takemikaduchi

%description
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: Libraries and headers for libgnomecanvas.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Conflicts: gnome-libs-devel < 1.4.1.2
Requires: gtk2-devel >= %{gtk2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}

%description devel
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

# compat32
%package -n compat32-%{name}
Summary: GnomeCanvas widget
Group: System Environment/Libraries 
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package -n compat32-%{name}-devel
Summary: Libraries and headers for libgnomecanvas.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-gtk2-devel >= %{gtk2_version}
Requires: compat32-libart_lgpl-devel >= %{libart_lgpl_version}
Requires: compat32-libglade2-devel >= %{libglade2_version}

%description -n compat32-%{name}-devel
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%prep
%setup -q

%build

%configure --enable-glade
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{a,la}

%find_lang %{gettext_package}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/libcanvas.so

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/libcanvas.so

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%endif

%changelog
* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-2
- rebuild with VineSeed environment

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.30.1-2
- build with rpm-4.8.1-1 for pkg-config file

* Tue May 04 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.1-1
- new upstream release
- add --enable-glade configure option
  - re-add libcanvas.so to %%files

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.0-2
- added compat32 package for x86_64 arch support

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove BR: gail-devel
- remove static libs

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1.1-1vl5
- rebuilt with gtk-2.12.9, gail-1.22.0
- used %%{?_dist_release} macro

* Sun Jan 20 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.20.1.1-0vl2
- added BuildRequires: gail-devel

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.0-0vl1
- new upstream release

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Aug 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.1-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- fix gettext package name

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- remove empty AUTHORS/README

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1
- check file list, add glade module and gtk-doc docs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libglade
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Tue Feb 19 2002 Alex Larsson <alexl@redhat.com>
- Add nasty version check stuff.

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 1.105.0.90, gtk 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for gtk 1.3.10, 
  add libglade dep, fix libart dep

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap for new glib/gtk

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with upstream changes

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


