## this could go, it's really just so we notice if the soname changes
%define sover 0

%define gettext_package libgnomeprint-2.2

%define glib2_base_version 2.26.0
%define glib2_version %{glib2_base_version}
%define pango_version 1.28.2
%define libxml2_version 2.7.7
%define libart_lgpl_version 2.3.16
%define libbonobo_version 2.32.0
%define freetype_version 2.3.7
%define gtk_doc_version 1.1

Summary: Printing library for GNOME.
Summary(ja): GNOME プリントライブラリ
Name:		libgnomeprint
Version: 	2.18.8
Release:	4%{?_dist_release}
License:	LGPL
Group:          System Environment/Libraries

Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.18/%{name}-%{version}.tar.bz2

Patch0:		libgnomeprint-2.18.8-freetype-2.5.x.patch
Patch1:		libgnomeprint-2.18.8-cups-module.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: freetype2 >= %{freetype_version}
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: libgnomecups-devel >= 0.2.0
BuildRequires: bison
BuildRequires: flex

Requires: libgnomecups >= 0.1.13-0vl2
Requires: urw-fonts
Requires: ghostscript
Requires: ghostscript-fonts
Requires: libxml2
Requires: perl

Vendor: Project Vine
Distribution: Vine Linux

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Summary(ja): libgnomeprint のライブラリとヘッダファイル
Group: Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: freetype2 >= %{freetype_version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .ft
%patch1 -p1 -b .cups

%build
%configure --disable-font-install --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

# It would probably be cleaner to use install DESTDIR=$RPM_BUILD_ROOT
# instead of %%makeinstall with this hack.
%makeinstall

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libgnomeprint/%{version}/modules/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/libgnomeprint/%{version}/modules/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_libdir}/libgnomeprint/%{version}
%{_libdir}/libgnomeprint/%{version}/modules/*.so
%{_libdir}/libgnomeprint/%{version}/modules/transports/*.so
%{_libdir}/libgnomeprint/%{version}/modules/filters/*.so
%{_libdir}/libgnomeprint*.so.*
%{_datadir}/libgnomeprint
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr(-, root, root)
%{_libdir}/libgnomeprint*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc

%changelog
* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.8-4
- rebuild with libpng-1.6.12
- add Patch1 (libgnomeprint-2.18.8-cups-module.patch)

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.8-3
- rebuild with VineSeed environment
- add Patch0 (libgnomeprint-2.18.8-freetype-2.5.x.patch)

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.8-2
- change Requires: libxml2 instead of libxml

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.8-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.18.7-2
- build with rpm-4.8.1-1 for pkg-config file

* Thu Apr 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.7-1
- new upstream release
- add BuildRequires: bison, flex

* Wed Mar 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.6-1
- new upstream release

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.5-1
- new upstream release
- build with gtk+2.14

* Tue Mar 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-1vl5
- new upstream release
- removed BuildRequires: automake17 

* Wed Dec 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl2
- rebuilt with new toolchain/environment

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Fri May 26 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.1-0vl3
- changed Group to System Environment/Libraries

* Sat Apr 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl2
- add missing filter modules to %%files
- remove unneeded static modules

* Wed Sep 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.0-0vl1
- new upstream release

* Sun Jul  3 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.3-0vl1
- new upstream version
- drop all patches that are now upstream.

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version
- drop all patches that are now upstream.

* Wed Mar 02 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- updated patch7,8 from Fedora Development
- added Japanese summary to devel package

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0.1-0vl1
- new upstream release
- add patch7,8 from fc

* Fri Jul 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- add Patch11 from bugzilla.gnome.org to support ttc font's multiple face.

* Sun Nov 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl1
- new upstream release

* Mon Sep 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Sun Sep 14 2003 KAZUKI SHIMURA <rito@pos.to> 2.3.1-0vl2
- Oops, spec was in Shift_JIS. Fixed.

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Sat Jun 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1.3-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.8-0vl1
- new upstream release

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.7-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- add patch1 to recognize .ttc font as TrueType font.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add %%{_datadir}/libgnomeprint for %%files

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Thu Aug 15 2002 Akira TAGOH <tagoh@redhat.com> 1.116.0-2
- libgnomeprint-1.116.0-correctps.patch: applied to fix the invalid PostScript.

* Tue Aug 13 2002 Akira TAGOH <tagoh@redhat.com> 1.116.0-1
- libgnomeprint-1.116.0-perfprint.patch: applied to fix the printing
  performance issue. (#66715)

* Fri Jul 12 2002 Akira TAGOH <tagoh@redhat.com> 1.115.0-5
- includes redhat-update-gnome-font-install2 script. (#66899)
- fix the install path for fontmap.
- add some directory owners.

* Thu Jul 11 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.115.0
- include gtk-doc docs
- move pkg-config files to -devel package

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.114.0

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add bonobo-activation requires to make build system happy

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.113.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libraries

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- 1.112.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.109.0.90 snap
- remove .options patch which is upstream
- remove .nofontmaps patch, upstream uses sysconfdir sometimes now
  and has --disable-font-install configure option
- remove .fontmapdir, now fixed upstream

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- rebuild due to build system fuckup

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 1.106.0.90, glib 1.3.11

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for glib 1.3.10, remove bogus gtk dep

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- remove epoch screwup

* Mon Oct  8 2001 Havoc Pennington <hp@redhat.com>
- libgnomeprint package based on the gnome-print package

* Mon Oct  8 2001 Havoc Pennington <hp@redhat.com>
- use 0.30 tarball

* Sat Sep 22 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, with headers moved

* Wed Aug 15 2001 Owen Taylor <otaylor@redhat.com>
- Back out freetype change, for now, until we can get it in upstream.
- Move gnome-print/<ver>/profiles back to datadir, and remove the %config.
  Making them %config doesn't seem compatible with locating them
  in gnome-print/<ver>.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-5
- no replace profiles.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-4
- Move profiles directory to /etc/gnome-print/<ver>/profiles/

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-3
- Add freetype support patch. (Bug#50360)

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Add missing directory

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.29
- Don't install run-gnome-font-install (#48466), run gnome-font-install directly.
- Add BuildPrereq and make -devel package require gdk-pixbuf-devel
- Make libgnomeprint package require gnome-print package; otherwise
  packages requiring libgnomeprint might not get a runtime environment
- Add Prereq on ghostscript, since run-gnome-font-install parses output of 'gs -h'

* Mon Jul 16 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Kill output from run-gnome-font-install
- s/Copyright/License/
- Add post/postun scripts for the libgnomeprint subpackage

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 20 2001 Jonathan Blandford <jrb@redhat.com>
- new version (0.28)

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- langify
- patch it to compile (didn't include locale.h when needed)
- use %%{_tmppath}

* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed font problem for Japanese.
- Fixed library dependency on VFlib (Bug#28331)

* Wed Feb 21 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #27417, simple specfile %post fix.

* Sun Feb 18 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed PostScript broken.
- Added autoheader,automake,autoconf stuff.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese patch for Gnumeric.
  Created dummy .afm.

* Mon Feb 05 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed gdk_fontset_load().
- Added Japanese patch for Gnumeric.

* Fri Feb 02 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
  Fixed Print and Preview with Japanese.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.25

* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- added "|| true" to %%post so that if font-install screws up we don't get a
  bad exit status.  gnome-font-install expects that the directory specified by
  HOME env. var is writable, but it isn't always if you install with 'sudo'
  or the equivalent.  bad. bad. bad.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- redirect %%post script output to /dev/null

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Spec file fixes
