Summary: 	A C++ interface for libgnomeui
Summary(ja): 	libgnomeui の C++ インターフェイス
Name: 		libgnomeuimm
Version: 	2.28.0
Release: 	3%{?_dist_release}
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://www.gtkmm.org/

Source0: 	http://ftp.gnome.org/pub/GNOME/sources/libgnomeuimm/2.28/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnomeui-devel >= 2.7.1
BuildRequires:  libgnomemm-devel >= 2.16.0
BuildRequires:  libgnomecanvasmm-devel >= 2.6.0
BuildRequires:  gconfmm-devel >= 2.6.0
BuildRequires:  libglademm2-devel >= 2.4.0
BuildRequires:  gnome-vfsmm-devel >= 2.16.0
BuildRequires:	libSM-devel

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package	devel
Summary: 	Headers for developing programs that will use libgnomeuimm.
Summary(ja): 	libgnomeuimm の開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}
Requires:       libgnomeui-devel >= 2.7.1
Requires:       libgnomemm-devel >= 2.16.0
Requires:       libgnomecanvasmm-devel >= 2.6.0
Requires:       gconfmm-devel >= 2.6.0
Requires:       libglademm2-devel >= 2.4.0
Requires:       gnome-vfsmm-devel >= 2.16.0

%description    devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q

%build
export CXXFLAGS="$RPM_OPT_FLAGS -shared -fPIC"
%configure --enable-shared --disable-static 
make %{?_smp_mflags}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/libgnomeuimm-2.6
#{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/libgnomeuimm-2.6
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Nov  4 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.28.0-3
- rebuilt on current VineSeed
- added Japanese summary

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.28.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release
- add BuildRequires: libSM-devel

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5
- new upstream release

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.18.0-1vl5
- applied new versioning policy

* Sat Jun  2 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.18.0-0vl4
- build all object files with -fPIC so that sharlib is PIC

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl3
- rebuilt without libstdc++2_10

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl2
- rebuilt with new toolchain
- added -shared option to CXXFLAGS

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl1
- new upstream release

* Sat Nov  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl1
- initial build for Vine Linux

* Sun Dec 21 2003 Eric Bourque <ericb@computer.org>
- fixed dependency to gtkmm2 instead of gtkmm

* Thu Sep 25 2003 Eric Bourque <ericb@computer.org>
- updated for libgnomeuimm-2.0

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
