Summary:        GNOME Structured File library
Summary(ja):    GNOME 構造化ファイルライブラリ
Name:           libgsf
Version:        1.14.47
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL
URL:            https://ftp.gnome.org/pub/gnome/sources/libgsf/
%global         shortver %(echo %{version} | cut -d . -f 1,2)
Source:         https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  libxml2-devel >= 2.4.16
BuildRequires:  gobject-introspection-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  popt-devel
BuildRequires:  gtk-doc

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%description -l ja
構造化ファイル (例：MS OLE や Zip) を読み書きするためのライブラリです．

%package devel
Summary: Support files necessary to compile applications with libgsf.
Summary(ja): libgsf を使ったソフトのコンパイルに必要なファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= 2.26.0
Requires: libxml2-devel >= 2.4.16

%description devel
Libraries, headers, and support files necessary to compile applications 
using libgsf.

%description -l ja devel
libgsf を使ったアプリケーションのコンパイルに必要なライブラリ，
ヘッダファイルなどです．

%prep
%setup -q

%build
%configure \
	--disable-static \
	--enable-introspection \
	--disable-schemas-install
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%attr(755, root, root) %{_bindir}/gsf
%attr(755, root, root) %{_bindir}/gsf-office-thumbnailer
%attr(755, root, root) %{_bindir}/gsf-vba-dump
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgsf-1
%{_datadir}/gir-1.0/Gsf-1.gir
%{_datadir}/gtk-doc/html/gsf

%changelog
* Sat May 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.47-1
- new upstream release.

* Sat Oct 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.14.46-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.39-1
- new upstream release

* Thu Nov 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.34-2
- fix spec file

* Fri Jul 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.34-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.33-1
- new upstream release

* Sun Mar 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.32-1
- new upstream release

* Sun Feb 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.31-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.30-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.29-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.28-2
- rebuild with VineSeed environment

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.28-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.27-1
- new upstream release

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.26-1
- new upstream release
- remove BuildRequires: python-devel, pygtk2-devel, pygobject-devel

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.25-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.24-1
- new upstream release

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.23-1
- new upstream release
- add BuildRequires: gobject-introspection-devel, gdk-pixbuf2-devel

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.22-2
- rebuild with python-2.7.2

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.22-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.21-1
- new upstream release

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.20-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.19-1
- new upstream release

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 1.14.18-2
- build with rpm-4.8.1-1 for pkg-config file

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.18-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.17-1
- new upstream release
- add BuildRequires: popt-devel

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.14.13-2
- rebuilt with python-2.6.4

* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.13-1
- new upstream release
- removed static libraries

* Wed Apr  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.11-1
- new upstream release

* Sat Oct 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.10-1
- new upstream release

* Wed Sep 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.9-1
- new upstream release
- added BuildRequires: pygtk2-devel, pygobject-devel

* Mon Jul 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.8-1
- applied new versioning policy
- rebuilt with python-2.5.2
- spec in UTF-8

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.8-0vl1
- new upstream release

* Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.7-0vl1
- new upstream release

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.5-0vl1
- new upstream release
- removed GConf2 dependancy

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.4-0vl1
- new upstream release

* Wed Dec  6 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.3-0vl1
- new upstream release (includes security fix CVE-2006-4514)

* Wed May 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.1-0vl1
- new upstream release

* Tue Mar  7 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14.0-0vl1
- new upstream release

* Mon Nov  7 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.13.3-0vl1
- new upstream release
- updated Japanese summary and description
- install schemas in %post section

* Sat Jun 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.0-0vl1
- new upstream release

* Fri Nov 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.1-0vl1
- new upstream release
- added Japanese summary

* Thu May  6 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.0-0vl1
- new upstream release

* Sun Sep 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.2-0vl1
- new upstream release
- fixed URL

* Mon Jun 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.1-0vl1
- rebuilt for Vine
- updated to 1.8.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 14 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add proper ldconfig calls

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Tim Powers <timp@redhat.com> 1.6.0-3
- fix requires

* Thu Jan  2 2003 Jonathan Blandford <jrb@redhat.com>
- import into the build system

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
