Name:		libgxps
Summary:	GObject based library for handling and rendering XPS documents.
Version:	0.3.2
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2+
URL:		https://live.gnome.org/libgxps
%global		shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	meson
BuildRequires:	gtk3-devel
BuildRequires:	libarchive-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libtiff-devel
BuildRequires:	lcms2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc

%description
libgxps is a GObject based library for handling and rendering XPS
documents.

%package	devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
%{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
This package contains documentation for %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
	-Denable-test=false \
	-Denable-gtk-doc=true
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog AUTHORS NEWS README
%{_bindir}/xpstojpeg
%{_bindir}/xpstopdf
%{_bindir}/xpstopng
%{_bindir}/xpstops
%{_bindir}/xpstosvg
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/GXPS-0.1.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GXPS-0.1.gir

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Mon Mar 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.2-1
- new upstream release.
- dropped ldconfig scriptlets.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.1-1
- new upstream release.

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3.2-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3.1-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-3
- rebuild with libarchve-3.1.2

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- rebuild with VineSeed environment

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build
