%define _unpackaged_files_terminate_build 1

Name:		libical
Summary:	An Open Source implementation of the iCalendar protocols and protocol data units
Version:	3.0.9
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	babasaki, daisuke, inagaki

License:	LGPLv2 or MPLv1.1
URL:		https://libical.github.io/libical/
Source0:	https://github.com/libical/libical/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cmake
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	vala
Requires:	tzdata

#----------------------------------------------------------------------------
%description
Reference implementation of the iCalendar data type and serialization format
used in dozens of calendaring and scheduling products.

%description -l pl
Implementacja formatu iCalendar, używana w wielu kalendarzach i
planerach/planistach.

#----------------------------------------------------------------------------
%package devel
Summary:	Development files for libical
Summary(ja):	libical の開発用ファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}

%description devel
The libical-devel package contains libraries and header files for developing 
applications that use libical.

%description devel -l pl
libical-devel zawiera biblioteki i pliki niezbędne do tworzenia aplikacji
korzystających z libical.

#----------------------------------------------------------------------------
%package glib
Summary:	libical with glib
Group:		system

%description glib
this package contains a library to use libical with glib.

#----------------------------------------------------------------------------
%package glib-devel
Summary:	Development files for libical-glib
Summary(ja):	libical-glib の開発用ファイル
Group:		programming
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}

%description glib-devel
The libical-glib-devel package contains libraries and header files for
developing applications that use libical-glib.


#----------------------------------------------------------------------------
%debug_package

#----------------------------------------------------------------------------
%prep
%setup -q

#----------------------------------------------------------------------------
%build
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DSHARED_ONLY=true \
    -DENABLE_GTK_DOC=OFF \
    -DGOBJECT_INTROSPECTION=true \
    -DUSE_INTEROPERABLE_VTIMEZONES=true \
    -DICAL_ALLOW_EMPTY_PROPERTIES=true \
    -DICAL_GLIB=true \
    -DICAL_GLIB_VAPI=true \
    %{nil}
%cmake_build

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

# This is just a private build tool, not meant to be installed
rm %{buildroot}/%{_libexecdir}/libical/ical-glib-src-generator

#----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING LICENSE*
%doc AUTHORS ReadMe.* ReleaseNotes.txt THANKS TODO
%{_libdir}/%{name}.so.*
%{_libdir}/%{name}_cxx.so.*
%{_libdir}/libicalss.so.*
%{_libdir}/libicalss_cxx.so.*
%{_libdir}/libicalvcal.so.*
%{_libdir}/girepository-1.0/ICal-*.typelib

%files devel
%defattr(-,root,root,-)
%doc doc/UsingLibical.txt
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/libical_cxx.so
%{_libdir}/libicalss.so
%{_libdir}/libicalss_cxx.so
%{_libdir}/libicalvcal.so
%dir %{_libdir}/cmake/LibIcal
%{_libdir}/cmake/LibIcal/*.cmake
%{_libdir}/pkgconfig/libical.pc
%{_datadir}/gir-1.0/ICal-*.gir

%files glib
%defattr(-,root,root,-)
%{_libdir}/%{name}-glib.so.*
%{_libdir}/girepository-1.0/ICalGLib-*.typelib

%files glib-devel
%defattr(-,root,root,-)
%doc doc/UsingLibical.txt
%dir %{_includedir}/%{name}-glib
%{_includedir}/%{name}-glib/*.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/libical-glib.pc
%{_datadir}/gir-1.0/ICalGLib-*.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*


%changelog
* Wed Apr 07 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.9-1
- new upstream release.
- dropped ldconfig scriptlets.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.8-2
- added vala support.

* Fri May 01 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.8-1
- new upstream release.

* Sun Sep 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.5-1
- updated to 3.0.5.

* Fri Jan 26 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.1-1
- updated to 3.0.1.
- added subpackages for glib.

* Mon Feb 23 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.1-1
- updated to 1.0.1
- updated URL
- added BR: cmake

* Sun Sep 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48-1
- update to 0.48
- remove old patches

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.46-1
- new upstream release
- added Patch0-2 from Fedora

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-1
- new upstream release
- drop Patch0

* Fri May 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-2
- remove comment line after %%postun
- add Vendor/Distribution/Packager tags

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-1
- new upstream release
- add pkgconfig file to -devel subpackage.
- move libicalvcal headers to /usr/include/libical (patch1,2)
- add patch0 to fix implicit pointer conversion from Debian. Fixes Debian BTS
  bug #511598.

* Mon Oct 27 2008 Seiichirou Babasaki - 0.32-2
- Import libical - Packager: Babasaki
- Updated specfile

* Wed Sep 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.32-1
- Version bump to 0.32.
- Parallel build problems fixed.

* Sun Jul 27 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-3
- Added 'BuildRequires: bison byacc flex'.

* Sun Jul 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.31-2
- Fixed linkage problems and disabled parallel build till upstream accepts fix.

* Thu Jul 17 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-1
- Version bump to 0.31.

* Thu Jul 17 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.30-4
- Changed value of License according to Fedora licensing guidelines.
- Enabled reentrant system calls and C++ bindings.
- Omitted unused direct shared library dependencies.
- Added ChangeLog, COPYING, LICENSE, NEWS and README to doc and dropped
  examples.

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-3
- Source URL... Fixed

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-2
- Removed untrue note about libical's homepage (to get rid of eventuall mess)

* Sat Feb 23 2008 David Nielsen <gnomeuser@gmail.com> - 0.30-1
- Switch to freeassociation libical
- bump to 0.30

* Sat Feb 09 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-5
- Mass rebuild for new GCC... Done

* Sat Jan 19 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-4
- Licence... Fixed

* Fri Jan 18 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-3
- Files section... Fixed

* Thu Jan 17 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-2
- Source... Changed
- Debug information in libical main package... Excluded
- Non-numbered .so files in libical main package... Moved
- libical-devel documentation... Added

* Mon Dec 24 2007 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-1
- Initial release
