Name:    libindicate
Summary: A small library for applications to raise "flags" on DBus
Version: 12.10.1
Release: 1%{?_dist_release}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     https://launchpad.net/libindicate

Source0: https://launchpad.net/%{name}/12.10/%{version}/+download/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-glib-devel >= 0.76
BuildRequires: glib2-devel >= 2.18.0
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: gobject-introspection-devel >= 0.6.7
BuildRequires: gtk-sharp2-devel
BuildRequires: gtk-sharp2-gapi
BuildRequires: libdbusmenu-devel >= 0.3.97
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: mono-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

%define mono_dir %{_prefix}/lib/mono

%description
Libindicate is a small library for applications to raise "flags" on 
DBus for other components of the desktop to pick up and visualize. 
Currently used by the messaging indicator.

%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package gtk
Summary: GTK+ bindings for %{name}
Summary(ja): %{name} の GTK+ バインディング
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description gtk
%{summary}.

%package gtk-devel
Summary: Developer files for libindicate-gtk
Summary(ja): libindicate-gtk の開発用ファイル
Group: Development/Libraries
Requires: %{name}-gtk = %{version}-%{release}

%description gtk-devel
%{summary}.

%package -n python-indicate
Summary: Python bindings for %{name}
Summary(ja): %{name} の Python バインディング
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pygtk2
Provides: %{name}-python = %{version}-%{release}

%description -n python-indicate
%{summary}.

%package sharp
Summary: C# bindings for %{name}
Summary(ja): %{name} の C# バインディング
Group: System Environment/Libraries
#Requires: %{name} = %{version}-%{release}

%description sharp
%{summary}.

%package doc
Summary: Document files for %{name}
Summary(ja): %{name} のドキュメント
BuildArch: noarch
Group: Documentation

%description doc 
The %{name}-doc package contains documents for
developing applications that use %{name}.


%prep
%setup -q 

%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure \
    --disable-static \
    --disable-scrollkeeper \
    --disable-tests \
    --enable-silent-rules \
    --with-gtk=2

sed -i -e "s|-lpyglib-2\.0-python2\.7|-lpyglib-2\.0-python|" \
    bindings/python/Makefile

# parallel build fails
make 

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python?.?/site-packages/indicate/_indicate.la
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*

rm -rf $RPM_BUILD_ROOT%{_docdir}/libindicate/* 

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LGPL.2.1 NEWS
%{_libdir}/libindicate.so.*
%{_libdir}/girepository-1.0/Indicate-0.7.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/libindicate-0.7/libindicate
%{_libdir}/libindicate.so
%{_libdir}/pkgconfig/indicate-0.7.pc
%{_datadir}/gir-1.0/Indicate-0.7.gir
%{_datadir}/gtk-doc/html/libindicate
%{_datadir}/vala/vapi/Indicate-0.7.vapi

%files gtk 
%defattr(-,root,root,-)
%{_libdir}/libindicate-gtk.so.*
%{_libdir}/girepository-1.0/IndicateGtk-0.7.typelib

%files gtk-devel
%defattr(-,root,root,-)
%{_includedir}/libindicate-gtk-0.7/libindicate-gtk
%{_libdir}/libindicate-gtk.so
%{_libdir}/pkgconfig/indicate-gtk-0.7.pc
%{_datadir}/gir-1.0/IndicateGtk-0.7.gir
%{_datadir}/vala/vapi/IndicateGtk-0.7.vapi

%files -n python-indicate
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/indicate
%{_datadir}/pygtk/2.0/defs/indicate.defs

%files sharp 
%defattr(-,root,root,-)
%{_libdir}/indicate-gtk-sharp-0.1
%{_libdir}/indicate-sharp-0.1
%{mono_dir}/gac/indicate-gtk-sharp
%{mono_dir}/gac/indicate-sharp
%{mono_dir}/indicate-gtk
%{mono_dir}/indicate
%{_libdir}/pkgconfig/indicate*sharp-0.1.pc

%files doc 
%doc AUTHORS COPYING COPYING.LGPL.2.1 NEWS
%dir %{_datadir}/gtk-doc/html/libindicate
%{_datadir}/gtk-doc/html/libindicate/*


%changelog
* Mon Nov  3 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 12.10.1-1
- updated to 12.10.1
- dropt Patch0
- split doc subpackage

* Sun Feb 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-2
- add BuildRequires: mono-devel
- add Patch0 (libindicate-0.4.4-disable-build-of-tests-examples.patch)

* Fri Feb 18 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-1
- Initial build for Vine Linux
