Summary: a set of symbols and convience functions that all indicators would like to use
Name: libindicator
Version: 12.10.1
Release: 3%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: GPLv3
URL: https://launchpad.net/libindicator
Source0: %{name}-%{version}.tar.gz
Patch1: libindicator-12.10.1-glib262-g_define_type_with_private.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gnome-common
BuildRequires: gtk3-devel >= 2.91
BuildRequires: glib2-devel >= 2.22

%description
A set of symbols and convience functions that all indicators would like to use. Not of real use outside of the Ayatana indicators project.


%package devel
Summary: Header files and libraries for %{name}
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries.


%debug_package


%prep
%setup -q
%patch1 -p2

sed -i.addvar configure.ac \
        -e '\@LIBINDICATOR_LIBS@s|\$LIBM| \$LIBM|'

# http://bazaar.launchpad.net/~indicator-applet-developers/libindicator/trunk.12.10/view/head:/autogen.sh
cat > autogen.sh <<EOF
#!/bin/sh

PKG_NAME="libindicator"

which gnome-autogen.sh || {
        echo "You need gnome-common from GNOME SVN"
        exit 1
}

USE_GNOME2_MACROS=1 \
. gnome-autogen.sh
EOF

NOCONFIGURE=1 \
        sh autogen.sh


%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure --with-gtk=3 --disable-static --disable-silent-rules
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

(
        PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
        export PKG_CONFIG_PATH
        for var in \
                iconsdir \
                indicatordir \
                %{nil}
        do
                vardir=$(pkg-config --variable=${var} indicator3-0.4)
                mkdir -p %{buildroot}${vardir}
        done
)

# Ubuntu doesn't package the dummy indicator
rm -f %{buildroot}%{_libdir}/libdummy-indicator*.so

%__rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%ldconfig_scriptlets


%files
%defattr(-,root,root,-)
%license COPYING
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/*.so.*
%{_libexecdir}/indicator-loader3
%dir %{_datadir}/libindicator/
%dir %{_datadir}/libindicator/icons/
%{_datadir}/%{name}/80indicator-debugging

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/indicator3-0.4.pc
%{_includedir}/%{name}3-0.4
%{_libdir}/libindicator3.so


%changelog
* Fri Feb 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.10.1-3
- rebuilt with current environment.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.10.1-2
- rebuilt with current environment.

* Sat May 19 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 12.10.1-1
- Initial build.
