Name:    libkcddb
Summary: CDDB retrieval library for KDE
Summary(ja): KDE 向け CDDB 検索用ライブラリ
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2+, LGPLv2+
Group:   System Environment/Libraries
URL:     https://projects.kde.org/projects/extragear/libs/libkgapi

Source0: ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= 4.7.0
BuildRequires: libmusicbrainz3-devel
BuildRequires: libkipi-devel

Requires: kdelibs >= 4.7.0

Vendor: Project Vine
Distribution: Vine Linux

%description
CDDB retrieval library.


%package devel
Summary:  Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel 

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_datadir}/pkgconfig:$RPM_BUILD_ROOT%{_libdir}/pkgconfig
pkg-config --modversion libkipi


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_libdir}/libkcddb.so.*
%{_libdir}/kde4/kcm_cddb.so
%{_datadir}/kde4/services/libkcddb.desktop
%{_docdir}/HTML/en/kcontrol/

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}
%{_libdir}/libkcddb.so
%{_libdir}/cmake/%{name}
%{_datadir}/config.kcfg/libkcddb.kcfg


%changelog
* Wed Jul 06 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Tue May 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
