# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de
#
# *** This spec is modified for Vine Linux ***

# norootforbuild

%define _prefix	/usr
# %define _SO_nr	0
# %define libzen_version	0.3.6
# %define libzen_SO_nr	0

Name:		libmediainfo
Version:	0.7.73
Release:	2%{?_dist_release}
Summary:	Supplies technical and tag information about a video or audio file
Summary(ja):	ビデオとオーディオファイルの詳細な情報を提供するライブラリ
Group:		System Environment/Libraries
License:	BSD
URL:		http://mediainfo.sourceforge.net/
Source0:	http://mediaarea.net/download/source/libmediainfo/0.7.73/libmediainfo_%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	nkf

BuildRequires:	doxygen
BuildRequires: 	gcc-c++
BuildRequires:	libzen-devel
BuildRequires:	pkgconfig
BuildRequires: 	zlib-devel
Requires:	libzen

Packager:	babasaki

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo(-gui).

%description -l ja
MediaInfo はビデオとオーディオファイルの詳細な情報を提供します。

MediaInfo で確認できる情報:
* 全般: タイトル、作者、ディレクター、アルバム、トラック番号、
  日付、時間...
* ビデオ: codec、アスペクト比、フレームレート、ビットレート...
* オーディオ: codec、サンプリングレート、チャンネル数、言語、
  ビットレート...
* テキスト: 字幕の言語
* チャプター: チャプター数、チャプターの一覧

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

MediaInfo がサポートするフォーマット:
* ビデオ: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codec: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* オーディオ: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* 字幕: SRT, SSA, ASS, SAMI

このパッケージは Mediainfo(-gui) 用の共有ライブラリを含んでい
ます。


%package -n libmediainfo-devel
Summary:	Include files and mandatory librariesfor development
Summary(ja):	libmediainfo の開発用のヘッダとライブラリファイル
Group:		Development/Libraries
Requires:	libmediainfo = %{version}-%{release}
Requires:	libzen-devel
Requires:	zlib-devel

%description -n libmediainfo-devel
Include files and mandatory librariesfor development.

%description -n libmediainfo-devel -l ja
libmediainfo の開発用のヘッダとライブラリファイルです。

%prep
%setup -q -n MediaInfoLib
cp           Release/ReadMe_DLL_Linux.txt ReadMe.txt
mv           History_DLL.txt History.txt
## dos2unix     *.txt *.html Source/Doc/*.html
nkf --unix --overwrite *.txt *.html Source/Doc/*.html

%__chmod 644 *.txt *.html Source/Doc/*.html

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

pushd Source/Doc/
	doxygen Doxyfile
popd
cp Source/Doc/*.html ./

pushd Project/GNU/Library
	%__chmod +x autogen
	./autogen
	%configure --enable-shared --disable-static

	%__make clean
	%__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/Library/
	%__make install-strip DESTDIR=%{buildroot}
popd

# MediaInfoDLL headers and MediaInfo-config
for i in MediaInfo MediaInfoDLL; do
	%__install -dm 755 %{buildroot}%{_includedir}/$i
	%__install -m 644 Source/$i/*.h \
		%{buildroot}%{_includedir}/$i
done

%__sed -i -e 's|Version: |Version: %{version}|g' \
	Project/GNU/Library/libmediainfo.pc
%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -m 644 Project/GNU/Library/libmediainfo.pc \
	%{buildroot}%{_libdir}/pkgconfig

# remove unpackaged files
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libmediainfo -p /sbin/ldconfig

%postun -n libmediainfo -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc History.txt License.html ReadMe.txt
%{_libdir}/libmediainfo.so.*

%files -n libmediainfo-devel
%defattr(-,root,root,-)
%doc Changes.txt Documentation.html Doc/*
%dir %{_includedir}/MediaInfo
%{_includedir}/MediaInfo/*
%dir %{_includedir}/MediaInfoDLL
%{_includedir}/MediaInfoDLL/*
#%{_libdir}/libmediainfo.a
#%{_libdir}/libmediainfo.la
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.73-2
- rebuild with gcc-5.4.0

* Tue May 12 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.7.73-1
- new upstream release

* Mon Oct 14 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.64-1
- new upstream release

* Fri Mar 08 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.62-1
- new upstream release

* Sat Sep 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.60-1
- new upstream release

* Sun Jul 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.58-1
- new upstream release

* Sun May 13 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.57-1
- new upstream release

* Sun Jan 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.52-1
- new upstream release

* Tue Sep 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.50-1
- new upstream release

* Fri Jul 15 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.47-1
- new upstream release

* Wed Jan 26 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.41-1
- new upstream release

* Sat Dec 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.38-1
- new upstream release

* Sun Dec 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.37-1
- new upstream release

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.7.35-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Sep 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.35-1
- new upstream release

* Sat Aug 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.34-2
- fixed Group to System Environment/Libraries

* Tue Jul 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.34-1
- new upstream release

* Tue Jun 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.33-1
- new upstream release

* Thu Oct 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.23-1
- new upstream release

* Mon Oct 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.22-1
- new upstream release

* Tue Jul 28 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.7.19-1
- new upstream release
- change spec file name to libmediainfo-vl.spec
- add japanese summary and description
- change group for -devel sub package to Development/Libraries
- not to specify %{libzen_version} strictly
- add configure option --disable-static
- remove unpackaged file (.la)
- add Packager tag

* Thu Jan 01 2009 Jerome Martinez <zen@mediaarea.net> - 0.7.9-0
- See History.txt for more info and real dates
- Previous packages made by Toni Graffy <toni@links2linux.de>
