%define projname mp4v2

Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 2.0.0
Release: 2%{?_dist_release}
License: MPLv1.1
Group: System Environment/Libraries
URL: http://code.google.com/p/mp4v2

Source0: http://mp4v2.googlecode.com/files/%{projname}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: self-build-libmp4v2

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       munepi

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


%package devel
Summary: Development files for the mp4v2 library
Summary(ja): mp4v2 ライブラリの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.


%prep
%setup -q -n %{projname}-%{version}

%build
%configure \
    --disable-static \
    --disable-dependency-tracking

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# remove unpackaged files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%license COPYING
%doc README doc/Documentation.txt doc/Authors.txt doc/ReleaseNotes.txt doc/BuildSource.txt doc/ToolGuide.txt
%{_bindir}/*
%{_libdir}/libmp4v2.so.2*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{projname}
%{_includedir}/%{projname}/*.h
%{_libdir}/*.so


%changelog
* Sun Jul 10 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.0-2
- build with new toolchain.

* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.0.0-1
- updated to 2.0.0

* Wed Nov  2 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-6
- s/self-build-liblibmp4v2/self-build-libmp4v2/

* Wed Nov  2 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-5
- added Obsoletes: self-build-liblibmp4v2
- added Vendor, Distribution, Packager tags
- fixed %%files

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-4
- change release to sync with self-build-libmp4v2

* Thu Mar 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-3
- fixed the permission of /usr/include/mp4v2 to access it by group, others

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-2
- added --disable-gch in configure options

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.9.1-1
- new upstream release 
- changed URL: to http://code.google.com/p/mp4v2/
  MP4v2 was originally bundled with mpeg4ip library, 
  but has been moved into its own maintained library 
  due to a combination of the cessation of support of mpeg4ip 
  and the usefulness of this library on its own.

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.5.0.1-2
- change release to sync with self-build-libmp4v2

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.5.0.1-1
- initial build

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0.1-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-4
- Update License field.

* Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 1.5.0.1-3
- Spec file cleanup (habits, mostly) preparing to submit for Extras inclusion.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 1.5.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Jul 18 2006 Noa Resare <noa@resare.com> 1.5.0.1-1
- new upstream release

* Sat May 13 2006 Noa Resare <noa@resare.com> 1.4.1-3
- disabled static lib
- use DESTDIR
- disable-dependency-tracking for faster builds
- removed a manpage template file apt.mpt.gz

* Mon May 08 2006 Noa Resare <noa@resare.com> 1.4.1-2
- specfile cleanups

* Fri May 05 2006 Noa Resare <noa@resare.com> 1.4.1-1.lvn5
- initial release

