Name:		libmx
Version:	1.4.7
Release:	5%{?_dist_release}
Summary:	A clutter widget toolkit

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	https://github.com/downloads/clutter-project/mx/mx-%{version}.tar.xz

Patch0:		mx-1.4.7-GL_data_type.patch

BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: clutter-imcontext-devel
BuildRequires: clutter-gesture-devel
BuildRequires: pkgconfig
BuildRequires: startup-notification-devel
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gtk-doc

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Mx is a clutter widget toolkit that provides a set of standard user interface 
elements, including buttons, progress bars, tooltips, scroll bars and others. 
It also implements some standard layout managers. One other interesting feature 
is the possibility of setting style properties from a css-like file. It is 
currently used by Moblin to provide the user experience.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gdk-pixbuf2-devel
Requires: clutter-devel

%description devel
Header files and libraries used for development with MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%prep
%setup -q -n mx-%{version}
%patch0 -p1

%build
%configure \
	--disable-static \
	--enable-introspection \
	--enable-gtk-doc \
	--with-clutter-imcontext \
	--with-clutter-gesture
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang mx-1.0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mx-1.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB README ChangeLog
%{_bindir}/mx-create-image-cache
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Mx*.typelib
%{_datadir}/mx

%files devel
%defattr(-,root,root,-)
%{_includedir}/mx-1.0
%{_libdir}/pkgconfig/mx*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/Mx*.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mx
%{_datadir}/gtk-doc/html/mx-gtk

%changelog
* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-5
- rebuild with cogl-1.18.0

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-4
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-3
- rebuild with cogl-1.16.0

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-2
- rebuild with cogl-1.14.0

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-1
- new upstream release
- add Patch0 (mx-1.4.7-GL_data_type.patch)

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Sun Nov 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release
- remove Patch0

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release
- add Patch0 (mx-1.2.1-gdk-pixbuf.patch)
- add BuildRequires: gobject-introspection-devel
- add Requires: clutter-devel, gdk-pixbuf2-devel (-devel package)

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- initial build for Vine Linux


* Wed Apr 20 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.11-1
- New upstream 1.1.11

* Sun Apr  3 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.10-1
- New upstream 1.1.10

* Mon Mar 14 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.9-1
- New upstream 1.1.9

* Thu Feb 17 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.7-1
- New upstream 1.1.7

* Mon Feb 14 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.6-1
- New upstream 1.1.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.4-1
- New upstream 1.1.4

* Sat Jan 22 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.3-1
- New upstream 1.1.3

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 1.1.0-5
- Build against gtk3

* Fri Dec 03 2010 Dan Horák <dan[at]danny.cz> 1.1.0-4
- updated for clutter 1.4+

* Wed Sep 29 2010 jkeating - 1.1.0-3
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Matthias Clasen <mclasen@redhat.com> 1.1.0-2
- Rebuild against newer gobject-introspection

* Sat Jul 31 2010 Peter Robinson <pbrobinson@gmail.com> 1.1.0-1
- New upstream 1.1.0 devel release

* Thu Jul 15 2010 Colin Walters <walters@verbum.org> - 1.0.3-2
- Rebuild with new gobject-introspection

* Sun Jul  4 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.3-1
- New upstream 1.0.3 stable release

* Thu May 27 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.2-1
- New upstream 1.0.2 stable release

* Sat May 22 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.1-1
- New upstream 1.0.1 stable release, use official tar file

* Mon May 17 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream 1.0.0 stable release

* Sat May  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.8-1
- New upstream 0.99.8 release

* Mon Apr 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.7-1
- New upstream 0.99.7 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.5-1
- New upstream 0.99.5 release

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-2
- Upload new source file

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-1
- New upstream 0.99.4 release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-2
- Add patch to fix build on gtk 2.2.20

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-1
- New upstream 0.9.0 release

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.3-1
- New upstream 0.7.3 release

* Sun Feb 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Fri Feb 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-2
- Upload source file

* Mon Feb  8 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-1
- New upstream 0.6.0 release

* Wed Feb  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- New upstream 0.5.2 release

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-2
- Bump build

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- New upstream 0.5.1 release

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-3
- Add dbus dep while we're at it!

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-2
- Add new dep

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- New upstream 0.5.0 release

* Wed Jan 13 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-3
- Drop unneeded libccss dependency

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-2
- Enable gesture support

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-1
- New upstream 0.4.0 release

* Wed Jan  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-3
- fix build

* Mon Jan  4 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-2
- Update package based on initial review comments

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-1
- New upstream 0.2.0 release

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Wed Nov 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaginp
