Summary:        Library for neighbor discovery protocol
Name:           libndp
Version:        1.7
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2.1
URL:            http://libndp.org/
Source0:        https://github.com/jpirko/libndp/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root


%description
This package contains a library which provides a wrapper for IPv6
Neighbor Discovery Protocol. It also provides a tool named ndptool
for sending and receiving NDP messages


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%prep
%setup -q

%build
./autogen.sh
%configure \
	--disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc README
%{_bindir}/ndptool
%{_libdir}/libndp.so.*
%{_mandir}/man8/ndptool.8.gz

%files devel
%defattr(-, root, root)
%{_includedir}/ndp.h
%{_libdir}/libndp.so
%{_libdir}/pkgconfig/libndp.pc


%changelog
* Wed Apr 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7-1
- new upstream release.

* Wed Jun 15 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6-1
- new upstream release.

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-1
- initial build
