Name:           libnetfilter_acct
Version:        1.0.3
Release:        2%{?_dist_release}
Summary:        A library providing interface to extended accounting infrastructure

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.netfilter.org/projects/libnetfilter_acct/index.html
Source0:        http://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-%{version}.tar.bz2

BuildRequires:  libmnl-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description
libnetfilter_acct is the userspace library providing interface to extended
accounting infrastructure.

libnetfilter_acct is used by nfacct.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find examples '(' -name Makefile.in -o -name Makefile.am ')' -exec rm -f {} ';'
mv examples examples-%{_arch}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%license COPYING
%doc examples-%{_arch}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Aug 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-2
- rebuilt with current environment.

* Sun Feb 25 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-1
- new upstream release.

* Sun Jun 29 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.2-3
- initial build for Vine Linux.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Hushan Jia <hushan.jia@gmail.com> - 1.0.2-1
- Update to upstream 1.0.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 28 2012 Hushan Jia <hushan.jia@gmail.com> - 1.0.0-2
- Fix Requires and BuildRequires Tag
- Fix el5 build requirement

* Thu Aug 16 2012 Hushan Jia <hushan.jia@gmail.com> - 1.0.0-1
- initial packaging

