Name: libnl3
Summary: Convenience library for kernel netlink sockets
Summary(ja): Netlink ソケットの利用に便利なライブラリ
Version: 3.5.0
Release: 2%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: LGPLv2
URL: http://www.infradead.org/~tgr/libnl/
Source: https://github.com/thom311/libnl/releases/download/libnl3_5_0/libnl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}--root
BuildRequires:	flex
BuildRequires:	bison

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation


%package devel
Summary: Libraries and headers for using libnl3
Summary(ja): Libnl3 の開発用ファイル
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: kernel-headers

%description devel
This package contains various headers for using libnl3


%package cli
Summary: Command line interface utils for libnl3
Summary(ja): Libnl3 のコマンドラインインターフェース
Group: network,admin-tools
Requires: %{name} = %{version}-%{release}

%description cli
This package contains various libnl3 utils and additional
libraries on which they depend


%debug_package


%prep
%setup -q -n libnl-%{version}


%build
%configure --bindir=%{_sbindir} --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_bindir}/*
find %{buildroot} -name \*.la -delete


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post cli -p /sbin/ldconfig
%postun cli -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*

%files devel
%defattr(-,root,root,-)
%license COPYING
%{_includedir}/libnl3/netlink/
%dir %{_includedir}/libnl3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_sbindir}/*
%{_mandir}/man8/* 


%changelog
* Sun Feb 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.0-2
- rebuilt with current environment.

* Sat Mar 21 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.0-1
- new upstream release.

* Sat Mar 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.0-1
- new upstream release.

* Sat Oct  4 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.2.14-2
- moved libnl3 to System Environment/Libraries Group
- updated Japanese summary

* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.14-1
- new upstream release

* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.7-1
- initial build for Vine Linux

* Fri Feb 10 2012 Dan Williams <dcbw@redhat.com> - 3.2.7-1
- Update to 3.2.7

* Tue Jan 17 2012 Jiri Pirko <jpirko@redhat.com> - 3.2.6-1
- Initial build
