%define glib2_version		2.36.0

Summary: libnotify notification library 
Name: libnotify 
Version: 0.7.9
Release: 1%{?_dist_release}
URL: http://www.galago-project.org/specs/notification/ 
License: LGPL
Group: System Environment/Libraries

%define shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0: https://ftp.gnome.org/pub/GNOME/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: meson, ninja
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel
BuildRequires: dbus-devel >= 1.0
BuildRequires: dbus-glib-devel
BuildRequires: gtk-doc
BuildRequires: libxslt
BuildRequires: docbook5-style-xsl
BuildRequires: xmlto
Requires: glib2 >= %{glib2_version}
Requires: notification-daemon

Vendor: Project Vine
Distribution: Vine Linux

%description
libnotify is an implementation of the freedesktop.org desktop 
notification specification.

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       glib2-devel >= %{glib2_version}
Requires:       gtk3-devel
Requires:       dbus-devel >= 0.36
Requires:       dbus-glib-devel

%description devel
This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %{buildroot}

%meson_install

mv -f %{buildroot}%{_docdir}/libnotify/spec/notification-spec.html ./

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog NEWS
%{_bindir}/notify-send
%{_libdir}/lib*.so*
%{_libdir}/girepository-1.0/Notify-0.7.typelib
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc notification-spec.html
%{_includedir}/*
%{_libdir}/pkgconfig/libnotify.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/Notify-0.7.gir


%changelog
* Fri Mar 20 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.7.9-1
- new upstream release.

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.6-2
- rebuild with VineSeed environment

* Fri Sep 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.6-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.5-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.3-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.5-3
- rebuild with rpm-4.8.1 for pkg-config file

* Fri Feb 26 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4.5-2
- rebuilt with new toolchain

* Fri Mar 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.5-1
- new upstream release

* Sat Nov 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.4-2
- added Requires: notification-daemon
- added BuildRequires: dbus-glib-devel
- added Requires: dbus-glib-devel to devel package

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-1
- applied new versioning policy

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl2
- rebuild with dbus-1.0

* Fri Mar 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-0vl1
- new upstream release
- added BuildRequires: gtk2-devel, dbus-devel
- added Requires: gtk2-devel, dbus-devel to devel package

* Wed Nov 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.3-0vl1
- new upstream release

* Sun Jun 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- new upstream release

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- new upstream release

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- initial build for Vine Linux partialy based on FC package

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 0.3.0-5
- patch out config.h include from public header

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-4
- Require a desktop-notification-daemon to be present.  Currently,
  this is notify-daemon, but libnotify doesn't specifically require
  that one.  Require 'desktop-notification-daemon' which daemons
  providing compatible functionality are now expected to provide.

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-3
- Let there be libnotify-devel...

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-2
- Actual release of the 0.3.x series

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-1
- Bump version to not conflict with older libnotify libraries

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.0.2-1
- inital build
