Summary: A library for supporting Open Financial Exchange (OFX)
Summary(ja): Open Finalcial Exchange (OFX) をサポートするためのライブラリ
Name: libofx
Version: 0.10.1
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2
URL: https://github.com/libofx/libofx
Source0: https://github.com/libofx/libofx/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: curl-devel >= 7.9.7
BuildRequires: gengetopt
BuildRequires: help2man
BuildRequires: libxml++-devel >= 2.6.0
BuildRequires: openjade >= 1.3.1
BuildRequires: opensp-devel
Requires: openjade >= 1.3.1
Requires(post,postun): /sbin/ldconfig

%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. 


%package devel
Summary: Development files needed for accessing OFX data.
Summary(ja): OFX データのアクセスに必要な開発用ファイル
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
The libofx-devel contains the header files and libraries necessary
for building applications that use libofx.


%debug_package


%prep
%setup -q

./autogen.sh


%build
%configure --with-opensp-libs=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT/%{_libdir}/*a $RPM_BUILD_ROOT/%{_datadir}/doc


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog NEWS README* totest.txt
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/libofx/dtd
%{_mandir}/man1/ofxconnect.1.gz
%{_mandir}/man1/ofxdump.1.gz

%files devel
%defattr(-,root,root)
%doc doc/html doc/ofx_sample_files
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.10.1-1
- new upstream release.

* Wed Sep 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.14-1
- new upstream release.

* Tue Apr 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.10-2
- revamped release no.

* Sun Mar  8 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.10-1
- updated to 0.9.10
- added BR: curl-devel, help2man and libxml++-devel
- added Japanese summary
- added URL

* Sun Sep 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- update to 0.9.5
- remove Patch0 (libofx-0.9.0-glibc-headers.patch)

* Mon Oct 04 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.0-2
- rebuilt with rpm-4.8.1 for pkg-config
- added libofx-0.9.0-glibc-headers.patch

* Thu Sep 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.0-1
- new upstream release

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.8.3-0vl1
- new upstream release
- dropped Patch: libofx-0.7.0-gcc4.patch

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8.0-0vl3
- add BuildRequires: opensp-devel

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl2
- rebuild with new environment

* Sun Oct 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.0-0vl1
- new upstream release

* Mon May 23 2005 Bill Nottingham <notting@redhat.com> 0.7.0-3
- remove static libs

* Tue Mar  8 2005 Bill Nottingham <notting@redhat.com> 0.7.0-2
- fix build with gcc4

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 0.7.0-1
- update to 0.7.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 0.6.6-2
- rebuilt
- Add gcc 3.4 patch

* Fri Mar 12 2004 Bill Nottingham <notting@redhat.com> 0.6.6-1
- split off from gnucash, adapt upstream spec, add -devel package
