## -*- coding: utf-8-unix -*-
Name:		libotf
Version:	0.9.13
Release:	2%{?_dist_release}
Summary:	A Library for handling OpenType Font
Summary(ja):	OpenType フォントを扱うライブラリ

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.m17n.org/libotf/
Source0:	 http://www.m17n.org/%{name}/%{name}-%{version}.tar.gz

Patch0:		libotf-0.9.13-freetype2.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gcc chrpath freetype2-devel libXaw-devel
BuildRequires:	autoconf
Requires:	freetype2

Vendor: Project Vine
Distribution: Vine Linux

%description 
The library "libotf" provides the following facilites.
Read Open Type Layout Tables from OTF file. Currently these tables are
supported; head, name, cmap, GDEF, GSUB, and GPOS.  Convert a Unicode
character sequence to a glyph code sequence by using the above tables.
The combination of libotf and the FreeType library (Ver.2) realizes
CTL (complex text layout) by OpenType fonts. This library is currently
used by the m17n library. It seems that the probject Free Type Layout
provides the similar (or better) facility as this library, but
currently they have not yet released their library. So, we have
developed this one.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

%build
autoreconf -if
%configure --disable-static
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec %__rm -f {} ';'
for file in $RPM_BUILD_ROOT/usr/bin/*; do chrpath -d $file || true; done

(cd example && %__make clean && %__rm -rf .deps && rm Makefile)
%__rm $RPM_BUILD_ROOT/usr/bin/libotf-config


%clean
%__rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_libdir}/*.so.*
%{_bindir}/otfdump
%{_bindir}/otflist
%{_bindir}/otftobdf
%{_bindir}/otfview

%files devel
%defattr(-,root,root,-)
%doc example
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Jul 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.13-2
- rebuild with libpng-1.6.12

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.13-1
- update to 0.9.13
- add Patch0 (libotf-0.9.13-freetype2.patch)

* Tue Feb 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.9.12-1
- new upstream release

* Sun Jan 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.9.9-1
- built based on Fedora development
  - s/freetype/freetype2/ in Requires, BuildRequires tags

* Sat Oct 24 2009 Neal Becker <ndbecker2@gmail.com> - 0.9.9-3
- Add BR libXaw-devel (BR 530586)

* Fri Oct  9 2009 Neal Becker <ndbecker2@gmail.com> - 0.9.9-2
- Remove libotf-config (just just pkg-config instead)
- Remove example/Makefile to fix multilib conflict

* Tue Aug 25 2009 Neal Becker <ndbecker2@gmail.com> - 0.9.9-1
- Update to 0.9.9

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug  8 2008 Neal Becker <ndbecker2@gmail.com> - 0.9.8-1
- Update to 0.9.8

* Mon Apr 14 2008 Neal Becker <ndbecker2@gmail.com> - 0.9.7-4
- Remove .deps from example

* Fri Mar 28 2008 Neal Becker <ndbecker2@gmail.com> - 0.9.7-3
- Change to LGPLv2+
- Add examples

* Wed Mar 26 2008 Neal Becker <ndbecker2@gmail.com> - 0.9.7-2
- Cleanup suggestions from panemade at gmail dot com

* Tue Mar 25 2008 Neal Becker <ndbecker2@gmail.com> - 0.9.7-1
- Initial

