%define build_compat32  %{?_with_compat32:1}%{!?_with_compat32:0}

Name:           libpciaccess
Summary:        PCI access library
Summary(ja):    PCI アクセスライブラリ
Version:        0.16
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        MIT
URL:            http://gitweb.freedesktop.org/?p=xorg/lib/libpciaccess.git

Source0:        https://www.x.org/archive//individual/lib/%{name}-%{version}.tar.bz2
Source1:        make-libpciaccess-snapshot.sh

Patch2:		libpciaccess-0.14-rom-size.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf automake libtool pkgconfig
BuildRequires:  xorg-x11-util-macros
Requires:       hwdata

Vendor: Project Vine
Distribution: Vine Linux


%description
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

%package devel
Summary:        PCI access library development package
Summary(ja):    PCI access library 開発パッケージ
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development package for libpciaccess.


# compat32
%package -n compat32-%{name}
Summary:        PCI access library
Summary(ja):    PCI アクセスライブラリ
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n compat32-%{name}
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

%package -n compat32-%{name}-devel
Summary:        PCI access library development package
Summary(ja):    PCI access library 開発パッケージ
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Development package for libpciaccess.


%prep
%setup -q -n %{name}-%{version}
%patch2 -p1 -b .rom-size

%build
##autoreconf -v --install
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/libpciaccess.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/pciaccess.h
%{_libdir}/libpciaccess.so
%{_libdir}/pkgconfig/pciaccess.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libpciaccess.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libpciaccess.so
%endif

%changelog
* Thu Sep 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.16-1
- new upstream release.

* Thu Feb 15 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.14-1
- new upstream release
- update patch2
- drop patch1 (is included in new release)

* Sun May 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.4-1
- new upstream release

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.3-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.2-2
- rebuild with VineSeed environment

* Mon Aug 12 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.2-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.1-1
- new upstream release

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13-1
- new upstream release

* Sat Jul 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-2
- create compat32 sub packages

* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jul 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12.0-1
- new upstream release
- Drop the fd cache patch
- added Patch2 from Fedora

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.9-1
- new upstream release

* Mon Oct 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.4-1
- new upstream release

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.3-1
- new upstream release

* Mon May 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10-1
- initial build for Vine Linux

* Mon Apr 21 2008 Dave Airlie <airlied@redhat.com> 0.10-2
- fix major problem with libpciaccess and write combining.

* Thu Mar 06 2008 Adam Jackson <ajax@redhat.com> 0.10-1
- libpciaccess 0.10

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-4.20071031
- Autorebuild for GCC 4.3

* Wed Jan 23 2008 Adam Jackson <ajax@redhat.com> 0.9.1-3.20071031
- libpciaccess-fd-cache.patch: Cache sysfs PCI config space file
  descriptors for great boot speed justice.

* Wed Oct 31 2007 Kristian H淡gsberg <krh@redhat.com> 0.9.1-2.20071031
- New snapshot, git revision e392082abb5696c8837224da86cc0af4f21d7010.
- Pick up new .so file.

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 0.9.1-1
- libpciaccess 0.9.1

* Mon Aug 27 2007 Adam Jackson <ajax@redhat.com> 0.8-0.4.20070827git
- New snapshot.

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> 0.8-0.3.20070712git
- Rebuild for PPC toolchain bug

* Thu Jul 12 2007 Adam Jackson <ajax@redhat.com> 0.8-0.2.20070712git
- New snapshot.  Adds VGA ROM support.

* Thu May 24 2007 Adam Jackson <ajax@redhat.com> 0.8-0.1.20070524git
- Initial revision.
