Name:           libplist
Summary:        Library for manipulating Apple Binary and XML Property Lists
Summary(ja):    Apple のバイナリおよび XML プロパティリストを操作するライブラリ
Version:        2.2.0
Release:        2%{?_dist_release}
Group:          system
Vendor:	        Project Vine
Distribution:   Vine Linux
Packager:       daisuke

License:        LGPLv2+
URL:            https://www.libimobiledevice.org/
Source0:        https://github.com/libimobiledevice/libplist/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: python3-devel
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools
BuildRequires: python3-Cython

# to avoid for libplist-python to link with libplist.so.2...
BuildConflicts: libplist-devel

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%description -l ja
libplist は Apple のバイナリおよび XML プロパティリストを操作するライブラリです．


%package devel
Summary: Development package for libplist
Summary(ja): libplist の開発用パッケージ
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
%{name}, development headers and libraries.


%package -n python3-libplist
Summary: Python3 package for libplist
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: python3

%description -n python3-libplist
%{name}, python libraries and support


%prep
%setup -q


%build
export PYTHON=%{__python3}

%configure --disable-static

make %{?_smp_mflags} V=1


%install
export PYTHON=%{__python3}

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING.LESSER
%doc AUTHORS README* NEWS
%{_bindir}/plistutil
%{_libdir}/libplist*.so.*
%{_mandir}/man1/plistutil.1*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libplist*.pc
%{_libdir}/libplist*.so
%{_includedir}/plist

%files -n python3-libplist
%defattr(-,root,root,-)
%{python3_sitearch}/*


%changelog
* Mon Aug 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.0-2
- rebuilt with python-3.8.

* Sun Aug 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.0-1
- new upstream release.

* Fri Oct 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.0-1
- new upstream release.

* Sat Jul  2 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12-2
- rebuilt with new toolchain.

* Thu May 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.12-1
- new upstream release

* Tue Jul 08 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.11-1
- update to 1.11

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10-2
- rebuild with VineSeed environment

* Thu Mar 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10-1
- new upstream release

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8-1
- new upstream release
- add BuildRequires: Cython

* Thu Feb 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-2
- rebuild with python-2.7.2

* Fri Apr 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4-1
- new upstream release

* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3-2
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Apr 29 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-1
- initial build for Vine Linux

* Tue Apr 20 2010 Peter Robinson <pbrobinson@gmail.com> 1.3-1
- Upstream stable 1.3 release

* Sat Jan 23 2010 Peter Robinson <pbrobinson@gmail.com> 1.2-1
- Upstream stable 1.2 release

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-5
- Updated to the new python sysarch spec file reqs

* Mon Dec  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-4
- and once more with feeling

* Mon Dec  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-3
- Further updated fixes for the spec file

* Mon Dec  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-2
- Drop upstreamed patch

* Mon Dec  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- Upstream stable 1.0.0 release

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.16-3
- Actually add patch for python

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.16-2
- Add python patch and c++ bindings

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.16-1
- New upstream 0.16 release

* Tue Oct 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.15-1
- New upstream 0.15 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.13-1
- New upstream 0.13 release

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-2
- Further review updates

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-1
- Update to official tarball release, some review fixes

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12.0-0.1
- Initial package
