Summary: A C++ API to the PostgreSQL database management system.
Summary(ja): PostgreSQL の C++ API
Name: libpqxx
Version: 4.0.1
Release: 3%{?_dist_release}

Group: System Environment/Libraries
License: BSD
URL: http://pqxx.org/

Vendor: Project Vine
Distribution: Vine Linux

Source: ftp://pqxx.org/software/libpqxx/%{name}-%{version}.tar.gz
Patch3: libpqxx-2.6.8-multilib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpq-devel

%description
What libpqxx brings you is effective use of templates to reduce the 
inconvenience of dealing with type conversions; of standard C++ strings 
to keep you from having to worry about buffer allocation and overflow 
attacks; of exceptions to take the tedious and error-prone plumbing around 
error handling out of your hands; of constructors and destructors to bring 
resource management under control; and even basic object-orientation 
to give you some extra reliability features that would be hard to get 
with most other database interfaces.

%package devel
Summary: Libraries, includes, etc. to develop PostgreSQL applications in C++.
Summary(ja): C++ で PostgreSQL アプリケーションを開発するためのファイル集
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libpq-devel

%description devel
Libraries, include files, etc you can use to develop PostgreSQL applications
in C++.

%prep
%setup -q
%patch3 -p1 -b .multilib

# fix spurious permissions
chmod -x COPYING

%build
%configure --enable-shared --disable-static

make %{?_smp_mflags} LIBS="-lpq -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%doc doc/html/Reference doc/html/Tutorial
%{_bindir}/*
%{_includedir}/pqxx/*
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul  3 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.1-3
- rebuilt with new toolchain.

* Thu Jan 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.0.1-2
- added R: soprano-devel to devel subpackage

* Mon Dec  1 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.0.1-1
- new upstream release
- rebuilt with libpq 9.3.4

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 3.1-2
- rebuilt with postgresql-9.0.3

* Sun Mar 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1-1
- new upstream release
- added LIBS="-lpq -lpthread"
- updated URL

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.9-3
- rebuilt with rpm-4.8.1 for pkg-config
- added libpqxx-2.6.9-glibc-headers.patch

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.9-2
- rebuilt with postgresql-8.4.0

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.9-1vl5
- rebuilt with postgresql-8.3.3
- applied new versioning policy, and spec in utf-8

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.9-0vl3
- rebuilt with postgresql-8.2.6

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 2.6.9-0vl2
- rebuilt with postgresql-8.2.5

* Tue May 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.9-0vl1
- new upstream release
- build with new toolchain

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.5-0vl2
- added --libdir=%%{_libdir} configure option

* Thu Jul  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.5-0vl1
- new upstream release
- add Japanese summary

* Wed Jun  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.3-0vl1
- new upstream release

* Wed Apr 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.0-0vl1
- new upstream release
- clean up this file

* Thu Jan 29 2004 Arjen Baart <arjen@andromeda.nl>
- Built release 2.1.3
