Name:           libsecret
Summary:        GObject based library for accessing the Secret Service API
Summary(ja):    シークレットサービス API アクセス用の GObject 基本ライブラリ
Version:        0.20.4
Release:        1%{?_dist_release}
Group:          system
Vendor:	        Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://wiki.gnome.org/Libsecret
%define         shortver %(echo %{version} | cut -d. -f1-2)
Source0:        https://download.gnome.org/sources/libsecret/%{shortver}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  libxslt-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  vala-devel
BuildRequires:  gtk-doc

%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
ksecretservice are both implementations of a Secret Service.

libsecret replaces libgnome-keyring.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.


%debug_package


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/secret-tool
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib
%{_mandir}/man1/secret-tool.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-1


%changelog
* Thu Mar 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.20.4-1
- new upstream release.
- dropped scriptlets.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.20.3-1
- new upstream release.

* Fri Nov 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.18.8-2
- added vala stuff.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.18.8-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.5-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.4-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.3-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18-1
- new upstream release

* Wed Feb 19 2014 NAKAMURA Kenta <kenta@vinelinux.org> 0.16-3
- rebuilt with libgcrypt-1.6

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16-2
- rebuild with VineSeed environment

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16-1
- new upstream release

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10-1
- initial build
