Summary:        A library for parsing, sorting and filtering your mail
Summary(ja):    メールをパース、ソートまたはフィルタするためのライブラリ

Name:           libsieve
Version:        2.3.1
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
# License says LGPL, but source is a mix of many licenses.  License breakdown:
# __CMU (MIT)__
# src/sv_interface/message.c
# src/sv_interface/message.h
# src/sv_interface/script.c
# src/sv_interface/script.h
# src/sv_interface/tree.c
# src/sv_interface/tree.h
# src/sv_parser/addr-lex.l
# src/sv_parser/addr.y
# src/sv_parser/comparator.c
# src/sv_parser/comparator.h
# src/sv_parser/sieve-lex.l
# src/sv_parser/sieve.y
# src/sv_test/example.c
#
# __GPLv2+__
# src/config.guess
# src/config.sub
# src/depcomp
# src/ltmain.sh
# src/missing
# src/ylwrap
# src/sv_parser/addr.c
# src/sv_parser/addr.h
# src/sv_parser/header.c
# src/sv_parser/header.h
#
# __LGPLv2__
# src/sv_include/sieve2_error.h
# src/sv_include/sieve2.h
# src/sv_interface/callbacks2.c
# src/sv_interface/callbacks2.h
# src/sv_interface/context2.c
# src/sv_interface/context2.h
# src/sv_interface/message2.c
# src/sv_interface/message2.h
# src/sv_interface/script2.c
# src/sv_parser/header-lex.l
# src/sv_parser/header.y
# src/sv_parser/sieve.c
# src/sv_parser/sieve.h
# src/sv_util/util.c
# src/sv_util/util.h
#
# __LGPLv2+__
# src/sv_regex/regcomp.c
# src/sv_regex/regex.c
# src/sv_regex/regexec.c
# src/sv_regex/regex.h
# src/sv_regex/regex_internal.c
# src/sv_regex/regex_internal.h
#
# __Public Domain__
# src/sv_util/exception.c
# src/sv_util/exception.h
# src/sv_util/md5.c
#
# __MIT__
# src/install-sh
#
License:        GPLv2+ and LGPLv2 and LGPLv2+ and MIT and Public Domain
URL:            http://libsieve.sourceforge.net/
Source0:        https://github.com/downloads/sodabrew/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  flex, bison

%description 
libSieve provides a library to interpret Sieve scripts, and to execute those
scripts over a given set of messages. The return codes from the libSieve
functions let your program know how to handle the message, and then it's up to
you to make it so. libSieve makes no attempt to have knowledge of how SMTP,
IMAP, or anything else work; just how to parse and deal with a buffer full of
emails. The rest is up to you!

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: libsieve = %{version}-%{release}

%description devel
libSieve provides a library to interpret Sieve scripts, and to execute those
scripts over a given set of messages. The return codes from the libSieve
functions let your program know how to handle the message, and then it's up to
you to make it so. libSieve makes no attempt to have knowledge of how SMTP,
IMAP, or anything else work; just how to parse and deal with a buffer full of
emails. The rest is up to you!

These are the development libraries.

%prep 
%setup -q

%build 
%configure --disable-static
make %{?_smp_mflags}


%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean 
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-) 
# See license tag section for licensing of binary
%{_libdir}/libsieve.so.*
%doc AUTHORS COPYING NEWS README

%files devel
%defattr(-,root,root,-) 
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*

%changelog
* Tue Feb 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.3.1-1
- updated to 2.3.1

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.7-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.7-1
- initial build for Vine Linux

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.2.7-1
- v 2.2.7
- package pkgconfig file

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.6-3
- Autorebuild for GCC 4.3

* Sun Oct 26 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.6-2
- add missing BR: flex, bison
- remove repotag

* Sun Oct 26 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.6-1
- 2.2.6
- license clarification

* Tue Feb 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.5-1
- 2.2.5
- remove sed surgery since tarball is fixed to pass CFLAGS

* Mon Jan 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-2
- add note regarding why license tag is GPL
- sed surgery on Makefile.in files so that CFLAGS is passed properly

* Sun Jan 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-1
- 2.2.4
- change license to GPL based on https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216723#c11
- install files preserving timestamps

* Sat Jan 27 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-4
- add fully versioned dependency on main package for -devel
- remove .a library from -devel
- do not call autoconf, use configure file
- direct download url for source0
- remove buildrequires for autoconf and m4

* Mon Dec 11 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-3
- added repotag for anyone who may want to use it
- move ldconfig calls to post and postun with -p
- minor spec file cleanups

* Sat Nov 25 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-2
- bump release to -2
- move .so to -devel
- change %%post command to avoid fork of a shell interpreter

* Sat Nov 18 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-1.1.sc
- start with fedora extras template for spec file

* Wed Oct 11 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-1.sc
— Initial package
