Name: libsigsegv
Summary: Library for handling page faults in user mode
Version: 2.14
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2
URL: https://www.gnu.org/software/libsigsegv/
Source0: https://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:

  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,
  - ...

%package devel
Summary: Development libraries and headers for %{name}
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.


%debug_package


%prep
%setup -q


%build
%configure --enable-shared --enable-static
make


%install
rm -rf %{buildroot}
%makeinstall
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog* NEWS PORTING README
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
#%{_libdir}/*.la


%changelog
* Fri Jan 14 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.14-1
- new upstream release.
- dropped ldconfig scriptlets.

* Fri Feb 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.13-1
- new upstream release.

* Thu Sep 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.12-1
- new upstream release.

* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10-1
- update to 2.10

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 2.8-2
- rebuilt with rpm-4.8.1-3

* Tue Feb 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-1
- new upstream release
- built with new toolchain

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-1
- new upstream release

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.4-1vl5
- applied new versioning policy
- removed *.la

* Sun Mar 18 2007 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.4-0vl1
- Initial build.

