%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:        A library implementing the SSH2 protocol
Summary(ja):    SSH2プロトコルを実装するためのライブラリ
Name:           libssh
Version:        0.9.6
Release:        2%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPLv2+
URL:            https://www.libssh.org/
%global         shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0:        https://www.libssh.org/files/%{shortver}/%{name}-%{version}.tar.xz

# security fix
# Nothing so far.
# Patch100:		libssh-0.4.8-pkgconfig.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  cmake

%description
The SSH library with
- Full C library functions for manipulating a client-side SSH connection
- Fully configurable sessions
- Support for AES-128,AES-192,AES-256,blowfish, in cbc mode
- use multiple SSH connections in a same process, at same time.
- usable SFTP implementation
- Public key and password authentication


%package devel
Summary:         Development files for %{name}
Summary(ja):     %{name} の開発ファイル
Group:           programming
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n compat32-%{name}
Summary:        A library implementing the SSH2 protocol
Summary(ja):    SSH2プロトコルを実装するためのライブラリ
Group:          system,legacy

%description -n compat32-%{name}
The SSH library with
- Full C library functions for manipulating a client-side SSH connection
- Fully configurable sessions
- Support for AES-128,AES-192,AES-256,blowfish, in cbc mode
- use multiple SSH connections in a same process, at same time.
- usable SFTP implementation
- Public key and password authentication


%debug_package


%prep
%setup -q
%autopatch -p1


%build
%cmake
%cmake_build


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%cmake_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_libdir}/cmake/
%{_libdir}/cmake/libssh/

%if %{build_compat32}
%files -n compat32-%{name}
%{_libdir}/*.so.*
%endif


%changelog
* Tue Oct 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.6-2
- rebuilt with openssl-3.0.0.

* Thu Sep 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.6-1
- new upstream release.

* Wed Dec 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.5-1
- new upstream release.
- dropped Patch1000 and 1001: fixed in upstream.

* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.4-2
- added Patch1000 and 1001 to fix CVE-2020-16135.

* Tue Apr 14 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.4-1
- new upstream release.

* Sun Feb 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.3-1
- new upstream release.
- dropped Patch0: fixed in upstream.

* Sat Nov 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.8.5-1
- new upstream release.
- built with openssl-1.1.1.
- added cmake support.
- added a sub-package 'compat32-libssh'.

* Sat Mar 12 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.7.3-2
- rebuilt with openssl 1.0.2g

* Fri Feb 26 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.7.3-1
- new upstream release with security fixes

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.8-3
- add Patch100 (libssh-0.4.8-pkgconfig.patch)

* Mon Dec  3 2012 IWAI, Masaharu <iwai@alib.jp> 0.4.8-2
- SECURITY FIX:
 - add patches from Debian libssh 0.4.5-3+squeeze1
  - CVE-2012-4559.patch (Patch10)
  - CVE-2012-4561.patch (Patch11)
  - CVE-2012-4562.patch (Patch12)
 - add patch based Red Hat BTS #871614
  - CVE-2012-4560.patch (Patch13)

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.8-1
- new upstream release

* Sun Jun 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.1-1
- new upstream release

* Tue Sep 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2-1
- initial build for Vine Linux

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.2-4
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-2
- Small changes during review

* Mon Jun 01 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-1
- Initial build
