Summary: E-Mail client library
Summary(ja): 電子メールクライアントライブラリ
Name: libsylph
Version: 1.1.0
Release: 6%{?_dist_release}
License: LGPLv2.1+
Group: System Environment/Libraries
URL: http://sylpheed.sraoss.jp/ja/download.html#libsylph
Source0: http://sylpheed.sraoss.jp/sylpheed/libsylph/%{name}-%{version}.tar.bz2
Patch0: libsylph-1.1.0-glib-header.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.4.0
BuildRequires: openssl-devel

Packager: iwaim
Vendor: Project Vine
Distribution: Vine Linux

%description
LibSylph is an e-mail client library which is derived from Sylpheed.
LibSylph is a lightweight but featureful library. It has many common e-mail
related features and other useful functions, and you can utilize them from
your application. Moreover you can create a new e-mail client by wrapping
LibSylph with any UI.

%description -l ja
LibSylphはSylpheedのユーザインタフェースから独立したコア部分の機能を提供する
ライブラリです。LibSylphによって、他のアプリケーションからSylpheedの機能を
利用することができます。また、LibSylphを用いて新たなメールクライアントを
作成することも可能です。それ以外にも、単独で使えるメール関連、文字コード変換、
文字列処理、I/O、XML処理などの多数のAPIを提供しています。

%package devel
Summary:         Development files for %{name}
Summary(ja):     %{name} の開発ファイル
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%if %{?_dist_release} != "vl6"
%patch0 -p1 -b .glibheader
%endif

%build
%configure --enable-shared --disable-static
make

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} %{buildroot}%{_libdir}/libsylph.la
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README* AUTHORS COPYING ChangeLog NEWS TODO
%{_libdir}/libsylph.so.*

%files devel
%defattr(-,root,root,-)
%doc doc
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sun Mar 19 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.1.0-6
- add BR: openssl-devel

* Sun Mar 19 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.1.0-5
- build with current VineSeed

* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.1.0-4
- build with current VineSeed

* Wed Dec 12 2012 IWAI, Masaharu <iwai@alib.jp> 1.1.0-3vl7
- build with current VineSeed
- add only "glib.h" patch (Patch0)

* Sat Apr  9 2011 IWAI, Masaharu <iwai@alib.jp> 1.1.0-2
- add BuildRequires: glib2-devel >= 2.4.0
- add Summary(ja)

* Tue Mar  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.1.0-1
- Initial build.
