%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: This is the ASN.1 library used in GNUTLS
Name: libtasn1
Version: 4.18.0
Release: 1%{?_dist_release}
License: LGPL
Group: system
Vendor: Project Vine
Distribution: Vine Linux

URL: http://www.gnu.org/software/libtasn1/
Source0: https://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Patch1:	libtasn1-3.4-rpath.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison, gcc-c++, texinfo

%description
This is the ASN.1 library used in GNUTLS.


%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%package -n compat32-%{name}
Summary: This is the ASN.1 library used in GNUTLS
Group: system,legacy
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
This is the ASN.1 library used in GNUTLS.


%package -n compat32-%{name}-devel
Summary: Header files, libraries and development documentation for %{name}
Group: programming,legacy
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%debug_package


%prep
%setup -q
%patch1 -p1 -b .rpath


%build
%configure --disable-static
# libtasn1 likes to regenerate docs
touch doc/stamp_docs
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR="$RPM_BUILD_ROOT" install
rm -f %{buildroot}%{_infodir}/dir

### Clean up buildroot
rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%license doc/COPYING
%doc AUTHORS NEWS README.md THANKS
%doc %{_mandir}/man1/asn1*
%{_libdir}/*.so.*
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding
%{_bindir}/asn1Parser

%files devel
%defattr(-, root, root, 0755)
%doc doc/TODO
%{_includedir}/*.h
%{_libdir}/*.so
#{_bindir}/libtasn1-config
%{_libdir}/pkgconfig/libtasn1.pc
#{_datadir}/aclocal/libtasn1.m4
%{_infodir}/libtasn1*
%{_mandir}/man3/*asn1*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root, 0755)
%{_libdir}/*.so
#{_libdir}/pkgconfig/libtasn1.pc
%endif

%changelog
* Mon Nov 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.18.0-1
- new upstream release.

* Wed May 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.17.0-1
- new upstream release.
- dropped ldconfig scriptlets.

* Tue Feb 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.16.0-1
- new upstream release.

* Thu Nov 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.13-1
- new upstream release.

* Mon May  9 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.8-1
- new upstream release with security fix

* Mon Dec 28 2015 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.7-1
- new upstream release   

* Fri Aug 28 2015 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.5-1
- new upstream release  

* Tue Feb  4 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.4-1
- new upstream release 
- update patches
- add Vendor/Distri tags

* Thu Sep 27 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.14-1
- new upstream release

* Mon Jun 04 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.13-1
- new upstream release

* Thu Mar 22 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.12-1
- new upstream release

* Fri Nov 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.11-1
- new upstream release

* Sun Dec 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.9-1
- Updated to release 2.9

* Sat Oct 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.8-1
- Updated to release 2.8

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> - 2.2-3
- build with rpm-4.8.1-1 for pkg-config file

* Sat Jun 27 2009 NAKAMURA Kenta <kenta@vinelinux.org> - 2.2-2
- added compat32 package for x86_64 arch support
- added --disable-static %%configure option

* Sat May 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.2-1vl5
- Updated to release 2.2

* Sun Apr 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.1-1vl5
- Updated to release 2.1

* Wed Apr 15 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0-1vl5
- Updated to release 2.0
- spec in UTF-8
- fixed %files devel (comment out %{_bindir}/libtasn1-config)

* Wed Jan 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.8-1vl5
- Updated to release 1.8
- fixed %files devel (comment out %{_datadir}/aclocal/libtasn1.m4)

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.3-1vl5
- initial build for Vine

* Tue Apr 17 2007 Dries Verachtert <dries@ulyssis.org> - 0.3.9-1
- Updated to release 0.3.9.

* Sat Nov 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.8-1
- Updated to release 0.3.8.

* Tue Sep 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.5-1
- Updated to release 0.3.5.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.0-1.2
- Rebuild for Fedora Core 5.

* Fri Mar 03 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.0-1
- Updated to release 0.3.0.

* Sun Feb 12 2006 Dries Verachtert <dries@ulyssis.org> - 0.2.18-1
- Updated to release 0.2.18.

* Fri Nov 11 2005 Dries Verachtert <dries@ulyssis.org> - 0.2.17-1
- Updated to release 0.2.17.

* Mon May 17 2004 Dag Wieers <dag@wieers.com> - 0.2.9-1
- Updated to release 0.2.9.

* Wed Dec 03 2003 Dag Wieers <dag@wieers.com> - 0.2.5-0
- Initial package. (using DAR)
