%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	A set of Thai language support routines
Name:		libthai
Version:	0.1.28
Release:	1%{?_dist_release}
Group:		localization,system
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPLv2
URL:		https://linux.thai.net/projects/libthai/
Source0:	https://github.com/tlwg/libthai/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	doxygen
BuildRequires:	libdatrie-devel

Obsoletes:	%{name}-doc < 0.1.20

%description
LibThai is a set of Thai language support routines aimed to ease
developers’ tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g.
word breaking, input and output methods as well as basic character
and string supports. LibThai is an Open Source and collaborative
effort initiated by Thai Linux Working Group and opened for all
contributors.


%package        devel
Summary:        Development tools for libthai
Summary(ja):    libthai の開発環境
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       libdatrie-devel
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
libthai.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


# compat32
%package -n 	compat32-%{name}
Summary:	A set of Thai language support routines
Group:		localization,system,legacy
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
LibThai is a set of Thai language support routines aimed to ease
developers’ tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g.
word breaking, input and output methods as well as basic character
and string supports. LibThai is an Open Source and collaborative
effort initiated by Thai Linux Working Group and opened for all
contributors.


%package -n     compat32-%{name}-devel
Summary:        Development tools for libthai
Summary(ja):    libthai の開発環境
Group:          programming,legaxy
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       compat32-libdatrie-devel
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the
libthai.


%debug_package


%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/%{name}.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/thai
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files docs
%defattr(-,root,root,-)
%{_docdir}/%{name}

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root,-)
%{_libdir}/%{name}.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root,-)
%{_libdir}/%{name}.so
%endif


%changelog
* Fri Mar 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.28-1
- new upstream release.
- dropped scriptlets.

* Sun Jan 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1.27-1
- new upstream release.

* Thu Oct 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.23-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.21-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.20-1
- new upstream release
- remove %%{name}-doc subpackage

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.19-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.18-1
- new upstream release

* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.17-1
- new upstream release

* Wed Jan 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.16-1
- initial build for Vine Linux

