Summary:        Libraries for Power Management Service
Summary(ja):	電源管理サービス用ライブラリ
Name:           libupower09
Version:        0.9.23
Release:        1%{?_dist_release}
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://upower.freedesktop.org/
Source0:        http://upower.freedesktop.org/releases/upower-%{version}.tar.xz

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  sqlite3-devel
BuildRequires:  libtool
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  libgudev1-devel
BuildRequires:  libusb1-devel
BuildRequires:  glib2-devel >= 2.6.0
BuildRequires:  dbus-devel  >= 1.2
BuildRequires:  dbus-glib-devel >= 0.82
BuildRequires:  polkit-devel >= 0.92
BuildRequires:  gobject-introspection-devel
BuildRequires:	libimobiledevice-devel
BuildRequires:  gtk-doc
BuildRequires:  vim-tiny
BuildRequires:  autoconf
Requires:       polkit >= 0.92
Requires:       udev
Requires:       pm-utils >= 1.4.1
Requires:       gobject-introspection

# Old project name
Obsoletes: DeviceKit-power < 1:0.9.0-2
Provides: DeviceKit-power

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, Takemikaduchi


%description
%{summary}


%package devel
Summary: Headers and libraries for %{name}
Summary(ja): %{name} の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
Obsoletes: DeviceKit-power-devel < 1:0.9.0-2
Provides: DeviceKit-power-devel
Conflicts: upower-devel >= 0.99.0

%description devel
Headers and libraries for %{name}.

%prep
%setup -q -n upower-%{version}

%build
%configure \
	--enable-gtk-doc \
	--disable-static \
	--disable-systemd \
	--enable-introspection=yes
make V=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -f $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/*.typelib
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/*.conf
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/UPower/UPower.conf
rm -f $RPM_BUILD_ROOT/lib/udev/rules.d/*.rules
rm -f $RPM_BUILD_ROOT%{_bindir}/*
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/*
rm -f $RPM_BUILD_ROOT%{_datadir}/dbus-1/system-services/*.service
rm -f $RPM_BUILD_ROOT%{_datadir}/dbus-1/interfaces/*.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/polkit-1/actions/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
rm -f $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/UPower/*
rm -f $RPM_BUILD_ROOT%{_datadir}/gir-1.0/*.gir


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc NEWS COPYING AUTHORS HACKING README
%{_libdir}/libupower-glib.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%changelog
* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.23-1
- initial build

