Summary: a multi-platform support library with a focus on asynchronous I/O
Name: libuv
Version: 1.42.0
Release: 1%{?_dist_release}
License: Node's license and so on (See LICENSE file)
Group: system
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

URL: https://github.com/libuv/libuv
Source0: https://github.com/libuv/libuv/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Luvit,
Julia, pyuv, and others.


%package devel
Summary: Development libraries and headers for libuv
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and headers for libuv.


%debug_package


%prep
%setup -q
./autogen.sh
%configure


%build
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%__rm -f %{buildroot}%{_libdir}/*.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%check
make check


%files
%defattr(-,root,root,-)
%license LICENSE
%doc AUTHORS CONTRIBUTING.md ChangeLog README.md
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root,-)
%license LICENSE LICENSE-docs
%doc AUTHORS CONTRIBUTING.md ChangeLog README.md
%doc img docs
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/uv.h
%{_includedir}/uv


%changelog
* Tue Aug 31 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.42.0-1
- new upstream release.

* Mon Mar 23 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.4.2-1
- Initial build.
