%global backend intel-driver

Summary:        Intel graphics backend for VA API
Summary(ja):    VA-API の Intel グラフィックスバックエンド
Name:           libva-%{backend}
Version:        2.4.1
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MIT
Url:            https://github.com/intel/intel-vaapi-driver
Source:         https://github.com/intel/intel-vaapi-driver/releases/download/%{version}/intel-vaapi-driver-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf, automake, libtool, gettext
BuildRequires:  pkgconfig
BuildRequires:  libva-devel >= 1.1.0
BuildRequires:  libXext-devel
Obsoletes:      libva < 1.1.0

%description
HW video decode support for Intel integrated graphics.


%prep
%setup -q -n intel-vaapi-driver-%{version}


%build
autoreconf -vif
%configure \
	--enable-drm \
	--enable-x11 \
	--enable-wayland=no

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/dri/i965_drv_video.so


%changelog
* Thu Jul 30 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.4.1-1
- new upstream release.
- dropped Patch1.

* Tue Oct 30 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.18-1
- update to upstream git master

* Thu Nov 03 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.15-1
- initial build for Vine Linux
- splitted from libva
