Name:           libva
Version:        2.8.0
Release:        1%{?_dist_release}
Summary:        Video Acceleration (VA) API for Linux
Group:          System Environment/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       daisuke

License:        MIT
URL:            https://github.com/intel/libva
Source0:        https://github.com/intel/libva/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libudev-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libdrm-devel
BuildRequires:  libpciaccess-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLES-devel
BuildRequires:  libtool, automake, autoconf

Obsoletes:      libva-tools < 2.8.0

%description
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
  

%package devel
Summary:        Development tools for programs which will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files for %{name}.


%package tools
Summary:        Sample tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains sample tools for %{name}.


%prep
%setup -q


%build
if [ -x ./autogen.sh ]; then
  ./autogen.sh
fi
%configure \
	--disable-static \
	--enable-x11 \
	--enable-drm \
	--enable-glx \
	--enable-va-messaging

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%make_install INSTALL="install -p"
find %{buildroot} -regex ".*\.la$" | xargs rm -f --


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/lib*.so.*
%ghost %{_sysconfdir}/libva.conf

%files devel
%defattr(-,root,root,-)
%{_includedir}/va
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Jul 30 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.0-1
- new upstream release.

* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- rebuild with gcc-5.4.0

* Mon Oct 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-1
- new upstream release

* Thu Nov 03 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.15-1
- new upstram release
- hardware specific drivers are splitted.

* Wed Aug 24 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.14-1
- new upstream release

* Fri Apr 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.12-1
- new upstream release

* Sun Mar 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.10-1
- new upstream release

* Fri Jan 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-1
- new upstream release

* Wed Aug 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new upstream release

* Wed Feb 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-1
- update to 1.0.1

* Thu Jan 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-4
- update to sds8

* Sun Jan 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-3
- add 302_vdpau_vc1.patch from sds

* Fri Jan 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-2
- add splitted desktop's patches

* Thu Jan 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-1
- initial build for Vine Linux

