%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define lang_name %{name}-0.4

Summary: a framework that delivers audio visualisation
Summary(ja): オーディオの可視化を実現するためのフレームワーク
Name: libvisual
Version: 0.4.0
Release: 6%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
License: GPLv2
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/libvisual/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux


%description
Libvisual is meant as a framework that delivers audio visualisation(read: eye candy generated to the current music you are playing)
to multimedia applications. It works by acting as a middle layer between the visualisation plugin and application.

%description -l ja
Libvisualは音声視覚化を加えるフレームワークです（Read：現在演奏している音楽に合わせて発生する目の保養）
マルチメディアアプリケーションに最適です。視覚化プラグインとアプリケーションの間の中央のレイヤーの働きをすることによって動きます。

%package devel
Summary: Development files for libvisual
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for libvisual.

# compat32
%package -n compat32-%{name}
Summary: a framework that delivers audio visualisation
Summary(ja): オーディオの可視化を実現するためのフレームワーク
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Libvisual is meant as a framework that delivers audio visualisation(read: eye candy generated to the current music you are playing)
to multimedia applications. It works by acting as a middle layer between the visualisation plugin and application.

%package -n compat32-%{name}-devel
Summary: Development files for libvisual
Group: Development/Libraries
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: pkgconfig

%description -n compat32-%{name}-devel
Development files for libvisual.


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

# unpackaged files
%{__rm} -rf  $RPM_BUILD_ROOT%{_libdir}/%{name}-0.4.la

%find_lang %{lang_name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{lang_name}.lang
%defattr(-,root,root)
%{_libdir}/libvisual-0.4.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libvisual-0.4
%{_libdir}/libvisual-0.4.so
#{_libdir}/libvisual-0.4.la
%{_libdir}/pkgconfig/libvisual-0.4.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libvisual-0.4.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libvisual-0.4.so
%{_libdir}/pkgconfig/libvisual-0.4.pc
%endif


%changelog
* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-6
- rebuild with VineSeed environment

* Wed Jan 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-5
- create compat32 sub packages

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-4
- rebuild with rpm-4.8.1 for pkg-config file

* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.4.0-3
- split development files to devel subpackage
- changed Group to System Environment/Libraries

* Sun Jan  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4.0-2
- spec in UTF-8

* Fri Jan  2 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 0.4.0-1vl5
- initial build for Vine Seed

# end of file
