Summary:        A library to identify wacom tablets
Summary(ja):    ワコムタブレットを検出するためのライブラリ
Name:           libwacom
Version:        1.4.1
Release:        1%{?_dist_release}
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MIT
URL:            https://github.com/linuxwacom/libwacom/wiki
Source0:        https://github.com/linuxwacom/libwacom/releases/download/libwacom-%{version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel
BuildRequires:	eudev-libgudev1-devel

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.


%package	devel
Summary:        Development tools for libwacom
Summary(ja):    libwacom の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
libwacom.


%prep
%setup -q


%build
%configure --disable-static --with-udev-dir=/lib/udev


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc README NEWS
%{_bindir}/libwacom-list-local-devices
%{_libdir}/libwacom.so.*
%{_datadir}/%{name}
%{_mandir}/man1/libwacom-list-local-devices.1*
/lib/udev/rules.d/65-libwacom.rules
/lib/udev/hwdb.d/65-libwacom.hwdb

%files devel
%defattr(-,root,root,-)
%{_includedir}/libwacom-1.0
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.1-1
- new upstream release.

* Sat May 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3-1
- new upstream release.

* Sun Dec 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.32-1
- new upstream release.

* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.19-1
- new upstream release

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15-1
- new upstream release

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-1
- new upstream release
- change BuildRequires: eudev-libgudev1-devel instead of libgudev1-devel

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-1
- new upstream release

* Mon Jan 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7-1
- new upstream release

* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release

* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- new upstream release

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4-1
- initial build for Vine Linux
