%define ver 0.3.1
%define rel 4

Name:		libwebp03
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Group:		System Environment/Libraries

Vendor:		Project Vine
Distribution:	Vine Linux

URL:		http://webmproject.org/
Summary:	Library and tools for the WebP graphics format
Summary(ja):	WebP 画像フォーマットのためのライブラリとツール
# Additional IPR is licensed as well. See PATENTS file for details
License:	BSD
Source0:	https://storage.googleapis.com/downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz
Source1:	libwebp_jni_example.java

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtool

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


Vendor: Project Vine
Distribution: Vine Linux

%prep
%setup -q -n libwebp-%{version}

%build
mkdir -p m4
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find "%{buildroot}/%{_libdir}" -type f -name "*.la" -delete

rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_mandir}
rm -f %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/pkgconfig

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files -n %{name}
%doc README PATENTS COPYING NEWS AUTHORS
%{_libdir}/libwebp*.so.*


%changelog
* Thu Jan 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.1-4
- temporary package for ABI compatibility.

* Sun Oct 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.3.1-3
- moved libwebp to System Environment/Libraries Group

* Tue Jul 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-2
- rebuild with libpng-1.6.12

* Sat Oct 12 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.1-1
- new upstream release

* Sat Jan 12 2013 IWAI, Masaharu <iwai@alib.jp> 0.2.1-1
- initial build for Vine Linux

* Thu Dec 27 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-1
- new upstream release 0.2.1

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.1.3-3
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.3-1
- Several spec improvements by Scott Tsai <scottt.tw@gmail.com>

* Wed May 25 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.2-1
- Initial spec. Based on openSUSE one

