Summary: A .wmf file converter.
Name: libwmf
Version: 0.2.12
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: LGPLv2+ and GPLv2+ and GPL+
URL: https://github.com/caolanm/libwmf
Source0: https://github.com/caolanm/libwmf/archive/v%{version}.tar.gz#/libwmf-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: gtk2-devel
BuildRequires: ghostscript-devel
BuildRequires: freetype2-devel >= 2.1.7
BuildRequires: zlib-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: xorg-x11-proto-devel
Requires: ghostscript
Requires: freetype2 >= 2.1.7
Requires: urw-fonts
# for file triggers
Requires: gdk-pixbuf2%{?_isa}

%description
The libwmf library provides routines for converting Microsoft(R) .wmf
format files. Currently libwmf includes bindings for converting .wmf
files into onscreen X graphics, to .gif files and to .fig (Xfig)
files. Future libwmf project plans include completion of the .fig
conversion process and other vector-based formats conversions.

%package devel
Summary: Development tools for programs to manipulate metafile images
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
Requires: gtk2-devel, libxml2-devel, libjpeg-devel
Requires: libpng-devel
Requires: freetype2-devel >= 2.1.7

%description devel
The libwmf-devel package contains the header files and static
libraries necessary for developing programs using libwmf.


%debug_package


%prep
%setup -q 


%build
%configure --without-expat --with-x --disable-static
%configure --with-libxml2 --disable-static --disable-dependency-tracking --with-
gsfontdir=/usr/share/fonts/default/Type1
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -rf %{buildroot}%{_includedir}/libwmf/gd
find doc -name "Makefile*" -exec rm {} \;

#we're carrying around duplicate fonts
rm -rf %{buildroot}%{_datadir}/libwmf/fonts/*afm
rm -rf %{buildroot}%{_datadir}/libwmf/fonts/*t1
sed -i %{buildroot}%{_datadir}/libwmf/fonts/fontmap -e 's#libwmf/fonts#fonts/default/Type1#g'


%clean
rm -rf %{buildroot}


%ldconfig_scriptlets


%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS README
%{_bindir}/wmf2eps
%{_bindir}/wmf2fig
%{_bindir}/wmf2svg
%{_bindir}/wmf2gd
%{_bindir}/wmf2x
%{_bindir}/libwmf-fontmap
%{_libdir}/lib*.so.*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_datadir}/libwmf

%files devel
%defattr(-,root,root)
%doc examples
%doc doc/*.html
%doc doc/*.png
%doc doc/*.gif
%doc doc/html
%doc doc/caolan
%{_bindir}/libwmf-config
%{_includedir}/libwmf
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libwmf.pc


%changelog
* Mon Mar 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2.12-1
- switched to the forked project.
- new upstream release.

* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.8.4-7
- rebuld with VineSeed environment

* Tue Apr 26 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.2.8.4-6
- add patch8 - patch15 from fc14 to fix many security issues
- add vendor/distr tag

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.8.4-5
- add BuildRequires: zlib-devel, libX11-devel, libXt-devel, xorg-x11-proto-devel
- add Requires: zlib-devel, libX11-devel (devel package)
- add configure option (--disable-static)

* Fri Jul  3 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.2.8.4-4
- merged from VinePlus 4.x (-2,-3 are skipped)
  - * Sun May 10 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 
  - 0.2.8.4-3vl4
  - add patch1 for fox CVE-2009-1364 (embedded GD graphics library)
  - new versioning policy
- add smp_mflags into make section
- fix spec typo

* Thu May  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.8.4-1
- applied new versioning policy
- removed lib*.la from devel package

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.8.4-0vl3
- rebuild with gtk+-2.10

* Tue Aug 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.8.4-0vl2
- [SECURITY] add patch0
  - WMF file handling integer overflow vulnerability (CVE-2006-3376)
- update URL
- drop flase dependencies
  - Requires: gdk-pixbuf
  - BuildPreReq: gdk-pixbuf-devel
- add deficient dependencies
  - Requires: libjpeg
  - BuildPreReq: libjpeg-devel

* Mon Aug  1 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.8.4-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.8.2-0vl2
- rebuild with gtk+-2.4.0

* Sun Nov 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.8.2-0vl1
- updated to 0.2.8.2
- Changed Requires freetype2 >= 2.1.7 (added version dependancy)

* Mon Sep 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.8-0vl1
- update to 0.2.8
- rebuild with new toolchains
- add Requires to gdk-pixbuf, ghostscript and gtk2

* Thu Oct 03 2002 Shoji Matsumoto <shom@vinelinux.org> 0.2.6-0vl1
- update

* Thu Sep 06 2001 Toru Sagami <sagami@vinelinux.org>
- 0.2.1-0vl1: split devel subpackage

* Fri Nov 10 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 0.1.16-1vl1
- remove Builarch:

* Tue Nov 16 1999 Tim Powers <timp@redhat.com>
- updated to 0.1.16

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source
- built for 6.1

* Wed May 12 1999 Cristian Gafton <gafton@redhat.com>
- build for powertools
