%global apiversion 0.4

Name:		libwps
Version:	0.4.3
Release:	1%{?_dist_release}
Summary:	A library for import of Microsoft Works documents
Summary(ja):	Microsoft Works ドキュメントをインポートするためのライブラリ

License:	LGPLv2+ or MPLv2.0
Group:  	System Environment/Libraries
URL:		http://libwps.sourceforge.net/

Vendor:         Project Vine
Distribution:   Vine Linux

Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	libboost-devel
BuildRequires:	librevenge-devel

%description
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.

%package devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発用ファイル
Group:  	Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary:	Tools to transform Microsoft Works documents into other formats
Summary(ja):	Microsoft Works ドキュメントを他のフォーマットに変換するツール
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Microsoft Works documents into other formats.
Currently supported: CSV, HTML, raw, text

%package doc
Summary:	Documentation of %{name} API
Summary(ja): 	%{name} API のドキュメント
Group: 		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'convert Works spreadsheet into CSV' -o wks2csv.1 ./src/conv/wks2csv/.libs/wks2csv
help2man -N -n 'debug the conversion library' -o wks2raw.1 ./src/conv/wks2raw/.libs/wks2raw
help2man -N -n 'convert Works spreadsheet into plain text' -o wks2text.1 ./src/conv/wks2text/.libs/wks2text
help2man -N -n 'debug the conversion library' -o wps2raw.1 ./src/conv/raw/.libs/wps2raw
help2man -N -n 'convert Works document into HTML' -o wps2html.1 ./src/conv/html/.libs/wps2html
help2man -N -n 'convert Works document into plain text' -o wps2text.1 ./src/conv/text/.libs/wps2text

%install
rm -rf %{buildroot}
make install INSTALL="install -p" DESTDIR="%{buildroot}" 
rm -f %{buildroot}%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wks2*.1 wps2*.1 %{buildroot}/%{_mandir}/man1

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%doc COPYING.LGPL COPYING.MPL CREDITS NEWS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%doc HACKING
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/wks2csv
%{_bindir}/wks2raw
%{_bindir}/wks2text
%{_bindir}/wps2html
%{_bindir}/wps2raw
%{_bindir}/wps2text
%{_mandir}/man1/wks2csv.1*
%{_mandir}/man1/wks2raw.1*
%{_mandir}/man1/wks2text.1*
%{_mandir}/man1/wps2html.1*
%{_mandir}/man1/wps2raw.1*
%{_mandir}/man1/wps2text.1*

%files doc
%doc COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

%changelog
* Sat Jul  2 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.4.3-1
- new upstream release.

* Sun Mar  8 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.3.1-3
- added Group tag to devel subpackage

* Tue Jan 13 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.3.1-2
- Initial build for Vine Linux

* Tue Dec 30 2014 David Tardon <dtardon@redhat.com> - 0.3.1-1
- new upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 David Tardon <dtardon@redhat.com> - 0.3.0-1
- new upstream release

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 0.2.9-8
- Rebuild for boost 1.55.0

* Wed Apr 09 2014 David Tardon <dtardon@redhat.com> - 0.2.9-7
- generate man pages

* Mon Sep 09 2013 David Tardon <dtardon@redhat.com> - 0.2.9-6
- Resolves: rhbz#1005711 do not compile in C++11 mode

* Mon Aug 19 2013 David Tardon <dtardon@redhat.com> - 0.2.9-5
- Resolves: rhbz#98166 Duplicated documentation

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 30 2013 David Tardon <dtardon@redhat.com> - 0.2.9-3
- drop build req. on cppunit

* Thu May 30 2013 David Tardon <dtardon@redhat.com> - 0.2.9-2
- libwps does not have any test suite

* Sat May 25 2013 David Tardon <dtardon@redhat.com> - 0.2.9-1
- new release

* Sun Apr 21 2013 David Tardon <dtardon@redhat.com> - 0.2.8-1
- new release

* Tue Apr 16 2013 Caolán McNamara <caolanm@redhat.com> - 0.2.7-5
- Resolves: rhbz#925931 support aarch64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 David Tardon <dtardon@redhat.com> - 0.2.7-3
- rebuilt for boost 1.50

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 David Tardon <dtardon@redhat.com> - 0.2.7-1
- new release

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 01 2011 David Tardon <dtardon@redhat.com> - 0.2.4-1
- latest version

* Fri Nov 18 2011 David Tardon <dtardon@redhat.com> - 0.2.3-1
- latest version
- remove obsoleted patch

* Wed Jul 13 2011 David Tardon <dtardon@redhat.com> - 0.2.2-1
- latest version

* Tue Jun 28 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.2.0-3
- Remove -Werror from CFLAGS/CXXFLAGS (Add libwps-0.2.0-werror.patch)
  (Fix FTBFS BZ#715767).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.0-1
- latest version

* Sat Jan 30 2010 Chen Lei <supercyper@163.com> - 0.1.2-7
- Add noarch to -doc subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.2-5
- Correct DOC issues (again) RHBZ: #484933 / C14

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.2-4
- Correct path for CHECK section

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.2-3
- Add CHECK section
- Add cppunit-devel to BuildRequires

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.2-2
- Correct DOC issues
- Delete wrong pkgconfig pathes 

* Tue Feb 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.2-1
- Initial Package build 
