Name: 		libxfce4util
Summary: 	Utility library for the Xfce desktop environment
Summary(ja): 	Xfce デスクトップ環境用のユーティリティライブラリ
Version: 	4.12.1
Release: 	1%{?_dist_release}

Group: 		System Environment/Libraries
License:	LGPLv2+
URL: 		http://www.xfce.org/

Source0: 	http://archive.xfce.org/src/xfce/%{name}/4.12/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= 2.24.0
BuildRequires: 	gtk-doc >= 1.0

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Basic utility non-GUI functions for Xfce.

%package devel
Summary:	developpment files for libxfce4util library
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	libxfce4util = %{version}-%{release}
Requires:	glib2-devel >= 2.24.0

%description devel
Development files for the libxfce4util library.

%prep
%setup -q

%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%find_lang %{name}

# ad-hoc fix
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog* NEWS README
%{_libdir}/lib*.so.*
%{_sbindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4util
%{_datadir}/gtk-doc/html/libxfce4util


%changelog
* Sat Feb 28 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.1-1
- new upstream release

* Thu Aug 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.10.1-1
- updated to 4.10.1
- added Japanese summary

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-2
- rebuild with VineSeed environment

* Wed Jun 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-1
- new upstream release

* Thu Mar 24 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.1-1
- new upstream release

* Wed Sep 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-1
- new upstream release
- built with new toolchain

* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- removed lib*.a files

* Tue Jul 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- applied new versioning policy
- removed lib*.la files 

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build against VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3.2-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release
- add --enable-gtk-doc option to configure

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Sun Jan 04 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release for vine

