%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 XKB parsing library
Summary(ja): X.Org X11 XKB 解析ライブラリ
Name: libxkbcommon
Version: 0.6.1
Release: 1%{?_dist_release}
License: MIT
Group: System Environment/Libraries
URL: http://xkbcommon.org/

Source0: http://xkbcommon.org/download/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libxcb-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: xkeyboard-config
BuildRequires: bison

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
xkbcommon is a library to handle keyboard descriptions, including
loading them from disk, parsing them and handling their state. 
It's mainly meant for client toolkits, window systems, and other
system applications; currently that includes Wayland, kmscon, GTK+,
Qt, Clutter, and more. It is also used by some XCB applications for
proper keyboard support. 


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libxcb-devel

%description devel
Header files and libraries for building a extension library for the %{name}.


# compat32
%package -n compat32-%{name}
Summary: X.Org X11 XKB parsing library
Summary(ja): X.Org X11 XKB 解析ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
xkbcommon is a library to handle keyboard descriptions, including
loading them from disk, parsing them and handling their state. 
It's mainly meant for client toolkits, window systems, and other
system applications; currently that includes Wayland, kmscon, GTK+,
Qt, Clutter, and more. It is also used by some XCB applications for
proper keyboard support. 


%package -n compat32-%{name}-devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}
Requires:       pkgconfig
Requires:       compat32-libxcb-devel

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the %{name}.


%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-default-rules=evdev \
	--with-default-model=pc106 \
	--with-default-layout=jp

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_libdir}/libxkbcommon-x11.so.*
%{_libdir}/libxkbcommon.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xkbcommon/
%{_libdir}/libxkbcommon-x11.so
%{_libdir}/libxkbcommon.so
%{_libdir}/pkgconfig/xkbcommon-x11.pc
%{_libdir}/pkgconfig/xkbcommon.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libxkbcommon-x11.so.*
%{_libdir}/libxkbcommon.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libxkbcommon-x11.so
%{_libdir}/libxkbcommon.so
%endif

%changelog
* Sun Jul 3 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.1-1
- new upstream release.

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.3-1
- initial build

