Name:           libzapojit
Version:        0.0.2
Release:        1%{?_dist_release}
Summary:        GLib/GObject wrapper for the SkyDrive and Hotmail REST APIs
Summary(ja):    SkyDrive と Hotmail の REST API 用 GLib/GObject ラッパー

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://live.gnome.org/Zapojit
Source0:        http://download.gnome.org/sources/%{name}/0.0/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  json-glib-devel
BuildRequires:  rest-devel
BuildRequires:  libsoup-devel
BuildRequires:  gnome-online-accounts-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Zapojit is a GLib/GObject wrapper for the SkyDrive and Hotmail REST APIs. 


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gobject-introspection-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}*.so.*
%{_libdir}/girepository-1.0/Zpj-0.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.0
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/zapojit-0.0.pc
%{_datadir}/gir-1.0/Zpj-0.0.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-0.0


%changelog
* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.2-1
- initial build
