%define _unpackaged_files_terminate_build 1

Summary:        C library for reading, creating, and modifying zip archives
Name:           libzip
Version:        1.8.0
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        BSD
URL:            https://libzip.org/
Source0:        https://libzip.org/download/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake

BuildRequires:  perl
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(UNIVERSAL)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from 
other zip archives. Changes made without closing the archive can be reverted. 
The API is documented by man pages.

%package devel
Summary: Development files for %{name}
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: zlib-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%debug_package


%prep
%autosetup -p1


%build
%cmake \
  -DENABLE_COMMONCRYPTO:BOOL=OFF \
  -DENABLE_GNUTLS:BOOL=OFF \
  -DENABLE_MBEDTLS:BOOL=OFF \
  -DENABLE_OPENSSL:BOOL=ON \
  -DENABLE_WINDOWS_CRYPTO:BOOL=OFF \
  -DENABLE_BZIP2:BOOL=ON \
  -DENABLE_LZMA:BOOL=ON \
  -DBUILD_TOOLS:BOOL=ON \
  -DBUILD_REGRESS:BOOL=ON \
  -DBUILD_EXAMPLES:BOOL=OFF \
  -DBUILD_DOC:BOOL=ON

%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%check
%ctest


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license LICENSE*
%doc AUTHORS THANKS *.md
%{_bindir}/*
%{_libdir}/libzip.so.*
%{_mandir}/man1/*zip*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc
%dir %{_libdir}/cmake
%{_libdir}/cmake/libzip
%{_mandir}/man3/*


%changelog
* Tue Oct 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.8.0-1
- new upstream release.
- built with openssl-3.0.0.

* Thu Jul 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.3-1
- new upstream release.

* Sat Jul 11 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.1-1
- new upstream release.
- dropped all patches.

* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.0-1
- new upstream release.
- import patches from rawhide.

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.3-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9.3-1
- new upstream release
- built with new toolchain

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9-5
- fixed %%changelog based on libzip-0.9-1vl5(VinePlus/5.0) package

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9-4
- Initial build for Vine Linux

* Sat Feb 14 2009 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9-1
- initial release

