Summary:        The /bin/mail program, which is used to send mail via shell scripts.
Summary(ja):    シェルスクリプトからメールを送る /bin/mail プログラム
Name:           mailx
Version:        8.1.2.20180807
Release:        1%{?_dist_release}
License:        BSD
Group:          Applications/Internet
Source:         http://deb.debian.org/debian/pool/main/b/bsd-mailx/bsd-mailx_8.1.2-0.20180807cvs.orig.tar.xz
Patch0:         00-Makefiles.patch
Patch1:         01-Fix-includes.patch
Patch2:         02-Base-fixes-1.patch
Patch3:         03-Base-fixes-2.patch
Patch4:         04-Add-custom-header.patch
Patch5:         05-Mailx-fixes.patch
Patch6:         06-Use-lockf-instead-of-flock.patch
Patch7:         07-Initialize-head-struct.patch
Patch8:         08-Use-liblockfile-library.patch
Patch9:         09-Saved-mbox-message.patch
Patch10:        10-Reply-To-header.patch
Patch11:        11-Showname-option.patch
Patch12:        12-REPLYTO-can-be-set-in-.mailrc-too.patch
Patch13:        13-Mailx-concatenates-messages.patch
Patch14:        14-Truncate-mailbox-instead-of-deleting-it.patch
Patch15:        15-No-space-left-in-tmp.patch
Patch16:        16-Stdin-not-a-tty.patch
Patch18:        18-Wait-for-sendmail.patch
Patch19:        19-Fix-compilation-on-Hurd.patch
Patch20:        20-Don-t-delete-temporary-file.patch
Patch21:        21-Use-wordexpr-instead-of-echo.patch
Patch22:        22-Replace-newlines-with-spaces.patch
Patch24:        24-False-cant-send-email-errors.patch
Patch25:        25-Fix-confusing-error.patch
Patch26:        26-Add-missing-include.patch
Patch27:        27-Use-FOPEN_MAX.patch
Patch28:        28-Fix-gcc-warning.patch
Patch29:        29-Document-two-dashes-separator.patch
Patch30:        30-Add-missing-includes.patch
Patch31:        31-Do-not-call-pledge.patch
Patch32:        32-Fix-FTBFS-on-Hurd.patch
Patch33:        33-Add-MIME-headers.patch
Patch34:        34-Fix-strnvis.patch
Patch35:        35-Fix-new-warnings-and-error.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  libbsd-devel
BuildRequires:  liblockfile-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
The mailx package installs the /bin/mail program, which is used to
send quick email messages (i.e., without opening up a full-featured
mail user agent). Mail is often used in shell scripts.

You should install mailx because of its quick email sending ability,
which is especially useful if you're planning on writing any shell
scripts.

%description -l ja
mailx パッケージは /bin/mail プログラムをインストールします．
/bin/mail は，多機能のメールクライアントを起動すること無く迅速に
メールを送信するのに使われます．/bin/mail はシェルスクリプトから
よく使われています．

メール送信が関係するシェルスクリプト作成を検討しているのならば，
迅速なメール送信機能を備えた mailx パッケージを是非インストールして下さい．


%prep
%setup -q -n bsd-mailx-8.1.2-0.20180807cvs.orig
%autopatch -p1

%build
make CFLAGS="%{optflags} -D_GNU_SOURCE -DDEBIAN"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{bin,etc}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/bsd-mailx
mkdir -p %{buildroot}%{_mandir}/man1

make DESTDIR=%{buildroot} bindir=%{_bindir} mandir=%{_mandir} install

( cd %{buildroot}
  mv -f .%{_bindir}/bsd-mailx ./bin/mail
  chmod g-s ./bin/mail
  ln -sf ../../bin/mail .%{_bindir}/Mail
  ln -sf mail.1 .%{_mandir}/man1/Mail.1
  mv -f .%{_mandir}/man1/bsd-mailx.1 .%{_mandir}/man1/mail.1
)


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,mail)	/bin/mail
%{_bindir}/Mail
%{_datadir}/bsd-mailx
%config(noreplace) /etc/mail.rc
%{_mandir}/man1/mail.1*
%{_mandir}/man1/Mail.1*


%changelog
* Sat Mar 21 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 8.1.2.20180807cvs-1
- updated to 8.1.2.20180807cvs.
- dropped Source1.
- dropped all patches.
- imported patches from debian.

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.1.1-37
- rebuild with VineSeed environment

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 8.1.1-36
- rebuilt with rpm-4.8.1-3

* Sun Oct 18 2009 Shu KONNO <owa@bg.wakwak.com> 8.1.1-35
- applied vine5 updates
	* Wed Sep 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.1.1-35
	- use %%{_prefix}/lib to build on x86_64

* Tue Sep  8 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.1.1-34
- man files in the wrong location - fixed.

* Tue Aug  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.1.1-33
- applied new versioning policy
- spec in UTF-8

* Sat Sep 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 8.1.1-32vl2
- rebuild to add gpg sign

* Fri Mar 26 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 8.1.1-32vl1
- rebuilt with new toolchains
- s/Copyright/License/
- added Patch9--Patch15 from Fedora 8.1.1-32
  * Fri Aug 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
  - fix include file order #101251
  * Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
  - clean up flock() usage -- LOCK_EX shouldn't work on read-only descriptors
  * Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
  - patch to use fcntl() for locking instead of flock() (#15779)
  - patch to ignore ~/.mailrc if it's owned by anyone other than the owner of
    this process
  - clean up flock() emulation semantics
  * Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
  - summaries from specspo.
  * Fri Aug 11 2000 Jeff Johnson <jbj@redhat.com>
  - time to use sigsetjmp/siglongjmp (#14010).
  - avoid indexing on NOSTR valued pointer (#15728).
  - ignore MAIL enviromment variable when invoked with -u (#10074).
- mailx-fio.patch dropped because it was merged Patch8

* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 8.1.1-16vl2
- rebuilt for VineSeed, as well as adding Japanese summary/description
- define %%{_mandir} on the top of this spec file :-P

* Mon Sep 18 2000 Jun Nishii <jun@vinelinux.org>
- added fio-patch to fix bug for `mail -f`

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable security-prone variables-inherited-from-environment behavior
- inherit only SHELL, DEAD, PAGER, LISTER, EDITOR, VISUAL, MBOX from environment
- document the environment variables that are used

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace mail.rc

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- fix explosions on ia64

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #8451
- Fix bug #8100

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- fix pathnames
- take out makefile install crud

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Aug 27 1998 Alan Cox <alan@redhat.com>
- Synchronized with the Debian people (more small edge case cures)

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Switched dotlocking off. This fits the Red Hat model of not having setgid
  mail agents and fixes the "lock" problem reported.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- Buffer overrun patches. These dont bite us when we don't run mailx setgid
  but do want to be in as mailx needs to be setgid

* Fri Jun 12 1998 Alan Cox <alan@redhat.com>
- Moved from 5.5 to the OpenBSD 8.1 release plus Debian patches

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
