Summary:	Library with common API for various MATE modules
Name:		mate-desktop
Version:	1.20.4
Release:	1%{?_dist_release}
%define		shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0:	http://pub.mate-desktop.org/releases/%{shortver}/%{name}-%{version}.tar.xz
License:	GPLv2, LGPLv2 and GFDLv1.1
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

# patch for Vine
Patch1001:	mate-desktop-vine-settings.patch
Patch1002:	mate-desktop-1.10.0-color-select-desktop.patch

BuildRequires:	mate-common
BuildRequires:	gtk3-devel >= 3.22.0
BuildRequires:	dconf-devel
BuildRequires:	startup-notification-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
mate-desktop contains the libmate-desktop library, the mate-about
program as well as some desktop-wide documents.


%package		devel
Summary:        Development tools for mate-desktop
Summary(ja):    mate-desktop の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-desktop.


%package        docs
Summary:        Documentation for mate-desktop
Summary(ja):    mate-desktop 用のドキュメント
Group:          Documentation
BuildArch:      noarch
License:	GFDLv1.1

%description    docs
This package contains documentation for mate-desktop.


%prep
%setup -q
%patch1001 -p1 -b .vine
%patch1002 -p1 -b .vine


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--enable-mpaste

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/omf

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor > /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor > /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING*
%doc ChangeLog NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_libdir}/libmate-desktop-2.so.*
%{_libdir}/girepository-1.0/MateDesktop-2.0.typelib
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/glib-2.0/schemas/org.mate.accessibility-keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.accessibility-startup.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at-mobility.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at-visual.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-browser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-office.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-terminal.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.file-views.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.thumbnail-cache.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.thumbnailers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.typing-break.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/libmate-desktop/pnp.ids
%{_datadir}/mate-about/mate-version.xml
%{_mandir}/man1/mate-about.1.gz
%{_mandir}/man1/mate-color-select.1.gz

%files devel
%defattr(-,root,root,-)
%license COPYING*
%{_includedir}/mate-desktop-2.0
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_datadir}/gir-1.0/MateDesktop-2.0.gir

%files docs
%defattr(-,root,root,-)
%doc COPYING-DOCS
%{_datadir}/gtk-doc/html/mate-desktop


%changelog
* Tue Oct 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20.4-1
- updated to 1.20.4.

* Wed Mar 28 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.20.1-1
- update to 1.20.1

* Sun Apr  2 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0
- move to GTK3+
- drop mpaste(1) tool
- drop BR: unique-devel

* Tue Mar 28 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.2-1
- update to 1.16.2

* Thu Nov 24 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.1-1
- new upstream release
- drop BuildRequires: mate-doc-utils
- update License
- add License files
- update Packager

* Sun May 22 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.1-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release
- update Patch1001 (mate-desktop-vine-settings.patch)

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release
- update Patch1001
- remove mate-user-guide subpackage

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-2
- add Requires: yelp (mate-user-guide package)

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release
- create mate-user-guide subpackage

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- rename document subpackage
- add Patch1002 (mate-desktop-1.10.0-color-select-desktop.patch)

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Sun May 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Mon Apr 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: dconf-devel, itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun May 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release
- remove BuildRequires: mate-conf-devel
- add Patch1001 (mate-desktop-vine-settings.patch)

* Sat Nov 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release
- add BuildRequires: startup-notification-devel

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add BuildRequires: unique-devel

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

