Summary:	MATE Password Management daemon
Name:		mate-keyring
Version:	1.6.0
Release:	2%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	gtk2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	dbus-devel
BuildRequires:	libtasn1-devel
BuildRequires:	pam-devel
BuildRequires:	ca-certificates
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires:	ca-certificates

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
PolicyKit-mate provides an Authentication Agent for PolicyKit that
integrates well with the MATE desktop environment


%package	devel
Summary:        Development tools for mate-keyring
Summary(ja):    mate-keyring の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-keyring.


%package        doc
Summary:        Documentation for mate-keyring
Summary(ja):    mate-keyring 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-keyring.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--with-pam-dir=/%{_lib}/security \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
/%{_lib}/security/pam_mate_keyring.so
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/mate-keyring
%{_bindir}/mate-keyring-daemon
%{_libdir}/*.so.*
%{_libdir}/mate-keyring
%{_libdir}/pkcs11/mate-keyring-pkcs11.so
%{_libexecdir}/mate/mate-keyring-prompt
%{_datadir}/MateConf/gsettings/*.convert
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-keyring
%{_datadir}/mategcr

%files devel
%defattr(-,root,root,-)
%{_includedir}/gck
%{_includedir}/mate-gck
%{_includedir}/mategcr
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-gck
%{_datadir}/gtk-doc/html/mate-gcr-0


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- add BuildRequires: and Requires: ca-certificates

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

