Summary:        Desktop themes for MATE applications
Name:           mate-themes
Version:        3.20.9
Release:        1%{?_dist_release}
License:        LGPLv2+
Group:          User Interface/Desktops
URL:            http://mate-desktop.org/
Source0:        http://pub.mate-desktop.org/releases/themes/3.20/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  gtk2-devel >= 2.0.0
Requires:       vine-themes
Requires:       gtk-murrine-engine
Requires(postun,posttrans): glib2

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi

%description
The mate-themes package contains the standard theme for the MATE
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%post
for t in  mate ContrastHigh; do
  touch --no-create %{_datadir}/icons/$t &>/dev/null
done

%postun
if [ $1 -eq 0 ] ; then
    for t in  mate ContrastHigh; do
        touch --no-create %{_datadir}/icons/$t &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
for t in  mate ContrastHigh; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%defattr(-,root,root,-)
%doc COPYING NEWS ChangeLog
%{_datadir}/icons/ContrastHigh/
%{_datadir}/icons/mate/
%{_datadir}/themes/BlackMATE/
%{_datadir}/themes/BlueMenta/
%{_datadir}/themes/Blue-Submarine
%{_datadir}/themes/ContrastHighInverse/
%{_datadir}/themes/GreenLaguna/
%{_datadir}/themes/Green-Submarine/
%{_datadir}/themes/Menta/
%{_datadir}/themes/Shiny/
%{_datadir}/themes/TraditionalGreen/
%{_datadir}/themes/TraditionalOk/
%exclude %{_datadir}/themes/HighContrast/metacity-1/metacity-theme-1.xml


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.9-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.5-2
- replace gtk3.16 source with gtk3.18 source 

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.5-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.4-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.3-1
- new upstream release

* Thu Jul 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-2
- fix typo

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Mon Jun 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- initial build
