%define major_ver 1.20
%define ver %{major_ver}.2
%define rel 1

Summary:	MATE utility programs
Name:		mate-utils
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz
License:	GPLv2 and LGPLv2.1
Group:		Applications/System
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	gtk3-devel
BuildRequires:	libgtop2-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libSM-devel
BuildRequires:	popt-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils
Requires:	usermode

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
MATE Utilities for the MATE Desktop contains the following -

	mate-system-log
	mate-search-tool
	mate-dictionary
	mate-screenshot
	mate-dictionary


%package	devel
Summary:        Development tools for mate-utils
Summary(ja):    mate-utils の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-utils.


%package        docs
Summary:        Documentation for mate-utils
Summary(ja):    mate-utils 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
License:	GFDLv1.1

%description    docs
This package contains documentation for mate-utils.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# make mate-system-log use consolehelper until it starts using polkit
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mate-system-log
#%%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/mate-system-log
USER=root
PROGRAM=/usr/sbin/mate-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/mate-system-log $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/mate-system-log

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.libs ChangeLog NEWS README
%{_sysconfdir}/pam.d/mate-system-log
%{_sysconfdir}/security/console.apps/mate-system-log
%{_bindir}/mate-dictionary
%{_bindir}/mate-disk-usage-analyzer
%{_bindir}/mate-panel-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-search-tool
%{_bindir}/mate-system-log
%{_sbindir}/mate-system-log
%{_libdir}/libmatedict.so.*
%{_libexecdir}/mate/mate-dictionary-applet
%{_datadir}/appdata/mate-dictionary.appdata.xml
%{_datadir}/appdata/mate-disk-usage-analyzer.appdata.xml
%{_datadir}/appdata/mate-screenshot.appdata.xml
%{_datadir}/appdata/mate-search-tool.appdata.xml
%{_datadir}/applications/mate-dictionary.desktop
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_datadir}/applications/mate-screenshot.desktop
%{_datadir}/applications/mate-search-tool.desktop
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/help/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mate-dict
%{_datadir}/mate-dictionary
%{_datadir}/mate-disk-usage-analyzer
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/mate-screenshot
%{_datadir}/%{name}
%{_datadir}/pixmaps/mate-search-tool/thumbnail_frame.png
%{_mandir}/man1/*.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-dict
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict.pc

%files docs
%defattr(-,root,root,-)
%doc COPYING.docs
%{_datadir}/gtk-doc/html/mate-dict


%changelog
* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20.2-1
- updated to 1.20.2.

* Sun May 20 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.20.0-1
- update to 1.20.0

* Tue Jan 23 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.3-1
- update to 1.18.3

* Wed May 10 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.2-1
- update to 1.18.2

* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.1-1
- update to 1.18.1
- move to GTK3+
- drop BR: mate-doc-utils

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- update License
- update Packager

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Mon Jan 25 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-2
- add Requires: usermode

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Wed Sep 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.3-1
- new upstream release

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- rebuild with libgtop2-2.30.0

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon May 20 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel
- add BuildRequires: libcanberra-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Dec 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

