%bcond_with bootstrap

Summary:        Yet Another Part-of-Speech and Morphological Analyzer
Summary(ja):    もう一つの形態素解析器
Name:           mecab
Version:        0.996
Release:        4%{?_dist_release}
Group:          office
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL/LGPL/BSD
URL:            https://taku910.github.io/mecab/
# https://drive.google.com/uc?export=download&id=0B4y35FiV1wh7cENtOXlicTFaRUE
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl, gcc-c++
%if !%{with bootstrap}
Requires:        mecab-naist-jdic
%endif


%description
MeCab is Yet Another Part-of-Speech and Morphological, developed
as the unit project of Graduate School of Informatics, Kyoto 
University and NTT Communication Science Laboratories. It is designed 
basically general and independent of language, dictionary, and corpus.
It uses Conditional Random Fields (CRF) for parameter estimation, 
which is more efficient than Hidden Markov Model, which is used in
ChaSen. MeCab works normally faster than ChaSen, Juman, and KAKASI.

%description -l ja
MeCab は 京都大学情報学研究科−日本電信電話株式会社コミュニケーション
科学基礎研究所共同研究ユニットプロジェクトの一環として開発された
オープンソース形態素解析エンジンです. 言語, 辞書,コーパスに依存しない
汎用的な設計を基本方針としています. パラメータの推定に Conditional 
Rondom Fields (CRF) を用いており, ChaSenが採用している隠れマルコフ
モデルに比べ性能が向上しています。また、平均的に ChaSen, Juman, KAKASI
より高速に動作します. ちなみに和布蕪(めかぶ)は, 作者の好物です.


%package devel
Summary: Header files and libraries for developing apps which use MeCab
Summary(ja): MeCabの開発用ヘッダファイル及びライブラリ
Group: programming
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing apps which use MeCab

%description devel -l ja
MeCabの開発用ヘッダファイル及びライブラリ


%debug_package


%prep
%setup -q
mv -f doc/doxygen .
find . -name \*.cpp -print0 | xargs -0 %{__chmod} 0644

# compiler flags fix
%{__sed} -i.flags \
	-e '/-O3/s|CFLAGS=\"\(.*\)\"|CFLAGS=\${CFLAGS:-\1}|' \
	-e '/-O3/s|CXXFLAGS=\"\(.*\)\"|CXXFLAGS=\${CFLAGS:-\1}|' \
	-e '/MECAB_LIBS/s|-lstdc++||' \
	configure

# multilib change
%{__sed} -i.multilib \
	-e 's|@prefix@/lib/mecab|%{_libdir}/mecab|' \
	-e 's|/dic/ipadic|/dic/naist-jdic|' \
	mecab-config.in mecabrc.in


%build
%configure --with-charset=utf8 --disable-static
# remove rpath from libtool
%{__sed} -i.rpath \
	-e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
	libtool

%make_build


%install
make DESTDIR=$RPM_BUILD_ROOT install
# create directory
%{__mkdir} -p $RPM_BUILD_ROOT%{_libdir}/mecab/dic/

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%files
%defattr(-,root,root)
%license  COPYING GPL LGPL BSD
%doc README AUTHORS ChangeLog INSTALL NEWS doc/*.html
%config(noreplace) %{_sysconfdir}/mecabrc
%{_bindir}/mecab
%{_libdir}/*.so.*
%{_libexecdir}/mecab
%{_mandir}/man?/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/dic/

%files devel
%defattr(-,root,root)
%{_bindir}/mecab-config
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Mar 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.996-4
- rebuilt with current environment.
- dropped ldconfig scriptlets.

* Wed Oct 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.996-3
- rebuilt with current environment.

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.996-2
- rebuilt with new toolchain.

* Tue Dec 31 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.996-1
- update to 0.996

* Sat Dec 01 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.994-1
- new upstream release.

* Sat Dec 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.99-1
- new upstream release
- add Patch0 (mecab-0.99-mecabrc.patch)

* Mon Mar 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98-1
- new upstream release
- added --with-charset=utf8
- built with new toolchain

* Mon May  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.97-2
- spec in UTF-8
- removed lib*.a files from devel package

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.97-1
- new upstream release
- removed lib*.la files from devel package

* Wed Jun 20 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.96-0vl2
- upstream release

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.95-0vl3
- rebuilt with new toolchain

* Sat Mar 24 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.95-0vl2
- upstream release
- drop Patch0 (merged into upstream source)
- add Patch1: mecab-0.95-bufferoverflow.patch
  (for details, see [mecab-usres 258])

* Sat Mar 3 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.94-0vl2
- upstream release
- change Source0 and URL
- add Patch0: mecab-0.94-cpp-template.patch

* Thu Sep 7 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.93-0vl2
- upstream release
- changed License from LGPL to GPL/LGPL/BSD (upstream change)
- add LGPL, GPL, BSD to %%doc

* Sat Sep 2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.91-0vl3
- changed devel Group to Development/Libraries
- added %post and %postun section

* Mon May 1 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.91-0vl2
- upstream release

* Sun Apr 9 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.90-0vl3
- change Group: Applications/Other

* Fri Mar 31 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.90-0vl2
- upstream release
- divide dictionary into another package (mecab-ipadic)
- change description
- fix Source: URL
- add BuildRequires: perl, gcc-c++

* Sun Jun 26 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.81-0vl2
- initial build for VineSeedPlus
