## -*- coding: utf-8-unix -*-
%define   _noVersionedDependencies        1
%define   prereq_ge()   %(LC_ALL="C" rpm -q --queryformat 'Requires(post):%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
%define   origname      migemo
%define   origver       1.9.1
%define   release       1%{?_dist_release}

Name:     %{origname}
Version:  %{origver}
Release:  %{release}

Summary: Japanese incremental search with Romaji on Emacsen
Summary(ja): Emacsen 上でローマ字を使って日本語インクリメントサーチを行うツール
License: GPLv2+
Group: Applications/Editors/Emacs
URL: http://0xcc.net/migemo/

Source0: https://github.com/emacs-jp/migemo/archive/%{version}.tar.gz
Source1: migemo-install.sh
Source2: migemo-remove.sh
Source3: vine-default-migemo.el
Source4: migemo-init.el

BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: emacsen
Requires: cmigemo
Requires: emacsen
Requires: apel
Requires(post): emacsen
Requires(preun): emacsen
%prereq_ge emacsen-common

%description
Japanese incremental search with Romaji on Emacsen

%description -l ja
Emacsen 上でローマ字を使って日本語インクリメントサーチを行うツールです。

%prep
%setup -q -n %{origname}-%{origver}
#patch0 -p 1 -b .debian

%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}
mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/install
mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/remove

install -m644 migemo.el %{SOURCE3} %{SOURCE4} \
      $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{origname}

#
# install  script( bytecompile el and install elc , remove )   
#
%_installemacsenscript %{origname} %{SOURCE1}

%_removeemacsenscript  %{origname} %{SOURCE2}

%post
#
# bytecompile and install 
#

if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}


%preun
if [ "$1" = 0 ]; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}

fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_DIR}/%{origname}-%{origver}

%files
%defattr(-,root,root)
%doc README.md images/migemo.png
%{_datadir}/emacs/site-lisp/%{origname}
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}

%changelog
* Fri Apr 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.9.1-1
- updated to 1.9.1

* Fri Dec 14 2012 IWAI, Masaharu <iwai@alib.jp> 0.40-6
- update migemo-install.sh (Source1)

* Thu Nov 29 2012 IWAI, Masaharu <iwai@alib.jp> 0.40-5
- using C/Migemo
  - update Requires and BuildRequires
  - update migemo-install.sh
  - update vine-default-migemo.el

* Sun Feb 19 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.40-4
- updated migemo-init.el

* Sun Oct 18 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.40-3
- use %%{emacsen_pkgdir}

* Tue May  5 2009 IWAI, Masaharu <iwai@alib.jp> 0.40-2
- spec in UTF-8
- drop Prefix tag
- fix BuildRequires: emacs to emacsen
- apply vine-default
  - update migemo-install.sh (Source1)
  - update migemo-remove.sh (Source2)
  - add vine-default-migemo.el (Source3)
  - add migemo-init.el (Source4)
- update %%flies section
  - add %%{_datadir}/emacs/site-lisp/%%{origname} directory

* Tue Sep 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.40-1
- applied new versioning policy
- updated Source0 URL, URL:
- updated BuildRequires:

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.40-0vl9
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Fri Oct 22 2004 IWAI, Masaharu <iwai@alib.jp> 0.40-0vl7
- add Japanese summary and description

* Tue Jun 15 2004 IWAI, Masaharu <iwai@alib.jp> 0.40-0vl6
- update migemo-install.sh (Source1):
    touch a few files: aclocal.m4 Makefile.in configure

* Sun Dec 28 2003 IWAI, Masaharu <iwai@alib.jp> 0.40-0vl5
- fix Requires

* Fri Oct 10 2003 IWAI, Masaharu <iwai@alib.jp> 0.40-0vl4
- update {Build,}Requires: more exact

* Tue Oct  7 2003 IWAI, Masaharu <iwai@alib.jp> 0.40-0vl3
- build with ruby-1.8.0

* Sun Jun  1 2003 IWAI Masaharu <iwai@alib.jp> 0.40-0vl2
- fix byte compile routine ([VineSeed-Plus:01695])
   - cp -ar migemo.rb.in migemo %%{_datadir}/emacs/site-lisp/%%{origname}
   - update migemo-install.sh (Source1)

* Fri May 30 2003 IWAI Masaharu <iwai@alib.jp> 0.40-0vl1
- upstream release

* Fri Mar 21 2003 IWAI Masaharu <iwai@alib.jp> 0.32-0vl4
- rebuild

* Sat Feb 16 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.32-0vl3
- rebuild with ruby-romkan-0.4-0vl1

* Wed Feb  6 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.32-0vl2
- moved the directory installed the ruby library
    - sitelibdir -> rubylibdir
- added BuildRequires: ruby, rpm >= 3.0.6-0vl16

* Wed Jan  2 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.32-0vl1
- first release for VIne Linux

* Fri Sep  7 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.32-1
- first release.
