Summary:        Common build files of the C++ bindings
Name:           mm-common
Version:        1.0.3
Release:        1%{?_dist_release}
Group:          programming
Vendor:	        Project Vine
Distribution:   Vine Linux

License:        GPLv2+
URL:            https://gtkmm.org
%global	        shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       pkgconfig
Requires:       graphviz
Requires:       doxygen
Requires:       libxslt

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is a required dependency
to build glibmm and gtkmm from tarballs.


%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Group:          documentation
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.


%prep
%setup -q


%build
%meson -Duse-network=false
%meson_build


%install
%meson_install


%clean
rm -rf %{buildroot}


%files
%license COPYING
%doc NEWS AUTHORS
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%files docs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%changelog
* Fri May 28 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-1
- new upstream release.

* Thu Aug 06 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.1-3
- new upstream release.

* Wed Jun 29 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.10-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.9-1
- new upstream release

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8-1
- new upstream release

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-1
- new upstream release

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- initial build for Vine Linux


* Wed Apr 6 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.5-1
- New upstream release.
- Fixes distributing doctools.

* Mon Mar 21 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.4-1
- New upstream release.
- Fixes placement of mm-common-util.pc, so no hacks are needed in spec.

* Thu Mar 17 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.3-2
- Move a pkgconfig file from libdir to datadir, so it will remain a Noarch.

* Thu Mar 17 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.3-1
- New upstream release.
- Becomes a required dependency to build glibmm-2.27.97.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 10 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.2-1
- New upstream release.

* Tue Jan 5 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.1-1
- New upstream release.
- Removed GFDL from license - doxygen docs have the same license as source code.

* Mon Sep 21 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.8-1
- New upstream release.

* Sun Sep 13 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.7.3-2
- Added automake to `Requires:'.
- Fixed some directory ownerships.
- Preserve timestamps during install.

* Thu Sep 10 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.7.3-1
- Initial RPM release.
