%define mono_ver 3.12
%define mono_dir %{_prefix}/lib/mono

Name: mono-basic
Version: 3.8
Release: 1%{?_dist_release}
Summary: Visual Basic .NET support for Mono
Summary(ja): Mono 用 Visual Basic .NET サポート

Group: Development/Languages
# vbnc compiler: LGPLv2, class libraries: MIT
License: LGPLv2 and MIT
URL: http://www.mono-project.com/

Source0: http://download.mono-project.com/sources/mono-basic/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: mono-core >= %{mono_ver}
Requires: mono-winforms mono-web
Requires: mono-data
BuildRequires: mono-core >= %{mono_ver}
BuildRequires: mono-winforms mono-web
BuildRequires: mono-data

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains the Visual Basic .NET compiler and language
runtime. This allows you to compile and run VB.NET application and
assemblies.


%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%{_bindir}/vbnc
%{_bindir}/vbnc2
%{mono_dir}/2.0/Microsoft.VisualBasic.dll
%{mono_dir}/4.0/Microsoft.VisualBasic.dll
%{mono_dir}/4.5/Microsoft.VisualBasic.dll
%{mono_dir}/4.5/Mono.Cecil.VB.Mdb.dll
%{mono_dir}/4.5/Mono.Cecil.VB.Pdb.dll
%{mono_dir}/4.5/Mono.Cecil.VB.dll
%{mono_dir}/4.5/vbnc.exe
%{mono_dir}/4.5/vbnc.exe.mdb
%{mono_dir}/4.5/vbnc.rsp
%dir %{mono_dir}/gac/Microsoft.VisualBasic
%dir %{mono_dir}/gac/Mono.Cecil.VB.Mdb
%dir %{mono_dir}/gac/Mono.Cecil.VB.Pdb
%dir %{mono_dir}/gac/Mono.Cecil.VB
%{mono_dir}/gac/Microsoft.VisualBasic/*
%{mono_dir}/gac/Mono.Cecil.VB.Mdb/*
%{mono_dir}/gac/Mono.Cecil.VB.Pdb/*
%{mono_dir}/gac/Mono.Cecil.VB/*
%{_mandir}/man1/vbnc.*

%changelog
* Thu Mar 26 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.8-1
- updated to 3.8
- built with mono 3.12

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10-3
- rebuild with VineSeed environment

* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-2
- rebuilt with mono-2.10.1-3

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-1
- updated mono-basic to 2.10

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-1
- updated mono-basic to 2.8

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-1
- updated mono-basic to 2.6.2

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated mono-basic to 2.6

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-2
- rebuilt with latest rpm to update mono-dependencies

* Thu Jul 02 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-1
- updated mono-basic to 2.4.2

* Tue Mar 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4-1
- new upstream release

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- updated mono-basic to 2.0
- added BuildArch: noarch
- changed url

* Tue Aug 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- initial build for Vine
- splited from mono package

