Name:           mono-nuget
Version:        2.8.3
Release:        2%{?_dist_release}
Summary:        DotNet package manager
Summary(ja):    DotNet パッケージマネージャー

License:        Apache License 2.0
Group:          Development/Tools
URL:            https://github.com/directhex/xamarin-nuget/

Source0:        http://origin-download.mono-project.com/sources/nuget/nuget-%{version}+md58+dhx1.tar.bz2
Source1:        mono-nuget.pc
Source3:        build-minimal.sh
Patch0:         fix_xdt_hintpath.patch

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  dos2unix
BuildRequires:  mono-devel
BuildRequires:  pkgconfig

%description
This is the Xamarin version of NuGet for use with MonoDevelop.

%package devel
Summary:        Development files for NuGet
Summary(ja):    NuGet の開発用ファイル
Group:          Development/Libraries
Requires:       mono-nuget = %{version}-%{release}

%description devel
This package contains development files for NuGet integration into MonoDevelop.

%prep
%setup -q -n nuget-git
%patch0 -p1
cp -a %{SOURCE3} ./
chmod +x build-minimal.sh

%build
./build-minimal.sh

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/pkgconfig
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pkgconfig/

mkdir -p %{buildroot}%{_prefix}/lib/mono/nuget
install -m0755 src/CommandLine/bin/Release/NuGet.Core.dll %{buildroot}%{_prefix}/lib/mono/nuget/
install -m0755 xdt/XmlTransform/bin/Debug/Microsoft.Web.XmlTransform.dll %{buildroot}%{_prefix}/lib/mono/nuget/
install -m0755 src/CommandLine/bin/Release/NuGet.exe %{buildroot}%{_prefix}/lib/mono/nuget/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYRIGHT.txt LICENSE.txt
%{_prefix}/lib/mono/nuget

%files devel
%defattr(-, root, root)
%{_datadir}/pkgconfig/mono-nuget.pc

%changelog
* Tue May 26 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.8.3-2
- initial build for VineLinux

* Sat May  2 2015 mailaender@opensuse.org
- update to version 2.8.3 for MonoDevelop 5.8 and above
- add fix_xdt_hintpath.patch to fix the build
- add build-minimal.sh as it was removed from the tarball
- add pkgconfig as this contains a .pc file
* Mon Dec 22 2014 mailaender@opensuse.org
- initial packaging
