%define pkg_version 3.0.10
%define pkg_release 1%{?_dist_release}

Summary:	Gtk-based serial terminal
Summary(ja):	GTKベースのシリアルターミナル
Name:		moserial
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/gnome/sources/moserial/3.0/%{name}-%{version}.tar.xz

License:	GPLv3+
Group:		Applications/Communications
URL:		http://live.gnome.org/moserial

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires:	hicolor-icon-theme
BuildRequires:	gtk3-devel
BuildRequires:	GConf2-devel
BuildRequires:	vala-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-utils
BuildRequires:	desktop-file-utils
BuildRequires:	yelp-tools

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
moserial is a clean, friendly gtk-based serial terminal for the gnome desktop. It is written in Vala for extra goodness.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
desktop-file-install --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/help/*/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.10-1
- new upstream release
- add BuildRequires: yelp-tools

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.8-1
- new upstream release
- remove Patch0 (moserial-3.0.2-stropts.patch)

* Thu Jun 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.7-1
- new upstream release

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.5-1
- new upstream release

* Fri Oct 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- add Patch0 (moserial-3.0.2-stropts.patch)

* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

