%define major_ver 1.20
%define ver %{major_ver}.0
%define rel 1

Summary:	The MATE menu editor
Name:		mozo
Version:	%{ver}
Release:	%{rel}%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz

License:	LGPLv2.1
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-menus-devel
BuildRequires:	pygobject3-devel >= 2.13.0
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires:		pygtk2
Requires:		pygobject
Requires:		mate-menus-python
Requires(post,postun):	desktop-file-utils

Obsoletes:		mate-menu-editor < 1.8.0
Provides:		mate-menu-editor = %{version}-%{name}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
Mozo(mate-menu-editor) is a menu editor for MATE using the
freedesktop.org menu specification.

%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
	update-desktop-database %{_datadir}/applications >& /dev/null ||:
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{python_sitelib}/Mozo
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/*
%{_datadir}/%{name}/%{name}.ui
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun May 20 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.20.0-1
- update to 1.20.0

* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0
- drop BR: pygtk2-devel

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- update License
- update Packager

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release
- change BuildRequires: pygobject3-devel instead of pygobject-devel

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sat May 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release

* Thu Apr 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- rename package

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- initial build

