Summary: places multiple pages of text onto a single postscript page
Summary(ja): 複数ページのテキストを一枚の PostScript ページにするソフトウェア
Name: mpage
Version: 2.5.6
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Publishing
URL: http://www.mesa.nl/pub/mpage/
Source: http://www.mesa.nl/pub/mpage/mpage-%{version}.tgz
# sources/patch for Vine
Source100: mpage.1.gz
Patch100: mpage-2.5.3-kanji.patch
Patch101: mpage-2.5.6-paper.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper.  Mpage
is very useful for viewing large printouts without using up tons of
paper.  Mpage supports many different layout options for the printed
pages.

Mpage should be installed if you need a useful utility for viewing
long text documents without wasting paper.

%description -l ja
mpage ユーティリティはプレインテキストか PostScript (TM) ドキュメントを
入力として受け付け、テキストのサイズを減らし、複数のページをまとめて
PostScript プリンタに印刷する。 mpage は大量の紙なしで巨大な印刷出力を
見ることができたいへん役にたつ。mpage は印刷されるページのオプションとして
多くの異なったレイアウトをサポートしている。

mpage は無駄紙を使わずに長いテキストのドキュメントをみるユーティリティが
必要なときにインストールすべきです。

%prep
%setup -q
%patch100 -p1 -b .kanji
%patch101 -p1 -b .paper

%build
%__make \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	LIBDIR=%{_datadir} \
	MANDIR=%{_mandir}/man1

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}{%{_bindir},%{_datadir}/mpage,%{_mandir}/man1}

%__make \
	PREFIX=%{buildroot}%{_prefix} \
	BINDIR=%{buildroot}%{_bindir} \
	LIBDIR=%{buildroot}%{_datadir} \
	MANDIR=%{buildroot}%{_mandir}/man1 \
	install

%__mkdir_p %{buildroot}%{_mandir}/ja/man1
%__install -m0644 %{SOURCE100} %{buildroot}%{_mandir}/ja/man1

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING* Copyright FAQ README NEWS TODO
%{_bindir}/mpage
%{_datadir}/mpage
%{_mandir}/man1/mpage.1*
%{_mandir}/ja/man1/mpage.1*

%changelog
* Fri May 16 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.6-2
- rebuild on current environment

* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.6-1
- new upstream release

* Wed Sep 10 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.4-1vl5
- applied new versioning policy, spec in utf-8
- added mpage-2.5.4-paper.patch

* Sun Aug 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.5.4-0vl1
- update to 2.5.4
- s/Copyright/License/
- change License to GPL
- use more macros
- fix file list

* Wed Jun 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.3-0vl1
- remove kanji patch (it was merged source)
- fixed buildroot
- update japanese manpage

* Mon Apr 23 2001 <sagami@vinelinux.org>
- 2.5.1-0vl1: move manpages to %%{_mandir}

* Fri Jun  9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.5.1pre
- man dir ja_JP.ujis -> ja
- remove dvips patch
- remove conf patch (uses A4 size instead of letter)

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- change group

* Tue Jul 20 1999 Norihito Ohmori <ohmori@flatout.org>
- rebuild for glibc 2.1.x

* Tue Jul 20 1999 Norihito Ohmori <ohmori@flatout.org>
- -f with ascii Character bug fix.

* Sat Jul 17 1999 Norihito Ohmori <ohmori@flatout.org
- -f with Japanese Text bug fix.

* Sat Jun 19 1999 Norihito Ohmori <ohmori@p.chiba-u.ac.jp>
- first release
