Summary: A C library for multiple-precision floating-point computations
Name: mpfr
Version: 4.1.0
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine 
Distribution: Vine Linux
Packager: inagaki, kenta

License: LGPLv3+
URL: https://www.mpfr.org/
Source0: https://www.mpfr.org/mpfr-%{version}/mpfr-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gmp-devel
Requires: gmp >= 4.2.3

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.


%package devel
Summary: Development tools A C library for mpfr library
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: gmp-devel >= 4.2.3
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The static libraries, header files and documentation for using the MPFR 
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.


%debug_package


%prep
%autosetup -p1


%build
%configure --disable-assert --disable-static

# Get rid of undesirable hardcoded rpaths; workaround libtool reordering
# -Wl,--as-needed after all the libraries.
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC="\(g..\)"|CC="\1 -Wl,--as-needed"|' \
    -i libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir

#these go into licenses, not doc
rm -f %{buildroot}%{_datadir}/doc/COPYING{,.LESSER}


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
make %{?_smp_mflags} check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir || :

%preun devel
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING COPYING.LESSER
%doc NEWS README
%{_libdir}/libmpfr.so.*
%{_datadir}/doc/mpfr

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmpfr.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%{_infodir}/mpfr.info*


%changelog
* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.0-1
- new upstream release.
- dropped Patch0: fixed in upstream.

* Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.2-1
- new upstream release.

* Sat May 07 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- update to 3.1.4

* Sun Dec 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-2
- rebuild with VineSeed environment

* Mon Nov 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- update to 3.1.2

* Sun Oct 30 2011 NAKAMURA Kenta <kenta@vinelinux.org> 3.1.0-1
- new upstream release

* Tue Apr 19 2011 NAKAMURA Kenta <kenta@vinelinux.org> 2.4.2-2
- rebuild for Vine 6

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release
- add Requires: gmp-devel (devel package)

* Sat Nov 28 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-1
- new upstream release

* Mon May 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.1-1
- new upstream release
- applied new versioning policy

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.0-1vl1
- initial build for Vine Linux

* Thu Sep 20 2007 Ivana Varekova <varekova@redhat.com> 2.3.0-1
- update to 2.3.0
- fix license flag

* Mon Aug 20 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-2
- spec file cleanup (#253440)

* Tue Jan 16 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-1
- started

