Summary: A C library for multiple-precision floating-point computations
Name: mpfr3
Version: 3.1.6
Release: 1%{?_dist_release}
Group: System Environment/Libraries
Vendor: Project Vine 
Distribution: Vine Linux 
Packager: inagaki, kenta
License: LGPLv3+
URL: https://www.mpfr.org/
Source0: https://www.mpfr.org/mpfr-%{version}/mpfr-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gmp-devel
Requires: gmp >= 4.2.3
Obsoletes: mpfr < %{version}

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%prep
%setup -q -n mpfr-%{version}

%build

%configure --disable-assert
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_infodir}
#iconv  -f iso-8859-1 -t utf-8 mpfr.info >mpfr.info.aux
iconv  -f iso-8859-1 -t euc-jp mpfr.info >mpfr.info.aux
mv mpfr.info.aux mpfr.info
popd
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.a
cd ..

rm -f \
	%{buildroot}%{_libdir}/libmpfr.so \
	%{buildroot}%{_includedir}/*.h \
	%{buildroot}%{_infodir}/mpfr.info*
rm -rf \
	%{buildroot}%{_datadir}/doc/mpfr


%check
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%license COPYING COPYING.LESSER
%doc NEWS README
%{_libdir}/libmpfr.so.*


%changelog
* Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.6-1
- updated to 3.1.6.
- built for compatibility.

* Sat May 07 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- update to 3.1.4

* Sun Dec 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-2
- rebuild with VineSeed environment

* Mon Nov 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- update to 3.1.2

* Sun Oct 30 2011 NAKAMURA Kenta <kenta@vinelinux.org> 3.1.0-1
- new upstream release

* Tue Apr 19 2011 NAKAMURA Kenta <kenta@vinelinux.org> 2.4.2-2
- rebuild for Vine 6

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release
- add Requires: gmp-devel (devel package)

* Sat Nov 28 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-1
- new upstream release

* Mon May 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.1-1
- new upstream release
- applied new versioning policy

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.0-1vl1
- initial build for Vine Linux

* Thu Sep 20 2007 Ivana Varekova <varekova@redhat.com> 2.3.0-1
- update to 2.3.0
- fix license flag

* Mon Aug 20 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-2
- spec file cleanup (#253440)

* Tue Jan 16 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-1
- started

