Name:		nas	
Summary:	The Network Audio System (NAS)
Summary(ja):	ネットワークオーディオシステム (NAS)
Version:	1.9.3
Release:	4%{?_dist_release}

URL:		http://radscan.com/nas.html

License: 	Public Domain
Group: 		System Environment/Daemons
Source0: 	http://nas.codebrilliance.com/nas/nas-%{version}.src.tar.gz
Source1:	http://apt.kde-redhat.org/apt/kde-redhat/SOURCES/nas/nasd.init
Source2:	http://apt.kde-redhat.org/apt/kde-redhat/SOURCES/nas/nasd.sysconfig
Patch0:		%{name}-1.9.3-Move-AuErrorDB-to-SHAREDIR.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison flex
BuildRequires:	imake
BuildRequires:	libX11-devel libXau-devel libXaw-devel libXext-devel
BuildRequires:	libXpm-devel libXp-devel libXt-devel
%define libdir_x11 %{_libdir}/X11

Requires(preun): chkconfig /sbin/service
Requires(post): chkconfig

Requires:	%{name}-libs = %{version}-%{release}

Vendor:		Project Vine
Distribution:	Vine Linux

%description
In a nutshell, NAS is the audio equivalent of an X display server.
The Network Audio System (NAS) was developed by NCD for playing,
recording, and manipulating audio data over a network.  Like the
X Window System, it uses the client/server model to separate
applications from the specific drivers that control audio input
and output devices.

Key features of the Network Audio System include:
	o  Device-independent audio over the network
	o  Lots of audio file and data formats
	o  Can store sounds in server for rapid replay
	o  Extensive mixing, separating, and manipulation of audio data
	o  Simultaneous use of audio devices by multiple applications
	o  Use by a growing number of ISVs
	o  Small size
	o  Free!  No obnoxious licensing terms

%description -l ja
簡単にいうと、NAS は X ディスプレイサーバのオーディオ版です。
NCD (Network Computing Devices) 社で開発されたネットワークオーディオシステム
(NAS) は、ネットワーク越しにオーディオデータを再生・録音・操作するための
ものです。X Window System と同様にクライアント/サーバモデルを採用し、
アプリケーションをオーディオ入出力デバイスおよび特定のドライバから切り離す
設計になっています。

NAS の特徴は以下の通りです:
	o  デバイスに依存しない、ネットワーク越しのオーディオ
	o  多数のオーディオファイルやデータフォーマットに対応
	o  サーバ上にサウンドを保持、すばやくリプレイが可能
	o  オーディオデータのミキシング、セパレーション、操作が可能
	o  複数のアプリケーションからのオーディオデバイス同時利用が可能
	o  多数のソフトウェアメーカーによる利用実績
	o  コンパクトで小さなサイズ
	o  フリーです！面倒なライセンス条件はありません

%package devel
Summary:	Development and doc files for the NAS 
Summary(ja):	NAS 用開発ファイルとドキュメント
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files and the documentation

%description devel -l ja
NAS 用開発ファイルとドキュメント


%package libs
Summary: Runtime libraries for NAS
Summary(ja): NAS のランタイムライブラリ
Group:   System Environment/Libraries

%description libs
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .move_AuErrorDB
iconv --from-code=ISO_8859-15 --to-code=UTF-8 HISTORY >HISTORY.tmp
mv HISTORY.tmp HISTORY


%build
xmkmf
find . -name Makefile \
| xargs sed -i -e 's/^\(\s*CDEBUGFLAGS\s*=.*\)/\1 $(RPM_OPT_FLAGS)/'
make %{?_smp_mflags} World MFLAGS="IRULESRC=%{_datadir}/X11/config"


%install
rm -rf %{buildroot}

make MFLAGS="IRULESRC=%{_datadir}/X11/config" \
  DESTDIR=%{buildroot} BINDIR=%{_bindir} INCROOT=%{_includedir} \
  LIBDIR=%{libdir_x11}  SHLIBDIR=%{_libdir} USRLIBDIR=%{_libdir} MANPATH=%{_mandir} \
  INSTALLFLAGS='-p' \
  install install.man

install -p -m755 -D %{SOURCE1} %{buildroot}%{_initrddir}/nasd
install -p -m644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/nasd

# remove static lib
rm -f %{buildroot}%{_libdir}/*.a
# rename cofigfile
mv %{buildroot}/etc/nas/nasd.conf.eg %{buildroot}/etc/nas/nasd.conf


%post
/sbin/chkconfig --add nasd


%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del nasd
  /sbin/service nasd stop >/dev/null 2>&1 ||:
fi


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/nas
%config(noreplace) %{_sysconfdir}/nas/nasd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/nasd
%{_initrddir}/nasd
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files libs
%defattr(-,root,root,-)
%doc README FAQ HISTORY TODO
%{_libdir}/libaudio.so.*
%{_datadir}/X11/AuErrorDB

%files devel
%defattr(-,root,root,-)
%{_includedir}/audio/
%{_libdir}/libaudio.so
%{_mandir}/man3/*


%changelog
* Fri Oct 24 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.9.3-4
- moved nas to System Environment/Daemons Group

* Sun May 27 2012 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.9.3-3
- add Japanese summary and description to libs subpackage

* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9.3-2
- add Japanese summary and description

* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9.3-1
- new upstream release
- add Patch0 (move AuErrorDB to sharedir)

* Sun Mar 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.9.1-7
- Initial build for Vine Linux

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Apr 07 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.9.1-4
- -libs subpkg (f9+, #438547)
- %%install: INSTALLFLAGS='-p' (preserve timestamps)
- fixup %%changelog whitespace

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.1-3
- Autorebuild for GCC 4.3

* Sun Nov 11 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9.1-2
- fix spec file

* Sun Nov 11 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9.1-1
- update to 1.9.1
- remove unneeded patches

* Fri Nov 02 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9a-3
- add better patch for #247468 

* Fri Nov 02 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9a-2
- add patch to fix #247468

* Sun Oct 28 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9a-1
- update to 1.9a to fix #245712

* Sat Aug 18 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9-4
- fix for bug #245712

* Sat Aug 11  2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9-3
- fix for bug #250453

* Fri May 04 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9-2%{?dist}
- rebuild for the new ppc64 arch

* Sun Apr 08 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.9-1%{?dist}
- update to 1.9
- remove old patch file

* Mon Mar 26 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.8b-1%{?dist}
- update to 1.8b

* Thu Mar 22 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.8a-2%{?dist}
- use the SVN version of 1.8a

* Wed Mar 21 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.8a-1%{?dist}
- fix bug 233353 

* Thu Feb 09 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.8-13%{?dist}
- use the corrected patch

* Thu Feb 08 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.8-11%{?dist}
- fix bug 227759

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 1.8-10
- don't rely-on/use potentially broken %%_libdir/X11 symlink (#207180)

* Mon Sep 11 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-9%{?dist}
- second rebuild for FC6

* Mon Jul 24 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-8%{?dist}
- fix ugly output when starting the daemon

* Fri Jul 21 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-7%{?dist}
- disable build for EMT64 on FC4

* Thu Jul 13 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-6%{?dist}
- fix build on EMT64 

* Wed Jul 12 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-5%{?dist}
- fix include dir

* Fri Jul 7 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-4%{?dist}
- add Requires(preun): chkconfig /sbin/service
- add Requires(post):  chkconfig
- add remarks for FC4

* Fri Jul 7 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-3%{?dist}
- move man3 to devel
- rename nasd.conf.eg to .conf
- add build depend for libXext-devel libXt-devel
- change license to Public Domain
- add path to make intall
- add rc.d/sysconfig  files 

* Fri Jul 7 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-2%{?dist}
- move libaudio.so.2 to main package
- switch package name from NAS to nas
- fix depend for devel package
- fix version
- add nas subdir in etc to main package
- set license to Distributable
- add readme file

* Fri Jul 7 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.8-1%{?dist}
- start
