Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Summary(ja): Netwide アセンブラ: Intel ライクなシンタックスのポータブル x86 アセンブラ
Name: nasm
Version: 2.15.05
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: owa

License: BSD
URL: https://www.nasm.us
%global download %{url}/pub/nasm/releasebuilds
Source0: %{download}/%{version}/nasm-%{version}.tar.xz
Source1: %{download}/%{version}/nasm-%{version}-xdoc.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description -l ja
NASM は Netwide アセンブラです。Intel 80x86 プロセッサシリーズ用の
フリーでポータブルなアセンブラで、基本的に伝統的な Intel インストラクション
ニーモニックと文法を使います。


%package doc
Summary: Extensive documentation for NASM
Summary(ja): NASM のドキュメント
Group: documentation

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML format.

%description doc -l ja
Netwide アセンブラ NASM のHTML形式ドキュメントです。


%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Summary(ja): NASM で使われる RDOFF バイナリフォーマット用ツール
Group: programming

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%description rdoff -l ja
RDOFF バイナリフォーマットの OS 用のツールで、NASM が使います。
ここには、リンカ、ライブラリマネージャ、ローダ、ダンプが入っています。


%debug_package


%prep
%setup -q -n nasm-%{version} -b 1


%build
./autogen.sh
%configure

make %{?_smp_mflags} all


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%make_install install_rdf
mkdir -p included-docs


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%license LICENSE
%doc AUTHORS CHANGES README.md
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%files doc
%defattr(-,root,root)
%doc doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README
%{_bindir}/ldrdf
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx
%{_bindir}/rdf2ith
%{_bindir}/rdf2srec
%{_mandir}/man1/rd*
%{_mandir}/man1/ld*


%changelog
* Thu Sep 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.14.02-1
- new upstream release.

* Sat Sep  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> nasm-2.11.08-1
- updated nasm to nasm-2.11.08
- updated xdoc to nasm-2.11.08-xdoc

* Sat Oct 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> nasm-2.11.05-1
- updated nasm to nasm-2.11.05
- updated xdoc to nasm-2.11.05-xdoc
- updated License to BSD (see, LICENSE)

* Thu Apr 28 2011 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.08-1
- updated nasm to nasm-2.09.08
- updated xdoc to nasm-2.09.08-xdoc

* Mon Nov 22 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.03-1
- updated nasm to nasm-2.09.03
- updated xdoc to nasm-2.09.03-xdoc

* Wed Sep 08 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09.01-1
- updated nasm to nasm-2.09.01
- updated xdoc to nasm-2.09.01-xdoc

* Thu Sep 02 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.09-1
- updated nasm to nasm-2.09
- updated xdoc to nasm-2.09-xdoc

* Tue Mar 16 2010 Shu KONNO <owa@bg.wakwak.com> nasm-2.08.01-1
- updated nasm to nasm-2.08.01
- updated xdoc to nasm-2.08.01-xdoc

* Sat Sep 05 2009 Shu KONNO <owa@bg.wakwak.com> nasm-2.07.00-1
- updated nasm to nasm-2.07

* Mon Jul 13 2009 Shu KONNO <owa@bg.wakwak.com> nasm-2.06.00-1
- updated nasm to nasm-2.06
- added nasm-2.06-xdoc
- changed download url

* Tue Sep 30 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.04.00-1vl5
- updated nasm to nasm-2.04
- fixed typo of changelog version

* Sat Jun 14 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.03.00-1vl5
- updated nasm to nasm-2.03
- applied new versioning policy and spec in utf-8

* Fri Feb 22 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.02.00-0vl1
- updated nasm to nasm-2.02

* Mon Jan 28 2008 Shu KONNO <owa@bg.wakwak.com> nasm-2.01.00-0vl1
- updated nasm to nasm-2.01

* Thu Nov 29 2007 Shu KONNO <owa@bg.wakwak.com> nasm-2.0.0-0vl1
- updated nasm to nasm-2.00

* Sun Nov 25 2007 Shu KONNO <owa@bg.wakwak.com> nasm-2.0-0vl0rc1
- updated nasm to nasm-2.00rc1

* Sun Aug 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.98.39-0vl2
- drop stupid macros
- fix dependencies
  - add BuildRequires: texinfo
  - add BuildRequires: ghostscript instead of /usr/bin/ps2pdf
  - doc: add PreReq: install-info instead of /sbin/install-info
- chande doc's group to Applications/Documentation

* Sat Jun  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.39-0vl1
- new upstream release

* Wed Apr 21 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.38-0vl1
- updated to 0.98.38
- fixed %doc of nasm-doc 

* Thu Jul 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl3
- fixed nasm-doc Group: Documentation
- changed URL:
- s/Copyright/License/

* Tue May 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl2
- merged Vine Plus spec file and Vine Seed Plus spec file (sorry....)

* Thu May  1 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98.36-0vl1
- update 0.98.36 based on sourceforge
 - change licence to LGPL
 - change URL
- add BuildPrereq: perl

* Mon Jan 27 2003 Masaki Shinomiya <shino@pos.to> 0.98.35-0vl1
- source upstream, new URL, doc files

* Sat Apr 14 2001 Shoji Matsumoto <shom@vinelinux.org> 0.98-0vl2
- add ja desc
- modify %files
- use %configure
- build for Seed

* Fri Dec 15 2000 Hirotaka Mizutani
      - 0.98-0vl1
      - updated for VineLinux2.1
