Name:           nautilus-search-tool
Version:        0.3.1
Release:        2%{?_dist_release}
Summary:        A Nautilus extension to put "Search for Files" on popup menu
Summary(ja):        ポップアップメニューに"ファイルの検索"を追加する Nautilus 拡張

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://sourceforge.net/projects/nautsearchtool/
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Source1:        nautilus-search-tool-0.3_ja.po

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gnome-desktop-devel >= 2.32.0
BuildRequires:	libtool gettext intltool glib2-devel popt-devel
BuildRequires:	gtk2-devel >= 2.22.0
BuildRequires:	nautilus >= 3.0
BuildRequires:	nautilus-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gnome-utils

Requires:	gnome-utils

%description
This package adds an option to Nautilus popup menu to search for files.

%description -l ja
このパッケージは Nautilus のポップアップメニューへファイルを検索するための
オプションを追加します。

%prep
%setup -q
sed -i "s/ALL_LINGUAS=\"es fr it sv tr\"/ALL_LINGUAS=\"es fr it ja sv tr\"/g" configure
%__cp -f %{SOURCE1} po/ja.po

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc AUTHORS COPYING
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-3.0/*.so

%changelog
* Sat Jul 12 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.1-2
- rebuilt with current environment

* Fri Nov 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.1-1
- new upstream release
- changed URL
- dropt all patches
- changed BuildRequires: nautilus >= 2.32.0 to nautilus >= 3.0

* Wed Nov 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-4
- rebuils with gnome-desktop-2.32.0
- add BuildRequires: gnome-vfs2-devel
- remove BuildRequires: eel2-devel
- add Patch1(nautilus-search-tool-0.3.0-eel.patch)

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-3vl5
- cleaned up spec
- changed Group: User Interface/Desktops
- added BuildRequires: gnome-utils
- added Requires: gnome-utils

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-2vl5
- changed summary
- added description -l ja
- added %build autoreconf
- spec in UTF-8

* Mon Apr 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-1vl5
- initial build for VineSeed

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.2-3
- Autorebuild for GCC 4.3

* Thu Dec 27 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-2
- Put extension in the proper directory (#426831)

* Fri Aug 17 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-1
- Update License tag
- Updated to 0.2.2

* Wed Aug 30 2006 Paul W. Frields <stickster@gmail.com> - 0.2-2
- Fix BuildRequires (#200420)

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-2
- Rebuild for Fedora Extras 5

* Sat Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-1
- Initial RPM release
