Summary:	Standalone graphical debugger for GNOME
Summary(ja): 	GNOME 向けの GUI デバッガ
Name:		nemiver
Version:	0.9.5
Release: 	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/Development
URL:		http://projects.gnome.org/nemiver/

Requires:	ghex > 2.90
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
BuildRequires:	gdb
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gtkmm3-devel >= 3.2.0
BuildRequires:	gtksourceviewmm3-devel >= 3.2.0
BuildRequires:	libgtop2-devel >= 2.14
BuildRequires:	vte3-devel >= 0.12.0
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	libboost-devel >= 1.33.1
BuildRequires:	ghex-devel > 2.90
BuildRequires:	dconf-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	itstool

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka, kenta

%description
Nemiver is a standalone graphical debugger that integrates well in the
GNOME desktop environment.  It currently features a backend which uses
the GNU debugger GDB for debugging C/C++ programs.

%description -l ja
Nemiver は GNOME デスクトップ向けのスタンドアローンな GUI デバッガです。
C/C++ プログラムのデバッグのバックエンドには GDB (GNU デバッガ)を利用
しています。

%package devel
Summary:	Libraries and headers for %{name}
Summary(ja):	%{name} 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package includes the files needed for developing and compiling
applications which use the %{name} library.

You should install the %{name}-devel package if you would like to
develop applications using %{name}.

%description devel -l ja
このパッケージは %{name} ライブラリを使用するアプリケーションを開発
するのに必要なライブラリやヘッダファイルを含んでいます。

%{name} を使用したアプリケーションを開発するなら、このパッケージ
をインストールしてください。

%prep
%setup -q


%build
%configure --disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# remove unnecessary files
find $RPM_BUILD_ROOT/%{_libdir} -name "*.la" -exec %{__rm} -f "{}" \;


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog INSTALL NEWS
%doc README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/HighContrast/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/help/*
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/%{name}


%changelog
* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-2
- rebuild with libgtop2-2.30.0

* Fri Dec 13 2013 NAKAMURA Kenta <kenta@vinelinux.org> 0.9.5-1
- new upstream release
- drop Patch0 (nemiver-0.9.2-iostream.patch)
- add BuildRequires: itstool

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.3-1
- new upstream release

* Tue Jun 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2-1
- new upstream release
- add Patch0 (nemiver-0.9.2-iostream.patch)
- change BuildRequires: gtksourceviewmm3-devel instead of gtksourceviewmm-devel
- change BuildRequires: gtkmm3-devel instead of gtkmm2-devel
- change BuildRequires: vte3-devel instead of vte-devel
- remove BuildRequires: GConf2-devel
- add BuildRequires: dconf-devel, gsettings-desktop-schemas-devel

* Sun Oct 24 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.8.0-1
- initial build for Vine Linux
