%bcond_with systemd
%bcond_without python3
%bcond_without gui

# Arches on which we need to prevent arch conflicts on net-snmp-config.h
%define multilib_arches %{ix86} ia64 ppc ppc64 x86_64

Summary: A collection of SNMP protocol tools and libraries.
Summary(ja): SNMP プロトコルツールとライブラリのコレクション
Name: net-snmp
Version: 5.9.1
Release: 2%{?_dist_release}%{?with_systemd:.systemd}
Group: servers,admin-tools
Vendor: Project Vine
Distribution: Vine Linux

License: BSD
URL: http://www.net-snmp.org/
Source0: https://downloads.sourceforge.net/project/net-snmp/net-snmp/%{version}/net-snmp-%{version}.tar.gz
Source1: net-snmp.redhat.conf
Source2: net-snmpd.init
Source3: net-snmptrapd.init
Source4: net-snmp-config.h
Source5: net-snmp-config
Source6: net-snmp-trapd.redhat.conf
Source7: net-snmpd.sysconfig
Source8: net-snmptrapd.sysconfig
Source9: net-snmp-tmpfs.conf
Source10:  net-snmpd.logrotate
Source11:  snmpd.service
Source12:  snmptrapd.service
Source13:  IETF-MIB-LICENSE.txt

Patch1:     net-snmp-5.9-pie.patch
Patch2:     net-snmp-5.9-dir-fix.patch
Patch3:     net-snmp-5.9-multilib.patch
Patch4:     net-snmp-5.9-test-debug.patch
Patch5:     net-snmp-5.7.2-cert-path.patch
Patch6:     net-snmp-5.9-cflags.patch
Patch7:     net-snmp-5.8-Remove-U64-typedef.patch
Patch8:     net-snmp-5.9-libnetsnmptrapd-against-MYSQL_LIBS.patch
Patch9:     net-snmp-5.7.3-iterator-fix.patch
Patch10:    net-snmp-5.9-autofs-skip.patch
Patch11:    net-snmp-5.9-usage-exit.patch
Patch12:    net-snmp-5.9-coverity.patch
Patch13:    net-snmp-5.9-dskTable-dynamic.patch
Patch14:    net-snmp-5.8-expand-SNMPCONFPATH.patch
Patch15:    net-snmp-5.8-duplicate-ipAddress.patch
Patch16:    net-snmp-5.9-memory-reporting.patch
Patch17:    net-snmp-5.8-man-page.patch
Patch18:    net-snmp-5.8-ipAddress-faster-load.patch
Patch19:    net-snmp-5.8-rpm-memory-leak.patch
Patch20:    net-snmp-5.9-aes-config.patch
Patch21:    net-snmp-5.8-clientaddr-error-message.patch
Patch22:    net-snmp-5.9-ECC-cert.patch
Patch23:    net-snmp-5.9-intermediate-certs.patch
Patch24:    net-snmp-5.9.1-remove-des.patch
Patch25:    net-snmp-5.9.1-autoconf.patch
Patch26:    net-snmp-5.9.1-remove-err-log.patch

# Modern RPM API means at least EL6
Patch101:   net-snmp-5.8-modern-rpm-api.patch

#disable this patch due compatibility issues
Patch102:   net-snmp-5.9-python3.patch
Patch103:   net-snmp-5.9.1-python-usenumeric.patch

# Vine

BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel, bzip2-devel, elfutils-devel
BuildRequires: elfutils-libelf-devel, rpm-devel
BuildRequires: perl, perl(ExtUtils::Embed), procps
%if %{with python3}
BuildRequires: python3-devel, python3-setuptools, python3-rpm-macros
%endif
BuildRequires: chrpath
BuildRequires: libmariadb-devel
# for netstat, needed by 'make test'
BuildRequires: net-tools
BuildRequires: lm-sensors-devel
%if %{with systemd}
BuildRequires: systemd
%{?systemd_requires}
%else
Requires(pre): /sbin/chkconfig
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
%endif
Requires: net-snmp-libs = %{version}-%{release}
Obsoletes: cmu-snmp ucd-snmp

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP tools:
an extensible agent, an SNMP library, tools for requesting or setting
information from SNMP agents, tools for generating and handling SNMP
traps, a version of the netstat command which uses SNMP, and a Tk/Perl
mib browser. This package contains the snmpd and snmptrapd daemons,
documentation, etc.

You will probably also want to install the ucd-snmp-utils package,
which contains NET-SNMP utilities.

%description -l ja
SNMP (Simple Network Management Protocol) はネットワーク管理に用いる
プロトコルです. NET-SNMP プロジェクトは以下のような様々な SNMP ツールを
含んでいます : 拡張性のあるエージェント, SNMP ライブラリ, SNMP 
エージェントからの情報の要求や設定を行うツール, SNMP 割り込みの生成や
ハンドリングを行うツール, SNMP を用いる netstat コマンド, および TK/Perl 
mib ブラウザ. このパッケージは snmpd, snmptrapd デーモンやドキュメント
なども含んでいます.

おそらく, NET-SNMP ユーティリティを含んだ net-snmp-utils パッケージも
インストールした方が良いでしょう。


%package libs
Summary: The NET-SNMP runtime client libraries
Group: system

%description libs
The net-snmp-libs package contains the runtime client libraries for shared
binaries and applications.


%package utils
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Summary(ja): SNMP を用いたネットワーク管理ユーティリティ
Group: admin-tools
Requires: net-snmp = %{version}
Obsoletes: cmu-snmp-utils ucd-snmp-utils

%description utils
The net-snmp-utils package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol. You will also need to install the net-snmp
package.

%description utils -l ja
net-snmp-utils パッケージは NET-SNMP ネットワーク管理プロジェクトにて
用いられる様々なユーティリティを含んでいます. net-snmp パッケージも
インストールする必要があります.


%package devel
Summary: The development environment for the NET-SNMP project.
Summary(ja): NET-SNMP 用の開発環境
Group: programming
Requires: net-snmp-libs = %{version}-%{release}
Requires: elfutils-libelf-devel
Requires: openssl-devel
Obsoletes: cmu-snmp-devel ucd-snmp-devel

%description devel
The net-snmp-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the net-snmp and net-snmp-utils
packages installed.

#'
%description devel -l ja
net-snmp-devel パッケージには NET-SNMP プロジェクトのネットワーク管理
ツールの開発に用いる開発ライブラリおよびヘッダが含まれています.

NET-SNMP プロジェクトのネットワーク管理ツールを用いるアプリケーションを
開発したいならば, net-snmp-devel パッケージをインストールしてください.
おそらく net-snmp, net-snmp-utils パッケージもインストールする必要が
あるでしょう.


%package perl
Summary: The perl NET-SNMP module and the mib2c tool.
Summary(ja): perl NET-SNMP モジュールおよび mib2c ツール
Group: programming
Requires: net-snmp = %{version}, perl-XML-Simple
Requires: perl >= 2:5.34.0
BuildRequires: perl >= 2:5.34.0

%description perl
The net-snmp-perl package contains the perl files to use SNMP from within
Perl.

Install the net-snmp-perl package, if you want to use mib2c or SNMP with perl.

%description perl -l ja
net-snmp-perl パッケージには Perl から SNMP を使用するための perl 
ファイルが含まれています. 

perl から mib2c や SNMP を使用したいならば, net-snmp-perl パッケージを
インストールしてください.


%if %{with python3}
%package -n python3-net-snmp
Summary:   The Python 'netsnmp' module for the Net-SNMP
Summary(ja): Python用 'netsnmp' モジュール
Group: programming
%{?python_provide:%python_provide python3-net-snmp}
Requires:  %{name}-libs%{?_isa} = %{version}-%{release}

%description -n python3-net-snmp
The 'netsnmp' module provides a full featured, tri-lingual SNMP (SNMPv3, 
SNMPv2c, SNMPv1) client API. The 'netsnmp' module internals rely on the
Net-SNMP toolkit library.
%endif


%if %{with gui}
%package gui
Summary:  An interactive graphical MIB browser for SNMP
Summary(ja): 対話型グラフィカルSNMP MIBブラウザー
Group: admin-tools
Requires: perl-Tk, net-snmp-perl%{?_isa} = %{version}-%{release}

%description gui
The net-snmp-gui package contains tkmib utility, which is a graphical user 
interface for browsing the Message Information Bases (MIBs). It is also 
capable of sending or retrieving the SNMP management information to/from 
the remote agents interactively.

Install the net-snmp-gui package, if you want to use this interactive utility.
%endif


%debug_package


%prep
%setup -q
cp %{SOURCE13} .

%ifnarch ia64
%patch1 -p1 -b .pie
%endif

%patch2 -p1 -b .dir-fix
%patch3 -p1 -b .multilib
%patch4 -p1
%patch5 -p1 -b .cert-path
%patch6 -p1 -b .cflags
%patch7 -p1 -b .u64-remove
%patch8 -p1 -b .perlfix
%patch9 -p1 -b .iterator-fix
%patch10 -p1 -b .autofs-skip
%patch11 -p1 -b .usage-fix
%patch12 -p1 -b .coverity
%patch13 -p1 -b .dskTable-dynamic
%patch14 -p1 -b .expand-SNMPCONFPATH
%patch15 -p1 -b .duplicate-ipAddress
%patch16 -p1 -b .memory-reporting
%patch17 -p1 -b .man-page
%patch18 -p1 -b .ipAddress-faster-load
%patch19 -p1 -b .rpm-memory-leak
%patch20 -p1 -b .aes-config
%patch21 -p1 -b .clientaddr-error-message
%patch22 -p1 -b .ECC-cert
%patch23 -p1 -b .intermediate-certs
%patch24 -p1 -b .remove-des
%patch25 -p1 -b .autoconf
%patch26 -p1 -b .remove-err-log

%patch101 -p1 -b .modern-rpm-api
%patch102 -p1
%patch103 -p1

# disable failing test - see https://bugzilla.redhat.com/show_bug.cgi?id=680697
rm testing/fulltests/default/T200*


%build
autoreconf -vif

MIBS="host agentx smux \
     ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
     ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
     ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
     ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
     ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable \
     sctp-mib rmon-mib etherlike-mib ucd-snmp/lmsensorsMib"

%configure \
    --disable-static --enable-shared \
    --enable-as-needed \
    --enable-blumenthal-aes \
    --enable-embedded-perl \
    --enable-ipv6 \
    --enable-local-smux \
    --enable-mfd-rewrites \
    --enable-ucd-snmp-compatibility \
    --sysconfdir=%{_sysconfdir} \
    --with-cflags="$RPM_OPT_FLAGS -fPIE" \
    --with-ldflags="$RPM_LD_FLAGS -lm" \
    --with-logfile="/var/log/snmpd.log" \
    --with-mib-modules="$MIBS" \
    --with-mysql \
    --with-openssl \
    --with-persistent-directory="/var/lib/net-snmp" \
    --with-perl-modules="INSTALLDIRS=vendor" \
    --with-pic \
    --with-security-modules=tsm  \
    --with-sys-location="Unknown" \
%if %{with systemd}
    --with-systemd \
%endif
    --with-temp-file-pattern=/run/net-snmp/snmp-tmp-XXXXXX \
    --with-transports="DTLSUDP TLSTCP" \
    --with-sys-contact="root@localhost" \
    --without-pcre <<EOF
EOF

# store original libtool file, we will need it later
cp libtool libtool.orig
# remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# the package is not %%_smp_mflags safe
make

%if %{with python3}
# compile python module
pushd python
%{__python3} setup.py --basedir="../" build
popd
%endif


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Determine which arch opensslconf.h is going to try to #include.
basearch=%{_arch}
%ifarch %{ix86}
basearch=i386
%endif

%ifarch %{multilib_arches}
# Do an net-snmp-config.h switcheroo to avoid file conflicts on systems where you
# can have both a 32- and 64-bit version of the library, and they each need
# their own correct-but-different versions of net-snmp-config.h to be usable.
mv %{buildroot}/%{_bindir}/net-snmp-config %{buildroot}/%{_bindir}/net-snmp-config-${basearch}
install -m 755 %SOURCE5 %{buildroot}/%{_bindir}/net-snmp-config
mv %{buildroot}/%{_includedir}/net-snmp/net-snmp-config.h %{buildroot}/%{_includedir}/net-snmp/net-snmp-config-${basearch}.h
install -m644 %SOURCE4 %{buildroot}/%{_includedir}/net-snmp/net-snmp-config.h
%endif

install -d %{buildroot}%{_sysconfdir}/snmp
install -m 644 %SOURCE1 %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
install -m 644 %SOURCE6 %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %SOURCE7 %{buildroot}%{_sysconfdir}/sysconfig/snmpd
install -m 644 %SOURCE8 %{buildroot}%{_sysconfdir}/sysconfig/snmptrapd

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd

# prepare /var/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/mib_indexes
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/cert_indexes
install -d %{buildroot}%{_localstatedir}/run/net-snmp

# remove things we don't want to distribute
rm -f %{buildroot}%{_bindir}/snmpinform
ln -s snmptrap %{buildroot}/usr/bin/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
rm -f %{buildroot}/%{_bindir}/fixproc
rm -f %{buildroot}/%{_mandir}/man1/fixproc*
rm -f %{buildroot}/%{_bindir}/ipf-mod.pl
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/libsnmp*

# remove special perl files
find %{buildroot} -name perllocal.pod \
    -o -name .packlist \
    -o -name "*.bs" \
    -o -name Makefile.subs.pl \
    | xargs -ri rm -f {}
# remove docs that do not apply to Linux
rm -f README.aix README.hpux11 README.osX README.Panasonic_AM3X.txt README.solaris README.win32

# copy missing mib2c.conf files
install -m 644 local/mib2c.*.conf %{buildroot}%{_datadir}/snmp

%if %{with python3}
# install python module
pushd python
%{__python3} setup.py --basedir=.. install -O1 --skip-build --root %{buildroot} 
popd
%endif

find %{buildroot} -name '*.so' | xargs chmod 0755

# trim down massive ChangeLog
dd bs=1024 count=250 if=ChangeLog of=ChangeLog.trimmed

# convert files to UTF-8
for file in README COPYING; do
    iconv -f 8859_1 -t UTF-8 <$file >$file.utf8
    mv $file.utf8 $file
done

# remove executable bit from documentation samples
chmod 644 local/passtest local/ipf-mod.pl

%if %{with systemd}
# systemd stuff
install -m 755 -d %{buildroot}/%{_tmpfilesdir}
install -m 644 %SOURCE9 %{buildroot}/%{_tmpfilesdir}/net-snmp.conf
install -m 755 -d %{buildroot}/%{_unitdir}
install -m 644 %SOURCE11 %SOURCE12 %{buildroot}/%{_unitdir}/
%else
install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 %SOURCE2 %{buildroot}%{_sysconfdir}/rc.d/init.d/snmpd
install -m 755 %SOURCE3 %{buildroot}%{_sysconfdir}/rc.d/init.d/snmptrapd
%endif

%if !%{with gui}
rm -f %{buildroot}%{_bindir}/tkmib %{buildroot}%{_mandir}/man1/tkmib.1*
%endif


%post
%if %{with systemd}
%systemd_post snmpd.service snmptrapd.service
%else
/sbin/chkconfig --add snmpd 
/sbin/chkconfig --add snmptrapd
%endif

%preun
%if %{with systemd}
%systemd_preun snmpd.service snmptrapd.service
%else
if [ $1 = 0 -o /bin/systemctl ]; then
   service snmpd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmpd
   service snmptrapd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmptrapd
   # remove stale autogenerated file
   rm -f %{_datadir}/snmp/mibs/.index
fi
%endif

%postun
%if %{with systemd}
%systemd_postun_with_restart snmpd.service snmptrapd.service
%else
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
    service snmptrapd condrestart >/dev/null 2>&1 || :
fi
%endif

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog.trimmed EXAMPLE.conf FAQ NEWS TODO
%doc README README.agent-mibs README.agentx README.krb5 README.snmpv3
%doc local/passtest local/ipf-mod.pl
%doc README.thread AGENT.txt PORTING local/README.mib2c
%doc IETF-MIB-LICENSE.txt
%dir %{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/snmpd
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/snmptrapd
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmptrapd.conf
%if %{with systemd}
%{_unitdir}/snmp*
%config(noreplace) %{_tmpfilesdir}/net-snmp.conf
%else
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmpd
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmptrapd
%endif
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%dir %{_datadir}/snmp
%{_datadir}/snmp/snmpconf-data
%dir %{_localstatedir}/run/net-snmp
%{_bindir}/agentxtrap
%{_bindir}/net-snmp-create-v3-user
%{_bindir}/snmpconf
%{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man1/agentxtrap.1*
%attr(0644,root,root) %{_mandir}/man[58]/snmp*d*
%attr(0644,root,root) %{_mandir}/man5/snmp_config.5.gz
%attr(0644,root,root) %{_mandir}/man5/variables*
%attr(0644,root,root) %{_mandir}/man1/net-snmp-create-v3-user*
%attr(0644,root,root) %{_mandir}/man1/snmpconf.1.gz

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%dir %{_datadir}/snmp
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/*
%dir %{_localstatedir}/lib/net-snmp
%dir %{_localstatedir}/lib/net-snmp/mib_indexes
%dir %{_localstatedir}/lib/net-snmp/cert_indexes

%files utils
%defattr(-,root,root,-)
%{_bindir}/encode_keychange
%{_bindir}/snmp[^c-]*
%attr(0644,root,root) %{_mandir}/man1/snmp[^-]*.1*
%attr(0644,root,root) %{_mandir}/man1/encode_keychange*.1*
%attr(0644,root,root) %{_mandir}/man5/snmp.conf.5.gz
%attr(0644,root,root) %{_mandir}/man5/variables.5.gz

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%attr(0644,root,root)	%{_mandir}/man3/*.3.*
%attr(0755,root,root)	%{_bindir}/net-snmp-config*
%attr(0644,root,root)   %{_mandir}/man1/net-snmp-config*.1.*

%files perl
%defattr(-,root,root)
%{_bindir}/mib2c-update
%{_bindir}/mib2c
%{_bindir}/snmp-bridge-mib
%{_bindir}/net-snmp-cert
%{_bindir}/checkbandwidth
%dir %{_datadir}/snmp
%{_datadir}/snmp/mib2c*
%{_datadir}/snmp/*.pl
%{_bindir}/traptoemail
%attr(0644,root,root) %{_mandir}/man[15]/mib2c*
%attr(0644,root,root) %{_mandir}/man3/*.3pm.*
%attr(0644,root,root) %{_mandir}/man1/traptoemail*.1*
%attr(0644,root,root) %{_mandir}/man1/snmp-bridge-mib.1*
%{perl_vendorarch}/*SNMP*
%{perl_vendorarch}/auto/*SNMP*
%{perl_vendorarch}/auto/Bundle/*SNMP*
%{perl_vendorarch}/Bundle/MakefileSubs.pm

%if %{with python3}
%files -n python3-net-snmp
%doc README
%{python3_sitearch}/*
%endif

%if %{with gui}
%files gui
%{_bindir}/tkmib
%attr(0644,root,root) %{_mandir}/man1/tkmib.1*
%endif


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.9.1-2
- rebuilt with perl-5.34.0.

* Tue Oct 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.9.1-1
- new upstream release.
- re-imported all patches from rawhide.

* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.9-2
- rebuilt with rpm-4.16.

* Tue Sep 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.9-1
- new upstream release.
- re-imported all patches from rawhide.
- added systemd support (disabled as default).

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.8-2
- rebuilt with perl-5.26.
- added BR:libxcrypt-devel,libnsl2-devel.

* Wed Nov 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.8-1
- new upstream release.
- updated Patch2-3.
- dropped Patch5-7.
- imported Patch4-12, 101 and 102 from rawhide.

* Tue Mar 15 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.7.3-2
- rebuilt with openssl-1.0.2g.

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.7.3-1
- new upstream release
- update Patch3 (net-snmp-5.7.3-multilib.patch)
- update Patch5 (net-snmp-5.7.3-apsl-copying.patch)

* Thu Feb 26 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.7.2.1-2
- added R: openssl-devel to devel subpackage

* Thu Jul  3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.7.2.1-1
- new upstream release.

* Sun Nov 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.7.2-1
- new upstream release
- update Patch1 (net-snmp-5.7.2-pie.patch)
- remove Patch4 (net-snmp-5.5-include-struct.patch)

* Wed Sep 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7.1-3
- use installvendorarch instead of installvendorlib
  to pick perl modules

* Mon Sep 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7.1-2
- rebuild with rpm-4.10.0

* Sun Mar 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.7.1-1
- new upstream release
- update Patch6 (net-snmp-5.7.1-perl-linking.patch)

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.6.1.1-2
- rebuild with rpm-4.9.1.2

* Sat Jun 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1.1-1
- new upstream release

* Sat May 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-5
- change configure option (--with-mnttab=/etc/mtab)

* Tue Apr 12 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.1-4
- rebuilt with perl-5.12.3.

* Sun Mar 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-3
- change configure option (--with-mib-modules)

* Tue Jan 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-2
- merge spec, patch, source from FC package

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-1
- new upstream release
- add configure option: --with-mnttab="/etc/mnttab"
- update Patch1,4,9,11 for net-snmp-5.6.1
- drop Patch6,8,13,16,17
- fix %%files

* Sun Aug 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.4.3-1
- new upstream release
- update Patch1 for net-snmp-5.4.3
- update Patch13 for net-snmp-5.4.3
- fix %install 

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 5.4.2.1-4
- rebuild with rpm-4.8.0

* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.4.2.1-3
- modify Source7 (use 'uname -m' instead of 'arch') ([bts:0675]

* Sat Nov 29 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 5.4.2.1-2
- rebuilt

* Wed Nov 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 5.4.2.1-1
- new upstream release with security fix
- drop old patches
- update patch13 (from FC10)

* Tue Jun 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.4.1.2-1
- new upstream release
- applied new versioning policy
- built with perl-5.10.0-3

* Wed Jan 2 2008 Satoshi MACHINO <machino@vinelinux.org> 5.4.1-0vl1
- new upstream release
- fixed spec file
    -- imported patches from FC9

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.1.2-0vl5
- rebuilt with openssl 0.9.8e

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 5.2.1.2-0vl4
- rebuild with new environment/toolchain

* Thu Dec 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.1.2-0vl3
- rebuilt with new rpm
- added mib2c-update to perl package

* Mon Oct 24 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1.2-0vl2
- rebuilt for VineSeed

* Mon Oct 24 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1.2-0vl1
- new upstream version (net-snmp-5.2.1.2)
- dropped enable-reentrant in configure (VinePlus:02769)

* Sat Jan 29 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1-0vl1
- new upstream version (net-snmp-5.2.1)
- dropped patch12

* Mon Jan 03 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2-0vl1
- new upstream version (net-snmp-5.2)
- changed to net-snmp-vl.spec
- cleaned up patches

* Thu Apr 29 2004 Satoshi MACHINO <machino@vinelinux.org> 5.1.1-0vl1
- New upstream version (net-snmp-5.1.1)
- dropped patch10
- added some patches from fedoracore (patch16-18)
- fixed patches (patch13,14)
- enabled openssl in configure

* Mon Feb 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-9vl1
- based on Fedora development 5.1-9
  * Tue Feb 03 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-9
  - Reverted removal of _includir redefiniton due to php-snmp dependancy.
  - Remove SO_BSDCOMPAT setsockopt() call, deprecated.
  * Thu Jan 22 2004 Thomas Woerner <twoerner@redhat.com> 5.1-7
  - enabled pie (snmpd, snmptrapd) - postponed for ia64
  - added --with-pic to configure call
  * Thu Jan 15 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-6
  - Fixed 64bit build problems when 32bit popt lib is installed.
- added Requires: libelf-devel to net-snmp-devel package

* Fri Dec 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-3vl1
- based on Fedora development 5.1-3 and don't apply patch9
  * Wed Dec 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-3
  - Removed snmpcheck again, needs perl(Tk) which we don't ship (#111194).
  - Fixed getopt definition in include file (#111209).
  - Included Kaj J. Niemi's patch for broken perl module (#111319).
  - Included Kaj J. Niemi's patch for broken async getnext perl call (#111479).
  - Included Kaj J. Niemi's patch for broken hr_storage (#111502).
  * Wed Nov 26 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-2
  - Included BuildPrereq on lm_sensors-devel on x86 archs (#110616).
  - Fixed deprecated initscript options (#110618).
  * Wed Nov 19 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-1
  - Updated to latest net-snmp-5.1 upstream version.
  - Tons of specfile and patch cleanup.
  - Cleaned up perl stuff (mib2c etc, see #107707).
  - Added lm_sensors support patch for x86 archs from Kaj J. Niemi (#107618).
  - Added support for custom mib paths and mibs to snmptrapd initscript (#102762)
- rebuild with new toolchains

* Tue Nov 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.0.9-2vl1
- based on Fedora development 5.0.9-2
- merged ucd-snmp-vine.spec
  * Wed Nov 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.2.5-7vl2
  - added Patch100 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=67610)
    (Thanks M. Matsubara-san for pointing this out)
  * Wed Nov 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.2.5-7vl1
  - based on 4.2.4-7.73.0 from RHL7.3/updates and built for Vine Linux
    (previous Vine version was 4.2.3-1vl1, which was based on 4.2.1-7
     and applied security fix CA-2002-03)
  - added BuildPreReq: rpm-devel >= 4.0.4

* Mon Oct 13 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-2
- Due to rpm-devel we need elfutils-devel, too (#103982).

* Mon Sep 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-1
- Updated to latest upstream version net-snmp-5.0.9
- Added patch to fix net-snmp-perl problems (#105842).

* Tue Sep 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tcp_wrappers

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11
- Fixed permission for net-snmp-config in net-snmp-devel

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10.1
- rebuilt

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10
- Moved net-snmp-config into devel package (#103927)

* Fri Aug 22 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9.1
- rebuilt

* Thu Aug 21 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9
- Added sample config to make net-snmp RFC 1213 compliant.

* Fri Aug 15 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-8
- Fixed problem with perl option (#102420).
- Added patch for libwrap fix (#77926).

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7.1
- rebuilt

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7
- Fixed build problems on ppc64
- Fixed double packaged manpages (#102075).

* Thu Aug 07 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed problem with new proc output (#98619, #89960).

* Wed Aug 06 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed ro/rw problem with v2 and v3 request (#89612)

* Tue Aug 05 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed permission problem for debuginfo (#101456)

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6.1
- Fixed file list for latest build.

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6
- Fixed build problems for net-snmp-perl.

* Sun Jul 27 2003 Florian La Roche <Florian.LaRoche@redhat.de> 5.0.8-5
- actually apply ipv6 patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-3
- bumped release and rebuilt.

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-2
- Hack to make it build on 64bit platforms with /usr/lib64 correctly.
- Fixed bug #85071 (leak of open descriptors for ipv6).

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-1
- Updated to latest upstream version 5.0.8 (bug #88580)

* Thu Feb 13 2003 Phil Knirsch <pknirsch@redhat.com>
- Included generation of perl stuff. Thanks to Harald Hoyer.

* Wed Feb 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.7-1
- Updated to net-snmp-5.0.7. Fixed especially the performance problem with
  limited trees.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-17
- Fixed ucd-snmp.redhat.conf (#78391).
- Fixed snmpwalk examples in config file.

* Mon Feb 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-15
- Fixed invalid SMUX packet (#83487).

* Thu Feb 06 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-14
- Fixed the libdir problem.

* Wed Feb 05 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-13
- Updated the old libtool rpath patch.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 5.0.6-12
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-11
- Updated nolibelf patch and activated it again.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 5.0.6-10
- Rebuild

* Tue Dec 17 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-9
- Added bzip2-devel to BuildPreReq (#76086, #70199).

* Thu Nov 28 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-8
- Added patch to increase SMUXMAXSTRLEN. 

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 5.0.6-6
- rebuilt to fix broken deps
- remove files from the buildroot that we don't want to ship

* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 5.0.6-5
- add fix for -DUCD_COMPATIBLE (#77405)

* Thu Nov 07 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-4
- Another bump required. Some more specfile changes.

* Wed Nov 06 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-3
- Bumped release and rebuilt.
- Removed all dbFOO cruft again.

* Wed Oct 09 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-2
- Updated to latest released version.

* Sat Aug 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not link against -lelf

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-5
- Added --enable-ucd-snmp-compatibility for compatibility with older version
  and fixed installation thereof.
- Got rid of the perl(Tk) dependancy by removing snmpcheck.
- Include /usr/include/ucd-snmp in the filelist.
- Fixed a problem with the ucd-snmp/version.h file.

* Wed Jun 26 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-1
- Updated to 5.0.1
- Dropped --enable-reentrant as it's currently broken

* Tue Apr 23 2002 Phil Knirsch <pknirsch@redhat.com> 5.0-1
- Switch to latest stable version, 5.0
- Renamed the packate to net-snmp and obsoleted ucd-snmp.

* Wed Apr 17 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4-3
- Fixed problem with reload in initscript (#63526).

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-2
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-1
- update to 4.2.4 final

* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-5
- Added some missing files to the %files section.

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-4
- Hardcoded the ETC_MNTTAB to point to "/etc/mtab".

* Mon Apr 08 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-3
- Removed the check for dbFOO as we don't want to add another requirement.

* Fri Apr 05 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-2
- Added missing BuildPrereq to openssl-devel (#61525)

* Thu Apr 04 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-1
- Added ucd5820stat to the files section.
- Updated to latest version (4.2.4.pre3)

* Mon Mar 18 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre2-1
- Updated to latest version (4.2.4.pre2)

* Tue Jan 29 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-4
- Added the snmptrapd init script as per request (#49205)
- Fixed the again broken rpm query stuff (#57444)
- Removed all old and none-used db related stuff (libs and header checks/files)

* Mon Jan 07 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-2
- Included the Axioma Security Research fix for snmpnetstat from bugtraq.

* Mon Dec 03 2001 Phil Knirsch <phil@redhat.de> 4.2.3-1
- Update to 4.2.3 final.
- Fixed libtool/rpath buildroot pollution problem.
- Fixed library naming problem.

* Fri Oct  5 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a server segfault for snmpset operation (#53640). Thanks to Josh Giles
  and Wes Hardaker for the patch.

* Mon Sep 10 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed problem with RUNTESTS script.

* Tue Sep  4 2001 Preston Brown <pbrown@redhat.com>
- fixed patch related to bug #35016 (Dell)

* Fri Aug 24 2001 Philipp Knirsch <pknirsch@redhat.de> 4.2.1-6
- Fixed snmpd description (#52366)

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de>
- Final bcm5820 fix. Last one was broken.
- Fixed bugzilla bug (#51960) where the binaries contained rpath references.

* Wed Aug 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a couple of security issues:
  o /tmp race and setgroups() privilege problem
  o Various buffer overflow and format string issues.
  o One signedness problem in ASN handling.
- Fixed an important RFE to support bcm5820 cards. (#51125)

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed tkmib from the package once again as we don't ship the Tk.pm CPAN
  perl module required to run it (#49363)
- Added missing Provides for the .so.0 libraries as rpm doesn't seem to find
  those during the build anymore (it used to) (#46388)

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de>
- Enabled IPv6 support (RFE #47764)
- Hopefully final fix of snmpwalk problem (#42153). Thanks to Douglas Warzecha
  for the patch and Matt Domsch for reporting the problem.

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed smux compilation problems (#41452)
- Fixed wrong paths displayed in manpages (#43053)

* Mon Jun 25 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 4.2.1. Removed 2 obsolete patches (fromcvs and #18153)
- Include /usr/share/snmp/snmpconf in %files

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- fix to use libwrap in distro
- add buildprereq: tcp_wrappers

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- add a *new* patch for IP address return sizes

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- add patch so that only four bytes are returned for IP addresses on ia64 (#32244)

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing alpha packages)

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- added ucd-snmp-4.2-null.patch to correcly handle a NULL value (#35016)

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- clean up deinstallation (#34168)

* Tue Mar 27 2001 Matt Wilson <msw@redhat.com>
- return a usable RETVAL when running "service snmpd status" (#33571)

* Tue Mar 13 2001 Matt Wilson <msw@redhat.com>
- configure with --enable-reentrant and added "smux" and "agentx" to
  --with-mib-modules= argument (#29626)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsrod <teg@redhat.com>
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsrod <teg@redhat.com>
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
