Name:           netcdf-cxx
Version:        4.2
Release:        13%{?_dist_release}
Summary:        Legacy netCDF C++ library
Summary(ja):    レガシーな netCDF C++ ライブラリ

Group:          System Environment/Libraries
License:        NetCDF
URL:            http://www.unidata.ucar.edu/software/netcdf/
Source0:        ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-cxx-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  netcdf-devel

%description
Legacy netCDF C++ library.  This library is provided for backward
compatibility only. New C++ development should be done with the netCDF
CXX4 C++ library.


%package devel
Summary:         Development files legacy netCDF C++ library
Summary(ja):     レガシーな netCDF C++ ライブラリの開発用ファイル
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        netcdf-devel
Requires(post):  install-info
Requires(preun): install-info

%description devel
This package contains the legacy netCDF C++ library header files and shared
devel library.


%package static
Summary:        Static libraries for legacy netCDF C++ library
Summary(ja):    レガシーな netCDF C++ 静的ライブラリ
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description static
This package contains the netCDF static libraries.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info \
		   %{_infodir}/dir 2>/dev/null || :

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info \
		       %{_infodir}/dir 2>/dev/null || :
fi


%files
%doc COPYRIGHT cxx/README
%{_libdir}/libnetcdf_c++.so.*

%files devel
%doc examples man4/%{name}.pdf
%{_includedir}/ncvalues.h
%{_includedir}/netcdf.hh
%{_includedir}/netcdfcpp.h
%{_libdir}/libnetcdf_c++.so
%{_infodir}/%{name}.info*

%files static
%{_libdir}/libnetcdf_c++.a


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> - 4.2-13
- rebuild with gcc-5.4.0

* Tue Jan 27 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 4.2-12
- Initial build for Vine Linux

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2-6
- Add Requires netcdf-devel

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-5
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 5 2011 Orion Poplawski <orion@cora.nwra.com> - 4.2-3
- Move info file to -devel
- Add examples and pdf to -devel documentation
- Drop %%defattr, %%clean, BuildRoot

* Mon Oct 3 2011 Orion Poplawski <orion@cora.nwra.com> - 4.2-2
- Use %%{?_isa} in Requires
- Change -static to require the -devel package

* Fri Sep 30 2011 Orion Poplawski <orion@cora.nwra.com> - 4.2-1
- Initial package
