%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%define sname nettle

Name:           nettle271
Version:        2.7.1
Release:        5%{?_dist_release}
Summary:        A low-level cryptographic library
Summary(ja):    低レベル暗号化ライブラリ

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.lysator.liu.se/~nisse/nettle/
Source0:        http://www.lysator.liu.se/~nisse/archive/%{sname}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gmp-devel
BuildRequires:  m4

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Vendor:		Project Vine
Distribution:	Vine Linux

%if %{build_compat32}
%package -n compat32-%{name}
Summary:        A low-level cryptographic library
Summary(ja):    低レベル暗号化ライブラリ
Group:          System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
%endif

%description
Nettle is a cryptographic library that is designed to fit easily in more
or less any context: In crypto toolkits for object-oriented languages
(C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in
kernel space.

%if %{build_compat32}
%description -n compat32-%{name}
Nettle is a cryptographic library that is designed to fit easily in more
or less any context: In crypto toolkits for object-oriented languages
(C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in
kernel space.
%endif

%prep
%setup -q -n %{sname}-%{version}

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install-shared DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
#/usr/bin/iconv -f iso8859-1 -t utf-8 README > README.conv && /bin/mv -f README.conv README
#/usr/bin/iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && /bin/mv -f ChangeLog.conv ChangeLog
#/usr/bin/iconv -f iso8859-1 -t utf-8 nettle.info > nettle.info.conv && /bin/mv -f nettle.info.conv nettle.info
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -p -m 644 nettle.info $RPM_BUILD_ROOT%{_infodir}/

chmod 755 $RPM_BUILD_ROOT%{_libdir}/libhogweed.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libnettle.so.*

rm -rf %{buildroot}/%{_libdir}/*.a
rm -rf %{buildroot}/%{_infodir}/dir

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README TODO
# %{_infodir}/nettle.info.gz
# %{_bindir}/nettle-hash
# %{_bindir}/nettle-lfib-stream
# %{_bindir}/pkcs1-conv
# %{_bindir}/sexp-conv
%{_libdir}/libhogweed.so.*
%{_libdir}/libnettle.so.*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root, 0755)
%{_libdir}/libhogweed.so.*
%{_libdir}/libnettle.so.*
%endif

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig
%endif

%changelog
* Mon Dec 28 2015 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.7.1-5
- compatible package nettle271

* Thu Dec 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.7.1-4
- fixed Requires typo of compat32-nettle-devel package

* Sun Oct 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.7.1-3
- moved nettle to System Environment/Libraries Group

* Sun Feb  9 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.7.1-2
- add compat32,compat32-devel packages

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.7.1-1
- update to 2.7.1

* Fri Dec 02 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.4-1
- initial build for VineSeed

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 10 2008 Ian Weller <ianweller@gmail.com> 1.15-5
- Moved static lib to -static

* Mon Mar 24 2008 Ian Weller <ianweller@gmail.com> 1.15-4
- Added libraries and ldconfig

* Mon Feb 18 2008 Ian Weller <ianweller@gmail.com> 1.15-3
- Added provides -static to -devel

* Sun Feb 17 2008 Ian Weller <ianweller@gmail.com> 1.15-2
- Removed redundant requires
- Removed redundant documentation between packages
- Fixed license tag
- Fixed -devel description
- Added the static library back to -devel
- Added make clean

* Fri Feb 08 2008 Ian Weller <ianweller@gmail.com> 1.15-1
- First package build.
