%define gtk3_version		3.4.0
%define glib2_version		2.32.0
%define libcanberra_version	0.28
%define dbus_version		0.98
%define libnotify_version	0.7.5

Summary: Notification Daemon 
Name: notification-daemon
Version: 3.20.0
Release: 2%{?_dist_release}
Group: System Environment/Libraries

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: GPL
URL: http://www.galago-project.org/specs/notification/ 

%define shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0: https://ftp.gnome.org/pub/GNOME/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: libcanberra-gtk3-devel >= %{libcanberra_version}
BuildRequires: libnotify-devel >= %{libnotify_version}


%description
notification-daemon is the server implementation of the freedesktop.org
desktop notification specification.  


%prep
%setup -q

# install japanese message catalog
#%{__cp} %{SOURCE1} po/ja.po

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc ChangeLog NEWS
%{_libexecdir}/notification-daemon
%{_datadir}/applications/notification-daemon.desktop

%changelog
* Fri Mar 20 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.20.0-2
- rebuilt with current environment.

* Sat Jul 16 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.6-2
- rebuild with VineSeed environment

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.6-1
- new upstream release

* Tue Jun 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.5-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.3-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.2-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-1
- new upstream release
- drop all sources and patches
- add BuildRequires: libcanberra-gtk3-devel

* Sun May 16 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-6
- update Source201

* Sat May 15 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-5
- rebuild with new toolchain
- update Source201 (add modified coco theme as new default)
- add patch300 to use gvfs-open instead of gnome-open
- add patch310 to change notification bubble position
- add patch320 to add new vine theme
- add patch340 to change default notification localtion to top_right.
- add BR: libwnck-devel

* Sun Aug 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-4
- add Categories=DesktopSettings for notification-properties.desktop

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-3
- add Source200, Patch200,201
  - add vine theme engine based on ubuntu engine.

- add patch101-109 from ubuntu
  - Patch103: fix xinerama stack
  - Patch104: dont crash on critical warnings
  - Patch105: fix notification spacing
  - Patch107: fix memleak
  - Patch109: fix crash on theme changing

* Sat Mar 28 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-2
- add japanese translation (Source1 and Patch1)
- prperly install/uninstall gconf schemas
- update gtk icon cache with %%post, %%postun

* Fri Mar 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-1
- new upstream release
- change required gtk2 version to 2.10.0

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.7-1
- applied new versioning policy

* Tue Dec 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.7-0vl2
- rebuilt with libwnck 2.20.2

* Tue May 29 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.7-0vl1
- new upstream release
- rebuilt with libsexy 0.1.10
- added BuildRequores: libsexy-devel

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.5-0vl1
- new upstream release

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.4-0vl1
- initial build for Vine Linux partialy based on FC package.

* Wed Mar 08 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3.1-9
- Add patch to fix struct handling in the dbus glib binding for dbus 0.61
  so image data works again

* Tue Feb 14 2006 Christopher Aillon <caillon@redhat.com> - 0.3.1-8
- BuildRequires love, for all you lovers out there.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-7.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts from .spec file

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-6.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Christopher Aillon <caillon@redhat.com> - 0.3.1-6
- Add patch to determine whether a compositing manager is running
  when drawing a new notification bubble, as long as the CM grabs
  the appropriate XSelection.

* Fri Jan 20 2006 Christopher Aillon <caillon@redhat.com> - 0.3.1-5
- Make it so that marked-up messages appear with markup

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.1-4
- Provide desktop-notification-daemon, since libnotify requires a
  notification deamon, but not this specific one.  Other notification
  daemons can exist on the system so long as they meet the provides
  (and the API of course).

* Mon Jan  9 2006 Christopher Aillon <caillon@redhat.com> - 0.3.1-3
- Fix positioning of the notification bubble to not draw off-screen

* Wed Dec 14 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.1-2
- Actuall release of 0.3.1

* Thu Nov 17 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.1-1
- Upgrade to upstream 0.3.1 

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-1
- inital build
