Summary: NSS module for Multicast DNS name resolution
Name: nss-mdns
Version: 0.14.1
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

URL: https://github.com/lathiat/nss-mdns
License: LGPLv2.1+
Source0: https://github.com/lathiat/nss-mdns/releases/download/v%{version}/nss-mdns-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: avahi

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality 
of the GNU C Library (glibc) providing host name resolution via Multicast 
DNS (using Zeroconf, aka Apple Bonjour / Apple Rendezvous ), effectively 
allowing name resolution by common Unix/Linux programs in the ad-hoc mDNS 
domain .local.


%debug_package


%prep
%setup -q


%build
%configure --libdir=/%{_lib}
%make_build


%install
rm -rf %{buildroot}
%makeinstall


%check
make check || (cat ./test-suite.log; false)


%clean
rm -rf %{buildroot}


%ldconfig_scriptlets


%files
%defattr(-,root,root)
%license LICENSE
%doc README.md NEWS.md ACKNOWLEDGEMENTS.md
%{_libdir}/*.so.*


%changelog
* Thu Mar 04 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.14.1-1
- new upstream release.

* Tue Jan 29 2013 IWAI, Masaharu <iwai@alib.jp> 0.10-2
- rebuild with current Vine Linux
- add Vendor and Distribution tags
- update License: LGPL -> LGPLv2.1+

* Fri Jul 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.10-1
- rebuild with current VineSeed environment under new versioning policy

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10-0vl2
- rebuild for VineSeed

* Sun Jun 17 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10-0vl1
- initial release for Vine Linux 4.1
