%define pkgname chromium-extra-plugins

%define sourceurl0 https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm
%define sourceurl1 https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm

Summary:    The proprietary plugins for chromium
Summary(ja):    Chromium 用プロプライエタリプラグイン
Name:		self-build-%{pkgname}
Version:	52.0.2743.82
Release: 	1%{?_dist_release}
Source0:	%{pkgname}-vl.spec

License:    BSD-3-Clause, LGPL-2.1+
Group:		Applications/Internet

Obsoletes:      self-build-%{pkgname} < %{version}-%{release}
BuildArch:		x86_64

Requires(post):		self-build-setup >= 0.9.9
Requires(post):		chromium >= %{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
This package includes the proprietary plugins for chromium.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

%description -l ja
このパッケージには Chromium 用のプロプライエタリなプラグイン
が含まれております。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
%ifarch x86_64
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl1} 4800
%else
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl0} 4800
%endif

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*

%changelog
* Fri Jul 22 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 52.0.2743.82-1
- new upstream release

* Sat Jun 25 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 51.0.2704.106-1
- new upstream release

* Sat Jun 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 51.0.2704.103-1
- new upstream release

* Wed Jun 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 51.0.2704.84-1
- new upstream release

* Sat May 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 51.0.2704.63-1
- new upstream release

* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 50.0.2661.102-1
- new upstream release

* Tue May 03 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 50.0.2661.94-1
- new upstream release

* Sun Apr 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 50.0.2661.87-1
- new upstream release

* Mon Mar 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 49.0.2623.108-1
- new upstream release
- add BuildArch: x86_64

* Sun Feb 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.109-1
- new upstream release

* Sat Feb 06 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.103-1
- new upstream release

* Thu Jan 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.97-1
- new upstream release

* Sat Jan 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 48.0.2564.82-1
- new upstream release

* Thu Dec 17 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.106-1
- new upstream release

* Tue Dec 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.80-1
- new upstream release

* Fri Dec 04 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.2526.73-1
- new upstream release

* Thu Nov 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.86-1
- new upstream release

* Sat Oct 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.80-1
- new upstream release

* Mon Oct 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.2490.71-1
- new upstream release

* Fri Oct 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.2454.101-1
- new upstream release

* Wed Sep 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.2454.85-1
- new upstream release

* Sun Aug 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.157-1
- new upstream release

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.155-1
- new upstream release

* Sun Aug 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.130-1
- new upstream release

* Sat Aug 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2403.125-1
- new upstream release

* Mon Jul 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.134-1
- new upstream release

* Thu Jul 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.132-1
- new upstream release

* Sun Jun 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.130-1
- new upstream release

* Sun Jun 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.124-1
- new upstream release

* Sun May 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.81-1
- new upstream release

* Wed May 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2357.65-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 42.0.2311.135-1
- initial build

