## TODO: build with opencore-amr

%define major		1.0
%define _gst_ver	1.8.2
%define _gstpb_ver	1.8.2

Summary:	GStreamer Streaming-media framework libav(FFmpeg) plugins
Summary(ja):	GStreamer ストリーミングメディアフレームワーク用 libav(FFmpeg) プラグイン
Name:		gstreamer1-plugins-libav
Version:	1.8.2
Release:	1%{?_dist_release}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://gstreamer.freedesktop.org/
Source:		http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gstreamer1 >= %{_gst_ver}
Requires:	gstreamer1-plugins-base >= %{_gstpb_ver}

BuildRequires:	gstreamer1-devel >= %{_gst_ver}
BuildRequires:	gstreamer1-plugins-base-devel >= %{_gstpb_ver}
BuildRequires:	orc-devel >= 0.4.16

# *-devel packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as PreReq.
##BuildRequires:	ffmpeg-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.


%description -l ja
GStreamer はメディアデータ操作用の filter graph をベースにしたスト
リーミングメディアフレームワークです。 このライブラリを使用すれば
アプリケーションは、サウンドのリアルタイム処理からビデオ再生まで、
メディアに関係する全ての機能が利用できます。また Gstremer はプラグ
イン方式を採用していることから、新しい種類のデータや機能への対応が、
プラグインを追加することで簡単に実現できます。

このパッケージは品質も機能も問題は無いものの、配布すると問題になる
可能性があるプラグインを含んでいます。プラグインとそのサポート・ライ
ブラリのライセンスも Gstreamer とは異なっています。一般には特許に
関連するコードとして良く知られています。


%prep
%setup -q -n gst-libav-%{version}


%build
%configure \
    --disable-static \
	--disable-gtk-doc-html 

%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall

# Clean out files that should not be part of the rpm.
%__rm -f %{buildroot}%{_libdir}/gstreamer-%{major}/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/*.{a,la}
%__rm -rf %{buildroot}%{_datadir}/gtk-doc

%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/gstreamer-%{major}/*.so


%changelog
* Sat Jul 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Wed May 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.4-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.3-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Tue Nov 18 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release

* Sun Mar 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Sun Oct 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Sep 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- initial build
