%define pkgname lame
%define name	self-build-%{pkgname}
%define version	3.99.5
%define release	2%{?_dist_release}

#% define sourceurl http://prdownloads.sourceforge.net/lame/lame-%{version}.tar.gz
%define sourceurl http://prdownloads.sourceforge.net/lame/lame-%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source101:	lame-noexecstack.patch
Source110:	lame-3.99-libs-termcap.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 1.0.0

# (build)requies of target package.
%{?enable_brhist:Requires(post):	ncurses}
%{?enable_brhist:Requires(post):	ncurses-devel}
Requires(post):		gtk+
Requires(post):		gtk+-devel
Requires(post):		nasm

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
Lame is an open source developing mp3 encoder.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
lame はオープンソースで開発されている mp3 エンコーダです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE101} %{SOURCE110} \
    ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 61000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-mp3x-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}


%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Jul 03 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.99.5-2
- fix lame-vl.spec for i686

* Sat May 26 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.99.5
- new upstream release

* Sun Sep 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.4-2
- added BuildArch: noarch
- disable the VBR bitrate histgrum feature

* Sat Mar 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.4-1
- new upstream release

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.3-1
- new upstream release
- renamed %%{Source0} to lame-vl.spec

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.2-2
- rebuilt to add signature

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 3.98.2-1
- new upstream release

* Fri Jun 05 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-5
- dropped BuildArch: noarch
  (because if BuildArch: noarch, %%ifarch is invalid)

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-4
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.97-3
- spec in utf8
- remove *.la

* Wed May 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-2
- change %%{__make} option to -j1 in Source0 <BTS:VineLinux:611>
- remove trailing /* in %%files <BTS:VineLinux:622>

* Sat May 03 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-1
- run pre-allocate-rpm.sh in %%post
- set PreReq: self-build-setup >= 0.8
- apply new versioning policy

* Thu Nov 01 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-0vl3
- update description about self-build package

* Mon Oct 22 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-0vl2
- unset BuildArch: noarch

* Thu Oct 18 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.97-0vl1
- initial build for Vine Linux
  (using same version number of target software)
