%define pkgname		mikutter

%define sourceurl	http://mikutter.hachune.net/bin/%{pkgname}.%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		self-build-%{pkgname}
Version:	3.2.12
Release: 	1%{?_dist_release}
Source0:	%{pkgname}-vl.spec
License:	GPLv3
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):		alsa-utils
Requires(post):		ruby >= 1.9.3
Requires(post):		ruby-gtk2 >= 1.5.0
Requires(post):		rcairo >= 1.10.0
Requires(post):		desktop-file-utils

# for gem install
Requires(post):		ruby-devel
Requires(post):		zlib-devel

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	Takemikaduchi

%description
mikutter is simple, powerful and moeful twitter client.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
全てのミク廃、そして Twitter 中毒者へ贈る、至高の Twitter
Client を目指す Twitter Client。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 5000
gem install nokogiri httpclient moneta

%files
%{_datadir}/%{name}

%changelog
* Mon Feb 01 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.12-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.9-1
- new upstream release

* Fri Sep 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.6-2
- rebuild with ruby-2.2.3

* Sat Aug 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.6-1
- new upstream release

* Sat Aug 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.5-1
- new upstream release

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.4-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sun Oct 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.7-1
- new upstream release

* Tue Sep 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.6-1
- new upstream release

* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.5-1
- new upstream release

* Sun Jul 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.3-1
- new upstream release

* Sun Jun 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2.1537-1
- new upstream release

* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2.1476-1
- new upstream release

* Tue Dec 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2.1430-1
- new upstream release

* Sun Nov 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2.1410-1
- initial build

