%define pkgname mplayer-codecs
%define name    self-build-%{pkgname}
%define version 20071007
%define release 7%{?_dist_release}

%ifarch %{ix86}
%define source0path MPlayer/releases/codecs/essential-%{version}.tar.bz2
%endif
%ifarch ppc
%define source0path MPlayer/releases/codecs/essential-ppc-%{version}.tar.bz2
%endif
%ifarch x86_64
%define source0path MPlayer/releases/codecs/essential-amd64-%{version}.tar.bz2
%endif


Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	GPL
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
Binary codecs for MPlayer.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
MPlayer 用のバイナリ Codec です。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec \
  http://www{1,2,3,4,5,7,8}.mplayerhq.hu/%{source0path} 2250

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*

%changelog
* Mon Jan 19 2015 Munehiro Yamamoto <munepi@vinelinux.org> 20071007-7
- dropped Requires: libstdc++3

* Sun Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 20071007-6
- renamed %%{Source0} to mplayer-codecs-vl.spec

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-5
- added Requires: libstdc++3

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-4
- dropped BuildArch: noarch

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-3
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-2
- spec in utf8
- fixed %%release for new versioning policy in mplayer-codecs.spec
- dropped ttfontdir variable in mplayer-codecs.spec

* Sun Jun 08 2008 Atsushi SHICHI <ats777@gmail.com> 20071007-1
- build with new versioning policy.
- fix <BTS:VineLinux:603>.
  - add ">= 0.7-1" to "PreReq: self-build-setup".
  - add mirror URLs to self-build-rpm.sh.

* Sun Mar 2 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-0vl2
- change source download URL. (see <BTS:VineLinux:603>)

* Fri Jan 18 2008 Kazutaka HARADA <Kazutaka HARADA> 20071007-0vl1
- initial build for Vine Linux.
