%define pkgname nautilus-dropbox
%define name	self-build-%{pkgname}
%define version 1.6.2
%define release 1%{?_dist_release}

%define sourceurl https://www.dropbox.com/download?dl=packages/nautilus-dropbox-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
License:	GPLv2 and non-free
Group:		Restricted Software

# requires: downloading from https
Requires(post):	self-build-setup >= 0.9.9

Requires(post): nautilus-devel >= 2.16.0
Requires(post): glib2-devel >= 2.14.0
Requires(post): libnotify-devel >= 0.4.4
Requires(post): pygtk2
Requires(post): python-docutils

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	iwaim, shaolin, daisuke

%description
Dropbox extension for Nautilus.
Dropbox is online backup, file sync and sharing made easy web seavice.
See https://www.dropbox.com/

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
Nautilus のための Dropbox 拡張。
Dropbox はオンラインバックアップやファイルの同期と共有を簡単に
実現するウェブサービスです。
詳細は https://www.dropbox.com/ を見てください。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl}" 65000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-images-nonfree-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/self-build-%{pkgname}

%changelog
* Mon Aug 18 2014 Munehiro Yamamoto <munepi@vinelinux.org> 1.6.2-1
- new upstream release

* Fri Jul 27 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-1
- new upstream release 

* Thu Jul  7 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.6.8-1
- new upstream release

* Tue Nov 16 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.6.7-1
- new upstream release

* Sat Mar 13 2010 IWAI, Masaharu <iwai@alib.jp> 0.6.1-1
- initial release for Vine Linux
