Summary: H.265/HEVC encoder library
Name:    x265
Version: 3.2
Release: 1%{?_dist_release}

Group:   System Environment/Libraries
URL:     http://x265.org/

Source0: http://ftp.videolan.org/pub/videolan/x265/x265_%{version}.tar.gz
# link test binaries with shared library
Patch1: x265-test-shared.patch
Patch4: x265-detect_cpu_armhfp.patch
# source/Lib/TLibCommon - BSD
# source/Lib/TLibEncoder - BSD
# everything else - GPLv2+

License: GPLv2+ and BSD

BuildRequires: cmake
BuildRequires: yasm

%description
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the
highest performance on a wide variety of hardware platforms.

This package contains the command line encoder and the shared library.

%package devel
Summary: H.265/HEVC encoder library development files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the
highest performance on a wide variety of hardware platforms.

This package contains the shared library development files.

%prep
%setup -q -n x265_%{version}
# %patch1 -p1 -b .ts
# %patch4 -p1 -b .armhfp

%build
%cmake -G "Unix Makefiles" \
 -DCMAKE_SKIP_RPATH:BOOL=YES \
 -DENABLE_PIC:BOOL=ON \
 -DENABLE_TESTS:BOOL=ON \
 source
%__make %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install
%__rm %{buildroot}%{_libdir}/libx265.a || exit 1
# %__install -Dpm644 COPYING %{buildroot}%{_pkgdocdir}/COPYING

# %ifnarch %{arm}
# %check
# LD_LIBRARY_PATH=%{buildroot}%{_libdir} test/TestBench
# %endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/x265
%doc COPYING
%{_libdir}/libx265.so.*

%files devel
%doc doc/*
%{_includedir}/x265.h
%{_includedir}/x265_config.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/x265.pc

%changelog
* Wed Oct 09 2019 Toshiaki Ara <ara_t@384.jp> 3.2-1
- new upstream release (ABI 179)

* Sat Jan 23 2016 Munehiro Yamamoto <munepi@vinelinux.org> 1.8-1
- new upstream release (ABI 68)

* Sat Jul 11 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.7-1
- new upstream release (ABI 59)

* Sat Jul 11 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.6-1
- new upstream release (ABI 51)
- release tarballs are now hosted on videolan.org

* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-2
- rebuild

* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-1
- new upstream release (ABI 43)
- drop x265-pc-path.patch
- add x265-1.5-test-shared.patch

* Sat Feb  7 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4-2
- added Group tag to Source0

* Fri Jan  2 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.4-1
- new upstream release (ABI 35)
- initial build based on RPM Fusion rawhide

* Sun Aug 17 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-5
- don't include contributor agreement in doc
- make sure /usr/share/doc/x265 is owned
- add a comment noting which files are BSD-licenced

* Fri Aug 08 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-4
- don't create bogus soname (patch by Xavier)

* Thu Jul 17 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-3
- fix tr call to remove DOS EOL
- build the library with -fPIC on arm and i686, too

* Sun Jul 13 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-2
- use version in source URL
- update License tag
- fix EOL in drag-uncrustify.bat
- don't link test binaries with shared binary on x86 (segfault)

* Thu Jul 10 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-1
- initial build
- fix pkgconfig file install location
- link test binaries with shared library
