%define pkgname xbmc
%define codename Gotham
%define name	self-build-%{pkgname}

%define sourceurl http://mirrors.kodi.tv/releases/source/old/%{pkgname}-%{version}.tar.gz
#% define sourceurl https://github.com/xbmc/xbmc/archive/%{codename}.zip

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	13.2
Release: 	1%{?_dist_release}
Source0:	%{pkgname}-vl.spec
Source1:	%{pkgname}.desktop
#Source2:	%{pkgname}-%{version}-strings.xml
#Source3:	%{pkgname}-%{version}-Confluence-strings.xml
Source4:	%{pkgname}-%{version}-default-locale.patch
#Source5:	%{pkgname}-%{version}-use-pkgconfig-for-samba.patch
#Source6:	%{pkgname}-%{version}-dvdread.patch
Source7:	%{pkgname}-%{version}-vine.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 1.0

# (build)requies of target package.
#Requires(post):	lsb
Requires(post):	python-imaging
Requires(post):	pysqlite
Requires(post):	hicolor-icon-theme
Requires(post):	desktop-file-utils

%if %{?_dist_release} >= "vl7"
BuildRequires: mariadb-devel
%else
Requires(post):	MySQL-devel
%endif
Requires(post):	SDL_gfx-devel
Requires(post):	SDL_image-devel
Requires(post):	SDL_mixer-devel
Requires(post):	alsa-lib-devel
Requires(post):	avahi-devel
Requires(post):	bluez-libs-devel
Requires(post):	bzip2-devel
Requires(post):	cmake
Requires(post):	curl-devel
Requires(post):	cvs
Requires(post):	dbus-devel
Requires(post):	desktop-file-utils
Requires(post):	doxygen
Requires(post):	enca-devel
Requires(post):	flac-devel
Requires(post):	fontconfig-devel
Requires(post):	fribidi-devel >= 0.19
Requires(post):	glew-devel
Requires(post):	gperf
Requires(post):	gmp-devel
#Requires(post):	hal-devel
Requires(post):	jasper-devel
Requires(post):	java >= 1.6
Requires(post):	libXinerama-devel
Requires(post):	libXmu-devel
Requires(post):	libXrandr-devel
Requires(post):	libXtst-devel
Requires(post):	libass-devel
Requires(post):	libboost-devel
Requires(post):	libbluray-devel
Requires(post):	libcap-devel
Requires(post):	libcdio-devel
Requires(post):	libdvdread-devel
Requires(post):	expat-devel
Requires(post):	libjpeg-devel
Requires(post):	libmicrohttpd-devel
Requires(post):	libmms-devel
Requires(post):	libmodplug-devel
Requires(post):	libogg-devel
Requires(post):	libplist-devel
Requires(post):	libpng-devel
Requires(post):	libsamplerate-devel
Requires(post):	libssh-devel
Requires(post):	libssh2-devel
Requires(post):	libsmbclient-devel
Requires(post):	libtiff-devel
Requires(post):	libtool-ltdl-devel
Requires(post):	libudev-devel
Requires(post):	libusb-devel
Requires(post):	libva-devel
Requires(post):	libvorbis-devel
Requires(post):	libxml2-devel
Requires(post):	libxslt-devel
Requires(post):	nasm
Requires(post):	openssl-devel
Requires(post):	lzo-devel
Requires(post):	pcre-devel
Requires(post):	pulseaudio-libs-devel
Requires(post):	python-devel
Requires(post):	sqlite3-devel
Requires(post):	swig
Requires(post):	taglib-devel >= 1.8
Requires(post):	tinyxml-devel
Requires(post):	unzip
Requires(post):	wavpack-devel
Requires(post):	yajl-devel
Requires(post):	zlib-devel
Requires(post):	self-build-faac
Requires(post):	self-build-faad2
Requires(post):	self-build-lame
Requires(post):	self-build-libmad
Requires(post):	self-build-libmpeg2
Requires(post):	libvdpau-devel
Requires(post):	yasm
Requires(post):	libshairport-devel

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka, shaolin

%description
XBMC is an award-winning free and open source (GPL) software
media player and entertainment hub for digital media.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
XBMC はいくつもの賞を受賞したフリーでオープンソース (GPL) な、
デジタルメディア向けのメディアプレイヤー/メディアセンターです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} %{buildroot}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/%{name}
#%{__install} -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/%{name}
#%{__install} -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/%{name}
#%{__install} -m 644 %{SOURCE5} %{buildroot}/%{_datadir}/%{name}
#%{__install} -m 644 %{SOURCE6} %{buildroot}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE7} %{buildroot}/%{_datadir}/%{name}


%clean
%{__rm} -rf %{buildroot}


%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 588000


%files
%defattr(-,root,root)
%{_datadir}/%{name}


%changelog
* Mon Jan 12 2015 Munehiro Yamamoto <munepi@vinelinux.org> 13.2-1
- new upstream release (13.1 Gotham)
- dropped Requires(post): hal-devel

* Tue Jun 17 2014 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 13.1-1
- new upstream release (13.1 Gotham)
- add Source7 (Patch4) to get rid of lsb dependency

* Wed May  7 2014 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 13.0-1
- new upstream release (13.0 Gotham)
- source tarball not released yet - get the zip archive from github instead

* Fri Oct 25 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.2-4
- revert 12.2-3 changes (subtitles won't be displayed correctly)

* Wed Oct 23 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.2-3
- use external ffmpeg and other libraries

* Wed Oct 23 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.2-2
- minor fix

* Thu Aug  8 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.2-1
- new upstream release

* Mon Mar  4 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.0-2
- add patch to fix build failure with samba > 4.0 (BTS: 0002557)

* Sun Feb 10 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 12.0-1
- new upstream release

* Fri Mar 30 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0-5
- fix silly typo in Source11

* Thu Mar 29 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0-4
- Source11 and Source12 (Japanese strings) much updated

* Wed Mar 28 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0-3
- update Packager

* Wed Mar 28 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0-2
- update Source2 (Japanese strings)

* Wed Mar 28 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0-1
- new upstream release
- add build depencencies for bluez-libs-devel, yajl-devel, yasm & python-devel

* Fri Feb 04 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 10.0-3
- delete build_vine5 macro: libvdpau is now available on 5.2

* Thu Jan 27 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 10.0-2
- add --disable-ccache option (<BTS:VineLinux:1100>)
- update Source4 to change default timezone

* Sun Jan 23 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 10.0-1
- initial build for Vine Linux
