Name:		obconf
Version:	2.0.4
Release:	3%{?_dist_release}
Summary:	A graphical configuration editor for the Openbox window manager
Summary(ja):	Openbox ウインドウマネージャーのためのグラフィカルな設定エディター

Group:		User Interface/X
License:	GPLv2+
URL:		http://openbox.org/wiki/ObConf:About
Source0:	http://openbox.org/dist/obconf/%{name}-%{version}.tar.gz
Source1:        obconf-2.0.3-ja.po
#Patch0:         fix_freedesktop_compliance.patch
#Patch1:         revert_new_button_layout.patch
#Patch2:         show_specific_tab.dpatch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	openbox >= 3.5
BuildRequires:	openbox-devel >= 3.5
BuildRequires:	libglade2-devel
BuildRequires:	startup-notification-devel
BuildRequires:	pkgconfig
BuildRequires:	desktop-file-utils
BuildRequires:	libSM-devel

%description
ObConf is a graphical configuration editor for the Openbox window manager. 

%description -l ja
ObConf は Openbox ウインドウマネージャーのためのグラフィカルな設定エディターです。

%prep
%setup -q
## for ja.po
%{__cp} -f %{SOURCE1} po/ja.po
pushd po
%{__mv} LINGUAS LINGUAS.orig
grep -v '^ja' LINGUAS.orig > LINGUAS
echo 'ja' >> LINGUAS
msgfmt -o ja.gmo ja.po
popd

#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor vine	\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category	X-System	\
	--delete-original	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database %{_datadir}/applications &> /dev/null
:


%postun
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database %{_datadir}/applications &> /dev/null
:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Nov 15 2015 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0.4-3
- rebuilt with openbox-3.6

* Fri Jul 11 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 2.0.4-2
- rebuild with openbox-3.5
- use 2.0.4 release tar ball
- drop all patches

* Sat Feb 18 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0.4-1.git20120217
- new upstream release
  - built trunk snapshot
- added patch0-3 from Debian sid
- fixed Summary(ja) and description -l ja
- changed URL and Source0

* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0.3-4
- rebuilt with current environment

* Wed Mar 25 2009 IWAI, Masaharu <iwai@alib.jp> - 2.0.3-3
- add ja.po (SOURCE1)
  - update %%prep section for ja.po

* Fri Mar 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0.3-2vl5
- fixed some little problem

* Fri Mar 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.0.3-1vl5
- initial build for VineSeed
- fixed Requires: openbox >= 3.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 17 2008 Miroslav Lichvar <mlichvar@redhat.com> - 2.0.3-2
- Rebuild for new openbox

* Sun Feb 03 2008 Miroslav Lichvar <mlichvar@redhat.com> - 2.0.3-1
- Update to 2.0.3

* Wed Aug 22 2007 Miroslav Lichvar <mlichvar@redhat.com> - 2.0.2-2
- Update license tag

* Mon Jul 23 2007 Miroslav Lichvar <mlichvar@redhat.com> - 2.0.2-1
- Update to 2.0.2

* Thu Jun 14 2007 Miroslav Lichvar <mlichvar@redhat.com> - 2.0.1-1
- Update to 2.0.1

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 1.6-3
- Mass FC6 rebuild

* Thu Jul 13 2006 Peter Gordon <peter@thecodergeek.com> - 1.6-2
- Add BR: libSM-devel to fix build issue.

* Fri Jun 09 2006 Peter Gordon <peter@thecodergeek.com> - 1.6-1
- Initial packaging. 
