%define pkg_name    open_jtalk
%define pkg_version 1.10
%define pkg_release 1%{?_dist_release}

Summary:     Japanese text-to-speech synthesis system
Summary(ja): 日本語テキスト音声合成システム
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: Modified BSD license
Group:   Applications/Multimedia
URL:     https://osdn.jp/projects/sfnet_open-jtalk/
Source0: %{name}-%{version}.tar.gz
patch1:  jpcommon_label.c.patch
patch2:  open_jtalk.c.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: hts_engine_API-devel-static
Requires:      hts_voice

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
The Open JTalk is a Japanese TTS System.

%description -l ja
Open JTalk は、修正BSDライセンスの元で配布されている
日本語テキスト音声合成システムです。
Open JTalk は、オープンソースの形態素解析エンジンの
MeCab（和布蕪、めかぶ）、奈良先端大学を中心にして開発された
形態素解析用辞書のnaist-jdic、
隠れマルコフモデル(HMM)に基づく音声合成エンジンhts_engineを
用いています。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
%patch1 -p1
%patch2 -p1

%{configure} --with-charset=UTF-8 \
             --with-hts-engine-header-path=%{_includedir} \
             --with-hts-engine-library-path=%{_libdir}

%build
%{__make} %{?_smp_mflags}

%install
%{make_install}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/open_jtalk
%{__cp} ${RPM_BUILD_ROOT}%{_prefix}/dic/* \
        ${RPM_BUILD_ROOT}%{_datadir}/open_jtalk
%{__rm} -rf ${RPM_BUILD_ROOT}%{_prefix}/dic

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
%{_datadir}/open_jtalk/


%changelog
* Tue Dec 27 2016 Toshiaki Ara <ara_t@384.jp> 1.10-1
- new upstream release

* Tue Jun 28 2016 Toshiaki Ara <ara_t@384.jp> 1.09-2
- rebuild with gcc-5.4.0

* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 1.09-2
- correct SPEC file

* Mon Dec 28 2015 Toshiaki Ara <ara_t@384.jp> 1.09-1
- update to 1.09

* Thu Oct 01 2015 Toshiaki Ara <ara_t@384.jp> 1.08-1
- new package
