%define pkg_name    openlibm
%define pkg_version 0.6.0
%define pkg_release 1%{?_dist_release}

Summary: High quality system independent, open source libm
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD and MIT and ISC and Public Domain
Group:   System Environment/Libraries
URL:     https://github.com/JuliaLang/openlibm/

Source0: %{name}-%{version}.tar.gz


%description
OpenLIBM is an effort to have a high quality standalone LIBM library.
It is meant to be used standalone in applications and programming language
implementations. The OpenLIBM code derives from the FreeBSD msun implementation,
which in turn derives from FDLIBM 5.3. As a result, it has a number of fixes
and updates that have accumulated over the years in msun, and also optimized
assembly versions of many functions.

%package devel
Summary:  High quality system independent, open source libm
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name}
library.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

# File under the Apple Public Source License Version 1.1
%{__rm} -f test/ieeetestnew.c
# File under the Apple Public Source License Version 2.0
%{__rm} -f i387/osx_asm.h

%build
%{__make} %{?_smp_mflags} FFLAGS="%{optflags}" CFLAGS="%{optflags}"

%install
%{makeinstall}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libopenlibm.a

%check
%{__make} test

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig


%files
%doc LICENSE.md README.md
%{_libdir}/libopenlibm.so.2*

%files devel
%{_libdir}/libopenlibm.so
%{_libdir}/pkgconfig/openlibm.pc
%{_includedir}/openlibm/


%changelog
* Mon Aug 13 2018 Toshiaki Ara <ara_t@384.jp> 0.6.0-1
- update to 0.6.0

* Wed Jun 13 2018 Toshiaki Ara <ara_t@384.jp> 0.5.5-1
- initial build for Vine Linux

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 Dan Horák <dan[at]danny.cz> 0.5.3-2
- set ExclusiveArch to arches where openlibm has been ported

* Sat Aug 13 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.3-1
- Update to 0.5.3 (aarch64 support)

* Tue Mar 8 2016 Milan Bouchet-Valat <nalimilan@club.fr> - 0.5.0-1
- New upstream release (bumping SONAME).
- Remove ExclusiveArch since PPC is now supported (and passes the tests).
- Enable tests on i686.
- Remove custom code for computing ARCH, which is now correctly detected.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 1 2015 Milan Bouchet-Valat <nalimilan@club.fr> - 0.4.1-1
- New upstream release.
- Run tests on architectures where they are supposed to work thanks to new fixes.

* Sat Oct 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-3
- Fix build on armv7hl

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 27 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.4-1
- New upstream release.
- Fix path of two files to remove.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 4 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-6
- Disable tests for now.

* Thu May 1 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-5
- Add tests.

* Tue Apr 29 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-4
- Add ISC to list of licenses.
- Add bug reference about the failing tests.

* Mon Apr 21 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-3
- Use Group System Environment/Libraries for base package.

* Sun Apr 20 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-2
- Put libopenlibm.so.0 in base package instead of in -devel.

* Sat Apr 19 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 0.3-1
- Initial version.
