Name:           orange
Version:        0.4
Release:        3%{?_dist_release}
Summary:        Extrace CAB files from self-extracting installers

Group:          Applications/Accessories
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://downloads.sourceforge.net/synce/liborange-0.4.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libsynce-devel
BuildRequires:  dynamite-devel
BuildRequires:  unshield-devel >= 0.5.1
BuildRequires:  libgsf-devel
BuildRequires:  file
BuildRequires:  zlib-devel
Provides:       liborange = %{version}-%{release}

%description
Orange is a tool and library for squeezing out juicy installable Microsoft
Cabinet Files from self-extracting installers for Microsoft Windows and some
other installer file formats

%package devel
Summary:        Files needed for software development with %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libsynce-devel
Requires:       dynamite-devel
Requires:       unshield-devel
Requires:       pkgconfig
Provides:       liborange-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development with
%{name}

%prep
%setup -q -n liborange-%{version}

%build
%configure --disable-static --disable-rpath \
--with-libsynce-include=%{_includedir} --with-libsynce-lib=%{_libdir} \
--with-libdynamite-include=%{_includedir} --with-libdynamite-lib=%{_libdir} \
--with-libunshield-include=%{_includedir} --with-libunshield-lib=%{_libdir} \
--with-libgsf

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/liborange.{,l}a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/orange
%{_libdir}/liborange.so.*
%{_mandir}/man1/orange.1.gz

%files devel
%{_libdir}/liborange.so
%{_includedir}/liborange*h
%{_libdir}/pkgconfig/liborange.pc

%changelog
* Tue Oct 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.4-3
- moved to Applications/Accessories Group
- added BR to devel subpackage

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.4-2
- rebuild with Vine6 environment

* Wed Jun 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.4-1
- initial build for Vine Linux


* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4-1
- version upgrade

* Tue Jun 17 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3.2-1
- version upgrade

* Mon Dec 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3-5.cvs20051118
- fix BR

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3-5.cvs20051118
- rebuild for buildid


* Mon Dec 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-4.cvs20051118
- bump

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.3-3.cvs20051118
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-2.cvs20051118
- FE6 rebuild
- Fix BR

* Wed Mar 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-1.cvs20051118
- Bump for libgsf
- fix versioning

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-0.cvs20051118.fc5.2
- Rebuild for Fedora Extras 5

* Thu Dec 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-0.cvs20051118.fc5.1
- rebuild

* Fri Nov 18 2005 Christian Iseli <Christian.Iseli[AT]licr.org> 0.3-0
- grab latest from CVS to use libgsf instead of obsolete libole2

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-2
- include patch for new libole2

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-1
- Initial Release
