Summary:	A file archiver with very high compression ratio
Summary(ja):	非常に圧縮率の高いファイルアーカイバ
Name:		p7zip
Version:	16.02
Release:	1%{?_dist_release}
Group:		accessories
Vendor:		Project Vine
Distribution:	Vine Linux

License:	LGPLv2 and (LGPLv2+ or CPL)
URL:		http://p7zip.sourceforge.net/
# RAR sources removed since their license is incompatible with the LGPL
#Source: http://downloads.sf.net/p7zip/p7zip_%%{version}_src_all.tar.bz2
# export VERSION=15.14.1
# wget http://downloads.sf.net/p7zip/p7zip_${VERSION}_src_all.tar.bz2
# tar xjvf p7zip_${VERSION}_src_all.tar.bz2
# rm -rf p7zip_${VERSION}/CPP/7zip/{Archive,Compress,Crypto,QMAKE}/Rar*
# rm p7zip_${VERSION}/DOC/unRarLicense.txt
# tar --numeric-owner -cjvf p7zip_${VERSION}_src_all-norar.tar.bz2 p7zip_${VERSION}
Source: p7zip_%{version}_src_all-norar.tar.bz2

Patch0: p7zip_15.14-norar_cmake.patch
# from Debian
Patch4: p7zip-manpages.patch
Patch5: 02-man.patch
Patch6: CVE-2016-9296.patch
Patch7: 05-hardening-flags.patch
Patch10: CVE-2017-17969.patch
Patch11: 14-Fix-g++-warning.patch
Patch12: gcc10-conversion.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	cmake
%ifarch %{ix86}
BuildRequires: nasm
%endif
%ifarch x86_64
BuildRequires: yasm
%endif

%description
p7zip is a port of 7-Zip for POSIX systems like Unix (Linux, Solaris,
OpenBSD, FreeBSD, Cygwin, ...), MacOS X and BeOS.
7-Zip is a file archiver with high compression ratio. The program
supports 7z, ZIP, CAB, RAR, ARJ, LZH, GZIP, BZIP2, Z, TAR, CPIO, RPM,
and DEB formats. Compression ratio in the new 7z format is 30-50% better
than ratio in ZIP format.

%description -l ja
p7zip は 7-Zip を UNIX (Linux, Solaris, OpenBSD, FreeBSD 等), MacOS X
や BeOS のような POSIX システムに移植したものです。
7-Zip は圧縮率の高いファイルアーカイバで、7z, ZIP, CAB, RAR, ARJ, LZH,
GZIP, BZIP2, Z, TAR, CPIO, RPM, DEB フォーマットをサポートしています。
新しい 7z フォーマットで圧縮すると、ZIP フォーマットで圧縮するよりも、
圧縮率が 30〜50% 向上します。


%package plugins
Summary:	Additional plugins for p7zip
Summary(ja):	p7zip の追加プラグイン
Group:		accessories
Requires:	%{name} = %{version}

%description plugins
Additional plugins that can be used with 7z to extend its abilities.
This package contains also a virtual file system for Midnight Commander.

%description -l ja plugins
このパッケージには 7z の機能を拡張するための追加が含まれています。
また、Midnight Commander のための仮想ファイルシステムも含まれています。


%debug_package


%prep
%autosetup -p1 -n %{name}_%{version}

# move license files
mv DOC/License.txt DOC/copying.txt .


%build
pushd CPP/7zip/CMAKE/
sh ./generate.sh
popd
%ifarch %{ix86}
cp -f makefile.linux_x86_asm_gcc_4.X makefile.machine
%endif
%ifarch x86_64
cp -f makefile.linux_amd64_asm makefile.machine
%endif

make %{?_smp_mflags} all2 \
    OPTFLAGS="%{optflags}" \
    DEST_HOME=%{_prefix} \
    DEST_BIN=%{_bindir} \
    DEST_SHARE=%{_libdir}/p7zip \
    DEST_MAN=%{_mandir}


%install
%__rm -rf %{buildroot}

make install \
    DEST_DIR=%{buildroot} \
    DEST_HOME=%{_prefix} \
    DEST_BIN=%{_bindir} \
    DEST_SHARE=%{_libdir}/p7zip \
    DEST_MAN=%{_mandir}

# remove redundant DOC dir
mv %{buildroot}%{_docdir}/p7zip/DOC/* %{buildroot}%{_docdir}/p7zip
rmdir %{buildroot}%{_docdir}/p7zip/DOC/


%check
%__make test


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_docdir}/p7zip
%license copying.txt License.txt
%{_bindir}/7za
%dir %{_libdir}/p7zip/
%{_libdir}/p7zip/7za
%{_libdir}/p7zip/7zCon.sfx
%{_mandir}/man1/7za.1*
%exclude %{_mandir}/man1/7zr.1*

%files plugins
%defattr(-,root,root)
%doc contrib/
%{_bindir}/7z
%dir %{_libdir}/p7zip/
%{_libdir}/p7zip/7z
%{_libdir}/p7zip/7z.so
#{_libdir}/p7zip/Codecs/
#{_libdir}/p7zip/Formats/
%{_mandir}/man1/7z.1*


%changelog
* Sun Sep 13 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 16.02-1
- new upstream release.
- imported Patch4, 6-12 from rawhide.

* Tue Jul  5 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 15.14.1-2
- rebuilt with new toolchain.

* Wed Apr  6 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 15.14.1-1
- new upstream release.

* Sat May 24 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.20.1-2
- rebuilt with new toolchain

* Wed May 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.20.1-1
- new upstream release
- added patch0,1,2 from Debian
- deleted rar archive support in - plugins

* Wed Jun 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.13-1
- new upstream release

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 9.04-1vl5
- new upstream release

* Sat Feb 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 4.65-1vl5
- new upstream release
- fixed %files plugins

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 4.58-1vl5
- new upstream release
- applied new versioning policy, spec in utf-8

* Mon Jul 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.51-0vl1
- rebuilt with new toolchain
- new upstream release

* Wed Feb 07 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.44-0vl1
- upstream release

* Sat Oct 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.43-0vl1
- upstream release

* Fri Jul 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.42-0vl1
- upstream release

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.39-0vl1
- upstream release

* Thu Apr 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.37-0vl1
- upstream release

* Mon Feb 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.33-0vl1
- upstream release

* Tue Jan 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.30-0vl1
- upstream release

* Mon Oct 24 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.29-0vl2
- separate plugins package like FC

* Wed Oct 19 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.29-0vl1
- upstream release

* Sat Sep 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.20-0vl1
- initial build
