Name:           pavucontrol
Summary:        Volume control for PulseAudio
Summary(ja):    PulseAudio のボリューム調整
Version:        4.0
Release:        1%{?_dist_release}
Group:          Applications/Multimedia
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       daisuke

License:        GPLv2+
URL:            https://freedesktop.org/software/pulseaudio/pavucontrol/
Source0:        http://freedesktop.org/software/pulseaudio/pavucontrol/pavucontrol-%{version}.tar.xz
Source100:      ja.po

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  gtkmm3-devel
BuildRequires:  libsigc++-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libcanberra-gtk3-devel
BuildRequires:  intltool

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume control
tool ("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices and
of each playback stream separately.


%debug_package


%prep
%setup -q
cp -f %{SOURCE100} po/ja.po


%build
export CXXFLAGS="$RPM_OPT_FLAGS -std=gnu++11"
%configure
make V=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make V=1 install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category="AudioVideo" --vendor="" \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%license LICENSE
%{_bindir}/pavucontrol
%{_datadir}/pavucontrol
%{_datadir}/applications/pavucontrol.desktop
%{_docdir}/pavucontrol/*

%changelog
* Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0-1
- new upstream release.
- dropped Patch0 and 11.
- added Source100.

* Mon Jul  4 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0-2
- rebuilt with new toolchain.

* Fri Jun 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.0-1
- new upstream release

* Sun Oct 14 2012 Toshiharu Kudoh <daisuke@gmail.com> 1.0-1
- new upstream release
- changed BuildRequires: gtkmm2-devel and libglademm2-devel to gtkmm3-devel, 
  libcanberra-devel to libcanberra-gtk3-devel

* Wed Apr 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.10-2
- rebuild for Vine 6

* Sat Sep 4 2010 Toshiharu Kudoh <daisuke@gmail.com> 0.9.10-1
- new upstream release
- dropt Source10, Patch10
- added Patch11
- fixed --add-category="X-Fedora" to "AudioVideo" in desktop-file-install
- fixed BuildRoot
- added document dir in %%files

* Sun Sep 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.9-1
- new upstream release
- BR: libcanberra-devel >= 0.17

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.8-1
- new upstream release
- add ja.po

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.7-1
- initial build for Vine Linux

* Thu Oct 9 2008 Matthias Clasen  <mclasen@redhat.com> 0.9.7-3
- Handle locales properly

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-2
- Add intltool to deps

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-1
- Update to 0.9.7

* Tue Jul 15 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.1.git20080715
- Update from GIT snapshot

* Fri Mar 28 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.6-1
- Update to 0.9.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.5-2
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Julian Sikorski <belegdol[at]gmail[dot]com> 0.9.5-1
- Update to 0.9.5

* Tue Sep 25 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.4.svn20070925
- Update from SVN

* Wed Sep 5 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.3.svn20070905
- Add versioned dependency on pulseaudio-libs

* Wed Sep 5 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.2.svn20070905
- Update from SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.1.svn20070816
- Update from SVN snapshot

* Sat Sep  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-3
- Spec file cleanup.

* Sat Sep  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-2
- Add BuildRequires for desktop-file-utils.

* Fri Sep  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-1
- Update to 0.9.4
- Fix installation of desktop file.

* Sun Aug 20 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.3-1
- Update to 0.9.3

* Sun Jul  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.2-1
- Update to 0.9.2

* Thu Jun  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.1-1
- Update to 0.9.1

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-1
- Initial package for Fedora Extras
