Summary:	Parallel implementation of bzip2
Summary(ja):	bzip2 の並列処理実装
Name:		pbzip2
Version:	1.1.13
Release:	1%{?_dist_release}
URL:		http://www.compression.ca/pbzip2/
License:	BSD
Group:		Applications/Archiving
Source0:	https://launchpad.net/pbzip2/1.1/1.1.12/+download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bzip2-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines.  The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be 
decompressed with bzip2).

%description -l ja
PBZIP2 は bzip2 ブロックソートファイル圧縮ツールの pthread を使った
並列処理実装で、SMP マシン上で圧縮処理がほぼリニアにスピードアップ
します。PBZIP2 で圧縮されたファイルは、bzip2-1.0.2 以上と完全互換で
す。(pbzip2 で圧縮したファイルはすべて bzip2 で伸張できます)

%prep
%setup -q
sed -i -e 's/ -O3 / %{optflags} /' Makefile

%build
make

%install
rm -rf %{buildroot}
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
ln -sf pbzip2 %{buildroot}%{_bindir}/pbunzip2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_bindir}/pbunzip2
%{_mandir}/man1/*

%changelog
* Sun Jul 10 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.13-1
- new upstream release.

* Sun Jan 11 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.12-1
- new upstream release

* Sat Apr 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-1
- new upstream release

* Tue Jul 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-2
- spec in UTF-8

* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-1
- new upstream release
- changed Group to Applications/Archiving

* Sat Apr 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-1
- initial build for Vine Linux

* Sun Feb 10 2008 Jeff Gilchrist <pbzip2@compression.ca> - 1.0.2-4
- Rebuild for gcc 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.0.2-3
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Jeff Gilchrist <pbzip2@compression.ca> - 1.0.2-2
- Fixed symbolic link for pbunzip2 file

* Tue Jul 25 2007 Jeff Gilchrist <pbzip2@compression.ca> - 1.0.2-1
- Release 1.0.2

* Tue Mar 20 2007 Jeff Gilchrist <pbzip2@compression.ca> - 1.0.1-1
- Release 1.0.1

* Wed Mar 14 2007 Jeff Gilchrist <pbzip2@compression.ca> - 1.0-1
- Release 1.0

* Tue Sep 12 2006 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.6-4
- Rebuild for Fedora Extras 6

* Tue May 23 2006 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.6-3
- Added support for $RPM_OPT_FLAGS thanks to Ville Skytta

* Tue Feb 28 2006 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.6-2
- Rebuild for Fedora Extras 5

* Sun Feb 5 2006 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.6-1
- Release 0.9.6

* Sat Dec 31 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.5-1
- Release 0.9.5

* Tue Aug 30 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.4-1
- Updated RPM spec with suggestions from Oliver Falk

* Fri Jul 29 2005 Bryan Stillwell <bryan@bokeoa.com> - 0.9.3-1
- Release 0.9.3
- Removed non-packaging changelog info
- Added dist macro to release field
- Clean buildroot at the beginning of the install section
- Modified buildroot tag to match with Fedora PackagingGuidelines
- Shortened Requires and BuildRequires list
- Changed description to match with the Debian package

* Sat Mar 12 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.2-1
- Release 0.9.2

* Sat Jan 29 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.9.1-1
- Release 0.9.1

* Sun Jan 24 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.9-1
- Release 0.9

* Sun Jan 9 2005 Jeff Gilchrist <pbzip2@compression.ca> - 0.8.3-1
- Release 0.8.3

* Mon Nov 30 2004 Jeff Gilchrist <pbzip2@compression.ca> - 0.8.2-1
- Release 0.8.2

* Sat Nov 27 2004 Jeff Gilchrist <pbzip2@compression.ca> - 0.8.1-1
- Release 0.8.1

* Thu Oct 28 2004 Bryan Stillwell <bryan@bokeoa.com> - 0.8-1
- Initial packaging
