Summary: PCMCIA utilities and initialization programs
Summary(ja): PCMCIA 用のユーティリティおよび初期化プログラム
Name: pcmciautils
Version: 018
Release: 1%{?_dist_release}
Group: System Environment/Base
License: GPL
Url: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html

Source: http://mirror.linux.org.au/linux/utils/kernel/pcmcia/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64
BuildRequires: libsysfs-devel >= 2.1.0
BuildRequires: byacc, flex
Obsoletes: pcmcia-cs
Obsoletes: kernel-pcmcia-cs
Requires: udev >= 097, kernel >= 2.6.16

%description
The pcmciautils package contains utilities for initializing and
debugging PCMCIA and Cardbus sockets.

%description -l ja
pcmciautils パッケージは PCMCIA および Cardbus ソケットのための
初期化およびデバッグ用のユーティリティが含まれています。

%prep
%setup -q

%build
%__make %{?_smp_mflags} OPTIMIZATION="$RPM_OPT_FLAGS"

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pcmcia/*.opts
%dir %{_sysconfdir}/pcmcia
%attr(0644,root,root) /lib/udev/rules.d/*
%{_syssbindir}/pccardctl
%attr(0755,root,root) %{_syssbindir}/lspcmcia
%attr(0755,root,root) /lib/udev/pcmcia-*
%{_mandir}/man*/*

%changelog
* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 018-1
- update to 018
- change BuildRequires: libsysfs-devel instead of sysfsutils-devel

* Thu Apr 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 017-1
- update to 017
- drop unneeded patches
- add BR: flex

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 014-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 014-0vl1
- new upstream release

* Fri Mar 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 013-0vl1
- new upstream release

* Sun Mar 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl3
- add Patch10 to replace deprecated format from udev rules.

* Fri Mar 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl2
- rebuilt

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 012-0vl1
- initial build for Vine Linux partially based on FC package
- new upstream release

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 011-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 011-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Dec 13 2005  Bill Nottingham <notting@redhat.com> 011-1
- update to 011, now ships with its own udev rules
- remove pcmcia-cs provide

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 24 2005  Bill Nottingham <notting@redhat.com> 007-1
- further udev-related tweaks (#163311)

* Thu Jul 21 2005  Bill Nottingham <notting@redhat.com> 006-2
- udev patch - right idea, awful execution. fix that (#163311)
- add requirement for 2.6.13-rc1, basically

* Wed Jul 20 2005  Bill Nottingham <notting@redhat.com> 006-1
- update to 006
- link libsysfs statically

* Fri Jul 08 2005  Bill Nottingham <notting@redhat.com> 005-1
- initial packaging
