Name:           perl-Authen-Krb5
Version:        1.9
Release:        2%{?_dist_release}
Summary:        Krb5 Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Krb5/
Source0:        http://www.cpan.org/authors/id/J/JH/JHORWITZ/Krb5-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  krb5-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Authen::Krb5 is an object oriented interface to the Kerberos 5 API. Both
the implementation and documentation are nowhere near complete, and may
require previous experience with Kerberos 5 programming. Most of the
functions here are documented in detail in the Kerberos 5 API
documentation.

%prep
%setup -q -n Krb5-%{version}

# Fix the references to /usr/local/bin/perl
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' \
  sample_client sample_server simple_client simple_server

%build

# Rewrite the Makefile with our local paths
mv Makefile.PL Makefile.PL.old
cat Makefile.PL.old | \
  sed -e's|/usr/lib|%{_libdir}|' \
      -e's|/usr/include|%{_includedir}|' \
  > Makefile.PL

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}
chmod 644 sample_client sample_server simple_client simple_server

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT README sample_client sample_server simple_client simple_server TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen
%{_mandir}/man3/*

%changelog
* Mon Dec 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.9-2
- rebuilt with perl 5.16.3

* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.9-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 8 2011 Simon Wilkinson <simon@sxw.org.uk> - 1.9-1
- 673472 Update to 1.9

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-10
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.7-8
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-5
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-4
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-3
- Fix library path, so that libk5crypto is used, and not libcrypto

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-2
- Use sed, rather than a patch to fix references to perl binary 
  review comment)

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-1
- Specfile autogenerated by cpanspec 1.74.
