Name:           perl-Authen-Radius
Version:        0.24
Release:        1%{?_dist_release}
Summary:        Perl Authen::Radius modules
# See LICENSING.txt
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RadiusPerl/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PO/PORTAONE/Authen-Radius-%{version}.tar.gz
Source1:	LICENSING.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::HexDump) >= 0.02
BuildRequires:  perl(Digest::MD5) >= 2.20
BuildRequires:  perl(IO) >= 1.12
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or completely imitate AAA requests and 
process server response.

%prep
%setup -q -n Authen-Radius-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
# Disabled check, as a running Radius-server is needed
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README LICENSING.txt
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Dec 19 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.24-1
- updated to 0.24
- added BR: perl(Data::Dumper)

* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org>- 0.13-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.13-10
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-8
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.13-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-3
- fix license tag (with permission from upstream)

* Thu Feb  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-2
- rebuild for new perl

* Sat Mar 10 2007 Andreas Thienemann <andreas@bawue.net> - 0.13-1
- Updated to 0.13
- Added perl-devel BuildReq

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.12-3
- FE6 Rebuild

* Thu Apr 13 2006 Andreas Thienemann <andreas@bawue.net> 0.12-2
- Final cleanup for inclusion.

* Wed Mar 29 2006 Andreas Thienemann <andreas@bawue.net> 0.12-1
- Cleaned up for FE
- Specfile autogenerated by cpanspec 1.64.
