%define	pkgname	Class-Data-Inheritable

# Basic Information
Summary:	Inheritable, overridable class data
Summary(ja):	クラスデータを継承可能、オーバーライド可能にする
Name:		perl-%{pkgname}
Version:	0.09
Release:	1%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Class::Data::Inheritable
Source0:	https://cpan.metacpan.org/authors/id/R/RS/RSHERER/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%{?perl_default_filter}

# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl >= 2:5.34.0

%description
Class::Data::Inheritable is for creating accessor/mutators to class data.
That is, if you want to store something about your class as a whole (instead
of about a single object). This data is then inherited by your subclasses
and can be overriden.


%prep
%setup -q -n Class-Data-Inheritable-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.09-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.08-3
- rebuilt with perl-5.26.

* Thu Nov 20 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.08-2
- rebuilt with perl 5.16.3
- installed module to vendor_perl
- added URL tag

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.08-1
- initial build for Vine Linux
