%define	pkgname	Class-Inspector

# Basic Information
Summary:	Get information about a class and its structure
Summary(ja):	クラスおよびその構造について情報を得る
Name:		perl-%{pkgname}
Version:	1.36
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL: 		https://metacpan.org/pod/Class::Inspector
Source0:	https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl >= 2:5.34.0

%{?perl_default_filter}

%description
Class::Inspector allows you to get information about a loaded class. Most or
all of this information can be found in other ways, but they aren't always
very friendly, and usually involve a relatively high level of Perl wizardry,
or strange and unusual looking code. Class::Inspector attempts to provide an
easier, more friendly interface to this information.


%prep
%setup -q -n %{pkgname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.36-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.34-1
- new upstream release.
- rebuilt with perl-5.26.

* Sat Nov 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.28-1
- updated to 1.28
- built with perl 5.16.3
- installed modules to vendor_perl directory
- added URL

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.25-1
- initial build for Vine Linux
