%define pkgname Config-IniFiles

Summary:	A perl module for reading .ini-style configuration files.
Name:		perl-%{pkgname}
Version:	3.000002
Release:	1%{?_dist_release}
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://config-inifiles.sourceforge.net/

Source0:	%{pkgname}-%{version}.tar.gz

Vendor:		Project Vine
Distribution:	Vine Linux

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(English)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Config::IniFiles provides a way to have readable configuration files
outside your Perl script. Configurations can be imported (inherited,
stacked,...), sections can be grouped, and settings can be accessed
from a tied hash.

%prep
%setup -q -n %{pkgname}-%{version} 
# Normalize end-of-lines
sed -i -e 's/\r$//' Changes OLD-Changes.txt

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test
%clean
rm -rf %{buildroot}


%files
%license LICENSE
%doc Changes OLD-Changes.txt README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*


%changelog
* Tue Sep 03 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.000002-1
- new upstream release.
- built with perl-5.26.2.

* Sun Dec  7 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.83-1
- new upstream release
- added BR: perl(List::MoreUtils)
- built with perl 5.16.3

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.68-1
- updated to 2.68

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.39-2
- rebuild with perl-5.12.3

* Tue Jan 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.39-1
- apply new versioning policy 

* Wed May 16 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.39-0vl1
- new upstream release

* Sun Oct 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.38-0vl1
- initial build for Vine Linux

