%define	module	Convert-PEM
%define name	perl-%{module}
%define	version	0.08
%define	release	1%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Read/write encrypted ASN.1 PEM files

Group:          Development/Libraries
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}/

Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl-Class-ErrorHandler
BuildRequires:  perl-Convert-ASN1
BuildRequires:  perl-Crypt-DES_EDE3

Requires:       perl-Class-ErrorHandler
Requires:       perl-Convert-ASN1
Requires:       perl-Crypt-DES_EDE3
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded objects. 
The files can optionally be encrypted using a symmetric cipher algorithm, 
such as 3DES.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" 
make %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Wed Oct 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.08-1
- updated to 0.08
- rebuild with perl-5.16.3
- moved to Development/Libraries Group

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.07-2
- rebuild with perl-5.12.3

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl1
- built for VineSeed

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl0.43
- add Requires: perl-Convert-ASN1/perl-Crypt-DES_EDE3/perl-Class-ErrorHandler

* Mon Mar 03 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl0.42
- built for Vine 4.2 (testing)
- 1st build for Vine


