%define	module	Crypt-DES_EDE3
%define name	perl-%{module}
%define	version	0.01
%define	release	3%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Triple-DES EDE encryption/decryption
Group:		Development/Libraries
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Buildrequires:  perl(Crypt::DES)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Crypt::DES_EDE3 implements DES-EDE3 encryption. 
This is triple-DES encryption where an encrypt operation is 
encrypt-decrypt-encrypt, and decrypt is decrypt-encrypt-decrypt. 
This implementation uses Crypt::DES to do its dirty DES work, 
and simply provides a wrapper around that module: setting up 
the individual DES ciphers, initializing the keys, and performing 
the encryption/decryption steps.

DES-EDE3 encryption requires a key size of 24 bytes.

You're probably best off not using this module directly, 
as the encrypt and decrypt methods expect 8-octet blocks. 
You might want to use the module in conjunction with Crypt::CBC, 
for example. This would be DES-EDE3-CBC, or triple-DES in outer CBC mode.

#'
%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} 

# %check
# %{__make} test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3*/*
%{perl_vendorlib}/Crypt/*


%changelog
* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.01-3
- rebuilt with perl 5.16.3
- moved to Development/Libraries Group

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.01-2
- rebuild with perl-5.12.3

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl1
- built for VineSeed

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.43
- add Requires: and Buildrequires: perl-Crypt-DES

* Tue Mar 04 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.01-0vl0.42
- built for Vine 4.2 (testing)

