Name:           perl-Crypt-OpenSSL-Guess
Version:        0.11
Release:        5%{?_dist_release}
Summary:        Guess OpenSSL include path
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-OpenSSL-Guess/
Vendor:         Project Vine
Distribution:   Vine Linux
Source0:        https://cpan.metacpan.org/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
# Run-time
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MM)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(warnings)
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter)
Recommends:     openssl

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Exporter\\)\\s*$

%description
Crypt::OpenSSL::Guess provides helpers to guess OpenSSL include path on any
platforms.

%prep
%setup -q -n Crypt-OpenSSL-Guess-%{version}

perl -pi -e 's/use ExtUtils::MakeMaker.*$/use ExtUtils::MakeMaker;/' Makefile.PL

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

find %{buildroot}%{perl_vendorarch} -name .packlist | xargs rm -f

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.11-5
- rebuilt with perl-5.26.

* Sun Nov 18 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.11-4
- initial build for Vine Linux.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.11-2
- Perl 5.28 rebuild

* Mon Jun 18 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.11-1
- Specfile autogenerated by cpanspec 1.78.
