Summary: the DBI PostgreSQL interface for Perl
Name: perl-DBD-Pg
Version: 3.15.0
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL or Artistic
URL: https://metacpan.org/pod/DBD::Pg
Source0: https://cpan.metacpan.org/authors/id/T/TU/TURNSTEP/DBD-Pg-3.15.0.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 2:5.34.0, libpq-devel, perl-DBI
BuildRequires: libxcrypt-devel
Requires: perl >= 2:5.34.0

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DBD::Pg\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DBI\\)$

%description
the DBI PostgreSQL interface for Perl


%debug_package


%prep
%setup -q -n DBD-Pg-%{version} 


%build
unset AUTOMATED_TESTING DBDPG_GCCDEBUG PERL_MM_USE_DEFAULT \
    POSTGRES_HOME POSTGRES_INCLUDE POSTGRES_LIB
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
rm -rf %{buildroot}
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
%{_fixperms} $RPM_BUILD_ROOT/*


%check
unset DBI_DSN DBI_USER DBI_PASS
unset DBDPG_DEBUG DBDPG_INITDB DBDPG_NOCLEANUP DBDPG_TEST_ALWAYS_ENV \
    DBDPG_TESTINITDB PGDATABASE PGINITDB POSTGRES_HOME POSTGRES_LIB \
    TEST_OUTPUT TEST_SIGNATURE
make test


%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%license LICENSES/*
%doc Changes README README.dev TODO
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/Bundle/DBD/Pg.pm
%{_mandir}/man3/*.3*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.15.0-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.8.0-1
- new upstream release.
- rebuilt with perl-5.26.
- dropped Patch0.
- added BR:libxcrypt-devel.

* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.0-1
- new upstream release.

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.18.0-2
- rebuilt with postgresql-9.0.3

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 2.18.0-1
- new upstream release
- drop  CVE-2009-0663, 1341 patch (Patch1): upstream fixed
- add requires filter (Source1)
- add Vendor and Distribution tags

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 1.49-5
- rebuilt with postgresql-8.4.0

* Sat May 16 2009 Satoshi IWMAOTO <satoshi.iwamoto@nifty.ne.jp> 1.49-4vl5
- add patch0 from rhel5 
- add patch1 to fix CVE-2009-0663, 1341
- 2vl5,3vl5 are skipped to Plus < Seed version number...

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 1.49-1vl5
- applied new versioning policy
- rebuilt with postgresql-8.3.3

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 1.49-0vl5
- rebuilt with postgresql-8.2.6

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 1.49-0vl4
- rebuilt with postgresql-8.2.5

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.49-0vl1
- new upstream release
- rebuilt with perl-5.8.6, perl-DBI-1.51
- changed Group to Development/Libraries
- installed files to vendor_perl

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 1.22-0vl3
- rebuilt for VineSeed
	-- built with perl-5.8.6, perl-DBI-1.46

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 1.22-0vl2
- rebuilt for VineLinux-3.1
	-- built with perl-5.8.2, perl-DBI-1.46

* Sat May 24 2003 IWAI Masaharu <iwai@alib.jp> 1.22-0vl1
- first build for Vine Linux

