%define module	DBD-SQLite

Summary:	Self Contained RDBMS in a DBI Driver
Name:		perl-%{module}
Version:	1.70
Release:	1%{_dist_release}
Group: 		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	Artistic or GPL+
URL:		https://metacpan.org/pod/DBD::SQLite
Source:		https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{module}-%{version}.tar.gz

Buildroot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	perl(DBI)
BuildRequires:  sqlite3-devel	
BuildRequires:  libxcrypt-devel
Requires:	perl(DBI)
Requires:	perl

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

#'
%debug_package


%prep
%setup -q -n %{module}-%{version}


%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

rm -rf %{buildroot}%{perl_vendorarch}/auto/share


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README* Changes
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.70-1
- new upstream release.
- built with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.62-1
- new upstream release.
- rebuilt with perl-5.26.
- added BR:libxcrypt-devel.

* Sat Oct 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.42-1
- new upstream release

* Fri Jun 27 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.31-2
- build with Perl 5.16
- add Requires: MODULE_COMPAT_*

* Thu Mar 31 2011 IWAI, Masaharu <iwai@alib.jp> 1.31-1
- new upstream release
- update {Build,}Requires: perl-DBI version: sync upstream

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.14-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.14-0vl1
- rebuild for VineSeed
- disable test

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.14-0vl0.43
- add Requires: perl(DBI) >= 1.03

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.14-0vl0.42
- new upstream release
- built for Vine 4.2 testing

* Sun Dec 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-2mdv2007.0
+ Revision: 98263
- fix build dependencies

* Sat Dec 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2007.1
+ Revision: 98198
- new version

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12-2mdv2007.0
+ Revision: 53730
- rebuild
- Import perl-DBD-SQLite


* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12
- better source URL
- better buildrequires syntax

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- new version
- fix directory ownership

* Mon Sep 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-2mdk 
- rebuild to link against external library
- spec cleanup
- %%mkrel

* Tue Jun 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.09-1mdk
- 1.09
- spec cleanups

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.08-1mdk
- new veresion 1.08

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-2mdk 
- rebuild for new perl
- remove README.urpmi

* Thu Oct 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- 1.07.

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03.
- Remove patch 1.

* Wed Jul 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- 1.00, incompatible format with previous versions.
- Remove MANIFEST, add README.update.urpmi.
- Patch to prevent interactivity in Makefile.PL

* Mon May 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- Fix compile FLAGS

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-1mdk 
- first version of rpm.
