%define	pkgname	Data-Dump

# Basic Information
Summary:	Pretty printing of data structures
Summary(ja):	データ構造をきれいに出力するためのモジュール
Name:		perl-%{pkgname}
Version:	1.25
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Data::Dump
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GARU/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(Test) 
Requires:       perl

%description
This module provide a few functions that traverse their argument and
produces a string as its result. The string contains Perl code that, when
evaled, produces a deep copy of the original arguments.


%prep
%setup -q -n Data-Dump-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT


%check
make test


%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Data/*
%{_mandir}/*/*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.25-1
- new upstream release.
- built with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.23-1
- new upstream release.
- rebuilt with perl-5.26.

* Wed Nov 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.22-1
- updated to 1.22
- used %%{perl_vendorlib} instead of %%{perl_sitelib}
- built with perl 5.16.3

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.20-1
- initial build for Vine Linux
