Summary: A Perl module containing a wide variety of date manipulation routines.
Name: perl-Date-Manip
Version: 6.86
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL+ or Artistic
URL: https://metacpan.org/pod/Date::Manip
Source0: https://cpan.metacpan.org/authors/id/S/SB/SBECK/Date-Manip-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
BuildRequires:  perl >= 2:5.34.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(YAML::Syck)
# Tests only
BuildRequires:  perl(Test::Inter)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

Requires:       perl >= 5.34.0

# This package was formerly known as perl-DateManip
Provides: perl-DateManip = %{version}-%{release}
Obsoletes: perl-DateManip < 5.48

%description
This is a set of routines designed to make any common date/time
manipulation easy to do.  Operations such as comparing two times,
calculating a time a given amount of time from another, or parsing
international times are all easily done.


%prep
%setup -q -n Date-Manip-%{version}
chmod -x examples/*


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README README.first examples
%{_bindir}/*
%{perl_vendorlib}/Date/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.86-1
- new upstream release.
- built with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.76-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.45-1
- new upstream release.

* Mon Mar 19 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 6.31-1
- updated to 6.31

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 5.54-2vl6
- build with perl 5.12.3
- defined __find_{provides,requires} with vl4 and vl5

* Sat Nov  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.54-1
- changed name to Date-Manip as now used on CPAN
- new upstream release
- applied new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.44-0vl1
- new upstream release
- installed files to vendor_perl
- changed URL

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 5.42a-0vl3
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 5.42a-0vl2
- rebuilt on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 5.42a-0vl1
- new upstream version 
- built on perl-5.8.1

* Tue Apr 29 2003 Satoshi MACHINO <machino@vinelinux.org> 5.40-30vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 5.40-30vl1
- build for VineLinux

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
