Summary:        Where is that reference to my variable hiding?
Name:           perl-Devel-FindRef
Version:        1.46
Release:        2%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/Devel::FindRef
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/Devel-FindRef-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Canary::Stability)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(common::sense)
BuildRequires:  libxcrypt-devel

Requires:       perl

%description
Tracking down reference problems (e.g. you expect some object to be
destroyed, but there are still references to it that keep it alive) can be
very hard. Fortunately, perl keeps track of all its values, so tracking
references "backwards" is usually possible.


%debug_package


%prep
%setup -q -n Devel-FindRef-%{version}


%build
echo "y" | %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license COPYING
%doc Changes README
%{perl_vendorarch}/auto/Devel
%{perl_vendorarch}/Devel
%{_mandir}/man3/Devel*.3*


%changelog
* Wed Nov 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.46-2
- rebuilt with perl-5.34.0.

* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.46-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.42-2
- build with Perl 5.16

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.42-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.42-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.42-13
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.42-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.42-11
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.42-10
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.42-9
- Mass rebuild with perl-5.12.0

* Sun Dec 20 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.42-8
- Add BR perl(common::sense)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.42-7
- rebuild against perl 5.10.1

* Mon Aug 31 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.42-5
- Update internal version to 1.422

* Tue Aug  4 2009 Stepan Kasal <skasal@redhat.com> 1.42-3
- back out the previous rebuild

* Fri Jul 31 2009 Stepan Kasal <skasal@redhat.com> 1.42-2
- rebuild against perl build without -DDEBUGGING

* Mon Jul 27 2009 Nicolas Chauvet (kwizart) 1.42-1
- Specfile autogenerated by cpanspec 1.78.
