%define real_name Digest-SHA1

Summary: Digest-SHA1 Perl module
Name: perl-Digest-SHA1
Version: 2.13
Release: 3%{_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: distributable
URL: https://metacpan.org/pod/Digest::SHA1
Source: https://cpan.metacpan.org/authors/id/G/GA/GAAS/Digest-SHA1-%{version}.tar.gz

BuildRequires:perl >= 2:5.34.0
Requires:perl >= 2:5.34.0

%{?perl_default_filter}

%description
The Digest::SHA1 module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

The Digest::SHA1 module provide a procedural interface for simple use,
as well as an object oriented interface that can handle messages of
arbitrary length and which can read files directly.

A binary digest will be 20 bytes long. A hex digest will be 40
characters long. A base64 digest will be 27 characters long.


%debug_package


%prep
%setup -n %{real_name}-%{version}


%build
%{__perl} Makefile.PL OPTIMIZE="%{optflags}" INSTALLDIRS="vendor" NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%make_install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README fip180-1*
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/Digest/
%{perl_vendorarch}/Digest/SHA1.pm
%dir %{perl_vendorarch}/auto/Digest/
%{perl_vendorarch}/auto/Digest/SHA1/


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.13-3
- rebuilt with perl-5.34.0.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.13-2
- rebuilt with perl-5.6.13.

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 2.13-1
- new upstream release
- add Vendor and Distribution tags

* Wed Jul  8 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.12-1
- new upstream release.

* Tue Apr 29 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> - 2.11-2
- rebuilt with perl-5.10.0.

* Sat Sep 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.11-1vl1
- Initial built for Vine Linux

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 2.11-1
- Updated to release 2.11.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 2.10-1.2
- Rebuild for Fedora Core 5.

* Fri Mar 18 2005 Dag Wieers <dag@wieers.com> - 2.10-1
- Cosmetic cleanup.

* Thu Mar 18 2004 Dag Wieers <dag@wieers.com> - 2.07-1
- Updated to release 2.07.

* Sun Jan 26 2003 Dag Wieers <dag@wieers.com> - 2.03-0
- Initial package. (using DAR)
