%define	pkgname	File-Copy-Recursive

# Basic Information
Summary:	Perl extension for recursively copying files and directories
Summary(ja):	再帰的にファイルおよびディレクトリをコピーする Perl 拡張
Name:		perl-%{pkgname}
Version:	0.45
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL: 		https://metacpan.org/release/File-Copy-Recursive
Source0: 	https://cpan.metacpan.org/modules/by-module/File/File-Copy-Recursive-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
BuildRequires:	perl >= 2:5.34.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::File)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warnings)

Requires:	perl >= 2:5.34.0
# rpm's perl dep generators fails to catch this
Requires:	perl(File::Glob)

%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each file or
directory's mode.

%description -l ja
このモジュールは、ディレクトリ(あるいは、単一のファイル)をオプションにより深
さを考慮し、各ファイルおよびディレクトリのモードを保ちながら、再帰的にコピー
または移動します。


%prep
%setup -q -n File-Copy-Recursive-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%{__make} %{?_smp_mflags}


%install
%{__make} pure_install DESTDIR=%{buildroot}
chmod -R u+w %{buildroot}/*


%check
%{__make} test


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%doc Changes README
%{perl_vendorlib}/File
%{_mandir}/man3/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.45-1
- new upstream release.
- built with perl-5.34.0.

* Tue Jul  1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.38-2
- rebuilt with perl-5.16.3.

* Sun Oct 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.38-1
- initial build for Vine Linux
