%define	perl_sitelib	%(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-File-Tail
Version:        0.99.3
Release:	3%{?_dist_release}
Summary:        Perl extension for reading from continously updated files
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/File-Tail/
Source0:        http://www.cpan.org/authors/id/M/MG/MGRABNAR/File-Tail-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Time::HiRes) >= 1.12
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
The primary purpose of File::Tail is reading and analysing log files
while they are being written, which is especially useful if you are
monitoring the logging process with a tool like Tobias Oetiker's MRTG.

%description -l ja
File::Tail の主目的は，ログファイルの読み込み，分析です．
特に Tobias Oetiker の MRTG ようなツールでログを監視するのに有用です．

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n File-Tail-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README
%dir %{perl_vendorlib}/File
%{_mandir}/man3/File::Tail.3*

%changelog
* Sat Nov  8 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.99.3-3
- rebuilt with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.99.3-2
- rebuild with perl-5.12.3

* Sun Jul 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.3-1
- rebuilt with perl 5.10.0
- applied new versioning policy

* Wed Sep 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.99.3-0vl3
- changed Group to Development/Libraries
- enable make test

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.99.3-0vl2
- rebuilt for VineSeed (4.0)

* Fri Jul  7 2006 Takeru INOUE <takeru.inoue@ieee.org>
- 0.99.0vl1
- Add description -l ja
- Build with perl-5.8.2
- Build for Vine 3.2

* Fri Jun  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.99.3-5
- Added the requirement perl(:MODULE_COMPAT_x.x.x).

* Mon Feb 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.99.3-4
- Rebuild for FC5 (perl 5.8.8).

* Fri Jan  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.99.3-3
- Another typo corrected.

* Wed Jan  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.99.3-2
- Correction of spelling error in the description.

* Thu Sep 15 2005 Ville Skytt辰 <ville.skytta at iki.fi> - 0.99.3-1
- 0.99.3.
- Specfile cleanups.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.98-4
- rebuilt

* Sun Feb  8 2004 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.98-0.fdr.3
- BuildRequire Time::HiRes (bug 731).
- Run tests in the %%check section.
- Reduce directory ownership bloat.

* Mon Nov 17 2003 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.98-0.fdr.2
- Specfile rewrite.

* Tue Sep 17 2003 Warren Togami <warren@togami.com> - 0.98-0.fdr.1
- Specfile autogenerated.
