Name:		perl-Gnome2-VFS
Version:	1.081
Release:	3%{?_dist_release}
Summary:	Perl interface to the 2.x series of the GNOME VFS library
License:	LGPLv2+
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Gnome2-VFS/
Source0:	http://www.cpan.org/authors/id/T/TS/TSCH/Gnome2-VFS-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
## core
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
## non-core
BuildRequires:  perl(ExtUtils::Depends) >= 0.20
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:  perl(Glib) >= 1.120
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  gnome-vfs2-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
This module allows you to interface with the GNOME Virtual File System
library. It provides the means to transparently access files on all kinds of
filesystems.


%prep
%setup -q -n Gnome2-VFS-%{version} 


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog doctypes LICENSE NEWS README examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gnome2*
%{_mandir}/man3/*

%changelog
* Mon Dec 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.081-3
- rebuilt with perl 5.16.3

* Sat Apr 02 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.081-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.081-1
- initial build for Vine Linux based on fedora development

* Thu Jul 30 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 1.081-4
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.081-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.081-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.081-1
- update to 1.081

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.080-3
Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.080-2
- Autorebuild for GCC 4.3

* Tue Oct 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.080-1
- update to 1.080

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.061-3
- bump

* Sat Dec 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.061-2
- bump

* Wed Nov 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.061-1
- updated to 1.061

* Sun Aug 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.060-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
