Summary: Simple interface for User Agent string parsing for Perl
Name: perl-HTML-ParseBrowser
Version: 1.09
Release: 1%{?_dist_release}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/~dodger/HTML-ParseBrowser/

Source0: http://www.cpan.org/authors/id/D/DO/DODGER/HTML-ParseBrowser-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires: perl(Test::More)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux

%description
The HTML::ParseBrowser is an Object-Oriented interface for parsing a User Agent
string. It provides simple autoloaded methods for retrieving both the actual
values stored in the interpreted (and, so far, correct) information that these
wildly varying and nonstandardised strings attempt to convey.

%prep
%setup -q -n HTML-ParseBrowser-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT

# remove unnecessary files.
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog
* Wed Dec 24 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.09-1
- updated to 1.09
- built with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- rebuild with perl-5.12.3

* Mon Oct  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-0vl3
- changed Group to Development/Libraries
- added %check

* Fri Sep  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-0vl2
- rebuild with perl 5.8.2
- s/Copyright/License/
- updated URL

* Mon Apr 29 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.5-0vl1
- first build for Vine Linux
