%define	pkgname	HTML-Scrubber

# Basic Information
Name:		perl-%{pkgname}
Version:	0.11
Release:	1%{?_dist_release}

Summary:	HTML::Scrubber - Perl extension for scrubbing/sanitizing html
Summary(ja):	HTML::Scrubber - html の除去/サニタイジングのための Perl 拡張

License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/N/NI/NIGELM/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Dependency
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::NoTabs)
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser) >= 3.47
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
 If you wanna "scrub" or "sanitize" html input in a reliable and flexible
fashion, then this module is for you.

 I wasn't satisfied with HTML::Sanitizer because it is based on
HTML::TreeBuilder, so I thought I'd write something similar that works
directly with HTML::Parser.

#%%description -l ja


%prep
%setup -q -n HTML-Scrubber-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
%{__rm} -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

# remove unnecessary files.
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} -f {} ';'
#find $RPM_BUILD_ROOT%{_mandir} -type f -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%check
./Build test

%files 
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Dec 24 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.11-1
- updated to 0.11
- built with perl 5.16.3

* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.09-1
- initial build for Vine Linux
