%define	pkgname	HTML-SimpleParse

# Basic Information
Name:		perl-%{pkgname}
Version:	0.12
Release:	3%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{pkgname}-%{version}.tar.gz

Summary:	a bare-bones HTML parser
Summary(ja):	簡易 HTML パーサー

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:  perl
# Dependency
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
This module is a simple HTML parser. It is similar in concept to
HTML::Parser, but it differs from HTML::TreeBuilder in a couple of important
ways.

%description -l ja
このモジュールは、簡易 HTML パーサーです。HTML::Parser のコンセプトに似てい
ますが、2、3 の重要な点で HTML::TreeBuilder と異なっています。

%prep
%setup -q -n HTML-SimpleParse-0.12

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%check
%{__make} test


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Sat Oct 25 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.12-3
- rebuilt with perl-5.16.3

* Thu Oct 18 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.12-2
- fixed Summary(ja)

* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.12-1
- initial build for Vine Linux
