Summary: a Perl module to use HTML Templates
Name: perl-HTML-Template
Version: 2.97
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL/Artistic
URL: https://metacpan.org/pod/HTML::Template
Source0: https://cpan.metacpan.org/authors/id/S/SA/SAMTREGAR/HTML-Template-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: perl >= 2:5.34.0
BuildRequires: perl(CGI)
Requires: perl >= 2:5.34.0

%description
This module attempts make using HTML templates simple and natural.
It extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>.  The file
written with HTML and these new tags is called a template.  It is
usually saved separate from your script - possibly even created by
someone else!  Using this module you fill in the values for the
variables, loops and branches declared in the template.  This allows
you to seperate design - the HTML - from the data, which you generate
in the Perl script.

%description -l ja
このモジュールは HTML テンプレートを使うことを簡単に、自然にしようとし
ます。これは標準の HTML をいくつかの新しいHTML風のタグ - <TMPL_VAR>, 
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF>, <TMPL_ELSE>, <TMPL_UNLESS> で拡
張します。 HTML とこれらの新しいタグで書かれたファイルはテンプレートと
呼ばれます。これは通常スクリプトとは別に保存されます - もしかしたら他の
誰かによって作成されることさえあるかもしれません! このモジュールを使っ
て、変数のための値を埋めたり、テンプレートで宣言されたループや分岐をお
こないます。これにより Perl スクリプトで作成されるデータからデザイン 
- HTML - を分けることが出来ます。

%prep
%setup -q -n HTML-Template-%{version} 


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}


%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/HTML/
%{_mandir}/man3/HTML::Template.3*
%{_mandir}/man3/HTML::Template::FAQ.3*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.97-1
- new upstream release.
- built with perl-5.34.0.

* Thu Jul  3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.95-1
- new upstream release.

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 2.9-3vl6
- build with perl 5.12.3
- drop defined perl_vendorlib macro
- add Vendor and Distribution tags
- fix typo in changelog 2.9-{1,2}

* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.9-2
- spec in utf-8

* Mon Apr 28 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 2.9-1
- rebuild with perl-5.10.0-1

* Tue Jul 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7-0vl2
- added Japanese description from VinePlus/3.2 package
- added Autoreq: false
- installed perl modules to vendor_perl

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 2.7-0vl1
- new upstream release
- built with perl-5.8.6

* Thu Apr 24 2003 IWAI Masaharu <iwai@alib.jp> 2.6-0vl1
- build with perl-5.8.0
- version up to 2.6

* Mon Apr 29 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 2.5-0vl1
- first build for Vine Linux
