Summary: Nearly transparent SSL encapsulation for IO::Socket::INET
Summary(ja): IO::Socket::INET のための、ほぼ透過的な SSL カプセル化ライブラリ
Name: perl-IO-Socket-SSL
Version: 2.072
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: Artistic
URL: https://metacpan.org/pod/IO::Socket::SSL
Source0: https://cpan.metacpan.org/authors/id/S/SU/SULLR/IO-Socket-SSL-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Net::SSLeay)
Requires: perl

%description
This module is a true drop-in replacement for IO::Socket::INET that uses 
SSL to encrypt data before it is transferred to a remote server or client.

%description -l ja
このモジュールは IO::Socket::INET をそっくりそのまま置き換えるものですが、
それに加えて、データがリモートのサーバやクライアントに転送される前に SSL
を使って暗号化します。


%prep
%setup -q -n IO-Socket-SSL-%{version}


%build
NO_NETWORK_TESTING=1 perl Makefile.PL \
	INSTALLDIRS=vendor \
	NO_PACKLIST=1 \
	NO_PERLLOCAL=1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT/usr -type f -print |
        sed -e "s|^$RPM_BUILD_ROOT||g" |
        sed -e "s|3pm|3pm\*|g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > IO-Socket-SSL-%{version}-filelist
if [ "$(cat IO-Socket-SSL-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%clean
rm -rf $RPM_BUILD_ROOT


# temporarily disabled
%if 0
%check
make test
%endif


%files -f IO-Socket-SSL-%{version}-filelist
%defattr(-,root,root,-)
%doc Changes README example
%dir %{perl_vendorlib}/IO
%dir %{perl_vendorlib}/IO/Socket
%dir %{perl_vendorlib}/IO/Socket/SSL


%changelog
* Tue Nov 16 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.072-1
- new upstream release.
- built with perl-5.34.0.

* Thu Apr 16 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.012-1
- new upstream release

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.994-1
- new upstream release.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.26-2
- rebuild with perl-5.12.3

* Wed Jul  8 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.26-1vl5
- new upstream release with security fix 
  (verify_hostname_of_cert() Bypass Issue)

* Tue Nov  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.17-1vl5
- new upstream release
- applied new versioning policy
- spec in UTF-8
- added BuildRequires: perl-Net_SSLeay (for %%check)

* Tue Sep 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.09-0vl1
- new upstream release

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.02-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sun Sep 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.97-0vl1
- new upstream release
- updated URL

* Sun Apr 03 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.96-0vl1
- new upstream release

* Tue Feb 08 2005 HOTTA Michihide <hotta@net-newbie.com> 0.95-0vl1
- Initial build for Vine Linux 3.1.

* Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.95-1
- Initial build.
