Summary:        I/O on in-core objects like strings and arrays with Perl
Name:           perl-IO-stringy
Version:        2.111
Release:        1%{_dist_release}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/IO-stringy-%{version}.tar.gz
URL:            http://search.cpan.org/author/ERYQ/IO-stringy/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

#BuildRequires:  perl(Carp)
#BuildRequires:  perl(Exporter)
#BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:  perl(FileHandle)
#BuildRequires:  perl(IO::File)
#BuildRequires:  perl(IO::Handle)
#BuildRequires:  perl(IO::Scalar)
#BuildRequires:  perl(IO::ScalarArray)
#BuildRequires:  perl(IO::WrapTie)
#BuildRequires:  perl(Symbol)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux


%description
his toolkit primarily provides modules for performing both traditional
and object-oriented I/O) on things *other* than normal filehandles; in
particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

In the more-traditional IO::Handle front, we have IO::AtomicFile, which
may be used to painlessly create files that are updated atomically.

And in the "this-may-prove-useful" corner, we have IO::Wrap, whose
exported wraphandle() function will clothe anything that's not a blessed
object in an IO::Handle-like wrapper... so you can just use OO syntax
and stop worrying about whether your function's caller handed you a
string, a globref, or a FileHandle.


%prep
%setup -q -n IO-stringy-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%clean 
rm -rf %{buildroot}

%check
make test

%files
%defattr(-,root,root,-)
%license COPYING
%doc README examples contrib
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::AtomicFile.3pm*
%{_mandir}/man3/IO::InnerFile.3pm*
%{_mandir}/man3/IO::Lines.3pm*
%{_mandir}/man3/IO::Scalar.3pm*
%{_mandir}/man3/IO::ScalarArray.3pm*
%{_mandir}/man3/IO::Stringy.3pm*
%{_mandir}/man3/IO::Wrap.3pm*
%{_mandir}/man3/IO::WrapTie.3pm*

%changelog
* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.111-1
- new upstream release.
- rebuilt with perl-5.26.

* Tue Jul  1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.110-3
- rebuilt with perl-5.16.3.

* Fri Mar 09 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.110-2
- rebuilt with perl-5.12.3
- spec revamp

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.110-1
- built with perl-5.10.0.

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.110-0vl2
- changed Group to Development/Libraries

* Sun Sep 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.110-0vl1
- updated to 2.110
- build with perl-5.8.6

* Wed Apr 30 2003 IWAI Masaharu <iwai@alib.jp> 2.108-0vl2
- build with perl-5.8.0

* Sat Nov  2 2002 IWAI Masaharu <iwai@alib.jp> 2.108-0vl1
- first build for Vine Linux

