Summary:        Run a subprocess in batch mode
Name:           perl-IPC-Run3
Version:        0.048
Release:        3%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

License:        (GPL+ or Artistic) or BSD
URL:            https://metacpan.org/pod/IPC::Run3
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/IPC-Run3-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
# For improved tests
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
Requires:       perl >= 2:5.34.0

%{?perl_default_filter}

%description
This module allows you to run a subprocess and redirect stdin, stdout,
and/or stderr to files and perl data structures. It aims to satisfy 99% of
the need for using system, qx, and open3 with a simple, extremely Perlish
API and none of the bloat and rarely used features of IPC::Run.


%prep
%setup -q -n IPC-Run3-%{version}
# Perms in tarballs are broken 
find -type f -exec chmod -x {} \;


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} ${RPM_BUILD_ROOT}/*


%check
make test


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.048-3
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.048-2
- rebuilt with perl-5.26.

* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.048-1
- updated to 0.048
- built with perl 5.16.3

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.045-2
- rebuild

* Fri Feb 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.045-1
- initial package for Vine Linux

* Thu Jan 05 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.045-1
- Upstream update.
- Modernize spec file.

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.044-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.044-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.044-2
- 661697 rebuild for fixing problems with vendorach/lib

* Mon Sep 13 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.044-1
- Upstream update.
- BR: perl(Test::More), perl(Time::HiRes).

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.043-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.043-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.043-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Ralf Corsépius <corsepiu@fedoraproject.org> 0.043-1
- Upstream update.
- Reflect upstream URL having changed.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.042-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.042-3
- Change %%summary.

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.042-2
- fix license tag (technically, it was correct before, but this keeps rpmlint from
  flagging this package as a false positive)

* Mon Aug 25 2008 Ralf Corsépius <corsepiu@fedoraproject.org> 0.042-1
- Upstream update.

* Fri Aug 08 2008 Ralf Corsépius <rc040203@freenet.de> 0.041-1
- Upstream update.

* Thu May 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.040-5
- reorder license tag so it doesn't flag as a false positive

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.040-4
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.040-3
- Rebuild for perl 5.10 (again), disable tests for first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.040-2
- rebuild normally, second pass

* Sat Jan 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.040-1.1
- rebuild for new perl, disable tests and TPC for first pass

* Fri Dec 28 2007 Ralf Corsépius <rc040203@freenet.de> 0.040-1
- Upstream update.
- chmod -x files from source tarball.

* Tue Nov 27 2007 Ralf Corsépius <rc040203@freenet.de> 0.039-2
- Bump release to please koji suckage.

* Tue Nov 27 2007 Ralf Corsépius <rc040203@freenet.de> 0.039-1
- Upstream update.

* Fri Sep 07 2007 Ralf Corsépius <rc040203@freenet.de> 0.037-2
- Initial import.
- Update license tag.

* Tue Aug 07 2007 Ralf Corsépius <rc040203@freenet.de> 0.037-1
- Initial submission.
