%define real_name Jcode

Summary: a Perl extension interface to convert Japanese text
Summary(ja): さまざまな日本語文字コードを Perl で扱うための Module
Name: perl-Jcode
Version: 2.07
Release: 4%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: Free (the same terms as Perl itself)
URL: https://metacpan.org/pod/Jcode
Source0: https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/%{real_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: perl >= 2:5.34.0
Requires: perl >= 2:5.34.0

%{?perl_default_filter}

%description
This is a Perl module for using Japanese charset.

%description -l ja
さまざまな日本語文字コードを Perl で扱うための Module


%prep
%setup -q -n %{real_name}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{_fixperms} $RPM_BUILD_ROOT/*

rm -f %{buildroot}%{perl_vendorarch}/mac_install.pl
rm -f %{buildroot}%{perl_vendorarch}/win_install.pl


%clean
rm -rf %{buildroot}


%check
make test


%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/Jcode.pm
%{perl_vendorlib}/Jcode
%{_mandir}/man3/*3pm*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.07-4
- rebuilt with perl-5.34.0.

* Sat May 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.07-3
- rebuilt with perl-5.26.

* Tue Jul  1 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 2.07-2
- build with Perl 5.16
- add Vendor and Distribution tags
- clean up %%install section

* Sat Apr 23 2011 IWAI, Masaharu <iwai@alib.jp> 2.07-1
- new upstream release
- update {,Build}Requires perl version: 5.8.1+

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-2
- spec in UTF-8

* Wed Apr 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-1
- applied new versioning policy

* Fri Feb 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-0vl1
- new upstream release
- changed Group to Development/Libraries
- changed noarch

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 0.88-0vl1
- build on perl-5.8.6-0vl1

* Tue Nov 11 2003 IWAI, Masaharu <iwai@alib.jp> 0.83-0vl4
- build with perl-5.8.2

* Thu May  8 2003 IWAI Masaharu <iwai@alib.jp> 0.83-0vl3
- drop scripts for installing on the MS Windows and MacOS

* Tue May 06 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.83-0vl2
- fixed install dir of perllocal.pod

* Wed Apr 16 2003 IWAI Masaharu <iwai@alib.jp> 0.83-0vl1
- update to 0.83
- build with perl-5.8.0
- eliminate perl-MIME-Base64 in {Build,}Requires

* Sat Feb 15 2003 IWAI Masaharu <iwai@alib.jp> 0.82-0vl1
- update to 0.82

* Sun May 19 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.80-0vl1
- updated to 0.80
- HISTORY -> Changes

* Thu Sep 06 2001 Toru Sagami <sagami@vinelinux.org>
- 0.75-0vl2: was ported to VineSeedPlus with minor spec fixes

* Tue Jul 24 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- updated to 0.75

* Thu Jun 14 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- fixed Copyright.

* Thu Jun 14 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- first version of rpm.

# end of file
