%define	pkgname	Log-Dispatch-FileRotate

# Basic Information
Summary:	Log::Dispatch::FileRotate - Log to files that archive/rotate themselves
Name:		perl-%{pkgname}
Version:	1.38
Release:	1%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Log::Dispatch::FileRotate
Source0:	https://cpan.metacpan.org/authors/id/M/MS/MSCHOUT/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch

# Dependency
BuildRequires:  perl >= 2:5.34.0
Requires:       perl >= 2:5.34.0

%{?perl_default_filter}

%description
This module provides a simple object for logging to files under the
Log::Dispatch::* system, and automatically rotating them according to
different constraints. This is basically a Log::Dispatch::File wrapper
with additions. To that end the arguments

        name, min_level, filename and  mode

behave the same as Log::Dispatch::File. So see its man page (perldoc
Log::Dispatch::File)


%prep
%setup -q -n Log-Dispatch-FileRotate-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
	
%doc Changes README
%{perl_vendorlib}/Log/Dispatch/
%{_mandir}/man3/Log::Dispatch::FileRotate.3*
%{_mandir}/man3/Log::Dispatch::FileRotate::Flock.3*
%{_mandir}/man3/Log::Dispatch::FileRotate::Mutex.3*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.38-1
- new upstream release.
- built with perl-5.34.0.

* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.19-2
- rebuild with perl-5.16

* Thu Jan 26 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.19-1
- initial build for Vine Linux
