%define	pkgname	Log-Dispatch

# Basic Information
Summary:	Log::Dispatch - Dispatches messages to one or more outputs
Summary(ja):	Log::Dispatch - 1 つ以上の出力へのメッセージの急送
Name:		perl-%{pkgname}
Version:	2.70
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Log::Dispatch
Source0:	https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
BuildRequires:  perl >= 2:5.34.0
BuildRequires:	perl(Specio::Exporter)
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(Params::ValidationCompiler)
BuildRequires:  perl(namespace::autoclean)
Requires:	perl >= 2:5.34.0

%{?perl_default_filter}

%description
This module manages a set of Log::Dispatch::* output objects that can be
logged to via a unified interface.

The idea is that you create a Log::Dispatch object and then add various
logging objects to it (such as a file logger or screen logger). Then you
call the log method of the dispatch object, which passes the message to each
of the objects, which in turn decide whether or not to accept the message
and what to do with it.

This makes it possible to call single method and send a message to a log
file, via email, to the screen, and anywhere else, all with very little code
needed on your part, once the dispatching object has been created.

%description -l ja
このモジュールは、統一されたインターフェース経由でログを記録できる
Log::Dispatch::* 出力オブジェクトのセットを管理します。

このアイディアは、Log::Dispatch オブジェクトを作成し、(ファイルロガーや
スクリーンロガーといった)さまざまなログ記録オブジェクトを追加します。
それから、dispatch オブジェクトのメソッドを呼び出します。このメソッドは、
メッセージをそれぞれのオブジェクトへ渡し、それぞれのオブジェクトはメッセージ
を受理すべきかどうか決定します。

これにより単一のメソッドを呼び出して一旦、dispatching オブジェクトが生成され
たならば、ログファイル、E-メール経由、画面やその他すべてに僅かなコードで
メッセージを送信できます。


%prep
%setup -q -n %{pkgname}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{make_install} DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/Log/
%{_mandir}/man3/*.3pm*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.70-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.68-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 2.41-1
- update to 2.41

* Sat Jan 21 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.29-1
- initial build for Vine Linux
