%define	pkgname	Log-Log4perl

# Basic Information
Summary:	Log::Log4perl - Log4j implementation for Perl
Summary(ja):	Log::Log4perl - Perl 向け Log4j 実装
Name:		perl-%{pkgname}
Version:	1.54
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Log::Log4perl
Source0:	https://cpan.metacpan.org/authors/id/E/ET/ETJ/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Dependency
Requires:	perl >= 2:5.34.0
BuildRequires:  perl >= 2:5.34.0

#global __requires_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Log::Dispatch

%description
Log::Log4perl lets you remote-control and fine-tune the logging
behaviour of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.

For a detailed tutorial on Log::Log4perl usage, please read

    http://www.perl.com/pub/a/2002/09/11/log4perl.html


%description -l ja
Log::Log4perl により、外部からシステムのログ取得を遠隔操作および微調整できま
す。広く普及された (Java ベースの) Log4j ロギングパッケージを純粋な Perl で
実装しています。 

Log::Log4perl の使い方に関するより詳細なチュートリアルは、

    http://www.perl.com/pub/a/2002/09/11/log4perl.html

を読んでください。


%prep
%setup -q -n %{pkgname}-%{version}
find lib -name '*.pm' -exec chmod -c a-x {} +
perl -MConfig -pi -e 's|^#!/usr/local/bin/perl|$Config{startperl}|' \
    eg/newsyslog-test eg/benchmarks/simple


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license LICENSE
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.54-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.49-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.44-1
- update to 1.44

* Wed Feb 22 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.35-1
- initial build for Vine Linux

