Summary:        MIME::Lite - low-calorie MIME generator
Name:           perl-MIME-Lite
Version:        3.033
Release:        1%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/MIME::Lite
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/MIME-Lite-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl >= 2:5.34.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(MIME::Types)
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl >= 2:5.34.0
# not detected by automated find-requires:
Requires:       perl(Email::Date::Format)
Requires:       perl(MIME::Types)

%description
MIME::Lite is intended as a simple, standalone module for generating (not 
parsing!) MIME messages... specifically, it allows you to output a simple,
decent single- or multi-part message with text or binaryattachments.  It does
not require that you have the Mail:: or MIME:: modules installed.


%prep
%setup -q -n MIME-Lite-%{version}
sed -i 's/\r//' examples/*
sed -i 's/\r//' contrib/README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -depth -type d -empty -exec rmdir ';'


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license COPYING LICENSE
%doc changes.pod README examples contrib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.033-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.030-2
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 3.030-1
- update to 3.030

* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.028-1
- updated to 3.028

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.01-6
- rebuild with perl-5.12.3

* Tue Nov 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.01-5vl1
- Initial build for Vine Linux

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> 3.01-5
- Rebuild

* Thu Mar 30 2006 Mike McGrath <imlinux@gmail.com> 3.01-4
- New maintainer

* Thu Jun 23 2005 Ralf Corsepius <ralf@links2linux.de> 3.01-3
- Add %%{dist}.

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 3.01-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 3.01-1
- Initial packageing.
