Summary: modules for parsing (and creating!) MIME entities with Perl
Name: perl-MIME-tools
Version: 5.509
Release: 1%{_dist_release}
License: Artistic
Group: Development/Libraries
URL: http://search.cpan.org/author/ERYQ/MIME-tools/

Source0:http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/MIME-tools-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 2:5.26.2
BuildRequires: perl-IO-stringy
BuildRequires: perl-MailTools
BuildRequires: perl-Test-Deep
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl-IO-stringy
Requires: perl-MailTools

Vendor: Project Vine
Distribution: Vine Linux

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing,
decoding, *and generating* single- or multipart (even nested multipart)
MIME messages. (Yes, kids, that means you can send messages with
attached GIF files).

%prep
%setup -q -n MIME-tools-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

find $RPM_BUILD_ROOT%{_prefix} -type f -name ".packlist" -delete

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog MANIFEST README examples
%{_mandir}/*/*
%dir %{perl_vendorlib}/MIME
%dir %{perl_vendorlib}/MIME/Parser
%dir %{perl_vendorlib}/MIME/Decoder
%dir %{perl_vendorlib}/MIME/Field

%changelog
* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.509-1
- new upstream release.
- rebuilt with perl-5.26.

* Wed Oct 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.505-2
- moved to Development/Libraries package
- added BR: perl-Test-Deep

* Tue Jul  1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.505-1
- new upstream release.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.426-2
- build with perl-5.12.3

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.426-1
- new upstream release.
- built with perl-5.10.0.
- moved files to %%{perl_vendorlib}.

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 5.415-0vl1
- new upstream release
- build on perl-5.8.6-0vl1
- drop unnecessary patch ( Patch0 )

* Sat Nov 13 2004 IWAI, Masaharu <iwai@alib.jp> 5.411a-0vl4
- SECURITY FIX: add empty boundary patch ( Patch0 )
  - http://lists.roaringpenguin.com/pipermail/mimedefang/2004-October/024959.html

* Tue Apr 29 2003 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl3
- build with perl-5.8.0

* Sun Nov  3 2002 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl2
- update Summary and Description

* Sun Nov  3 2002 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl1
- first build for Vine Linux

