Summary:        Abstract collection of monitoring metrics
Name:           perl-Metrics-Any
Version:        0.07
Release:        2%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Metrics-Any/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Metrics-Any-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(base)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Errno)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Fatal)
Requires:       perl

%{?perl_default_filter}

%description
Provides a central location for modules to report monitoring metrics, such
as counters of the number of times interesting events have happened, and
programs to collect up and send those metrics to monitoring services.


%prep
%setup -q -n Metrics-Any-%{version}


%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Metrics*
%{_mandir}/man3/Metrics*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.07-2
- initial build for Vine Linux.

* Sun Jul 25 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.07-1
- Update to 0.07

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-4
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 12 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.06-1
- Update to 0.06

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.05-2
- Perl 5.32 rebuild

* Mon May 18 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.05-1
- Update to 0.05

* Sun May 10 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.03-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
