Name:           perl-Module-Info
Version:        0.32
Release:        3%{?_dist_release}
Summary:        Information about Perl modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Info/
Source0:        http://www.cpan.org/authors/id/M/MB/MBARBON/Module-Info-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(version)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%if "%{_dist_release}" > "vl6"
%global __provides_exclude ^perl\\(B::Utils\\)
%else
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Ev '^perl[(]B::Utils[)]'"
%define __perl_provides %{provfilt}
%endif


%description
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should work
on any perl code.

%prep
%setup -q -n Module-Info-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Nov 19 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.32-3
- rebuilt with perl 5.16.3

* Thu Mar 08 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.32-2
- revamp filter routines for B::Utils auto-provides.

* Thu Mar 08 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.32-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.32-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Steven Pritchard <steve@kspei.com> 0.32-1
- Update to 0.32.

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.31-9
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.31-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.31-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Steven Pritchard <steve@kspei.com> 0.31-4
- BR Test::Pod::Coverage.
- Filter B::Utils auto-provides.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.31-3
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.31-2
- rebuild for new perl

* Wed May 30 2007 Steven Pritchard <steve@kspei.com> 0.31-1
- Update to 0.31.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.30-5
- Use fixperms macro instead of our own chmod incantation.

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.30-4
- Rebuild.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.30-3
- Rebuild.

* Sat May 06 2006 Steven Pritchard <steve@kspei.com> 0.30-2
- Add BR: perl(Test::Pod) and perl(version).
- Add Requires: perl(version).

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Update to 0.30.
- Use perl macro.
- Drop extra find.

* Fri Mar 24 2006 Steven Pritchard <steve@kspei.com> 0.290-1
- Specfile autogenerated by cpanspec 1.64.
- Add bindir and man1 files.
