Name:           perl-Net-DNS-Resolver-Programmable
Version:        0.003
Release:        2%{?_dist_release}
Summary:        Programmable DNS resolver class for offline emulation of DNS
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-DNS-Resolver-Programmable/
Source0:        http://www.cpan.org/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/Net-DNS-Resolver-Programmable-v%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=95901
Patch0:         new-net-dns.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class
that allows a virtual DNS to be emulated instead of querying the real DNS.
A set of static DNS records may be supplied, or arbitrary code may be
specified as a means for retrieving DNS records, or even generating them
on the fly.

%prep
%setup -q -n Net-DNS-Resolver-Programmable-v%{version}
%patch0 -p1 -b .net_dns

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 2 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.003-2
- rebuilt with perl-5.16.3.
- added Patch0 against Net::DNS >= 0.75.

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.003-1
- initial build for Vine Linux


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.003-8
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.003-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.003-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.003-3
- rebuild for new perl

* Wed Jul 11 2007 Steven Pritchard <steve@kspei.com> 0.003-2
- Rebuild.

* Tue Jul 10 2007 Steven Pritchard <steve@kspei.com> 0.003-1
- Specfile autogenerated by cpanspec 1.72.
- Add "v" to files and path names.
- Drop explicit redundant dependencies.
