Name: perl-Net-DNS
Version: 1.32
Release: 1%{?_dist_release}
Summary: Net-DNS module for perl
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

# Other files:          MIT
# demo/mresolv:         GPL+ or Artistic
## Not in a binary package
# contrib/find_zonecut: GPL+ or Artistic
# contrib/check_soa:    GPL+ or Artistic
License: (GPL+ or Artistic) and MIT
URL: https://metacpan.org/pod/Net::DNS
Source0: https://cpan.metacpan.org/authors/id/N/NL/NLNETLABS/Net-DNS-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 2:5.34.0
BuildRequires: perl(Digest::HMAC), perl(Net::IP), perl(Test::Pod)
Requires: perl >= 2:5.34.0, perl(Digest::HMAC), perl(Net::IP)

%{?perl_default_filter}
# Do not export under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::HMAC\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::MD5\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::SHA\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MIME::Base64\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CONFIG\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(OS_CONF\\)$
# Do not export under-specified provides
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::Text)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::RR::OPT)\\)$

%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver. It allows the programmer to perform DNS queries
that are beyond the capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS
packet and its various sections. See RFC 1035 or DNS and BIND (Albitz
& Liu) for details.


%prep
%setup -q -n Net-DNS-%{version} 
chmod -x demo/*
perl -MConfig -i -pe 's{^#!/usr/local/bin/perl}{$Config{startperl}}' demo/*


%build
export PERL_MM_USE_DEFAULT=yes
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 --no-online-tests
%{make_build}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{make_install}
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}/*


%check
make test


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc README Changes demo
%{perl_vendorlib}/Net/
%exclude %{perl_vendorlib}/Net/DNS/Resolver/cygwin.pm
%exclude %{perl_vendorlib}/Net/DNS/Resolver/MSWin32.pm
%{_mandir}/man3/Net::DNS*.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::cygwin.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::MSWin32.3*
# Nameserver
%{perl_vendorlib}/Net/DNS/Nameserver.pm
%{_mandir}/man3/Net::DNS::Nameserver*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.32-1
- new upstream release.
- built with perl-5.34.0.

* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.77-1
- new upstream release.

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 0.66-1
- new upstream release

* Sat Mar 14 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.65-1
- new upstream release
- add BuildRequires perl(Test::Pod) which is needed for test process

* Mon May 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.63-3
- add BuildRequires perl(Net::IP) which is needed for test process

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.63-2
- rebuilt with perl-5.10.0

* Sat Mar 22 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.63-1
- new upstream release with security fix (CVE-2007-6341)
- build under new versioning policy

* Sat Aug 18 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.60-0vl3
- rebuild for VineSeed 

* Wed Aug 15 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.60-0vl2
- Build for Vine 4.x (0vl1 is for Vine 3.x)
- new upstream release with security fixes (CVE-2007-3377, 3409)

* Mon Oct 09 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.59-0vl2
- Build for VineSeed / Vine 4.0 
- changed Group to Development/Languages
- installs to vendor_arch directory

* Wed Oct 04 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.59-0vl1
- add require tag
- Build for Vine 3.2

* Tue Aug 16 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.53-0vl1
- Build for Vine 3.1 (was not put)

* Thu Jun 17 2004 Masaru Sato <masachan@mediaship.ne.jp> 0.47-0vl1
- 1st release for Vine
