Name:           perl-Net-IP
Version:        1.26
Release:        4%{?_dist_release}
Summary:        Perl module for manipulation of IPv4 and IPv6 addresses
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Net-IP/
Source:         http://www.cpan.org/modules/by-module/Net/Net-IP-%{version}.tar.gz
Patch0:         ipcount-invalid_chars_in_IP.patch
Patch1:         perl-Net-IP-1.25-bz197425.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildArch:  noarch
BuildRequires: perl
Requires: perl

%description
This is the Net::IP module for Perl, designed to allow easy
manipulation of IPv4 and IPv6 addresses.  Two applications using the
Net::IP module are included: ipcount, an IP address mini-calculator,
it can calculate the number of IP addresses in a prefix or all the
prefixes contained in a given range; and iptab, which prints out a
handy IP "cheat sheet".


%prep
%setup -q -n Net-IP-%{version}
%patch0 -p1
%patch1 -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING
%doc Changes README
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::IP.3*


%changelog
* Tue Nov 16 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.26-4
- rebuilt with perl-5.34.0.

* Fri Aug 23 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.26-3
- imported Patch0 from opensuse.
- imported Patch1 from rawhide.

* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.26-2
- rebuilt with perl-5.26.

* Mon Jun 30 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.26-1
- build with Perl 5.16
- update to 1.26

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 1.25-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.25-1vl5
- rebuilt with perl-5.10.0
- applied new versioning policy

* Mon Oct 09 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 1.25-0vl2
- Build for VineSeed / Vine 4.0 
- changed Group to Development/Languages
- installs to vendor_arch directory

* Wed Oct 04 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- upstream release
- 1.25-0vl1
- Build for Vine 3.2

* Fri Jan 06 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 1.24-2vl0.1
- Nora Package for Vine 3.2

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Mon Oct 31 2005 Warren Togami <wtogami@redhat.com> - 1.24-2
- import into FC5 because perl-Net-DNS needs it

* Wed Oct 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.24-1
- 1.24.

* Mon Jun  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.23-3
- 1.23, patches applied upstream.
- Improve description.

* Sun May 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.22-2
- 1.22, include test case for rt.cpan.org #7528 patch.
- Patch to mute stdout noise from ip_reverse().

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.21-2
- rebuilt

* Thu Dec  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.21-1
- Update to 1.21.

* Sat Nov  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.7
- Apply fixes from rt.cpan.org #3844 and #7528.
- Some specfile cleanups.

* Sun May  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.6
- BuildRequire perl >= 1:5.6.1-34.99.6 for support for vendor installdirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.5
- Require perl(:MODULE_COMPAT_*).

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.4
- Reduce directory ownership bloat.

* Mon Dec  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.3
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.2
- Install into vendor dirs.

* Wed Jul 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.1
- First build.
