%define pkgname Net-SMTP-SSL
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}

Name:           perl-Net-SMTP-SSL
Summary:        SSL support for Net::SMTP
Version:        1.04
Release:        2%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        Artistic
URL:            https://metacpan.org/pod/Net::SMTP::SSL
Source:         https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SMTP)
# Tests only
BuildRequires:  perl(Test::More)

Requires:       perl >= 2:5.34.0

%{?perl_default_filter}

%description
Implements the same API as L<Net::SMTP|Net::SMTP>, but uses
L<IO::Socket::SSL|IO::Socket::SSL> for its network operations. Due to
the nature of C<Net::SMTP>'s C<new> method, it is not overridden to make
use of a default port for the SMTPS service. Perhaps future versions
will be smart like that. Port C<465> is usually what you want, and it's
not a pain to specify that.

For interface documentation, please see L<Net::SMTP|Net::SMTP>.

#
# This package was generated automatically with the cpan2rpm
# utility.  To get this software or for more information
# please visit: http://perl.arix.com/
#


%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" \
%{__perl} Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build} 


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%check
make test


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%doc README Changes
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/SMTP/
%{perl_vendorlib}/Net/SMTP/SSL.pm
%{_mandir}/man3/Net::SMTP::SSL.3*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.04-2
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.04-1
- new upstream release.
- rebuilt with perl-5.26.

* Sat Oct 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.01-2
- moved to Development/Libraries Group

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.01-1
- initial build for Vine Linux.

