%define	pkgname	Net-SNMP

# Basic Information
Summary:	Net::SNMP - Object oriented interface to SNMP
Summary(ja):	Net::SNMP - SNMP へのオブジェクト指向インターフェース
Name:		perl-%{pkgname}
Version:	6.0.1
Release:	4%{?_dist_release}
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Net::SNMP
Source0:	https://cpan.metacpan.org/authors/id/D/DT/DTOWN/%{pkgname}-v%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

# Dependency
Requires:	perl >= 2:5.34.0
BuildRequires:  perl >= 2:5.34.0

%{?perl_default_filter}

%description
The Net::SNMP module implements an object oriented interface to the 
Simple Network Management Protocol.  Perl applications can use the  
module to retrieve or update information on a remote host using the 
SNMP protocol.  The module supports SNMP version-1, SNMP version-2c 
(Community-Based SNMPv2), and SNMP version-3.  The Net::SNMP module 
assumes that the user has a basic understanding of the Simple Network 
Management Protocol and related network management concepts.

%description -l ja
Net::SNMP モジュールは、Simple Network Management Protocol へのオブジェクト
指向インターフェースを実装しています。Perl アプリケーションでこのモジュール
を利用すれば、 SNMP プロトコルを利用してリモートホストの情報を受信や更新でき
ます。このモジュールは、SNMP version-1、SNMP version-2c (コミュニティーベー
ス SNMPv2) および SNMP version-3 をサポートしています。Net::SNMP モジュール
は、ユーザーが Simple Network Management Protocol および関連するネットワーク
管理の概念について基本的な理解をもっているものと仮定しています。


%prep
%setup -q -n Net-SNMP-v6.0.1


%build
perl Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
rm -rf $RPM_BUILD_ROOT
	
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%license LICENSE
%doc Changes README examples/
%{_bindir}/*
%{perl_vendorlib}/Net/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.0.1-4
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.0.1-3
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.0.1-2
- rebuilt with perl-5.16.3.

* Sat Feb 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 6.0.1-1
- initial build for Vine Linux
