%define	pkgname	Net-Server

# Basic Information
Summary:	Net::Server - Extensible, general Perl server engine
Summary(ja):	Net::Server - 拡張可能で一般的な Perl サーバーエンジン
Name:		perl-%{pkgname}
Version:	2.010
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Net::Server
Source0:	https://cpan.metacpan.org/authors/id/R/RH/RHANDOM/Net-Server-2.010.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

# Dependency
Requires:	perl >= 2:5.34.0

BuildRequires:  perl

%{?perl_default_filter}

%description
Net::Server is an extensible, generic Perl server engine. Net::Server
combines the good properties from Net::Daemon (0.34), NetServer::Generic
(1.03), and Net::FTPServer (1.0), and also from various concepts in the
Apache Webserver.

%description -l ja
Net::Server は、拡張可能で一般的な Perl サーバーエンジンです。Net::Server は、
Net::Daemon (0.34)、NetServer::Generic (1.03)、Net::FTPServer (1.0) の良い特
性を組み合わせています。Apache ウェブサーバーのさまざまなコンセプトも取り入
れています。


%prep
%setup -q -n Net-Server-%{version}


%build
perl Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%license LICENSE
%doc Changes README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/net-server
%{_mandir}/man1/net-server.1*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.010-1
- new upstream release.
- built with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.009-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.008-1
- new upstream release.

* Thu Mar 27 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.007-1
- new upstream release.

* Wed Jan 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.99-2
- Add BuildArch (noarch)

* Fri Jan 13 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.99-1
- initial build for Vine Linux
