Summary:	Extensions to PPI
Name:		perl-PPIx-Utilities
Version:	1.001000
Release:	5%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	shaolin

License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/PPIx::Utilities
Source0:	https://cpan.metacpan.org/authors/id/E/EL/ELLIOTJS/PPIx-Utilities-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exception::Class)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(PPI::Document)
BuildRequires:	perl(PPI::Dumper)
BuildRequires:	perl(Readonly)
BuildRequires:	perl(Task::Weaken)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More)
Requires:	perl >= 2:5.34.0
Requires:	perl(Exporter)

%{?perl_default_filter}

%description
This is a collection of functions for dealing with PPI objects, many of
which originated in Perl::Critic. They are organized into modules by the
kind of PPI class they relate to, by replacing the "PPI" at the front of
the module name with "PPIx::Utilities", e.g. functionality related to
PPI::Nodes is in PPIx::Utilities::Node.


%prep
%setup -q -n PPIx-Utilities-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/PPIx/
%{_mandir}/man3/PPIx::Utilities.3pm*
%{_mandir}/man3/PPIx::Utilities::Exception::Bug.3pm*
%{_mandir}/man3/PPIx::Utilities::Node.3pm*
%{_mandir}/man3/PPIx::Utilities::Statement.3pm*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.001000-5
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.001000-4
- rebuilt with perl-5.26.

* Fri Nov 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.001000-3
- rebuilt with perl 5.16.3

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.001000-2
- rebuild

* Fri Feb 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.001000-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.001000-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001000-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  2 2010 Paul Howarth <paul@city-fan.org> - 1.001000-1
- Update to 1.001000
  - Add support for Const::Fast to PPIx::Utilities::Statement

* Thu Jul 29 2010 Paul Howarth <paul@city-fan.org> - 1.000001-2
- Re-jig for Fedora submission

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.000001-1
- Initial RPM version
