%define _use_internal_dependency_generator 0

Summary: Perl extension for generating and using LALR parsers. 
Name: perl-Parse-Yapp
Version: 1.21
Release: 2%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: distributable
URL: http://search.cpan.org/~fdesar/Parse-Yapp/
Source0: http://search.cpan.org/CPAN/authors/id/F/FD/FDESAR/Parse-Yapp-%{version}.tar.gz

BuildArch: noarch

BuildRequires: perl(ExtUtils::MakeMaker)

%{?perl_default_filter}

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of
modules that let you generate and use yacc like thread safe
(reentrant) parsers with perl object oriented interface.  The script
yapp is a front-end to the Parse::Yapp module and let you easily
create a Perl OO parser from an input grammar file.


%prep
%setup -q -n Parse-Yapp-%{version} 
## fix file permission
%__chmod 0644 README
find lib -type f | xargs chmod 0644


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make


%install
make install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%doc README Changes
%{_bindir}/*
%dir %{perl_vendorlib}/Parse
%{perl_vendorlib}/Parse/*
%{_mandir}/man*/*


%changelog
* Thu Dec 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.21-2
- rebuilt with perl-5.34.0.

* Mon May 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.21-1
- new upstream release.
- rebuilt with perl-5.26.

* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.05-34
- rebuilt with perl 5.16.3
- updated URL

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.05-33
- fix file permission
- add documents
- add directories in files

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.05-32vl6
- build with perl 5.12.3
- defined __find_{provides,requires} with vl4 and vl5
- add Vendor and Distribution tags

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.05-31vl5
- applied new versioning policy

* Sat Sep  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.05-30vl6
- installed files to vendor_perl
- changed Group to Development/Libraries

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 1.05-30vl5
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 1.05-30vl4
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.05-30vl3
- built on perl-5.8.1

* Sun Apr 20 2003 Satoshi MACHINO <machino@vinelinux.org> 1.05-30vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 1.05-30vl1
- Build for VineLinux

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
