%define	pkgname	Path-Extended

# Basic Information
Name:		perl-%{pkgname}
Version:	0.22
Release:	1%{?_dist_release}
Summary:	yet another Path class
#Summary(ja):	ここに日本語で概要を記述してください

License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~ishigaki/Path-Extended/

Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MakeMaker::CPANfile) >= 0.06
BuildRequires:  perl(Log::Dump)
BuildRequires:  perl(Test::Classy)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::UseAllModules) >= 0.09
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
This is yet another file/directory handler that does a bit more than
Path::Class for some parts, and a bit less for other parts. One of the main
difference is Path::Extended always tries to use forward slashes when
possible, ie. even when you're on the MS Windows, so that you don't need to
care about escaping paths that annoys you from time to time when you want to
apply regexen to a path, especially in file tests that use 'like' or
'compare'.

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n Path-Extended-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test


%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Path/Extended
%dir %{perl_vendorlib}/Path/Extended/Class
%{perl_vendorlib}/Path/*.pm
%{perl_vendorlib}/Path/Extended/*.pm
%{perl_vendorlib}/Path/Extended/Class/*.pm
%{_mandir}/*/*


%changelog
* Tue Dec  9 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.03-1
- updated to 0.22
- built with perl 5.16.3
- added BR: perl(ExtUtils::MakeMaker::CPANfile), perl(Log::Dump)
- changed to noarch package

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.19-1
- initial build for Vine Linux
