Name:           perl-Readonly
Version:        2.05
Release:        2%{?_dist_release}
Summary:        Facility for creating read-only scalars, arrays, hashes
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Readonly/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RO/ROODE/Readonly-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:  perl(Test::More)
Requires:       perl >= 2:5.34.0
# perl-Readonly-XS builds for all current fedora architectures, so let's
# require it.
Requires:       perl(Readonly::XS)

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
Readonly provides a facility for creating non-modifiable scalars,
arrays, and hashes.  Any attempt to modify a Readonly variable throws 
an exception.

Readonly:
* Creates scalars, arrays (not lists), and hashes.
* Creates variables that look and work like native perl variables.
* Creates global or lexical variables.
* Works at runtime or compile time.
* Works with deep or shallow data structures.
* Prevents reassignment of Readonly variables.


%prep
%setup -q -n Readonly-%{version}


%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
rm -rf %{buildroot}

./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
./Build test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/Readonly.pm
%{_mandir}/man3/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.05-2
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.05-1
- new upstream release.
- rebuilt with perl-5.26.

* Sat Nov  8 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.00-1
- updated to 2.00
- make -> ./Build
- built with perl 5.16.3

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.03-2
- rebuild

* Tue Feb 21 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.03-1
- initial package for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.03-16
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-14
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-13
- Mass rebuild with perl-5.12.0

* Sun Feb 21 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.03-12
- add perl_default_filter, etc
- minor spec updates

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.03-11
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-8
- Rebuild for perl 5.10 (again)

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.03-7
- rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.03-6.2
- add BR: perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.03-6.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Wed Oct 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-6
- add explict requires on perl(Readonly::XS).  perl(Readonly::XS) is available
  for all architectures fedora supports, so there's no good reason to not
  require it.
- spec file rework

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-5
- bump for mass rebuild

* Thu Dec 08 2005 Michael A. Peters <mpeters@mac.com> - 1.03-3
- Remove requires on perl-Readonly-XS

* Thu Dec 08 2005 Michael A. Peters <mpeters@mac.com> - 1.03-3
- Fix license and BuildRequires, use %%{?_smp_mflags} with make,

* Sat Nov 12 2005 Michael A. Peters <mpeters@mac.com> - 1.03-2
- separate out perl-Readonly-XS into its own package
- package benchmark.pl as a doc

* Mon Nov 7 2005 Michael A. Peters <mpeters@mac.com> - 1.03-1
- Initial spec file
