Name: 		perl-SOAP-Lite
Version:	1.13
Release:	1%{?_dist_release}
Summary:	Client and server side SOAP implementation
Summary(ja):	クライアント及びサーバサイドの SOAP 実装の perl モジュール

License:	GPL+ or Artistic
Group:		Development/Libraries
URL: 		http://search.cpan.org/dist/SOAP-Lite/

Source0: 	http://search.cpan.org/CPAN/authors/id/B/BY/BYRNE/SOAP/SOAP-Lite-%{version}.tar.gz
Source1:        filter-requires-SOAP-Lite.sh

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch: 	noarch
BuildRequires:	perl(Class::Inspector)
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::SessionData) >= 1.03
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Task::Weaken)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(XML::Parser) >= 2.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(SOAP::Transport::TCP)

Vendor:		Project Vine
Distribution:	Vine Linux

%define __find_requires %{SOURCE1}

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

%prep
%setup -q -n SOAP-Lite-%{version}

%build
%{__perl} Makefile.PL --noprompt INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

#Items not yet in Extras
#find $RPM_BUILD_ROOT -type f -name JABBER* -exec rm -f {} ';'
#find $RPM_BUILD_ROOT -type f -name MQ* -exec rm -f {} ';'

chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
# For license text(s), see the perl package.
%doc Changes README ReleaseNotes.txt
%{_bindir}/*pl
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/Apache
#%{perl_vendorlib}/IO
#%{perl_vendorlib}/UDDI
#%{perl_vendorlib}/XML
#%{perl_vendorlib}/XMLRPC
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Sat Jan 31 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.13-1
- updated to 1.13
- added BR: perl(Crypt::SSLeay), perl(IO::SessionData)

* Sat Mar 17 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.714-1
- new upstream release.
- build with perl-5.12.3 ( VineLinux:1267 )
- add Vendor and Distribution
- delete Patch0
- fixed Release
- add perl-Class-Inspector to BR
- add Provides

* Sat Nov 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.69-0vl1
- initial build for Vine Linux
- added filter-requires-SOAP-Lite.sh

* Thu Oct 18 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-5
- Fixed build requires

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.68-4.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Mar 03 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-4
- bogus reqs diff

* Sat Jan 2 2007 Mike McGrath <imlinux@gmail.com> - 0.68-3
- Changed the way this package removes bogus reqs for EL4

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- Rebuild

* Tue Jul 18 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- New upstream source
- Patch provided for <value><nil/></value> issues

* Mon Mar 20 2006 Mike McGrath <imlinux@gmail.com> - 0.67-2
- Removed perl requirements that do not yet exist in Extras

* Sat Mar 18 2006 Mike McGrath <imlinux@gmail.com> - 0.67-1
- New Owner and new spec file

* Wed Oct 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.60a-3
- Fix build, doc permissions (#169821).

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 0.60a-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 0.60a-1
- Initial packaging.

