Summary: SQL-Statement module for perl
Name: perl-SQL-Statement
Version: 1.414
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: Artistic or GPL
URL: https://metacpan.org/pod/SQL::Statement
Source0: https://cpan.metacpan.org/authors/id/R/RE/REHSACK/SQL-Statement-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Clone)
#BuildRequires:  perl(Math::Base::Convert)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Test::Deep)
Requires:       perl

%description
SQL-Statement module for perl


%prep
%setup -q -n SQL-Statement-%{version} 
find -type f -exec chmod a-x {} +
sed -i -e 's/\r//' README


%build
export SQL_STATEMENT_WARN_UPDATE=sure
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT pure_install
chmod -R u+w %{buildroot}/*

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.files
%defattr(-,root,root)
%license ARTISTIC-1.0 GPL-1 GPL-2.0 LICENSE
%doc Changes README README.md
%dir %{perl_vendorlib}/SQL
%dir %{perl_vendorlib}/SQL/Dialects
%dir %{perl_vendorlib}/SQL/Statement
%{_mandir}/*/*


%changelog
* Wed Nov 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.414-1
- new upstream release.
- built with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.412-1
- new upstream release.
- rebuilt with perl-5.26.

* Fri Dec  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.405-1
- updated to 1.405

* Fri Jun 27 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.33-3
- build with Perl 5.16

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.33-2
- rebuild

* Fri Mar 02 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.33-1
- updated to 1.33

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.15-2
- rebuild with perl-5.12.3

* Mon May 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.15-1
- applied new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.15-0vl1
- updated to 1.15
- changed Group to Development/Libraries
- s/Copyright/License/

* Wed Sep  7 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.14-0vl1
- updated to 1.14, build for perl 5.8.x
- updated URL
- use vendor_perl 

* Sat Apr 13 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.004-0vl1
- first build for Vine Linux
