%define	pkgname	Sub-Install

# Basic Information
Summary:	install subroutines into packages easily
Summary(ja):	簡単にパッケージにサブルーチンをインストールする
Name:		perl-%{pkgname}
Version:	0.928
Release:	2%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	Artistic or GPL
URL:		https://metacpan.org/pod/Sub::Install
Source0:	https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch

# Dependency
BuildRequires:	perl >= 2:5.34.0
Requires:	perl >= 2:5.34.0

%{?perl_default_filter}

%description
This module makes it easy to install subroutines into packages without the
unslightly mess of no strict or typeglobs lying about where just anyone can
see them.


%prep
%setup -q -n %{pkgname}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%license LICENSE
%doc Changes README
%dir %{perl_vendorlib}/Sub
%{perl_vendorlib}/Sub/*
%{_mandir}/*/*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.928-2
- rebuilt with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.928-1
- new upstream release.
- rebuilt with perl-5.26.

* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.927-1
- update to 927-1

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.925-1
- initial build for Vine Linux
