%define	pkgname	Test-Classy

# Basic Information
Name:		perl-%{pkgname}
Version:	0.10
Release:	1%{?_dist_release}
Summary:	write your unit tests in other modules than *.t
Summary(ja):	*.t 以外のモジュールで単体テストを書く

License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~ishigaki/Test-Classy/

Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::Inspector)
BuildRequires:	perl(Data::Dump)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Find)
BuildRequires:	perl(Term::Encoding)
BuildRequires:	perl(Test::UseAllModules)
BuildRequires:	perl(Sub::Install)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
This is yet another Test::Class-like unit testing framework. As stated in
Test::Class pod, you don't need to care if your tests are small and working
correctly. If not, this may be one of your options.

Unlike Test::Class, Test::Classy (actually Test::Classy::Base) is based on
Test::More and exports everything Test::More exports. Test::Classy doesn't
control test flow as fully as Test::Class, but it may be easier to skip and
limit tests.

#%%description -l ja

%prep
%setup -q -n Test-Classy-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test


%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test/*
%{_mandir}/man3/*


%changelog
* Tue Nov 25 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.10-1
- updated to 0.10
- built with perl 5.16.3
- installed module to vendor_perl
- added BuildArch: noarch
- added BuildRequires: perl modules
- added URL tag

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.09-1
- initial build for Vine Linux
