Summary:	Check the correct line endings in your project
Name:		perl-Test-EOL
Version:	2.02
Release:	1%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/Test::EOL
Source0:	https://cpan.metacpan.org/authors/id/E/ET/ETHER/Test-EOL-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FindBin)
# Simplify breaking dependency loops at bootstrap time
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Pod::Coverage::TrustPod)
%endif
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl >= 2:5.34.0

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc.) with Windows line endings. It can also check for trailing
whitespace.


%prep
%setup -q -n Test-EOL-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}


%check
make test RELEASE_TESTING=1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::EOL.3pm*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.02-1
- new upstream release.
- built with perl-5.34.0.

* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.5-1
- updated to 1.5
- built with perl 5.16.3

* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1-1
- initial build for Vine Linux

* Mon Jan 16 2012 Paul Howarth <paul@city-fan.org> 1.1-1
- Update to 1.1
  - Fix test fails on < 5.8 perls
  - Fix t/13-latin1.t failures on Win32 and under TB1.5
- Add buildreqs for required core modules, which might be dual-lived

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> 1.0-1
- Update to 1.0
  - Fix misleading test failure diagnostics when only issue is trailing
    whitespace
  - No longer blindly assume utf8 on input files (CPAN RT#59877)
  - Properly document testing options
- This release by RIBASUSHI -> update source URL
- Drop upstreamed patch for CPAN RT#59877
- Update patch for building with old ExtUtils::MakeMaker versions

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 0.9-5
- Restore EPEL-4 compatibility
- perl(Pod::Coverage::TrustPod) is available everywhere now
- %%{?perl_default_filter} isn't needed for this tiny package
- Nobody else likes macros for commands

* Tue Jun 28 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.9-4
- Perl mass rebuild
- Add macro perl_bootstrap

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Paul Howarth <paul@city-fan.org> 0.9-2
- Don't assume tested files are UTF-8 encoded (CPAN RT#59877)

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> 0.9-1
- Update to 0.9 (fix warnings on very old perls - CPAN RT#58442)
- Use DESTDIR instead of PERL_INSTALL_ROOT
- Add %%{?perl_default_filter}

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> 0.8-1
- Initial RPM version
