Summary:	Check for memory leaks and circular memory references
Name:		perl-Test-Memory-Cycle
Version:	1.06
Release:	2%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/Test::Memory::Cycle
Source0:	https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/Test-Memory-Cycle-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	perl(Devel::Cycle)
BuildRequires:	perl(PadWalker)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl >= 2:5.34.0

%{?perl_default_filter}

%description
Perl's garbage collection has one big problem: Circular references
can't get cleaned up.  A circular reference can be as simple as two
objects that refer to each other.
"Test::Memory::Cycle" is built on top of "Devel::Cycle" to give you an
easy way to check for these circular references.


%prep
%setup -q -n Test-Memory-Cycle-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
%{__make} test


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.06-2
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.06-1
- new upstream release.
- rebuilt with perl-5.26.

* Fri Nov 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.04-3
- rebuilt with perl 5.16.3

* Mon Apr 25 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.04-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.04-1
- initial build for Vine Linux based on fedora development

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-5
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-4
- Rebuild for perl 5.10 (again), first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-3
- rebuild normally, second pass

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-2
- rebuild for new perl, disable T-P-C and tests for first pass

* Wed Aug  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-1
- Update to 1.04.

* Mon Feb 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-2
- Rebuild for FC5 (perl 5.8.8).

* Tue May 24 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- Update to 1.02.

* Sat May 14 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-4
- Add dist tag.

* Fri Apr 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-3
- Fedora Extras: FC-4 version.

* Fri Apr 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-2
- Fedora Extras: FC-3 version.

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.2
- RedHat 9.0 (8.0 and 7.3): CGI.pm is shipped as perl-CGI (#1824).

* Mon Jan 24 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.1
- Update to 1.00.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.02-0.fdr.1
- First build.
