Summary:        Make sure you didn't emit any warnings while testing
Name:           perl-Test-NoWarnings
Version:        1.06
Release:        1%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPL2.1
URL:            https://metacpan.org/pod/Test::NoWarnings
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Test-NoWarnings-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Tester)
Requires:       perl

%description
In general, your tests shouldn't produce warnings. This module causes any
warnings to be captured and stored. It automatically adds an extra test
that will run when your script ends to check that there were no warnings.
If there were any warings, the test will give a "not ok" and diagnostics of
where, when and what the warning was, including a stack trace of what was
going on when the it occurred.


%prep
%setup -q -n Test-NoWarnings-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Nov 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.06-1
- new upstream release.
- built with perl-5.34.0.

* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.04-2
- rebuilt with perl-5.26.

* Wed Nov 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.04-1
- updated to 1.04
- built with perl 5.16.3
- added Vendor and Distribution tag

* Thu Nov 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.084-1
- updated to 0.084
- applied new versioning policy

* Wed Sep 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.083-2vl1
- initial build for Vine Linux

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.083-2
- BR ExtUtils::MakeMaker.

* Tue Dec 26 2006 Steven Pritchard <steve@kspei.com> 0.083-1
- Update to 0.083.
- Use fixperms macro instead of our own chmod incantation.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.082-2
- Fix find option order.

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.082-1
- Specfile autogenerated by cpanspec 1.64.
- Fix License.
- Drop explicit dependency on perl(Test::Tester).  (Seems to be bogus.)
