Name:           perl-Test-Number-Delta
Version:        1.04
Release: 1%{?_dist_release}
Summary:        Compare the difference between numbers against a given tolerance
Summary(ja):        Compare the difference between numbers against a given tolerance

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://search.cpan.org/dist/Test-Number-Delta/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Test-Number-Delta-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Builder) >= 0.32
BuildRequires:  perl(Test::Builder::Tester) >= 1.02
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
At some point or another, most programmers find they need to compare
floating-point numbers for equality. The typical idiom is to test if
the absolute value of the difference of the numbers is within a
desired tolerance, usually called epsilon. This module provides such
a function for use with Test::Harness.


%prep
%setup -q -n Test-Number-Delta-%{version}


%build
%{__perl} Makefile.PL installdirs=vendor
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*


%check
AUTHOR_TESTING=1 make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE Todo
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm*


%changelog
* Wed Jul 16 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.04-1
- build with Perl 5.16
- update to 1.04
- update License

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 1.03-2vl6
- build with perl 5.12.3
- add Vendor and Distribution tags

* Mon Jul 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.03-1
- initial build for Vine Linux

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-2
- rebuild for new perl

* Sun Jun 24 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- First build.
