Summary: a unit testing interface for Perl
Name: perl-Test-Unit
Version: 0.25
Release: 3%{?_dist_release}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://perlunit.sourceforge.net/

Source0: http://prdownloads.sourceforge.net/perlunit/Test-Unit-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=69025
Patch0: tests5.14.patch
# https://rt.cpan.org/Public/Bug/Display.html?id=77779
Patch1: perl5.16.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Inner)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Symdump)
BuildRequires:  perl(Error)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test)
BuildRequires:  perl(Tk)
BuildRequires:  perl(Tk::Canvas)
BuildRequires:  perl(Tk::Derived)
BuildRequires:  perl(Tk::DialogBox)
BuildRequires:  perl(Tk::ROText)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Unit is the procedural style interface to a sophisticated
unit testing framework for Perl that is derived from the JUnit
testing framework for Java by Kent Beck and Erich Gamma. 

%prep
%setup -q -n Test-Unit-%{version} 
%patch0 -p1
%patch1 -p1
sed -i 's/\r//' examples/Experimental/Sample.pm
chmod a+x TkTestRunner.pl TestRunner.pl

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog Changes COPYING.Artistic COPYING.GPL-2 doc examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Dec 17 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.25-3
- rebuilt with perl 5.16.3
- added Patch0 and 1 from Fedora
  * Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.25-13
  - apply patch to for Test::Unit::TestBase RT#77779
  * Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.25-11
  - apply upstream patch for tests RT#69025

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.25-2
- rebuild with perl-5.12.3

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.25-1vl5
- applied new versioning policy
- added BuildRequires: perl-Class-Inner, perl-Devel-Symdump, perl-Error

* Thu Feb 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.25-0vl1
- updated to 0,25
- changed Group to Development/Libraires
- added Requires: perl-Tk

* Sat May 10 2003 IWAI Masaharu <iwai@alib.jp> 0.24-0vl1
- version up to 0.24
- replace Copyright tag with License tag
- clarify the License
- update Requires:
    add perl-Error, perl-Devel-Symdump and perl-Class-Inner

* Fri Apr  5 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.14-0vl1
- first release for Vine Linux

