%define	pkgname	Text-Markdown

# Basic Information
Name:		perl-%{pkgname}
Version:	1.000031
Release:	2%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~bobtfish/Text-Markdown/

Summary:	Text::Markdown - Convert Markdown syntax to (X)HTML
Summary(ja):	Text::Markdown - Markdown 文法から (X)HTML への変換

Source0:	http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(FindBin)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.42

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
 Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format is
most similar to that of plain text email, and supports features such as
headers, *emphasis*, code blocks, blockquotes, and links.

 Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use span-level
HTML tags anywhere in a Markdown document, and you can use block level HTML
tags (like <div> and <table> as well).

#%%description -l ja


%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Fri Dec 19 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.000031-2
- rebuilt with perl 5.16.3
- added URL tag

* Fri Oct 05 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.000031-1
- initial build for Vine Linux
