%define	pkgname	Text-Template

# Basic Information
Name:		perl-%{pkgname}
Version:	1.46
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~mjd/Text-Template/

Source0:	http://search.cpan.org/CPAN/authors/id/M/MJ/MJD/%{pkgname}-%{version}.tar.gz

Summary:	Text::Template - Expand template text with embedded Perl
Summary(ja):	Text::Template - Perl が埋め込まれたテンプレートテキストの拡張

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
 This is a library for generating form letters, building HTML pages, or
filling in templates generally. A `template' is a piece of text that has
little Perl programs embedded in it here and there. When you `fill in' a
template, you evaluate the little programs and replace them with their
values.

 You can store a template in a file outside your program. People can modify
the template without modifying the program. You can separate the formatting
details from the main code, and put the formatting parts of the program into
the template. That prevents code bloat and encourages functional separation.

#%%description -l ja

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc COPYING README

%changelog
* Fri Dec 19 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.46-1
- updated to 1.46
- built with perl 5.16.3
- added URL tag

* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.45-1
- initial build for Vine Linux
