Summary: A Perl module for time and date manipulation.
Name: perl-TimeDate
Version: 2.33
Release: 1%{_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL+ or Artistic
URL: https://metacpan.org/release/TimeDate
Source0: https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/TimeDate-%{version}.tar.gz

BuildArch: noarch

BuildRequires: perl >= 2:5.34.0
Requires: perl >= 2:5.34.0

%description
This module includes a number of smaller modules suited for
manipulation of time and date strings with Perl.  In particular, the
Date::Format and Date::Parse modules can display and read times and
dates in various formats, providing a more reliable interface to
textual representations of points in time.


%prep
%setup -q -n TimeDate-%{version} 
# ChangeLog is ISO-8859-1 encoded
	
iconv -f iso-8859-1 -t utf8 < ChangeLog > ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog
# Bogus exec permissions on some language modules
chmod -x lib/Date/Language/{Russian_cp1251,Russian_koi8r,Turkish}.pm


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%doc README ChangeLog
%{perl_vendorlib}/Date/
%{perl_vendorlib}/Time/
%{perl_vendorlib}/TimeDate.pm
%{_mandir}/man3/*.3*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.33-1
- new upstream release.
- built with perl-5.34.0.

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20-2
- rebuilt with perl-5.16.3.

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.20-1
- new upstream release
- add Vendor and Distribution tags

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.16-3
- built with perl-5.10.0.

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.16-2vl3
- changed Group to Development/Libraries
- changed INSTALLDIRS to vendor from site

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 1.16-2vl2
- built with perl-5.8.6

* Sun Oct 03 2004 Satoshi MACHINO <machino@vinelinux.org> 1.16-2vl1
- rebuilt for VineLinux
	-- deleted epoch tag
	-- changed INSTALLDIR to site from vendor

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1:1.16-2
- rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1:1.16-1
- update to 1.16, bump epoch since previous version was 1.1301

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.301

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Oct 24 2001 root <root@redhat.com>
- Spec file was autogenerated. 
