%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Name:           perl-Unicode-Map
Version:        0.112
Release:        10%{?_dist_release}
Summary:        Perl module for mapping charsets from and to utf16 unicode

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Unicode-Map/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHWARTZ/Unicode-Map-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
This module converts strings from and to 2-byte Unicode UCS2
format. All mappings happen via 2 byte UTF16 encodings, not via 1 byte
UTF8 encoding. To convert between UTF8 and UTF16 use Unicode::String.
For historical reasons this module coexists with Unicode::Map8.
Please use Unicode::Map8 unless you need to care for >1 byte character
sets, e.g. chinese GB2312. Anyway, if you stick to the basic
functionality (see documentation) you can use both modules
equivalently.
Practically this module will disappear from earth sooner or later as
Unicode mapping support needs somehow to get into perl's core. If you
like to work on this field please don't hesitate contacting Gisle Aas
and check out the mailing list perl-unicode!


%prep
%setup -q -n Unicode-Map-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING Changes README
%{_bindir}/m*
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/Unicode
%{_mandir}/man[13]/*.[13]*


%changelog
* Sun Dec 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.112-10
- rebuilt with perl 5.16.3
- added Vendor and Distribution tag

* Sat Apr 23 2011 IWAI, Masaharu <iwai@alib.jp> 0.112-9vl6
- build with perl 5.12.3

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.112-8vl5
- rebuilt with perl-5.10.0
- appiled new versioning policy

* Thu Aug  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.112-7vl2
- changed Group to Development/Libraries

* Mon Jul 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.112-7vl1
- initial build for Vine Linux

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.112-7
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.112-0.fdr.5
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.112-0.fdr.4
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.112-0.fdr.3
- Regenerate %%install section with cpanflute2.
- Improve %%description.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.112-0.fdr.2
- Own more dirs.

* Fri Mar 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.112-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.112-1.fedora.1
- First Fedora release.
