Name:           perl-XML-DOM
Version:        1.46
Release:        12%{?_dist_release}
Summary:        DOM extension to XML::Parser
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/XML::DOM
Source0:        https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/XML-DOM-%{version}.tar.gz

BuildArch:      noarch

# perl(XML::Parser::PerlSAX)
BuildRequires:  perl-libxml-perl
BuildRequires:  perl-XML-RegExp
# for testing perl(LWP::UserAgent)
BuildRequires:  perl-libwww-perl
Requires:       perl-XML-Parser
Requires:       perl-libwww-perl
Requires:       perl >= 2:5.34.0
#Obsoletes:      perl-libxml-enno <= 1.02
Conflicts:      perl-libxml-enno <= 1.02

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::XQL::Node\\)

%description
This is a Perl extension to XML::Parser. It adds a new 'Style' to
XML::Parser, called 'Dom', that allows XML::Parser to build an Object
Oriented datastructure with a DOM Level 1 compliant interface.  For a
description of the DOM (Document Object Model), see
http://www.w3.org/DOM/


%prep
%setup -q -n XML-DOM-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BUGS Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::*.3*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.46-12
- rebuilt with perl-5.34.0.

* Mon May 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.46-11
- new upstream release.
- rebuilt with perl-5.26.

* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.44-10
- rebuilt with perl-5.16.3.

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.44-9
- build with perl 5.12.3
- add Vendor and Distribution tags

* Sat May 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.44-8
- s/Obsoletes/Conflicts/

* Sat Aug 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.44-7
- Initial build for Vine Linux

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.44-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.44-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.44-4
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.44-3
- rebuild for new perl

* Wed Oct 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.44-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Thu Jun 29 2006 Orion Poplawski <orion@cora.nwra.com> - 1.44-2
- Bump for new perl version (#196667)

* Sat Nov  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.44-1
- First Fedora Extras release (#172331).

* Thu Oct 27 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.44-0.1
- First build (#128879).
