%define _use_internal_dependency_generator 0
%define module XML-Encoding

Summary: A module for parsing encoded map XML files.
Name: perl-%{module}
Version: 2.08
Release: 2%{?_dist_release}
License: Artistic and GPL
Group: Development/Libraries
URL: http://search.cpan.org/~shay/XML-Encoding/

Source0: http://search.cpan.org/CPAN/authors/id/S/SH/SHAY/%{module}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl-XML-Parser
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl-XML-Parser

Vendor: Project Vine
Distribution: Vine Linux

%description
This module, which is built as a subclass of XML::Parser, provides a
parser for encoding map files, which are XML files. The file
maps/encmap.dtd in the distribution describes the structure of these
files.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make
#make test || /bin/true

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
        sed "s@^$RPM_BUILD_ROOT@@g" | 
        grep -v perllocal.pod | 
        grep -v "\.packlist" > XML-Encoding-%{version}-filelist
if [ "$(cat XML-Encoding-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%files -f XML-Encoding-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.08-2
- rebuilt with perl 5.16.3

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 2.08-1
- new upstream release
- add Vendor and Distribution tags

* Sun Feb 15 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.07-1
- new upstream release
- updated URL
- changed Group to Development/Libraries

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.01-24vl5
- applied new versioning policy

* Wed Jul 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.01-23vl6
- changed Group to Development/Languages

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 1.01-23vl5
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 1.01-23vl4
- rebuilt on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.01-23vl3
- rebuilt on perl-5.8.1

* Sun Apr 20 2003 Satoshi MACHINO <machino@vinelinux.org> 1.01-23vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 1.01-23vl1
- build for VineLinux

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.01-2
- imported from mandrake. tweaked man path.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.01-1mdk
- Newly introduced for Foomatic.

