Summary: Parse FOAF (Friend of a Friend) data using Perl 
Summary(ja): Perl を使って FOAF (Friend of a Friend) を解析
Name: perl-XML-FOAF
Version: 0.04
Release: 1%{?_dist_release}
License: Artistic and GPL
Group: Development/Libraries
URL: http://www.cpan.org/dist/XML-FOAF/

Source0: XML-FOAF-%{version}.tar.gz
Source1: XML-FOAF-0.02.pod.ja
Source2: XML-FOAF-Person-0.02.pod.ja

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl-ExtUtils-AutoInstall
BuildRequires: perl-RDF-Core
BuildRequires: perl-URI
BuildRequires: perl-libwww-perl
Requires: perl-RDF-Core
Requires: perl-URI
Requires: perl-libwww-perl
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
Parse FOAF (Friend of a Friend) data using Perl 

%description -l ja
Perl を使って FOAF (Friend of a Friend) を解析

%prep
%setup -q -n XML-FOAF-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor << _OPT_
n
_OPT_

make
cp %{SOURCE1} FOAF.ja.pm
cp %{SOURCE2} Person.ja.pm

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -f %{buildroot}%{perl_sitearch}/perllocal.pod
rm -f %{buildroot}%{perl_sitearch}/auto/XML/FOAF/.packlist

mkdir -p %{buildroot}%{_mandir}/ja/man3
pod2man --section=3 FOAF.ja.pm %{buildroot}%{_mandir}/ja/man3/XML::FOAF.3pm
pod2man --section=3 Person.ja.pm %{buildroot}%{_mandir}/ja/man3/XML::FOAF::Person.3pm

find %{buildroot}%{_prefix} -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v ^%{_mandir} > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{_mandir}/ja/man3/*
%dir %{perl_vendorlib}/XML
%dir %{perl_vendorlib}/XML/FOAF

%changelog
* Sun Nov 30 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.04-1
- updated to 0.04
- built with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.03-2
- rebuild with perl-5.12.3

* Sun Feb 15 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.03-1
- new upstream release
- built with perl-5.10.0
- installed files to vendor_perl dir
- applied new versioning policy, spec in UTF-8
- changed Group to Development/Libraries

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 0.02-0vl2
- build with perl-5.8.6-0vl1
- add manpage translated into Japanese ( Source1,2 ) from perldoc.jp
- add Japanese Summary and description

* Sun Jul  6 2003 IWAI Masaharu <iwai@alib.jp> 0.02-0vl1
- first build for Vine Linux
