Summary:	Perl module for interfacing to GNOME libxslt library
Summary(ja):	libxslt ライブラリへの Perl インターフェース
Name:		perl-XML-LibXSLT
# NOTE: also update perl-XML-LibXML to a compatible version.  See below why.
Version:	1.99
Release:	1%{?_dist_release}
Group:		programming
Distribution:	Vine Linux
Vendor:		Project Vine
Packager:	munepi

License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/XML::LibXSLT
Source0:	https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/XML-LibXSLT-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gdbm-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:	libxslt-devel >= 1.1.28
BuildRequires:	libxcrypt-devel
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)

Requires:	perl >= 2:5.34.0

BuildRequires:	perl(XML::LibXML)
Requires:	perl(XML::LibXML)

%{?perl_default_filter}

%description
This module is a fast XSLT library, based on the Gnome libxslt engine
that you can find at http://www.xmlsoft.org/XSLT/


%debug_package


%prep
%setup -q -n XML-LibXSLT-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec %__rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec %__rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
%__make test


%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README example
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/XML
%{_mandir}/man3/*.3*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.99-1
- new upstream release.
- built with perl-5.34.0.

* Mon May 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.96-1
- new upstream release.
- added BR:libxcrypt-devel.

* Sun Nov 30 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.92-1
- new upstream release
- built with perl 5.16.3 and perl-XML-LibXML 2.0117

* Sun Apr 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 1.70-2
- rebuilt with perl-5.12.3

* Thu Aug 12 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 1.70-1
- initial build

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.70-4
- Mass rebuild with perl-5.12.0

* Thu Mar 11 2010 Paul Howarth <paul@city-fan.org> - 1.70-3
- rebuild for new gdbm

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.70-2
- rebuild against perl 5.10.1

* Fri Nov 20 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.70-1
- update to fix 539102

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-4
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 18 2009 Stepan Kasal <skasal@redhat.com> - 1.68-3
- patch to fix a refcounting bug leading to segfaults (#490781)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-2
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Paul Howarth <paul@city-fan.org> - 1.68-1
- update to 1.68
- relax hard version requirement on XML::LibXML, which is at 1.69 upstream
  but 1.67 or above will suffice (care will still have to be taken to keep
  the packages in sync, particularly when XML::LibXML is updated)
- specify $RPM_OPT_FLAGS once rather than twice
- drop historical perl version requirement, which is met even by EL-3
- explicitly buildreq ExtUtils::MakeMaker rather than just perl-devel

* Mon Nov  3 2008 Stepan Kasal <skasal@redhat.com> - 1.66-2
- require XML::LibXML of the same version

* Fri Aug  8 2008 Zing <zing@fastmail.fm> - 1.66-1
- update to 1.66

* Sat May 31 2008 Zing <zing@fastmail.fm> - 1.63-6
- rpm check stage barfs on || :

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-5
- rebuild for new perl (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.63-4
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-3
- rebuild for new perl

* Sat Jan 19 2008 Zing <zing@fastmail.fm> - 1.63-2
- build requires gdbm-devel

* Fri Jan 18 2008 Zing <zing@fastmail.fm> - 1.63-1
- update to 1.63

* Sat Aug 11 2007 Zing <zing@fastmail.fm> - 1.62-2
- require perl-devel

* Tue Aug  7 2007 Zing <zing@fastmail.fm> - 1.62-1
- update to 1.62
- Conform to Fedora Licensing Guideline

* Fri Sep  8 2006 Zing <zing@fastmail.fm> - 1.58-3
- rebuild for FE6

* Tue Feb 14 2006 Zing <shishz@hotpop.com> - 1.58-2
- rebuild for FE5

* Wed Aug 17 2005 Zing <shishz@hotpop.com> - 1.58-1
- new upstream
- use dist macro

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.57-3
- Drop pre-FC2 LD_RUN_PATH hack.
- Install benchmark.pl only as %%doc.

* Sat Feb 26 2005 Zing <shishz@hotpop.com> - 1.57-2
- QA from Ville Skyttä
-	BuildRequires XML::LibXML >= 1.57
-	BuildRequires libxslt-devel
-	put benchmark.pl in %%doc

* Fri Feb 25 2005 Zing <shishz@hotpop.com> - 1.57-1
- First build.

