Summary: A perl module for processing huge XML documents in tree mode.
Name: perl-XML-Twig
Version: 3.52
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: distributable
URL: https://metacpan.org/pod/XML::Twig
Source0: https://cpan.metacpan.org/authors/id/M/MI/MIROD/XML-Twig-%{version}.tar.gz

BuildArch: noarch

BuildRequires:	perl >= 2:5.34.0
BuildRequires: perl-XML-Parser >= 2.23
Requires:	perl >= 2:5.34.0
Requires: perl-XML-Parser >= 2.23

%description
This module provides a way to process XML documents. It is build on
top of XML::Parser.  XML::Twig offers a tree interface to the
document, while allowing you to output the parts of it that have been
completely processed.  It allows minimal resource (CPU and memory)
usage by building the tree only for the parts of the documents that
need actual processing, through the use of the twig_roots and
twig_print_outside_roots options.


%prep
%setup -q -n XML-Twig-%{version} 
iconv -f iso88591 -t utf8 < Changes > Changes.utf8 && \
    mv -f Changes.utf8 Changes


%build
perl Makefile.PL -y INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*


#%check
#make test || /bin/true


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc Changes README 
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net>
* Thu Jul 3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.48-1
- new upstream release.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.29-3
- fix typo

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.29-2
- rebuilt with perl-5.12.3

* Sun Jul 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.29-1
- rebuilt with perl-5.10.0
- applied new versioning policy

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.29-0vl1
- new upstream
- changed Group to Development/Libraries

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.15-0vl2
- rebuilt for VineSeed (4.0)
- changed Group to Development/Languages

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 3.15-0vl1
- new upstream release
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 3.11-0vl2
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 3.11-0vl1
- new updtream version
- built on perl-5.8.1

* Sun Apr 20 2003 Satoshi MACHINO <machino@vinelinux.org> 3.09-3vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 3.09-3vl1
- build for VineLinux

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Mon Aug 26 2002 Chip Turner <cturner@redhat.com>
- rebuild for build failure

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed May 29 2002 cturner@redhat.com
- Specfile autogenerated

