Name:           perl-XML-XPath
Version:        1.13
Release:        7%{?_dist_release}

Summary:        XPath parser and evaluator for Perl

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/XML-XPath/
Source0:        http://www.cpan.org/authors/id/M/MS/MSERGEANT/XML-XPath-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added in the
form of functions. Modules such as XSLT and XPointer may need to do
this as they support functionality beyond XPath.


%prep
%setup -q -n XML-XPath-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO
%{_bindir}/xpath
%{perl_vendorlib}/XML
%{_mandir}/man3/*.3*


%changelog
* Sun Nov 30 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.13-7
- rebuilt with perl 5.16.3

* Fri Mar 09 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.13-6
- rebuild with current environment; spec fix

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.13-5
- rebuild with perl-5.12.3

* Sun Jul 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.13-4
- rebuilt with perl 5.10.0
- applied new versioning policy

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for Vine Linux

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jul 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.13-2
- Bring up to date with current fedora.us Perl spec template.

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.13-0.fdr.1
- First build.
