%bcond_without test

Summary: A Perl interface to the World-Wide Web
Name: perl-libwww-perl
Version: 6.58
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: GPL or Artistic
URL: https://metacpan.org/dist/libwww-perl
Source0: https://cpan.metacpan.org/authors/id/O/OA/OALDERS/libwww-perl-%{version}.tar.gz
Source10: filter-depends-libwww-perl.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 2:5.26.0, perl-URI, perl-HTML-Parser perl-Compress-Zlib
BuildRequires: perl-Encode-Locale
%if %{with test}
BuildRequires: perl-HTTP-Cookies
BuildRequires: perl-HTTP-Daemon
BuildRequires: perl-HTTP-Message
BuildRequires: perl-Test-Needs
BuildRequires: perl-Test-RequiresInternet
%endif
Requires: perl >= 2:5.26.0, perl-URI, perl-HTML-Parser perl-Compress-Zlib
Provides:       perl(LWP::Debug::TraceHTTP::Socket) = %{version}
Provides:       perl(LWP::Protocol::http::Socket) = %{version}
Provides:       perl(LWP::Protocol::http::SocketMethods) = %{version}

%if 0
%define __perllib_requires %{SOURCE10}
%endif

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.


%prep
%setup -q -n libwww-perl-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 --aliases < /dev/null
%{make_build}


%install
rm -rf $RPM_BUILD_ROOT
%{make_install}
%{_fixperms} %{buildroot}/*

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%if %{with test}
%check 
make test
%endif


%clean 
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE
%doc Changes
%dir %{perl_vendorlib}/LWP
%dir %{perl_vendorlib}/LWP/Authen
%dir %{perl_vendorlib}/LWP/Protocol
%{_mandir}/man?/*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.58-1
- new upstream release.
- built with perl-5.34.0.

* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.39-1
- new upstream release.
- rebuilt with perl-5.26.
- dropped Patch100 and 110.

* Mon Jun 30 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 5.833-4
- build with Perl 5.16
- use __perllib_requires for vl7

* Sun Mar 27 2011 IWAI, Masaharu <iwai@alib.jp> 5.833-3
- build with perl 5.12.3
- rename Source10: filter-depends.sh to filter-depends-libwww-perl.sh
- update filter-depends (Source10): using /usr/lib/rpm/perl.req
- confine to defined __find_requires on vl4 and vl5
- defined __perl_requires without vl4 and vl5

* Sun Aug 15 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 5.833-2
- add patch100,110 for fix CVE-2010-2253 (lwp-download)
- add Vendor/Dist Tags

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 5.833-1
- new upstream release
- delete perllocal.pod and .packlist at %%install section

* Fri Apr 25 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 5.812-2
- new upstream release

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.806-0vl1
- new upstream release
- s/Copyright/License/
- changed Group to Development/Libraries
- installed modules to vendor_perl directory
- added SOURCE10 (removed dependancy for Win32)

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 5.802-0vl1
- new upstream release
- add perl-Compress-Zlib in {Build,}Requires

* Thu Apr 24 2003 IWAI Masaharu <iwai@alib.jp> 5.69-0vl2
- add many direcotries in %%files

* Wed Apr 16 2003 Satoshi MACHINO <machino@vinelinux.org> 5.69-0vl1
- New upstream version
	-- libwww-perl-5.69
- build on perl-5.8.0
- removed perl-MIME-Base64 and perl-libnet from BuildRequires and Requires
	-- perl-5.8.0 included them

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 5.65-0vl1
- New upstream version

* Sat Feb  9 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 5.63-0vl1
- first build for Vine Linux

