%define module	libxml-perl
Summary: A collection of Perl modules for working with XML.
Name: perl-%{module}
Version: 0.08
Release: 5%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: distributable
URL: https://metacpan.org/dist/libxml-perl
Source0: https://cpan.metacpan.org/authors/id/K/KM/KMACLEOD/%{module}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::Parser)
Requires: perl >= 2:5.34.0
Requires: perl(XML::Parser)

	
# Filter out unversioned provides
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Data::Grove\\)$
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(XML::Parser\\)$

%description
libxml-perl is a collection of smaller Perl modules, scripts, and
documents for working with XML in Perl.  libxml-perl software works in
combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and
others.


%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%{make_install}
%{_fixperms} %{buildroot}/*



%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%doc ChangeLog Changes README
%{perl_vendorlib}/Data/
%{perl_vendorlib}/XML/
%{_mandir}/man3/*.3*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.08-5
- rebuilt with perl-5.34.0.

* Mon May 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.08-4
- rebuilt with perl-5.26.

* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.08-3
- rebuilt with perl 5.16.3

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 0.08-2vl6
- build with perl 5.12.3
- add Vendor and Distribution tags
- update URL value

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.8-1
- applied new versioning policy
- rebuilt with perl-5.10.0-2
- changed Group to Development/Libraries

* Wed Jul 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.8-0vl2
- rebuilt with perl-5.8.6
- changed Group to Development/Languages

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 0.0.8-0vl1
- new upstream release

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 0.0.7-28vl4
- rebuilt on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 0.0.7-28vl3
- rebuilt on perl-5.8.1

* Wed Apr 30 2003 IWAI Masaharu <iwai@alib.jp> 0.07-28vl2
- build with perl-5.8.0
- add some documents
- add some directories
- add perl-XML-Parser's version in {Build,}Requires

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 0.07-28vl1
- build for VineLinux

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed Mar 27 2002 Chip Turner <cturner@redhat.com>
- move to vendor_perl

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.07-5
- imported from mandrake. tweaked man path.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.07-4mdk
- Rebuild for the latest perl.
- Remove Distribution and Vendor tag.
- Don't run make test for now.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.07-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.07-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.07-1mdk
- Macroize package
