Summary: 	Optimized module loading for forking or non-forking processes
Name: 		perl-prefork
Version: 	1.05
Release: 	2%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License: 	GPL+ or Artistic
URL: 		https://metacpan.org/pod/prefork
Source0: 	https://cpan.metacpan.org/authors/id/E/ET/ETHER/prefork-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

BuildRequires: perl(Test::More)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)

# Required by tests
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Perl::MinimumVersion)
BuildRequires: perl(Test::CPAN::Meta)

Requires:	perl >= 2:5.34.0

%{?perl_default_filter}

%description
Optimized module loading for forking or non-forking processes

prefork.pm is intended to serve as a central and optional marshalling
point for state detection (are we running in compile-time or run-time
mode) and to act as a relatively light-weight module loader.


%prep
%setup -q -n prefork-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
rm -rf %{buildroot}


%check
make test AUTOMATED_TESTING=1


%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/prefork*
%{_mandir}/man3/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.05-2
- rebuilt with perl-5.34.0.

* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.05-1
- new upstream release.
- rebuilt with perl-5.26.

* Sat Nov 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.04-2
- rebuilt with perl 5.16.3
- added Vendor/Distribution tag

* Thu Mar 08 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.04-1
- initial build for Vine Linux

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.04-6
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-4
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.04-2
- rebuild against perl 5.10.1

* Wed Jul 29 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.04-1
- Upstream update.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.03-1
- Upstream update.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-2
- rebuild for new perl

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 1.02-1
- Upstream update.
- Add BR: perl(Test::MinimumVersion).

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 1.01-3
- Update license tag.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.01-2
- Mass rebuild.

* Mon Aug 07 2006 Ralf Corsépius <rc040203@freenet.de> - 1.01-1
- Upstream update.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 1.00-3
- Rebuild for perl-5.8.8.

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.00-2
- Spec file cleanup.

* Sat Sep 10 2005 Ralf Corsepius <rc040203@freenet.de> - 1.00-1
- FE submission.
