%define _noVersionedDependencies 1
%define threading  1
%define largefiles 1

%define multilib_64_archs x86_64 s390x ppc64 sparc64
%ifarch %{ix86}
#global arch_suffix -64int
%global arch_suffix %{nil}
%else
%global arch_suffix %{nil}
%endif

%define perl_version 5.34.0
%define perlrel 1
%define perl_epoch 2

%define perl_abi %(echo %{perl_version} | cut -d . -f 1-2)
%define perl_major %(echo %{perl_version} | cut -d . -f 1)

%global perl_archname %{_arch}-%{_os}%{thread_arch}

%global new_perl_lib  %{buildroot}%{_libdir}/perl5/%{version}:%{buildroot}%{_prefix}/lib/perl5/%{version}
%global comp_perl_lib %{buildroot}%{_prefix}/lib/perl5/%{version}:%{buildroot}%{_prefix}/lib/perl5/%{version}
%global new_arch_lib  %{buildroot}%{_libdir}/perl5/%{version}/%{perl_archname}
%global comp_arch_lib %{buildroot}%{_prefix}/lib/perl5/%{version}/%{perl_archname}
%global new_perl_flags LD_PRELOAD=/%{new_arch_lib}/CORE/libperl.so LD_LIBRARY_PATH=%{new_arch_lib}/CORE PERL5LIB=%{new_perl_lib}:%{comp_perl_lib}
%global new_perl %{new_perl_flags} %{buildroot}/%{_bindir}/perl

# Interpreter version to fulfil required genersted from "require 5.006;"
Provides:       perl(:VERSION) = %{perl_version}
Provides:       perl(:ABI) = %{perl_abi}
# Integeres are 64-bit on all platforms
Provides:       perl(:WITH_64BIT)
# Threading provides
%if %{threading}
%define thread_arch -thread-multi%{arch_suffix}
Provides: perl(:WITH_ITHREADS)
Provides: perl(:WITH_THREADS)
%else
%define thread_arch %{nil}
Provides: perl(:WITHOUT_ITHREADS)
Provides: perl(:WITHOUT_THREADS)
%endif
# Largefile provides
%if %{largefiles}
Provides: perl(:WITH_LARGEFILES)
%else
Provides: perl(:WITHOUT_LARGEFILES)
%endif
# PerlIO provides
Provides: perl(:WITH_PERLIO)

Summary:      The Perl programming language.
Summary(ja):  Perl プログラミング 言語
Name:         perl
Epoch:        %{perl_epoch}
Version:      %{perl_version}
Release:      %{perlrel}%{?_dist_release}
Group:        programming
Vendor:       Project Vine
Distribution: Vine Linux

License:      Artistic or GPL
URL:	      http://www.perl.org/
Source0:      http://www.cpan.org/src/5.0/perl-%{perl_version}.tar.xz
Source10:     system-owned-directories
Source11:     filter-depends.sh
Source12:     perl-5.8.0-libnet.cfg

Conflicts: perl-NDBM_File <= 1:1.75-34.99.6

Obsoletes: perl-Digest-MD5
Obsoletes: perl-MIME-Base64
Obsoletes: perl-libnet
Obsoletes: perl-Storable
Obsoletes: perl-Filter
Obsoletes: perl-Filter-Simple
Obsoletes: perl-Time-HiRes
Provides: perl-MIME-Base64
Provides: perl-libnet
## perl-5.10.0
Obsoletes: perl-Archive-Tar <= 1.38-0vl2
Obsoletes: perl-IO-Compress-Base <= 2.008-0vl1
Obsoletes: perl-Compress-Raw-Zlib <= 2.008-0vl1
Obsoletes: perl-IO-Compress-Zlib <= 2.008-0vl1
Obsoletes: perl-Compress-Zlib <= 2.008-0vl1
Obsoletes: perl-IO-Zlib <= 1.09-0vl1
Obsoletes: perl-version <= 0.42-0vl3
Obsoletes: perl-Encode <= 2.98-1vl7
Provides: perl-Archive-Tar
Provides: perl-IO-Compress-Base
Provides: perl-Compress-Raw-Zlib
Provides: perl-IO-Compress-Zlib
Provides: perl-Compress-Zlib
Provides: perl-IO-Zlib
Provides: perl-version
Provides: perl-Encode

# Vine: provide archlibdir itself since Vine's aptdata don't have filelists
Provides: %{_libdir}/perl5/%{perl_version}/%{_arch}-%{_os}%{thread_arch}

# Filter dependencies on private modules. Generator:
# for F in $(find lib -type f); do perl -e '$/ = undef; $_ = <>; if (/^package #\R([\w:]*);/m) { print qq{|^perl\\\\($1\\\\)} }' "$F"; done

# patches imported from Fedora/RHEL

# Removes date check, Fedora/RHEL specific
Patch1:         perl-perlbug-tag.patch

# Fedora/RHEL only (64bit only)
Patch2:         perl-5.8.0-libdir64.patch

# Fedora/RHEL specific (use libresolv instead of libbind), bug #151127
Patch3:         perl-5.10.0-libresolv.patch

# FIXME: May need the "Fedora" references removed before upstreaming
# patches ExtUtils-MakeMaker
Patch4:         perl-USE_MM_LD_RUN_PATH.patch

# Provide maybe_command independently, bug #1129443
Patch5:         perl-5.22.1-Provide-ExtUtils-MM-methods-as-standalone-ExtUtils-M.patch

# The Fedora builders started randomly failing this futime test
# only on x86_64, so we just don't run it. Works fine on normal
# systems.
Patch6:         perl-5.10.0-x86_64-io-test-failure.patch

# switch off test, which is failing only on koji (fork)
Patch7:         perl-5.14.1-offtest.patch

# Define SONAME for libperl.so
Patch8:         perl-5.16.3-create_libperl_soname.patch

# Install libperl.so to -Dshrpdir value
Patch9:         perl-5.22.0-Install-libperl.so-to-shrpdir-on-Linux.patch

# Make *DBM_File desctructors thread-safe, bug #1107543, RT#61912
Patch10:        perl-5.34.0-Destroy-GDBM-NDBM-ODBM-SDBM-_File-objects-only-from-.patch

# Replace ExtUtils::MakeMaker dependency with ExtUtils::MM::Utils.
# This allows not to require perl-devel. Bug #1129443
Patch11:        perl-5.22.1-Replace-EU-MM-dependnecy-with-EU-MM-Utils-in-IPC-Cmd.patch

# Link XS modules to pthread library to fix linking with -z defs,
# <https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3RHZEHLRUHJFF2XGHI5RB6YPDNLDR4HG/>
Patch12:        perl-5.27.8-hints-linux-Add-lphtread-to-lddlflags.patch

# Pass the correct CFLAGS to dtrace
Patch13:        perl-5.28.0-Pass-CFLAGS-to-dtrace.patch

# Fix GDBM_File to compile with gdbm version 1.20 and earlier, GH#18915
# in upstream after 5.35.1
Patch14:        perl-5.35.1-Fix-GDBM_File-to-compile-with-version-1.20-and-earli.patch
Patch15:        perl-5.35.1-Raise-version-number-in-ext-GDBM_File-GDBM_File.pm.patch
Patch16:        perl-5.35.1-Fix-definition-of-ITEM_NOT_FOUND-for-pre-1.13-versio.patch

# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch200:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch

# Link XS modules to libperl.so with EU::MM on Linux, bug #960048
Patch201:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-MM-on-Linux.patch

# Vine
# (nothing)

## security

Buildroot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gawk, grep, tcsh, gdbm-devel, libdb-devel
BuildRequires:  rpm-devel, ncurses-devel, zlib-devel, netpbm-devel
BuildRequires:  libpng-devel, libtiff-devel, libelf, libjpeg-devel
BuildRequires:  netpbm-devel, e2fsprogs-devel
BuildRequires:  libxcrypt-devel, libnsl2-devel, bzip2-devel

# without man installed, the variables installman[13]dir
# in Config.pm will be undefined. This BuildPreReq will fix it.
BuildRequires:  man-db

# The long line of Perl provides.

# These provides are needed by the perl pkg itself with auto-generated perl.req
Provides: perl(VMS::Filespec)
Provides: perl(VMS::Stdio)

# Compat provides
Provides: perl(:MODULE_COMPAT_%{perl_abi})
Provides: perl(:SCRIPT_COMPAT_%{perl_major})

# Threading provides
Provides: perl(:WITH_ITHREADS)
Provides: perl(:WITH_THREADS)
# Largefile provides
Provides: perl(:WITH_LARGEFILES)
# PerlIO provides
Provides: perl(:WITH_PERLIO)
# File provides
Provides: perl(abbrev.pl)
Provides: perl(assert.pl)
Provides: perl(bigfloat.pl)
Provides: perl(bigint.pl)
Provides: perl(bigrat.pl)
Provides: perl(bytes_heavy.pl)
Provides: perl(cacheout.pl)
Provides: perl(complete.pl)
Provides: perl(ctime.pl)
Provides: perl(dotsh.pl)
Provides: perl(dumpvar.pl)
Provides: perl(exceptions.pl)
Provides: perl(fastcwd.pl)
Provides: perl(find.pl)
Provides: perl(finddepth.pl)
Provides: perl(flush.pl)
Provides: perl(ftp.pl)
Provides: perl(getcwd.pl)
Provides: perl(getopt.pl)
Provides: perl(getopts.pl)
Provides: perl(hostname.pl)
Provides: perl(importenv.pl)
Provides: perl(look.pl)
Provides: perl(newgetopt.pl)
Provides: perl(open2.pl)
Provides: perl(open3.pl)
Provides: perl(perl5db.pl)
Provides: perl(pwd.pl)
Provides: perl(shellwords.pl)
Provides: perl(stat.pl)
Provides: perl(syslog.pl)
Provides: perl(tainted.pl)
Provides: perl(termcap.pl)
Provides: perl(timelocal.pl)
Provides: perl(utf8_heavy.pl)
Provides: perl(validate.pl)
Provides: perl(Carp::Heavy)
Provides: perl(unicore::Name)

## Requires
# fix <BTS:VineLinux:1008>
Requires: nss
# for perldoc(1)
Requires: groff

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

%description -l ja
Perl は高レベルなプログラミング言語です．Perl では，プロセス処理や
ファイル処理が容易に行え，特にテキスト処理においてその威力を発揮します．
Perl が実用的かつ効率的であることは既に折紙付きです．Perl は様々な用途に
用いられていますが，最も一般的にはシステム管理ユーティリティやウェブ
プログラミングに用いられています．実際 Web 上の CGI スクリプトの多くは
Perl で書かれています．

あなたのシステムで Perl スクリプトを扱える様にするには，このパッケージを
インストールして下さい．

%package localdirs
Summary:      Perl library directories in /usr/local
Group:        programming
License:      Artistic or GPL
Requires:     perl = %{perl_epoch}:%{perl_version}-%{release}
Obsoletes:    perl < 5.10.0

%description localdirs
Perl library directories in /usr/local


%debug_package


%prep
%setup -q

## patch from Fedora/RHEL
%patch1 -p1
%ifarch %{multilib_64_archs}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch200 -p1
%patch201 -p1
#
# Candidates for doc recoding (need case by case review):
# find . -name "*.pod" -o -name "README*" -o -name "*.pm" | xargs file -i | grep charset= | grep -v '\(us-ascii\|utf-8\)'
recode()
{
        iconv -f "${2:-iso-8859-1}" -t utf-8 < "$1" > "${1}_"
        touch -r "$1" "${1}_"
        mv -f "${1}_" "$1"
}
# TODO iconv fail on this one
## recode README.tw big5
#recode pod/perlebcdic.pod
#recode pod/perlhack.pod
#recode pod/perlhist.pod
#recode pod/perlthrtut.pod
#recode AUTHORS

find . -name \*.orig -exec rm -fv {} \;

# Configure Compress::Zlib to use system zlib
sed -i 's|BUILD_ZLIB      = True|BUILD_ZLIB      = False|
    s|INCLUDE         = ./zlib-src|INCLUDE         = %{_includedir}|
    s|LIB             = ./zlib-src|LIB             = %{_libdir}|' \
    cpan/Compress-Raw-Zlib/config.in

# Ensure that we never accidentally bundle zlib or bzip2
rm -rf cpan/Compress-Raw-Zlib/zlib-src
rm -rf cpan/Compress-Raw-Bzip2/bzip2-src
sed -i '/\(bzip2\|zlib\)-src/d' MANIFEST

# Oh, the irony. Perl generates some non-versioned provides we don't need.
# Each of these has a versioned provide, which we keep.
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Carp\\)$
%global __provides_exclude %__provides_exclude|^perl\\(DynaLoader\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Locale::Maketext\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Log::Message::Handlers\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Math::BigInt\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Net::Config\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Tie::Hash\\)$
%global __provides_exclude %__provides_exclude|^perl\\(bigint\\)$
%global __provides_exclude %__provides_exclude|^perl\\(bigrat\\)$
%global __provides_exclude %__provides_exclude|^perl\\(bytes\\)$
%global __provides_exclude %__provides_exclude|^perl\\(utf8\\)$
%global __provides_exclude %__provides_exclude|^perl\\(DB\\)$
#
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(DBIx::Simple\\)
%global __requires_exclude %__requires_exclude|^perl\\(FCGI\\)
%global __requires_exclude %__requires_exclude|^perl\\(Log::Message::Handlers\\)
%global __requires_exclude %__requires_exclude|^perl\\(Mac::BuildTools\\)
%global __requires_exclude %__requires_exclude|^perl\\(Mac::InternetConfig\\)
%global __requires_exclude %__requires_exclude|^perl\\(Tk\\)
%global __requires_exclude %__requires_exclude|^perl\\(Tk::Pod\\)
%global __requires_exclude %__requires_exclude|^perl\\(Your::Module::Here\\)
%global __requires_exclude %__requires_exclude|^perl\\(Locale::Codes\\)
%global __requires_exclude %__requires_exclude|^perl\\(Locale::Codes::
echo "__requires_exclude: %__requires_exclude"


%build
# for generating makefiles
export LANG=C
export LANGUAGE=C
export LC_ALL=C

echo "RPM Build arch: %{_arch}"

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Perl INC path (perl -V) in search order:
# - /usr/local/share/perl5            -- for CPAN     (site lib)
# - /usr/local/lib[64]/perl5          -- for CPAN     (site arch)
# - /usr/share/perl5/vendor_perl      -- 3rd party    (vendor lib)
# - /usr/lib[64]/perl5/vendor_perl    -- 3rd party    (vendor arch)
# - /usr/share/perl5                  -- Fedora       (priv lib)
# - /usr/lib[64]/perl5                -- Fedora       (arch lib)

# use "lib", not %%{_lib}, for privlib, sitelib, and vendorlib
# To build production version, we would need -DDEBUGGING=-g

%global privlib     %{_prefix}/share/perl5
%global archlib     %{_libdir}/perl5

%global perl_vendorlib  %{privlib}/vendor_perl
%global perl_vendorarch %{archlib}/vendor_perl
%global perl_sitelib    %{_prefix}/local/share/perl5
%global perl_sitearch   %{_prefix}/local/%{_lib}/perl5/%{perl_abi}

CURRENT_DIR=`pwd`

/bin/sh Configure -des \
        -Doptimize="none" \
        -Dccflags="$RPM_OPT_FLAGS" \
        -Dldflags="-L$CURRENT_DIR $RPM_LD_FLAGS" \
        -Dccdlflags="-Wl,--enable-new-dtags -L$CURRENT_DIR $RPM_LD_FLAGS" \
        -Dlddlflags="-shared -L$CURRENT_DIR $RPM_LD_FLAGS" \
        -Dshrpdir="%{_libdir}" \
        -DDEBUGGING=-g \
        -Dversion=%{perl_version} \
        -Dmyhostname=localhost \
        -Dperladmin=root@localhost \
        -Dcc='%{__cc}' \
        -Dcf_by='Vine Linux' \
        -Dprefix=%{_prefix} \
        -Dman1dir="%{_mandir}/man1" \
        -Dman3dir="%{_mandir}/man3" \
        -Dvendorprefix=%{_prefix} \
        -Dsiteprefix=%{_prefix}/local \
        -Dprivlib="%{privlib}" \
        -Dvendorlib="%{perl_vendorlib}" \
        -Dsitelib="%{perl_sitelib}" \
        -Darchlib="%{archlib}" \
        -Dsitearch="%{perl_sitearch}" \
        -Dvendorarch="%{perl_vendorarch}" \
        -Darchname=%{_arch}-%{_os} \
%ifarch %{multilib_64_archs}
        -Dlibpth="%{_prefix}/local/lib64 /lib64 %{_prefix}/lib64" \
%endif
        -Duseshrplib \
        -Dusethreads \
        -Duseithreads \
        -Duselargefiles \
        -Dd_semctl_semun \
        -Di_db \
        -Ui_ndbm \
        -Di_gdbm \
        -Di_shadow \
        -Di_syslog \
        -Dman3ext=3pm \
        -Duseperlio \
        -Dinstallusrbinperl=n \
        -Ubincompat5005 \
        -Uversiononly \
        -Dpager='/usr/bin/less -isr' \
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
        -Dscriptdir='%{_bindir}' \
        -Dusesitecustomize \
        -Duse64bitint

BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB

# Prepapre a symlink from proper DSO name to libperl.so now so that new perl
# can be executed from make.
%global soname libperl.so.%{perl_abi}
test -L %soname || ln -s libperl.so %soname

make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%global build_archlib $RPM_BUILD_ROOT%{archlib}
%global build_privlib $RPM_BUILD_ROOT%{privlib}
%global build_bindir  $RPM_BUILD_ROOT%{_bindir}
%global new_perl LD_PRELOAD="%{build_archlib}/CORE/libperl.so" \\\
    LD_LIBRARY_PATH="%{build_archlib}/CORE" \\\
    PERL5LIB="%{build_archlib}:%{build_privlib}" \\\
    %{build_bindir}/perl

# Make proper DSO names, move libperl to standard path.
mv "%{build_archlib}/CORE/libperl.so" \
    "$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{perl_version}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/%{soname}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/libperl.so"
# XXX: Keep symlink from original location because various code glues
# $archlib/CORE/$libperl to get the DSO.
ln -s "../../libperl.so.%{perl_version}" "%{build_archlib}/CORE/libperl.so"
# XXX: Remove the soname named file from CORE directory that was created as
# a symlink in build section and installed as a regular file by perl build
# system.
rm -f "%{build_archlib}/CORE/%{soname}"

install -p -m 755 utils/pl2pm ${RPM_BUILD_ROOT}%{_bindir}/pl2pm

for i in asm/termios.h syscall.h syslimits.h syslog.h sys/ioctl.h sys/socket.h sys/time.h wait.h
do
  %{new_perl} $RPM_BUILD_ROOT/%{_bindir}/h2ph -a -d %{build_archlib} $i || /bin/true
done

# vendor directories (in this case for third party rpms)
# perl doesn't create the auto subdirectory, but modules put things in it,
# so we need to own it.

for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^%{_prefix}/share')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^%{_libdir}')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

# Core modules removal
#
# Dual-living binaries clashes on debuginfo files between perl and standalone
# packages. Excluding is not enough, we need to remove them. This is
# a work-around for rpmbuild bug #878863.
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
chmod -R u+w $RPM_BUILD_ROOT/*

# miniperl? As an interpreter? How odd. Anyway, a symlink does it:
rm %{build_privlib}/ExtUtils/xsubpp
ln -s ../../../bin/xsubpp %{build_privlib}/ExtUtils/

# Don't need the .packlist
rm %{build_archlib}/.packlist

# Do not distribute File::Spec::VMS as it works on VMS only (bug #973713)
# We cannot remove it in %%prep because dist/Cwd/t/Spec.t test needs it.
rm %{build_archlib}/File/Spec/VMS.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/File::Spec::VMS.3*

# Do not distribute ExtUtils-PL2Bat, it is used only for Windows
rm %{build_privlib}/ExtUtils/PL2Bat.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/ExtUtils::PL2Bat.3*

# Fix some manpages to be UTF-8
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
pushd $RPM_BUILD_ROOT%{_mandir}/man1/
  for i in perl588delta.1 perldelta.1 ; do
    iconv -f MS-ANSI -t UTF-8 $i --output new-$i
    rm $i
    mv new-$i $i
  done
popd

# Fix some manpages to be UTF-8
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
pushd $RPM_BUILD_ROOT%{_mandir}/man1/
  for i in perl588delta.1 perldelta.1 ; do
    iconv -f MS-ANSI -t UTF-8 $i --output new-$i
    rm $i
    mv new-$i $i
  done
popd

# tests -- FIXME need to validate that this all works as expected
mkdir -p %{buildroot}%{perl5_testdir}/perl-tests

# "core"
tar -cf - t/ | ( cd %{buildroot}%{perl5_testdir}/perl-tests && tar -xf - )

# "dual-lifed"
for dir in `find ext/ -type d -name t -maxdepth 2` ; do

    tar -cf - $dir | ( cd %{buildroot}%{perl5_testdir}/perl-tests/t && tar -xf - )
done

# Normalize shell bangs in tests.
# brp-mangle-shebangs executed by rpm-build chokes on t/TEST.
%{new_perl} -MConfig -i -pn \
    -e 's"\A#!(?:perl|\./perl|/perl|/usr/bin/perl|/usr/bin/env perl)\b"$Config{startperl}"' \
    $(find %{buildroot}%{perl5_testdir}/perl-tests -type f)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%check
%{new_perl} -I./lib regen/lib_cleanup.pl
pushd t
%{new_perl} -I../lib porting/customized.t --regen
popd
JOBS=$(printf '%%s' "%{?_smp_mflags}" | sed 's/.*-j\([0-9][0-9]*\).*/\1/')
LC_ALL=C TEST_JOBS=$JOBS make test_harness


%files
%defattr(-,root,root)
%license Copying
%doc Artistic AUTHORS Changes* README
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_bindir}/*
%{_libdir}/perl5
%{_libdir}/libperl.so*
%{_datadir}/perl5

%files localdirs
%defattr(-,root,root)
%{perl_sitelib}
%{_prefix}/local/%{_lib}/perl5


%changelog
* Tue Nov 16 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.34.0-1
- new upstream release.
- dropped ldconfig scriptlets.
- flattened layout for modules.

* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.26.2-4
- rebuilt with current environment.

* Wed Jun 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.26.2-3
- added Patch20004-20006 to fix CVE-2020-{10543,10878,12723}.

* Wed Jun 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.26.2-2
- new upstream release.
- imported Patch1000, 20000-20003 from openSUSE.
  - CVE-2018-12015 and CVE-2018-1831{2,3,4}

* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.26.2-1
- new upstream release.
- added BR:libxcrypt-devel,libnsl2-devel,bzip2-devel.
- dropped all patches.
- imported patches from RHEL8 beta.

* Thu Feb  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.16.3-2
- rebuilt with libdb 5.3.28

* Fri Jun 27 2014 IWAI, Masaharu <iwai@alib.jp> 5.16.3-1
- drop unnecessary patches
 - fix thread leak patch (Patch1011): upstream fixed
 - CVE-2011-1487 patch (Patch2001)
 - CVE-2011-3597 patch (Digest, Patch2010)
 - CVE-2013-1667 patch (rehashing, Patch2040)
- update patches from perl-5.16.3-283.el7 (CentOS 7 Open QA – c7.00.04)
 - perlbug tag patch (Patch13)
 - Fix misparsing of maketext strings, CVE-2012-6329 patch (Patch2050)
- stop coverting charactor encoding: README.tw (FIXME)
- add patch from perl-5.16.3-283.el7 (CentOS 7 Open QA – c7.00.04)
 - porting podcheck regen patch (Patch7000)
- update BuildRequires
 - s/man/man-db/
 - drop gpm-devel
- stop gzipped Changes
 - drop Patch1
- update Compat provides: 5.16.*
- add Provides: perl(unicore::Name)

* Wed Apr  3 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.12.3-9
- add patch2050 for fix CVE-2012-6329 (Guts.pm)

* Tue Mar 12 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.12.3-8
- add Patch2040 for fix CVE-2013-1667 (rehashing)

* Sun Jan  6 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.12.3-7
- add patch2030 for fix CVE-2012-5526 (LF escape)

* Tue Oct 16 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.12.3-6
- add patch2010 for fix CVE-2012-3597 (Digest)
- add patch2020 for fix CVE-2012-5195 ('x' string repeat operator)

* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.12.3-5
- fix vendorlib/sitelib paths (so that building noarch Perl module will
  always go into library paths whith starts with /usr/lib on x86_64 archs)

* Sun Aug  7 2011 IWAI, Masaharu <iwai@alib.jp> 5.12.3-4
- fix CVE-2011-1487 (Patch2001): based upstream patch

* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 5.12.3-3
- add Requires: groff: for perldoc(1)
- drop Obsoletes: perl-MD5

* Thu Mar 24 2011 IWAI, Masaharu <iwai@alib.jp> 5.12.3-2
- fix thread leak patch (Patch1011): from Fedora 5.12.3-156.fc16

* Fri Mar 18 2011 IWAI, Masaharu <iwai@alib.jp> 5.12.3-1
- new upstream release
- drop MANIFEST files:
  - clean-manifest.pl (Source1)
  - MANIFEST.CPAN (Source5)
  - MANIFEST.CGI (Source6)
  - MANIFEST.DB_File (Source7)
  - MANIFEST.suidperl (Source9)
- suidperl isn't created by upstream since 5.12.0
  - update Configure option
- update Compat provides
- drop root patch (Patch5)
- update patches: from Fedora 5.12.3-154.fc16
  - USE_MM_LD_RUN_PATH patch (Patch1007)
  - disable_test_hosts patch (Patch1008)
- update recode script and recode target files: sync Fedora 5.12.3-154.fc16
- update using system zlib configuration code for Compress::ZLib
- execute gzip Changes in %%prep: moved in %%build
- add MANIFEST patch (Patch1): for gziped Changes
- update installing CGI example scripts routine

* Tue Mar  8 2011 IWAI, Masaharu <iwai@alib.jp> 5.10.1-1
- new upstream release
- build with current db4: fix <BTS:VineLinux:1084>
- replace deprecated tag: BuildPreReq to BuildRequires
- update root patch (Patch5)
- update USE_MM_LD_RUN_PATH patch (Patch1007)
- drop unnecessary patches: upstrem fixed
  - Sys::Syslog upgrade patch (Patch1009)
  - Patch1011
  - Module::Load::Conditional upgrade patch (Patch1012)
  - Module::CoreList upgrade patch (Patch1013)
  - Archive::Extract upgrade patch (Patch1014)
  - Compress::Raw::Zlib upgrade patch (Patch1015)
- update using system zlib configuration code for Compress::ZLib
- using __perl_requires for rpm-4.8
- update filter-depends.sh (Source11)
  - using __perl_requires

* Sun Jun 27 2010 IWAI, Masaharu <iwai@alib.jp> 5.10.0-9
- add Requires: nss: fix <BTS:VineLinux:1008>

* Wed Feb 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 5.10.0-8
- rebuild with db4-4.8

* Sun Aug 16 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.10.0-7
- fix installsitearch/installsitelib variables @ x86_64 env.
- fix libdir location @ x86_64 env.

* Sun Jun 14 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 5.10.0-6
- add patch1015 to Update Module:Compress::Raw::Zlib (CVE-2009-1391)

* Thu Apr 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.10.0-5
- add Patch1014 fix Archive::Extract to fix test failure caused by tar >= 1.21
- fix Patch1009 to fix select timeout bug (RHBZ #492422)

* Wed Apr 29 2009 NAKAMURA Kenta <kenta@vinelinux.org> - 5.10.0-4
- spec in UTF-8

* Fri Jun 20 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.10.0-3
- rebuilt with db4-4.6.21

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.10.0-2
- added more macros
- fixed Provides

* Wed Apr 23 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 5.10.0-1
- new upstream release
- sync Fedora perl-5.10.0-20.fc9
  - drop obsolete patches
    - perl-5.8.3-fullinc.patch (Patch11)
    - perl-5.8.5-incpush.patch (Patch12)
    - perl-5.8.5-dashI.patch (Patch14)
    - perl-5.8.3-findbin-selinux.patch (Patch23)
    - perl-5.8.3-empty-rpath.patch (Patch24)
    - perl-5.8.1-s390.patch (Patch100)
  - add some patches from Fedora perl-5.10.0-20.fc9
    - perl-5.8.6-libresolv.patch (Patch1006)
    - perl-5.10.0-USE_MM_LD_RUN_PATH.patch (Patch1007)
    - perl-5.10.0-disable_test_hosts.patch (Patch1008)
    - perl-5.10.0-SysSyslog-0.24.patch (Patch1009)
    - perl-5.10.0-x86_64-io-test-failure.patch (Patch1010)
    - 32891.patch (Patch1011)
    - perl-5.10.0-Module-Load-Conditional-0.24.patch (Patch1012)
    - perl-5.10.0-Module-CoreList2.14.patch (Patch1013)
  - update %%make, %%build and %%install, %%files sections (sync Fedora)
  - add %%check, %%post and %%postun sections (sync Fedora)
  - update Provides (sync Fedora)
- create new package 'perl-localdirs': perl library directories in /usr/local
- update filter-depends.sh (Source11)
- update Obsoletes and Provides for old packages

* Thu May 10 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.8.6-0vl5
- BuildPreReq: man (without it, installman[13] will get undefined

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.8.6-0vl4
- rebuilt with new toolchain and db4-4.3.x

* Wed Jun 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 5.8.6-0vl3
- use filter to find-requires instead of perl-req (rpm's bug?)
- don't remove core modules (FIlter::Util::Call, Filter::Simple, Time::HiRes)

* Sun Jan 09 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.8.6-0vl2
- force gcc optimization level to -O1 on ppc

* Mon Nov 29 2004 IWAI, Masaharu <iwai@alib.jp> 5.8.6-0vl1
- new upstream release
- drop obsolete patches
  - drop errno patch ( Patch8 )
  - drop manext patch ( Patch18 )
  - drop suidperl security fix patch ( Patch501 )
- add some patches from Fedora Core perl-5.8.5-9
  - add fullinc patch ( Patch11 )
  - add incpush patch ( Patch12 )
  - add perkbug tag patch ( Patch13 )
  - add dashI patch ( Patch14 )
  - add findbin selinux patch ( Patch23 )
  - add empty rpath patch ( Patch24 )
  - include lpthread link patch ( Patch22 )
- drop unnecessary macros: cpanver, dbfilever and cgiver

* Wed Oct 27 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.8.2-0vl4
- provide archlibdir (for some applications such as xchat)

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.8.2-0vl3
- rebuilt with db4-4.2.52

* Fri Jul  2 2004 IWAI, Masaharu <iwai@alib.jp> 5.8.2-0vl2
- SECURITY: fix CAN-2003-0618: suidperl
    add 06_fix_suidperl patch (Patch501) from Debian Sarge perl 5.8.3-3

* Fri Nov  7 2003 IWAI, Masaharu <iwai@alib.jp> 5.8.2-0vl1
- new upstream release

* Fri Sep 26 2003 IWAI, Masaharu <iwai@alib.jp> 5.8.1-0vl1
- new upstream release
- update some patches:
    - root patch (Patch5)
    - s390 patch (Patch100)
- stop patching fhs patch (Patch6)
- stop patching syslog patch (Patch9)
- stop patching manext patch (Patch18)
- stop patching links patch (Patch19): Vine doesn't have links package.
- drop obsolete  module update patches:
    - perl-5.8.0-Safe2.09.patch (Patch202)
    - perl-5.8.0-CGI2.89.patch (Patch203)
    - perl-5.8.0-CGI_XSS.patch (Patch20002)
- drop obsolete patches:
    - protofix patch (Patch32000)
    - pagerfix patch (Patch32001)
    - upstream patches
      - Patch17649: perl-5.8.0-upstream-17649.patch
      - Patch18079: perl-5.8.0-upstream-18079.patch
      - Patch18080: perl-5.8.0-upstream-18080.patch
      - Patch18081: perl-5.8.0-upstream-18081.patch
      - Patch18082: perl-5.8.0-upstream-18082.patch
      - Patch18087: perl-5.8.0-upstream-18087.patch
      - Patch18089: perl-5.8.0-upstream-18089.patch
      - Patch18095: perl-5.8.0-upstream-18095.patch
      - Patch18096: perl-5.8.0-upstream-18096.patch
      - Patch18097: perl-5.8.0-upstream-18097.patch
      - Patch18098: perl-5.8.0-upstream-18098.patch
      - Patch18100: perl-5.8.0-upstream-18100.patch
      - Patch18101: perl-5.8.0-upstream-18101.patch
      - Patch18103: perl-5.8.0-upstream-18103.patch
      - Patch18104: perl-5.8.0-upstream-18104.patch
      - Patch18110: perl-5.8.0-upstream-18110.patch
      - Patch18111: perl-5.8.0-upstream-18111.patch
      - Patch18112: perl-5.8.0-upstream-18112.patch
      - Patch18126: perl-5.8.0-upstream-18126.patch
      - Patch18127: perl-5.8.0-upstream-18127.patch
      - Patch18128: perl-5.8.0-upstream-18128.patch
      - Patch18129: perl-5.8.0-upstream-18129.patch
      - Patch18130: perl-5.8.0-upstream-18130.patch
      - Patch18131: perl-5.8.0-upstream-18131.patch
      - Patch18132: perl-5.8.0-upstream-18132.patch
      - Patch18133: perl-5.8.0-upstream-18133.patch
      - Patch18134: perl-5.8.0-upstream-18134.patch
      - Patch18143: perl-5.8.0-upstream-18143.patch
      - Patch18144: perl-5.8.0-upstream-18144.patch
      - Patch18145: perl-5.8.0-upstream-18145.patch
      - Patch18146: perl-5.8.0-upstream-18146.patch
      - Patch18153: perl-5.8.0-upstream-18153.patch
      - Patch18155: perl-5.8.0-upstream-18155.patch
      - Patch18156: perl-5.8.0-upstream-18156.patch
      - Patch18173: perl-5.8.0-upstream-18173.patch
      - Patch18174: perl-5.8.0-upstream-18174.patch
      - Patch18187: perl-5.8.0-upstream-18187.patch
      - Patch18189: perl-5.8.0-upstream-18189.patch
      - Patch18190: perl-5.8.0-upstream-18190.patch
      - Patch18191: perl-5.8.0-upstream-18191.patch
      - Patch18192: perl-5.8.0-upstream-18192.patch
      - Patch18197: perl-5.8.0-upstream-18197.patch
      - Patch18202: perl-5.8.0-upstream-18202.patch
      - Patch18204: perl-5.8.0-upstream-18204.patch
      - Patch18205: perl-5.8.0-upstream-18205.patch
      - Patch18206: perl-5.8.0-upstream-18206.patch
      - Patch18207: perl-5.8.0-upstream-18207.patch
      - Patch18208: perl-5.8.0-upstream-18208.patch
      - Patch18209: perl-5.8.0-upstream-18209.patch
      - Patch18210: perl-5.8.0-upstream-18210.patch
      - Patch18211: perl-5.8.0-upstream-18211.patch
      - Patch18214: perl-5.8.0-upstream-18214.patch
      - Patch18215: perl-5.8.0-upstream-18215.patch
      - Patch18218: perl-5.8.0-upstream-18218.patch
      - Patch18219: perl-5.8.0-upstream-18219.patch
      - Patch18227: perl-5.8.0-upstream-18227.patch
      - Patch18234: perl-5.8.0-upstream-18234.patch
      - Patch18235: perl-5.8.0-upstream-18235.patch
      - Patch18236: perl-5.8.0-upstream-18236.patch
      - Patch18241: perl-5.8.0-upstream-18241.patch
      - Patch18242: perl-5.8.0-upstream-18242.patch
      - Patch18243: perl-5.8.0-upstream-18243.patch
      - Patch18247: perl-5.8.0-upstream-18247.patch
      - Patch18248: perl-5.8.0-upstream-18248.patch
      - Patch18252: perl-5.8.0-upstream-18252.patch
      - Patch18253: perl-5.8.0-upstream-18253.patch
      - Patch18254: perl-5.8.0-upstream-18254.patch
      - Patch18255: perl-5.8.0-upstream-18255.patch
      - Patch18256: perl-5.8.0-upstream-18256.patch
      - Patch18257: perl-5.8.0-upstream-18257.patch
      - Patch18258: perl-5.8.0-upstream-18258.patch
      - Patch18271: perl-5.8.0-upstream-18271.patch
      - Patch18273: perl-5.8.0-upstream-18273.patch
      - Patch18274: perl-5.8.0-upstream-18274.patch
      - Patch18275: perl-5.8.0-upstream-18275.patch
      - Patch18276: perl-5.8.0-upstream-18276.patch
      - Patch18286: perl-5.8.0-upstream-18286.patch
      - Patch18289: perl-5.8.0-upstream-18289.patch
      - Patch18290: perl-5.8.0-upstream-18290.patch
      - Patch18291: perl-5.8.0-upstream-18291.patch
      - Patch18293: perl-5.8.0-upstream-18293.patch
      - Patch18294: perl-5.8.0-upstream-18294.patch
      - Patch18295: perl-5.8.0-upstream-18295.patch
      - Patch18296: perl-5.8.0-upstream-18296.patch
      - Patch18297: perl-5.8.0-upstream-18297.patch
      - Patch18301: perl-5.8.0-upstream-18301.patch
      - Patch18322: perl-5.8.0-upstream-18322.patch
      - Patch18347: perl-5.8.0-upstream-18347.patch
      - Patch18348: perl-5.8.0-upstream-18348.patch
      - Patch18349: perl-5.8.0-upstream-18349.patch
      - Patch18352: perl-5.8.0-upstream-18352.patch
      - Patch18353: perl-5.8.0-upstream-18353.patch
      - Patch18359: perl-5.8.0-upstream-18359.patch
      - Patch18360: perl-5.8.0-upstream-18360.patch
      - Patch18361: perl-5.8.0-upstream-18361.patch
      - Patch18362: perl-5.8.0-upstream-18362.patch
      - Patch18363: perl-5.8.0-upstream-18363.patch
      - Patch18364: perl-5.8.0-upstream-18364.patch
      - Patch18365: perl-5.8.0-upstream-18365.patch
      - Patch18366: perl-5.8.0-upstream-18366.patch
      - Patch18367: perl-5.8.0-upstream-18367.patch
      - Patch18368: perl-5.8.0-upstream-18368.patch
      - Patch18369: perl-5.8.0-upstream-18369.patch
      - Patch18370: perl-5.8.0-upstream-18370.patch
      - Patch18375: perl-5.8.0-upstream-18375.patch
      - Patch18379: perl-5.8.0-upstream-18379.patch
      - Patch18380: perl-5.8.0-upstream-18380.patch
      - Patch20001: perl-5.8.0-upstream-20475.patch

* Wed Jul 23 2003 IWAI Masaharu <iwai@alib.jp> 5.8.0-88vl4
- SECURITY: fix CGI.pm XSS
    add CGI_XSS.patch (Patch20002)

* Wed May 14 2003 IWAI Masaharu <iwai@alib.jp> 5.8.0-88vl3
- add open.pm patch from perl5-porters #20475

* Thu Apr 24 2003 IWAI Masaharu <iwai@alib.jp> 5.8.0-88vl2
- added library search path ( otherlibdirs ) in /usr/local/lib
- add Provides: perl-{MIME-Base64,libnet} ([VineSeed:07701])

* Tue Apr 15 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 5.8.0-88vl1
- synced with Rawhide 5.8.0-88

* Fri Apr 12 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 5.6.1-0vl9
- added library search path ( otherlibdirs ) in /usr/local/lib

* Fri Mar 29 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.6.1-0vl8
- changed Patch3 (now use gdbm-ndbm)

* Sat Jan 19 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- 5.6.1-0vl7
- added db3-devel BuildPreReq

* Sat Jan 19 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- 5.6.1-0vl6
- added BuildPreReq entires

* Tue Jun 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 5.6.1-0vl4
- removed NASTY Provides: perl <= %%{version} line :-P

* Sun Jun 17 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- 5.6.1-0vl3
- put %%install sentence back

* Sun Jun 17 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- 5.6.1-0vl2
- use %%config for perllocal.pod
- removed MAINTAIN from %%doc

* Sat Jun 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 5.6.1-0vl1
- updated to 5.6.1 newest (at the moment) stable release
  (most of the works/tests done by Machino-san. Thanks)
- fix Source[01] URLs
- Copyright: GPL -> License: Artistic
- Patch4 modified for 5.6.1, as well as removed Patch8 and Patch9

* Fri Jun 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 5.6.0-10vl6
- modified %%{SOURCE3} & %%{SOURCE4} to remove libsafe.so dependencies

* Thu Jun 14 2001 <sagami@vinelinux.org>
- 5.6.0-10vl5: I think define is still valid even if commented out 

* Thu Jun 14 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 5.6.0-10vl4
- added Japanese description
- all archs should use %%{SOURCE3} for find_requires at the moment
- %%define _noVersionedDependencies 1
- libgr-devel -> netpbm-devel in %%install section

* Wed Jun 13 2001 Jun Nishii <jun@vinelinux.org> perl-5.6.0-10vl3
- added %doc

* Mon Mar 12 2001 net_hal <net_hal@cwa.bai.ne.jp>
- Package name changed(perl -> perl56)

* Fri Mar  2 2001 net_hal <net_hal@cwa.bai.ne.jp>
- first build for Vine2.1

* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies on ia64/sparc64

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- replace the deprecated MD5 with Digest::MD5 (has to be here for cleanfeed)
- obsolete: perl-Digest-MD5
- use syslog instead of mail to report possible attempts to break into suidperl
- force syslog on at build-time

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Owen's fix for #14779/#14863
- specify cc=%{__cc}; continue to let cpp sort itself out
- switch shadow support on (#8646)
- release 7

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- strip buildroot from perl pods (#14040)
- release 6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild (release 5)

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- don't require tcsh to install, only to build
- release 4

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new db3 package
- release 3

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable 64-bit file support
- change name of package that Perl expects gcc to be in from "egcs" to "gcc"
- move man pages to /usr/share via hints/linux.sh and MM_Unix.pm
- fix problems prefixifying with empty prefixes
- disable long doubles on sparc (they're the same as doubles anyway)
- add an Epoch to make sure we can upgrade from perl-5.00503
- release 2

* Thu Mar 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.6.0

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- add provides for perl modules (from kestes@staff.mail.com).

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- fix the %install so that the MD5 module gets actually installed correctly

* Mon Aug 30 1999 Cristian Gafton <gafton@redhat.com>
- make sure the package builds even when we don't have perl installed on the
  system

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- merged with perl-MD5
- get rid of the annoying $RPM_BUILD_ROOT paths in the installed tree

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- do not link anymore against the system db library (and make each module
  link against it separately, so that we can have Berkeley db1 and db2 mixed
  up)

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- use wildcards for files in /usr/bin and /usr/man

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- version 5.00503
- make the default man3 install dir be release independent
- try to link against db1 to preserve compatibility with older databases;
  abandoned idea because perl is too broken to allow such an easy change
  (hardcoded names *everywhere* !!!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Fri Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux 
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
