%define       _noVersionedDependencies        1
%define       prereq_ge()   %(LC_ALL="C" rpm -q --queryformat 'Requires(pre):%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
%define       emacsen_pkgdir /usr/lib/emacsen-common/packages
%define       origname      php-mode
%define       origver       1.15.3

Name: 		%{origname}
Version: 	%{origver}
Release: 	1%{?_dist_release}
Summary: 	PHP-mode for Emacsen
Summary(ja): 	Emacs 用 PHP モード

Group: 		Applications/Editors/Emacs
License: 	GPLv3
URL: 		http://sourceforge.net/projects/php-mode/

Source0: https://github.com/ejmr/php-mode/archive/v%{version}.tar.gz
Source1: %{origname}-install.sh
Source2: %{origname}-remove.sh
Source3: vine-default-php-mode.el
Source4: php-mode-init.el

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires(post): emacsen
Requires:       emacsen
%prereq_ge emacsen-common

%description
An Emacs major mode for editing PHP code. Features: Syntax coloring 
and indenting; Documentation browse and search functions; Support for 
Imenu and SpeedBar; Customization options

%prep
%setup -q

%build
#makeinfo php-mode.texi

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
mkdir -p $RPM_BUILD_ROOT/%{emacsen_pkgdir}/install
mkdir -p $RPM_BUILD_ROOT/%{emacsen_pkgdir}/remove
#mkdir -p $RPM_BUILD_ROOT/%{_infodir}

#install -m 0644 php-mode.info $RPM_BUILD_ROOT/%{_infodir}

###
# install el files
cp -a *.el %{SOURCE3} %{SOURCE4} ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{origname}

###
# install  script( bytecompile el and install elc , remove )   
%_installemacsenscript %{origname} %{SOURCE1} 

%_removeemacsenscript  %{origname} %{SOURCE2}

%post
###
# bytecompile and install 
if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}

%preun
if [ "$1" = 0 ]; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}

fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_DIR}/%{origname}-%{origver}

%files
%defattr(-,root,root)
%doc Changelog.md LICENSE README.md
#{_infodir}/php-mode.info*
%{_datadir}/emacs/site-lisp/%{origname}/
#%{_libdir}/emacsen-common/packages/install/%{origname}
#%{_libdir}/emacsen-common/packages/remove/%{origname}
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}

%changelog
* Fri Apr 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.15.3-1
- updated to 1.15.3

* Mon Oct 18 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.0-2
- used: Requires(post) instead of Prereq

* Mon Dec 21 2009 IWAI, Masaharu <iwai@alib.jp> 1.5.0-1
- new upstream release
- apply vine-default
  - add vine-default-php-mode.el (Source3)
  - add php-mode-init.el (Source4)
  - update php-mode-{install,remove}.sh
- add documents

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.0-1vl5
- applied new versioning policy, spec in utf-8
- added macro %%emacsen_pkgdir

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- new upstream release
- changed ruby-mode Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Mon Jul 22 2002 IWAI Masaharu <iwai@alib.jp> 1.0.2-0vl1
- first build for Vine Linux

