%bcond_with systemd
%bcond_without apache2

%global majorver 74
%global ap_suffix 7
%global _name php%{majorver}

# from main/php.h
#     #define PHP_API_VERSION 20190902
%global php_extension_api 20190902
# from Zend/zend_extensions.h
#     #define ZEND_EXTENSION_API_NO	320190902
%global zend_extension_api 320190902

%global srcname php-%{version}

%global php_confdir %{_sysconfdir}/%{_name}

%define gd_name gd

%global apache2_confdir %{_sysconfdir}/apache2/conf.d
%global apache2_moduledir %{_libdir}/apache2/modules
%global apache2_contentdir /var/www
%global apache2_cgidir %{apache2_contentdir}/cgi-bin
%global apache2_fcgidir %{apache2_contentdir}/fcgi-bin

%define www_user www-data
%define www_group www-data
%define fpm_user www-data
%define fpm_group www-data
%if %{with systemd}
%global fpm_sockdir /run/php%{majorver}-fpm
%else
%global fpm_sockdir /tmp
%endif

Name: php%{majorver}
Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Summary(ja): HTML 埋め込み型スクリプト言語 PHP
Version: 7.4.30
Release: 1%{_dist_release}%{?with_systemd:.systemd}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

License: The PHP License
URL: https://www.php.net/

Source0: http://www.php.net/distributions/%{srcname}.tar.xz

Source20: README.vine
Source21: php.ini-vine
Source24: php.conf-apache2
Source25: php-fpm.init
Source26: php-fpm.conf
Source27: default-pool.conf.in
Source28: php-fpm.logrotate
Source29: php_params
Source31: macros.php.ver
Source32: php-fpm.service
Source33: php-fpm.tmpfiles

# upstream patch
# for libgd >= 2.3.3
# https://github.com/php/php-src/commit/b3646440b1808abf0874b6f89027ce53ec5da03f
Patch1: php-gd2.3.3.patch

# Additional feature
Patch33: php-5.2.4-phpincludedir.patch
#Patch100: php55-htmlspecialchars-compat53.patch

# security fix
#Patch1000: php-5.3.7-bug55439.patch

#bugfix
#Patch2000: fix319823.patch
Patch2000: php-openssl3.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bison
BuildRequires: bzip2
BuildRequires: bzip2-devel
BuildRequires: curl-devel
BuildRequires: libdb-devel
BuildRequires: coreutils
BuildRequires: flex
BuildRequires: freetype2-devel
BuildRequires: gcc-c++
BuildRequires: %{gd_name}-devel
BuildRequires: gdbm-devel
BuildRequires: gmp-devel
BuildRequires: libacl-devel
BuildRequires: libedit-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: libxcrypt-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: ncurses-devel
BuildRequires: oniguruma-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: pkgconfig
BuildRequires: postfix
BuildRequires: sqlite3-devel
BuildRequires: zlib-devel
BuildRequires: libicu-devel >= 3.6
BuildRequires: libXpm-devel
BuildRequires: libzip-devel
BuildRequires: krb5-devel
%if %{with systemd}
BuildRequires: systemd-devel
BuildRequires:  systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
%else
Requires(post): chkconfig
Requires(preun): chkconfig
%endif

BuildRequires: www-common
Requires: www-common

Requires(post,preun): alternatives
Conflicts: php5 < 5.6.11
Conflicts: php <= 4.4.2-0vl1.2
Provides: php = %{version}-%{release}
Provides: php_extension_api(%{php_extension_api})
Provides: php_zend_extension_api(%{zend_extension_api})
Obsoletes: php74-pear < 7.4.16-2

%description 
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

%description -l ja
PHP は HTML 埋め込み型のスクリプト言語です．開発者にとって，動的に生成
される Web ページを簡単に書けるように考えて作られています．さらに，商用，
非商用を問わず，数々のデータベース管理システムについての統合データベース
環境が組み込まれています．そのため，データベースを使った Web ページを簡
単に書くことができます．PHP の用途のほとんどは、既存の CGI スクリプトの
置き換えに使われているのではないでしょうか．また，mod_php を使うことで，
Apache Web サーバが Web ページに埋めこまれた PHP 言語を理解して処理でき
るようになります．

#----------------------------------------------------------------------
%package devel
Summary: Files needed for building PHP extensions.
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: autoconf
Requires: automake
Conflicts: php-devel

%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.

#----------------------------------------------------------------------
%if %{with apache2}
%package apache2
Group: servers
Summary: php5 module for Apache version 2
Summary(ja): Apache バージョン 2 用の php5 モジュール
BuildRequires: apache2-devel >= 2.0.50-0vl2
Requires: %{name} = %{version}-%{release}
Requires: apache2 >= 2.0.50-0vl2
Requires(post): sed, file
Provides: php-apache2 = %{version}-%{release}
Conflicts: php5-pache2 < 5.6.11

%description apache2
 This package contains the php5 module for Apache version 2.

 Apache2 must be configured to use prefork MPM because
this module is not threadsafe.
%endif

#----------------------------------------------------------------------
%package fpm
Group: servers
Summary: PHP with FastCGI Process Manager (FPM)
Summary(ja): FastCGI Process Manager (FPM) が組み込まれたPHP
Requires: %{name} = %{version}-%{release}

%description fpm
 PHP-FPM (FastCGI Process Manager) is an alternative PHP FastCGI
implementation with some additional features useful for sites of
any size, especially busier sites.

#----------------------------------------------------------------------
%package nginx
Group: servers
Summary: Nginx configuration for php-fpm
Summary(ja): php-fpmを利用するためのNginx設定ファイル
Requires: %{name}-fpm = %{version}-%{release}
Requires: nginx

%description nginx
 This package inckudes FastCGI parameters for Nginx.

#======================================================================
# modules
#----------------------------------------------------------------------
%package dba
Summary: A database abstraction layer module for PHP applications
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-dba = %{version}-%{release}
Conflicts: php5-dba < 5.6.11

%description dba
The php-dba package contains a dynamic shared object that will add
support for using the DBA database abstraction layer to PHP.

#----------------------------------------------------------------------
%package imap
Summary: A module for PHP applications that use IMAP.
Group: programming
BuildRequires: uw-imap-devel >= 2000c-1.6.0
BuildRequires: openssl-devel
Requires: %{name} = %{version}-%{release}
Provides: php-imap = %{version}-%{release}
Conflicts: php5-imap < 5.6.11

%description imap
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.

#----------------------------------------------------------------------
%package ldap
Summary: A module for PHP applications that use LDAP.
Group: programming
BuildRequires: cyrus-sasl-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
Requires: %{name} = %{version}-%{release}
Provides: php-ldap = %{version}-%{release}
Conflicts: php5-ldap < 5.6.11

%description ldap
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.

#----------------------------------------------------------------------
%package mysql
Summary: A module for PHP applications that use MySQL databases.
Group: programming
##BuildRequires: MySQL-devel >= 5.1.40
# for MySQL-devel Requires bug..
Requires: %{name} = %{version}-%{release}
Requires: %{name}-pdo
Provides: %{name}_database
Provides: php-mysql = %{version}-%{release}
Conflicts: php5-mysql < 5.6.11

%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.

#----------------------------------------------------------------------
%package odbc
Group: programming
Summary: A module for PHP applications that use ODBC databases.
BuildRequires: unixODBC-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-pdo
Provides: %{name}_database
Provides: php-odbc = %{version}-%{release}
Conflicts: php5-odbc < 5.6.11

%description odbc
The php-odbc package contains a dynamic shared object that will add
database support through ODBC to PHP. ODBC is an open specification
which provides a consistent API for developers to use for accessing
data sources (which are often, but not always, databases). PHP is an
HTML-embeddable scripting language. If you need ODBC support for PHP
applications, you will need to install this package and the php
package.

#----------------------------------------------------------------------
%package pdo
Summary: A database access abstraction module for PHP applications
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-pdo = %{version}-%{release}
Conflicts: php5-pdo < 5.6.11

%description pdo
The php-pdo package contains a dynamic shared object that will add
a database access abstraction layer to PHP.  This module provides
a common interface for accessing MySQL, PostgreSQL or other
databases.

#----------------------------------------------------------------------
%package pgsql
Summary: A PostgreSQL database module for PHP.
Group: programming
BuildRequires: openssl-devel
BuildRequires: libpq-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-pdo
Provides: %{name}_database
Provides: php-pgsql = %{version}-%{release}
Conflicts: php5-pgsql < 5.6.11

%description pgsql
The php-pgsql package includes a dynamic shared object (DSO) that can
be compiled in to the Apache Web server to add PostgreSQL database
support to PHP. PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.

#----------------------------------------------------------------------
%package snmp
Summary: A module for PHP applications that query SNMP-managed devices.
Group: programming
BuildRequires: bzip2-devel
BuildRequires: glibc-devel
BuildRequires: libelf-devel
BuildRequires: net-snmp-devel >= 5.1.1
BuildRequires: popt-devel
BuildRequires: rpm-devel
BuildRequires: zlib-devel
Requires: %{name} = %{version}-%{release}
Provides: php-snmp = %{version}-%{release}
Conflicts: php5-snmp < 5.6.11

%description snmp
The php-snmp package contains a dynamic shared object that will add
support for querying SNMP devices to PHP.  PHP is an HTML-embeddable
scripting language. If you need SNMP support for PHP applications, you
will need to install this package and the php package.

#----------------------------------------------------------------------
%package xmlrpc
Summary: A module for PHP applications which use the XML-RPC protocol
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-xmlrpc = %{version}-%{release}
Conflicts: php5-xmlrpc < 5.6.11

%description xmlrpc
The php-xmlrpc package contains a dynamic shared object that will add
support for the XML-RPC protocol to PHP.

#----------------------------------------------------------------------
%package intl
Summary: A module for PHP applications to use the ICU APIs
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-intl = %{version}-%{release}
Conflicts: php5-intl < 5.6.11

%description intl
 The php-intl package is a wrapper for ICU library, enabling PHP programmers
to perform UCA-conformant collation and date/time/number/currency formatting
in their scripts.

#----------------------------------------------------------------------
%package zip
Summary: A module for PHP applications to manipulate the ZIP archives
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-zip = %{version}-%{release}
Provides: php-ext-zip
Obsoletes: php-ext-zip < 1.12.4
Conflicts: php5-zip < 5.6.11

%description zip
 The php-zip package is an extension to create, modify and read zip files.

#----------------------------------------------------------------------
%package pcntl
Summary: A module for PHP-CLI applications to use Process Control (pcntl)
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-pcntl = %{version}-%{release}
Conflicts: php5-pcntl < 5.6.11

%description pcntl
 Process Control support in PHP implements the Unix style of process
creation, program execution, signal handling and process termination.
Process Control should not be enabled within a web server environment
and unexpected results may happen if any Process Control functions are
used within a web server environment.

#----------------------------------------------------------------------
%package opcache
Summary: A zend extension to cache script bytecode
Group: programming
Requires: %{name} = %{version}-%{release}
Provides: php-opcache = %{version}-%{release}
Conflicts: php5-opcache < 5.6.11

%description opcache
 OPcache improves PHP performance by storing precompiled script bytecode
in shared memory, thereby removing the need for PHP to load and parse scripts
on each request.

#======================================================================

%debug_package

#======================================================================
%prep
%setup -q -n %{srcname}

%patch1 -p1

%patch33 -p1 -b .phpincludedir

%patch2000 -p1 -b .openssl3

# Prevent %%doc confusion over LICENSE files
cp Zend/LICENSE Zend/ZEND_LICENSE
#cp Zend/ChangeLog Zend/ZEND_ChangeLog
cp TSRM/LICENSE TSRM_LICENSE

mkdir -p %{_name}-apache2
cp %{SOURCE20} %{_name}-apache2/README.vine

#perl -pi -e 's,/freetype2/freetype/,/freetype2/,g' configure
perl -pi -e 's/for LIB in .+ db4 db; do/for LIB in db; do/' configure

# Source is built three times:
# once for /usr/bin/php, once for the Apache1 module, once for the Apache2 module.
mkdir build-cgi build-fpm build-apache2

#======================================================================
%build
# Regenerate configure scripts (patches change config.m4's)
# ./buildconf --force

# Install extension modules in %{_libdir}/%{_name}
export EXTENSION_DIR=%{_libdir}/%{_name}

# Shell function to configure and build a PHP tree.
build() {
ln -sf ../configure

export CFLAGS=$(echo $RPM_OPT_FLAGS -mshstk -fno-strict-aliasing -Wno-pointer-sign | sed 's/-mstackrealign//')

%configure \
  --cache-file=../config.cache \
  --prefix=%{_prefix} \
  --libdir=%{_libdir}/%{_name} \
  --with-libdir=%{_lib} \
  --sysconfdir=%{php_confdir} \
  --with-layout=GNU \
  --with-config-file-path=%{php_confdir} \
  --with-config-file-scan-dir=%{php_confdir}/php.d \
  --program-suffix=%{majorver} \
  --disable-rpath \
  --enable-bcmath \
  --enable-calendar \
  --enable-dba=shared --with-gdbm --with-db4 \
  --enable-exif \
  --enable-ftp \
  --enable-inline-optimization \
  --enable-intl=shared \
  --enable-mbstring \
  --enable-pcntl=shared \
  --enable-pdo=shared \
  --enable-shmop \
  --enable-soap \
  --enable-sockets \
  --enable-sysvmsg --enable-sysvsem --enable-sysvshm \
  --enable-zip=shared --with-libzip \
  --with-bz2 \
  --with-curl \
  --enable-gd=shared \
  --with-external-gd \
  --with-iconv \
  --with-gettext \
  --with-gmp \
  --with-imap=shared --with-imap-ssl \
  --with-kerberos \
  --with-ldap=shared \
  --with-mysqli=shared,mysqlnd --with-pdo-mysql=shared,mysqlnd \
  --with-openssl \
  --with-pgsql=shared --with-pdo-pgsql=shared,%{_prefix} \
  --with-pic \
  --with-snmp=shared,%{_prefix} \
  --with-pdo-sqlite=shared,%{_prefix} \
  --with-unixODBC=shared,%{_prefix} --with-pdo-odbc=shared,unixODBC,%{_prefix} \
  --with-xmlrpc=shared \
  --with-xsl \
  --with-zip=shared \
  --with-zlib \
  --without-pear \
  $*
if test $? != 0; then
  tail -500 config.log
  : configure failed
  exit 1
fi

make %{?_smp_mflags}
}

#----------------------------------------------------------------------
# Build /usr/bin/php{,-cgi}, and all the shared extensions
pushd build-cgi
build \
  --with-libedit
popd

#----------------------------------------------------------------------
# Build /usr/sbin/php-fpm
pushd build-fpm
build \
  --enable-fpm \
  --with-fpm-acl \
%if %{with systemd}
  --with-fpm-systemd \
%endif
  %{nil}
popd

sed \
	-e 's/@WWWUSER@/%{fpm_user}/' \
	-e 's/@WWWGROUP@/%{fpm_group}/' \
	-e 's|@sockdir@|%{fpm_sockdir}|' \
	-e 's/@majorver@/%{majorver}/' < %{SOURCE27} > default-pool.conf

#----------------------------------------------------------------------
# Build Apache2 module
%if %{with apache2}
pushd build-apache2
build \
  --with-apxs2=%{_bindir}/apxs
popd
%endif
#======================================================================
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#----------------------------------------------------------------------
pushd build-cgi
# Install everything from the CGI SAPI build
make install INSTALL_ROOT=%{buildroot}
#cp %{buildroot}%{_bindir}/%{_name}{,-cgi}
# Install the CLI SAPI as /usr/bin/%{_name}
#make install-cli INSTALL_ROOT=%{buildroot}
popd

# Install the default configuration file
%{__install} -m 755 -d %{buildroot}%{php_confdir}
%{__install} -m 644 php.ini-production %{buildroot}%{php_confdir}/php.ini

# Append php.ini-vine
cat %{SOURCE21} >> %{buildroot}%{php_confdir}/php.ini
# Use correct libdir
sed -i \
  -e 's|%{_prefix}/lib|%{_libdir}|' \
  -e 's/@majorver@/%{majorver}/g' \
  %{buildroot}%{php_confdir}/php.ini

# fix path in phar
#perl -pi -e 's|^#!/.+/build-cgi/sapi/cli/php$|#!/usr/bin/%{_name}|' %{buildroot}%{_bindir}/phar.phar
#mv %{buildroot}%{_bindir}/phar.phar %{buildroot}%{_bindir}/phar%{majorver}.phar
#mv %{buildroot}%{_mandir}/man1/phar.1 %{buildroot}%{_mandir}/man1/phar%{majorver}.1
#rm %{buildroot}%{_mandir}/man1/phar.phar.1

mkdir -p %{buildroot}%{_rpmmacrodir}
install -m 644 -c %{SOURCE31} \
	%{buildroot}%{_rpmmacrodir}/macros.php%{majorver}
sed -i -e 's/@majorver@/%{majorver}/g' \
  %{buildroot}%{_rpmmacrodir}/macros.php%{majorver}

# Install cgi/fcgi binaries
mv %{buildroot}%{_bindir}/php-cgi%{majorver} %{buildroot}%{_bindir}/%{_name}-cgi

# Install fpm binaries
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_initdir}
%{__install} -m 755 -d %{buildroot}%{php_confdir}/fpm.d
%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -m 755 build-fpm/sapi/fpm/php-fpm %{buildroot}%{_sbindir}/%{_name}-fpm
%{__install} -m 644 build-fpm/sapi/fpm/php-fpm.8 %{buildroot}%{_mandir}/man8/%{_name}-fpm.8
%{__install} -m 644 %{SOURCE26} %{buildroot}%{php_confdir}/php-fpm.conf
sed -i -e 's/@majorver@/%{majorver}/g' %{buildroot}%{php_confdir}/php-fpm.conf
%{__install} -m 644 default-pool.conf %{buildroot}%{php_confdir}/fpm.d/default-pool.conf
%{__install} -m 644 %{SOURCE28} %{buildroot}%{_sysconfdir}/logrotate.d/%{_name}-fpm
sed -i \
  -e 's/@majorver@/%{majorver}/g' \
  %{buildroot}%{_sysconfdir}/logrotate.d/%{_name}-fpm
%if %{with systemd}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -m 644 %{SOURCE32} \
	%{buildroot}%{_unitdir}/%{_name}-fpm.service
sed -i \
	-e 's/@majorver@/%{majorver}/g' \
	%{buildroot}%{_unitdir}/%{_name}-fpm.service
mkdir -p %{buildroot}%{_tmpfilesdir}
%{__install} -m 644 %{SOURCE33} \
	%{buildroot}%{_tmpfilesdir}/%{_name}-fpm.conf
sed -i \
	-e 's/@majorver@/%{majorver}/g' \
	%{buildroot}%{_tmpfilesdir}/%{_name}-fpm.conf
%else
%{__install} -m 755 %{SOURCE25} %{buildroot}%{_initdir}/%{_name}-fpm
sed -i -e 's/@majorver@/%{majorver}/g' %{buildroot}%{_initdir}/%{_name}-fpm
%endif


# Install the Apache2 module, CGI SAPI, config fragment
%if %{with apache2}
%{__install} -m 755 -d %{buildroot}%{apache2_moduledir}
%{__install} -m 755 build-apache2/libs/libphp%{ap_suffix}.so %{buildroot}%{apache2_moduledir}/lib%{_name}.so
%{__install} -m 755 -d %{buildroot}%{apache2_cgidir}
%{__install} -m 755 -d %{buildroot}%{apache2_fcgidir}
ln -sf %{_bindir}/%{_name}-cgi %{buildroot}%{apache2_cgidir}/%{_name}-cgi
ln -sf %{_bindir}/%{_name}-cgi %{buildroot}%{apache2_fcgidir}/%{_name}-fcgi
%{__install} -m 755 -d %{buildroot}%{apache2_confdir}
%{__install} -m 644 %{SOURCE24} %{buildroot}%{apache2_confdir}/%{_name}.conf
sed -i \
  -e 's/@majorver@/%{majorver}/g' \
  -e 's/@ap_suffix@/%{ap_suffix}/g' \
  %{buildroot}%{apache2_confdir}/%{_name}.conf
%endif

# Install the configuration file for Nginx
mkdir -p %{buildroot}%{_sysconfdir}/nginx
%{__install} -m 644 %{SOURCE29} %{buildroot}%{_sysconfdir}/nginx/%{_name}_params
sed -i \
  -e 's/@majorver@/%{majorver}/g' \
  -e 's|@sockdir@|%{fpm_sockdir}|g' \
  %{buildroot}%{_sysconfdir}/nginx/%{_name}_params

%{__install} -m 755 -d %{buildroot}%{php_confdir}/php.d
%{__install} -m 755 -d %{buildroot}%{_localstatedir}/%{_name}
# for session.save_path
%{__install} -m 770 -d %{buildroot}%{_localstatedir}/%{_name}/session
# for extension modules
%{__install} -m 755 -d %{buildroot}%{_libdir}/%{_name}
# for --with-exec-dir
%{__install} -m 755 -d %{buildroot}%{_libdir}/%{_name}/bin

#----------------------------------------------------------------------
# Generate files lists and stub .ini files for each subpackage
for mod in dba imap ldap snmp xmlrpc intl gd zip \
    mysqli odbc pgsql \
    pdo pdo_odbc pdo_mysql pdo_pgsql pdo_sqlite; do
    cat > %{buildroot}%{php_confdir}/php.d/${mod}.ini <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
    cat > files.${mod} <<EOF
%attr(0755,root,root) %{_libdir}/%{_name}/${mod}.so
%config(noreplace) %attr(0644,root,root) %{php_confdir}/php.d/${mod}.ini
EOF
done

# Zend extensions
for mod in opcache; do
    cat > %{buildroot}%{php_confdir}/php.d/${mod}.ini <<EOF
; Enable ${mod} zend extension module
zend_extension=${mod}.so
EOF
    cat > files.${mod} <<EOF
%attr(0755,root,root) %{_libdir}/%{_name}/${mod}.so
%config(noreplace) %attr(0644,root,root) %{php_confdir}/php.d/${mod}.ini
EOF
done

# pcntl extension should be enabled with CLI/CGI SAPI only.
cat > %{buildroot}%{php_confdir}/php.d/pcntl.ini <<EOF
; Enable pcntl extension module
;extension=pcntl.so
EOF
cat > files.pcntl <<EOF
%attr(0755,root,root) %{_libdir}/%{_name}/pcntl.so
%config(noreplace) %attr(0644,root,root) %{php_confdir}/php.d/pcntl.ini
EOF



# rename mysqli to mysql.
mv -f files.mysqli files.mysql

# Split out the PDO modules
cat files.pdo_mysql >> files.mysql
cat files.pdo_odbc >> files.odbc
cat files.pdo_pgsql >> files.pgsql

# Package pdo_sqlite with pdo; isolating the sqlite dependency
# isn't useful at this time since rpm itself requires sqlite.
cat files.pdo_sqlite >> files.pdo

#----------------------------------------------------------------------
# Remove unpackaged files
rm -f %{buildroot}%{_libdir}/%{_name}/*.a

# Remove irrelevant docs
rm -f README.{Zeus,QNX,CVS-RULES}

#----------------------------------------------------------------------
%post
/sbin/update-alternatives \
  --install %{_bindir}/php     php  %{_bindir}/php%{majorver} %{majorver} \
  --slave   %{_bindir}/php-cgi php-cgi  %{_bindir}/php%{majorver}-cgi \
  --slave   %{_bindir}/phar    phar %{_bindir}/phar%{majorver}.phar \
  --slave   %{_bindir}/phar.phar phar.phar %{_bindir}/phar%{majorver}.phar \
  --slave   %{_bindir}/phpdbg  phpdbg %{_bindir}/phpdbg%{majorver} \
  --slave   %{_mandir}/man1/php.1.gz php.1.gz %{_mandir}/man1/%{_name}.1.gz \
  --slave   %{_mandir}/man1/php-cgi.1.gz php-cgi.1.gz %{_mandir}/man1/php-cgi%{majorver}.1.gz \
  --slave   %{_mandir}/man1/phar.1.gz phar.1.gz %{_mandir}/man1/phar%{majorver}.1.gz \
  --slave   %{_mandir}/man1/phar.phar.1.gz phar.phar.1.gz %{_mandir}/man1/phar%{majorver}.phar.1.gz \
  --slave   %{_mandir}/man1/phpdbg.1.gz phpdbg.1.gz %{_mandir}/man1/phpdbg%{majorver}.1.gz

# fix broken symlink if it's there
if [ ! -f %{_bindir}/php ] ; then
    /sbin/update-alternatives --auto php
fi

%triggerpostun -- php5 < 5.1.4-0vl1
/sbin/update-alternatives --auto php

%preun
if [ "$1" = 0 ]; then
  /sbin/update-alternatives --remove php %{_bindir}/php%{majorver}
fi

%post fpm
/sbin/update-alternatives \
  --install %{_sbindir}/php-fpm php-fpm %{_sbindir}/%{_name}-fpm %{majorver} \
  --slave   %{_mandir}/man8/php-fpm.8.gz php-fpm.8.gz %{_mandir}/man8/%{_name}-fpm.8.gz
# fix broken symlink if it's there
if [ ! -f %{_sbindir}/php-fpm ] ; then
    /sbin/update-alternatives --auto php-fpm
fi

%if %{with systemd}
%systemd_post %{_name}-fpm.service
%else
/sbin/chkconfig --add %{_name}-fpm
%endif

%triggerun fpm -- php5-fpm < 5.6.11
/sbin/chkconfig --del php-fpm 2>/dev/null ||:

%preun fpm
%if %{with systemd}
%systemd_preun %{_name}-fpm.service
%else
if [ "$1" = 0 -o -x /bin/systemctl ]; then
  /sbin/service %{_name}-fpm stop >/dev/null 2>&1 ||:
  /sbin/chkconfig --del %{_name}-fpm
fi
%endif
if [ "$1" = 0 ]; then
  /sbin/update-alternatives --remove php-fpm %{_sbindir}/php%{majorver}-fpm
fi

%postun fpm
%if %{with systemd}
%systemd_postun_with_restart %{_name}-fpm.service
%endif

%post nginx
/sbin/update-alternatives \
  --install %{_sysconfdir}/nginx/php_params \
            php-nginx \
            %{_sysconfdir}/nginx/%{_name}_params \
            %{majorver}

# fix broken symlink if it's there
if [ ! -f %{_sysconfdir}/nginx/php_params ] ; then
    /sbin/update-alternatives --auto php-nginx
fi

%preun nginx
if [ "$1" = 0 ]; then
  /sbin/update-alternatives --remove php-nginx %{_sysconfdir}/nginx/%{_name}_params
fi

%post devel
/sbin/update-alternatives \
  --install %{_bindir}/php-config php-devel   %{_bindir}/php-config%{majorver} %{majorver} \
  --slave   %{_bindir}/phpize     phpize      %{_bindir}/phpize%{majorver} \
  --slave   %{_mandir}/man1/php-config.1.gz php-config.1.gz %{_mandir}/man1/php-config%{majorver}.1.gz \
  --slave   %{_mandir}/man1/phpize.1.gz phpize.1.gz %{_mandir}/man1/phpize%{majorver}.1.gz


# fix broken symlink if it's there
if [ ! -f %{_bindir}/php-config ] ; then
    /sbin/update-alternatives --auto php-config
fi

%preun devel
if [ "$1" = 0 ]; then
  /sbin/update-alternatives --remove php-devel %{_bindir}/php-config%{majorver}
fi

%if %{with apache2}
%post apache2
MPM=`/usr/sbin/apache2ctl -V | grep "Server MPM:" | sed -e 's/^.*: *//'`
if [ "$MPM" != "prefork" ]; then
  cat <<EOF

 Apache2 is configured to use $MPM MPM. But php%{majorver}-apache2 requires
prefork MPM. Configure Apache2 to use prefork MPM or use PHP%{majorver}-FPM
via FastCGI.

EOF
fi

%endif


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -f files.*

#======================================================================
%files
%defattr(-,root,root)
%license LICENSE
%doc CODING_STANDARDS* EXTENSIONS NEWS README*
%doc Zend/ZEND_* TSRM_LICENSE
%doc php.ini-{development,production}
%doc php.gif
%{_mandir}/man1/%{_name}.1*
%{_mandir}/man1/php-cgi%{majorver}.1*
%{_mandir}/man1/phar%{majorver}.1*
%{_mandir}/man1/phar%{majorver}.phar.1*
%{_mandir}/man1/phpdbg%{majorver}.1*
%config(noreplace) %{php_confdir}/php.ini
%{_bindir}/%{_name}
%{_bindir}/%{_name}-cgi
%{_bindir}/phar%{majorver}
%{_bindir}/phar%{majorver}.phar
%{_bindir}/phpdbg%{majorver}
%dir %{php_confdir}
%dir %{php_confdir}/php.d
%dir %{_libdir}/%{_name}
%dir %{_libdir}/%{_name}/bin
%dir %{_localstatedir}/%{_name}
%attr(0770,root,%{www_group}) %dir %{_localstatedir}/%{_name}/session
# gd extension (should be separated package?)
%config(noreplace) %{php_confdir}/php.d/gd.ini
%{_libdir}/%{_name}/gd.so
%config %{_rpmmacrodir}/macros.php%{majorver}

%files devel
%defattr(-,root,root)
%{_mandir}/man1/php-config%{majorver}.1*
%{_mandir}/man1/phpize%{majorver}.1*
%{_bindir}/php-config%{majorver}
%{_bindir}/phpize%{majorver}
%{_includedir}/%{_name}
%{_libdir}/%{_name}/build

%if %{with apache2}
%files apache2
%defattr(-,root,root)
%doc %{_name}-apache2/README.vine
%config %{apache2_confdir}/%{_name}.conf
%{apache2_moduledir}/lib%{_name}.so
%{apache2_cgidir}/%{_name}-cgi
%{apache2_fcgidir}/%{_name}-fcgi
%endif

%files fpm
%defattr(-,root,root)
%{_sbindir}/%{_name}-fpm
%if %{with systemd}
%{_unitdir}/%{_name}-fpm.service
%{_tmpfilesdir}/%{_name}-fpm.conf
%else
%{_initdir}/%{_name}-fpm
%endif
%{_mandir}/man8/%{_name}-fpm.8*
%dir %{php_confdir}/fpm.d
%config(noreplace) %{php_confdir}/php-fpm.conf
%config(noreplace) %{php_confdir}/fpm.d/*.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{_name}-fpm

%files nginx
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/nginx/%{_name}_params

%files dba -f files.dba
%files imap -f files.imap
%files ldap -f files.ldap
%files mysql -f files.mysql
%files odbc -f files.odbc
%files pdo -f files.pdo
%files pgsql -f files.pgsql
%files snmp -f files.snmp
%files xmlrpc -f files.xmlrpc
%files intl -f files.intl
%files zip -f files.zip
%files pcntl -f files.pcntl
%files opcache -f files.opcache

#======================================================================
%changelog
* Fri Jun 10 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.30-1
- new upstream release.

* Fri Apr 15 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.29-1
- new upstream release.

* Fri Feb 18 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.28-1
- new upstream release.

* Fri Dec 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.27-1
- new upstream release.

* Fri Nov 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.26-1
- new upstream release.
- dropped Patch2: fixed in upstream.

* Sat Oct 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.25-2
- built with icu-70.1.

* Thu Oct 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.25-1
- new upstream release.
- built with openssl-3.0.0.

* Thu Sep 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.24-1
- new upstream release.

* Thu Aug 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.23-1
- new upstream release.

* Fri Jul 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.22-1
- new upstream release.

* Thu Jul 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.21-1
- new upstream release.

* Thu Jun 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.20-1
- new upstream release.

* Fri May 07 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.19-1
- new upstream release.

* Fri Apr 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.18-1
- new upstream release.

* Thu Apr 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.16-2
- rebuilt with icu69.
- dropped php-pear (no longer maintained in upstream).

* Fri Mar 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.16-1
- new upstream release.

* Thu Feb 04 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.15-1
- new upstream release.

* Thu Jan 07 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.14-1
- new upstream release.

* Thu Nov 26 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.13-1
- new upstream release.

* Thu Oct 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.12-1
- new upstream release.

* Fri Oct 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.11-1
- new upstream release.

* Tue Sep 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.10-2
- rebuilt with net-snmp-5.9.

* Thu Sep 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.10-1
- new upstream release.

* Fri Aug 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.9-1
- new upstream release.

* Fri Jul 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.8-1
- new upstream release.

* Thu Jun 11 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.7-1
- new upstream release.

* Thu May 14 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.6-1
- new upstream release.

* Fri Apr 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.5-2
- rebuilt with icu67.

* Thu Apr 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.5-1
- new upstream release.
- added systemd support (disabled as default).
- activated %%debug_package.

* Thu Mar 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.4-1
- new upstream release.

* Thu Feb 20 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.3-1
- new upstream release.

* Fri Jan 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.2-1
- new upstream release.

* Thu Dec 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.4.1-1
- new upstream release.

* Thu Nov 21 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.12-1
- new upstream release.

* Thu Oct 24 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.11-1
- new upstream release.

* Sun Oct 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.10-1
- new upstream release.
- built with icu65.

* Fri Aug 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.9-1
- new upstream release.

* Fri Aug 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.8-1
- new upstream release.

* Fri May 31 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.6-1
- new upstream release.

* Tue May 14 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.5-2
- rebuilt with gdbm-1.18.1.

* Thu May 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.5-1
- new upstream release.

* Fri Apr 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.4-1
- new upstream release.

* Thu Feb 07 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.2-1
- new upstream release.

* Fri Jan 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.1-1
- new upstream release.

* Fri Dec 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.3.0-1
- new upstream release.
- changed %%name.

* Thu Nov 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.11-2
- rebuilt with net-snmp-5.8.

* Sun Nov 04 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.11-1
- new upstream release.

* Fri Jul 20 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.8-1
- new upstream release.

* Fri Mar 30 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.4-1
- new upstream release.

* Fri Mar 02 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.3-1
- new upstream release.

* Fri Feb 02 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.2-1
- new upstream release.

* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.1-2
- rebuilt with libicu-60.2.

* Thu Jan 04 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.1-1
- new upstream release.

* Mon Dec 18 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.2.0-1
- new upstream release.
- changed %%name.
- dropped mcrypt extension: dropped in upstream.

* Sat Jul 15 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.1.7-1
- new upstream release.

* Sun Mar 19 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.1.3-1
- new upstream release.

* Thu Mar 16 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.1.2-1
- new upstream release.
- changed %%name.

* Fri Jul 22 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.9-1 
- new upstream release.

* Fri Jun 24 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.8-1
- new upstream release.

* Fri May 27 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.7-1
- new upstream release.

* Fri Apr 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.6-1
- new upstream release.

* Thu Mar 31 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.5-1
- new upstream release.

* Fri Mar  4 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.4-1
- new upstream release.

* Thu Feb  4 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.3-1
- new upstream release.

* Fri Jan  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.2-1
- made API version hardcoded in specfile.
- new upstream release.

* Fri Dec 18 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.1-1
- new upstream release.

* Fri Dec  4 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.0-1
- updated to 7.0.0.

* Fri Oct 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.0-0.rc6.1
- updated to 7.0.0RC6.

* Fri Jul 24 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.0-0.beta2.1
- updated to 7.0.0beta2.

* Sat Jul 11 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.0-0.beta1.1
- updated to 7.0.0beta1.
- removed stuff for vl5.

* Wed Jul  1 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7.0.0-0.alpha2.1
- new upstream release.
- made ready for alternatives.

* Fri Jun 12 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.10-1
- new upstream release.

* Fri May 15 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.9-1
- new upstream release.

* Fri Apr 17 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.8-1
- new upstream release.

* Fri Apr 10 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.7-1
- new upstream release.
- removed patch100 (no longer needed).

* Sun Mar 22 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net>  5.5.23-1
- new upstream release.
- replaced readline with libedit.

* Fri Feb 20 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.22-1
- new upstream release.

* Fri Jan 23 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.21-1
- new upstream release.

* Fri Dec 19 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.20-1
- new upstream release.

* Wed Nov 19 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.19-2
- rebuilt with libicu-54.1.

* Fri Nov 14 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.19-1
- new upstream release.

* Thu Sep 18 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.17-1
- new upstream release.

* Sun Aug 24 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.16-1
- new upstream release.

* Fri Jun 27 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.14-1
- new upstream release.

* Fri May 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.13-1
- new upstream release.

* Thu May  1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.12-1
- new upstream release.

* Fri Apr  4 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.11-1
- new upstream release.

* Thu Mar  6 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.10-1
- new upstream release.

* Tue Feb 11 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.9-1
- new upstream release.

* Sat Jan 11 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.8-1
- new upstream release.
- added a sub-package 'php5-zip'.

* Tue Dec 31 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.7-2
- rebuilt with icu-52.1.

* Fri Dec 13 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.7-1
- new upstream release.

* Thu Nov 14 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.6-1
- new upstream release.

* Mon Oct 28 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.5-2
- added Patch100.

* Thu Oct 17 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.5-1
- new upstream release.

* Mon Oct 07 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.4-2
- built for VinePlus/6.

* Wed Oct 02 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.4-1
- new upstream release.
- removed %%patch51 (commited to upstream).

* Sun Jun 23 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.0-1
- new upstream release.
- removed a sub-package "sqlite".
- fixed invalid date in %%changelog.

* Tue Feb 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 5.3.21-1
- new upstream release
- add configure options to fix broken fonts in some
  applications (e.g.: zabbix)
  (--with-gd=shared,/usr --enable-gd-native-ttf --with-iconv)
- add gd.so and gd.ini to %%files

* Fri Dec 21 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.20-1
- new upstream release.

* Sun Nov 25 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.19-1
- new upstream release.

* Fri Oct 19 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.18-1
- new upstream release.
- dropped %%Patch2000 (fixed in upstream).

* Fri Sep 14 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.17-1
- new upstream release.

* Fri Aug 17 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.16-1
- new upstream release.

* Sat Jul 21 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.15-2
- owner of /var/www/session was changed to "www-data".

* Fri Jul 20 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.15-1
- new upstream release.

* Fri Jun 15 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.14-1
- new upstream release.

* Wed May 09 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.13-1
- new upstream release.

* Fri May 04 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.12-1
- new upstream release.
- fixed initscript.

* Sat Apr 28 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.11-2
- added API versions to 'Provides'.

* Thu Apr 26 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.11-1
- new upstream release.

* Thu Apr 26 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.10-6
- added a sub-package "php-pcntl".
- added a sub-package "php-nginx".

* Tue Mar 13 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.3.10-5
- fix Source13

* Sun Mar 11 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.3.10-4
- add /etc/rpm/macros.pear (Source13) from Fedora

* Wed Mar 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.3.10-3
- rebuild with net-snmp-5.7.1
- update Source21 (php.ini-vine)

* Fri Feb 03 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.10-2
- fixed %%preun scripts.

* Fri Feb 03 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.10-1
- new upstream release.
- reverted revision #319823 (bug#60723).

* Thu Jan 12 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.9-1
- new upstream release.

* Sat Oct 29 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.8-1
- new upstream release.
- added a subpackage "php5-fpm".

* Tue Aug 23 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.7-2
- fixed bug#55439.

* Thu Aug 18 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.7-1
- new upstream release.

* Mon Jun 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.3.6-4
- rebuild with unixODBC-2.2.14-2

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 5.3.6-3
- rebuilt with postgresql-9.0.3

* Sat Apr  9 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.3.6-2
- new upstream release
- dropt apache subpackage on VineSeed (apache1 will be orphaned on Vine 6)

* Mon Mar 28 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.6-1
- new upstream release.
- added tags "Vendor:", "Distribution:" and "Packager:".

* Mon Jan 10 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.5-1
- new upstream release.

* Fri Dec 10 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.4-1
- new upstream release.
- added a sub-package "php5-intl".

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.3.3-1
- new upstream release

* Fri Nov 20 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.1-1
- new upstream release.

* Tue Sep  1 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.3.0-2
- fix incorrect path in {pear,peardev,pecl}5 ([vine-users:079537])

* Thu Jul  2 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.3.0-1
- new upstream release.
- updated patch51.
- removed /usr/bin/php5-fcgi.

* Sat Jun 20 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.2.10-1
- new upstream release.
- updated patch51.

* Tue Jun 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 5.2.9-6
- update php.ini
  - use UTF-8 for default charset and internal_encoding

* Thu May 21 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.2.9-5
- rebuilt with MySQL-shared-5.1.34.

* Sat May 16 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.9-4
- rebuilt with libc-client-2007e
- added --with-kerberos option (VineSeed)

* Fri Apr 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 5.2.9-3
- rebuilt with openldap-2.4.11

* Fri Mar 27 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.2.9-2
- rebuilt with net-snmp-5.4.2.1-3 (VineSeed x86_64).

* Thu Mar 19 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.2.9-1
- new upstream release.
- wrote specfile in UTF-8.

* Tue May  6 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.6-2
- move php5-{cgi,fcgi} to %%{_bindir}.

* Tue May  6 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.6-1
- new upstream release.
- update %%Patch51.

* Sat Apr 26 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.5-1
- add FastCGI support.

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 5.2.5-0vl5
- rebuilt with postgresql-8.2.6

* Sun Jan 06 2008 Shu KONNO <owa@bg.wakwak.com> 5.2.5-0vl4
- rebuilt with net-snmp-5.4.1

* Thu Dec 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.2.5-0vl3
- for VineSeed: rebuilt with MySQL-5.0.27-0vl7

* Thu Dec 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.2.5-0vl2
- rebuilt with MySQL-5.0.27-0vl6

* Fri Nov 23 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.5-0vl1
- new upstream release.

* Thu Sep 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.4-0vl3
- rebuilt with postgresql-devel 8.2.5

* Sat Sep 15 2007 NAKAMURA Kenta <kenta@vinelinux.org> 5.2.4-0vl2
- replaced BuildRequires: libstdc++3-devel with libstdc++34-devel

* Sun Sep  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.4-0vl1
- rebuilt for VineSeed

* Tue Sep  4 2007 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.4-0vl0.40
- new upstream release.
- update Patch33.

* Thu Jun  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.3-0vl2
- rebuilt for VineSeed

* Tue Jun 05 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.3-0vl1
- new upstream release.
- fix install script.

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.2-0vl5
- rebuilt with new toolchain (for VineSeed)

* Wed May 16 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.2-0vl4
- remove "Provides: php-devel" from devel subpackage

* Mon May 14 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.2-0vl3
- fix Source24(php5.conf-apache2)

* Fri May 11 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.2-0vl2
- add Provides tag to subpackages.

* Tue May 08 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.2-0vl1
- new upstream release.
- add 'Provides: php = %%{version}-%%{release}' to main package.

* Sun Mar 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 5.2.1-0vl3
- added --with-libdir=%%{_lib} configure option

* Mon Feb 26 2007 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.1-0vl2
- built for VineSeed.

* Fri Feb 16 2007 Atsushi SHICHI <ats777@gmail.com> 5.2.1-0vl1
- new upstream release.
- remove unnecessary 'Obsoletes: php-domxml, php-manual'

* Sat Dec 02 2006 Atsushi SHICHI <ats777@gmail.com> 5.2.0-0vl4
- change session.save_path to /var/php5/session in php.ini-vine <BTS:412>
- unset http_proxy in %%install

* Tue Nov  7 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.2.0-0vl3
- new upstream release.

* Sun Oct 29 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.1.6-0vl6
- build with MySQL-5.0.27.

* Fri Oct 27 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.1.6-0vl5
- build with MySQL-5.0.26.
- add mysqli module.
- modify %%BuildRequires 'imap-devel' to 'uw-imap-devel'.

* Sun Oct 22 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1.6-0vl4
- fixed %triggerpostun section
- added update-alternatives for checking symlink to %post section

* Sat Oct 21 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1.6-0vl3
- rebuilt for Vine Linux 4.0 <BTS:289>
- added Patch1000 for building with uw-imap-2006b

* Mon Sep 11 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.6-0vl2
- rebuild for VinePlus/4.0
- change 'BuildRequires: fileutils' to coreutils
- add 'BuildRequires: libtool-ltdl-devel' to main package

* Fri Aug 25 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.6-0vl1
- new upstream release

* Wed Aug 23 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.5-0vl1
- new upstream release
- fix bug [vine-users:074749]
-- move php.gif from apache{,2} subpackage to main package
- fix bug [VineLinux:0070], [VineLinux:0106]
-- add 'Conflicts: php-devel' to devel subpackage
-- remove suffix from {php-config,phpize,phpextdist}
-- add alternatives support for {peardev5,pecl5}

* Mon Jun 19 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.4-0vl1.4
- add 'Requires: %%{name}-pdo' to sqlite subpackage [vine-php:137]

* Sun Jun 18 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.4-0vl1.3
- enable sqlite extension and add sqlite subpackage [vine-users:074695]

* Tue May 30 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.4-0vl1.2
- update Source0
- change Requires: to PreReq: in apache{,2} subpackages [vine-php:113]
- fix %%post apache{,2} script

* Tue May 16 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.4-0vl1.1
- fix /etc/httpd/conf.d/php5.conf [VinePlus:02967]

* Sat May 13 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.4-0vl1
- new upstream release
- revive apache{,2} subpackage
- add 'Source24: php.conf-apache2'
- remove php-dbg, mod_php, phpfi, stronghold-php from Obsoletes
- fix Requires of main package and dba subpackage
- remove 'Conflicts: php-apache' from apache subpackage
- remove 'Conflicts: php-apache2' from apache2 subpackage
- add %%post apache{,2} script to chown session directory to root:apache
- modify %%files section

* Sun Apr 30 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.3-0vl0.3
- update to 5.1.3RC3
- fix %%post script and add %%triggerpostun script

* Sat Apr 08 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.3-0vl0.2.3
- drop 'Source10: pear.sh'
- fix 'Source20: README.vine', 'Source21: php.ini-vine', 'Source23: php.conf'
- add alternatives support
-- add 'PreReq: alternatives' to main package and pear subpackage
-- add 'Conflicts: php < 4.4.2-0vl1.1' to main package
-- add 'Conflicts: php-pear < 4.4.2-0vl1.1' to pear subpackage
-- add %%post, %%preun scripts

* Wed Apr 05 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.3-0vl0.2.2
- fix 'Source10: pear.sh'
- add --sysconfdir=%%{php_confdir} to configure

* Tue Apr 04 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.3-0vl0.2.1
- add 'Source10: pear.sh' to replace /usr/bin/{pear,peardev,pecl}
- add 'Patch33: php-5.1.3RC2-phpincludedir.patch'
- remove 'Conflicts: php, php-*'
- add 'export PHP_PEAR_SYSCONF_DIR, PHP_PEAR_CACHE_DIR, PHP_PEAR_PHP_BIN'
  to %%Install section
  -- move pear.conf to %%{_sysconfdir}/%%{_name}
  -- add '%%dir %%{pear_cachedir}' to '%%files pear'
  -- fix php_bin in pear.conf
- rename phpextdist to phpextdist5

* Fri Mar 31 2006 Atsushi SHICHI <ats777@gmail.com> 5.1.3-0vl0.2
- update to 5.1.3RC2

* Mon Mar 20 2006 Atsushi SHICHI <ats7@a.email.ne.jp> 5.1.3-0vl0.1
- new upstream release
- add Source23: php5.conf
- drop Patch21: php-4.3.1-odbc.patch
- drop Patch30: php-4.3.6-dlopen.patch
- drop Patch32: php-4.3.11-mbfilter.patch
- apply strict session patch, thanks to Yasuo Ohgaki
  -- add Patch51: php-5.1.2-session_strict_mode.patch
  -- add session.use_strict_mode = 1 to php.ini-vine
- add BuildRequires: autoconf, automake, bison, flex, gcc-c++,
  readline-devel, sqlite3-devel
- drop BuildRequires: automake15, expat-devel, unixODBC-devel
- build with Apache2. Apache1.3 is still able to used by rebuilding
  with --with apache1
  -- add Requires: apache2
  -- merge apache{,2} subpackage into main package
  -- add Obsoletes: php5-apache, php5-apache2
- add Requires: autoconf, automake to devel subpackage
- add dba, pdo subpackage
- add Requires: php5-pdo to {mysql,odbc,pgsql} subpackage
- drop BuildRequires: expat-devel from xmlrpc subpackage
- add --program-suffix=5 to configure
- add missing files to %%files

* Thu Jan 12 2006 Atsushi SHICHI <ats7@a.email.ne.jp> 5.1.2-0vl1
- new upstream release
- remove workaround for install-pear-nozlib.phar bug (PHP Bug #35780, PEAR Bug #6154)
  -- remove Source2: relocate.php
  -- remove Source10: pear.sh
  -- remove Source11: pecl.sh
  -- remove Source12: peardev.sh
- remove old XSLT extension stuff
  -- remove BuildRequires: libsablotron0-devel
  -- remove --enable-xslt, --with-xslt-sablot configure option

* Wed Dec 07 2005 Atsushi SHICHI <ats7@a.email.ne.jp> 5.1.1-0vl2
- add %%{with_test}
- drop Patch5: php-4.3.3-install.patch
- drop Patch6: php-5.1.0-tests.patch
- drop Patch7: php-5.1.0-libtool15.patch
- drop Patch8: php-5.0.0RC3-miscfix.patch
- drop Patch10: php-5.1.0-sqlite_m4.patch
- change BuildPrereq tag to BuildRequires tag
- add BuildRequires: rpm-devel, popt, bzip2-devel, zlib-devel, glibc-devel
  to snmp subpackage
- comment out CFLAGS, LIBS, IMAP_SHARED_LIBADD environment variable settings
- remove support for FreeType 1.x
  -- remove BuildRequires: freetype, freetype-devel from main package
  -- remove --enable-gd-native-ttf, --with-ttf configure option
- drop --enable-ucd-snmp-hack configure option
- add workaround for install-pear-nozlib.phar bug
  -- add Source2: relocate.php
  -- add Source10: pear.sh
  -- add Source11: pecl.sh
  -- add Source12: peardev.sh
  -- remove include_path entry from vine.ini
- include phpextdist in devel subpackage again
- move pear.conf from main package to pear subpackage
- include pecl, peardev in pear subpackage
- move php.gif from main package to apache/apache2 subpackage
  -- fix %%{contentdir}
- fix typo in %%changelog

* Tue Dec 06 2005 HOTTA Michihide <hotta@net-newbie.com> 5.1.1-0vl1
- new upstream release
- drop Patch #4 (php-4.2.2-cxx.patch)
- change Patch #6 (php-4.3.1-tests.patch) to php-5.1.0-tests.patch
- change Patch #7 (php-4.3.2-libtool15.patch) to php-5.1.0-libtool15.patch
- change Patch #10 (php-5.0.5-sqlite_m4.patch) to php-5.1.0-sqlite_m4.patch
- drop Patch #101 (php-5.0.5-mbfilter.patch)
- append include_path entry to vine.ini

* Sat Oct 15 2005 HOTTA Michihide <hotta@net-newbie.com> 5.0.5-0vl5
- rebuild for VineSeedPlus

* Thu Oct 06 2005 Atsushi SHICHI <ats7@a.email.ne.jp> 5.0.5-0vl4
- modify Source21: vine.ini

* Thu Oct 06 2005 HOTTA Michihide <hotta@net-newbie.com> 5.0.5-0vl3
- drop Patch3: php-5.0.5-lib64.patch
- drop Patch11: php-5.0.5-phpize_in.patch [VinePlus:02737]
- add --libdir=%%{_libdir}/php option to configure [VinePlus:02737]

* Tue Oct 04 2005 HOTTA Michihide <hotta@net-newbie.com> 5.0.5-0vl2
- add mbfilter.c.patch

* Sun Sep 18 2005 Atsushi SHICHI <ats7@a.email.ne.jp> 5.0.5-0vl1
- upstream release
- add Source21: vine.ini (additional settings to php.ini-recommened)
- add Source22: ltmain.sh.vine
- drop Patch2: php-5.0.3-config.patch
- fix Patch3: php-5.0.5-lib64.patch
- drop Patch9: php-5.0.0RC3-oniguruma.patch
- fix Patch10: php-5.0.5-sqlite_m4.patch
- add Patch11: php-5.0.5-phpize_in.patch
- drop Patch246: php-4.3.6-fixattr.patch
- add %%define __libtoolize true
- drop %%{_bindir}phpextdist

* Fri Jun 17 2005 IKEDA Katsumi <ikeda@webmasters.gr.jp> 5.0.3-0vl3.2
- added a security patch for CAN-2005-0524 and CAN-2005-0525 from SuSE.

* Mon May 16 2005 HOTTA Michihide <hotta@net-newbie.com> 5.0.3-0vl3.1
- for VinePlus/3.0
- add README.vine again
- add php-4.3.11-mbfilter.patch for workaround against degrade at 5.0.3
- remove veserion specification on BuildPrereq: curl-devel

* Fri Feb 25 2005 HOTTA Michihide <hotta@net-newbie.com> 5.0.3-0vl3
- drop BuildPrereq: apache2-apr-devel
- drop php-4.2.1-ldap-TSRM.patch

* Sat Dec 25 2004 HOTTA Michihide <hotta@net-newbie.com> 5.0.3-0vl1
- upstream release
- drop php-4.3.2-db4.patch
- add BuildPrereq: apache2-apr-devel

* Mon Oct 18 2004 HOTTA Michihide <hotta@net-newbie.com> 5.0.2-0vl1
- upstream release
- regenerate php5-imap

* Fri Aug 13 2004 HOTTA Michihide <hotta@net-newbie.com> 5.0.1-0vl1
- upstream release

* Tue Aug 03 2004 HOTTA Michihide <hotta@net-newbie.com> 5.0.0-0vl1
- upstream release : many thanks to YOSHIMURA Keitaro <ramsy AT ramix DOT jp>
- remove php4_{namazu,kakasi,chasen} (not supported)
- drop some patches for 4.3.x
- Build fix for oniguruma(re_registers dups)
- remove domxml (updated to libxml2)
- add Conflicts: php, php-*
- add php-5.0.0-authuser.patch (BUG#29129)

* Thu Jul 15 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.8-0vl1
- upstream release
- add BuildPrereq: freetype

* Sun Jul 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.3.7-0vl5
- remove explicit buildprereq to build-essential
- build apache2 module
  split apache1/2 module to php-apache/php-apache2
  thanks to jax <jax AT morejams DOT no-ip DOT com>
- add Obsoletes: php < %%{version}-%%{release} in php-apache sub-package
  for upgrade.

* Wed Jul 07 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.7-0vl4
- add Obsoletes: php-imap, php-manual

* Sat Jun 26 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 4.3.7-0vl3
- enable mcrypt module.

* Mon Jun 07 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.7-0vl2
- fix bug #28385 <http://bugs.php.net/bug.php?id=28385>

* Fri Jun 04 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.7-0vl1
- upstream release

* Wed May 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.6-0vl2
- rebuild with namazu-2.0.13

* Fri Apr 30 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.6-0vl1
- upstream release

* Mon Mar 15 2004 Tomoya TAKA <taka@vinelinux.org> 4.3.4-0vl2
- fix location of session save path, %%{_localstatedir} is defined as
  /var/lib in Vine's rpm

* Sat Feb 21 2004 HOTTA Michihide <hotta@net-newbie.com> 4.3.4-0vl1
- upstream release
- sync to fedora(php-4.3.4-7)
- drop BuildRequires : aspell
- add workaround for inconsistent dependency of php-devel
- drop --enable-versioning to prevent ext modules loading error

* Thu Feb 05 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-0vl4
- rebuild with new toolchains (and resolved dependancy about libxslt)
- added patch7 to build with libtool-1.5
- added patch100 to build newest freetype2 library
- force to use automake-1.5 
- added BuildPrereq: curl-devel, automake15
- fixed BuildRequires of php-snmp: net-snmp-devel

* Tue Jul 08 2003 HOTTA Michihide <hotta@net-newbie.com> 4.3.2-0vl3
- add README.vine

* Tue Jul 08 2003 HOTTA Michihide <hotta@net-newbie.com> 4.3.2-0vl2
- install sapi/cgi/php as php-cgi, sapi/cli/php as php

* Tue Jul 08 2003 HOTTA Michihide <hotta@net-newbie.com> 4.3.2-0vl1
- upstream release (sync to rawhide)
- add printf patch, PEAR_Registry patch etc.
- drop package php-manual 

* Fri Jan 24 2003 HOTTA Michihide <hotta@net-newbie.com> 4.2.3-0vl3
- add zend_highlight.c-patch
- add -DHAVE_PQESCAPE to build_ext pgsql

* Wed Jan 22 2003 MACHINO Satoshi <machino@vinelinux.org> 4.2.3-0vl2
- rebuild against gmp-4.1 and sablotron-0.97

* Mon Sep 9 2002 HOTTA Michihide <hotta@net-newbie.com> 4.2.3-0vl1
- for VineSeedPlus
  -- Updated to 4.2.3
  -- added php-4.2.3-mbstr-20020908-2.patch

* Sun Aug 18 2002 Rui HIROKAWA <hirokawa@php.gr.jp> 4.2.2-0vl3
- applied php-4.2.2-mb_output_handler.patch to enable output encoding
for text/hdml.     
- applied php-4.2.2-mb-decode.patch to fix decode problem of GET parameters.
- Patch to fix a problem where, given multiple cookies to set, only the last one would be made (#67853)

* Wed Jul 24 2002 HOTTA Michihide <hotta@net-newbie.com> 4.2.2-0vl2
- for VineSeedPlus
  -- applied php-4.2.2-multibyte.patch.gz which obsolets 4.2.1's
  -- dropped --enable-trans-sid configure option which is no longer meaningful

* Tue Jul 23 2002 HOTTA Michihide <hotta@net-newbie.com> 4.2.2-0vl1
- for VineSeedPlus
  -- Updated to 4.2.2
  -- dropped domxml.patch (merged into original)

* Fri Jul 05 2002 HOTTA Michihide <hotta@net-newbie.com> 4.2.1-0vl8
- for VineSeedPlus
  -- added i18n patch by Fujimoto
  -- dropped php4_mbregex extention (merged into original)

* Tue Jun 04 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl7
- added gmp support
- for VineSeedPlus

* Tue Jun 04 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl6
- for VineSeedPlus
	-- added xslt support
	
* Tue Jun 04 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl5
- added expat-devel in BuildPreReq

* Tue Jun 04 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl4
- added mail functions
- added postfix in BuildPreReq
- updated manual_en(03-Jun-2002)
- updated manual_ja(29-May-2002)
- for VinePlus
	-- dropped xslt support

* Thu May 16 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl3
- for VineSeed Plus
- added xslt support
	-- added enable-xslt, with-xslt-sablot, with-dom-xslt
	-- added BuildPrereq: libxslt-devel, libsablotron0-devel

* Thu May 16 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl2
- for VinePlus 2.5
- added php.in-dist.patch

* Wed May 15 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.1-0vl1
- updated php-4.2.1
- updated php_manual_en
- dropped reg.patch
- modified configured option
  -- added --with-dom, --with-bz2, --with-png-dir, --with-expat-dir

* Thu May 09 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.0-99vl1
- updated php-4.2.1RC1
- fixed ereg_replace patch (4.2.1-reg.patch)

* Thu May 09 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.0-0vl2
- added ereg_replace patch (4.2.0-reg.patch)
- updated manual(en, ja)

* Tue Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 4.2.0-0vl1
- updated php-4.2.0

* Fri Mar 01 2002 Satoshi MACHINO <machino@vinelinux.org> 4.1.2-0vl1
- updated php-4.1.2
- updated php4_mbregex-1.3.1
- updated php4_namazu-2.1.0
- updated php4_kakasi-0.3.0
- REMOVED php4_iconv
- fixed patch
	-- added domxml.patch
	-- dropped old patches

* Mon Dec  3 2001 Jun Nishii <jun@vinelinux.org>
- 4.0.6-5vl3
- added --enable-mbstr-enc-trans

* Wed Aug 22 2001 Hisao SHIBUYA <shibuya@alpha.or.jp>
- 4.0.6-5vl2
- fix contentdir

* Tue Aug 21 2001 Hisao SHIBUYA <shibuya@alpha.or.jp>
- 4.0.6-5vl1
- add configure options for Vine
- add ldap, mysql and odbc modules.

* Fri Aug 10 2001 Tim Powers <timp@redhat.com>
- only english in php-manuals, space constraints :P

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- include %{_libdir}/%{name}/build instead of %{_libdir}/%{name}4/build (#51141)

* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- add build deps on pam-devel, pspell-devel, gdbm-devel (#49878)
- add some conditional logic if %%{oracle} is defined (from Antony Nguyen)

* Mon Jul  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't obsolete subpackages we ended up not merging

* Mon Jul  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- cleanups
- add manuals in multiple languages (using ko instead of kr for Korean)
- merge all of the manuals into a single -manual subpackage
- use libtool to install binary files which libtool builds
- don't strip any binaries; let the buildroot policies take care of it

* Thu Jun 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.6 (preliminary)

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable ttf in the build because the gd support needs it
- add -lfreetype to the LIBS for the same reason

* Wed Jun  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed May 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- actually use two source trees to build things
- add %%post and %%postun scriptlets to run ldconfig

* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- quote part of the AC_ADD_LIBRARY macro to make newer autoconf happy

* Mon May 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix error in %%install
- depend on the imap-devel which supplies linkage.c
- modify trigger to disable php versions less than 4.0.0 instead of 3.0.15
- enable DOM support via libxml2 (suggested by Sylvain Berg
- build the OpenSSL extension again

* Mon May  7 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable pspell extensions
- update to 4.0.5

* Mon Apr 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- build the ODBC extension

* Mon Apr 30 2001 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Feb 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- obsolete the old phpfi (PHP 2.x) package

* Thu Feb  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- add a commented-out curl extension to the config file (part of #24933)
- fix the PEAR-installation-directory-not-being-eval'ed problem (#24938)
- find the right starting point for multipart form data (#24933)

* Tue Jan 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- aaarrgh, the fix breaks something else, aaarrgh; revert it (#24933)
- terminate variable names at the right place (#24933)

* Sat Jan 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the fix some more

* Thu Jan 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- extract stas's fix for quoting problems from CVS for testing
- tweak the fix, ask the PHP folks about the tweak
- tweak the fix some more

* Wed Jan 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- merge mod_php into the main php package (#22906)

* Fri Dec 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- try to fix a quoting problem

* Wed Dec 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.4 to get a raft of bug fixes
- enable sockets
- enable wddx

* Fri Nov  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in updated environment

* Thu Nov  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- add more commented-out modules to the default config file (#19276)

* Wed Nov  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix not-using-gd problem (#20137)

* Tue Oct 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.3pl1 to get some bug fixes

* Sat Oct 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- build for errata

* Wed Oct 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.3 to get security fixes integrated
- patch around problems configuring without Oracle support
- add TSRM to include path when building individual modules

* Fri Sep  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- enable OpenSSL support

* Wed Sep  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.2, and move the peardir settings to configure (#17171)
- require %%{version}-%%{release} for subpackages
- add db2-devel and db3-devel prereqs (#17168)

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (new imap-devel)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary and descriptions to match the specspo package

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- hard-code the path to apxs in build_ext() (#15799)

* Tue Aug  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add "." to the include path again, which is the default

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable PEAR and add it to the include path
- add the beginnings of a -devel subpackage

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweaks to post and postun from Bill Peck

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- fixes from Nils for building the MySQL client
- change back to requiring %{version} instead of %{version}-%{release}

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.1pl2
- enable MySQL client
- move the php.ini file to %{_sysconfdir}

* Fri Jun 30 2000 Nils Philippsen <nils@redhat.de>
- build_ext defines HAVE_PGSQL so pgsql.so in fact contains symbols
- post/un scripts tweak php.ini correctly now

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.1
- refresh manual

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new krb5 package

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new db3 package

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- Fix syntax error in post and preun scripts.
- Disable IMAP, LDAP, PgSql in the standalone version because it picks up
  the extensions.

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- Unexclude the Sparc arch.
- Exclude the ia64 arch until we get a working Postgres build.
- Stop stripping extensions as aggressively.
- Start linking the IMAP module to libpam again.
- Work around extension loading problems.
- Reintroduce file-editing post and preun scripts for the mod_php extensions
  until we come up with a better way to do it.

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- ExcludeArch: sparc for now

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Obsoletes: phpfi, because their content handler names are the same
- add standalone binary, rename module packages to mod_php
- FHS fixes

* Tue May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- change license from "GPL" to "PHP"
- add URL: tag
- disable mysql support by default (license not specified)

* Mon May 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to PHP 4.0.0
- nuke the -mysql subpackage (php comes with a bundled mysql client lib now)

* Tue May 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- link IMAP module against GSS-API and PAM to get dependencies right
- change most of the Requires to Prereqs, because the post edits config files
- move the PHP *Apache* module back to the right directory
- fix broken postun trigger that broke the post
- change most of the postuns to preuns in case php gets removed before subpkgs

* Thu May 11 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuilt against new postgres libraries

* Tue May 09 2000 Preston Brown <pbrown@redhat.com>
- php3 .so modules moved to /usr/lib/php3 from /usr/lib/apache (was incorrect)

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- make subpackages require php = %{version} (bug #10671)

* Thu Apr 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.0.16

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fixed the post script to work when upgrading a package
- add triggere to fix the older packages

* Tue Feb 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.0.15
- add build-time dependency for openldap-devel
- enable db,ftp,shm,sem support to fix bug #9648

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- add dependency for imap subpackage
- rebuild against Apache 1.3.12

* Thu Feb 24 2000 Preston Brown <pbrown@redhat.com>
- don't include old, outdated manual.  package one from the php distribution.

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependency problem

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- added commented out mysql module, thanks to Jason Duerstock 
  (jason@sdi.cluephone.com). Uncomment to build if you have mysql installed.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- rely on imap-devel, don't include imap in src.rpm (#5099).
- xml enabled (#5393)

* Tue Nov 02 1999 Preston Brown <pborwn@redhat.com>
- added post/postun sections to modify httpd.conf (#5259)
- removed old obsolete faq and gif (#5260)
- updated manual.tar.gz package (#5261)

* Thu Oct 07 1999 Matt Wilson <msw@redhat.com>
- rebuilt for sparc glibc brokenness

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- --with-apxs --> --with-apxs=/usr/sbin/apxs (# 5094)
- ldap support (# 5097)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix cmdtuples for postgresql, I had it slightly wrong

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- subpackages must obsolete old stuff...

* Sun Aug 29 1999 Preston Brown <pbrown@redhat.com>
- added -DHAVE_PGCMDTUPLES for postgresql module (bug # 4767)

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- name change to php to follow real name of package
- fix up references to php3 to refer to php
- upgrade to 3.0.12
- fixed typo in pgsql postun script (bug # 4686)

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.9
- fixed postgresql module and made separate package
- separated manual into separate documentation package

* Mon May 24 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.8, which fixes problems with glibc 2.1.
- took some ideas grom Gomez's RPM.

* Tue May 04 1999 Preston Brown <pbrown@redhat.com>
- hacked in imap support in an ugly way until imap gets an official
  shared library implementation

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
