%define name plib
%define version 1.8.5
%define release 2%{?_dist_release}

Summary: Set of portable libraries especially useful for games
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
### from OpenSuse
Patch0: plib-1.8.4-type.diff
Patch2: plib-1.8.4-shared.diff
### 
License: LGPL
Group: System Environment/Libraries
URL: http://plib.sourceforge.net

#Requires: 
#BuildRequires: XOrg-devel, XOrg-gl-devel
BuildRequires: xorg-x11-devel, mesa-libGL-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a set of OpenSource (LGPL) libraries that will permit programmers
to write games and other realtime interactive applications that are 100%
portable across a wide range of hardware and operating systems. Here is
what you need - it's all free and available with LGPL'ed source code on
the web. All of it works well together.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
#Requires: XOrg-gl-devel
Requires: mesa-libGL-devel

%description devel
This package contains the header files and libraries needed to write
or compile programs that use plib.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q
%patch0
%patch2

%build
libtoolize --force
aclocal --force
automake -acf
autoconf --force
%configure CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DXF86VIDMODE"
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
libtool --finish $RPM_BUILD_ROOT%{_libdir}

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL KNOWN_BUGS
%doc NEWS NOTICE README README.GLUT TODO-1.6 TODO-2.0 TODO_AFTER135
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/plib
%{_libdir}/*.so
#%{_libdir}/*.*a
%{_libdir}/*.a


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 1.8.5-2
- rebuild with gcc-5.4.0

* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.5-1
- update to 1.8.5
- remove Patch1,3

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.8.4-1vl5
- applied new versioning policy
- removed *.la

* Sat Feb 9 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.8.4-0vl2
- rebuild for VineSeed

* Sun Aug 5 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.8.4-0vl1
- initial build for Vine Linux 4.1

# * Sat Oct 22 2005 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.8.4-0vl1
# - initial build for Vine Linux 3.2

* Wed May 23 2007 prusnak@suse.cz
- move devel files to plib-devel subpackage

* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires

* Thu Oct 20 2005 mmj@suse.de
- remove extra qualification

* Fri Feb 25 2005 ro@suse.de
- fix filelist (packing complete /usr/lib is not possible)

* Wed Feb 23 2005 mjancar@suse.cz
- build shared libraries (needed by torcs)

* Wed Feb  2 2005 mjancar@suse.cz
- update to 1.8.4 (needed by FlightGear)

* Fri Aug 13 2004 mjancar@suse.cz
- update to 1.8.3

* Sat Jan 10 2004 adrian@suse.de
- add %%defattr

* Mon Oct 13 2003 ro@suse.de
- remove explicit requires for mesa

* Thu Jul 31 2003 mjancar@suse.cz
- use %%run_ldconfig

* Tue Dec 10 2002 prehak@suse.cz
- fixed brace-enclosed initialization (due to gcc-3.3)

* Thu Oct 24 2002 prehak@suse.cz
- updated to version 1.6.0

* Wed Aug 21 2002 nadvornik@suse.cz
- use RPM_OPT_FLAGS instead of -O6

* Thu Jan 10 2002 rvasice@suse.cz
- use %%{_libdir}

* Fri Nov  9 2001 rvasice@suse.cz
- fix to compile with new automake

* Thu Nov  8 2001 ro@suse.de
- use mesa-devel-packages in neededforbuild

* Thu Jul 26 2001 rvasice@suse.cz
- update to version 1.4.2

* Fri Jul 13 2001 rvasice@suse.cz
- update to version 1.4.1

* Mon Jun  4 2001 rvasice@suse.cz
- spec file cleanup
- bzip2 sources

* Thu Mar 15 2001 ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>

* Tue Mar 13 2001 ro@suse.de
- added mesaglut

* Fri Mar  9 2001 ro@suse.de
- added mesaglu

* Wed Mar  7 2001 ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
- added xf86 to neededforbuild

* Fri Feb  9 2001 ro@suse.de
- include float.h in sg.h

* Mon Aug  7 2000 smid@suse.cz
- upgrade to 1.2.0

* Mon May 22 2000 smid@suse.cz
- mesadev added to neededforbuild

* Thu May  4 2000 smid@suse.cz
- upgrade to 1.1.11

* Fri Apr 21 2000 smid@suse.cz
- buildroot added

* Thu Feb 17 2000 grimmer@suse.de
- added URL to spec file
- use full URL to source package
- use version macro

* Tue Dec 28 1999 sndirsch@suse.de
- updated to version 1.0.20

* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.

* Wed Aug 18 1999 sndirsch@suse.de
- update to version 1.0.16

* Wed Jul  7 1999 grimmer@suse.de
- initial package created (Version 1.0.12)
