%define origname       po-mode

Summary: Emacs Lisp for editing po file of gettext
Summary(ja): gettextの po ファイルを編集するための Emacs Lisp
Name: po-mode
Version: 0.19.8.1
Release: 1%{?_dist_release}
License: GPLv3 and LGPLv2+
Group: Applications/Editors/Emacs
URL: http://www.gnu.org/software/gettext/

Source: ftp://ftp.gnu.org/gnu/gettext/gettext-%{version}.tar.xz
Source1: po-mode-init.el
Source3: %{origname}-install.sh
Source4: %{origname}-remove.sh
Source5: vine-default-%{origname}.el
Requires(post): emacsen, emacsen-common >= 0.1
Requires: emacsen
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Packager: iwaim
Vendor: Project Vine
Distribution: Vine Linux

%description
Emacs Lisp for editing po file of gettext

%description -l ja
gettext の po ファイルを編集するための Emacs Lisp です．

%prep
%setup -q -n gettext-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "%{buildroot}" != "/" ] && mkdir -p %{buildroot}

mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/%{origname}/packages
mkdir -p %{buildroot}%{emacsen_pkgdir}/install
mkdir -p %{buildroot}%{emacsen_pkgdir}/remove

#
# install el files
#

pushd gettext-tools/misc
cp -p *.el %{SOURCE1} %{SOURCE5} %{buildroot}%{_datadir}/emacs/site-lisp/%{origname}
popd

#
# install script (bytecompile el and install elc , remove)
#

%_installemacsenscript %{origname} %{SOURCE3}

%_removeemacsenscript  %{origname} %{SOURCE4}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%post
if [ "$1" = 2 ]; then
  %_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}


%preun
if [ "$1" = 0 ]; then
  %_emacsenPackageRemove %{origname}

  %_removeemacsenlist %{origname}

fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING THANKS NEWS
%doc gettext-tools/misc/ChangeLog
%{_datadir}/emacs/site-lisp/%{origname}
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}


%changelog
* Fri Feb 10 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 0.19.8.1
- update to 0.19.8.1

* Fri Apr 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.19.4-1
- new upstream release

* Fri Apr 22 2011 IWAI, Masaharu <iwai@alib.jp> 0.18.1.1-1
- new upstream release
- drop using forward-line patch (Patch0): upstream fixed
- add Requires: emacsen

* Wed Feb 24 2010 IWAI, Masaharu <iwai@alib.jp> - 0.17-5
- split from gettext package: [VineSeed:20076]
- add Packager
- replace Prereq to Requires(post)
- add using forward-line patch (Patch0): <BTS:VineLinux:934>

* Tue Dec 22 2009 Munehiro Yamamoto <munepi@vinelinux.org> - 0.17-4
- correct some output messages on po-mode-install.sh
- use %%emacsen_pkgdir

* Sun May 10 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.17-3
- we better not to use BuildConflicts very often :-P
  instead we pass --disable-java to configure here
- add --enable-shared --disable-static --without-included-gettext to configure
- remove .la files
- add -devel and --libs subpackages

* Wed May  6 2009 IWAI, Masaharu <iwai@alib.jp> 0.17-2
- apply vine-default
  - update po-mode-init.el (Source1)
  - update po-mode-install.sh (Source3)
  - update po-mode-remove.sh (Source4)
  - add vine-default-po-mode.el (Source5): based 0.17-1's po-mode-init.el
- update %%doc: gettext-runtime/libasprintf/autosprintf_all.html

* Sat Aug 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.16.1-1vl5
- applied new versioning policy, spec in utf-8

* Wed Jan 31 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.16.1-0vl2
- changelog update missing

* Tue Jan 30 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.16.1-0vl1
- new upstream release

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14.5-0vl6
- changed po-mode Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Mon Aug 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.14.5-0vl5
- add BuildConflicts: libgcj34-devel not to depend on libgcj34

* Fri Aug 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.14.5-0vl4
- add BuildConflicts: libgcj-devel not to depend on libgcj
- add BuildRequires: emacsen (if emacsen_pkg is enabled)
- remove unneeded files at the %%install

* Mon Aug 07 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.14.5-0vl3
- rebuilt without libgcj package

* Sat Aug 05 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.14.5-0vl2
- modified emacsen-common path

* Wed Jun 15 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14.5-0vl1
- new upstream release
- updated Source3
- added --disable-csharp 

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.14.1-0vl2
- remove dependency to libgcj

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.14.1-0vl1
- new upstream release

* Mon Sep 22 2003 IWAI, Masaharu <iwai@alib.jp> 0.12.1-1vl2
- build without libgcj package
- create po-mode package for Emacsen

* Sun Sep 21 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12.1-1vl1
- based on Redhat Rawhide 0.12.1-1
- dropped all patches (Rawhide does so)
- Source100(ja.po) is much older than source, dropped
- s/Copyright/License/

* Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.5-0vl1
- new upstream release

* Mon Jun 10 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- sync with rawhide 0.11.2-2 and Mandrake 0.11.2-4mdk

* Wed Jun  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- sync with RH6.2

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- minor configure tweaks for ia64

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- add --comments to msghack

* Thu Feb 10 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9240 - gettextize has the right aclocal patch

* Wed Jan 12 2000 Cristian Gafton <gafton@redhat.com>
- add the --diff and --dummy options

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- add the --missing option to msghack

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- update ja.po

* Tue Sep 14 1999 Jun Nishii <jun@flatout.org>
- use message.c.diff-2

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Tue Jun 29 1999 Norihito Ohmori <ohmori@flatout.org>
- added multibyte patch for msgmerge

* Sun Jun 27 1999 Norihito Ohmori <ohmori@flatout.org>
- ja locale support from JaPO Project

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
