%define name	poppler020
%define version	0.20.4
%define release	3%{?_dist_release}

Summary:	PDF rendering library.
Summary(ja): 	PDF レンダリング用ライブラリ
Name:		%{name}
Version:	%{version}
Release: 	%{release}

Source0:	http://poppler.freedesktop.org/poppler-%{version}.tar.gz

License:	GPLv2
Group:		System Environment/Libraries
URL:		http://poppler.freedesktop.org/

BuildRequires:	gtk2-devel >= 2.2.0
BuildRequires:	zlib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  openjpeg-devel
BuildRequires:	cairo-devel
BuildRequires:	qt4-devel >= 4.4.0
BuildRequires:	libXmu-devel
BuildRequires:  lcms2-devel
BuildRequires:  libtiff-devel

Requires:	poppler-data >= 0.3.0

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Obsoletes:	%{name}-qt < 0.18
Obsoletes:	%{name}-qt-devel < 0.18

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%description -l ja
Popplerは xpdf-3.0 のコードをベースにした PDF レンダリング用ライブラリ
です。

%prep
%setup -q -n poppler-%{version}

%build
%configure \
           --enable-silent-rules \
           --enable-shared \
           --disable-static \
           --enable-xpdf-headers \
           --enable-zlib \
           --enable-introspection=yes \
           --disable-gtk-doc \
           --enable-poppler-qt4 

%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall

# remove unnecessary files.
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/libpoppler.la
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/libpoppler-cpp.la
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/libpoppler-glib.la
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/libpoppler-qt4.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%{_libdir}/libpoppler.so.*


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 0.20.4-3
- rebuild with gcc-5.4.0

* Sun Aug 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.4-2
- rebuild with libpng-1.6.12

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.4-1
- changed %%name to "poppler020" for compatibility.

