# Basic Information
Name:		postr
Version:	0.13
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/Internet
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.13/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Flickr Uploader
Summary(ja):	Flickr アップローダー

# Dependency
Requires:	python
Requires:	pygtk2
Requires:	nautilus-python
BuildRequires:	python-devel
BuildRequires:	pygtk2-devel
BuildRequires:	nautilus-python-devel
BuildRequires:	gnome-doc-utils >= 0.3.2

%description
Postr is a Flickr uploading tool for the GNOME desktop, which aims to be
simple to use but exposing enough of Flickr to be useful. It isn't finished
yet, but its a very capable uploader already.

%description -l ja
Postr は、GNOME デスクトップ向けの Flickr アップロードツールです。利用が簡単
でありながら、便利に Flicker へ十分露出できることを目標としています。目標は
まだ完了していませんが、既にとても有能なアップローダーです。

%prep
%setup -q

%build
%configure --with-nautilus-extension-dir=%{_datadir}/nautilus-python/extensions
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --all-name --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/postr.png
%{_datadir}/icons/hicolor/22x22/apps/postr.png
%{_datadir}/icons/hicolor/24x24/apps/postr.png
%{_datadir}/icons/hicolor/32x32/apps/postr.png
%{_datadir}/icons/hicolor/scalable/apps/postr.svg
%{_datadir}/nautilus-python/extensions/*
%{_datadir}/%{name}/%{name}.glade


%changelog
* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13-1
- new upstream release
- add BuildRequires: pygtk2-devel, nautilus-python-devel, gnome-doc-utils

* Tue Feb 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.4-2
- rebuild with python-2.7.2

* Sun Sep 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.12.4-1
- initial build for Vine Linux
