Name:		potrace
Summary:	Transform bitmaps into vector graphics
Summary(ja):	ビットマップ画像をベクター画像に変換
Version:	1.16
Release:	1%{?_dist_release}
Summary:	Transform bitmaps into vector graphics
Group:		graphics
Vendor:		Project Vine
Distribution:	Vine Linux

# README defines license as GPLv2+
License:	GPLv2+
URL:		http://potrace.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Documentation
Source1:	http://potrace.sourceforge.net/potrace.pdf
Source2:	http://potrace.sourceforge.net/potracelib.pdf

BuildRequires:	zlib-devel

%description
Potrace is a utility for tracing a bitmap, which means, transforming a bitmap 
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the default output is an encapsulated PostScript file (EPS).
A typical use is to create EPS files from scanned data, such as company or
university logos, handwritten notes, etc. The resulting image is not "jaggy"
like a bitmap, but smooth. It can then be rendered at any resolution.

Potrace can currently produce the following output formats: EPS, PostScript,
PDF, SVG (scalable vector graphics), Xfig, Gimppath, and PGM (for easy
antialiasing). Additional backends might be added in the future.

Mkbitmap is a program distributed with Potrace which can be used to pre-process
the input for better tracing behavior on greyscale and color images.

%description -l ja
potrace はビットマップ画像をトレースするツールです．ビットマップ画像を
滑らかで拡大縮小できる画像に変換します．社章、校章、手書き図のスキャン
画像から滑らかなEPSを得るには，例えば，
convert hoge.bmp pbm:- | mkbitmap -s 2 | potrace -a -1 -C "#202020" > hoge.eps
とします．入力形式がPBMであることに注意してください．


%package devel
Summary:	Potrace development library and headers
Group:		programming
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the potrace development library and headers.


%package doc
Summary:	Documentation on how to use the potrace library
Group:		documentation
%if 0%{?fedora} > 10 || 0%{?rhel} > 5
BuildArch:	noarch
%endif

%description doc
This package contains documentation for the potrace algorithm and the potrace
library.


%debug_package


%prep
%setup -q
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .


%build
%configure --enable-shared --disable-static \
 --enable-metric --with-libpotrace --with-pic
%make_build


%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name *.la -exec rm -rf {} \;

# Get rid of installed copy of placement.pdf
rm -rf %{buildroot}%{_docdir}/%{name}


%files
%doc AUTHORS ChangeLog COPYING NEWS README doc/placement.pdf
%{_bindir}/potrace
%{_bindir}/mkbitmap
%{_libdir}/libpotrace.so.*
%{_mandir}/man1/potrace.1*
%{_mandir}/man1/mkbitmap.1*

%files devel
%{_libdir}/libpotrace.so
%{_includedir}/potracelib.h

%files doc
%doc potrace.pdf potracelib.pdf


%changelog
* Sat Feb 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.16-1
- new upstream release.
- made to built a shared library.
- added subpackages: devel, doc.

* Sun Jan 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.11-1
- update to 1.11
- remove Patch0

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8-0vl1
- new upstream release

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-0vl2
- rebuilt for VineSeed (4.0)
- added Patch0 from upstream
- added --enable-metric and --enable-a4 option at configure

* Thu Apr 21 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.7

* Tue Feb 15 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.5
- Japanized this spec file
- Rewrote build and install section

* Wed May 19 2004 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- initial package for VineLinux

* Mon Aug 18 2003 Peter Selinger <selinger@users.sourceforge.net>
- corrected Summary and Group information
