%define pkg_name    praat
%define pkg_version 6.0.47
%define pkg_release 1%{?_dist_release}

Summary: program for speech analysis and synthe
Summary(ja): 音声分析および音声合成用プログラム
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   Applications/Edutainment
URL:     http://www.fon.hum.uva.nl/praat/
Source0: %{name}-%{version}.tar.gz
Source1: praat.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel
BuildRequires: alsa-lib-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: jack-audio-connection-kit-devel

Vendor:       Project Vine
Distribution: Vine Linux


%description
According to its authors, praat is "doing phonetics by computer".
Through its graphical interface, several speech analysis functionalities
are available: spectrograms, cochleograms, and pitch and formant extraction.
Articulatory synthesis, as well as synthesis from pitch, formant, and
intensity are also available. Other features are segmentation, labelling
using the phonetic alphabet, and computation of statistics.
Praat is configurable and extensible through its own scripting language
and has provisions for communicating with other programs.

%description -l ja
作者によると、praat は "doing phonetics by computer" の略称だそうです。
グラフィカルなインターフェイスを通じて、スペクトログラム、cochleogram、
そしてピッチやフォルマントの抽出といった複数の音声分析機能が利用できます。
調音分析に加え、ピッチやフォルマント、そして強度からの分析が利用できます。
セグメント分割、音声のアルファベットを使ったラベル付け、そして統計計算といった
機能も利用できます。Praat はスクリプト言語を通じた設定や機能が豊富で、
他のプログラムとの通信の用意ができています。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
%{__cp} makefiles/makefile.defs.linux.pulse ./makefile.defs

%build
%{__make} %{?_smp_mflags}

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 755 praat ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__install} -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc README.md main/GNU_General_Public_License.txt
%{_bindir}/
%{_datadir}/applications/


%changelog
* Sun Feb 10 2019 Toshiaki Ara <ara_t@384.jp> 6.0.47-1
- update to 6.0.47

* Fri Jan 04 2019 Toshiaki Ara <ara_t@384.jp> 6.0.46-1
- update to 6.0.46

* Wed Jan 02 2019 Toshiaki Ara <ara_t@384.jp> 6.0.45-1
- update to 6.0.45
- add BuildRequires: jack-audio-connection-kit-devel

* Mon Sep 10 2018 Toshiaki Ara <ara_t@384.jp> 6.0.43-1
- update to 6.0.43

* Thu Aug 16 2018 Toshiaki Ara <ara_t@384.jp> 6.0.42-1
- update to 6.0.42

* Tue Aug 07 2018 Toshiaki Ara <ara_t@384.jp> 6.0.41-1
- update to 6.0.41

* Sat May 12 2018 Toshiaki Ara <ara_t@384.jp> 6.0.40-1
- update to 6.0.40

* Sun Apr 01 2018 Toshiaki Ara <ara_t@384.jp> 6.0.38-1
- update to 6.0.38

* Mon Feb 05 2018 Toshiaki Ara <ara_t@384.jp> 6.0.37-1
- update to 6.0.37

* Sun Nov 12 2017 Toshiaki Ara <ara_t@384.jp> 6.0.36-1
- new package
