Name:           preload
Version:        0.6.4
Release:        7%{?_dist_release}
Summary:        an adaptive readahead daemon
Summary(ja):	適応型先読みデーモン

Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://preload.sf.net/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: preload.init.in.patch
#This patch prefered to http://sourceforge.net/tracker/index.php?func=detail&aid=2183212&group_id=143398&atid=755420
Patch1: preload-conf.patch
#This patch from http://preload.svn.sourceforge.net/viewvc/preload/trunk/src/cmdline.c?revision=122
Patch2: logrotate_619384
#http://patch-tracker.debian.org/patch/series/view/preload/0.6.4-2/logrotate_619384
#This patch from Mandriva
#Patch3: preload-0.6.3-glib214.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  basesystem
BuildRequires:  glib2-devel
BuildRequires:  help2man
Requires:       basesystem
Requires:       logrotate
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
preload monitors applications that users run, and by analyzing this data, 
predicts what applications users might run, and fetches those binaries and 
their dependencies into memory for faster startup times.

%description -l ja
preload はユーザーが起動するアプリケーションを監視し、監視したデータを分析することで、ユーザーがどのアプリケーションを起動するかを予想し、アプリケーションと依存するライブラリとをメモリに取り込むことで起動時間を高速にします。

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1

%build
%configure
%{__make}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/service preload restart >/dev/null 2>&1
/sbin/chkconfig --add preload
/sbin/chkconfig preload on

%preun
if [ $1 = 0 ]; then
    /sbin/service preload stop >/dev/null 2>&1
    /sbin/chkconfig --del preload
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service preload condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root, -)
%doc README AUTHORS COPYING ChangeLog TODO THANKS NEWS
%{_sbindir}/preload
%{_datadir}/man/man8/preload.8.gz
%{_sysconfdir}/rc.d/init.d/preload
%config(noreplace) %{_sysconfdir}/preload.conf
%config(noreplace) %{_sysconfdir}/sysconfig/preload
%config(noreplace) %{_sysconfdir}/logrotate.d/preload
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/preload.log
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/lib/preload/preload.state
%attr(0755,root,root) %dir %{_localstatedir}/lib/preload


%changelog
* Fri Nov 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.6.4-7
- moved to System Environment/Daemons Group
- updated Japanese description

* Sat Mar 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-6
- rebuilt with new toolchain

* Thu Jun 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-5
- added Patch2 from Debian sid to fix path of pidof
- added BuildRequires: help2man

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.4-4
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.4-3
- rebuilt with rpm-4.8.0-3 (on ppc)

* Wed Feb  3 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.4-2
- rebuilt with new toolchain

* Tue May 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-1
- new upstream release
- dropped Patch2,3 (merged)

* Thu Mar 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-4
- added patch3 (import from Mandriva 2009.1)

* Mon Dec 22 2008 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-3
- changed patch0 (Prefered to Mandriva 2009.0 package in preload-0.6.3-prcsys.patch)

* Mon Dec 8 2008 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-2
- Removed preload-0.6-start-late.patch
- Added patch0, patch1, patch2
  Patch0: start preload daemon later, changed default-start
  Patch1: changed mapprefix&exeprefix section
  added /opt, for some applicaton (ex. Adobe Reader, OpenOffice.org)
  Patch2: fix segfault src/cmdline.c

* Wed Oct 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.3-1
- new upstream release
- drop all patches, they are all obsolete by upstream.
- add Patch0 to start preload daemon lator. (use readahead daemon for bootup)

* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.4-1vl5
- applied new versioning policy, spec in utf-8

* Sat Mar 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4-0vl1
- initial build for VineSeed based on Fedora package

# * Sun Mar 9 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4-0vlmp0
# - rebuild for Vine Linux 4.2
# 
# * Wed Mar 5 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4-0vlmp1
# - initial build for VineSeed based on Fedora package

* Wed Jan 16 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-5
- Removed auto start from init
- Added all the CVS patches prior to next release

* Sun Jan 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-4
- Removed debian patch and added patches from upstream instead
- Patches fix 64 bit, ionice, sysconfig and loading.

* Fri Nov 9 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-3
- Used Debian Patch it consists of:
- Close the file descriptor when writing state to a file in src/state.c,
- Parse the dev field in /proc/%%d/maps as hexadecimal, not as unsigned
  integer.  Thanks to Johan Kiviniemi for the patch.
- Sort the readahead file list by device, block and inode and not file
  path to reduce seeking.  Adapted by Johan from a patch for readahead
  by Scott James Remnant.
- Added my patch to verbosity to 1 due to 30 second log writing
 
* Thu Nov 8 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-2
- Fixed config lines
- Fixed source lines
- Added Requires: Logrotate
- Default preload sequence is stopped
- %{?_smp_mflags} does not work

* Tue Oct 16 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-1
- Creation from start

### end of file
