%global git_date 20100608

Name:		pxz
Summary:	Parallel LZMA compressor using XZ
Summary(ja):	XZ を利用した並列 LZMA 圧縮ツール
Version:	4.999.9
Release:        2%{?_dist_release}
License:	GPLv2+
Group:		Applications/Archiving
URL:		http://jnovy.fedorapeople.org/pxz

# source created as "make dist" in checked out GIT tree: git clone git://github.com/jnovy/pxz.git
Source0:	http://jnovy.fedorapeople.org/%{name}/%{name}-%{version}beta.%{git_date}git.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	xz-devel

%description
Parallel XZ is a compression utility that takes advantage of running
XZ compression simultaneously on different parts of an input file on
multiple cores and processors. This significantly speeds up compression time.

%prep
%setup -q -n %{name}-%{version}beta

%build
export CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/pxz
%{_mandir}/man1/pxz.1*

%changelog
* Sat Sep 27 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.999.9-2
- changed Group to Applications/Archiving

* Wed Feb 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 	4.999.9-1
- initial build for Vine Linux

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.999.9-3.beta.20100608git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.999.9-2.beta.20100608git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun  8 2010 Jindrich Novy <jnovy@redhat.com> 4.999.9-1.beta.20100608git
- initial import release

* Thu Jun  3 2010 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.beta.20100603git
- review fixes (#598902)

* Wed May 26 2010 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.beta.20100526git
- add -D option to specify context size per thread

* Fri Feb 19 2010 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.beta.20100217git
- better error handling and stability fixes

* Wed Dec  9 2009 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.beta.20091209git
- use fixed size context per thread (3x dict size by default)
- reduce memory requirements for compression

* Wed Nov 18 2009 Jindrich Novy <jnovy@redhat.com> 4.999.9-0.1.beta.20091118git
- initial packaging
