%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pygtk_version 2.14.1
%define pygobject_version 2.16.1
%define gtksourceview_version 2.10.0

Name:           pygtksourceview
Version:        2.10.1
Release:        4%{?_dist_release}
Summary:        Python bindings for gtksourceview

Group:          Development/Libraries
License:        LGPL 
URL:            http://download.gnome.org/sources/pygtksourceview/
Source0:        http://download.gnome.org/sources/pygtksourceview/2.6/pygtksourceview-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtksourceview2-devel >= %{gtksourceview_version}
BuildRequires:  pygobject-devel >= %{pygobject_version}
BuildRequires:  pygobject-doc >= %{pygobject_version}
BuildRequires:  pygtk2-devel >= %{pygtk_version}
BuildRequires:  python-devel
BuildRequires:	gtk-doc >= 1.14

Vendor: Project Vine
Distribution: Vine Linux

%description
The %{name} package contains Python bindings for the gtksourceview
library. 

%package devel
Summary: Development files for using %{name} in Python programs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}
Requires: gtksourceview2-devel >= %{gtksourceview_version}
Requires: pkgconfig
Requires: pygtk2-devel >= %{pygtk_version}

%description devel
This package contains files required to build Python programs that
use the %{name} bindings.

%package doc
Summary: Documentation files for %{name}
Group: Applications/Documentation

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure 
## added adhoc patch
##make PYTHON='LD_PRELOAD=%{_libdir}/python%{pyver}/lib-dynload/timemodule.so %{_bindir}/python'
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{python_sitearch}/gtksourceview2.la
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS 
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/pygtk/2.0/defs/gtksourceview2.defs
%{_libdir}/pkgconfig/pygtksourceview-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/pygtksourceview2

%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.1-4
- rebuild with VineSeed environment

* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.1-3
- rebuild with python-2.7.2

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 2.10.1-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-1
- new upstream release
- add BuildRequires: gtk-doc >= 1.14

* Sat Feb 06 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-4
- added BR: pygobject-doc

* Thu Feb 04 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.1-3
- rebuilt with python-2.6.4-3
- dropt adhoc patch to make

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.1-2
- rebuilt with python-2.6.4
- added adhoc patch to fix python bug (import datetime module error)

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-1
- new upstream release

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.4.0-1
- new upstream release
- changed Group to Development/Libraries

* Mon Jul 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.0-2
- rebuilt with python-2.5.2

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.0-1vl5
- Initial build for Vine Linux

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 2.2.0-1
- Update to 2.2.0

* Wed Feb  6 2008 Matthias Clasen <mclasen@redhat.com> - 2.1.1-1
- Update to 2.1.1

* Tue Jan 22 2008 Matthew Barnes <mbarnes@redhat.com> - 2.1.0-2.fc9
- Fix a typo.

* Mon Jan 21 2008 Matthew Barnes <mbarnes@redhat.com> - 2.1.0-1.fc9
- Update to 2.1.0

* Fri Oct 26 2007 Matthew Barnes <mbarnes@redhat.com> - 2.0.0-2.fc9
- Add subpackage pygtksourceview-doc (bug #342991).

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.0.0-1
- Update to 2.0.0

* Tue Sep 11 2007 Matthew Barnes <mbarnes@redhat.com> - 1.90.5-1
- Update to 1.90.5

* Tue Sep  4 2007 Matthias Clasen <mclasen@redhat.com> - 1.90.4-1
- Update to 1.90.4

* Wed Aug  1 2007 Matthias Clasen <mclasen@redhat.com> - 1.90.3-1
- Update to 1.90.3

* Tue Jul 10 2007 Matthias Clasen <mclasen@redhat.com> - 1.90.2-2
- Rebuild against the gtksourceview2 package

* Fri Jul 06 2007 Matthew Barnes <mbarnes@redhat.com> - 1.90.2-1.fc8
- Update to 1.90.2
- Bump gtksourceview requirement to 1.90.2.

* Tue Jul 03 2007 Florian La Roche <laroche@redhat.com> 1.90.1-3
- fix macro typo

* Tue Jun 26 2007 Matthias Clasen <mclasen@redhat.com> 1.90.1-2
- Incorporate package review feedback

* Mon Jun 25 2007 Matthias Clasen <mclasen@redhat.com> 1.90.1-1
- Initial package
