Summary:        Python module for GNU parted
Summary(ja):    parted の python モジュール
Name:           pyparted
Version:        3.11.4
Release:        1%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2+
URL:            https://github.com/dcantrell/pyparted
Source0:        https://github.com/dcantrell/pyparted/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python-rpm-macros

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python2-rpm-macros
BuildRequires: python-six

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros
BuildRequires: python3-six

BuildRequires: parted-devel >= 3.2

Requires: parted >= 3.2

%description
Python modules for the parted library.  It is used for manipulation
partition tables.

%package -n python3-pyparted
Summary: Python 3 module for GNU parted
Summary(ja): parted の python モジュール
Group:   System Environment/Libraries

%description -n python3-pyparted
Python 3 modules for the parted library.  It is used for manipulation
partition tables.

%prep
%setup -q

rm -rf %{py3dir}
mkdir -p %{py3dir}
cp -a . %{py3dir}

%build
PYTHON=python make %{?_smp_mflags}

pushd %{py3dir}
PYTHON=python3 make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
PYTHON=python %__make install DESTDIR=$RPM_BUILD_ROOT

pushd %{py3dir}
PYTHON=python3 %__make install DESTDIR=$RPM_BUILD_ROOT
popd

%check
PYTHON=python make test

pushd %{py3dir}
PYTHON=python3 make test
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README TODO
%{python_sitearch}/parted
%{python_sitearch}/*.egg-info
%{python_sitearch}/*.so

%files -n python3-pyparted
%license COPYING
%doc AUTHORS NEWS README TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{name}-%{version}-*.egg-info

%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.11.4-1
- new upstream release: the latest version with python2 support.

* Mon Sep 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.11.2-1
- new upstream release.
- added python3 support.
- imported Patch0 from upstream.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-4
- rebuild with VineSeed environment

* Sun Jul 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-3
- rebuild with parted-3.1

* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-2
- rebuild with python-2.7.2

* Fri Jan 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-1
- new upstream release

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.9-3
- rebuild with parted-2.3

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.8.9-2
- rebuilt with python-2.6.4

* Tue Aug 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.9-1
- new upstream release
- build with parted-1.8.8

* Mon Jul 21 2008 Shu KONNO <owa@bg.wakwak.com> 1.8.1-4vl5
- rebuilt with python-2.5.2
- added pyexeclib macro
- applied new versioning policy and spec in utf-8

* Wed Dec 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.1-3vl1
- rebuilt for VineSeed with parted-1.8.1 and python-2.4

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 1.8.1-3
- rebuild for python 2.5

* Tue Dec 05 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-2
- Rebuild for GNU parted-1.8.1

* Thu Nov 30 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-1
- Determine Python version to use in %%build so the source RPM is more
  easily moved between distribution releases.

* Fri Nov 17 2006 David Cantrell <dcantrell@redhat.com> - 1.8.0-1
- Bump version to 1.8.0 and require parted >= 1.8.0
- Remove python-abi Requires line since rpm handles that automatically

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.3-1
- Include parted/constraint.h in required header files

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-2
- Require parted-1.7.1 or higher

* Tue Jul 25 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-1
- Add HPSERVICE, PALO, PREP, and MSFT_RESERVED to partition types list

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7.1-1.1
- rebuild

* Sun May 28 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-1
- Bump version to 1.7.1 and require parted >= 1.7.1

* Fri May 19 2006 David Cantrell <dcantrell@redhat.com> - 1.7.0-1
- Bump version to 1.7.0 and require parted >= 1.7.0

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Peter Jones <pjones@redhat.com> - 1.6.10-1
- rebuild for new parted.
- add debugging options for make so debuginfo isn't useless

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 1.6.9-5
- rebuild for new parted

* Wed Aug 31 2005 Chris Lumens <clumens@redhat.com> 1.6.9-4
- Rebuilt for new parted library.

* Wed Mar 16 2005 Chris Lumens <clumens@redhat.com> 1.6.9-3
- Updated for gcc4 and python2.4.  Fixed build warnings.

* Tue Dec 14 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-2
- add support for sx8 devices

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-3
- rebuild for python 2.4

* Mon Oct 11 2004 Warren Togami <wtogami@redhat.com> - 1.6.8-2
- #135100 req python-abi (Robert Scheck)

* Tue Aug 17 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-1
- update for new parted ABI
  - device -> heads, sectors, cylinders now refer to the bios geometry
- require parted >= 1.6.12

* Thu Jul 22 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-3
- build on ppc64 again

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-1
- fix build for newer versions of gcc (fix from Jeff Law)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1.6.6-2
- fix PARTITION_PROTECTED definition (#118451)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com>
- Initial build split out into separate source from the parted package.
- Don't build on ppc64 right now due to parted build problems (#118183)
