# Basic Information
Name:		python-Levenshtein
Version:	0.11.2
Release:	1%{?_dist_release}
License:	GPL
Group:		Development/Libraries
URL:		http://github.com/ztane/python-Levenshtein
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Python extension for computing string edit distances and similarities.
Summary(ja):	文字列の編集距離と類似点を計算するための Python 拡張

# Dependency
Requires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
The Levenshtein Python C extension module contains functions for fast
computation of

* Levenshtein (edit) distance, and edit operations

* string similarity

* approximate median strings, and generally string averaging

* string sequence and set similarity

It supports both normal and Unicode strings.

#%%description -l ja

%prep
%setup -q -n python-Levenshtein-0.11.2

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING NEWS
%{python_sitearch}/Levenshtein.so
%{python_sitearch}/python_Levenshtein-%{version}-py%{pyver}.egg-info

%changelog
* Tue Jul 29 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.11.2-1
- initial build for Vine Linux
