%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname boto

Summary:	A simple lightweight interface to Amazon Web Services
Summary(ja):	シンプル・軽量な Amazon Web サービスへのインターフェイス
Name:		python-boto
Version:	2.38.0
Release:	1%{?_dist_release}
License:	MIT
Group:		Development/Languages
URL:		https://github.com/boto/%{pkgname}
#URL:		http://code.google.com/p/boto/
Source:		https://github.com/downloads/boto/boto/%{pkgname}-%{version}.zip
BuildRequires:	python-devel, python-setuptools
BuildRequires:	unzip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove all test scripts
rm -rf $RPM_BUILD_ROOT{%{_bindir},%{python_sitelib}/tests}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/ README.rst
%{python_sitelib}/*

%changelog
* Wed May 06 2015 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.38.0-1
- new upstream release
- added BuildRequires:	unzip
  -- changed archive type tar.gz to zip

* Sat Dec 14 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.20.1-1
- new upstream release
- fixed %%doc

* Sun Apr 28 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.9.0-1
- new upstream release

* Sat Jan 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.7.0-1
- new upstream release

* Sat Sep 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.6.0-1
- new upstream release
- fixed %%files

* Mon Jul 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.5.2-1
- new upstream release

* Sat Jun 16 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.5.1-1
- new upstream release

* Sat Jun 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.4.1-1
- new upstream release

* Fri May 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.3.0-1
- new upstream release

* Sat Mar 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.2.2-1
- new upstream release
- changed URL and Source

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.1-2
- rebuild with python-2.7.2

* Mon Nov 07 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.1.1-1
- new upstream release

* Sun May 22 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0b4-1
- new upstream release

* Mon Oct 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0b3-1
- new upstream release

* Wed Sep 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0b2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0b2-1
- new upstream release
- fixed Release macro

* Sat May 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.9b-1
- initial build for VineSeed

* Fri Jul 24 2009 Robert Scheck <robert@fedoraproject.org> 1.8d-1
- Upgrade to 1.8d (#513560)

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> 1.7a-2
- Add python-setuptools-devel to our build requirements, for egg-info

* Thu Apr 16 2009 Robert Scheck <robert@fedoraproject.org> 1.7a-1
- Upgrade to 1.7a

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 1.5c-2
- Rebuild against rpm 4.6

* Sun Dec 07 2008 Robert Scheck <robert@fedoraproject.org> 1.5c-1
- Upgrade to 1.5c

* Fri Dec 05 2008 Jeremy Katz <katzj@redhat.com> 1.2a-2
- Rebuild for python 2.6

* Wed May 07 2008 Robert Scheck <robert@fedoraproject.org> 1.2a-1
- Upgrade to 1.2a

* Sat Feb 09 2008 Robert Scheck <robert@fedoraproject.org> 1.0a-1
- Upgrade to 1.0a

* Sat Dec 08 2007 Robert Scheck <robert@fedoraproject.org> 0.9d-1
- Upgrade to 0.9d

* Thu Aug 30 2007 Robert Scheck <robert@fedoraproject.org> 0.9b-1
- Upgrade to 0.9b
- Initial spec file for Fedora and Red Hat Enterprise Linux
