%define	pkgname	coverage

# Basic Information
Name:		python-%{pkgname}
Version:	3.7.1
Release:	1%{?_dist_release}
License:	BSD
Group:		Development/Tools
URL:		http://nedbatchelder.com/code/coverage
Source0:	http://pypi.python.org/packages/source/c/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Code coverage measurement for Python
Summary(ja):	Python 向けのコードカバレッジ測定

# Dependency
# 以下に依存関係を記述してください 。
Requires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
the code analysis tools and tracing hooks provided in the Python standard
library to determine which lines are executable, and which have been executed.

Coverage.py runs on Pythons 2.3 through 3.3, and PyPy 1.8.

Documentation is at `nedbatchelder.com <http://nedbatchelder.com/code/coverage>`_.  Code repository and issue
tracker are at `bitbucket.org <http://bitbucket.org/ned/coveragepy>`_.

New in 3.5: Branch coverage exclusions, keyboard shortcuts in HTML report.

New in 3.4: Better control over source to measure, and unexecuted files
can be reported.

New in 3.3: .coveragerc files.

New in 3.2: Branch coverage!



#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n coverage-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/coverage
%{_bindir}/coverage-2.7
%{_bindir}/coverage2
%{python_sitearch}/%{pkgname}-%{version}-py%{pyver}.egg-info
%{python_sitearch}/%{pkgname}


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.7.1-1
- new upstream release

* Tue Aug 14 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.5.2-1
- initial build for Vine Linux
