%define python_platlib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
Summary: Python Kanji-code converter
Summary(ja): Python 漢字コードコンバータ
Group: Development/Libraries
Name: python-kconv
Version: 1.1.8p3
Release: 6%{?_dist_release}
License: GPL
URL: http://apache.noexistent.com/~mak/kconv/kconv/index.html
Source0: kconv-1.1.8p-3.tar.gz
Requires: python
BuildRequires: nkf
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Distribution: Vine Linux
Vendor: Project Vine
Packager: owa

%description
kconv is a japanese code exchange filter for python.
%description -l ja
KconvはPython上で稼動するプログラムで、漢字コードの相互変換を可能に
します。外部からの入力がどのコードを用いていても内部で一つのコード
に変換し、統一させられます。また、改行文字も統一して扱うことができ
ます。その他に、半角カナの入力があってもそれを全角に変換することが
できます。C++版はPure Python版に比べてかなり高速な変換が可能です。
Python版はPythonがインストールされていればどのプラットフォームにも
対応できます。ユーザーインターフェースはPure Python版とC++版で全く
同一ですので、一方から他方へライブラリーを変更する際にソースコード
の変更は不要です。

%prep
%setup -q -n kconvp

## convert sources which encodings are mixed to utf-8
## added headers to set encoding (nesessary python2.4 or above)
pushd kconv
mkdir tmp
for s in common.py checker.py crl.py inputer.py kconv.py kconvtools.py outputer.py ; do
  echo "# vi: set fileencoding=utf-8 :" > tmp/$s
  if [ $s == "common.py" ] ; then
    nkf -J -w -d $s >> tmp/$s
  else
    nkf -E -w -d $s >> tmp/$s
  fi
done
mv tmp/*.py .
rm -rf tmp
popd


%build
python compile.py

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{python_platlib}
cp -Rdp kconv $RPM_BUILD_ROOT%{python_platlib}
rm -rf $RPM_BUILD_ROOT%{python_platlib}/kconv/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_platlib}/kconv
%doc GPL README.EUC LICENCE.EUC README.en_with_EUC_JP

%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.8p3-6
- rebuild with VineSeed environment

* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 1.1.8p3-5
- rebuilt

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.8p3-4
- rebuild with python-2.6

* Sun May 03 2009 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-3vl5
- added scripts to change source encodings to utf-8
- added BuildRequires: nkf

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-2vl5
- rebuilt with python-2.5.2

* Thu Jul 17 2008 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-1vl5
- applied new versioning policy and spec in utf-8
- added python_platlib macro

* Sat May 28 2005 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-0vl1
- changed spec for vine seed

* Mon Mar 21 2005 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-uvl2
- rebuild with python 2.4

* Mon Apr 19 2004 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-uvl1
- rebuild with python-2.3.3-0vl1

* Sat Jul 12 2003 Shu KONNO <owa@bg.wakwak.com> python-kconv-1.1.8p3-uvl1
- created

