%global with_python3 1

Summary: Implements a XML/HTML/XHTML Markup safe string for Python
Name: python-markupsafe
Version: 1.1.1
Release: 2%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: BSD
URL: https://pypi.python.org/pypi/MarkupSafe
Source0: https://pypi.python.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python-rpm-macros
BuildRequires: python-devel python-setuptools python2-rpm-macros
%if 0%{?with_python3}
BuildRequires: python3-devel python3-setuptools python3-rpm-macros
%endif # if with_python3

%description
A library for safe markup escaping.


%if 0%{?with_python3}
%package -n python3-markupsafe
Summary: Implements a XML/HTML/XHTML Markup safe string for Python
Group: programming

%description -n python3-markupsafe
A library for safe markup escaping.
%endif #if with_python3


%prep
%setup -q -n MarkupSafe-%{version}

%if 0%{?with_python3}
%__rm -rf %{py3dir}
%__cp -a . %{py3dir}
%endif # with_python3

%build
export CFLAGS="$RPM_OPT_FLAGS"
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%__rm -rf $RPM_BUILD_ROOT
%py2_install
# C code errantly gets installed
%__rm $RPM_BUILD_ROOT/%{python_sitearch}/markupsafe/*.c
%if 0%{?with_python3}
%py3_install
%__rm $RPM_BUILD_ROOT/%{python3_sitearch}/markupsafe/*.c
%endif # with_python3


%check
%{__python2} setup.py test

%if 0%{?with_python3}
%{__python3} setup.py test
%endif # with_python3

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license LICENSE*
%doc CHANGES* README*
%{python2_sitearch}/*

%if 0%{?with_python3}
%files -n python3-markupsafe
%defattr(-,root,root,-)
%license LICENSE*
%doc CHANGES* README*
%{python3_sitearch}/*
%endif # with_python3


%changelog
* Thu Oct 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.1-2
- rebuilt with python3.8.

* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.1-1
- new upstream release.

* Tue Nov 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.0-1
- new upstream release.
- added python3 support.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-2
- rebuild with python-2.7.2

* Thu May  5 2011 IWAI, Masaharu <iwai@alib.jp> 0.12-1
- new upstream release
- add Vendor and Distribution tags

* Mon Aug 23 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 0.9.2-1
- initial build based on Fedora development

* Fri Jul 23 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-3
- Fix missing setuptools BuildRequires.

* Thu Jun 24 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-2
- Fixed sitearch and python3 definitions to work better with older Fedora/RHEL.

* Wed Jun 23 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-1
- Initial version.
