%global with_python3 1

%global pypi_name netifaces

Name:           python-netifaces
Version:        0.10.9
Release:        1%{?_dist_release}
Summary:        Python library to retrieve information about network interfaces 
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        MIT
URL:            https://pypi.python.org/pypi/netifaces
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This package provides a cross platform API for getting address information
from network interfaces.


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python library to retrieve information about network interfaces
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
This package provides a cross platform API for getting address information
from network interfaces.
%endif


%debug_package


%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py_install

%if 0%{?with_python3}
%py3_install
%endif


%clean
rm -rf %{buildroot}


%files
%doc README.rst
%{python_sitearch}/%{pypi_name}-%{version}-*.egg-info/
%{python_sitearch}/%{pypi_name}.so

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-*.egg-info/
%{python3_sitearch}/%{pypi_name}*.so
%endif


%changelog
* Wed Mar 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.10.9-1
- new upstream release.
- cleaned up macros.

* Tue Jul 12 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.10.4-5
- initial build for Vine Linux.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Jun 16 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.4-2
- Add python3 subpackage

* Mon Feb 23 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.4-1
- Upstream 0.10.4
- Packaging cleanups

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5-7
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 1 2011 Ryan Rix <ry@n.rix.si> 0.5-1
- Initial packaging effort
