Name:           python-rpm-macros
Summary:        The unversioned Python RPM macros
Version:        3.8
Release:        2%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       tomop

License:        MIT
Source0:        macros.python
Source1:        macros.python-srpm
Source2:        macros.python2
Source3:        macros.python3
Source4:        macros.platform-python

Source100:      python.attr
Source101:      pythondist.attr
Source102:      pythondistdeps.py
# for apt (rich operators of dependencies are not supported)
Patch1000:      pythondistdeps.py-downgrade.patch

BuildArch:      noarch
# For %%python3_pkgversion used in %%python_provide
Requires:       python-srpm-macros
Requires:       python3-packaging
Obsoletes:      python-macros < 3
Provides:       python-macros = %{version}-%{release}

%description
This package contains the unversioned Python RPM macros, that most
implementations should rely on.

You should not need to install this package manually as the various
python?-devel packages require it. So install a python-devel package instead.


%package -n python-srpm-macros
Summary:        RPM macros for building Python source packages

%description -n python-srpm-macros
RPM macros for building Python source packages.


%package -n python2-rpm-macros
Summary:        RPM macros for building Python 2 packages
# Would need to be different for each release - worth it?
#Conflicts:      python2-devel < 2.7.11-3
Requires:       python-rpm-macros
Requires:       python-srpm-macros

%description -n python2-rpm-macros
RPM macros for building Python 2 packages.


%package -n python3-rpm-macros
Summary:        RPM macros for building Python 3 packages
# Would need to be different for each release - worth it?
#Conflicts:      python3-devel < 3.5.1-3
Requires:       python-rpm-macros
Requires:       python-srpm-macros

%description -n python3-rpm-macros
RPM macros for building Python 3 packages.


#%package -n platform-python-rpm-macros
#Summary:        RPM macros for building Platform-Python packages

#%description -n platform-python-rpm-macros
#RPM macros for building Platform-Python packages.


%prep
%setup -T -c
cp -f %{SOURCE102} ./
%patch1000 -p0


%build


%install
mkdir -p %{buildroot}%{_rpmmacrodir}
install -m 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
  %{buildroot}%{_rpmmacrodir}/

mkdir -p %{buildroot}%{_fileattrsdir}
install -m 644 %{SOURCE100} %{SOURCE101} \
  %{buildroot}%{_fileattrsdir}/

mkdir -p %{buildroot}%{_rpmconfigdir}
install -m 755 pythondistdeps.py \
  %{buildroot}%{_rpmconfigdir}/

sed -i -e 's|#!/usr/bin/python|#!/usr/bin/python3|' \
  %{buildroot}%{_rpmconfigdir}/pythondistdeps.py


%files
%{_rpmmacrodir}/macros.python
%{_rpmconfigdir}/pythondistdeps.py
%{_fileattrsdir}/*

%files -n python-srpm-macros
%{_rpmmacrodir}/macros.python-srpm

%files -n python2-rpm-macros
%{_rpmmacrodir}/macros.python2

%files -n python3-rpm-macros
%{_rpmmacrodir}/macros.python3

#%files -n platform-python-rpm-macros
#%{rpmmacrodir}/macros.platform-python
%exclude %{_rpmmacrodir}/macros.platform-python


%changelog
* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.8-2
- added scripts.

* Wed Apr 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.8-1
- updated to 3.8.

* Wed Oct 23 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3-26
- updated macros.

* Mon Dec 18 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3-25
- fixed a typo.

* Wed Sep 20 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3-24
- fixed a path to install.

* Tue Sep 19 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3-23
- initial build for Vine Linux.

* Wed Aug 02 2017 Tomas Orsava <torsava@redhat.com> - 3-22
- Add platform-python macros (https://fedoraproject.org/wiki/Changes/Platform_Python_Stack)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 03 2017 Michal Cyprian <mcyprian@redhat.com> - 3-20
- Revert "Switch %%__python3 to /usr/libexec/system-python"
  after the Fedora Change https://fedoraproject.org/wiki/Changes/Making_sudo_pip_safe
  was postponed

* Fri Feb 17 2017 Michal Cyprian <mcyprian@redhat.com> - 3-19
- Switch %%__python3 to /usr/libexec/system-python

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Michal Cyprian <mcyprian@redhat.com> - 3-17
- Add --no-deps option to py_install_wheel macros

* Tue Jan 17 2017 Tomas Orsava <torsava@redhat.com> - 3-16
- Added macros for Build/Requires tags using Python dist tags:
  https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Nov 24 2016 Orion Poplawski <orion@cora.nwra.com> 3-15
- Make expanded macros start on the same line as the macro

* Wed Nov 16 2016 Orion Poplawski <orion@cora.nwra.com> 3-14
- Fix %%py3_install_wheel (bug #1395953)

* Wed Nov 16 2016 Orion Poplawski <orion@cora.nwra.com> 3-13
- Add missing sleeps to other build macros
- Fix build_egg macros
- Add %%py_build_wheel and %%py_install_wheel macros

* Tue Nov 15 2016 Orion Poplawski <orion@cora.nwra.com> 3-12
- Add %%py_build_egg and %%py_install_egg macros
- Allow multiple args to %%py_build/install macros
- Tidy up macro formatting

* Wed Aug 24 2016 Orion Poplawski <orion@cora.nwra.com> 3-11
- Use %%rpmmacrodir

* Tue Jul 12 2016 Orion Poplawski <orion@cora.nwra.com> 3-10
- Do not generate useless Obsoletes with %%{?_isa}

* Fri May 13 2016 Orion Poplawski <orion@cora.nwra.com> 3-9
- Make python-rpm-macros require python-srpm-macros (bug #1335860)

* Thu May 12 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 3-8
- Add single-second sleeps to work around setuptools bug.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 14 2016 Orion Poplawski <orion@cora.nwra.com> 3-6
- Fix typo in %%python_provide

* Thu Jan 14 2016 Orion Poplawski <orion@cora.nwra.com> 3-5
- Handle noarch python sub-packages (bug #1290900)

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> 3-4
- Fix python2/3-rpm-macros package names

* Thu Jan 7 2016 Orion Poplawski <orion@cora.nwra.com> 3-3
- Add empty %%prep and %%build

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> 3-2
- Combined package

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> 3-1
- Initial package
