Name:           python-typing
Version:        3.6.6
Release:        1%{?_dist_release}
Summary:        Typing defines a standard notation for type annotations
Group:          Development/Tools
License:        Python
URL:            https://pypi.python.org/pypi/typing
Source0:        https://pypi.python.org/packages/17/75/3698d7992a828ad6d7be99c0a888b75ed173a9280e53dbae67326029b60e/typing-%{version}.tar.gz
BuildRequires:  python-devel, python-setuptools
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Requires:       python

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.

%prep
%setup -q -n typing-%{version}

%build
%{py_build}

%install
%{py_install}

%files
%doc README.rst
%license LICENSE
%{python_sitelib}/typing*

%changelog
* Wed Nov 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.6.6-1
- new upstream release.

* Sat Jan 13 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.6.2-1
- new upstream release.
- initial build for Vine Linux.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 14 2017 Kushal Das <kushal@fedoraprojects.org> - 3.6.1-1
- Updates to 3.6.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.2.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 17 2016 Kushal Das <kushal@fedoraprojects.org> - 3.5.2.2-1
- Updates to 3.5.2.2

* Fri Jun 03 2016 Kushal Das <kushal@fedoraprojects.org> - 3.5.1.0-1
- Initial package creation
