Summary: a Python library for working with color names and color value formats defined by the HTML etc.
Name: python-webcolors
Version: 1.11.1
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: MIT License
URL: https://pypi.python.org/pypi/webcolors
Source0: https://pypi.python.org/packages/source/w/webcolors/webcolors-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: python-rpm-macros

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros

%description
A library for working with color names and color value formats defined by the HTML and CSS specifications for use in documents on the Web.

Support is included for the following formats (RGB colorspace only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):

- Specification-defined color names
- Six-digit hexadecimal
- Three-digit hexadecimal
- Integer rgb() triplet
- Percentage rgb() triplet


%package -n python3-webcolors
Summary: a Python library for working with color names and color value formats defined by the HTML etc.
Group: programming
Requires: python3

%description -n python3-webcolors
A library for working with color names and color value formats defined by the HTML and CSS specifications for use in documents on the Web.

Support is included for the following formats (RGB colorspace only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):

- Specification-defined color names
- Six-digit hexadecimal
- Three-digit hexadecimal
- Integer rgb() triplet
- Percentage rgb() triplet


%prep
%setup -q -n webcolors-%{version}


%build
%py3_build


%install
%__rm -rf %{buildroot}
%py3_install


%clean
%__rm -rf %{buildroot}


%files -n python3-webcolors
%defattr(-,root,root,-)
%license LICENSE
%doc README
%{python3_sitelib}/webcolors*
%{python3_sitelib}/__pycache__/webcolors*

 
%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.11.1-1
- new upstream release.
- dropped python2.

* Thu Nov 21 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10-1
- new upstream release.
- added python3 support.

* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 1.4-1
- initial build for Vine Linux
