# if you wanna test, add " --define '_run_test 1' " option to rpmbuild command
%define run_test %{?_run_test:1}%{!?_run_test:0}
%define unicode ucs4
%define bsddb_ver 4.8
%define tcl_major 8.6
%define tk_major 8.6
%define tix_major 8.4
%define pybasever 2.7
%define python_lib %{_libdir}/python%{pybasever}

Summary: An interpreted, interactive, object-oriented programming language.
Summary(ja): オブジェクト指向言語 Python インタプリタ
Name: python
Version: %{pybasever}.18
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: PSF
URL: https://www.python.org/%{pybasever}/
Source0: https://www.python.org/ftp/python/%{version}/Python-%{version}.tar.xz
Source1: https://docs.python.org/2/archives/python-%{version}-docs-html.tar.bz2
Source2: https://python-doc-ja.googlecode.com/files/python-doc-%{pybasever}ja1-html.zip
Source6: shmmodule.c

Patch0: python-2.7.1-config.patch
Patch3: python-2.2.1-pydocnogui.patch
Patch4: python-2.3.3-distutilrpm.patch

## from fedora
Patch21: python-2.3.4-lib64-regex.patch
Patch22: python-2.5-cflags.patch
Patch23: python-2.5.1-plural-fix.patch
Patch24: python-2.5.1-sqlite-encoding.patch
Patch29: python-2.6.5-more-configuration-flags.patch
# Patch31: python-2.7rc1-binutils-no-dep.patch
Patch36: python-2.7rc1-no-static-lib.patch
Patch37: python-2.7rc1-socketmodule-constants.patch
Patch38: python-2.7rc1-socketmodule-constants2.patch
Patch39: python-2.7rc1-statvfs-f_flag-constants.patch

Patch41: 00121-add-Modules-to-build-path.patch
# Patch42: 00125-less-verbose-COUNT_ALLOCS.patch
Patch43: 00133-skip-test_dl.patch
Patch44: 00137-skip-distutils-tests-that-fail-in-rpmbuild.patch

## for lib64
Patch100: python-2.7-lib64-Makefile.patch
Patch101: python-2.7-lib64-setup.patch
Patch102: python-2.7-lib64-getpath.patch
Patch103: python-2.7-lib64-site.patch
Patch104: python-2.7-lib64-install.patch
Patch105: python-2.7-lib64-sysconfig.patch
Patch106: python-2.7-lib64-distutils_sysconfig.patch
Patch107: python-2.7-lib64-test_install.patch

Patch200: python-2.7-recvfrom_into_buffer_overflow_2.7.patch

# 00351 #
# Avoid infinite loop when reading specially crafted TAR files using the tarfile module
# (CVE-2019-20907).
# See: https://bugs.python.org/issue39017
Patch351: 00351-cve-2019-20907-fix-infinite-loop-in-tarfile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: python2 
Obsoletes: python27 < %{version}-%{release}
Provides: python27
Obsoletes: Distutils
Obsoletes: python-base
Provides: Distutils
# <BTS:VineLinux:1121>
Obsoletes: pysqlite <= 2.6.1-1vl6
Provides: pysqlite

BuildRequires: libdb-devel
BuildRequires: readline-devel
#BuildRequires: libtermcap-devel
BuildRequires: openssl-devel
BuildRequires: gmp-devel
BuildRequires: ncurses-devel
BuildRequires: gdbm-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: expat-devel
BuildRequires: mesa-libGL-devel
BuildRequires: libxcrypt-devel
BuildRequires: libX11-devel
BuildRequires: libffi-devel
BuildRequires: libnsl2-devel
BuildRequires: libtirpc-devel
BuildRequires: sqlite3-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: tix
BuildRequires: findutils
BuildRequires: pkgconfig
BuildRequires: nkf
BuildRequires: git

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface. This package contains most of the standard
Python modules, as well as modules for interfacing to the Tix widget
set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.


%package devel
Summary: The libraries and header files needed for Python development.
Summary(ja): Python での開発に必要なライブラリやヘッダファイル
Group: programming
Obsoletes: python2-devel
Obsoletes: python27-devel < %{version}-%{release}

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.


%package tools
Summary: A collection of development tools included with Python.
Summary(ja): Python に含まれる開発ツール一式
Group: programming
Requires: %{name} = %{version}
Requires: tkinter = %{version}
Obsoletes: python2-tools
Obsoletes: python27-tools < %{version}-%{release}

%description tools
The Python package includes several development tools that are used
to build python programs. This package contains a selection of those
tools, including the IDLE Python IDE.

Install python-tools if you want to use these tools to develop
Python programs.  You will also need to install the python and
tkinter packages.


%package docs
Summary: Documentation for the Python programming language.
Summary(ja): Python プログラミング言語のドキュメント
Group: documentation
Obsoletes: python2-docs
Obsoletes: python27-docs < %{version}-%{release}

%description docs
The python-docs package contains documentation on the Python
programming language and interpreter.  The documentation is provided
in ASCII text files and in LaTeX source files.

Install the python-docs package if you'd like to use the documentation
for the Python language.
#'


%package -n tkinter
Summary: A graphical user interface for the Python scripting language.
Summary(ja): Python スクリプト言語のグラフィカルインターフェイス
Group: programming
Obsoletes: tkinter2
Requires: %{name} = %{version}-%{release}
Requires: tix
Obsoletes: python27-tkinter < %{version}-%{release}
Provides: python27-tkinter = %{version}-%{release}

%description -n tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.
#'


%debug_package


%prep
%setup -q -n Python-%{version} -a 1
%patch0 -p1 -b .Setup
%patch3 -p1 -b .no_gui
%patch4 -p1 -b .distutilrpm

## from fedora-14
%patch21 -p1 -b .lib64-regex
%patch22 -p1 -b .cflags
%patch23 -p1 -b .plural-fix
%patch24 -p1 -b .sqlite-encoding
%patch29 -p1 -b .more-configuration-flags
# %patch31 -p1 -b .binutils-no-dep
%patch36 -p1 -b .no-static-lib
%patch37 -p1 -b .socketmodule-constants
%patch38 -p1 -b .socketmodule-constants2
%patch39 -p1 -b .statvfs-f_flag-constants

## from fedora-rawhide on 2.7.5
%patch41 -p1
# %patch42 -p1 -b .less-verbose-COUNT_ALLOCS
%patch43 -p1
%patch44 -p1

%if %{_lib} == lib64
%patch100 -p1 -b .Makefile
%patch101 -p1 -b .setup
%patch102 -p1 -b .getpath
%patch103 -p1 -b .site
%patch104 -p1 -b .install
%patch105 -p1 -b .sysconfig
%patch106 -p1 -b .distutils_sysconfig
%patch107 -p1 -b .test_install
# %patch108 -p1 -b .test_site
%endif

%patch200 -p1 -b .CVE-2014-1912
# Patch 351 adds binary file for testing. We need to apply it using Git.
git apply %{PATCH351}

## shm module
cp %{SOURCE6} Modules
cat >> Modules/Setup.dist << EOF

## Shared memory module
shm shmmodule.c
EOF

## Fix library flags
pushd Modules
mv Setup.dist Setup.dist.tmp
cat Setup.dist.tmp \
	| sed "s^-ldb-4.?^-ldb-%{bsddb_ver}^" \
	| sed "s^-ltcl^-ltcl%{tcl_major}^" \
	| sed "s^-ltk^-ltk%{tk_major}^" \
	> Setup.dist
rm -f Setup.dist.tmp
popd

##
autoconf


%build
topdir=`pwd`
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export OPT="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export LINKCC="gcc"
export CC=gcc
if pkg-config openssl ; then
	export CFLAGS="$CFLAGS $(pkg-config --cflags openssl)"
	export LDFLAGS="$LDFLAGS $(pkg-config --libs-only-L openssl)"
fi
if pkg-config libtirpc ; then
	export CFLAGS="$CFLAGS $(pkg-config --cflags libtirpc)"
	export CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libtirpc)"
	export LDFLAGS="$LDFLAGS $(pkg-config --libs-only-L libtirpc)"
	export LIBS="$LIBS $(pkg-config --libs-only-l libtirpc)"
fi
%configure \
	--enable-ipv6 \
	--enable-unicode=%{unicode} \
	--enable-shared \
	--with-system-ffi \
	--with-system-expat \
	;
make OPT="$CFLAGS" %{?_smp_mflags}

## rebuild with new python
export LD_LIBRARY_PATH=$topdir
export PATH="$topdir:$PATH"
ln -s $topdir/python $topdir/python%{pybasever}
#$topdir/python Tools/scripts/pathfix.py -i "/usr/bin/env python%{pybasever}" .
make OPT="$CFLAGS" %{?_smp_mflags}


%if %{run_test}
#%%check
# This runs the test set twice (once with no compiled files, once with
# the compiled files left by the previous test run).
find ./Lib -name '*.py[co]' -print | xargs rm -f
LD_LIBRARY_PATH=$topdir:$topdir/Modules:$topdir/build/lib.linux-%{_host_cpu}-%{pybasever}
PYTHONHOME=$topdir
PYTHONPATH=$topdir/Lib:$topdir/Lib/test:$topdir/Lib/lib-tk:$topdir/Lib/site-packages
PYTHONPATH=$PYTHONPATH:$LD_LIBRARY_PATH
export PYTHONHOME PYTHONPATH LD_LIBRARY_PATH
#SKIPLIST="-x test___all__ -x test_dl -x test_gdb -x test_pydoc"
SKIPLIST=""
./python -tt -E ./Lib/test/regrtest.py -l -w $SKIPLIST 2>&1 | tee make.check1.log
./python -tt -E ./Lib/test/regrtest.py -l -w $SKIPLIST 2>&1 | tee make.check2.log
#-------------------------------##
# Sat Nov 27 2010 ...last tested
# 344 tests OK.
# 4 tests failed:
#     test___all__ test_dl test_gdb test_pydoc
# 36 tests skipped:
# 2 skips unexpected on linux2:
#-------------------------------##
%endif


%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT%{_mandir}

# Temporary workaround to avoid confusing find-requires: don't ship the tests
# as executable files
chmod 0644 Lib/test/test_*.py

make DESTDIR=$RPM_BUILD_ROOT install

install -d $RPM_BUILD_ROOT%{python_lib}/site-packages
install -d $RPM_BUILD_ROOT%{python_lib}/config
ln -s ../../libpython%{pybasever}.so $RPM_BUILD_ROOT%{python_lib}/config/libpython%{pybasever}.so
%if %{_lib} == lib64
install -d $RPM_BUILD_ROOT%{_prefix}/lib/python%{pybasever}/site-packages
%endif

# Fix the interpreter path in binaries installed by distutils 
# (which changes them by itself)
# Make sure we preserve the file permissions
for fixed in $RPM_BUILD_ROOT/usr/bin/pydoc; do
    sed 's,#!.*/python$,#!/usr/bin/env python%{pybasever},' $fixed > $fixed- \
        && cat $fixed- > $fixed && rm -f $fixed-
done


## tools
echo "#!/bin/bash
exec %{python_lib}/site-packages/pynche/pynche" \
	> $RPM_BUILD_ROOT%{_bindir}/pynche
chmod 755 $RPM_BUILD_ROOT%{_bindir}/pynche

echo "#!/bin/bash
exec %{python_lib}/site-packages/modulator/modulator.py" \
	> $RPM_BUILD_ROOT%{_bindir}/modulator
chmod 755 $RPM_BUILD_ROOT%{_bindir}/modulator

## idle
mkdir -p $RPM_BUILD_ROOT%{python_lib}/site-packages/idle
install -m 755 ./Lib/idlelib/idle.py $RPM_BUILD_ROOT%{python_lib}/site-packages/idle

##pynche
rm -f Tools/pynche/*.pyw
cp -r Tools/pynche $RPM_BUILD_ROOT%{python_lib}/site-packages/

##gettext
install -m755  Tools/i18n/pygettext.py $RPM_BUILD_ROOT%{_bindir}/
install -m755  Tools/i18n/msgfmt.py $RPM_BUILD_ROOT%{_bindir}/

## Get rid of crap
find $RPM_BUILD_ROOT/ -name "*~"|xargs rm -f
find $RPM_BUILD_ROOT/ -name ".cvsignore"|xargs rm -f
find . -name "*~"|xargs rm -f
find . -name ".cvsignore"|xargs rm -f

##zero length
rm -f $RPM_BUILD_ROOT%{python_lib}/site-packages/modulator/Templates/copyright

## Clean up the testsuite - we don't need compiled files for it
find $RPM_BUILD_ROOT%{python_lib}/test \
    -name "*.pyc" -o -name "*.pyo" | xargs rm -f
rm -f $RPM_BUILD_ROOT%{python_lib}/LICENSE.txt

find $RPM_BUILD_ROOT%{python_lib}/lib-dynload -type f \
	| grep -v _tkinter.so \
	| sed "s|$RPM_BUILD_ROOT||" \
	> dynfiles

## Fix the file permissions 
chmod 755 $RPM_BUILD_ROOT%{python_lib}/lib-dynload/*.so
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libpython*.so.*
find $RPM_BUILD_ROOT%{python_lib} -type f -name '*.py' | xargs chmod -x

## docs
if [ -d Doc/html ] ; then
	rm -rf Doc/html
fi
tar xvf %SOURCE1
mv python-%{version}-docs-html Doc/html
unzip %SOURCE2
mkdir Doc.ja
mv python-doc-%{pybasever}ja1-html Doc.ja/html

%clean
rm -fr $RPM_BUILD_ROOT


%files -f dynfiles
%defattr(-, root, root)
%license LICENSE
%doc README
%{_bindir}/python
%{_bindir}/python2
%{_bindir}/python%{pybasever}
%{_libdir}/libpython%{pybasever}.so.*
%{_mandir}/man1/python*
%dir %{python_lib}
%dir %{python_lib}/lib-dynload
%dir %{python_lib}/site-packages
%dir %{python_lib}/ensurepip
%{python_lib}/*.py*
%{python_lib}/*.doc
%{python_lib}/bsddb
%{python_lib}/compiler
%{python_lib}/ctypes
%{python_lib}/curses
%{python_lib}/distutils
%exclude %{python_lib}/distutils/command/wininst-*.exe
%{python_lib}/email
%{python_lib}/encodings
%{python_lib}/hotshot
%{python_lib}/idlelib
%{python_lib}/importlib
%{python_lib}/json
%{python_lib}/lib2to3
%{python_lib}/logging
%{python_lib}/multiprocessing
%{python_lib}/plat-linux2
%{python_lib}/pydoc_data
%{python_lib}/sqlite3
%{python_lib}/unittest
%{python_lib}/wsgiref
%{python_lib}/wsgiref.egg-info
%{python_lib}/xml
%exclude %{python_lib}/ensurepip/_bundled
%{python_lib}/ensurepip/*

%dir %{python_lib}/config
%{python_lib}/config/Makefile
%dir %{_includedir}/python%{pybasever}
%{_includedir}/python%{pybasever}/pyconfig.h
%if %{_lib} == lib64
%dir %{_prefix}/lib/python%{pybasever}
%dir %{_prefix}/lib/python%{pybasever}/site-packages
%endif

%files devel
%defattr(-,root,root)
%{_bindir}/python-config
%{_bindir}/python2-config
%{_bindir}/python%{pybasever}-config
%{_includedir}/python%{pybasever}/*
%exclude %{_includedir}/python%{pybasever}/pyconfig.h
%{_libdir}/libpython%{pybasever}.so
%{_libdir}/pkgconfig/python-%{pybasever}.pc
%{_libdir}/pkgconfig/python.pc
%{_libdir}/pkgconfig/python2.pc
%{python_lib}/config
%exclude %{python_lib}/config/Makefile
%{python_lib}/distutils/command/wininst-*.exe
%{python_lib}/test

%files tools
%defattr(-,root,root,755)
%{python_lib}/site-packages
%{_bindir}/idle
%{_bindir}/2to3
%{_bindir}/modulator
%{_bindir}/msgfmt.py
%{_bindir}/pydoc
%{_bindir}/pygettext.py
%{_bindir}/pynche
%{_bindir}/smtpd.py

%files docs
%defattr(-,root,root,755)
%doc Misc/NEWS Misc/README Misc/cheatsheet Misc/HISTORY
%doc Doc/html
%doc Doc.ja/html

%files -n tkinter
%defattr(-,root,root,755)
%{python_lib}/lib-tk
%{python_lib}/lib-dynload/_tkinter.so


%changelog
* Wed Aug 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.18-1
- new upstream release.
- imported Patch351 from rawhide to fix CVE-2019-20907.

* Wed Apr 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.17-1
- new upstream release.

* Tue Oct 15 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.16-5
- rebuilt with tix-8.4.3-5.

* Fri Oct 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.16-4
- rebuilt with tcl/tk-8.6.9.

* Sat Aug 31 2019 Toshiaki Ara <ara_t@384.jp> 2.7.16-3
- rebuild with readline-8.0 and ncurses-6.1

* Mon May 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.16-2
- rebuilt with gdbm-1.18.1.

* Mon May 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.16-1
- new upstream release.
- re-enabled semaphores.
- removed a "z" option passed to tar.

* Fri Jan 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.7.15-3
- rebuilt with new toolchain.

* Sat Nov 03 2018 Toshiaki Ara <ara_t@384.jp> 2.7.15-2
- revert and update patchs (101, 102)

* Fri Nov 02 2018 Toshiaki Ara <ara_t@384.jp> 2.7.15-1
- new upstream release
- drop Patches (31,42,101,102)

* Sun Mar 27 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.11-2
- rebuild with openssl-1.0.2g

* Sat Feb 13 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.11-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.10-1
- new upstream release

* Sun Mar 22 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.7.9-2
- rebuilt with readline 6.3
- changed BuildRequires: tcl-devel, tk-devel instead of tcl, tk respectively
- changed BuildRequires: libdb-devel instead of db4-devel

* Sun Dec 28 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.7.9-1
- new upstream release
- included %%{python_lib}/ensurepip (ignore _bundled*)

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.7-2
- rebuild with libffi-3.0.13

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.7-1
- new upstream release
- remove Patch25 (python-2.6-rpath.patch)

* Sat Mar 15 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.7.6-4
- added Patch200 from upstream to fix CVE-2014-1912

* Mon Feb 10 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.6-3
- Obsoletes python* < %{version}-%{release}

* Sun Dec 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.6-2
- fix typo of changelog

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.6-1
- new upstream release
- update Patch101 (python-2.7-lib64-setup.patch)
- remove Patch200 (Python-2.7-CVE-2013-4238.patch)

* Sat Aug 24 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.7.5-2
- added Patch200 from upstream to fix CVE-2013-4238

* Sat Jun 15 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.7.5-1
- new upstream release
- replaced Patch0,24,25,29 to Fedora rawhide's same one
- dropt Patch40,53
- added Patch41,42,43,44 from Fedora
- changed BuildRequires: libGL-devel to mesa-libGL-devel
- deleted BuildRequires: libtermcap-devel

* Sun Jan  6 2013 IWAI, Masaharu <iwai@alib.jp> 2.7.3-2
- build with Tcl/Tk 8.5.7-1

* Thu Apr 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.3-1
- new upstream release
- remove Patch20,32,41

* Sat Feb 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.2-4
- tkinter obsoletes python27-tkinter < 2.7.2
- python-* obsoletes python-* < 2.7.2

* Wed Feb 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.2-3
- add configure option (--with-system-expat)

* Wed Feb 22 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.2-2
- add BR: sqlite3-devel
- add BR: libX11-devel instead of xorg-x11-devel
- remove unneeded BRs

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.2-1
- new upstream release
- merge spec file with python27
  * Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.7.1-1
  - initial python27 package which splited from pyhton-2.6.5-3
  - updated python to 2.7.1
  - updated python-2.7*-Setup.dist.patch
  - dorpt Patch28: python-2.6.5-fix-expat-issue9054.patch
  - dropt Patch50: Python-2.7-CVE-2010-3493.diff
  - dropt Patch51: Python-2.7-CVE-2010-3492.diff
  - added Path20-Patch40 from fedora-14
  - added Path5.x from mandriva
  - split python-2.7-lib64.patch to below
    python-2.7-lib64-Makefile.patch
    python-2.7-lib64-setup.patch
    python-2.7-lib64-getpath.patch
    python-2.7-lib64-site.patch
    python-2.7-lib64-install.patch
    python-2.7-lib64-sysconfig.patch
    python-2.7-lib64-test_install.patch
  - added python-2.7-lib64-test_site.patch

- add Source2 (python-doc-2.7ja1-html.zip)
- add Patch41 (00145-force-sys-platform-to-be-linux2.patch) from fedora

* Sun Apr 17 2011 IWAI, Masaharu <iwai@alib.jp> 2.6.6-4
- add Obsoletes: pysqlite <= 2.6.1-1vl6 (<BTS:VineLinux:1121>)
- add Provides: pysqlite (<BTS:VineLinux:1121>)

* Tue Feb 22 2011 Shu KONNO <owa@bg.wakwak.com> 2.6.6-3
- rebuild with tix-8.4.3, file-5.05-2

* Tue Jan 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.6-2
- rebuild with openssl-1.0.0c

* Wed Aug 25 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.6-1
- updated python to 2.6.6
- updated python-docs to 2.6.6
- updated python-2.6.?-lib64.patch

* Tue Jun 29 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.5-4
- rebuilt with tcl/tk-8.4.19-2

* Mon Mar 22 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.5-3
- fixed missing of python-docs files
- dropt '--with doc' option
- dropt BR: latex2html
- replaced descriptions (from Misc/RPM/python-2.6.spec in tar-ball)

* Sun Mar 21 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.5-2
- replaced Patch0: python-2.6.?-Setup.dist.patch
- replaced Patch1: python-2.6.?-lib64.patch
- added python-2.6.5-docs-html.tar.bz2
- dropt Python-2.6.4-Doc.78718.tgz

* Sat Mar 20 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.5-1
- updated python to 2.6.5
- updated Patch0: Python-2.6.4-Setup.dist.patch
- added macro bsddb_ver
- added Patch11: python-support_bdb-4.8-v2.patch (instead of Patch10: python-2.6-db48.patch)

* Sat Mar 06 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-5
- added Python-2.6.4-Doc.78718.tgz (documents from http://svn.python.org/projects)
- changed default to '--with doc' again

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.6.4-4
- rebuilt with gcc-4.4.3-3 on ppc
- s/BuildPreReq/BuildRequires/

* Thu Feb 04 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-3
- replaced Python-%%{version}-Setup.dist.patch
- added BR: sqlite3-devel

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.4-2
- add Patch10 to build with db-4.8

* Mon Feb 01 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated python to 2.6.4
- changed default to '--without doc'
- added Setup.dist.patch instead of Setup.dist{32,64}.patch
- updated python-*-lib64.patch to 2.6.3

* Mon Feb 01 2010 Shu KONNO <owa@bg.wakwak.com> 2.5.5-1
- updated python to 2.5.5

* Wed May 06 2009 Shu KONNO <owa@bg.wakwak.com> 2.5.4-4vl5
- added Python-2.5.4-{Setup,Setup64}.patch
  - added _bsddb module
  - dropt patch{0,9,10}

* Sun May  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.4-3vl5
- updated Patch0 for building with db-4.6.21

* Thu Feb 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.4-2vl5
- add patch10
  - add -lcrypt for cryptmodule

* Wed Dec 24 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.4-1vl5
- new upstream release
- changed typo of summary(ja)

* Sat Dec 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.3-1vl5
- new upstream release
- dropt python-2.4.4_CVE-2007-4965.patch
- dropt python-2.4.4_CVE-2008-1721.patch
- dropt python-2.4.4-CVE-2008-1679.patch

* Fri Jul 18 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.2-1vl5
- updated python to 2.5.2
- added python-2.5.2-config.patch instead of python-2.5c1-config.patch
- added python-2.5.2-config64.patch instead of python-2.4.3-config.lib64.patch
- added python-2.5.2-lib64.patch instead of python-2.4.2-lib64.patch
- added modules ctypes, sqlite3, and wsgiref
- dropt modules lib-old
- dropt python-2.4.4_CVE-2008-1887.patch
- dropt python-2.4.4_CVE-2007-2052.patch
- fixed the file permissions 

* Sun Jun 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.5-1vl5
- applied new versioning policy and spec in utf-8
- added BuildPrereq: xorg-x11-devel
- imported updates from Vine4.2
	* Fri Apr 25 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-1.4vl4
	- add patch120 for fix CVE-2008-1679 (added fix of CVE-2007-4965)
	- add patch130 for fix CVE-2008-1887 (PyString_FromStringAndSize)
	- add patch140 for fix CVE-2007-2052 (_localemodule.c off-by-one err)
	* Mon Apr 21 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-1.3vl4
	- add patch110 CVE-2008-1721 (zlib module)
	- add remove unneeded files in Lib/test/
	#- new versioning policy

* Wed Mar 12 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.5-0vl1
- updated python to 2.4.5

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.4-0vl7
- rebuild with expat-2.0.1

* Mon Feb 18 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.4-0vl6
- fix typo on Patch0 (s/db-4.2/db-4.3/)

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl5
- rebuild with tcl/tk-8.4.18

* Sat Dec 01 2007 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl4
- imported updates from Vine4.2 Plus
	* Thu Nov 01 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-0vl1.2
	- add BuildPrereq: nkf
	* Wed Oct 31 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-0vl1.1
	- add patch100 for fix CVE-2007-4965 (imageop Module integer OF)

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.4-0vl3
- rebuilt with openssl-0.9.8e and tix-8.4.2
- fixed spec file encoding

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.4-0vl2
- rebuilt with new toolchain and db4-4.3.x
- modified Patch0 (s/db-4.2/db-4.3/)

* Thu Oct 19 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl1
- updated python to 2.4.4 (included security fix PSF-2006-001)
- added japanese summary
- updated patch8 (python-2.4.2-lib64.patch)
- added patch9 (python-2.4.4c1-setup.lib64.patch)

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.3-0vl4
- change docs Group to Applications/Documentation. <BTS:VineLinux:163>

* Fri Aug 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.3-0vl3
- rebuild with readline-5.1 (x86_64)

* Fri Apr 14 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.3-0vl2
- fixed python-2.4.3-config.patch cause undefined symbol: crypt

* Thu Mar 30 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.3-0vl1
- updated python to 2.4.3
- added python-2.4.3-config.patch instead of python-2.4.1c1-config.patch

* Wed Feb 15 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl5
- set permition of lib-dynload/*.so to 755
- added without_doc option
- rebuilt with x86_64

* Thu Nov 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl4
- add run_test option

* Fri Nov  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl3.2
- add BuildPrereq: bzip2-devel
- arrange testing script

* Wed Nov 02 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl3.1
- back to %%configure macro
- change testing script

* Mon Oct 31 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl3
- update Patch8 (VineSeed:10306)
- use ./configure instead of %%configure script
- add forgotten popd

* Fri Oct 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl2
- add --enable-shared to confiugre option
- add %%{_libdir}/libpython2.4.so* to python package
- add LD_LIBRARY_PATH=$topdir to use pathfix.py
- change build method of Doc
- add files for make test
- change install method

* Wed Sep 28 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl1
- update python to 2.4.2 (final)

* Wed Mar 30 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl1
- update python to 2.4.1 (final)

* Sat Mar 19 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl0.c2
- update python to 2.4.1c2
- moved all site-packages files to python-tools package

* Sat Mar 12 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl0.c1
- update python to 2.4.1c1
- droped aspython2 macros
- droped japanese-codecs module
- droped Source2 idle, now it's provided from original source 
- droped Source3 modulator, now it's generated in a spec file
- droped Source4 pynche, now it's generated in a spec file
- droped Python-2.3.3-buildroot-bytecode.patch
- changed python-2.3.3-config2.patch to python-2.4.1c1-config.patch

* Wed Feb 09 2005 Shu KONNO <owa@bg.wakwak.com> 2.3.5-0vl1
- update python to 2.3.5

* Fri Feb 04 2005 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl6
- add PSF-2005-001.patch

* Wed Nov 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl4
- rebuilt

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3.4-0vl3
- modified Patch0 and Patch8 (-ldb-4.0 -> -ldb-4.2)

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3.4-0vl2
- rebuilt with db4-4.2.25

* Thu May 27 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl1
- updated python to 2.3.4
- fixed patch10, patch11

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl1
- rebuild

* Thu Apr 08 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.3
- updated python-2.3.3-config2.patch

* Thu Apr 08 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.2
- added librarys 'logging, bsddb, idlelib' to /usr/lib/python2.3

* Wed Apr 07 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.1
- updated python to 2.3.3
- changed version code 2.2.3 to 2.3.3 in source{2,3,4}
- updated config2.patch for 2.3.3
- updated nowhatsnew.patch for 2.3.3
- updated distutilrpm.patch in which tabstops have made indent error
- updated buildroot-bytecode.patch for 2.3.3
- deleted buildroot.patch which fixed in 2.3.3
- changed Tools/idle with Lib/idlelib

* Wed Mar 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.3-3vl3
- rebuild with openssl-0.9.7d

* Wed Mar 03 2004 Shu KONNO <owa@bg.wakwak.com> 2.2.3-3vl2
- updated JapaneseCodecs to 1.4.10

* Wed Jul 09 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.2.3-3vl1
- synced with RawHide 2.2.3-3 (substantially source ver up)

* Mon Mar 31 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.2.2-26vl1
- rebuild with tcltk-8.4.2
- synced with RawHide 2.2.2-26
  * Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
  - rebuilt

  * Mon Feb 24 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-25
  - Fixed bug #84886: pydoc dies when run w/o arguments
  - Fixed bug #84205: add python shm module back (used to be shipped with 1.5.2)
  - Fixed bug #84966: path in byte-compiled code still wrong

  * Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-23
  - ftp uri's should be able to specify being rooted at the root instead of 
    where you login via ftp (#84692)

  * Mon Feb 10 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-22
  - Using newer Japanese codecs (1.4.9). Thanks to 
    Peter Bowen <pzb@datastacks.com> for pointing this out.

  * Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-21
  - Rebuild

  * Wed Feb  5 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-20
  - Release number bumped really high: turning on UCS4 (ABI compatibility
    breakage)

  * Fri Jan 31 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-13
  - Attempt to look both in /usr/lib64 and /usr/lib/python2.2/site-packages/:
    some work on python-2.2.2-lib64.patch

  * Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-12
  - Rebuild to incorporate the removal of .lib64 and - files.

  * Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-11.7.3
  - Fixed bug #82544: Errata removes most tools
  - Fixed bug #82435: Python 2.2.2 errata breaks redhat-config-users
  - Removed .lib64 and - files that get installed after we fix the multilib
    .py files.

  * Wed Jan 22 2003 Tim Powers <timp@redhat.com>
  - rebuilt

  * Wed Jan 15 2003 Jens Petersen <petersen@redhat.com> 2.2.2-10
  - rebuild to update tkinter's tcltk deps
  - convert changelog to utf-8


* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.2-9vl0
- rebuilt for Vine Linux against db4
- obsolete python-base (which comes with python-2.2.1 of TestPkg)

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.2-9
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- pick up OpenSSL cflags and ldflags from pkgconfig if available

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-8
- urllib2 didn't support non-anonymous ftp.  add support based on how 
  urllib did it (#80676, #78168)

* Mon Dec 16 2002 Mihai Ibanescu <misa@redhat.com> 2.2.2-7
- Fix bug #79647 (Rebuild of SRPM fails if python isn't installed)
- Added a bunch of missing BuildRequires found while fixing the
  above-mentioned bug

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 2.2.2-6
- rebuild to fix broken tcltk deps for tkinter

* Fri Nov 22 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.7.3
- Recompiled for 7.3 (to fix the -lcrypt bug)
- Fix for the spurious error message at the end of the build (build-requires
  gets confused by executable files starting with """"): make the tests
  non-executable.

* Wed Nov 20 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-5
- Fixed configuration patch to add -lcrypt when compiling cryptmodule.c

2.2.2-4
- Spec file change from Matt Wilson <msw@redhat.com> to disable linking 
  with the C++ compiler.

* Mon Nov 11 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.*
- Merged patch from Karsten Hopp <karsten@redhat.de> from 2.2.1-17hammer to
  use %%{_libdir}
- Added XFree86-libs as BuildRequires (because of tkinter)
- Fixed duplicate listing of plat-linux2
- Fixed exclusion of lib-dynload/japanese
- Added lib64 patch for the japanese codecs
- Use setup magic instead of using tar directly on JapaneseCodecs

* Tue Nov  5 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-2
- Fix #76912 (python-tools contains idle, which uses tkinter, but there is no
  requirement of tkinter from python-tools).
- Fix #74013 (rpm is missing the /usr/lib/python2.2/test directory)

* Mon Nov  4 2002 Mihai Ibanescu <misa@redhat.com>
- builds as python2 require a different libdb
- changed the buildroot name of python to match python2 builds

* Fri Nov  1 2002 Mihai Ibanescu <misa@redhat.com>
- updated python to 2.2.2 and adjusted the patches accordingly

* Mon Oct 21 2002 Mihai Ibanescu <misa@redhat.com>
- Fix #53930 (Python-2.2.1-buildroot-bytecode.patch)
- Added BuildPrereq dependency on gcc-c++

* Fri Aug 30 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-17
- security fix for _execvpe

* Tue Aug 13 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-16
- Fix  #71011,#71134, #58157

* Wed Aug  7 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-15
- Resurrect tkinter
- Fix for distutils (#67671)
- Fix #69962

* Thu Jul 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-14
- Obsolete tkinter/tkinter2 (#69838)

* Tue Jul 23 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-13
- Doc fixes (#53951) - not on alpha at the momemt

* Mon Jul  8 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-12
- fix pydoc (#68082)

* Mon Jul  8 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-11
- Add db4-devel as a BuildPrereq

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.2.1-10
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-9
- Add Japanese codecs (#66352)

* Tue Jun 11 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-8
- No more tkinter...

* Wed May 29 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-7
- Rebuild

* Tue May 21 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-6
- Add the email subcomponent (#65301)

* Fri May 10 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-5
- Rebuild

* Thu May 02 2002 Than Ngo <than@redhat.com> 2.2.1-4
- rebuild i new enviroment

* Tue Apr 23 2002 Trond Eivind Glomsroed <teg@redhat.com>
- Use ucs2, not ucs4, to avoid breaking tkinter (#63965)

* Mon Apr 22 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-2
- Make it use db4

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-1
- 2.2.1 - a bugfix-only release

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-16
- the same, but in builddirs - this will remove them from the 
  docs package, which doesn't look in the buildroot for files.

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-15
- Get rid of temporary files and .cvsignores included 
  in the tarball and make install

* Fri Apr  5 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-14
- Don't own lib-tk in main package, only in tkinter (#62753)

* Mon Mar 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-13
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-12
- rebuild

* Fri Mar  1 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-11
- Add a not to the Distutils obsoletes test (doh!)

* Fri Mar  1 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-10
- Rebuild

* Mon Feb 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-9
- Only obsolete Distutils when built as python

* Thu Feb 21 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-8
- Make files in /usr/bin install side by side with python 1.5 when
- Drop explicit requirement of db4
  built as python2

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 2.2-7
- Use version and pybasever macros to make updating easy
- Use _smp_mflags macro

* Tue Jan 29 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-6
- Add db4-devel to BuildPrereq

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2-5
- disable ndbm support, which is db2 in disguise (really interesting things
  can happen when you mix db2 and db4 in a single application)

* Thu Jan 24 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-4
- Obsolete subpackages if necesarry 
- provide versioned python2
- build with db4

* Wed Jan 16 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-3
- Alpha toolchain broken. Disable build on alpha.
- New openssl

* Wed Dec 26 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-1
- 2.2 final

* Fri Dec 14 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.11c1
- 2.2 RC 1
- Don't include the _tkinter module in the main package - it's 
  already in the tkiter packace
- Turn off the mpzmodule, something broke in the buildroot

* Wed Nov 28 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.10b2
- Use -fPIC for OPT as well, in lack of a proper libpython.so

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.9b2
- changed DESTDIR to point to / so that distutils will install dynload
  modules properly in the installroot

* Fri Nov 16 2001 Matt Wilson <msw@redhat.com> 2.2-0.8b2
- 2.2b2

* Fri Oct 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.7b1
- python2ify

* Fri Oct 19 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.5b1
- 2.2b1

* Sun Sep 30 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.4a4
- 2.2a4
- Enable UCS4 support
- Enable IPv6
- Provide distutils
- Include msgfmt.py and pygettext.py

* Fri Sep 14 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.3a3
- Obsolete Distutils, which is now part of the main package
- Obsolete python2

* Thu Sep 13 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.2a3
- Add docs, tools and tkinter subpackages, to match the 1.5 layout

* Wed Sep 12 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.1a3
- 2.2a3
- don't build tix and blt extensions

* Mon Aug 13 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Add tk and tix to build dependencies

* Sat Jul 21 2001 Trond Eivind Glomsroed <teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsroed <teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsroed <teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Loewis)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
