%bcond_without python2

Name: python2-pycairo
Summary: Python bindings for the cairo library
Summary(ja): cairo ライブラリの Python バインディング
Version: 1.18.2
Release: 2%{?_dist_release}
Group: programming

License: LGPLv2
URL: https://cairographics.org/pycairo
Source: pycairo-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cairo-devel >= 1.8.10
BuildRequires: python-rpm-macros
%if %{with python2}
BuildRequires: python-devel >= 2.6
BuildRequires: python-setuptools
BuildRequires: python2-rpm-macros
%endif
BuildRequires: pkgconfig
Requires: cairo >= 1.8.10
Obsoletes: pycairo < 1.18.2-2
Provides: pycairo = %{version}-%{release}

%description
Python bindings for the cairo library.


%if %{with python2}
%package devel
Summary: Libraries and headers for pycairo
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: cairo-devel
Requires: python-devel
Obsoletes: pycairo-devel < 1.18.2-2
Provides: pycairo-devel = %{version}-%{release}

%description devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with pycairo.
%endif


%prep
%setup -q -n pycairo-%{version}

%build
%if %{with python2}
%py2_build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py2_install
%endif

find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%if %{with python2}
%files
%defattr(-,root,root,-)
%license COPYING*
%doc NEWS README*
%{python2_sitearch}/*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/pycairo/
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc
%endif


%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.18.2-2
- changed %%name.
- built with python2 pnly.

* Thu Apr 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.18.2-1
- new upstream release.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.10-3
- rebuild with VineSeed environment

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.10-2
- rebuild with python-2.7.2

* Thu Sep 23 2010 Ryoichi INAGAKI <ryo1@bg.wakwak.com> 1.8.10-1
- new upstream release
- built wirh rpm-4.8.1

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.8.6-2
- rebuilt with gcc-4.4.3-3 on ppc

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.6-1
- build for python-2.6

* Sat Jan 17 2009 Ryoichi INAGAKI <ryo1@bg.wakwak.com> 1.8.2-1vl5
- new upstream release

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.12-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8

* Sun Feb 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.12-0vl1
- new upstream release

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- initial build for Vine Linux

* Thu Mar 15 2007 Matthew Barnes <mbarnes@redhat.com> - 1.4.0-1.fc7
- Update to 1.4.0

* Mon Feb 05 2007 Matthew Barnes <mbarnes@redhat.com> - 1.2.6-3.fc7
- Incorporate suggestions from package review (RH bug #226329).

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 1.2.6-2
- rebuild against python 2.5

* Tue Nov 28 2006 Matthew Barnes <mbarnes@redhat.com> - 1.2.6-1.fc7
- Update to 1.2.6
- Clean up the spec file.

* Sun Oct 15 2006 Matthew Barnes <mbarnes@redhat.com> - 1.2.2-1
- Update to 1.2.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.0-1.1
- rebuild

* Wed Jul 05 2006 John (J5) Palmieri <johnp@redhat.com> - 1.2.0-1
- Update to upstream 1.2.0

* Mon Jul  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.2-3
- require new enough cairo (#197457)

* Mon Jun 05 2006 John (J5) Palmieri <johnp@redhat.com> - 1.0.2-2
- add pkgconfig BR

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.2-1
- Updated to latest and push into rawhide

* Fri Dec 10 2004 Kristian H淡gsberg <krh@redhat.com> - 0.1.3-1
- Add python-devel build requires.

* Wed Nov 24 2004  <jrb@redhat.com> - 
- Initial build.

