%{!?python3_sitelib: %define python3_sitelib %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python3_version: %define python3_version %(python3 -c "import sys; sys.stdout.write(sys.version[:3])")}

Name:           python3-setuptools
Version:        5.4.2
Release:        1%{?_dist_release}
Summary:        Download, build, install, upgrade, and uninstall Python packages
Summary(ja):     Python パッケージのダウンロード、ビルド、インストール、アップグレードおよびアンインストール用ツール
Group:          Development/Tools
License:        PSFL/ZPL
URL:            https://pypi.python.org/pypi/setuptools
Source0:        https://pypi.python.org/packages/source/s/setuptools/setuptools-%{version}.tar.gz
Source1:        psfl.txt
Source2:        zpl.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires(post): alternatives
BuildArch:      noarch
BuildRequires:  python3-devel

%description
setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

%description -l ja
setuptools は Python distutils の拡張機能を集めたツールです。
このツールにより Python パッケージの構築や配布が簡単に行えるように
なります。特に他のパッケージに依存しているパッケージを扱う際に便利
です。


%prep
%setup -q -n setuptools-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" python3 setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python3 setup.py install -O1 --skip-build \
    --root $RPM_BUILD_ROOT \
    --single-version-externally-managed
install -p -m 0644 %{SOURCE1} %{SOURCE2} .
find $RPM_BUILD_ROOT%{python3_sitelib} -name '*.exe' | xargs rm -f

# for alternatives
%__rm -f $RPM_BUILD_ROOT%{_bindir}/easy_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_bindir}/easy_install easy_install \
	                      %{_bindir}/easy_install-%{python3_version} 20

%preun
if [ "$1" = "0" ]
then
  update-alternatives --remove easy_install %{_bindir}/easy_install-%{python3_version}
fi

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/easy_install-%{python3_version}
%{python3_sitelib}/*


%changelog
* Mon Mar  9 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 5.4.2-1
- new package python3-setuptools: based python-setuptools

* Mon Mar  9 2015 IWAI, Masaharu <iwaim.sub@gmail.com> - 5.4.2-2
- alternatives for easy_install

* Fri Aug 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 5.4.2-1
- new upstream release

* Sat Jul 26 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 5.4.1-1
- new upstream release

* Sun Jul 06 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 5.4-1
- new upstream release

* Sat Apr 26 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.4.4-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6c11-2
- rebuild with python-2.7.2

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.6c11-1
- new upstream release

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.6c9-2
- rebuild with python-2.6

* Sun Dec 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6c9-1
- new upstream release
- add japanese summary and description

* Mon Jul 21 2008 Shu KONNO <owa@bg.wakwak.com> - 0.6c3-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy

* Sat Nov 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.6c3-1vl2
- rebuilt for Vine Linux 4.0
- changed Group to Development/Tools

* Wed Nov 15 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Refurbished for VineLinux3.2

* Tue Sep 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c2-1
- Upstream 0.6c2
- Ghostbusting

* Mon Jul 31 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c1-2
- Set perms on license files (#200768)

* Sat Jul 22 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c1-1
- Version 0.6c1

* Wed Jun 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6b3-1
- Taking over from Ignacio
- Version 0.6b3
- Ghost .pyo files in sitelib
- Add license files
- Remove manual python-abi, since we're building FC4 and up
- Kill .exe files

* Wed Feb 15 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a10-1
- Upstream update

* Mon Jan 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a9-1
- Upstream update

* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6a8-1
- Initial RPM release
