%bcond_with check

%define pathfix %{_libdir}/python%{python3_version}/Tools/scripts/pathfix.py

Name: pytz
Version: 2020.1
Release: 1%{?_dist_release}
Summary: World Timezone Definitions for Python
Summary(ja): Python 用の世界タイムゾーン定義
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: MIT
URL: https://pytz.sourceforge.net/

Source0: https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
# Patch to use the system supplied zoneinfo files
Patch0: pytz-zoneinfo.patch
# https://bugzilla.redhat.com/1497572
Patch1: remove_tzinfo_test.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-rpm-macros

%description
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%package -n python-%{name}
Summary:        World Timezone Definitions for Python
Summary(ja):    Python 用の世界タイムゾーン定義
Group:          programming
%{?python_provide:%python_provide python2-%{name}}
BuildRequires:  python-devel, python2-rpm-macros
%if %{with check}
BuildRequires:  python-pytest
%endif
Requires:       tzdata
# Remove before vl7
Provides: pytz = %{version}-%{release}
Obsoletes: pytz < %{version}-%{release}

%description -n python-%{name}
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.


%package -n python3-%{name}
Summary:        World Timezone Definitions for Python
Summary(ja):    Python 用の世界タイムゾーン定義
Group:          programming
%{?python_provide:%python_provide python3-%{name}}
BuildRequires:  python3-devel, python3-rpm-macros
%if %{with check}
BuildRequires:  python3-pytest
%endif
Requires:       tzdata

%description -n python3-%{name}
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.


%prep
%autosetup -p1


%build
%py2_build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install
rm -r %{buildroot}%{python2_sitelib}/pytz/zoneinfo
%{pathfix} -p -i %{__python2} %{buildroot}%{python2_sitelib}

%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo
%{pathfix} -p -i %{__python3} %{buildroot}%{python3_sitelib}


%if %{with check}
%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} -m pytest -v
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -v
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files -n python-%{name}
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/pytz/
%{python2_sitelib}/*.egg-info

%files -n python3-pytz
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info


%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2020.1-1
- new upstream release.

* Tue Nov 27 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2018.7-1
- new upstream release.
- added python3 support.

* Sat Aug 09 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2014.4-1
- initial build for VineSeed

* Tue Jun 26 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2012c-1
- initial build for VineSeed

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010h-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010h-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2010h-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 2010h-2
- Define => global

* Tue Apr 27 2010 Jon Ciesla <limb@jcomserv.net> - 2010h-1
- Update to current version, BZ 573252.

* Mon Feb 01 2010 Jon Ciesla <limb@jcomserv.net> - 2009i-7
- Corrected Source0 URL, BZ 560168.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008i-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008i-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2008i-4
- Rebuild for Python 2.6

* Tue Nov 18 2008 Jef Spaleta <jspaleta at fedoraproject dot org> 2008i-3
- Apply patch correctly.

* Thu Nov 13 2008 Jef Spaleta <jspaleta at fedoraproject dot org> 2008i-2
- Updated tzdata patch from Petr Machata bug 471014

* Tue Nov 11 2008 Jef Spaleta <jspaleta at fedoraproject dot org> 2008i-1
- Update to latest, now using timezone files provided by tzdata package

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> 2006p-3
- Fix for egg-info file creation

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 2006p-2
- Bump for rebuild against python 2.5 and change BR to python-devel accordingly

* Fri Dec  8 2006 Orion Poplawski <orion@cora.nwra.com> 2006p-1
- Update to 2006p

* Thu Sep  7 2006 Orion Poplawski <orion@cora.nwra.com> 2006g-1
- Update to 2006g

* Mon Feb 13 2006 Orion Poplawski <orion@cora.nwra.com> 2005r-2
- Rebuild for gcc/glibc changes

* Tue Jan  3 2006 Orion Poplawski <orion@cora.nwra.com> 2005r-1
- Update to 2005r

* Thu Dec 22 2005 Orion Poplawski <orion@cora.nwra.com> 2005m-1
- Update to 2005m

* Fri Jul 22 2005 Orion Poplawski <orion@cora.nwra.com> 2005i-2
- Remove -O1 from install command

* Tue Jul 05 2005 Orion Poplawski <orion@cora.nwra.com> 2005i-1
- Initial Fedora Extras package
