%define kde_major_version 4
%define qt_ver 4.6.1

Name:    qimageblitz
Version: 0.0.6
Release: 5%{?_dist_release}
Summary: Graphical effect and filter library
Summary(ja): グラフィック効果・グラフィックフィルタライブラリ

Group:   System Environment/Libraries
License: BSD and ImageMagick
URL:     http://qimageblitz.sourceforge.net/

Source0: http://download.kde.org/stable/qimageblitz/qimageblitz-%{version}.tar.bz2
# upstreamed to kdesupport
# r1204248 | rdieter | 2010-12-06 08:05:09 -0600 (Mon, 06 Dec 2010) | 2 lines
Patch100: qimageblitz-0.0.4-noexecstack.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel >= %{qt_ver}
BuildRequires: cmake >= 2.4.5
BuildRequires: pkgconfig

%description
Blitz is a graphical effect and filter library for KDE4.0 that contains
many improvements over KDE 3.x's kdefx library including bugfixes, memory
and speed improvements, and MMX/SSE support.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel

%description devel
Header files for developing applications using blitz

%prep
%setup -q
%patch100 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake %{?_cmake_skip_rpath} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_datadir}/pkgconfig:$RPM_BUILD_ROOT%{_libdir}/pkgconfig
test "$(pkg-config --modversion qimageblitz)" = "4.0.0"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changelog README* COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/blitztest
%{_includedir}/qimageblitz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.6-5
- rebuild with gcc-5.4.0

* Mon Feb  9 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.0.6-4
- rebuilt on current VineSeed
- fixed LICENSE to BSD
- moved %{_bindir}/blitztest to devel subpackage
- added Japanese summary

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.6-3
- rebuild with current VineSeed environment

* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.6-2
- rebuilt with rpm-4.8.1

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.6-1
- new upstream release

* Tue Sep 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.0.4-4
- use %%cmake macro
- drop redundant cmake options

* Sat Aug 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.4-3
- rebuilt with qt-4.5.2

* Thu Oct 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.4-2
- added -DLIB_INSTALL_DIR=%%{_libdir} at cmake

* Sun Oct 12 2008 AKIYAMA KAzuhito <akiyama@yb3.so-net.ne.jp> 0.0.4-1
- initial release
