%define pkg_name    qrencode
%define pkg_version 4.0.2
%define pkg_release 1%{?_dist_release}

Summary:     Generate QR 2D barcodes
Summary(ja): 2次元QRコードを作成するアプリケーション
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: LGPLv2+
Group:   Applications/Other
URL:     http://fukuchi.org/works/qrencode/
Source0: http://fukuchi.org/works/qrencode/%{name}-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel
BuildRequires: chrpath

Vendor: Project Vine
Distribution: Vine Linux


%description
Libqrencode is a C library for encoding data in a QR Code symbol,
a kind of 2D symbology that can be scanned by handy terminals
such as a mobile phone with CCD.
The capacity of QR Code is up to 7000 digits or 4000 characters,
and is highly robust.

%description -l ja
libqrencodeはQRコードを生成するためのCライブラリです。
QRコードは二次元バーコードの一種で、数字なら最大約7000桁、
英数字だと最大約4000字を埋め込むことができ、
また誤り訂正能力に優れています。


%package  devel
Summary:  QR Code encoding library - Development files
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libqrencode supports QR Code model 2, described in JIS
(Japanese Industrial Standards) X0510:2004 or ISO/IEC 18004.
Currently the following features are not supported: ECI and
FNC1 mode, Micro QR Code, QR Code model 1.

This package contains development files for libqrencode.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure} --with-tests
%{__make} %{?_smp_mflags}

%check
cd ./tests
sh test_all.sh

%install
%{make_install} INSTALL="install -p"
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/*.la
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/qrencode

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig


%files
%doc ChangeLog COPYING NEWS README TODO
%defattr(-,root,root)
%{_bindir}/qrencode
%{_libdir}/libqrencode.so.*
%{_mandir}/man1/qrencode.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/qrencode.h
%{_libdir}/libqrencode.so
%{_libdir}/pkgconfig/libqrencode.pc


%changelog
* Sun Oct 07 2018 Toshiaki Ara <ara_t@384.jp> 4.0.2-1
- update to 4.0.2

* Fri Apr 29 2016 Toshiaki Ara <ara_t@384.jp> 3.4.4-2
- merge previous SPEC file

* Fri Apr 29 2016 Toshiaki Ara <ara_t@384.jp> 3.4.4-1
- update to 3.4.4
- delete BuildRequires: SDL-devel

* Sun Jul 20 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.3-2
- rebuilt with libpng-1.6.12

* Sat Sep 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.4.3-1
- new upstream release

* Wed Jun 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.4.2-1
- new upstream release

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.3.1-1
- new upstream release
- add BuildRequires: SDL-devel

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.1.1-6
- Initial build for Vine Linux

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 3.1.1-4
- Fixed the rpath problem.

* Mon Jul 12 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 3.1.1-3
- Fixed some small spec mistakes.

* Mon Jul 12 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 3.1.1-2
- Fixed some small errors.

* Thu Jul 08 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 3.1.1-1
- Initial build.


