Name:           racket
Summary:        Graphical environment for developing programs using Scheme
Summary(ja):    グラフィカルな Scheme 開発環境
Version:        6.1.1
Release:        1%{?_dist_release}

Group:          Development/Languages
License:        LGPLv2+ and GPLv3
URL:            http://www.drscheme.org

# Used distribution including pre-compiled bytecode
Source:		http://mirror.racket-lang.org/installers/%{version}/%{name}-%{version}-src-builtpkgs.tgz
#http://download.plt-scheme.org/bundles/%{version}/plt/racket-%{version}-src.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  cairo-devel
BuildRequires:	desktop-file-utils
BuildRequires:  freetype2-devel
BuildRequires:  fontconfig-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	libICE-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXext-devel
BuildRequires:	libXft-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXt-devel
BuildRequires:	libffi-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:	xorg-x11-xbitmaps
BuildRequires:  zlib-devel

Obsoletes:	plt, plt-scheme, drscheme
Provides:	plt, plt-scheme, drscheme, mzscheme, mred, mrflow


%description
Racket (formerly called PLT Scheme) is an interactive, integrated, graphical programming environment for the MzScheme programming language, and the MrEd windowing toolbox.

Racket provides source highlighting for syntax and run-time errors, support for multiple language levels, an algebraic stepper, objects, modules, a GUI library, TCP/IP, and much more. It includes an extensive, hyper-linked help system called Help Desk, available from the Help menu.


%define __arch_install_post %{nil}

%prep
%setup -q 

%build
mkdir -p src/build

cd src/build
../configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --mandir=%{_mandir} \
    --enable-gl \
    --enable-xrender \
    --enable-xft

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd src/build
make install DESTDIR=$RPM_BUILD_ROOT

# COPYING will be installed as a part of %%doc
rm -f $RPM_BUILD_ROOT%{_datadir}/racket/COPYING*.txt

##find $RPM_BUILD_ROOT -size 0 | xargs rm -f
##fgrep -lr "$RPM_BUILD_ROOT" $RPM_BUILD_ROOT | xargs rm -f

#mv $RPM_BUILD_ROOT%{_bindir}/planet $RPM_BUILD_ROOT%{_bindir}/plt-planet 

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --remove-category Development \
    --remove-key=Exec \
    --set-key=Exec --set-value='%{_bindir}/drracket -singleInstance'  \
    --remove-key=Icon \
    --set-key=Icon --set-value=%{_datadir}/racket/drracket-exe-icon.png \
    $RPM_BUILD_ROOT%{_datadir}/applications/drracket.desktop

# don't install slideshow.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/slideshow.desktop
#desktop-file-install \
#    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
#    --remove-key=Exec \
#    --set-key=Exec --set-value=%{_bindir}/slideshow  \
#    --remove-key=Icon \
#    --set-key=Icon --set-value=%{_datadir}/racket/slideshow-exe-icon.ico \
#    $RPM_BUILD_ROOT%{_datadir}/applications/slideshow.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README src/COPYING.txt src/COPYING-libscheme.txt src/COPYING_LESSER.txt
%{_sysconfdir}/racket
%{_bindir}/*
%{_libdir}/racket
%{_mandir}/man*/*
%{_datadir}/racket
%{_includedir}/racket
%{_datadir}/applications/*
%doc %{_docdir}/%{name}


%changelog
* Sat Nov 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 6.1.1-1
- renamed from plt-sheme
- updated to 6.1.1

* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:4.2.1-1
- new upstream release

* Thu Apr 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1:4.1.5-3
- really drop optimization settings expected on 4.1.5-2 (see below)

* Wed Apr 15 2009 Shu KONNO <owa@bg.wakwak.com> 1:4.1.5-2
- dropt plt-x86_64-lib.patch
- dropt special optimize setting "s/-O2/-O1/" for only x86_64

* Fri Mar 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1:4.1.5-1
- new upstream release
- add Epoch due to upstream versioning scheme change
- spec heavily revised based on Fedora 1:4.1-1
  (different configure options for each arch)

* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 370-2vl5
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 370-1vl5
- applied new versioning policy, spec in utf-8

* Wed Aug 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 370-0vl2
- rebuilt for VineSeed

* Wed Aug 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 370-0vl1
- new upstream release

* Sat May 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 360-0vl2
- rebuilt with new toolchain

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 360-0vl1
- new upstream release

* Fri Aug 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 352-2vl2
- rebuilt for VineSeed (4.0)

* Fri Aug 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 352-2vl1
- new upstream release
- removed %post section

* Wed May  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 301-2vl2
- Rebuild for VineSeed Plus

* Wed May  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 301-2vl1
- Rebuild for Vine Linux

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 301-2
- Rebuild for Fedora Extras 5

* Sat Jan 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 301-1
- new version 301

* Wed Dec 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 300-2
- xft patch no longer necessary

* Mon Dec 19 2005 Gerard Milmeister <gemi@bluewin.ch> - 300-1
- New Version 300

* Sat Nov 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.400-1
- New Version 299.400

* Mon Nov 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-16
- patch to use pkg-config instead of xft-config

* Wed Nov 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-13
- updated for modular xorg

* Tue Nov 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-11
- replaced XFree86-devel by xorg-x11-devel

* Sat Oct 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-9
- use lib64 instead of lib

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-8
- try x86_64 again using patch for disabling dependency checking for openssl

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-6
- use %%{_libdir} and %%{_lib} in creating links

* Wed Aug 17 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-4
- Increase font size from 10 to 12

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-3
- Added openssl-devel buildreq

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-2
- Correct post install procedure

* Fri Aug 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-1
- New Version 299.200

* Sat Apr 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- Renamed to plt-scheme

* Sun Mar 27 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- New Version 299.100

* Sat Mar 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 209-1
- Renamed package from plt to drscheme

* Sat Dec 18 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:209-0.fdr.1
- New Version 209

* Sat Nov 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:208-0.fdr.1
- New Version 208
- Added desktop file
- Added icon

* Sun Nov  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:205-0.fdr.1
- First Fedora release
