Name:    raptor2
Summary: RDF Systax Library
Version: 2.0.14
Release: 1%{?_dist_release}

License: GPLv2+ or LGPLv2+ or ASL 2.0
Group:   System Environment/Libraries
URL:     http://librdf.org/raptor/

Source:  http://download.librdf.org/source/raptor2-%{version}.tar.gz

## upstreamable patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: curl-devel
BuildRequires: gtk-doc
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel 
BuildRequires: yajl-devel >= 2.0.0

# when /usr/bin/rappor moved here  -- rex
Conflicts: raptor < 1.4.21-3%{?_dist_release}

%description
Raptor is a free software / Open Source C library that provides
a set of parsers and serializers that generate Resource
Description Framework (RDF) triples by parsing syntaxes or
serialize the triples into a syntax. The supported parsing
syntaxes are RDF/XML, N-Quads, N-Triples 1.0 and 1.1, TRiG,
Turtle 2008 and 2013, RDFa 1.0 and 1.1, RSS tag soup including
all versions of RSS, Atom 1.0 and 0.3, GRDDL and microformats for
HTML, XHTML and XML. The serializing syntaxes are RDF/XML
(regular, abbreviated, XMP), Turtle 2013, N-Quads, N-Triples 1.1, 
Atom 1.0, RSS 1.0, GraphViz DOT, HTML and JSON.


%package devel
Summary: Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q

# hack to nuke rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif


%build
%configure --disable-static --enable-release --enable-silent-rules
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR=$RPM_BUILD_ROOT install

## unpackaged files
rm -fv $RPM_BUILD_ROOT%{_libdir}/lib*.la


%check
make check 

%clean
rm -rf $RPM_BUILD_ROOT 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog NEWS README
%doc COPYING* LICENSE.txt LICENSE-2.0.txt
%{_libdir}/libraptor2.so.0*
%{_bindir}/rapper
%{_mandir}/man1/rapper*

%files devel
%doc UPGRADING.html
%{_includedir}/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_mandir}/man3/libraptor2*
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/raptor2/


%changelog
* Thu Sep 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.0.14-1
- new upstream release

* Sun Dec 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.11-1
- new upstream release

* Sat Sep 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.10-1
- new upstream release

* Wed Jun 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.9-1
- new upstream release

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.8-1
- new upstream release

* Sun Nov 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.5-1
- new upstream release
- added BR: libxml2-devel

* Thu Aug 18 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.4-3
- Initial build for Vine Linux

* Sun Jul 31 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.4-2
- include rapper here

* Fri Jul 29 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.4-1
- 2.0.4

* Fri Jul 29 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.3-3
- upstream patch to fix build against newer libcurl

* Tue Jul 26 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.3-2
- -devel: drop Group: tag
- add lot's of %%doc's
- License: GPLv2+ or LGPLv2+ or ASL 2.0 (or newer)

* Sat Jul 23 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.3-1
- first try


