Summary: Revision Control System (RCS) file version management tools.
Summary(ja): RCS (Revision Control System) ファイルバージョン管理ツール
Name: rcs
Version: 5.9.3
Release: 1%{?_dist_release}

Group: Development/Tools
License: GPLv3+
URL: http://www.gnu.org/software/rcs/

Source: ftp://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.xz
Patch0: rcs-5.8-build-tweaks.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf
BuildRequires: ed
BuildRequires: ghostscript
BuildRequires: groff
BuildRequires: texinfo
Requires: diffutils
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%description -l ja
RCS (Revision Control System) はファイルのバージョン管理を行う為のシステムです．RCS を使うとファイルの更新履歴を保存したり，更新ファイルを取得したり，複数の変更をマージしたりといった作業を自動化することが出来ます．RCS は，プログラム，ドキュメント，グラフィック，論文，手紙等頻繁に変更されるファイル群の管理に適しています．

ファイルのバージョン管理システムが必要ならば rcs パッケージをインストールして下さい．

%prep
%setup -q
%patch0 -p1 -b .build-tweaks
autoconf

%build
%configure --with-diffutils

make %{?_smp_mflags}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 src/rcsfreeze $RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%check
make check

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root)
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_mandir}/man[15]/*
%{_infodir}/*

%changelog
* Thu Dec 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.9.3-1
- new upstream release
- dropt Old Patches
- added Patch0 from Fedora to install rcsfreeze
- added %%check, %%post and %%postun section
- added URL tag

* Tue Apr 19 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-22
- rebuilt with current VineSeed

* Sat Aug 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-21vl5
- added Patch3 and 4 from FC
  * Tue Jul 17 2007 Jiri Moskovcak <jmoskovc@redhat.com> - 5.7-31
  - Addded support for new svn syntax.
  - Resolves: #247998
  * Mon Oct 10 2005 Phil Knirsch <pknirsch@redhat.com> 5.7-29
  - Fixed bug with obsolete and changed -u option for diff (#165071)

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 5.7-20vl5
- applied new versioning policy, spec in utf-8

* Sun Oct  3 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-20vl2
- added Patch2 from Fedora development
  * Fri Oct 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.7-22
  - Included sameuserlocks patch from James Olin Oden (#107947).
- s/Copyright/License/

* Thu Mar 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-20vl1
- rebuild with new toolchains
- based on 5.7-20 from Rawhide (add the following patch)
  - tmpfile security patch from Olaf Kirch <okir@lst.de>

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 5.7-13vl1
- based on 5.7-13 from Rawhide
- added Japanese summary and description

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file; added BuildRoot

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
-built against glibc
