%define pkg_name    rlwrap
%define pkg_version 0.43
%define pkg_release 1%{?_dist_release}

Summary:     A wrapper that uses the GNU readline library to allow the editing of keyboard input
Summary(ja): readline機能を持つコマンドラインラッパー
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Other
URL:     https://github.com/hanslub42/rlwrap
SOURCE:  https://github.com/hanslub42/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: readline-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
rlwrap is a wrapper that uses the GNU readline library to allow
the editing of keyboard input for any other command.
Input history is kept between invocations, separately for each command;
history completion and search work as in bash and completion word lists
can be specified on the command line.

%description -l ja
rlwrapはGNU readlineライブラリを用いる小さなユーティリティを供給し、
あらゆる他のコマンドへのキーボード入力の編集が可能です。
コマンドそれぞれについて入力履歴が記録されます。
bash と同様の履歴補完、検索機能、単語リストの補完のうち、
どれを用いるかをコマンドライン上で指定可能です。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS PLEA README TODO
%{_bindir}/
%{_datadir}/rlwrap/
%{_mandir}/man1/
%{_mandir}/man3/


%changelog
* Thu Sep 14 2017 Toshiaki Ara <ara_t@384.jp> 0.42-1
- new upstream release
- change URL

* Thu Apr 14 2016 Toshiaki Ara <ara_t@384.jp> 0.42-1
- new package
