Name: rocs
Summary: Graph theory IDE
Summary(ja): グラフ理論向け IDE
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/rocs/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libboost-devel
BuildRequires: libboost-graph
BuildRequires: soprano-devel
BuildRequires: grantlee-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: kwrite

Conflicts: kdeedu4 < 4.6.50

Vendor: Project Vine
Distribution: Vine Linux

%description
Rocs aims to be a Graph Theory IDE for helping professors to show 
the results of a graph algorithm and also helping students to do 
the algorithms.

Rocs has a scripting module, done in Qt Script, that interacts with 
the drawn graph and every change in the graph with the script is 
reflected on the drawn one.

This package is part of the KDE education module.

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Conflicts: kdeedu4-math-libs < 4.6.50

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Conflicts: kdeedu4-devel < 4.6.50

%description devel
Header files for developing applications using %{name}.

%prep
%setup -q 

%build
# uniform_int_distribution error 
sed -i "s|add_subdirectory(GenerateGraph)|#add_subdirectory(GenerateGraph)|" VisualEditor/Tools/CMakeLists.txt

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/rocs
%{_libdir}/kde4/rocs_*.so
%{_datadir}/appdata/rocs.appdata.xml
%{_datadir}/applications/kde4/rocs.desktop
%{_datadir}/config/rocs.knsrc
%{_datadir}/config.kcfg/rocs.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/rocs
%{_datadir}/kde4/apps/rocs_rootedtree
%{_datadir}/kde4/services/rocs_*.desktop
%{_datadir}/kde4/servicetypes/Rocs*.desktop
%doc %{_docdir}/HTML/en/rocs/

%files libs
%defattr(-,root,root)
%{_libdir}/librocscore.so.*
%{_libdir}/librocsvisualeditor.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/rocs
%{_libdir}/librocscore.so
%{_libdir}/librocsvisualeditor.so


%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Mon Sep 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release
- add BuildRequires: grantlee-devel

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- add BuildRequires: libboost-graph

* Sat Sep  3 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

