#
# spec file for package rpcsvc-proto
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpcsvc-proto
Version:        1.4
Release:        2%{?_dist_release}
Summary:        RPC protocol definitions
License:        BSD and LGPLv2+
Url:            https://github.com/thkukuk/rpcsvc-proto
Source0:        https://github.com/thkukuk/rpcsvc-proto/releases/v%{version}/%{name}-%{version}.tar.xz

Vendor:         Project Vine
Distribution:   Vine Linux

Requires:       glibc-common >= 2.28

BuildRequires:  gcc
BuildRequires:  automake, autoconf

%description
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package devel
Summary:        RPC protocol definitions

%description devel
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package -n rpcgen
Summary:        RPC protocol compiler
Provides:       rpcgen

%description -n rpcgen
rpcgen is a tool that generates C code to implement an RPC protocol.
The input to rpcgen is a language similar to C known as RPC Language
(Remote Procedure Call Language).

%prep
%autosetup -p 1

%build
%configure
%make_build

%install
%make_install

# rquota.x and rquota.h are provided by quota
rm -f $RPM_BUILD_ROOT%{_prefix}/include/rpcsvc/rquota.[hx]

%files devel
%license COPYING
%{_includedir}/rpcsvc/

%files -n rpcgen
%{_bindir}/rpcgen
%{_mandir}/man1/rpcgen.1*

%changelog
* Fri Jan 25 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.4-2
- initial build for Vine Linux.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Steve Dickson <steved@redhat.com>  1.4-0
- Updated to the latest upstream release: v1.4 (bz 1559181)

* Tue Mar 27 2018 Björn Esser <besser82@fedoraproject.org> - 1.3.1-4
- Enable MT code as libtirpc supports it

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Steve Dickson <steved@redhat.com>  1.3.1-2
- Remove rquota.[hx] headers which are provided by quota (bz 1537133)

* Wed Jan  17 2018 Steve Dickson <steved@redhat.com>  1.3.1-1
- Initial commit (bz 1532364)
