Summary: Translates an RPM database and dependency information into HTML.
Summary(ja): RPM パッケージの解説を HTML および RDF 形式にて生成するツール
Name: rpm2html
Version: 1.11.1
Release: 2%{?_dist_release}
Group: Applications/System
License: MIT
URL: http://www.nongnu.org/rpm2html/

Source: http://download.savannah.gnu.org/releases/rpm2html/%{name}/%{name}-%{version}.tar.gz
Patch0: rpm2html-1.11.1-db53.patch
Patch1: rpm-4.9.patch
Patch2: rpm2html-1.9.2-jp.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bzip2-devel
BuildRequires: libdb-devel
BuildRequires: libxml2-devel
BuildRequires: popt-devel
BuildRequires: rpm-devel

Vendor:        Project Vine
Distribution:  Vine Linux


%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.
Rpm2html analyzes the provides and requires of the given set of RPMs,
and then shows the dependency cross-references using hypertext links.
Rpm2html can now dump the metadata associated with RPM files into
standard RDF files.

Install rpm2html if you want a utility for translating information
from an RPM database into HTML.

%description -l ja
RPM パッケージのファイル郡からパッケージの情報を取り出して、HTML 形式のページと RDF 形式のデータを生成するツールです。グループやパッケージ名などの索引ページも自動的に生成され、依存情報やリソースなども相互にリンクが張られるため、必要なパッケージの検索などが素早く行えます。

%prep
%setup -q
%patch0 -p1 -b .db53
%patch1 -p1 -b .rpm49
## %patch2 -p1 -b .jp

#libtoolize --force --copy
aclocal -I .
#autoheader-2.13
automake -a -c
autoconf

%build
%configure
make

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} \
		%{buildroot}%{_sysconfdir} \
		%{buildroot}%{_datadir}/rpm2html \
		%{buildroot}%{_mandir}/man1
%{__install} -s -m0755 rpm2html %{buildroot}%{_bindir}
%{__install} -m0644 rpm2html.config  %{buildroot}%{_sysconfdir}
%{__install} -m0644 rpm2html.1  %{buildroot}%{_mandir}/man1

rm -f msg.ja.jp

for i in msg.*; do
  %{__install} -m0644 $i %{buildroot}%{_datadir}/rpm2html/
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGES Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc %{_mandir}/man1/*
%config %{_sysconfdir}/rpm2html.config
%{_bindir}/*
%{_datadir}/rpm2html/

%changelog
* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.11.1-2
- update Patch0 to built with libdb 5.3.28
- added Patch1 to built with current rpm

* Thu Oct 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.11.1-1
- new upstream release
- update Patch0(rpm2html-1.11.1-db48.patch)
- drop Patch2
- add BuildRequires: bzip2-devel, popt-devel, libxml2-devel

* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.2-2
- updated Patch0 for building with db-4.6.21

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.9.2-1vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.2-0vl2
- rebuilt with new toolchain
- update Patch0

* Wed Dec 21 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.9.2-0vl1
- source update

* Tue Mar 15 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.7-0vl2
- fix char-code in this spec file to EUC-JP

* Wed Nov 10 2004 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.7-0vl1
- source update

* Thu Mar 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- clean up old global namespace patch for libxml (>1.8)

* Thu Mar 23 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.3-1vl1
- version number/release theory changed from 1.3_jp-1 to 1.3-1vl1
- added a patch for a problem with libxml > 1.8
  (the patch itself is written by Mr. Yasuyuki Furukawa. Thanks!)
- %prep, %install and %clean section slightly modified
- added Requires: libxml

* Thu Dec 16 1999 Jun Nishii <jun@vinelinux.org>
- typo fixed
- use euc
- build for Vine Linux 2.0

* Thu Aug  4 1999 Yoshi. Kajiki <kajiki@3dpro.tao.go.jp>
- Japanese l10n.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.

