# new vine linux release number
%define _dist_release vl%(cat /etc/vine-release | cut -f3 -d" " | cut -f1 -d.)

%define	with_python_subpackage	0%{nil}
%define	with_python_version	2.7%{nil}
%define	with_apidocs		0%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%define	__prefix	%{?_prefix}%{!?_prefix:/usr}
%{?!_lib: %define _lib lib}
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __share		%{__prefix}/share
%define __mandir	%{__share}/man

%define rpmhome		%{_prefix}/lib/rpm

Summary: The RPM package management system.
Summary(ja): RPM パッケージ管理システム
Name: rpm49
Version: 4.9.1.3
%{expand: %%define rpm_version %{version}}
Release: 1%{_dist_release}
Group: System Environment/Base
License: GPL

Source: http://rpm.org/releases/rpm-4.8.x/rpm-%{version}.tar.bz2
Source100: rpm-4.9.1.2-ja.po
Source110: GROUPS_for_vine.txt
Source120: GROUPS-DESC_for_vine.txt
Source130: COMPAT32_for_vine

Source200: rpm44-perldeps.pl

Patch1: rpm-4.5.90-pkgconfig-path.patch

#conditionally applied patch for arm hardware floating point
Patch5: rpm-4.9.0-armhfp.patch

# Patches already in upstream
Patch100: rpm-4.9.x-fontattr.patch
Patch101: rpm-4.9.x-elfattr.patch
Patch102: rpm-4.9.1.2-perl-python-attr.patch
Patch103: rpm-4.9.x-mpsize.patch
Patch104: rpm-4.9.x-rpmdb-dsi.patch
Patch105: rpm-4.9.x-python-memleaks.patch
Patch106: rpm-4.9.x-verify-output.patch
Patch107: rpm-4.9.x-include-cond.patch
Patch108: rpm-4.9.x-exclude-warn.patch
Patch109: rpm-4.9.x-tstest-fileinfo.patch

# These are not yet upstream
Patch301: rpm-4.6.0-niagara.patch
Patch302: rpm-4.7.1-geode-i686.patch
# Probably to be upstreamed in slightly different form
Patch304: rpm-4.9.1.1-ld-flags.patch
# Based on patch from OpenSUSE, without the C-lang related enhancements
Patch305: rpm-4.9.x-gnome-help.patch
# Just warn on STABS instead of failing for now
Patch306: rpm-4.9.x-debugedit-stabs-warn.patch
# Recognize Perl script as Perl code
Patch401: rpm-4.9.1.2-perl-script.patch


# Patches for Vine Linux
Patch1100: rpm-4.9.1.2-vine.patch
Patch1120: rpm-4.0.4-langC.patch
#Patch1130: rpm-4.8.0-home.patch
Patch1140: rpm-4.9.1.2-shortcircuit.patch
Patch1170: rpm-4.9.1.2-legacyaliases.patch
Patch1180: rpm-4.4.3-no-terminate_build.patch
Patch1190: rpm-4.9.1.2-disable-python-requires.patch
#Patch1200: rpm-4.4.2-use-external-depgen.patch
Patch1210: rpm-4.4.2-deadlock-ppc.patch
Patch1220: rpm-4.9.1.2-disable-debug.patch
Patch1230: rpm-4.9.1.2-optflags.patch
Patch1240: rpm-4.8.0-default-buildarch.patch
Patch1250: rpm-4.4.2-add-default-srcdefattr.patch
Patch1260: rpm-4.4.2-man-fix-typo.patch
Patch1270: rpm-4.4.2-vine-groups.patch
Patch1290: rpm-4.4.2.3-find-mono-dependencies.patch
Patch1310: rpm-4.9.1.2-brp-strip-static-archive-find-a-only.patch
Patch1320: rpm-4.9.1.2-force-v3-sigs.patch
Patch1330: rpm-4.9.1.2-enable-xz-payload.patch
Patch1340: rpm-4.9.1.2-disable-rpmbuild-sign.patch

Conflicts: patch < 2.5
Requires(post): coreutils, shadow-utils
Requires(postun): coreutils, shadow-utils

Requires: popt >= 1.10.2.1
Requires: nss >= 3.12.5
Requires: rpm-libs = %{version}
Requires: db4-utils

Obsoletes: rpm-perl < %{version}

# XXX necessary only to drag in /usr/lib/libelf.a, otherwise internal elfutils.
#BuildRequires: elfutils-libelf
BuildRequires: elfutils-devel

BuildRequires: automake, autoconf
BuildRequires: sed readline-devel zlib-devel
BuildRequires: neon-devel
BuildRequires: sqlite3-devel
BuildRequires: gettext
#BuildRequires: nkf
BuildRequires: cvs
#BuildRequires: libselinux-devel
BuildRequires: bzip2-devel >= 0.9.0c-2
BuildRequires: popt-devel
BuildRequires: lua-devel
BuildRequires: libcap-devel
BuildRequires: libacl-devel
BuildRequires: nss-devel
BuildRequires: db4-devel >= 4.8
BuildRequires: xz-devel
BuildRequires: file-devel

%if %{with_python_subpackage}
BuildRequires: python-devel >= %{with_python_version}
%endif

BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%description -l ja
RPM パッケージマネージャ (RPM) は，ソフトウェアパッケージを
インストール/アンインストール/チェック/問い合わせ/アップデート
する機能を持った高機能パッケージマネージングシステムです．
各パッケージには，ファイルのアーカイブに加え，名前，バージョン，
説明などのパッケージ情報が含まれています．

%package libs
Summary:  Libraries for manipulating RPM packages.
Summary(ja): RPMパッケージを操作するライブラリ
Group: Development/Libraries
Conflicts: rpm-libs < 4.10.0-1

%description libs
This package contains the RPM shared libraries.

%description libs -l ja
このパッケージには RPM の共有ライブラリが含まれています。

%package devel
Summary:  Development files for manipulating RPM packages.
Summary(ja): RPM ライブラリ用の開発ファイル
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: beecrypt >= 4.1.2
Requires: neon-devel
Requires: sqlite3-devel
Requires: popt-devel
#Requires: libselinux-devel
#Requires: elfutils-libelf-devel

%description devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%description devel -l ja
このパッケージには，RPMパッケージやデータベースを操作するための
C ライブラリとヘッダが含まれています．これにより，RPMパッケージを
操作するツールを作成できます．

%package build
Summary: Scripts and executable programs used to build packages.
Group: Development/Tools
Provides: rpmbuild(VendorConfig) = 4.1-1
Requires: rpm = %{rpm_version}-%{release}
Requires: elfutils, binutils
Requires: findutils, sed, grep, gawk, diffutils, file, patch >= 2.5
Requires: zip, gzip, bzip2, cpio, tar, xz

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%description build -l ja
このパッケージには，RPMを使ったパッケージを構築(ビルド)するのに必要な
スクリプトおよびプログラムが収録されています．


%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: python >= %{with_python_version}

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%description python -l ja
rpm-python パッケージには，RPM パッケージマネージャのライブラリに
アクセスする為の Python モジュールが収録されています．

%endif


%prep
%setup -q -n rpm-%{version}
%patch1 -p1 -b .pkgconfig-path

%patch100 -p1 -b .fontattr
%patch101 -p1 -b .elfattr
%patch102 -p1 -b .perl-python-attr
%patch103 -p1 -b .mpsize
%patch104 -p1 -b .rpmdb-dsi
%patch105 -p1 -b .python-memleaks
%patch106 -p1 -b .verify-output
%patch107 -p1 -b .include-cond
%patch108 -p1 -b .exclude-warn
%patch109 -p1 -b .tstest-fileinfo

%patch301 -p1 -b .niagara
%patch302 -p1 -b .geode
%patch304 -p1 -b .ldflags
%patch305 -p1 -b .gnome-help
%patch306 -p1 -b .debugedit-stabs-warn

%patch401 -p1 -b .perl-script

# this patch cant be applied on softfp builds
%ifnarch armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv7l
%patch5 -p1 -b .armhfp
%endif

# vine patch
%patch1100 -p1 -b .vine
%patch1120 -p1 -b .langC
#%patch1130 -p1 -b .home
%patch1140 -p1 -b .shortcircuit
%patch1170 -p1 -b .legacyaliases
%patch1180 -p1 -b .no-terminate_build
%patch1190 -p1 -b .disable-pythonreq
#%patch1200 -p1 -b .use-external-depgen
%ifarch ppc
%patch1210 -p1 -b .deadlock-ppc
%endif
%patch1220 -p1 -b .disable-debug
%patch1230 -p1 -b .optflags
%patch1240 -p1 -b .default-buildarch
%patch1250 -p1 -b .default-srcdefattr
%patch1260 -p1 -b .man-fix-typo
%patch1270 -p1 -b .vine-groups
%patch1290 -p1 -b .mono-dependencies
%patch1310 -p1 -b .find-a-only
%patch1320 -p1 -b .force-v3-sigs
%patch1330 -p1 -b .enable-xz-payload
%patch1340 -p1 -b .disable-rpmbuild-sign

# install updated japanese message catalogue
cp -f po/ja.po po/ja.po.orig
cp -f %{SOURCE100} po/ja.po

cp %{SOURCE110} %{SOURCE120} .

rm -rf popt/

%build

autoreconf -f -i
sed -i -e 's|^mkinstalldirs =.*|mkinstalldirs = ../mkinstalldirs|g' po/Makefile*

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

%if %{with_python_subpackage}
WITH_PYTHON="--enable-python"
%else
WITH_PYTHON="--disable-python"
%endif

CPPFLAGS="$CPPFLAGS $(pkg-config --cflags nss)"
CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS CFLAGS
./configure \
    --prefix=%{__prefix} \
	--libdir=%{_libdir} \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --infodir='%{__share}/info' \
    --mandir='%{__share}/man' \
    $WITH_PYTHON \
    --with-lua \
    --with-cap \
    --with-acl \
    --enable-posixmutexes \
    --with-external-db \
    --without-javaglue \
    --without-perl \
    --without-selinux \
    --disable-plugins

make %{?_smp_mflags}
make -C po ja.gmo

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files libs
%defattr(-,root,root)
%{__libdir}/librpm.so.*
%{__libdir}/librpmio.so.*
%{__libdir}/librpmbuild.so.*
%{__libdir}/librpmsign.so.*

%changelog
* Mon Sep 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.9.1.3-1
- rpm49-libs
  - build libs only as compat package.

* Fri Apr 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.9.1.3-1
- update to 4.9.1.3

* Tue Mar 13 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.9.1.2-4
- add patch102-109 from upstream

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1.2-3
- rebuild with python-2.7.2

* Fri Dec 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.9.1.2-2
- fix vine patch
  - remove broken/dupreacted macro (__id_u)
- add patch1340 to disable rpmbuild --sign functionality

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.9.1.2-1
- update to 4.9.1.2
- add patch1330 to enable xz payload (binary payload)
- add BR: file-devel

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.1-3
- rebuild package (fix typo in /usr/lib/rpm/macros on i686)

* Thu Jan  6 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.8.1-2
- add R: xz into rpm-build pkg
- add BR: xz-devel

* Sun Sep 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 4.8.1-1
- update to 4.8.1
- add patch1320 to force gpg v3 signature on package signing
  - add --force-v3-sigs to gpg option
- use internal dependency generator (upstream default)

* Thu Mar 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 4.8.0-6
- drop patch1160 to disable brp-strip-shared (<BTS:954>)
- update patch1170 (enable legacymacros again)
- add patch1300 to brp-compress xz/lzma support
- add patch1310 to find static libs only on brp-strip-static-archive

* Tue Feb 16 2010 KOBAYASHI Taizo <tkoba@vinelinux.org> - 4.8.0-5
- drop Requires: beecrypt and BuildRequires: beecrypt-devel
- added Requires: nss

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.8.0-4
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.8.0-3
- modified Patch1230: add missing ppc-specific optflags, as in 4.4.2.3-12

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 4.8.0-2
- add '--libdir=%%{_libdir}' to configure

* Sun Jan 10 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 4.8.0-1
- update to rpm-4.8.0
- change default buildarch to i686
  add BR: lua-devel, lkibcap-devel, libacl-devel, nss-devel
- build with external Berkeley DB (db4)

* Thu Jul 16 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.4.2.3-12
- rebuild to fix absolute path of sed in macros <BTS:VineLinux:0723>

* Tue Jul 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.4.2.3-11
- add Patch290 to find mono-dependencies automatically

* Sun Jul  5 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.4.2.3-10
- update patch100 to add _compat32_arch macro (currently i386)
- add "_with_compat32 1" into i[356]86, athlon's macro to force compat32 build
- add BR: cvs

* Sat May 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-9
- add Patch30 backported from 4.6.0
  - allocating in even sized chunks helps avoiding crazy memory
    fragmentation when resizing a lot (rhbz#472507)

* Thu May 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-8
- add Patch20-25 from upstream

* Tue Apr 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-7
- remove %ifos from spec file.
- add python_site{lib,arch}, pyver macros
- add emacsen_pkgdir macros
- add macros for font package
- update auto* files

* Fri Oct 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-6
- update Patch230
  - add -fno-strict-aliasing -fno-schedule-insns2 to optflags
    (VineSeed:16128)

* Sun Aug 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-5
- rebuild with external libpopt

* Mon Jul 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-4
- rebuild with python-2.5

* Fri Apr 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2.3-3
- rebuilt with neon-0.28.2

* Wed Apr 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-2
- add Patch280 to fix external dependancy generator(revert patch)

* Mon Apr 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-1
- new upstream release

* Tue Mar 20 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.4.2.3-0.rc1.3
- fix file section for x86_64 build

* Wed Mar 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-0.rc1.2
- fix typo in Patch100 (_dist_release macro)

* Tue Mar 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.3-0.rc1.1
- new upstream rc version
- add new _dist_release macro
  seed http://trac.vinelinux.org/wiki/VersioningPolicy
- use new release numbering policy

* Wed Feb 27 2008 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.4.2.2-0vl6
- update Patch260,Source100 <BTS:VineLinux:504>
- update Patch260 (fix typo in rpmbuild japanese manpage)

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 4.4.2.2-0vl5
- rebuild with expat-2.0.1

* Mon Feb 04 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.4.2.2-0vl4
- rebuild

* Sun Feb 03 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.4.2.2-0vl3
- fix Patch230 (remove unnecessary white spaces)

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.2-0vl2
- fix vine patch

* Sat Oct 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.2-0vl1
- new upstream release

* Mon Jul 23 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.4.2.1-0vl2
- fix popt version (1.10.2.1)

* Mon Jul 23 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2.1-0vl1
- new upstream release
- remove obsolete patches

* Wed May 23 2007 NAKAMURA Kenta <kenta@vinelinux.org> 4.4.2-0vl25
- rebuild with neon-0.26.3 (expecially for x86_64)

* Tue May 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl24
- add patch 37 to build without neon

* Mon May 14 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.4.2-0vl23
- updated Patch230 (-m32 on ppc, -m64 on ppc64, and likewise)

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl22
- use -mtune option instead of -mcpu

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.4.2-0vl21
- rebuilt with new toolchain
- disable Patch53
- add BuildReq: nkf

* Fri Jan 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl20
- rebuild

* Sun Dec 31 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.4.2-0vl19
- update patch270. <BTS:VineLinux:448>

* Sun Dec 31 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.4.2-0vl18
- fix typo in GROUPS-DESC_for_vine.txt <BTS:VineLinux:448>

* Sat Dec 30 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.4.2-0vl17
- fix typo in GROUPS*_for_vine.txt <BTS:VineLinux:429>

* Thu Nov 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl16
- update ja.po and manpage to fix typo (<BTS:278>)
- update GROUPS for Vine Linux
- add GROUPS*_for_vine.txt

* Sat Jun 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl15
- fix changelogname for 4.4.2-0vl14
  ( was accidentally copied from 0vl13.. )

* Fri Jun 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl14
- update Patch230
  - remove "-m64 -mcpu=nocona" from x86_64 optflags
- add Patch250
  - add %%_srcdefattr (-,root,root) to default macros

* Mon May 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.4.2-0vl13
- fix typo in changelog

* Thu Apr 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.4.2-0vl12
- rebuild with neon-0.25.5

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl11
- update Patch100 to use /var for %%{_localstatedir} instead of /var/lib

* Mon Feb 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl10
- update ja.po
  - fix some mistranslations (thanks to NAKAMURA Kenta)
  - squash some fuzzy translations

* Mon Feb 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl9
- fix spec bug.

* Sun Feb 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl8
- update Patch240 to install pentium?-linux/macros on x86_64 arch.
- added compat32-popt for x86_64 architecture support (NAKAMURA Kenta)

* Wed Feb 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl7
- add Patch230 to append "-m32/-m64" option to %%optflags in rpmrc
- add Patch240 to install ix86-linux/macros on x86_64 arch.
- update Patch100 to use lib/lib64 for %%_lib macro in per-platform
  macros.

* Sun Dec 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl6
- add Patch220 to remove debug option from optflags (in rpmrc)

* Wed Dec 21 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 4.4.2-0vl5
- added Patch210 for PPC deadlock.

* Mon Dec 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl4
- import Patch51-55 from MDK package.

* Mon Dec 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl3
- add Requires: popt >= %%{poptversion} to rpm-libs.
  librpm-4.4 need new popt feature.

* Fri Dec 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl2
- change manpage kanjicode to euc-jp
- add Patch190 to disable python_requires
- add Patch200 to use external dependency generator instead of internal one.

* Wed Dec 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.2-0vl1
- update to rpm-4.4.3
- Patche0-14 are imported from FC-devel
- vine patches are ported from rpm-4.0.5 (Patch100-160)
- add Patch170 for legacy(rpm-4.0) compatible build mode aliases
- add Patch180 to disable {missing_doc,unpackaged}_files_terminate_build
  by default. (This would be reenabled in future release)
  If you need this feature, please set in your .rpmmacros file.

* Sun Oct 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl12
- rebuild on new environment
  - use external libtool
  - update makefile patch to fix build failure

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 4.0.5-1vl11
- rebuild with python-2.4.1-0vl1

* Thu Mar 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl10
- self rebuilt

* Thu Mar 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl9
- add brp-strip-shared in build macros

* Wed Jul 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl8
- remove %%vendor from global rpmmacro settings.

* Mon May 10 2004 Tomoya TAKA <taka@vinelinux.org> 4.0.5-1vl7
- fix %%pre script, remove bogus ppc* and alpha* macro directories

* Mon May 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl6
- remove bogus macro directories and symlinks in %%pre script

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 4.0.5-1vl5
- rebuild with python-2.3.3-0vl1

* Sun Apr 11 2004 Shu KONNO <owa@bg.wakwak.com> 4.0.5-1vl4.1
- rebuild with python-2.3.3-0vl0.3 (for TestPkg)

* Tue Apr  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl4
- remove GPG/PGP key from %%_docdir.
- add Requires: vine-keyring, the Vine Linux official keyring.
- add '--keyring' option in macros to use vine keyring.

* Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl3
- remove "--target" and "--host" from %%configure option.
  The RPM does not work well on cross compiling, and the options
  break some compile configurations....

* Thu Feb 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.5-1vl2
- use internal db only.
- update Patch100 to fix %%configure macros

* Tue Feb 20 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.0.5-1vl1
- source update for rebuild and current autotools
- added BuildRequires libtool >= 1.5.2
- added patch107,200
  * Tue Mar 25 2003 Jeff Johnson <jbj@redhat.com> 4.0.5-1
  - bump rpm/popt versions, hardwire 4.0.4 in libraries.
  - link rpm libraries together, move symbols to achieve forward linkage.
  - use db-4.1.25, not db-4.0.14, internally.
  - add rpmdb_loadcvt script, rpmdb_foo utilities.
  - use current autotools,
  - use splint, not lclint.
  - delete rpm-4.1 header-only signatures/digests when signing.
  - hack out O_DIRECT support in db4 for now.

  * Tue Nov  5 2002 Jeff Johnson <jbj@redhat.com> 4.0.4-7x.26
  - backport /etc/rpm/platform changes.
  - backport db-4.1.17 changes.
  - add _noDirTokens macro for 6x builds.

  * Sat Jun 15 2002 Jeff Johnson <jbj@redhat.com> 4.0.4-7x.24
  - beecrypt: revert cpu/arch compile option mixup (#66752).

  * Sun Jun  9 2002 Jeff Johnson <jbj@redhat.com> 4.0.4-7x.23
  - make peace with automake-1.6.1 et al.
  - backport all beecrypt/rpmio bits from 4.1 that don't break the API.
  - use /etc/rpm/platform (if it exists), rather than uname(2), for arch.
  - add /usr/lib/rpm/redhat/* per-vendor configuration.

  * Thu May  2 2002 Jeff Johnson <jbj@redhat.com>
  - fix: include <sys/time.h> for 6.2 python modules.

  * Fri Apr 26 2002 Jeff Johnson <jbj@redhat.com>
  - fix: rpmdb iterator memory leak in python bindings.

  * Fri Apr 19 2002 Jeff Johnson <jbj@redhat.com>
  - fix: packages produced by rpm-4.0 dinna merge signature tags.
 
* Fri May 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.0.4-18vl15
- rebuild against perl-5.8.0
- BuildRequires db4-devel

* Wed Mar 12 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl14
- rebuild against recent toolchain

* Wed Jan 29 2003 Tomoya TAKA <taka@vinelinux.org> 4.0.4-18vl13
- rebuild against python-2.2

* Fri Dec 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl12
- fixed typo in %%files for popt subpackage
- added BuildRequires: autoconf213, automake14

* Fri Nov 29 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl11
- update Patch100 again: %%{_infodir} is now set to %%{_datadir}/info.

* Fri Nov 29 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl10
- added Patch106 for ppc
  (to fix misdetection of PowerPC 750FX/745x as pSeries. Doh!)

* Fri Nov 22 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl9
- modified Patch100 for macros.in, platform.in and installplatform
  (important platform-dependent macros were missing. Fixed.)

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.4-18vl8
- add Patch105 to make more short circuit on rpm building.

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.4-18vl7
- update Patch100. (use _real_vendor instead of _vendor)

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.4-18vl6
- add Patch103 to use mkstemp instead of mktemp.
- add Patch104 for $HOME expantion.

* Sun Nov 17 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl5
- Source100 (rpm-4.0.4-ja.po) updated (small fix)

* Fri Nov 15 2002 Tomoya TAKA <taka@vinelinux.org> 4.0.4-18vl4
- add Prereq: rpm = %%{rpm_version} to rpm-*

* Fri Nov 15 2002 Tomoya TAKA <taka@vinelinux.org> 4.0.4-18vl3
- add --with-pic to ./configure on alpha
- echo notice in %%post

* Sun Nov 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl2
- added Source100 (Japanese message catalogue file)

* Sun Nov 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl1
- added Patch102 to get correct "provides" information
  (for objdump in newer binutils may have translated message catalogues)

* Sat Nov 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.4-18vl0
- first attempt for rpm-4.0.4 on Vine Linux
- based on rpm-4.0.4-7x.18 from Red Hat Linux 7.3
- /usr/src/redhat -> /usr/src/vine
- use built rpm binary, not preinstalled rpm, when compiling perl module
- FIXME: more patches and japanese translations would be needed

* Thu Apr 18 2002 Jeff Johnson <jbj@redhat.com>
- fix: queries that evaluated to "" incorrectly returned NULL.

* Thu Apr 11 2002 Jeff Johnson <jbj@redhat.com>
- fix: generate config file md5 as ascii, not binary (#62542).

* Fri Apr  5 2002 Jeff Johnson <jbj@redhat.com>
- non-glibc: on upgrade, mergesort is much faster than quicksort.

* Thu Apr  4 2002 Jeff Johnson <jbj@redhat.com>
- speedup large queries by ~50%.
- revert to presentation ordering Yet Again (#62158).

* Wed Mar 27 2002 Jeff Johnson <jbj@redhat.com>
- fix: look for "/path" in Providename as well as Basenames (#59665).
- fix: avoid /dev/log installation more carefully (#62012).
- fix: don't compile beecrypt java bindings (#61992).
- solaris: save main() envp in global environ for use with gpg.
- don't add empty md5 strings to Filemd5's index.
- create Filemd5 index with binary, not ascii, keys.

* Fri Mar 22 2002 Jeff Johnson <jbj@redhat.com>
- fix: make sure that .rpmsave files are created (#57078).

* Mon Mar 18 2002 Jeff Johnson <jbj@redhat.com>
- fix: one-step-too-far when searching added package provides (#61388).
- fix: avoid libio misconfiguration with bleeding edge glibc.
- fix: add quotes around [:blank:] in linux find-provides.
- make --addsign and --resign behave exactly the same.
- *really* dump signature header immutable region.
- fix: don't overflow result buffer if gpg/pgp gives copious output.

* Fri Mar 15 2002 Jeff Johnson <jbj@redhat.com>
- re-enable FD_CLOEXEC, the problem is in zlib through mmap.
- add toy python callbacks for payload unpacking failure(s).

* Wed Feb 13 2002 Jeff Johnson <jbj@redhat.com>
- don't do close-on-exec, 2 powertools packages cannot be read when doing.
- reapply Berkeley DB patch #4491.

* Thu Feb  7 2002 Jeff Johnson <jbj@redhat.com>
- rpm-4.0.4 release candidate.
- add cpanflute2, another perl.req fiddle.
- another cpanflute2 patch.

* Mon Feb  4 2002 Jeff Johnson <jbj@redhat.com>
- generate index for pkgid (aka Sigmd5) tag, query/verify by pkgid.
- generate index for hdrid (aka Sha1header) tag, query/verify by hdrid.
- generate index for fileid (aka Filemd5s) tag, query/verify by fileid.
- query/verify by install transaction id.

* Sun Feb  3 2002 Jeff Johnson <jbj@redhat.com>
- transaction rollbacks are functional.

* Sat Feb  2 2002 Jeff Johnson <jbj@redhat.com>
- fix: drop header region when writing repackaged legacy header.
- bail on %%files macro.

* Fri Feb  1 2002 Jeff Johnson <jbj@redhat.com>
- macro for %%files, always include %%defattr(), redhat config only.

* Thu Jan 31 2002 Jeff Johnson <jbj@redhat.com>
- permit args to be hidden within %%__find_{requires,provides}.
- a couple more perl.{prov,req} fiddles.

* Wed Jan 30 2002 Jeff Johnson <jbj@redhat.com>
- legacy: configurable whiteout for known Red Hat dependency loops.
- perl.req: don't mis-generate dependencies like perl(::path/to/foo.pl).
- use chainsaw algorithm for dependency tree decimation when ordering.

* Tue Jan 29 2002 Jeff Johnson <jbj@redhat.com>
- transaction rollback code in rpmRollback().
- Red Hat 6.2 portability cruft.

* Sun Jan 27 2002 Jeff Johnson <jbj@redhat.com>
- fix: fancy hash fiddles if not a tty.
- fix: handle /.../ correctly in rpmCleanPath().

* Sat Jan 26 2002 Jeff Johnson <jbj@redhat.com>
- fix: %%exclude functional (again).
- trap SIGILL for ppc64 inline asm voodoo fix from cross-dressed ppc32.
- rpm-perl: force numeric comparison on rpm version (#58882).

* Tue Jan 22 2002 Jeff Johnson <jbj@redhat.com>
- fix: query format qualifiers needed header.c merge.
- ppc64 arch added (#58634,#58636).
- turn on auto-generated perl requirements (#58519, #58536, #58537).
- add internal (customized) version of zlib.

* Mon Jan 21 2002 Jeff Johnson <jbj@redhat.com>
- sync rpmdb and build with rpm-4.1, lots of splint annotations.
- add :armor and :base64 query format qualifiers for binary signatures.

* Sat Jan 19 2002 Jeff Johnson <jbj@redhat.com>
- use beecrypt routines to calculate digests in rpm.
- dump legacy support for broken md5 signatures.
- sync popt and rpmio with rpm-4.1, rpmio has OpenPGP API.

* Thu Jan 17 2002 Jeff Johnson <jbj@redhat.com>
- missing key(s) on keyring when verifying a signature is now an error.
- remove dependency whiteout.
- calculate rpm-4.1 ordering/orientation metrics in rpmdepOrder().

* Fri Jan 11 2002 Jeff Johnson <jbj@redhat.com>
- permit subset installs for %%lang colored hardlink file sets.

* Thu Jan 10 2002 Jeff Johnson <jbj@redhat.com>
- fix: signing multiple times dinna work, discard immutable region.
- remove poptmodule.so for separate packaging.

* Wed Jan  9 2002 Jeff Johnson <jbj@redhat.com>
- permit gpg/pgp/pgp5 execs to be reconfigured.

* Tue Jan  8 2002 Jeff Johnson <jbj@redhat.com>
- use db-4.0.14 final internally.
- make rpm-perl package self-hosting (#57748).

* Mon Jan  7 2002 Jeff Johnson <jbj@redhat.com>
- Depends should use CDB if configured.
- autodetect python 1.5/2.2.

* Sun Jan  6 2002 Jeff Johnson <jbj@redhat.com>
- handle lazy db open's in chroot with absolute path, not prefix strip.

* Sat Jan  5 2002 Jeff Johnson <jbj@redhat.com>
- sparc: make dbenv per-rpmdb, not per-dbi.

* Thu Dec 20 2001 Jeff Johnson <jbj@redhat.com>
- tru64 compiler message cleanup.
- add buildarch lines for hppa (#57728).

* Wed Dec 19 2001 Jeff Johnson <jbj@redhat.com>
- look for PY_VERSION 2.2c1.
- fix: typo in find-requires.

* Sun Dec  9 2001 Jeff Johnson <jbj@redhat.com>
- solaris: translate i86pc to i386 (#57182).
- fix: %%GNUconfigure breaks with single quotes (#57264).

* Mon Dec  3 2001 Jeff Johnson <jbj@redhat.com>
- rpm-4.0.4 started.
- turn off rpm-perl until it's self-hosting.
- jigger up rpm-python with python-2.2b2 for now.
- remove libtoolize from %%configure for now (#57039).
- teach find-requires to autogenerate GCC_3.0 dependencies.
