Summary:        An Open Source software construction tool
Summary(ja):	オープンソースソフトウエア構築ツール
Name:           scons
Version:        2.3.4
Release:        1%{?_dist_release}
Source:         %{name}-%{version}.tar.gz

Group:          Development/Tools
License:        MIT
URL:            http://www.scons.org/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
  --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES \
  --install-lib=%{_prefix}/lib/scons --install-scripts=%{_bindir} --install-data=%{_datadir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -f scons.1 sconsign.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.txt RELEASE.txt
%{_bindir}/*
%{_prefix}/lib/scons
%{_mandir}/man*/*

%changelog
* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.4-1
- new upstream release

* Thu Mar 13 2014 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.1-1
- new upstream release

* Sun Jun 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.1.0-1
- new upstream release

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.0-2
- rebuilt with new toolchain

* Sat Apr 25 2009 Shu KONNO <owa@bg.wakwak.com> 1.2.0-1
- new upstream release

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-1
- new upstream release
- applied new versioning policy, spec in utf-8

* Fri Jun 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-0vl1
- new upstream release

* Sat Oct 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.96-0vl1
- initial build for Vine Linux

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Jan 25 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 0.96-4
- Place libs in {_prefix}/lib/ and not in {libdir}; fixes x86_64 problems
- Adjust minor bits to be in sync with python-spec-template

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 0.96-3
- Bump release to provide Extras upgrade path.

* Thu Aug 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.96-0.fdr.1
- New Version 0.96

* Thu Apr 15 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.95-0.fdr.1
- New Version 0.95

* Fri Nov  7 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:0.93-0.fdr.1
- First Fedora release


