Name:           shared-desktop-ontologies
Summary:        Shared ontologies needed for semantic environments
Summary(ja):    セマンティック環境に必要な共用オントロジー集
Version:        0.11.0
Release:        1%{?_dist_release}

Group:          User Interface/Desktops
License:        BSD or CC-BY
URL:            http://oscaf.sourceforge.net/

Source0:        http://downloads.sourceforge.net/project/oscaf/shared-desktop-ontologies/%{version}/shared-desktop-ontologies-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

BuildRequires:  cmake >= 2.6.0

%description
The vision of the Social Semantic Desktop defines a user’s personal
information environment as a source and end-point of the Semantic Web:
Knowledge workers comprehensively express their information and data
with respect to their own conceptualizations.

Semantic Web languages and protocols are used to formalize these
conceptualizations and for coordinating local and global information
access. The Resource Description Framework serves as a common data
representation format. With a particular focus on addressing certain
limitations of RDF, a novel representational language akin to RDF and
the Web Ontology Language, plus a number of other high-level
ontologies were created.

Together, they provide a means to build the semantic bridges necessary
for data exchange and application integration on distributed social
semantic desktops. Although initially designed to fulfill requirements
for the Nepomuk project, these ontologies are useful for the semantic
web community in general.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for 
developing applications that use %{name}.


%prep
%setup -q

%build
%cmake .

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.BSD LICENSE.CC-BY README
%{_datadir}/ontology

%files devel
%defattr(-,root,root,-)
%{_datadir}/cmake/SharedDesktopOntologies
%{_datadir}/pkgconfig/shared-desktop-ontologies.pc


%changelog
* Sat Sep 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.11.0-1
- new upstream release

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.10.0-1
- new upstream release

* Fri Dec 23 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.8.1-1
- new upstream release

* Sat Jul 30 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.1-1
- new upstream release

* Fri Mar  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.6.0-1
- new upstream release

* Sat Aug 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5-3
- dropt Patch0 (cmake using shared-desktop-ontologies does not work correctory)

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5-2
- added Patch0

* Sun Aug 15 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5-1
- new upstream release

* Sat Apr 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.3-1
- new upstream release

* Thu Feb 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2-4
- initial build for Vine Linux

* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-3
- Add -devel package and move CMake and pkgconfig files there

* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-2
- Fix license tag

* Sat Dec  5 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-1
- Initial release
