Summary: Shared MIME information database
Summary(ja): 共有 MIME 情報データベース
Name: shared-mime-info
Version: 2.1
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux

License: GPL
URL: https://freedesktop.org/wiki/Software/shared-mime-info/
%define altver %(echo %{version} | tr . -)
# archive on gitlab is tooooo bad.
# https://gitlab.freedesktop.org/xdg/shared-mime-info/-/archive/%{version}/shared-mime-info-Release-%{version}.tar.bz2
Source0: https://github.com/freedesktop/xdg-shared-mime-info/archive/refs/tags/%{version}.tar.gz#/shared-mime-info-%{version}.tar.gz
Source1: mimeapps.list
# git HEAD of https://gitlab.freedesktop.org/xdg/xdgmime
Source2: xdgmime.tar.xz
Patch1: 0001-Remove-sub-classing-from-OO.o-mime-types.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  meson
BuildRequires:  itstool
BuildRequires:  libxml2-devel
BuildRequires:  xmlto
BuildRequires:  glib2-devel >= 2.6.0
# For intltool:
BuildRequires: perl-XML-Parser >= 2.31-16
Requires: libxml2
Requires: glib2 >= 2.6.0

# Disable pkgconfig autodep
%global __requires_exclude ^/usr/bin/pkg-config$

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.


%debug_package


%prep
%setup -q -n xdg-%{name}-%{version} -a 2
%autopatch -p1


%build
%meson -Dupdate-mimedb=true -Dxdg-mime-path=./xdgmime/
%meson_build


%install
%meson_install

find $RPM_BUILD_ROOT%{_datadir}/mime -type d \
| sed -e "s|^$RPM_BUILD_ROOT|%%dir |" > %{name}.files
find $RPM_BUILD_ROOT%{_datadir}/mime -type f -not -path "*/packages/*" \
| sed -e "s|^$RPM_BUILD_ROOT|%%ghost |" >> %{name}.files

# Support fallback/generic mimeapps.list (currently based on an old version of
# gnome-mimeapps.list), see:
# https://lists.fedoraproject.org/pipermail/devel/2015-July/212403.html
# https://bugzilla.redhat.com/show_bug.cgi?id=1243049
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/applications/mimeapps.list

## remove bogus translation files
## translations are already in the xml file installed
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/*


%check
%meson_test


%post 
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null ||:

%transfiletriggerin -- %{_datadir}/mime
update-mime-database -n %{_datadir}/mime &> /dev/null ||:

%transfiletriggerpostun -- %{_datadir}/mime
update-mime-database -n %{_datadir}/mime &> /dev/null ||:


%files -f %{name}.files
%license COPYING
%doc README* NEWS
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gettext/its/*
%{_datadir}/mime/packages/*
%dir %{_datadir}/pkgconfig
%{_datadir}/pkgconfig/*.pc
%{_mandir}/man*/*


%changelog
* Fri Mar 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1-1
- new upstream release.

* Fri Apr 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15-1
- new upstream release.

* Sat Apr 23 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.6-1
- new upstream release

* Sat Nov 28 2015 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.5-1
- new upstream release

* Sat Sep 06 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3-1
- new upstream release

* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2-2
- rebuild with VineSeed environment

* Sun Oct 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2-1
- new upstream release

* Sun Mar 03 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1-1
- new upstream release
- changed source archive bz2 to xz

* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 0.71-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat May 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.71-1
- new upstream release

* Mon Aug 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.51-1
- new upstream release
- sepc in UTF-8

* Fri May 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.30-1
- new upstream release
- updated Source1

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23-1vl5
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22-0vl1
- new upstream release
- changed Group to User Interface/Desktops

* Wed Feb  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.20-0vl1
- new upstream release
- changed pkgconfig dir

* Sun Nov 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.19-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-10vl1
- initial build for Vine Linux based on fedora package.

* Mon Oct 18 2004 Alexander Larsson <alexl@redhat.com> - 0.15-10
- Fix for mime sniffing on big-endian

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.15-9
- Handle renaming of hxplay.desktop to realplay.desktop

* Wed Oct 13 2004 Matthias Clasen <mclasen@redhat.com> - 0.15-8
- Handle XUL files. #134122

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> - 0.15-7
- Make helix default for ogg and mp3, will switch wav/flac too 
  when support is added

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 0.15-6
- Change default pdf viewer to ggv

* Tue Sep  7 2004 Alexander Larsson <alexl@redhat.com> - 0.15-4
- Fixed evo desktop file reference in defaults.list

* Mon Sep  6 2004 Caolan McNamara <caolanm@redhat.com> - 0.15-3
- wpd can be opened in abiword, but not in openoffice.org (#114907)

* Fri Sep  3 2004 Alexander Larsson <alexl@redhat.com> - 0.15-2
- Add list of default apps (#131643)

* Mon Aug 30 2004 Jonathan Blandford <jrb@redhat.com> 0.15-1
- bump version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 22 2004 Alex Larsson <alexl@redhat.com> 0.14-1
- update to 0.14

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.13-1
- 0.13

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> mime-info
- Initial build.
