Summary:        A photo manager for the GNOME desktop
Summary(ja):    GNOME デスクトップ向けの写真管理ツール
Name:           shotwell
Version:        0.30.10
Release:        1%{?_dist_release}
Group:          graphics,desktop-gnome
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       kudoh

# LGPLv2+ for the code
# CC-BY-SA for some of the icons
License:        LGPLv2+ and CC-BY-SA
URL:            https://wiki.gnome.org/Apps/Shotwell
%global         shortver %(echo %{version} | cut -d . -f 1-2)
Source0:        https://download.gnome.org/sources/shotwell/%{shortver}/shotwell-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  meson
BuildRequires:  GConf2-devel
BuildRequires:  LibRaw-devel
BuildRequires:  LibRaw-static
BuildRequires:  dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  gtk3-devel
#BuildRequires:  gstreamer-devel
#BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  json-glib-devel
BuildRequires:  libexif-devel
BuildRequires:  libgee-devel
BuildRequires:  libgee-vala
BuildRequires:  libgphoto2-devel
BuildRequires:  eudev-libgudev1-devel
BuildRequires:  libgdata-devel
BuildRequires:  libgexiv2-devel >= 0.2.0
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  lcms2-devel
BuildRequires:  sqlite3-devel
BuildRequires:  unique3-devel
BuildRequires:  vala-devel >= 0.9.5
BuildRequires:  rest-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  webkitgtk4-devel

# used by shotwell-settings-migrator
Requires: dconf

%description
Shotwell is a new open source photo manager designed for the GNOME desktop
environment. It allows you to import photos from your camera, view and edit
them, and share them with others.

%description -l ja
Shotwell は GNOME デスクトップ環境用に設計された新しいオープンソースの
画像管理ツールです。
あなたのカメラから写真を取り込んだり、それらを表示・編集したり、
他の人々と共有するなどができます。


%debug_package


%prep
%setup -q -n %{name}-%{version}


%build
%meson \
    -Dinstall-apport-hook=false
%meson_build

%install
rm -rf %{buildroot}
%meson_install

%find_lang %{name} --all-name --with-gnome


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell-viewer.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc README MAINTAINERS NEWS THANKS AUTHORS
%{_bindir}/shotwell
%{_libdir}/*
%{_libexecdir}/shotwell
%{_datadir}/applications/shotwell.desktop
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/metainfo/*.xml
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/shotwell.png
%{_datadir}/icons/hicolor/symbolic/apps/shotwell-symbolic.svg
%{_mandir}/man1/*


%changelog
* Sun Sep 13 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.30.10-1
- new upstream release.

* Wed Jun 29 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.23.2-1
- new upstream release.
- remove %%_smp_mflags: Makefile has wrong dependency(?).

* Tue Nov 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.22.0-2
- rebuild with exiv2-0.25

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.22.0-1
- new upstream release

* Mon Feb 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.20.2-2
- rebuild with libgphoto2-2.5.7

* Mon Nov 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.20.2-1
- new upstream release

* Thu Jul 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.18.1-1
- new upstream release
- change BuildRequires: eudev-libgudev1-devel instead of libgudev1-devel

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.18.0-1
- new upstream release
- add BuildRequires: gnome-doc-utils

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.15.1-4
- rebuild with LibRaw-0.16.0

* Sun Jan 19 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.15.1-3
- rebuilt with LibRaw-0.15.4

* Wed Dec 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.15.1-2
- rebuild with exiv2-0.24

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.15.1-1
- new upstream release
- remove Patch1 (0001-Port-to-GStreamer-1.0.patch)
- change BuildRequires: libgee-devel instead of libgee06-devel
- add BuildRequires: libgee-vala

* Fri Jan 11 2013 IWAI, Masaharu <iwai@alib.jp> - 0.13.1-2
- build with libgphoto2 2.5.0-1

* Sat Oct 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.13.1-1
- new upstream release
- changed archive typr to xz
- changed BuildRequires: libgee-devel to libgee06-devel
- changed BuildRequires: gstreamer-devel and gstreamer-plugins-base-devel to
  gstreamer1-devel and gstreamer1-plugins-base-devel
- added Requires: dconf
- added Patch0,1 from Fedora

* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.12.3-2
- rebuild with exiv2-0.23

* Thu May 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.12.3-1
- new upstream release
- dropt Source2

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.12.2-1
- new upstream release
- remove Patch0
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: WebKit3-gtk-devel instead of WebKit-gtk-devel
- change BuildRequires: unique3-devel instead of unique-devel
- remove BuildRequires: hal-devel
- add BuildRequires: rest-devel, lcms2-devel

* Sun Nov 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.6-1
- new upstream release

* Thu Oct 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.5-1
- new upstream release

* Fri Oct 14 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.11.4-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.2-1
- new upstream release
- add Patch0 (shotwell-0.11.1-vala-0.14.patch)
- add BuildRequires: gstreamer-plugins-base-devel

* Sat Aug 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.1-2
- rebuilt with libgexiv2-0.2.2-2

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.1-1
- new upstream release

* Sat Jun 18 2011 IWAI, Masaharu <iwai@alib.jp> 0.8.1-5
- add ja.po (Source2): fix <BTS:VineLinux:1142>
- update Summary and description

* Fri Jun 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.1-4
- add hi-res icons (SOURCE1)
- add LANG=en_US.utf8 to get gettext to actually generate translated strings

* Sat Jun 04 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.1-3
- dropt Patch0
- added BuildRequires: LibRaw-static

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.1-2
- add Patch1 (shotwell-0.8.1-vala.patch)

* Wed Jan 12 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.1-1
- new upstream release
- added BuildRequires: gstreamer-devel, json-glib-devel, libsoup-devel, libxml2-devel

* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-2
- rebuilt with rpm-4.8.1 for pkg-config
- fixed %%changelog in Tue Sep 14 2010

* Tue Sep 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release
- changed source URL
- added Patch0 to work around desktop file incorrect comment
- changed BuildRequires: vala-devel >= 0.9.5

* Fri Aug 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.1-1
- new upstream release

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.0-1
- new upstream release
- changed BuildRequires: libgexiv2-devel >= 0.2.0

* Thu Jul 22 2010 Shu KONNO <owa@bg.wakwak.com> - 0.6.1-2
- fixed LIB_DIRS in libraw-config (for lib64)

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-1
- new upstream release
- added BuildRequires: LibRaw-devel, libgexiv2-devel

* Wed May 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release
- added BuildRequires:  libgudev1-devel
- applied new naming policy to spec

* Wed Jan 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- new upstream release
- proved Japanese description

* Thu Jan 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-1
- new upstrema release

* Wed Dec 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-1
- intial build for VineSeed

* Fri Dec 18 2009 Matthias Clasen <mclasen@redhat.com> - 0.4.0-0.1.20091218svn
* Thu Nov 12 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Tue Nov  3 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.0-1
- Version 0.3.0

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.2.0-3
- Rebuild against new libgee

* Wed Aug 12 2009  Matthias Clasen <mclasen@redhat.com> - 0.2.0-2.fc12
- Bring icon cache handling in sync with current guidelines

* Sun Aug  9 2009  Matthias Clasen <mclasen@redhat.com> - 0.2.0-1.fc12
- Initial packaging
