#
# spec file for package GNU Source Highlight (Version 1.x)
# 
# Author: Christian W. Zuckschwerdt <zany@triq.net>, Jan 2003
#

Name:           source-highlight
Summary:        Syntax highlighting for source documents
Version:        3.1.8
Release:        3%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv3
URL:            http://www.gnu.org/software/src-highlite/
Source:         ftp://ftp.gnu.org/gnu/source-highlight/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libboost-devel >= 1.33.1
BuildRequires:  libboost-regex >= 1.33.1
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  ctags
BuildRequires:  help2man
Requires:       ctags

%description
This program, given a source file, produces a document
with syntax highlighting.  Both source languages and output formats
can be specified with a simple syntax and added dynamically.  At the
moment this package can handle many programming languages, such as,
e.g., Java, C/C++, Prolog, Perl, Php3, Python, Flex, ChangeLog, etc.
as source languages, and some output formats such, as, e.g., HTML,
XHTML, LaTeX, etc.


%package devel
Summary:        Development environment of source-highlight
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libboost-devel
Requires:       libboost-regex

%description devel
Header files and libraries for building a extension library for the
source-highlight


%debug_package


%prep
%setup -q


%build
%configure --disable-static --with-boost-regex=boost_regex
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -rf pkgdoc
mv %{buildroot}%{_datadir}/doc/source-highlight pkgdoc

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/source-highlight.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/source-highlight-lib.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/source-highlight.info.gz %{_infodir}/dir
	/sbin/install-info --delete %{_infodir}/source-highlight-lib.info.gz %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%license COPYING
%doc pkgdoc/*
%doc README ChangeLog TODO.txt AUTHORS THANKS
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/source-highlight
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}/*
%{_mandir}/man?/*
%{_infodir}/source-highlight*.info*

%files devel
%defattr(-, root, root)
%{_includedir}/srchilite/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/source-highlight.pc
#{_datadir}/aclocal/*.m4


%changelog
* Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.8-3
- rebuilt with boost-1.75.0.

* Sat Apr 25 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.8-2
- rebuilt with boost-1.72.0.

* Wed May 23 2018 Toshiaki Ara <ara_t@384.jp> 3.1.8-1
- updated to 3.1.8

* Mon Jan 08 2018 Toshiaki Ara <ara_t@384.jp> 3.1.7-3
- rebuild with libboost-1.66.0

* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 3.1.7-2
- rebuild with gcc-5.4.0

* Wed Oct  1 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.1.7-1
- updated to 3.1.7
- changed Group to Development/Tools

* Mon Dec 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-3
- rebuild with libboost-1.54.0

* Tue Jan 18 2011 Shu KONNO <owa@bg.wakwak.com> 3.1.4-2
- rebuilt with libboost-1.45.0

* Sun Oct 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux

