%define pkg_name spread-sheet-widget
%define pkg_version 0.3
%define pkg_release 1%{?_dist_release}

Summary:     A library for Gtk+ which provides a widget for viewing and manipulating 2 dimensional tabular data
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License:  LGPv3+
Group:    System Environment/Libraries
URL:      https://www.gnu.org/software/ssw/
Source0:  http://alpha.gnu.org/gnu/ssw/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gtk3-devel

Vendor: Project Vine
Distribution: Vine Linux


%description
GNU Spread Sheet Widget is a library for Gtk+ which provides a widget
for viewing and manipulating 2 dimensional tabular data in a manner
similar to many popular spread sheet programs.

The design follows the model-view-controller paradigm and is of
complexity O(1) in both time and space. This means that it is
efficient and fast even for very large data.

Features commonly found in graphical user interfaces such as cut and paste,
drag and drop and row/column labelling are also included.


%package devel
Summary:  Development files for %{name}
Summary(ja):  %{name} の開発ファイル
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
This package contains the libraries and header files needed for
developing with %{name}.


%prep
%setup -q %{name}-%{version}

%build
%{configure} --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{makeinstall}

find ${RPM_BUILD_ROOT} -name '*.la' -delete

%{__rm} -rf ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
file=%{_infodir}/%{name}.info.gz
if [ -e ${file} ]; then
    /sbin/install-info ${file} %{_infodir}/dir 2>/dev/null
fi
%{_syssbindir}/ldconfig

%preun
if [ $1 = 0 ]; then
    file=%{_infodir}/%{name}.info.gz
    if [ -e ${file} ]; then
        /sbin/install-info --delete ${file} %{_infodir}/dir 2>/dev/null
    fi
fi

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/lib%{name}.so.*
%{_infodir}/%{name}.info.gz

%files devel
%defattr(-, root, root, -)
%{_includedir}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Sun Oct 27 2019 Toshiaki Ara <ara_t@384.jp> 0.3-1
- initial build

