Name: step
Summary: Interactive physical simulator
Summary(ja): インタラクティブな物理シミュレータ
Version: 4.14.3
Release: 4%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/step/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: eigen2-devel
BuildRequires: gsl-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libqalculate-devel
BuildRequires: soprano-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

Vendor: Project Vine
Distribution: Vine Linux

%description
With Step you can not only learn but feel how physics works. You place some 
bodies on the scene, add some forces such as gravity or springs, then click 
"Simulate" and Step shows you how your scene will evolve according to the 
laws of physics. You can change every property of bodies/forces in your 
experiment (even during simulation) and see how this will change evolution 
of the experiment.

This package is part of the KDE education module.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_bindir}/step
%{_datadir}/appdata/step.appdata.xml
%{_datadir}/applications/kde4/step.desktop
%{_datadir}/config/step.knsrc
%{_datadir}/config.kcfg/step.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/step
%doc %{_docdir}/HTML/en/step/

%changelog
* Sun Jun 03 2018 Toshiaki Ara <ara_t@384.jp> 4.14.3-4
- rebuild under under gsl-2.4

* Tue Nov 15 2016 Toshiaki Ara <ara_t@384.jp> 4.14.3-3
- rebuild under gsl-2.2.1

* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Thu Jan 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- new upstream release

* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release

* Wed Aug 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

