Name:    sweeper
Summary: System cleaner for KDE
Summary(ja): KDE用システムクリーナー
Version: 4.14.3
Release: 2%{?_dist_release}

License: GPLv2
Group:   Applications/Accessories
URL:     https://www.kde.org/applications/utilities/sweeper/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel

# when split occurred
Conflicts: kdeutils < 4.8.0

Vendor: Project Vine
Distribution: Vine Linux

%description
Sweeper helps to clean unwanted traces the user leaves on the system
and to regain disk space removing unused temporary files.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi


%files
%doc COPYING.LIB
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/dbus-1/interfaces/org.kde.%{name}.xml
%{_datadir}/kde4/apps/%{name}
%{_docdir}/HTML/en/%{name}
%exclude %{_libdir}/libkerfuffle.so

%changelog
* Fri Jul 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-2
- rebuild with gcc-5.4.0

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.14.3-1
- initila build
