Summary:        Programs to integrate Flash into the GNOME desktop
Summary(ja):    Flash を GNOME デスクトップに統合するためのプログラム

Name:           swfdec-gnome
Version:        2.30.1
Release:        2%{?_dist_release}

Group:          Applications/Internet
License:        GPLv2+
URL:            http://swfdec.freedesktop.org/
Source0:        http://swfdec.freedesktop.org/download/%{name}/2.30/%{name}-%{version}.tar.bz2
Patch1:		swfdec-gnome-2.26.0-swfdec-0.9.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gtk2-devel >= 2.14.0
BuildRequires:	swfdec-gtk-devel >= 0.9.2
BuildRequires:	GConf2
BuildRequires:  desktop-file-utils
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)

Requires(pre): GConf2
Requires(post):	GConf2
Requires(preun): GConf2

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains programs to integrate Flash functionality into the GNOME
desktop.  It's main application is swfdec-player, a stand-alone viewer for 
Flash files.  It also contains swfdec-thumbnailer, a program that provides 
screenshots for files to display in the Nautilus file manager


%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'
%find_lang %{name}

desktop-file-install --vendor "fedora" --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  $RPM_BUILD_ROOT%{_datadir}/applications/swfdec-player.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas >/dev/null || :
fi


%post
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas > /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README
%{_bindir}/swfdec-player
%{_bindir}/swfdec-thumbnailer
%{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas
%{_datadir}/applications/fedora-swfdec-player.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/swfdec*.1.gz
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with VineSeed environment

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Apr 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- add patch1 to build with swfdec-0.9

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- initial build for Vine Linux

* Mon Sep  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.23.4-1
- Update to 2.23.4.

* Wed Jul 30 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.23.2-1
- Update to 2.23.2.
- Drop configure patch. Fixed upstream.

* Wed Jul 09 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> - 2.22.2-1
- Update to 2.22.2
- Add patch to build with swfdec-0.7.* 

* Fri Jun 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.22.0-2
- Rebuild for new swfdec.

* Sat Mar 15 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Sun Feb 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.21.91-1
- Update to 2.21.91.

* Wed Feb 20 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.21.90-3
- Rebuild for new swfdec.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.21.90-2
- Rebuild for gcc-4.3.

* Tue Jan 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.21.90-1
- Update to 2.21.90.
- Add man pages.
- Update version of swfdec needed.

* Wed Dec 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.5-2
- Rebuild for pulse audio enable swfdec.

* Mon Dec 17 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.5-1
- Update to 0.5.5.

* Tue Nov 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-2
- Add scriptlet to update desktop-database.
- Add vendor to desktop file, even though it's not really necessary.

* Thu Nov 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-1
- Intial Fedora spec.

