Summary:	Programs for manipulating PostScript Type 1 fonts

Name:		t1utils
Version:	1.38
Release:	1%{?_dist_release}

URL:		http://www.lcdf.org/type/
Group:		Applications/Publishing
License:	freely modifiable and distributable

Source:		http://www.lcdf.org/type/%{name}-%{version}.tar.gz

Buildroot:      %{_tmppath}/%{name}-%{version}-root

%description
The t1utils package is a set of programs for manipulating 
PostScript Type 1 fonts. It contains programs to change 
between binary PFB format (for storage), ASCII PFA format 
(for printing), a human-readable and -editable ASCII format, 
and Macintosh resource forks.

%prep
%setup -q

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc NEWS README
%attr(0755,root,root) %{_bindir}/t1ascii
%attr(0755,root,root) %{_bindir}/t1binary
%attr(0755,root,root) %{_bindir}/t1asm
%attr(0755,root,root) %{_bindir}/t1disasm
%attr(0755,root,root) %{_bindir}/t1unmac
%attr(0755,root,root) %{_bindir}/t1mac
%attr(0644,root,root) %{_mandir}/man1/t1ascii.1*
%attr(0644,root,root) %{_mandir}/man1/t1binary.1*
%attr(0644,root,root) %{_mandir}/man1/t1asm.1*
%attr(0644,root,root) %{_mandir}/man1/t1disasm.1*
%attr(0644,root,root) %{_mandir}/man1/t1unmac.1*
%attr(0644,root,root) %{_mandir}/man1/t1mac.1*

%changelog 
* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.38-1
- update to 1.38

* Mon Apr 25 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.36-1
- updated to 1.36
- built with current VineSeed

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 1.32-1vl5
- applied new versioning policy

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.32-0vl2
- rebuit for VineSeed
- changed Group to Applications/Publishing

* Sat Mar 12 2005 Jun NISHII <jun@vinelinux.org> 1.32-0vl1
- build on Vine 3.1

