Name:           taglib-extras
Summary:        Taglib support for other formats 
Version:        1.0.1
Release:        4%{?_dist_release}

Group:          System Environment/Libraries
# all LGPLv2, except for rmff/ which is GPLv2+/LGPLv2+
License:        LGPLv2
URL:            http://websvn.kde.org/trunk/kdesupport/taglib-extras/

Source0:	http://www.kollide.net/~jefferai/taglib-extras-%{version}.tar.gz

# taglib-extras-config: drop multilib-conflicting mention of libdir, since
# it's already in default linker search path
Patch1: taglib-extras-0.1-multilib-1.patch

## upstream patches
Patch100: taglib-extras-1.0.1-version.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake >= 2.6.0
BuildRequires: taglib-devel >= 1.6

Requires: taglib >= 1.6

%description
Taglib-extras delivers support for reading and editing the meta-data of 
audio formats not supported by taglib.


%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
%{summary}.


%prep
%setup -q 

%patch1 -p1 -b .multilib
%patch100 -p1 -b .version


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}   
%cmake ..
popd                        

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING.LGPL
%{_libdir}/libtag-extras.so.1*

%files devel
%defattr(-,root,root,-)
%{_bindir}/taglib-extras-config
%{_includedir}/taglib-extras/
%{_libdir}/libtag-extras.so
%{_libdir}/pkgconfig/taglib-extras.pc


%changelog
* Sat Sep 03 2016 Toshiaki Ara <ara_t@384.jp> - 1.0.1-4
- rebuild with gcc-5.4.0

* Tue Jan 20 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.0.1-3
- rebuilt on current VineSeed

* Sun Oct 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.1-2
- initial build for Vine Linux

* Mon Sep 21 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.1-1
- taglib-extras-1.0.1

* Thu Sep 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-2
- drop (deprecated/no-op) kde integration

* Thu Sep 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- taglib-extras-1.0.0 (API/ABI bump)

* Wed Sep 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.7-1
- taglib-extras-0.1.7

* Mon Aug 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.6-1
- taglib-extras-0.1.6

* Fri Jul 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.5-1
- taglib-extras-0.1.5

* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.4-1
- taglib-extras-0.1.4

* Sat May 02 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.3-1
- taglib-extras-0.1.3

* Thu Apr 07 2009 Eelko Berkenpies <fedora@berkenpies.nl> - 0.1.2-1
- taglib-extras-0.1.2

* Thu Mar 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.1-2
- enable KDE integration, -DWITH_KDE

* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.1-1
- taglib-extras-0.1.1

* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1-4
- refetch tarball

* Mon Mar 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1-3
- -devel: Requires: taglib-devel
- Source0: full URL

* Mon Mar 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1-2
- fixup for review

* Fri Mar 20 2009 Eelko Berkenpies <fedora@berkenpies.nl> - 0.1-1
- initial package
