Name:    taglib-sharp
Version: 2.1.0.0
Release: 1%{?_dist_release}
Summary: Provides tag reading and writing for Banshee and other Mono apps

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://download.banshee-project.org/taglib-sharp/
Source0: http://download.banshee.fm/taglib-sharp/2.1.0.0/taglib-sharp-2.1.0.0.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	autoconf automake libtool
BuildRequires:	gnome-sharp2-devel
BuildRequires:	mono-devel
BuildRequires:	mono-nunit-devel
BuildRequires:	monodoc

Vendor: Project Vine
Distribution: Vine Linux

%description
TagLib# is a metadata or "tag" reader and writer library that supports the
most common movie and music formats, abstracting away format specificity.
TagLib# offers either a common API for all formats or access to specific

%package devel
Summary: Provides tag reading and writing for Banshee and other Mono apps
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for taglib-sharp.

%prep
%setup -q 

%build
# Docs are broken.
%configure --disable-docs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#mkdir -p %{buildroot}%{_libdir}/pkgconfig
#mv %{buildroot}%{_datadir}/pkgconfig/*.pc %{buildroot}%{_libdir}/pkgconfig/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/mono/gac/*/
%{_prefix}/lib/mono/taglib-sharp/

%files devel
%defattr(-,root,root,-)
# %%doc %{_libdir}/monodoc/sources/taglib-sharp-docs*
%{_datadir}/pkgconfig/taglib-sharp.pc

%changelog
* Wed Apr  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1.0.0-1
- updated to 2.1.0.0
- built with mono 3.12.1
- changed BuildArch to noarch

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.3.7-2
- rebuild with VineSeed environment

* Sun Jun 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.3.7-1
- initial build for VIne Linux


* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 29 2011 Christian Krause <chkr@fedoraproject.org> - 2.0.3.7-4
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Mon Mar 21 2011 Dan Horák <dan[at]danny.cz> - 2.0.3.7-3
- updated the supported arch list

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 24 2010 Christian Krause <chkr@fedoraproject.org> - 2.0.3.7-1
- Update to 2.0.3.7

* Sun Feb 28 2010 Christian Krause <chkr@fedoraproject.org> - 2.0.3.6-2
- Fix compilation on x86_64

* Sat Feb 27 2010 Christian Krause <chkr@fedoraproject.org> - 2.0.3.6-1
- Update to 2.0.3.6

* Thu Feb 18 2010 Karsten Hopp <karsten@redhat.com> 2.0.3.2-5.1
- enable s390, s390x where we have mono now

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 2.0.3.2-5
- switch sparc to sparcv9

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0.3.2-4
- Build for ppc64

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Xavier Lamien <laxathom@fedoraproject.org> - 2.0.3.2-3
- Build arches ppc.

* Wed Feb 25 2009 David Nielsen <dnielsen@fedoraproject.org> - 2.0.3.2-2
- fix pkgconfig file

* Tue Feb 24 2009 David Nielsen <dnielsen@fedoraproject.org> - 2.0.3.2-1
- Update to 2.0.3.2
- The Banshee project has now taking over upstream responsibilities
- Remove patches
- Enable threaded build in accordance to Fedora guidelines

* Mon Feb 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-8
- disable doc generation

* Mon Nov 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-7
- apply mimetypes fix recommended by banshee upstream

* Thu Jun 5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-6
- fix docs generation

* Thu Jun 5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-5
- Rebuild against new mono bits

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-4
- don't need to specify pkgconfig as a BR, it gets pulled in

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-3
- BR: monodoc-devel

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-2
- just fix noInjectMenuItem

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3.0-1
- initial package
