;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 24 用 Vine Linux Tamago-tsunagi 設定
;;    IWAI, Masaharu <iwaim.sub@gmail.com>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Egg (Wnn フロントエンド) の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Wnn6/FreeWnn
(if (or (equal emacs-ime "wnn")
        (equal emacs-ime "Wnn")
        (equal emacs-ime "wnn6")
        (equal emacs-ime "Wnn6")
        (equal emacs-ime "wnn8")
        (equal emacs-ime "Wnn8"))
    (progn

         ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
      ;;emacs-dl-wnnでないときの設定( emacs-21 + tamago v4)

      (global-set-key "\C-\\" 'toggle-input-method)
      ;; Shift-Space または 半角/全角 でも起動
      (global-set-key [?\S-\ ] 'toggle-input-method)
      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
      (load "egg")
      
      ;; InputMethod の設定
      ;; emacs 起動時 ASCII
      ;;(setq default-input-method "japanese-egg-wnn")
      ;; emacs 起動時から日本語入力
      (set-input-method "japanese-egg-wnn")
      
      ;; jserverの指定
      ;; jserver のリストを次の様にして指定できます
      ;;(setq jserver-list '("vanilla" "espresso"))
      (setq jserver-list (list (getenv "JSERVER") "localhost"))


      ;;--------------------------------------------------------
      ;; tamago v4
      ;;--------------------------------------------------------
      ;; 全般
      
      ;;(setq egg-default-startup-file "eggrc-wnn") ; 95.6.1 by S.Tomura
      (garbage-collect)
      
      ;; "nn" で「ん」を入力
      (setq enable-double-n-syntax t)
      
      ;; "." で「.」、"," で「,」を入力。
      (setq use-kuten-for-period nil)
      (setq use-touten-for-comma nil)
      
      )
  )	


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; tamago-anthy の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(if (or (equal emacs-ime "anthy")
        (equal emacs-ime "Anthy")
        (equal emacs-ime "egg-anthy")
        (equal emacs-ime "tamago-anthy")
	(equal emacs-ime "tamago-tsunagi-anthy"))
    (progn
      (require 'egg)
      (load "tamago-tsunagi/leim-list")
      ;; InputMethod の設定
      (setq default-input-method "japanese-egg-anthy")
      ;; AnthyとUTF-8で通信する
      (setq anthy-egg-use-utf8 t)
      
      ;; "nn" で「ん」を入力      
      (setq egg-mode-preference t)

      ;; "." で「．」、"," で「，」を入力。 
      (setq use-kuten-for-period nil)
      (setq use-touten-for-comma nil)

      ;; 候補の最後まで行ったら先頭に戻る
      (setq egg-conversion-wrap-select t)
      
      ;; 候補一覧を表示するまでの変換回数、0で非表示
      (setq egg-conversion-auto-candidate-menu 2)
      ;; 不正なキーシーケンスを警告する
      (setq its-barf-on-invalid-keyseq t)
      

      ;; egg-anthy.el
      (add-hook 'anthy-load-hook '(lambda () (load "egg-anthy")))

      (global-set-key [?\S-\ ] 'toggle-input-method)
      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
      )
  )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(provide 'vine-default-tamago-tsunagi)

;; Local Variables:
;; mode: emacs-lisp
;; End:
