%bcond_with firstbuild

Summary: TeX Live packaging utilities for Vine Linux
Summary(ja): Vine Linux 用 TeX Live パッケージングユーティリティ
Name: texlive-vtlpkg
Version: 2016
Release: 2%{?_dist_release}
License: GPLv2+
Group: Development/Tools
Url: http://trac.vinelinux.org/wiki/TeXEnvironment

# %{name}-%{version}.tar.xz is generated by running "$ make rpm"
Source0: %{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: sed
BuildRequires: xz
Requires: bash

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
texlive-vtlpkg is used to create a package of TeX Live for Vine Linux. 
It provides tlpdb2rpmspec. 

%description -l ja
texlive-vtlpkg は Vine Linux 用 TeX Live パッケージを作るユーティリティです。
tlpdb2rpmspec を提供しています。


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}

%setup

%build
%__make

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/tlpdb2rpmspec
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_sysconfdir}/rpm/macros.texlive


%changelog
* Tue May 10 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-2
- synced tlnet to 20160510 (TeX Live 2016/pretest)

* Thu Apr 28 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2016-1
- TeX Live 2016/pretest
- synced tlnet to 20160428 (TeX Live 2016/pretest)

* Wed Jan 13 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2015-4
- remove duplicated files from texlive-collection-*
- synced tlnet to 20160113 (TeX Live 2015)

* Sun Jan 10 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2015-3
- TeX Live 2016/dev
- synced tlnet to 20160110 (TeX Live 2016/dev)

* Sun May 24 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-2
- TeX Live 2015/pretest
- synced tlnet to 20150522 (TeX Live 2015/pretest)

* Sun Apr 26 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-1
- TeX Live 2015/pretest
- synced tlnet to 20150426 (TeX Live 2015/pretest)

* Wed Apr  1 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2014-4
- synced tlnet to 20150401

* Tue Oct 28 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-3
- synced tlnet to 20141028

* Sun Jul  6 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-2
- synced tlnet to 20140706

* Sun May 25 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-1
- upgraded to TeX Live 2014

* Sun Apr  6 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2013-6
- synced tlnet to 20140406

* Wed Dec 18 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-5
- synced tlnet to 20131218

* Fri Nov  1 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-4
- synced tlnet to 20131101

* Wed Oct  2 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-3
- synced tlnet to 20131002

* Thu Sep 19 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-2
- synced tlnet to 20130919

* Fri Aug 23 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-1
- upgraded to TeX Live 2013
  - used tlnet archives
  - synced tlnet to 20130823
- added macros.texlive

* Fri Aug 10 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- updated to TeX Live 2012

* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- updated tlpdb2rpmspec.sh.in and dot.vtlpkg.conf.in: 
  - set external dependencies (texlive-collection-binextra, 
    texlive-collection-fontutils)

* Sun Oct 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- updated to TeX Live 2011
- merged texlive-vtlpkg-2009-osx.patch from OSXWS
- added %%doc README (%%files)

* Wed Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- applied texlive-vtlpkg-2009-vine.patch
  - remove arch dependent binaries
- updated tlpdb2rpmspec.sh.in: 
  - improved tlpdb4a()
  - make symlinks of core script utils (texlive-collection-binextra, 
    texlive-collection-context, texlive-collection-fontutils, 
    texlive-collection-langgreek, texlive-collection-langindic, 
    texlive-collection-latex, texlive-collection-latexextra, 
    texlive-collection-latexrecommended, texlive-collection-pictures, 
    texlive-collection-pstricks, texlive-collection-science)

* Wed Jan 12 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- updated tlpdb2rpmspec.sh.in: 
  - improved %%post

* Sun Sep 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- updated tlpdb2rpmspec.sh.in: 
  - removed arch dependent binaries (texlive-collection-latexextra)
  - improved updmap process in %%post and %%postun
  - fixed perl path

* Fri Jul 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial build
