# to activate, add --with [python|ruby] to rpmbuild
%bcond_with python
%bcond_with ruby

Summary:	Japanese handwritten input system
Summary(ja):	日本語手書き文字認識エンジン
Name:		tomoe
Version:	0.6.0
Release:	3%{?_dist_release}
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://tomoe.sourceforge.jp/

Source0:	tomoe-%{version}.tar.gz
Patch0:         tomoe-0.6.0-multiarch-conflict.patch
Patch1:         tomoe-0.6.0-bz502662.patch
Patch2:         tomoe-0.6.0-fixes-glib-includes.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gettext
BuildRequires:	glib2-devel >= 2.4.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:  perl(XML::Parser)
BuildRequires:  python
%if %{with python}
BuildRequires:	pygobject-devel
BuildRequires:	pygtk2-devel
BuildRequires:	python-devel
%endif
%if %{with ruby}
BuildRequires:	ruby-gnome2-devel
%endif
## for extra dictionary backends
#BuildRequires:  mysql-devel, subversion-devel, hyperestraier-devel

%if %{with python}
Requires: python
Provides: python-tomoe = %{version}-%{release}
%endif

%description
A program which does Japanese handwriting recognition.

%description -l ja
日本語の手書き文字を認識するエンジンです。

%package devel
Summary:	Header files for developing tomoe applications
Summary(ja):	tomoe アプリケーション開発用ヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
%if %{with python}
Requires:       pygobject-devel
Provides:       python-tomoe-devel = %{version}-%{release}
%endif

%description devel
The tomoe-devel package includes the header files for the tomoe package.
Install this package if you want to develop programs which use tomoe.

%description -l ja devel
tomoe-devel パッケージには、tomoe を使うアプリケーションを開発するための
ヘッダファイルが含まれています。

%if %{with ruby}
%package -n ruby-tomoe
Summary:	Tomoe library for Ruby
Summary(ja):	Ruby から巴を使うためのライブラリ
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ruby

%description -n ruby-tomoe
Ruby extension library to use Tomoe

%description -l ja -n ruby-tomoe
Ruby から巴を使うための拡張ライブラリです。

%package -n ruby-tomoe-devel
Summary:	Header files for developing ruby-tomoe applications
Summary(ja):	ruby-tomoe アプリケーション開発用ヘッダファイル
Group:		Development/Libraries
Requires:	ruby-tomoe = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description -n ruby-tomoe-devel
The ruby-tomoe-devel package includes the header files for the ruby-tomoe
package.
Install this package if you want to develop programs which use ruby-tomoe.

%description -l ja -n ruby-tomoe-devel
ruby-tomoe-devel パッケージには、ruby-tomoe を使うアプリケーションを開発
するためのヘッダファイルが含まれています。
%endif

%prep
%setup -q
%patch0 -p0 -b .multiarch-conflict
%patch1 -p0 -b .bz502662
%patch2 -p1 -b .glib

%build
autoreconf -vif
%configure \
        --disable-static \
        --enable-silent-rules \
%if %{without python}
        --without-python \
%endif
%if %{with ruby}
	--with-ruby-extdir=%{rarchdir} \
	--with-ruby-libdir=%{rlibdir} \
%else
	--without-ruby \
%endif
	--enable-gtk-doc 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%if %{with ruby}
#rm -f $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/tomoe.rb $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/*-linux/*
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/xml2est.rb
%endif

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/tomoe/module/dict/libmysql.*
rm -f $RPM_BUILD_ROOT%{_libdir}/tomoe/module/dict/libsvn.*
find $RPM_BUILD_ROOT -name '*.la' | xargs rm

#%if !%{with ruby}
#rm -rf %{buildroot}%{rarchdir}
#rm -rf %{buildroot}%{rlibdir}
#endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_sysconfdir}/tomoe
%config(noreplace) %{_sysconfdir}/tomoe/config
%{_libdir}/*.so.*
%if %{with python}
%{_libdir}/python?.?/site-packages/tomoe.so
%endif
%dir %{_libdir}/tomoe
%dir %{_libdir}/tomoe/module
%dir %{_libdir}/tomoe/module/dict
%{_libdir}/tomoe/module/dict/*.so
%dir %{_libdir}/tomoe/module/recognizer
%{_libdir}/tomoe/module/recognizer/*.so
%{_datadir}/tomoe

%files devel
%defattr(-,root,root,-)
%{_includedir}/tomoe
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/tomoe

%if %{with ruby}
%files -n ruby-tomoe
%defattr(-,root,root,-)
%{rarchdir}/*.so.*
%{rlibdir}/tomoe.rb

%files -n ruby-tomoe-devel
%defattr(-,root,root,-)
%{rarchdir}/*.h
%{rarchdir}/*.so
%endif

%changelog
* Mon Nov 10 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.6.0-3
- rebuilt on current VineSeed
- added Patch1 and 2 from Fedora
  * Tue Jul 24 2012  Peng Wu <pwu@redhat.com> - 0.6.0-22
  - Fixes glib includes
  * Tue Jun  2 2009 Ding-Yi Chen <dchen at redhat.com> - 0.6.0-14
  - [Bug 502662] SCIM-tomoe doesn't load - no error msgs

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.6.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun May 31 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6.0-1
- new upstream release
- added --disable-static in %%configure
- applied tomoe-0.6.0-multiarch-conflict.patch

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.1-1vl5
- applied new versioning policy, spec in utf-8
- remove *.la

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.1-0vl1
- new upstream release

* Sun Jan 07 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl3
- disable ruby extension by default

* Fri Jan 05 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl2
- move from tomoe-devel to tomoe
  - %%{_libdir}/tomoe/module/dict/*.so
  - %%{_libdir}/tomoe/module/recognizer/*.so

* Sat Dec 31 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl1
- new upstream release
- add BuildRequires: unzip
- update %%files section

* Mon Dec 18 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.4.0-0vl1
- new upstream release
- update dependencies
  - drop BuildRequires: libxml2-devel, libxslt-devel, doxygen
  - add BuildRequires:
    - gtk-doc, libxslt, glib2-devel
    - ruby-devel, ruby-gnome2-devel
  - drop Requires: libxml2, libxslt
  - add Requires: glib2
- add new sub-package: ruby-tomoe

* Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.3.0-0vl2
- oops, add Requires: libxml2, libxslt instead of *-devel

* Fri Nov 24 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.3.0-0vl1
- new upstream release
- add BuildRequires: libxml2-devel, libxslt-devel, doxygen
- add Requires: pkgconfig to -devel package
- update %%files

* Mon Nov 07 2005 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.2.1-3vl1
- initial release for Vine Linux
- disable %%__libtoolize
- add Japanase summary and description

* Sat Sep 3 2005 Warren Togami <wtogami@redhat.com> - 0.2.1-3
- some spec cleanup

* Sat Sep 2 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-2
- Sync with Jens's spec file

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-1
- Initial packaging for Extras

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- add a package tomoe-devel
- add %%post and %%postun sections

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
