%bcond_with systemd

%global ver     2.6.0-20201111

Summary:        utilities for TOMOYO Linux
Summary(ja):    TOMOYO Linux用のユーティリティ
Name:           tomoyo-tools
Version:        %(echo %{ver} | tr "-" ".")
Release:        1%{?_dist_release}%{?with_systemd:.systemd}
Group:          admin-tools,security
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL
URL:            https://tomoyo.osdn.jp/
Source0:        https://jaist.dl.osdn.jp/tomoyo/70710/tomoyo-tools-%{ver}.tar.gz
Source1:        tomoyo-auditd.service

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  ncurses-devel

%if %{with systemd}
%{?systemd_requires}
%endif

%description
 TOMOYO Linux is a lightweight and easy-to-use path-based Mandatory Access
Control (MAC) implementation.

 This package provides the audit daemon and administrative utilities for use
on a Linux kernel with TOMOYO support.

%description -l ja
　TOMOYO Linuxは、軽量で簡単に利用できるパスベースの強制アクセス制御（MAC）
実装です。

　このパッケージは、TOMOYOサポートを有効にしたカーネル上で利用される監査
デーモンと管理ユーティリティを提供します。


%debug_package


%prep
%setup -q -n tomoyo-tools


%build
%{__make} %{?_smp_mflags} USRLIBDIR=%{_libdir} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__make} INSTALLDIR=%{buildroot} USRLIBDIR=%{_libdir} install

install -d -p -m700 %{buildroot}%{_sysconfdir}/tomoyo
%if %{with systemd}
install -Dpm644 %{SOURCE1} %{buildroot}%{_unitdir}/tomoyo-auditd.service
%endif

rm -f %{buildroot}%{_libdir}/tomoyo/{README.tomoyo,COPYING.tomoyo}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING*
%doc README*
/sbin/*
%{_sbindir}/*
%{_libdir}/tomoyo/*
%{_libdir}/libtomoyo*
%{_mandir}/man?/*
%{_sysconfdir}/tomoyo
%if %{with systemd}
%{_unitdir}/tomoyo-auditd.service
%endif


%changelog
* Wed Mar 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0.20201111-1
- new upstream release.
- dropped acriptlets.

* Wed Jul 22 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.0.20200229-1
- initial build for Vine Linux.
