Summary: A utility for converting FIG files (made by xfig) to other formats.
Summary(ja): Xfig で作った FIG ファイル変換ユーティリティ
Name: transfig
Version: 3.2.8
Release: 1%{?_dist_release}
Group: graphics
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

License: MIT
URL: http://www.xfig.org/
Source: http://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
%{?nosrc:NoSource: 0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libXpm-devel
BuildRequires:  ghostscript

Requires:       ghostscript
Requires:       bc
Requires:       netpbm-progs

%description
TransFig is a set of tools for creating TeX documents with graphics
which are portable, in the sense that they can be printed in a wide
variety of environments.


%debug_package


%prep
%setup -q -n fig2dev-%{version}
%autopatch -p1
autoreconf -i
# Fix the manpage not being in UTF-8
iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in


%build
%configure --enable-transfig
%make_build


%install
%make_install


%files
%defattr(-,root,root)
%doc CHANGES transfig/doc/manual.pdf
%{_bindir}/transfig
%{_bindir}/fig2dev
%{_bindir}/fig2ps2tex
%{_bindir}/pic2tpic
%{_mandir}/man1/*
%{_datadir}/fig2dev


%changelog
* Tue Mar 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.8-1
- new upstream release.
- dropped all patches.

* Tue Oct  7 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.2.5e-1
- updated to 3.2.5e
- added Patch11 from Fedora
  - make it compile with -Werror=format-security (#1037365)
- built with libpng-1.6.12

* Sat Aug 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.5-1
- spec in utf-8, new versioning policy
- build for modular X
- new upstream release
- add BR: libXpm-devel, remove BR: XOrg-devel
- drop obsolete patches
- add Patch0 to use optflags
- add Patch5 to build with modular X
- add Patch6 to fix permission on sources
- add Patch10 to fix build failure

* Tue Oct 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.2.4-7vl2
- add BuildPrereq: XOrg-devel

* Fri Sep 10 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.2.4-7vl1
- updated source to 3.2.4
- updated Patch0 and Patch1, newly added Patch2 and Patch3 from Fedora
  * Tue Jun 17 2003 Than Ngo <than@redhat.com> 3.2.4-4
  - patch build problem
  * Fri May 23 2003 Jeremy Katz <katzj@redhat.com> 1:3.2.4-2
  - fix build with gcc 3.3
- rebuild with new toolchains and libpng >= 1.2
- build with -march=i386 
- s/Copyright/License/
- changed Group

* Sat Jun 22 2002 Masaki Shinomiya <shino@pos.to>
- 3.2.3d-5vl1
- source update
- strerror.patch from rawhide, 3.2.3d-vine.patch, buildprereq

* Sun Aug 20 2000 Jun Nishii <jun@vinelinux.org>
- 3.2.3c-1vl1

* Mon Jan 24 2000 Atsushi Saito <saito4@slb.com>
- update to 3.2.3
- i18n

* Mon Dec  6 1999 Atsushi Saito <saito4@slb.com>
- i18n.

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
