Summary:	Drawing program designed for young children
Summary(ja):	子供向けのお絵かきソフトウェア
Name:		tuxpaint
Version:	0.9.22
Release:	1%{?_dist_release}
Source0:        http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         tuxpaint-utf8.patch
Patch1:         tuxpaint-0.9.20-fix-desktop-file.patch
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://www.tuxpaint.org/

BuildRequires:  SDL-devel >= 1.2.4
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  SDL_Pango-devel
BuildRequires:  desktop-file-utils
BuildRequires:  freetype2-devel >= 2.0
BuildRequires:  gettext
BuildRequires:  libpaper-devel
BuildRequires:  libpng-devel
BuildRequires:  librsvg2-devel
BuildRequires:  netpbm-devel
BuildRequires:  fribidi-devel
BuildRequires:	gperf

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
"Tux Paint" is a free drawing program designed for young children
(kids ages 3 and up). It has a simple, easy-to-use interface,
fun sound effects, and a cartoon mascot who helps you along.

%description -l ja
タックスペイントは、3歳から12歳の子供向けの、フリーのお絵かき
プログラムです。簡単な操作と楽しい効果音を兼ね備え、マスコット
キャラクターが、プログラムを使ってお絵かきをする子供たちの案
内役を務めます。

日本語環境で使用する場合は、ボタンの文字や説明文などは、全て
ひらがなやカタカナのみで表示されます。

%package devel
Summary:	Development files for tuxpaint extensions/plugins
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for tuxpaint extensions/plugins

%description devel -l ja
tuxpaint 用の extensions/plugins 開発に必要なファイルです。

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .fixdesktopfile

sed -i -e '/\/gnome\/apps\/Graphics/d' Makefile
find docs -type f -exec perl -pi -e 's/\r\n/\n/' {} \;
find docs -type f -perm +100 -exec chmod a-x {} \;

make PREFIX=/usr MAGIC_PREFIX=%{_libdir}/tuxpaint/plugins tp-magic-config

%build
make %{?_smp_mflags} \
    PREFIX=/usr \
    CFLAGS="$RPM_OPT_FLAGS" \
    MAGIC_PREFIX=%{_libdir}/tuxpaint/plugins

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
make install PKG_ROOT=$RPM_BUILD_ROOT PREFIX=%{_usr} \
    X11_ICON_PREFIX=$RPM_BUILD_ROOT%{_datadir}/pixmaps/ \
    GNOME_PREFIX=/usr \
    KDE_PREFIX="" \
    KDE_ICON_PREFIX=/usr/share/icons \
    MAGIC_PREFIX=$RPM_BUILD_ROOT%{_libdir}/tuxpaint/plugins
find $RPM_BUILD_ROOT -type d|xargs chmod 0755
%find_lang %{name}

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
    --vendor vine \
    --add-category KidsGame \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/tuxpaint.desktop

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%doc docs
%{_sysconfdir}/bash_completion.d/tuxpaint-completion.bash
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%{_libdir}/%{name}/
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}-dev/
%{_includedir}/tuxpaint/

%changelog
* Sun Dec 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.22-1
- new upstream release
- remove Patch2,3,4
- add BuildRequires: gperf

* Sun Jul 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.21-2
- rebuild with libpng-1.6.12
- add Patch3 (tuxpaint-0.9.21-png15.patch) from fedora
- add Patch4 (tuxpaint-0.9.21-makefile.patch)

* Sat Oct 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.9.21-1
- new upstream release
- add BuildRequires: fribidi-devel
- add patch2 to fix puzzle plugin error

* Thu May 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.9.20-1
- initial build for Vine Linux based of fedora development
- add japanese summary and description
- add patch2 to fix puzzle plugin

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1:0.9.20-2
- Rebuild for Python 2.6

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.9.20-1
- update to 0.9.20

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.9.17-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:0.9.17-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1:0.9.17-2
- Rebuild for selinux ppc32 issue.

* Sat Jul 07 2007 Steven Pritchard <steve@kspei.com> 1:0.9.17-1
- Update to 0.9.17.
- BR librsvg2-devel and libpaper-devel.
- Add include path for glibconfig.h to CFLAGS.

* Tue Jan 30 2007 Steven Pritchard <steve@kspei.com> 1:0.9.16-4
- Honor $RPM_OPT_FLAGS.
- Fix various rpmlint warnings:
  - Expand tabs in spec.
  - Convert tuxpaint.1 to UTF-8.
  - Get rid of DOS line endings in docs.
  - Nothing in docs should be executable.

* Fri Oct 27 2006 Steven Pritchard <steve@kspei.com> 1:0.9.16-3
- Fix category in tuxpaint.desktop.

* Thu Oct 26 2006 Steven Pritchard <steve@kspei.com> 1:0.9.16-2
- Drop "--add-category X-Fedora".

* Tue Oct 24 2006 Steven Pritchard <steve@kspei.com> 1:0.9.16-1
- Update to 0.9.16.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.15b-4
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Steven Pritchard <steve@kspei.com> 1:0.9.15b-3
- Explicitly link libpng.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 1:0.9.15b-2
- Rebuild.
- Update URL.

* Fri Jun 02 2006 Steven Pritchard <steve@kspei.com> 1:0.9.15b-1
- Update to 0.9.15b
- Convert tuxpaint.desktop to UTF-8
- Drop gnome-libs-devel and kdelibs build dependencies by providing
  appropriate variables to "make install"
- Add docs properly
- Indirectly require hicolor-icon-theme (so that directories are
  owned and have proper permissions)

* Mon Mar 13 2006 Steven Pritchard <steve@kspei.com> 1:0.9.15-1
- Update to 0.9.15
- Drop destdir patch

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1:0.9.13-3
- rebuild on all arches

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jun 09 2004 Warren Togami <wtogami@redhat.com> 1:0.9.13-0.fdr.1
- Epoch bump to override old k12ltsp package

* Mon May 31 2004 Panu Matilainen <pmatilai@welho.com> 0:0.9.13-0.fdr.1
- update to 0.9.13
- take a private copy of desktop file and fix it..

* Sun May 30 2004 Panu Matilainen <pmatilai@welho.com> 0:0.9.12-0.fdr.3
- add missing buildrequires desktop-file-utils (#1667)

* Fri Oct 03 2003 Panu Matilainen <pmatilai@welho.com> 0:0.9.12-0.fdr.2
- add missing buildreq's: kdelibs, gnome-libs-devel, SDL_mixer-devel
- remove CVS directories from rpm

* Tue Aug 26 2003 Panu Matilainen <pmatilai@welho.com> 0:0.9.12-0.fdr.1
- Initial RPM release.
