# Always update this to the latest release
%global ubunturelease wily

%global _keyringsdir %{_datadir}/keyrings

Name:           ubuntu-keyring
Version:        2012.05.19
Release:        1%{?_dist_release}
Summary:        GnuPG keys of the Ubuntu archive
Summary(ja):    Ubuntu アーカイブの GnuPG 鍵

License:        Public Domain
URL:            https://launchpad.net/ubuntu-keyring
Source0:        https://launchpad.net/ubuntu/%{ubunturelease}/+source/ubuntu-keyring/%{version}/+files/ubuntu-keyring_%{version}.tar.gz

BuildArch:      noarch

%description
The Ubuntu project digitally signs its Release files. This package contains the
archive keys used for that, in a minimal form for use in the installer.

%prep
%setup -q -n ubuntu-keyring-%{version}


%build


%install
install -d %{buildroot}%{_keyringsdir}
[ ! -s keyrings/ubuntu-archive-removed-keys.gpg ] && rm keyrings/ubuntu-archive-removed-keys.gpg
cp -a keyrings/* %{buildroot}%{_keyringsdir}


%files
%doc README
%{_keyringsdir}/*.gpg


%changelog
* Sat Nov 14 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 2012.05.19-1
- initial build for Vine Linux

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.05.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.05.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 15 2013 Sandro Mani <manisandro@gmail.com> - 2012.05.19-2
- Remove empty file

* Thu Oct 10 2013 Sandro Mani <manisandro@gmail.com> - 2012.05.19-1
- Initial package
