Name:           unique3
Version:        3.0.2
Release:        2%{?_dist_release}
Summary:        Single instance support for applications
Summary(ja):    アプリケーションのシングルインスタンス支援

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        http://www.gnome.org/~ebassi/source/libunique-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gtk3-devel >= 2.90.0
BuildRequires:	gtk-doc >= 1.11

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

%package devel
Summary: Libraries and headers for Unique
Summary(ja): Unique のライブラリとヘッダ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc >= 1.11
Requires: dbus-glib-devel
Requires: gtk3-devel

%description devel
Headers and libraries for Unique.

%prep
%setup -q -n libunique-%{version}

%build
%configure --enable-gtk-doc --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/Unique-3.0.typelib

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/unique-3.0
%{_includedir}/unique-3.0/
%{_libdir}/pkgconfig/unique-3.0.pc
%{_libdir}/lib*.so
%{_datadir}/gir-1.0/Unique-3.0.gir

%changelog
* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-2
- rebuild with VineSeed environment

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- initial build for Vine Linux

