Name:           unshield
Version:        1.0
Release:        1%{?_dist_release}
Summary:        Extract CAB files from InstallShield installers

Group:          Applications/Accessories
License:        MIT
URL:            https://github.com/twogood/unshield

Source0:        https://github.com/twogood/unshield/archive/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  zlib-devel

%description
This tool allows the extraction of InstallShield format cabinet files (which
are different from Microsoft cabinet files). It was initially developed as a
part of the SynCE project to aid with installing applications for Pocket PC
devices, which were often contained in InstallShield installers, but these days
that is rather less likely to be the primary use case.

%package devel
Summary:        Files needed for software development with %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The %{name}-devel package contains the files needed for development with
%{name}

%prep
%setup -q

%build
./bootstrap
%configure --disable-static --disable-rpath
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libunshield.{,l}a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/unshield
%{_mandir}/man1/unshield.1.gz
%{_libdir}/libunshield.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libunshield.so
%{_includedir}/libunshield.h
%{_libdir}/pkgconfig/libunshield.pc

%changelog
* Tue Oct 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.0-1
- updated to 1.0
- updated URL
- moved to Applications/Accessories Group

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.6-2
- rebuild with Vine6 environment

* Wed Jun 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.6-1
- initial build for Vine Linux


* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.6
- version upgrade

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.1-2
- bump for pkgconfig

* Tue Jun 17 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.1-1
- version upgrade

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5-7
- rebuild for buildid

* Thu Nov 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.5-6
- fix #212516 (thanks to Hans de Goede)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5-5
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.5-4
- FE6 rebuild

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.5-3
- Rebuild for Fedora Extras 5

* Tue Sep 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.5-2
- add dist
- change devel Require from V to V-R

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.5-1
- Initial Release
