Name:		usb-modeswitch
Version:	2.4.0
Release:        1%{?_dist_release}
Summary:	USB Modeswitch gets 4G cards in operational mode
Summary(ja):	USB Modeswitch は 4G カードのモード変更ツールです
Group:		Applications/System
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/

Vendor:         Project Vine
Distribution:   Vine Linux

Source0: 	http://www.draisberghof.de/%{name}/%{name}-%{version}.tar.bz2
Patch0:         usb-modeswitch-dir.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libusb1-devel
Obsoletes:      usb_modeswitch < 1.1.2
Provides:       usb_modeswitch = %{version}-%{release}
Requires:	usb-modeswitch-data
Requires:	tcl

%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-devices and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

%prep
%setup -q
%patch0 -p1 -b .dir

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/lib/udev/

install -p -m 755 usb_modeswitch $RPM_BUILD_ROOT%{_bindir}/
install -p -m 644 usb_modeswitch.conf $RPM_BUILD_ROOT%{_sysconfdir}/
gzip -9c usb_modeswitch.1 > usb_modeswitch.1.gz && install -m 644 usb_modeswitch.1.gz $RPM_BUILD_ROOT%{_datadir}/man/man1
install -p -m 755 usb_modeswitch.tcl $RPM_BUILD_ROOT/lib/udev/usb_modeswitch


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%license COPYING
%doc README* ChangeLog
%{_bindir}/usb_modeswitch
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
/lib/udev/usb_modeswitch
%{_mandir}/man1/usb_modeswitch.1.gz

%changelog
* Sat Jul 16 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.4.0-1
- new upstream release.

* Thu Apr 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-1
- new upstream release

* Sat Feb 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 	1.0.5-1
- initial build for Vine Linux

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.5-1
- new upstream 1.0.5 release

* Sun Aug 02 2009 Robert M. Albrecht <fedora@romal.de> 1.0.2-1
- new upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Robert M. Albrecht <fedora@romal.de> 0.9.6-1
* new upstream release

* Sat Dec 13 2008 Robert M. Albrecht <fedora@romal.de> 0.9.5-1
* new upstream release

* Sat Jun 22 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-2
- Fixed some rpmlint errors
- Added german translation

* Sat Jun 22 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-1
- Update to 0.9.4
- Honor RPM_OPT_FLAGS
  
* Sat May 26 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-0.1.beta2
- First package Release

