# Basic Information
Name:		vine-rpm-helper
Version:	0.6.6
Release:	1%{?_dist_release}
License:	GPLv3
Group:		Development/Tools
URL:		http://trac.vinelinux.org/wiki/Packages/vine-rpm-helper
Source0:	http://trac.vinelinux.org/attachment/wiki/Packages/vine-rpm-helper/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Support making RPM Packages for Vine Linux
Summary(ja):	Vine Linux 向け RPM パッケージの作成を支援

# Dependency
Requires:	bzip2
Requires:	gzip
Requires:	tar
Requires:	unzip
Requires:	xz
Requires:	wget
Requires:	gettext

%description
Vine-rpm-helper support to make RPM packages for Vine Linux.

%description -l ja
vine-rpm-helper は、Vine Linux 向け RPM パッケージの作成を支援します。

%prep
%setup -q

%build
%configure --libdir=/usr/lib
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

rm ${RPM_BUILD_ROOT}/usr/bin/mkrpmfiles

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
#{_bindir}/mkrpmfiles
%{_bindir}/mkrpmspec
%{_datadir}/vine-rpm-helper
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%{_prefix}/lib/vine-rpm-helper/

%changelog
* Fri Aug 01 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6.6-1
- add --without-prefix option

* Fri Feb 15 2013 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6.5-1
- add support for perl archive which have Build.PL
- update method of CheckPkgType
- add wget and gettext to Requires

* Wed Aug 15 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6.4-1
- add prefix python where package type is Python.

* Thu Jul 05 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6.3-1
- enable vendor install for perl module.

* Thu Jan 26 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6.2-1
- update method to treat unnessesary files of perl module.

* Wed Nov 23 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.6-1
- new upstream release.
- get license, summary, url and description from python PKG-INFO. 

* Tue Nov 08 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5.1-1
- bug fix release.(fixed to treat zip archives.)
- add archivers to Requries.

* Sat Oct 15 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5-1
- new upstream release.
- add options --pkgname, --pkgversion, --help, --version .
- add manpages.

* Fri Oct 14 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5-1
- new upstream release.
- add URL

* Fri Oct 14 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.4-1
- new upstream release.
- lzma support.
- fix bugs. 

* Wed Oct 12 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.3-1
- new upstream release.
- gettexized
- plugin like systemized

* Sun Oct 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2-1
- new upstream release.

* Sun Sep 11 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1-1
- initial build for Vine Linux
