Name:           wayland
Version:        1.19.0
Release:        1%{?_dist_release}
Summary:        Wayland Compositor Infrastructure
Group:          system
Distribution:   Vine Linux
Vendor:         Project Vine
Packager:       iwaim

License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen
BuildRequires:  expat-devel
BuildRequires:  graphviz
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  meson
BuildRequires:  pkgconfig(libffi)
BuildRequires:  xmlto

Provides:       %{name}-common = %{version}-%{release}

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C
library implementation of that protocol. The compositor can be a standalone
display server running on Linux kernel modesetting and evdev input devices,
an X application, or a wayland client itself. The clients can be traditional
applications, X servers (rootless or fullscreen) or other display servers.


%package devel
Summary: Development files for wayland
Group: programming
Requires: libwayland-client%{?_isa} = %{version}-%{release}
Requires: libwayland-cursor%{?_isa} = %{version}-%{release}
Requires: libwayland-egl%{?_isa} = %{version}-%{release}
Requires: libwayland-server%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary: Wayland development documentation
Group: documentation
BuildArch: noarch
%description doc
Wayland development documentation


%package -n libwayland-client
Summary: Wayland client library
Group: system
%description -n libwayland-client
Wayland client library


%package -n libwayland-cursor
Summary: Wayland cursor library
Group: system
%description -n libwayland-cursor
Wayland cursor library


%package -n libwayland-egl
Summary: Wayland egl library
%description -n libwayland-egl
Wayland egl library


%package -n libwayland-server
Summary: Wayland server library
Group: system
%description -n libwayland-server
Wayland server library


%debug_package


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files devel
%{_bindir}/wayland-scanner
%{_includedir}/wayland-*.h
%{_libdir}/pkgconfig/wayland-*.pc
%{_libdir}/libwayland-*.so
%{_datadir}/aclocal/wayland-scanner.m4
%dir %{_datadir}/wayland
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%{_mandir}/man3/*.3*

%ifarch x86_64
%files doc
%doc README
%{_datadir}/doc/wayland/
%else
%exclude %{_datadir}/doc/wayland/*
%endif

%files -n libwayland-client
%{_libdir}/libwayland-client.so.0*


%files -n libwayland-cursor
%{_libdir}/libwayland-cursor.so.0*


%files -n libwayland-egl
%license COPYING
%{_libdir}/libwayland-egl.so.1*


%files -n libwayland-server
%{_libdir}/libwayland-server.so.0*


%changelog
* Sat Mar 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.19.0-1
- new upstream release.

* Sun Jan  6 2013 IWAI, Masaharu <iwai@alib.jp> 1.0.3-1
- initial build for Vine Linux
- drop Obsoletes: wayland-common

* Wed Jan 02 2013 Adam Jackson <ajax@redhat.com> 1.0.3-1
- wayland 1.0.3

* Tue Oct 23 2012 Adam Jackson <ajax@redhat.com> 1.0.0-1
- wayland 1.0

* Thu Oct 18 2012 Adam Jackson <ajax@redhat.com> 0.99.0-1
- wayland 0.99.0

* Tue Sep 04 2012 Adam Jackson <ajax@redhat.com> 0.95.0-1
- wayland 0.95.0 (#843738)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.89.0-2.20120424
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 24 2012 Richard Hughes <rhughes@redhat.com> - 0.89.0-1
- Update to a git snapshot based on 0.89.0

* Sat Feb 18 2012 Thorsten Leemhuis <fedora@leemhuis.info> - 0.85.0-1
- update to 0.85.0
- adjust license, as upstream changed it to MIT
- update make-git-snapshot.sh to current locations and scheme
- drop common package, not needed anymore
- compositor is now in a separate package, hence reduce BuildRequires to what
  is actually needed (a lot less) and adjust summary
- make usage of a git checkout in spec file optional
- a %%{?_isa} to requires where it makes sense

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.20101221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1-0.5.20101221
- Rebuild for new libpng

* Wed Jun 15 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.1-0.4.20101221
- Install real compositor binary instead of a libtool wrapper

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20101221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101221
- Today's git snap

* Tue Nov 23 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101123
- Today's git snap
- Fix udev rule install (#653353)

* Mon Nov 15 2010 Adam Jackson <ajax@redhat.com> 0.1-0.1.20101111
- Initial packaging
