# lua54 is not supported
%bcond_with lua

%define _unpackaged_files_terminate_build 1
%define _udevrulesdir /lib/udev/rules.d/

Summary: 	Network traffic analyzer
Summary(ja):	ネットワークトラフィック解析プログラム
Name: 		wireshark
Version:	3.4.7
Release: 	1%{_dist_release}
Group: 		network,admin-tools
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki

License: 	GPLv2
URL: 		https://www.wireshark.org/
Source0:	https://1.as.dl.wireshark.org/src/%{name}-%{version}.tar.xz
Source1:	wireshark.pam
Source2:	wireshark.console
Source4:	90-wireshark-usbmon.rules
Patch2:		wireshark-0002-Customize-permission-denied-error.patch
Patch3:		wireshark-0003-fix-string-overrun-in-plugins-profinet.patch
Patch4:		wireshark-0004-Restore-Fedora-specific-groups.patch
Patch5:		wireshark-0005-Fix-paths-in-a-wireshark.desktop-file.patch
Patch6:		wireshark-0006-Move-tmp-to-var-tmp.patch
Patch7:		wireshark-0007-cmakelists.patch

Patch1000:	wireshark-2.0.5-path.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	libcap-devel
BuildRequires: 	net-snmp-devel >= 5.0
BuildRequires: 	net-snmp-utils >= 5.0
BuildRequires: 	zlib-devel, bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:  libelf-devel
BuildRequires:  python3-devel, python3-rpm-macros
BuildRequires:  pcre-devel
BuildRequires:  gnutls-devel
BuildRequires:  desktop-file-utils, automake, libtool
BuildRequires:  bison, flex
BuildRequires:  git
BuildRequires:  krb5-devel
BuildRequires:	libpcap-devel
%if %{with lua}
BuildRequires:	lua-devel
%endif
BuildRequires:	libnl3-devel
BuildRequires:	glib2-devel
BuildRequires:	c-ares-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qtmultimedia-devel
BuildRequires:	qt5-qtsvg-devel

Requires:	%{name}-cli = %{version}-%{release}
Requires:	usermode >= 1.37

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for wireshark. A graphical user interface is also 
included with this package.

%description -l ja
Wireshark は，UNIX 系 OS 用のネットワークトラフィック解析プログラムです．

このパッケージは，パケットキャプチャ/フィルタリングライブラリである
libpcap を使ったコマンドラインツールと，プラグイン，ドキュメント等が
収められています．GUI もこのパッケージに収められています．


%package cli
Summary:        Network traffic analyzer for CLI
Summary(ja):    CLI用ネットワークトラフィック解析プログラム
Group:          network,admin-tools

%description cli
This package contains command-line utilities, plugins, and documentation for
Wireshark.

%description cli -l ja
　このパッケージは、Wiresharkのコマンドラインユーティリティ、プラグイン、
ドキュメントを提供しています。


%package devel
Summary:        Development headers and libraries for wireshark
Summary(ja):    wiresharkを用いた開発のためのヘッダ・ライブラリ
Group:          programming
Requires:       %{name} = %{version}-%{release} glibc-devel glib2-devel

%description devel
The wireshark-devel package contains the header files, developer
documentation, and libraries required for development of wireshark scripts
and plugins.


%debug_package


%prep
%autosetup -S git


%build
%ifarch s390 s390x
export PIECFLAGS="-fPIE"
%else
export PIECFLAGS="-fpie"
%endif
# FC5+ automatic -fstack-protector-all switch
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector-strong/-fstack-protector-all}
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS -D_LARGEFILE64_SOURCE"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS -D_LARGEFILE64_SOURCE"
export LDFLAGS="$LDFLAGS -pie -fPIC"
export PATH="$PATH:/usr/kerberos/bin"

%cmake -G Ninja \
  -DCMAKE_INSTALL_BINDIR=%{_sbindir} \
  -DDISABLE_WERROR=ON \
  -DBUILD_wireshark=ON \
%if %{with lua}
  -DENABLE_LUA=ON \
%endif
  -DBUILD_mmdbresolve=OFF \
  -DBUILD_randpktdump=OFF \
  -DBUILD_androiddump=OFF \
  -DENABLE_SMI=ON \
  -DENABLE_PLUGINS=ON \
  -DENABLE_NETLINK=ON \
  -DBUILD_dcerpcidl2wrs=OFF \
  -DBUILD_sdjournal=ON \
  %{nil}

%cmake_build


%install
%cmake_install

# Install python stuff.
mkdir -p %{buildroot}%{python3_sitelib}
install -m 644 tools/wireshark_be.py tools/wireshark_gen.py  %{buildroot}%{python3_sitelib}

desktop-file-validate %{buildroot}%{_datadir}/applications/wireshark.desktop
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 image/wsicon48.png %{buildroot}/%{_datadir}/pixmaps/wireshark.png

#install devel files (inspired by debian/wireshark-dev.header-files)
install -d -m 0755  %{buildroot}%{_includedir}/wireshark
IDIR="%{buildroot}%{_includedir}/wireshark"
mkdir -p "${IDIR}/epan"
mkdir -p "${IDIR}/epan/crypt"
mkdir -p "${IDIR}/epan/ftypes"
mkdir -p "${IDIR}/epan/dfilter"
mkdir -p "${IDIR}/epan/dissectors"
mkdir -p "${IDIR}/epan/wmem"
mkdir -p "${IDIR}/wiretap"
mkdir -p "${IDIR}/wsutil"
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 644 %{_vpath_builddir}/config.h epan/register.h "${IDIR}/"
install -m 644 cfile.h file.h           "${IDIR}/"
install -m 644 ws_symbol_export.h       "${IDIR}/"
install -m 644 epan/*.h                 "${IDIR}/epan/"
install -m 644 epan/crypt/*.h           "${IDIR}/epan/crypt"
install -m 644 epan/ftypes/*.h          "${IDIR}/epan/ftypes"
install -m 644 epan/dfilter/*.h         "${IDIR}/epan/dfilter"
install -m 644 epan/dissectors/*.h      "${IDIR}/epan/dissectors"
install -m 644 epan/wmem/*.h            "${IDIR}/epan/wmem"
install -m 644 wiretap/*.h              "${IDIR}/wiretap"
install -m 644 wsutil/*.h               "${IDIR}/wsutil"
install -m 644 ws_diag_control.h        "${IDIR}/"
install -m 644 %{SOURCE4}               %{buildroot}%{_udevrulesdir}

# install support files for usermode, gnome and kde
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/wireshark
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/wireshark
mkdir -p %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/wireshark

# Remove libtool archives and static libs
#find %{buildroot} -type f -name "*.la" -delete

# Remove idl2wrs
#rm -f %{buildroot}%{_sbindir}/idl2wrs

mkdir -p html
cp -f %{buildroot}%{_datadir}/doc/%{name}/* ./html/
rm -rf %{buildroot}%{_datadir}/doc/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre cli
getent group wireshark >/dev/null || groupadd -r wireshark
getent group usbmon >/dev/null || groupadd -r usbmon

%post cli
# skip triggering if udevd isn't even accessible, e.g. containers or
# rpm-ostree-based systems
if [ -S /run/udev/control ]; then
    /usr/bin/udevadm trigger --subsystem-match=usbmon
fi


%files
%{_datadir}/appdata/wireshark.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/wireshark.xml
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/wireshark
%{_sbindir}/wireshark
%config(noreplace) %{_sysconfdir}/security/console.apps/wireshark
%config(noreplace) %{_sysconfdir}/pam.d/wireshark
%{_mandir}/man1/wireshark.*

%files cli
%defattr(-,root,root)
%license COPYING
%doc AUTHORS ChangeLog INSTALL NEWS README*
%{_sbindir}/capinfos
%{_sbindir}/captype
%attr(0750, root, wireshark) %caps(cap_net_raw,cap_net_admin=ep) %{_sbindir}/dumpcap
%{_sbindir}/editcap
%{_sbindir}/mergecap
%{_sbindir}/randpkt
%{_sbindir}/rawshark
%{_sbindir}/sharkd
%{_sbindir}/reordercap
%{_sbindir}/text2pcap
%{_sbindir}/tshark
%{_udevrulesdir}/90-wireshark-usbmon.rules
%{python3_sitelib}/*
%{_libdir}/lib*.so.*
%{_libdir}/wireshark
%exclude %{_libdir}/wireshark/cmake

%dir %{_datadir}/%{name}
%if %{with lua}
%config(noreplace) %{_datadir}/%{name}/init.lua
%{_datadir}/%{name}/console.lua
%{_datadir}/%{name}/dtd_gen.lua
%endif
%{_datadir}/%{name}/AUTHORS-SHORT
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/*.css
%{_datadir}/%{name}/cfilters
%{_datadir}/%{name}/colorfilters
%{_datadir}/%{name}/dfilter_macros
%{_datadir}/%{name}/dfilters
%{_datadir}/%{name}/diameter
%{_datadir}/%{name}/dtds
%{_datadir}/%{name}/enterprises.tsv
#{_datadir}/%{name}/help
%{_datadir}/%{name}/manuf
%{_datadir}/%{name}/pdml2html.xsl
%{_datadir}/%{name}/profiles
%{_datadir}/%{name}/radius
%{_datadir}/%{name}/services
%{_datadir}/%{name}/smi_modules
%{_datadir}/%{name}/tpncp
%{_datadir}/%{name}/wimaxasncp
%{_datadir}/%{name}/wka
%exclude %{_mandir}/man1/wireshark.*
%{_mandir}/man*/*

%files devel
%doc doc/README.* ChangeLog
%{_includedir}/wireshark
%{_libdir}/lib*.so
%{_libdir}/wireshark/cmake
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jul 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.7-1
- new upstream release.

* Fri Jun 11 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.6-1
- new upstream release.

* Sun May 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.5-1
- new upstream release.
- dropped Patch8: fixed in upstream.

* Wed Mar 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.4-1
- new upstream release.
- dropped update-desktop-database and ldconfig scriptlets.
- imported Patch8 from rawhide.

* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.3-1
- new upstream release.

* Thu Dec 24 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.2-1
- new upstream release.

* Thu Dec 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4.1-1
- new upstream release.
- updated Patch6.

* Mon Aug 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.6-1
- new upstream release.

* Sat Mar 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.2-1
- new upstream release.
- updated patches.

* Sat Nov 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.6-1
- new upstream release.
- added a subpackage "wireshark-cli".

* Sat Oct 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.5-1
- new upstream release.
- dropped Patch1.
- updated Patch2-3 and 6.
- imported Patch7 from rawhide.
- switched buildsystem to cmake and ninja.

* Sat Mar 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.4.5-1
- new upstream release.
- dropped Patch5.
- renumbered Patch4 to Patch1000.
- imported Patch1-6 from rawhide.

* Sun Jul 31 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.5-1
- new upstream release
- update Patch4 (wireshark-2.0.5-path.patch)

* Tue Jun 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.12-1
- new upstream release

* Sat Apr 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.11-1
- new upstream release

* Tue Mar 29 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.10-1
- new upstream release

* Wed Dec 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.9-1
- new upstream release

* Wed Dec 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.8-2
- rebuild with gnutls-3.4.7

* Thu Oct 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.8-1
- new upstream release (including security fix for CVE-2015-7830)

* Sun Aug 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.7-1
- new upstream release

* Thu Jun 18 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.6-1
- new upstream release

* Wed May 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.5-1
- new upstream release
  (including security fix for CVE-2015-3808,3809,3810,3811,3812,3813,3814,3815)

* Sun Mar 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.4-1
- new upstream release
  (including security fix for CVE-2015-2187,2188,2189,2190,2191,2192)

* Sat Jan 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.3-1
- new upstream release
  (including security fix for CVE-2015-0559,0560,0561,0562,0563,0564)

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release
  (including security fix for CVE-2014-8710,8711,8712,8713,8714)

* Tue Sep 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.10-1
- new upstream release

* Thu Aug 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.9-1
- new upstream release

* Fri Jun 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.8-1
- new upstream release
  (including security fix for CVE-2014-4020)

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.7-1
- new upstream release
  (including security fix for CVE-2014-2907)

* Sat Mar 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.6-1
- new upstream release
  (including security fix for CVE-2014-2281,2282,2283,2299)

* Sun Dec 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.5-1
- new upstream release

* Tue Nov 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.3-1
- new upstream release
  (including security fix for CVE-2013-6336,6337,6338,6339,6340)

* Mon Sep 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sun Jul 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release
  (including security fix for CVE-2013-4083,4920,4921,4922,4923,4924,4925,4926,4927,4929,4930,4931,4932,4944,4934,4935,4936)

* Sat Jun 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- update Patch5 (wireshark-1.10.0-lua-vine.patch)
- remove Patch3 (wireshark-nfsv4-opts.patch)

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.7-1
- new upstream release
  (including security fix for CVE-2013-2486 - 2487)

* Sun Mar 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.6-1
- new upstream release
  (including security fix for CVE-2013-2475 - 2488)

* Wed Jan 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.5-1
- new upstream release

* Tue Jan 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.4-1
- new upstream release

* Wed Oct 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.3-1
- new upstream release
  (including security fix for CVE-2012-5237 - 5240)

* Thu Aug 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release
  (including security fix for CVE-2012-4285 - 4298)

* Tue Jul 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Fri Jun 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Wed May 23 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.8-1
- new upstream release

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.7-1
- new upstream release

* Thu Jan 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.5-1
- new upstream release

* Tue Nov 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.4-1
- new upstream release

* Sat Nov 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.3-1
- new upstream release

* Thu Sep 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sun Jul 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun Jun 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.7-1
- new upstream release
  (including security fix for CVE-2011-1957,1958,1959,2174,7175)

* Sun Apr 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.6-1
- new upstream release

* Wed Mar 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-2
- rebuild with krb5-libs-1.8.2

* Wed Mar 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release
  (including security fix for CVE-2011-0538 and CVE-2011-0713)

* Sat Jan 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release
  (including security fix for CVE-2010-4538)

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-2
- rebuild with openssl-1.0.0c

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Sat Oct 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release
  (including security fix for CVE-2010-3445)

* Sun Sep 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- add Patch5 (wireshark-1.4.0-lua-vine.patch)

* Mon Aug 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.10-1
- new upstream release
  (including security fix for CVE-2010-2287 and CVE-2010-2284)

* Wed Jul 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.9-1
- new upstream release

* Tue May 25 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.8-2
- rebuilt with libpcap-1.1.1

* Sat May 08 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-1
- new upstream release
  (including security fix for CVE-2010-1455)

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.7-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.5-3
- rebuilt with python-2.6.4

* Sun Dec 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-2
- added --enable-wireshark instead of --enable-gtk2
- added BR: bison, flex

* Sat Dec 19 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.5-1
- new upstream release with security fixes (SNA/SMB/IPMI issues)

* Thu Oct 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.3-1
- new upstream release
  (includeing security fix for CVE-2009-3549,3550 and 3551)

* Wed Sep 23 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.2-2
- add BR: lua-devel (Vine 5.0 and later)

* Sat Sep 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-1
- new upstream release

* Tue Jul 21 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-1
- new upstream release

* Mon Jul 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-1
- new upstream release

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.8-1
- new upstream release

* Fri Apr 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.7-1
- new upstream release

* Mon Feb  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.6-1
- new upstream release
- used more macros

* Sat Jan 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-1
- new upstream release

* Sun Nov 09 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.4-2vl5
- rebuilt

* Mon Oct 27 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.4-1
- new upstream release with security fix
- add BuildRequires krb5-devel
- SPEC in UTF-8

* Fri Sep 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.3-1
- new upstream release with security update

* Wed Apr 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.0-1
- new upstream release with security update
- add Vendor/Distribution tag
- add BuildRequires: libcap-devel
- new versioning policy

* Tue Jan  8 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.99.7-0vl2
- modified Source3 because of desktop-file-install error, like this:
    /var/tmp/wireshark-0.99.7-root/usr/share/applications/wireshark.desktop:
    error: value "wireshark.png" for key "Icon" in group "Desktop Entry" is
    an icon name with an extension, but there should be no extension as
    described in the Icon Theme Specification if the value is not an
    absolute path
  this warning/error occurs with desktop-file-utils >= 0.14

* Wed Jan 2 2008 Satoshi MACHINO <machino@vinelinux.org> 0.99.7-0vl1
- new upstream release
- imported patch4 from fc9

* Sun Sep  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.6-0vl2
- rebuilt with libpcap-0.9.7
- added --disable-warning-as-errors to %%configure for glib-2.14.0

* Sat Jul  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.6-0vl1
- new upstream release
- rebuilt with libpcap-0.9.6
- added --with-pcap, --with-pcre

* Fri Jun  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.5-0vl2
- rebuilt with new toolchain and environment

* Thu Feb  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.5-0vl1
- new upstream release

* Mon Nov 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.4-0vl1
- new upstream release

* Wed Oct  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.3-0vl1
- initial built for Vine Linux based on Fedora 
- Obsoletes: ethereal, Provides: ethereal

* Fri Aug 25 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-fc5.1
- upgrade to 0.99.3-1
- CVE-2006-4330 Wireshark security issues (CVE-2006-4333 CVE-2006-4332 CVE-2006-4331)

* Wed Jul 26 2006 Radek Vokal <rvokal@redhat.com> 0.99.2-fc5.2
- fix BuildRequires

* Tue Jul 25 2006 Radek Vokal <rvokal@redhat.com> 0.99.2-fc5.1
- build for FC5

* Tue Jul 18 2006 Radek Vok叩l <rvokal@redhat.com> 0.99.2-1
- upgrade to 0.99.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.99.2-0.pre1.1
- rebuild

* Tue Jul 11 2006 Radek Vok叩l <rvokal@redhat.com> 0.99.2-0.pre1
- upgrade to 0.99.2pre1, fixes (#198242)

* Tue Jun 13 2006 Radek Vokal <rvokal@redhat.com> 0.99.1-0.pre1
- spec file changes

* Fri Jun  9 2006 Radek Vokal <rvokal@redhat.com> 0.99.1pre1-1
- initial build for Fedora Core
