%define ver 1.0.0
%define rel 3

Summary: The WebSocket library
Name: wslay
Version: %{ver}
Release: %{rel}%{_dist_release}
License: MIT
Group: System Environment/Libraries
URL: https://github.com/tatsuhiro-t/wslay/
# https://github.com/tatsuhiro-t/wslay/releases
Source0: %{name}-release-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: nettle-devel
BuildRequires: python-sphinx

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Wslay is a WebSocket library written in C.
It implements the protocol version 13 described in RFC 6455.

%package devel
Summary: Development libraries and headers for Wslay
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and headers for Wslay.

%prep
%setup -q -n %{name}-release-%{version}
autoreconf -i
automake
autoconf
%configure --enable-shared --disable-static

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%__rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README.rst COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README.rst COPYING
%doc doc examples
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 03 2016 Toshiaki Ara <ara_t@384.jp> 1.0.0-3
- rebuild with gcc-5.4.0

* Tue Jan  5 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.0-2
- rebuilt with nettle 3.1.1, gnutls 3.4.y

* Mon Mar 23 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.0.0-1
- Initial build.
