Summary:        Xalan XSLT processor for C
Summary(ja):    C 言語用 Xalan XSLT プロセッサ

Name:           xalan-c
Version:        1.11.0
Release:        3%{?_dist_release}

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://xml.apache.org/xalan-c/

Vendor:         Project Vine
Distribution:   Vine Linux

Source0:        http://www.us.apache.org/dist/xalan/xalan-c/sources/xalan_c-1.11-src.tar.gz
Patch0:         xalan-c-1.10.0-escaping.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  xerces-c-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

%package        devel
Summary:        Header files, libraries for %{name}
Summary(ja):    %{name} のヘッダファイルとライブラリ
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:        Documentation for Xalan XSLT processor
Summary(ja):    Xalan XSLT プロセッサのドキュメント
Group:          Documentation

%description doc
Documentation for %{name}.


%prep
%setup -q -n xalan-c-1.11/c
%patch0 -p2 -b .escaping
find -type d -name CVS -print0 | xargs -0 rm -rf
chmod 644 NOTICE

# Update config.guess for new architectures
cp /usr/lib/rpm/config.guess config.guess


%build
export XALANCROOT="${PWD}"
export XERCESROOT=%{_includedir}/xercesc/
COMMONARGS="-plinux -cgcc -xg++ -minmem"
%ifarch alpha ppc64 s390x sparc64 x86_64
./runConfigure ${COMMONARGS} -b64 -P %{_prefix} -C --libdir="%{_libdir}" -z '%{optflags}'
%else
./runConfigure ${COMMONARGS} -b32 -P %{_prefix} -C --libdir="%{_libdir}" -z '%{optflags}'
%endif
# _smp_mflags do not work
make


%install
rm -rf $RPM_BUILD_ROOT
export XALANCROOT="${PWD}"
export XERCESROOT=%{_includedir}/xercesc/
make install DESTDIR=$RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE KEYS NOTICE
%{_bindir}/Xalan
%{_libdir}/libxalan*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/libxalan*.so
%{_includedir}/xalanc/


%files doc
%defattr(-,root,root,-)
%doc readme.html xdocs samples


%changelog
* Tue Jul  5 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.11.0-3
- rebuilt with new toolchain.

* Sat Jan 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.11.0-2
- rebuilt with xerces-c 3.1.1
- added Japanese summary

* Mon Jul 14 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.11.0-1
- update to 1.11.0

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10.0-1
- initial build for Vine Linux

* Mon Feb 11 2008 Lubomir Kundrak <lkundrak@redhat.com> 1.10.0-4
- Rebuild for newer xerces-c

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> 1.10.0-3
- Adding missing includes to fix build with gcc-4.3

* Mon Nov 19 2007 Lubomir Kundrak <lkundrak@redhat.com> - 1.10.0-2
- Fix passing of compiler flags
- Bump to stable source instead of CVS snapshot
- Fixed License tag

* Thu Feb 15 2007 Till Maas <opensource till name> - 1.10.0-1
- Initial spec for fedora extras
