%define pkg_name    xclip
%define pkg_version 0.12
%define pkg_release 1%{?_dist_release}

Summary:     A command line interface to X selections ("the clipboard")
Summary(ja): Xセレクション（クリップボード）へのコマンドラインインターフェイス
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   Applications/Accessories
URL:     https://github.com/astrand/xclip
Source0: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xorg-x11-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
xclip is a command line utility that is designed to run on any system with an
X11 implementation. It provides an interface to X selections ("the clipboard")
from the command line. It can read data from standard in or a file and place it
in an X selection for pasting into other X applications. xclip can also print
an X selection to standard out, which can then be redirected to a file or
another program.

%description -l ja
xclipは、X11の実装を持つあらゆるシステム上で起動するように設計された
コマンドラインユーティリティです。Xセレクション("クリップボード")への
コマンドラインからのインターフェイスを提供します。標準入力やファイルから
データを読み込み、他のXアプリケーションにペーストするために、
Xセレクション中に内容を配置できます。xclip は、標準出力にXセレクションを
出力できますので、ファイルや他のプログラムにリダイレクトできます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
./bootstrap
%{configure} --with-x

%build
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc COPYING ChangeLog README
%{_bindir}/
%{_mandir}/


%changelog
* Mon Aug 01 2016 Toshiaki Ara <ara_t@384.jp> 0.12-1
- new package
