# Basic Information
Name:		xdotool
Version:	2.20110530.1
Release:	2%{?_dist_release}
License:	BSD
Group:		Development/Tools
URL:		http://www.semicomplete.com/projects/xdotool/
Source0:	http://semicomplete.googlecode.com/files/xdotool-2.20110530.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	simulate keyboard input and mouse activity
Summary(ja):	キーボード入力とマウス操作を模擬する

# Dependency
BuildRequires:	libX11-devel
BuildRequires:	libXinerama-devel
BuildRequires:	libXtst-devel

%description
 This tool lets you simulate keyboard input and mouse activity, move and
resize windows, etc. It does this using X11's XTEST extension and other Xlib
functions. 
 Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you
can use xdotool to switch desktops, move windows between desktops, and
change the number of desktops.

%description -l ja
　このツールを使えば、キーボード入力やウィンドウの移動やリサイズなどのマウス
の操作を模擬できます。これは、X11 の XTEST 拡張やその他の Xlib 関数を利用す
ることにより実現しています。
　追加として、ウィンドウの検索や移動、リサイズ、隠蔽およびタイトルの変更のよ
うなウィンドウの属性変更などが可能です。お使いのウィンドウマネージャーがサポ
ートしていれば、xdotool を利用してデスクトップを切り替えたり、デスクトップ間
でウィンドウを移動したり、デスクトップの番号を変更できます。

%package devel
Summary:	Development enviroment for libxdo
Summary(ja):	libxdo の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libX11-devel
Requires:	libXinerama-devel
Requires:	libXtst-devel

%description devel
Header file and libraries for using libxdo.

%description -l ja devel
libxdo を使うためのヘッダファイルとライブラリ

%prep
%setup -q

%build
%{__make} %{?_smp_mflags} PREFIX=/usr INSTALLLIB=%{_libdir} INSTALLMAN=%{_mandir}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT} PREFIX=/usr INSTALLLIB=%{_libdir} \
	INSTALLMAN=%{_mandir}

#%%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc CHANGELIST COPYRIGHT README
%{_bindir}/xdotool
%{_libdir}/libxdo.so.2
%{_mandir}/man1/xdotool.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/xdo.h
%{_libdir}/libxdo.so

%changelog
* Tue Aug 12 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.20110530.1-2
- rebuild with current VineSeed enviroment

* Thu Sep 15 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.20110530.1-1
- initial build for Vine Linux

