Name: xfce4-battery-plugin
Summary: Battery monitor for the Xfce panel
Summary(ja): Xfce パネル用 バッテリー監視プラグイン
Version: 1.0.5
Release: 2%{?_dist_release}

Group: User Interface/Desktops
License: GPLv2+ and LGPLv2+
URL: http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: http://archive.xfce.org/src/panel-plugins/%{name}/1.0/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.24.0
BuildRequires: gtk2-devel >= 2.20.0
BuildRequires: libxfce4ui-devel >= 4.8.0
BuildRequires: libxfce4util-devel >= 4.8.0
BuildRequires: xfce4-panel-devel >= 4.8.0
BuildRequires: gettext
BuildRequires: perl-XML-Parser
Requires: xfce4-panel >= 4.8.0
Requires(posttrans): gtk2
Requires(postun): gtk2

Vendor: Project Vine
Distribution: Vine Linux

%description
A battery monitor panel plugin for Xfce4, written by Nick Penwarden and
Edscott Wilson Garcia, compatible with APM and ACPI, for Linux and *BSD.

%description -l ja
Nick Penwarden と Edscott Wilson Garcia が書いた Xfce4 用のバッテリー監視パネルプラグインです。Linux と *BSD の APM と ACPI で動作します。

%prep 
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
chmod +x $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun 
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/battery.desktop

%changelog
* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.5-2
- rebuilt with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.5-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release
- remove BuildRequires: libxfcegui4-devel
- add BuildRequires: libxfce4ui-devel

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-1
- updated to 1.0.0

* Mon Jan 24 2005 UECHI Yasumasa <uechi@potaway.net> 0.2.0-0vl4
- build against Xfce 4.2

* Sat Aug 21 2004 UECHI Yasumasa <uechi@potaway.net> 0.2.0-0vl2
- build for VineSeedPlus

* Sat Aug 21 2004 UECHI Yasumasa <uechi@potaway.net> 0.2.0-0vl1
- build for VinePlus 3.0

