Name: 		xfce4-notes-plugin
Version:        1.8.0
Release: 	1%{?_dist_release}
Summary:        Memo plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 メモプラグイン

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.8/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.24.0
BuildRequires:  gtk2-devel >= 2.20.0
BuildRequires:  libxfce4util-devel >= 4.10.0
BuildRequires:  libxfce4ui-devel >= 4.10.0
BuildRequires:  xfce4-panel-devel >= 4.10.0
BuildRequires:  xfconf-devel >= 4.10.0
BuildRequires:  unique-devel >= 1.0.0
BuildRequires:  intltool perl-XML-Parser

Requires(post,postun):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The notes plugin provides you a quick way to write down a todo list,
to paste a piece of code, to leave a note to your friend, or whatever
else you had like to do with a post'it.

#'
%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_libdir}/xfce4/panel/plugins/libnotes.so*
%{_datadir}/applications/xfce4-notes.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/panel-plugins/xfce4-notes-plugin.desktop
%{_datadir}/%{name}

%changelog
* Tue Apr 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.8.0-1
- new upstream release
- remove BR: libxfcegui4-devel

* Fri Apr  3 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.7.7-4
- rebuilt with libxfcegui4 4.10.0-4

* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.7.7-3
- rebuilt with libxfce4util 4.12.1

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.7-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.7-1
- initial build for Vine Linux

