%global xfceversion 4.12
%global versnum 0.2

Name:		xfce4-pulseaudio-plugin
Version:	0.2.4
Release:	1%{?_dist_release}
Summary:	Pulseaudio plugin for Xfce4
Summary(ja):	Xfce 用の Pulseaudio プラグイン

Group: 		User Interface/Desktops
License:	GPLv2+
URL:		https://github.com/andrzej-r/xfce4-pulseaudio-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{versnum}/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	intltool
BuildRequires:	libxfce4ui-devel >= %{xfceversion}
BuildRequires:	libxfce4util-devel >= %{xfceversion}
BuildRequires:	xfce4-panel-devel >= %{xfceversion}
BuildRequires:	pulseaudio-libs-devel >= 0.9.19
BuildRequires:	glib2-devel >= 2.24.0
BuildRequires:	gtk3-devel >= 3.6.0
BuildRequires:	xfconf-devel >= 4.6.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki

%description
Pulseaudio panel plugin for Xfce Desktop Environment

%prep
%setup -q

# remove empty files
rm -f AUTHORS README

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# remove zero-length files
rm -f %{buildroot}/%{defaultdocdir}/AUTHORS
rm -f %{buildroot}/%{defaultdocdir}/README

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_datadir}/icons/hicolor/48x48/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/status/*

%changelog
* Sun Dec 20 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.2.4-1
- new upstream release

* Thu Jun 11 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.2.3-1
- new upstream release

* Fri Apr  3 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.2.2-1
- new upstream release

* Sun Mar 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.2.1-2
- Initial build for Vine Linux

* Sun Mar 08 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1
- Bug fix update

* Fri Mar 06 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sun Mar 01 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.0-1
- New package 
