Name: 		xfce4-session
Version: 	4.12.1
Release: 	1%{?_dist_release}
Summary: 	Xfce Session manager
Summary(ja):    Xfce セッションマネージャ

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://www.xfce.org/

Source0: 	http://archive.xfce.org/src/xfce/%{name}/4.12/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  chrpath
BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.84
BuildRequires:  gettext
BuildRequires:  gtk2-devel >= 2.20.0
BuildRequires:  intltool
BuildRequires:  libwnck-devel >= 2.30.0
BuildRequires: 	libxfce4ui-devel >= 4.12.1
BuildRequires: 	libxfce4util-devel >= 4.10.0
BuildRequires:  xfce4-panel-devel >= 4.10.0
BuildRequires:  xfconf-devel >= 4.10.0
BuildRequires:  libSM-devel
BuildRequires:  xorg-x11-server-utils

BuildRequires:  upower-devel >= 0.9.7
#BuildRequires: ConsoleKit-devel
BuildRequires:  polkit-devel >= 0.102
Requires:	xorg-x11-server-utils
Requires:       fortune-mod

Vendor: Project Vine
Distribution: Vine Linux

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package devel
Summary:	Development files for xfce4-session
Summary(ja):	xfce4-session の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for the Xfce Session Manager.

%package engines
Summary:	Additional engines for xfce4-session
Summary(ja):	xfce4-session 用の追加スプラッシュ画面
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description engines
Additional splash screen engines for the Xfce Session Manager.

%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static --enable-polkit --enable-upower
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

chrpath --delete $RPM_BUILD_ROOT%{_libdir}/xfce4/session/xfsm-shutdown-helper

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/session/splash-engines/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_sysconfdir}/xdg/autostart/
%config(noreplace)%{_sysconfdir}/xdg/autostart/xscreensaver.desktop
%{_sysconfdir}/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/xfce4/session
%{_libdir}/xfce4/session/splash-engines/libmice.so
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/polkit-1/actions/org.xfce.session.policy
%{_datadir}/xsessions/xfce.desktop
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/xfce4-session-4.6
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files engines
%defattr(-,root,root)
%{_libdir}/xfce4/session/balou-*-theme
%{_libdir}/xfce4/session/splash-engines/libbalou.*
%{_libdir}/xfce4/session/splash-engines/libsimple.*
%{_datadir}/themes/Default/balou/

%changelog
* Thu Mar 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.1-1
- new upstream release

* Sun Mar  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.0-1
- new upstream release

* Thu Aug 28 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.10.1-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-1
- new upstream release
- remove Patch0

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.0-2
- add BuildRequires: libSM-devel

* Tue Mar 29 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.6.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-1
- new upstream release
- built with new toolchain

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- added %%post and %%postun section

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-3vl5
- added BuildRequires: libxfce4util-devel
- added Japanese summary

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-2vl5
- applied new versioning policy
- removed *.la

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-1vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-1vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-1vl1
- new upstream version
- add fortune-mod to Requires for xfce4-tips

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-1vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-1vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-1vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-1vl2
- initial release for VineSeedPlus

