%global minor_version 0.5

Name:           xfce4-wavelan-plugin
Summary:        WaveLAN plugin for the Xfce panel
Summary(ja):    Xfce パネル用 無線 LAN プラグイン
Version:        0.5.12
Release:        1%{?_dist_release}

Group:          User Interface/Desktops
License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxfce4util-devel >= 4.3.20
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  gettext, intltool

Vendor: Project Vine
Distribution: Vine Linux

%description
A plugin for the Xfce panel that monitors a wireless LAN interface. It 
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
chmod +x $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/wavelan.desktop

%changelog
* Thu Jun 11 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.5.12-1
- new upstream release
- dropt Patch0 (unnecessary any more)

* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.5.11-2
- rebuilt with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.5.11-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.10-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.10-1
- new upstream release
- remove BuildRequires: libxfcegui4-devel, libxml2-devel
- add BuildRequires: libxfce4ui-devel

* Sun Oct 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.6-5
- add Patch0 (xfce4-wavelan-plugin-0.5.6-makefile.patch)

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5.6-4
- initial build for Vine Linux

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.6-2
- Rebuild for xfce4-panel 4.7

* Mon Dec 13 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.6-1
- Update to 0.5.6
- Drop DSO patch (no longer needed)

* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.5-3
- Add patch to fix DSO linking (#564776)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.5-1
- Update to 0.5.5

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.4-5
- Rebuild for Xfce 4.6 (Beta 3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.4-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.4-3
- Rebuild for BuildID feature 

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.4-2
- Rebuild for Xfce 4.4.1

* Sun Feb 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.4-1
- Update to 0.5.4.

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3-4
- Rebuild for Xfce 4.4.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-6
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.1-1.fc3.cw
- Initial RPM release.
