Name:		xfce4-whiskermenu-plugin		
Version:	1.5.0
Release:	4%{?_dist_release}
Summary:	An alternate application launcher for Xfce

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/1.5/%{name}-%{version}-src.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cmake
BuildRequires:	exo-devel
BuildRequires:	garcon-devel
BuildRequires:	xfce4-panel-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	gettext
Requires:	xfce4-panel
Requires:	hicolor-icon-theme
	
Vendor:         Project Vine
Distribution:   Vine Linux

%description
Alternate application launcher for Xfce. When you open it you are shown 
a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between. 
Additionally, Whisker Menu keeps a list of the last ten applications 
that you’ve launched from it

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README NEWS COPYING
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
# Type=X-XFCE-PanelPlugin is a valid extension of freedesktop.org specs, but 
# desktop-file-utils refuse to install or verify these files
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-whiskermenu.*g
%{_mandir}/man1/xfce4-popup-whiskermenu.1*

%changelog
* Thu Sep 01 2016 Toshiaki Ara <ara_t@384.jp> - 1.5.0-4
- rebuild with gcc-5.4.0

* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.5.0-3
- Initial build for Vine Linux

* Sat Feb 28 2015 Kevin Fenzi <kevin@scrye.com> 1.5.0-2
- Rebuild for Xfce 4.12

* Sun Feb 22 2015 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.0-1
- Rebuilt for new upstream release 1.5.0, fixes rhbz #1194183

* Sun Dec 28 2014 Eduardo Echeverria <echevemaster@gmail.com> - 1.4.2-1
- Updated to the 1.4.2 version

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 19 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.4.0-1
- Rebuilt for new upstream release 1.4.0

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Eduardo Echeverria <echevemaster@gmail.com> - 1.3.2-1
- Bumped to new upstream release 1.3.2

* Wed Jan 15 2014 Eduardo Echeverria <echevemaster@gmail.com> - 1.3.1-1
- Bumped to new upstream release 1.3.1

* Thu Dec 5 2013 Eduardo Echeverria <echevemaster@gmail.com> - 1.2.2-1
- Bumped to new upstream release 1.2.2

* Fri Sep 13 2013 Eduardo Echeverria <echevemaster@gmail.com> - 1.1.1-1
- Initial Packaging

