Name:		xfdashboard
Version:	0.4.0
Release:	1%{?_dist_release}
Summary:	GNOME shell like dashboard for Xfce
Summary(ja):	Xfce 向けの GNOME Shell 風ダッシュボード

Group: 		User Interface/Desktops
License:	GPLv2+
URL:		http://xfdashboard.froevel.de

Source0:	http://archive.xfce.org/src/apps/%{name}/0.4/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libwnck3-devel
BuildRequires:	clutter-devel >= 1.12
BuildRequires:	xfconf-devel >= 2.32
BuildRequires:	garcon-devel >= 0.2.0
BuildRequires:	libxfce4util-devel
BuildRequires:	libtool
BuildRequires:	gtk3-devel >= 3.2
BuildRequires:	xfconf-devel >= 4.10.0
BuildRequires:	xfce4-dev-tools
BuildRequires:	libICE-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXinerama-devel
BuildRequires:	desktop-file-utils

%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

#'
%package themes
Summary:	Themes for Xfdashboard
Summary(ja):	Xfdashboard のテーマ集
Group: 		User Interface/Desktops
BuildArch:      noarch
Requires:	%{name} = %{version}-%{release}

%description themes
Additional themes for use with Xfdashboard

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-settings.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop

%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}/bindings.xml
%{_datadir}/%{name}/preferences.ui
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_datadir}/themes/%{name}/*

%files themes
%{_datadir}/themes/%{name}-*

%changelog
* Fri Apr 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.4.0-1
- Initial build for Vine Linux

* Sun Mar 01 2015 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.9-3
- Rebuild from Xfce 4.12

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 0.3.9-2
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Sat Feb 21 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.9-1
- Updated to 0.3.9
- Translatations added

* Sat Jan 24 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.8-1
- Update to 0.3.8

* Sat Jan 17 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7
- Bugfix update to 0.3.6

* Sat Jan 17 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6
- Added libxfce4util-devel as BR for building settings manager

* Mon Jan 12 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5

* Thu Nov 27 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4
- Move additional themes provided to -themes subpackage

* Mon Oct 20 2014 Kevin Fenzi <kevin@scrye.com> 0.3.3-1
- Update to 0.3.3

* Mon Sep 08 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.2-1
- Updated to latest upstream version
- New features included

* Wed Sep 03 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.1-1
- Updated to latest upstream version

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.0-1
- Latest upstream version with bugfixes and enhancements
- Removed ChangeLog from doc

* Sun Jul 20 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.1-1
- Updated to latest upstream version

* Sat Jul 12 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-2
- Initial build for F22

* Wed Jun 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-1
- Updated to latest upstream release
- Added appdata file

* Wed Jun 04 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.92-1
- Updated to latest version
- Added application icons

* Tue May 20 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.91-1
- Fixed URL
- Updated to 0.1.91 - API change with this update
- Removed TODO
- Added BuildRequires for desktop-file-utils
- desktop file added - will show in XFCE menu
- desktop file for autostart added

* Fri May 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.90-1
- Update to 0.1.90
- multiple bug fixes and improvements

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-2
- Updated to 0.1.6
- Added xfdashboard.xml to files section

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-1
- Updated to 0.1.6

* Sat Mar 8 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.5-1
- Updated to latest release containing new enhancements

* Tue Feb 25 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-2
- Patch for enabling workspace switching added
- Upstream bug - issue#1 on github

* Mon Feb 24 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-1
- Updated to the latest upstream version
- Includes theming support (provides a default theme)

* Tue Feb 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Updated to the latest upstream version

* Mon Feb 10 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-3
- Corrected flags used for building the package
- Edited the description

* Sun Feb 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-2
- Corrected version used for packaging
- Added the doc files

* Wed Jan 29 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Initial build for Fedora
