%define pkg_name    xmonad-utils
%define pkg_version 0.1.3.3
%define pkg_release 10%{?_dist_release}

Summary:     a small collection of X utilities when running XMonad
Summary(ja): XMonadのためのXユーティリティ集
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   User Interface/Desktops
URL:     http://hackage.haskell.org

Source0: packages

Source11: xmonad-utils-0.1.3.3.tar.gz
Source12: xmonad-utils.cabal


BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: xmonad

BuildRequires: libffi-devel gmp-devel zlib-devel
BuildRequires: xorg-x11-devel
BuildRequires: ncurses-devel

Requires: haskell-platform-dep
Requires: xmonad


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
A small collection of X utilities useful when running XMonad. It includes:
- hxsel: which returns the text currently in the X selection;
- hxput: sets the value of the X paste buffer;
- hslock: a simple X screen lock;
- hmanage: an utility to toggle the override-redirect property of any window;
- hhp: a simple utility to hide the pointer, similar to unclutter.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
%ghc_pkg_init

cd %{_builddir}
for pkg in `cat %{SOURCE0}`; do
    %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
    pushd ${pkg}
        %ghc_fix_dependencies ${pkg}
        %cabal_configure2 %{name} ${pkg}
        %cabal_build
        %cabal_haddock
        %cabal_copy_resister %{name}_${pkg}
    popd
done


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache


%files
%defattr(-, root, root)
%{_bindir}/
%{_docdir}/%{name}


%changelog
* Mon Dec 17 2018 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-10
- build using ghc-8.6.3

* Wed Aug 08 2018 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-9
- build using ghc-8.4.3-2

* Fri Jul 20 2018 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-8
- build using ghc-8.4.3

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-7
- rebuild using ghc-8.4.2
- rewrite using macro

* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-6
- rebuild using ghc-8.2.2

* Thu Feb 02 2017 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-5
- rebuild using ghc-8.0.1

* Wed May 04 2016 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-4
- rebuilt

* Tue Apr 12 2016 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-3
- correct SPEC file
- rebuild under xmonad-0.12-3

* Sun Mar 06 2016 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-2
- rebuild under xmonad-0.12-2

* Sun Feb 28 2016 Toshiaki Ara <ara_t@384.jp> 0.1.3.3-1
- new package
