Name:		xmoto
Version:	0.5.11
Release:	2%{?_dist_release}
Summary:	Challenging 2D Motocross Platform Game
Summary(ja):	2D 画面のアクロバティックなモトクロスゲーム

Group:		Applications/Games
License:	GPLv2+
URL:		http://xmoto.sourceforge.net/
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/xmoto-%{version}-src.tar.gz
Source1:	xmoto.desktop
Source2:	xmoto.png
Source3:	xmoto-0.5.4-ja.po
#Patch0:		xmoto-man.patch
Patch1:		xmoto-0.3.4-Environment-cstlib.patch
#Patch2:		xmoto-0.3.4-Scene-collisioninclude.patch
Patch3:		xmoto-0.4.0-Environment-string.patch
#Patch4:		xmoto-0.4.0-DrawLib-hashmap.patch
#Patch5:		xmoto-0.4.2-initode.patch
#Patch6:		xmoto-0.4.2-opengldepth.patch
Patch7:		xmoto-0.5.0-xmargs-include.patch
Patch8:		xmoto-0.5.0-helpers-text-includes.patch
Patch9:		xmoto-0.5.0-helpers-log-include.patch
#Patch10:	xmoto-0.5.2-x86-64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	curl-devel
BuildRequires:	ode-devel
BuildRequires:	lua-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libxml2-devel
BuildRequires:	bzip2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	SDL_net-devel
BuildRequires:	libxdg-basedir-devel
Requires:	TrueType-vlgothic

Packager:	kazutaka

%description
X-Moto is a challenging 2D motocross platform game, where physics play an all
important role in the gameplay. You need to control your bike to its limit, if
you want to have a chance finishing the more difficult of the challenges.

First you'll try just to complete the levels, while later you'll compete with
yourself and others, racing against the clock.

%description -l ja
X-Moto はアクロバティックな 2D 画面のモトクロスゲームです。
このゲームでは重力を上手に利用することがとても重要になります。
また、難易度の高い面を攻略するには、バイクの特性の限界ギリギリ
までコントルールする必要があります。

最初は各面を攻略するところから始まりますが、全ての面をクリア
した後もタイムトライアルに挑戦できます。


%prep
%setup -q
#%patch
%patch1 -p0
#%patch2 -p0
%patch3 -p0
#%patch4 -p0
#%patch5 -p1
#%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
#%patch10 -p0

#fix encoding
sed -i 's/\r//' src/xmscene/Camera.cpp
sed -i 's/\r//' src/xmscene/Camera.h

#fix permissions
chmod 644 src/xmscene/Camera.*
chmod -x src/*.cpp
chmod -x src/*.h
chmod -x src/*/*.cpp
chmod -x src/*/*.h
chmod -x src/*/*/*.cpp
chmod -x src/*/*/*.h

%build
%configure --with-enable-zoom=1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor vine \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
                     --add-category X-Fedora %{SOURCE1}

# use vlgothic as default font
rm $RPM_BUILD_ROOT%{_datadir}/xmoto/Textures/Fonts/DejaVuSans.ttf 
ln -s ../../../fonts/TrueType-vlgothic/VL-PGothic-Regular.ttf $RPM_BUILD_ROOT%{_datadir}/xmoto/Textures/Fonts/DejaVuSans.ttf 

# install japanese translation
%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES
msgfmt %{SOURCE3} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/%{name}.mo

# Locale files
%find_lang %{name} %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then 
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/xmoto
%{_datadir}/xmoto
%{_datadir}/applications/vine-xmoto.desktop
%{_datadir}/icons/hicolor/48x48/apps/xmoto.png
%{_mandir}/man6/xmoto.6.gz

%changelog
* Sat Jul 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.11-2
- rebuild with gcc-5.4.0

* Sun Dec 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.11-1
- update to 0.5.11
- add BuildRequires: libxml2-devel

* Fri Jan 07 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.5.4-1
- initial build for Vine Linux based on fedora development
- add Source3: japanese translation

* Mon Dec 13 2010 Jon Ciesla <limb@jcomserv.net> 0.5.4-1
- New upstream.

* Tue May 04 2010 Jon Ciesla <limb@jcomserv.net> 0.5.3-1
- New upstream.
- Dropped upstreamed x86-64 patch.

* Mon Dec 07 2009 Jon Ciesla <limb@jcomserv.net> 0.5.2-1.1
- EVR bump for fix CVS tagging snafu.

* Sun Dec 06 2009 Howard Liberty <liberty@live.com> 0.5.2-1
- New upstream.
- Add x86-64 patch so it can be compiled in x86-64 enviroment.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Jon Ciesla <limb@jcomserv.net> 0.5.1-0
- New upstream.
- Dropped opengldepth patch, applied upstream.

* Mon Feb 23 2009 Jon Ciesla <limb@jcomserv.net> 0.5.0-6
- Patch for includes.

* Mon Feb 02 2009 Jon Ciesla <limb@jcomserv.net> 0.5.0-5
- Fix for ati crash, BZ 481485.

* Tue Jan 20 2009 Jon Ciesla <limb@jcomserv.net> 0.5.0-4
- Font requires change for BZ 480480, dejavu rename.

* Tue Dec 30 2008 Jon Ciesla <limb@jcomserv.net> 0.5.0-3
- Symlink to system font, BZ 477485.
- Dropped extension from icon in .desktop.

* Wed Dec 10 2008 Jon Ciesla <limb@jcomserv.net> 0.5.0-2
- No remaining fuzzy patches, dropping patch fuzz workaround.

* Mon Dec 01 2008 Jon Ciesla <limb@jcomserv.net> 0.5.0-1
- Update to 0.5.0.

* Wed Oct 15 2008 Hans de Goede <hdegoede@redhat.com> 0.4.2-4
- Fix crash caused by using new ode (bz 466738)

* Tue Sep 30 2008 Jon Ciesla <limb@jcomserv.net> 0.4.2-3
- Patch for new ode version.

* Fri Sep 12 2008 Jon Ciesla <limb@jcomserv.net> 0.4.2-2
- Introducted patch fuzz workaround, will fix.

* Tue Mar 18 2008 Jon Ciesla <limb@jcomserv.net> 0.4.2-1
- Update to 0.4.2.
- Dropping xmoto-man patch.

* Wed Feb 13 2008 Jon Ciesla <limb@jcomserv.net> 0.4.1-1
- Update to 0.4.1.
- Dropped subversion BR.

* Mon Feb 11 2008 Jon Ciesla <limb@jcomserv.net> 0.4.0-1
- Update to 0.4.0.
- Dropped unneeded patches.
- Added string patch, hash_map, inline(jwrdegoede) patch.
- BRed subversion.

* Tue Jan 08 2008 Jon Ciesla <limb@jcomserv.net> 0.3.4-2
- Added cstdlib, include extra tokens patches.
- GCC 4.3 rebuild.

* Thu Oct 25 2007 Jon Ciesla <limb@jcomserv.net> 0.3.4-1
- Bumped to 0.3.4.

* Mon Sep 24 2007 Jon Ciesla <limb@jcomserv.net> 0.3.3-2
- Patches from upstream to correct BZ 295981.

* Wed Aug 29 2007 Jon Ciesla <limb@jcomserv.net> 0.3.3-1
- Bumped to upstream.
- Fixed URL.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> 0.3.1-2
- License tag correction.

* Mon Jul 09 2007 Jon Ciesla <limb@jcomserv.net> 0.3.1-1
- Bumped to upstream, BZ 247445.

* Wed Jun 20 2007 Jon Ciesla <limb@jcomserv.net> 0.3.0-1
- Bumped to upstream.

* Mon Mar 19 2007 Jon Ciesla <limb@jcomserv.net> 0.2.7-1
- Bumped to upstream, fixed man issues.

* Fri Mar 16 2007 Jon Ciesla <limb@jcomserv.net> 0.2.6-2
- Bumped release, build mistake.

* Fri Mar 16 2007 Jon Ciesla <limb@jcomserv.net> 0.2.6-1
- New upstream release.
- Removed Application from .desktop.
- Spec cleanup.
- Fixed man path with patch.
- Removed X-Fedora.

* Wed Feb 28 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-1
- New upstream release
- xmoto-edit now seperate from base xmoto

* Mon Nov 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.2-2
- Added again the debuginfo package (it's working)

* Sun Nov 12 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.2-1
- New upstream release

* Mon Nov  6 2006 Jindrich Novy <jnovy@redhat.com> 0.2.0-2
- Rebuild against the new curl

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.0-1
- New upstream release

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-2
- Rebuilt for FC6

* Wed Jul  5 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-1
- Initial RPM release
