%define tarball xf86-input-aiptek
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 aiptek input driver
Summary(ja):   Xorg X11 aiptek 入力ドライバ
Name:      xorg-x11-drv-aiptek
Version:   1.4.1
Release:   9%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

# upstream patch
Patch0: xf86-input-aiptek-1.4.1-xserver-1.18.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.6
Requires:  xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 aiptek input driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/aiptek_drv.so
%{_mandir}/man4/aiptek.4*

%changelog
* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-9
- rebuild with xserver-1.18.3
- add Patch0 (xf86-input-aiptek-1.4.1-xserver-1.18.patch)

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-8
- rebuild with xserver-1.17.2

* Sat Nov 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-7
- rebuild with xserver-1.16.2

* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-6
- rebuild with xserver-1.15.2

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-5
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-4
- rebuild with xserver-1.14-1

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-3
- rebuild with xserver-1.12.0

* Tue Nov 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-2
- rebuild with xserver-1.11.1.902

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sat May 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- delete Patch0

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.1-3
- rebuild with xserver-1.10.0
- add Patch0 (xf86-input-aiptek_git20101202.patch)

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.1-2
- rebuild with xserver-1.9.2

* Tue Aug 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.1-1
- new upstream release

* Tue Dec 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.0-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new upstream release

* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-1
- initial build for Vine Linux

* Thu Mar 20 2008 Adam Jackson <ajax@redhat.com> 1.1.1-1
- aiptek 1.1.1

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.0.1-5
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.0.1-4
- Update BuildRequires and Requires.

* Tue Feb 20 2007 Adam Jackson <ajax@redhat.com> 1.0.1-3
- ExclusiveArch -> ExcludeArch
- Don't own directories already owned by Xorg

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-2
- rebuild

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-1
- Bump to 1.0.1 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.0.5-1
- Updated xorg-x11-drv-aiptek to version 1.0.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.4-1
- Updated xorg-x11-drv-aiptek to version 1.0.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.2-1
- Updated xorg-x11-drv-aiptek to version 1.0.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-aiptek to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.
* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for aiptek input driver generated automatically
  by my xorg-driverspecgen script.
