%define tarball xf86-video-glint
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

# FIXME: DRI support for glint is more or less nonfunctional and unlikely to
# ever be fixed.
%define with_dri        1

Summary:   Xorg X11 glint video driver
Summary(ja):   Xorg X11 glint ビデオドライバ
Name:      xorg-x11-drv-glint
Version:   1.2.8
Release:   7%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   glint.xinf

Patch0:		xf86-video-glint-1.2.8-remove-mibstore.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.6
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  hwdata
Requires:  xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 glint video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .mibstore

%build
%configure --disable-static \
		   --enable-xaa=no \
%if ! %{with_dri}
           --disable-dri
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/glint_drv.so
%{_datadir}/hwdata/videoaliases/glint.xinf
%{_mandir}/man4/glint.4*

%changelog
* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-7
- rebuild with xserver-1.18.3

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-6
- rebuild with xserver-1.17.2

* Sat Nov 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-5
- rebuild with xserver-1.16.2

* Thu Jul 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-4
- rebuild with xserver-1.15.2

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-3
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-2
- rebuild with xserver-1.14.1
- add Patch0 (xf86-video-glint-1.2.8-remove-mibstore.patch)

* Fri Jul 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.7-2
- rebuild with xserver-1.12.0

* Sat Mar 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.7-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.6-1
- new upstream release

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.5-3
- rebuild with xserver-1.10.0

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.5-2
- rebuild with xserver-1.9.2

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.5-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-2
- rebuild with xserver-1.8rc

* Tue Dec 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-1
- new upstream release

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-1
- new upstream release

* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- initial build for Vine Linux

* Thu Mar 20 2008 Dave Airlie <airlied@redhat.com> 1.2.0-1
- Latest upstream release

* Tue Mar 11 2008 Dave Airlie <airlied@gmail.com> 1.1.1-9
- pciaccess conversion

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.1-8
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.1.1-7
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.1.1-6
- Update Requires and BuildRequires.  Disown the module directories.  Add
  Requires: hwdata.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.1.1-5
- ExclusiveArch -> ExcludeArch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-4
- Re-enable with_dri, as --disable-dri builds are broken (fdo#7405)

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-3
- Added with_dri conditionalization, defaulted to DRI being disabled.
- Added "BuildRequires: libdrm-devel >= 2.0-1" for (#192358).
- Added "BuildRequires: mesa-libGL-devel >= 6.4-4".
- Bumped sdk dep to pick up proto-devel indirectly.

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1
- Update to 1.1.1 from 7.1RC1.

* Wed Feb 22 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.3-2
- Install glint.xinf, which was inadvertently left out of packaging (#182502)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.3-1
- Updated xorg-x11-drv-glint to version 1.0.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.2-1
- Updated xorg-x11-drv-glint to version 1.0.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated xorg-x11-drv-glint to version 1.0.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-glint to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to i386, alpha

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for glint video driver generated automatically
  by my xorg-driverspecgen script.
