%define tarball xf86-input-joystick
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 joystick input driver
Summary(ja):   Xorg X11 joystick 入力ドライバ
Name:      xorg-x11-drv-joystick
Version:   1.6.3
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.6
BuildRequires: xorg-x11-proto-devel >= 7.2-10

Requires: xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 joystick input driver.


%package devel
Summary:	Development Package for Xorg X11 joystick input driver
Summary(ja):	Xorg X11 joystick 入力ドライバの開発パッケージ
Group:		Development/System
Requires:	%{name} = %{version}-%{release}

%description devel
Development Package for Xorg X11 joystick input driver



%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/joystick_drv.so
%{_mandir}/man4/joystick.4*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xorg/joystick-properties.h
%{_libdir}/pkgconfig/xorg-joystick.pc


%changelog
* Fri Feb 16 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.6.3-1
- update to 1.6.3
- build with xserver-1.18.3

* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-6
- rebuild with xserver-1.18.3

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-5
- rebuild with xserver-1.17.2

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-4
- rebuild with xserver-1.16.2

* Thu Jul 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-3
- rebuild with xserver-1.15.2

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-2
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with xserver-1.11.1.902

* Sat May 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- delete Patch0

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-5
- rebuild with xserver-1.10.0
- add Patch0 (xf86-input-joystick_git20101216.patch)

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-4
- rebuild with xserver-1.9.2

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-2
- rebuild with xserver-1.8rc

* Sun Mar 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-1
- Initial build for Vine Linux

