%global tarball xf86-video-modesetting
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Summary:   Xorg X11 modesetting video driver
Name:      xorg-x11-drv-modesetting
Version:   0.9.0
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

# all X hw drivers aren't built on s390 - no need for separate bug
ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.10.99.902
BuildRequires: libX11-devel
BuildRequires: libdrm-devel
BuildRequires: libXext-devel
BuildRequires: eudev-libudev-devel

Requires: hwdata
Requires: xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 modesetting video driver - basic modesetting fallback driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/modesetting_drv.so
%{_mandir}/man4/modesetting.4*
%doc COPYING README

%changelog
* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.0-1
- rebuild with xserver-1.16.2

* Thu Jul 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-3
- rebuild with xserver-1.15.2

* Tue Jun 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-2
- change BuildRequires: eudev-libudev-devel instead of libudev-devel

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.0-1
- new upstream release

* Mon Oct 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.0-1
- new upstream release

* Fri Jul 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-2
- rebuild with xserver-1.12.0

* Sat Mar 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build for Vine Linux


* Fri Feb 24 2012 Dave Airlie <airlied@redhat.com> 0.2.0-1
- Update to new upstream - fixes pitch issues

* Mon Feb 20 2012 Dave Airlie <airlied@redhat.com> 0.1.0-3
- add build requires, fix tab/space, fix description line

* Mon Feb 20 2012 Dave Airlie <airlied@redhat.com> 0.1.0-2
- initial review comments 1

* Thu Feb 16 2012 Dave Airlie <airlied@redhat.com> 0.1.0-1
- initial import
