Summary: X.Org X11 xkb utilities
Summary(ja): X.Org X11 xkb ユーティリティ
Name: xorg-x11-xkb-utils
Version: 7.7
Release: 5%{?_dist_release}
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org

# use the macro so the doc dir is changed automagically
%define xkbutils_version 1.0.4
Source0: ftp://ftp.x.org/pub/individual/app/xkbutils-%{xkbutils_version}.tar.bz2
Source1: ftp://ftp.x.org/pub/individual/app/xkbcomp-1.3.1.tar.bz2
Source2: ftp://ftp.x.org/pub/individual/app/xkbevd-1.1.4.tar.bz2
Source3: ftp://ftp.x.org/pub/individual/app/xkbprint-1.0.4.tar.bz2
Source4: ftp://ftp.x.org/pub/individual/app/setxkbmap-1.3.1.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: libxkbfile-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel >= 1.0.5
BuildRequires: libXt-devel
BuildRequires: libXext-devel
BuildRequires: libXpm-devel
BuildRequires: bison
BuildRequires: flex
Provides: setxkbmap, xkbcomp, xkbevd, xkbprint, xkbutils
Obsoletes: XFree86

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
X.Org X11 xkb utilities

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4

%build
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRCASECMP"
for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
    pushd $pkg-*
    %configure
    make
    popd
done

%install
rm -rf $RPM_BUILD_ROOT
for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
    pushd $pkg-*
    make install DESTDIR=$RPM_BUILD_ROOT
    popd
done
rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/xkbcomp.pc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc xkbutils-%{xkbutils_version}/AUTHORS xkbutils-%{xkbutils_version}/COPYING xkbutils-%{xkbutils_version}/INSTALL
%doc xkbutils-%{xkbutils_version}/NEWS xkbutils-%{xkbutils_version}/README xkbutils-%{xkbutils_version}/ChangeLog
%{_bindir}/setxkbmap
%{_bindir}/xkbbell
%{_bindir}/xkbcomp
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_mandir}/man1/setxkbmap.1*
%{_mandir}/man1/xkbcomp.1*
%{_mandir}/man1/xkbevd.1*
%{_mandir}/man1/xkbprint.1*
%{_mandir}/man1/xkbbell.1*
%{_mandir}/man1/xkbvleds.1*
%{_mandir}/man1/xkbwatch.1*

%changelog
* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-5
- xkbcomp-1.3.1

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-4
- setxkbmap-1.3.1
- xkbevd-1.1.4
- xkbprint-1.0.4

* Sat Nov 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-3
- xkbcomp-1.3.0

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-2
- xkbevd-1.1.3

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-1
- xkbutils-1.0.4

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-4
- xkbcomp-1.2.4
- setxkbmap-1.3.0

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-3
- xkbcomp-1.2.3

* Sun May 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-2
- delete Obsoletes: xorg-x11

* Sat Jan 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-1
- xkbprint-1.0.3

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-3
- xkbevd-1.1.2
- add BuildRequires: bison, flex

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-2
- xkbutils-1.0.3
- xkbcomp-1.2.0
- xkbevd-1.1.1
- setxkbmap-1.2.0

* Fri Nov 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.5-1
- xkbutils-1.0.2
- xkbcomp-1.1.1
- xkbevd-1.1.0
- xkbprint-1.0.2
- setxkbmap-1.1.0

* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-2
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-1
- xkbcomp 1.0.5

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2-1
- new versioning policy

* Sun Jan 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2-0vl1
- initial build for Vine Linux

* Thu Aug 23 2007 Adam Jackson <ajax@redhat.com> - 7.2-3
- Rebuild for ppc toolchain bug

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 7.2-2
- rebuild for toolchain bug

* Tue Jul 24 2007 Adam Jackson <ajax@redhat.com> 7.2-1
- setxkbmap 1.0.4
- Arbitrary version number bump, to match X.org release numbering.  Why not.

* Mon Jan 08 2007 Adam Jackson <ajax@redhat.com> 1.0.2-3
- From OLPC: jam -DHAVE_STRCASECMP into CFLAGS to make xkbcomp (and therefore
  X server startup) slightly less painfully slow.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-2
- Added xkbutils_version macro, which can be used in the Version field
  in the future, to help prevent accidental bumping of the package version.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.2-1
- Update setxkbmap, xkbevd, and xkbcomp

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default.

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Change from "Conflicts" to "Obsoletes: XFree86, xorg-x11" for upgrades.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated to xkbutils-0.99.1, setxkbmap-0.99.2, xkbcomp-0.99.1, xkbevd-0.99.2,
  xkbprint-0.99.1 from X11R7 RC2.

* Thu Nov 10 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Updated xkbutils to version 0.99.0 from X11R7 RC1.  The upstream tarball
  changed, but the version stayed the same.  <sigh>
- Updated setxkbmap, xkbcomp, xkbevd, xkbprint.
- Change manpage location to 'man1x' in file manifest.
- Iterate over packages with for loop instead of serialized code duplication.

* Wed Oct 05 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Use Fedora-Extras style BuildRoot tag.
- Update BuildRequires to use new library package names.
- Tidy up spec file a bit.

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
