%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.90
%endif

Summary:	An X Window System utility for monitoring system resources.
Summary(ja):	X Window System のシステムリソースモニタ
Name: 		xosview
Version: 	1.16
Release: 	2%{?_dist_release}

Group:		Applications/System
# The netbsd/swapinternal.{cc,h} source files are BSD only (with 
# advertising), but neither file is used in the linux version of 
# xosview.  Instead, the source files used are linux/swapmeter.{cc,h}, 
# both of which fall under the GPL. All other files are either GPL 
# based, or can fall under either the BSD or GPL copyright.
License: GPL+
URL:            http://www.pogo.org.uk/~mark/xosview/
Source0:        http://www.pogo.org.uk/~mark/xosview/releases/xosview-%{version}.tar.gz
# An old png file is being used for the icon.  It is located at:
Source1:        http://roxos.sunsite.dk/dev-contrib/guido/XOsview.png
Patch0:         xosview-1.11-app-def.patch
Patch1:         xosview-aarch64.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root
# XXX ia64 needs porting work
ExcludeArch: alpha ia64 sparc

BuildRequires: libX11-devel
BuildRequires: libXpm-devel
%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif
Requires: xorg-x11-fonts-misc

%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.

%description -l ja
xosview は，メモリ・CPU の使用率やシステム負荷など，現在のシステムの
状態をグラフで表示するユーティリティです．xosview は X Window System
上で動作します．


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%{__make} %{?_smp_mflags} OPTFLAGS="%{optflags}" 

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=OS Resource Viewer
Name[ja]=OS リソースビューア
Comment=
Exec=xosview
Terminal=false
Type=Application
Icon=xosview
Categories=Utility;System;
EOF


%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}   \
    %{buildroot}%{_mandir}/man1          \
    %{buildroot}%{_datadir}/icons        \
    %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/X11/app-defaults

%{__make} install PREFIX=%{buildroot}%{_prefix} INSTALL="%{__install} -p"

%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png
%{__install} -p -m 0644 -D Xdefaults %{buildroot}%{_datadir}/X11/app-defaults/XOsview
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING COPYING.GPL README README.linux TODO Xdefaults
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/%{name}.png
%{_datadir}/X11/app-defaults/XOsview
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Sep 01 2016 Toshiaki Ara <ara_t@384.jp> - 1.16-2
- rebuild with gcc-5.4.0

* Fri Apr  3 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.16-1
- updated to 1.16

* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.9.2-1
- new upstream release; new upstream location
- spec revamp based on Fedora

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.3-1
- rebuilt with xorg-x11 7.3
- fixed installed location
- added -DHAVE_SNPRINTF flags to CXXFLAGS
- spec in UTF-8

* Sun May 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.3-0vl2
- rebuilt with new toolchain

* Mon Jan  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.3-0vl1
- new upstream release
- changed %desktop_file to 1

* Wed Jul 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.2-0vl1
- new upstream release, work on kernel 2.6
- dropped Patches (which were merged into upstream)
- added BuildRequires: XOrg-devel

* Thu Mar 20 2003 IWAI Masaharu <iwai@alib.jp> 1.8.0-9vl2
- add README*, TODO and CHANGES in the document directory

* Wed Nov 27 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.0-9vl1
- based on 1.8.0-9 from Rawhide and built for Vine Linux
- built with new toolchain environment
- %%define desktop_file 0 for Vine
- the previous Vine version was 1.7.1-2vl5. The changelog was as follows:

  - Fri Mar 15 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.7.1-2vl5
  - rebuilt with glibc > 2.2

  - Wed Jul 18 2001 <sagami@vinelinux.org>
  - 1.7.1-2vl5: use %%{ix86} for _arch instead of i386 :-)

  - Tue Feb 20 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
  - 1.7.1-2vl4
  - add alpha patch (%%patch1) from Kondara
  - include alpha, again

  - Thu Jan 25 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
  - 1.7.1-2vl3
  - ExcludeArch: alpha :-P
  - added Japanese summary and description

  - Sun Nov 12 2000 MACHINO, Satoshi <machino@vinelinux.org> 1.7.1-2vl2
  - build on gcc-2.95.3
  - added patch0 for i386
  - partially used rpmmacros

  - Wed Feb 16 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 1.7.1-2vl1
  - modified spec for ppc archtecture

* Tue Sep 17 2002 Than Ngo <than@redhat.com> 1.8.0-9
- Adjust some patch files (bug #74141)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 1.8.0-7
- desktop file issue (bug #69551)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.8.0-6
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.8.0-5
- automated rebuild

* Thu Jun 20 2002 Than Ngo <than@redhat.com> 1.8.0-4
- Don't forcibly strip binaries

* Sun Jun 2 2002 Than Ngo <than@redhat.com> 1.8.0-3
- fix a bug in cpumeter (bug #64798)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 24 2002 Karsten Hopp <karsten@redhat.de> 1.8.0-1
- update to current version
- redo .proc patch
- change URLs

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 1.7.3-10
- rebuild in new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 18 2001 Than Ngo <than@redhat.com> 1.7.3-8
- xosview +net goes into hard loop (bug #57150)
- add patch for building against g++ 3
- use RPM_OPT_FLAG

* Wed Nov 14 2001 Than Ngo <than@redhat.com> 1.7.3-7
- added missing Icon in desktop file
- fixed Url

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Apr 10 2001 Phil Knirsch <pknirsch@redhat.de>
- Fix for s390 patch to actually work

* Tue Mar 20 2001 Preston Brown <pbrown@redhat.com>
- fix up .desktop entry

* Sun Feb 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fix typo

* Sun Feb 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- adjusted s390 patches

* Wed Jan 31 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 1.7.3, fixes (#11380)

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- ported to ibm s/390

* Tue Jul 25 2000 Jeff Johnson <jbj@redhat.com>
- migrate wmconfig to applnk.

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild the auto-rebuild.
- exclude alpha and i164 for now.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for 7.0

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- rebuild on i386

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
