# Basic Information
Summary:	a collection of scripts and build utilities to help create
Summary(ja):	ヘルプ作成のためのスクリプトとビルドユーティリティのコレクション
Name:		yelp-tools
Version:	40.0
Release:	1%{?_dist_release}
Group:		desktop-gnome,publishing
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

License:	GPLv2+
URL:		https://wiki.gnome.org/Apps/Yelp/Tools
%global		shortver %(echo %{version} | cut -d . -f 1)
Source0:	https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

# Dependency
BuildRequires:	meson
BuildRequires:	itstool
BuildRequires:	libxslt-devel
BuildRequires:	libxml2-devel
BuildRequires:	yelp-xsl-devel
BuildRequires:	python3-lxml
Requires:	itstool
Requires:	libxslt
Requires:	libxml2
Requires:	yelp-xsl
Requires:	python3-lxml
Requires:	mallard-rng

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. This package just
wraps things up in a developer-friendly way.

%description -l ja
yelp-tools は、 Yelp および web 向け文書の作成、管理および発行を助ける
スクリプトおよびビルドユーティリティのコレクションです。ほとんどの重た
い作業は、yelp-xsl および itstool のようなパッケージによって行われます。
このパッケージは、開発者にやさしい方法でこのような作業をラップします。


%prep
%setup -q


%build
%meson
%meson_build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%meson_install


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS README
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/yelp-tools
%{_datadir}/aclocal/yelp.m4


%changelog
* Mon Mar 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.32.2-1
- new upstream release.

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Wed Apr 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.7-1
- initial build for Vine Linux

