Summary:     The NIS daemon which binds NIS clients to an NIS domain.
Summary(ja): NIS クライアントを NIS ドメインにバインドするデーモン
Name: ypbind
Version: 1.20.5
Release: 5%{?_dist_release}
License: GPLv2
URL: http://www.linux-nis.org/
Group: System Environment/Daemons
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypbind-mt-%{version}.tar.bz2
Source1: ypbind-vine.init
Source2: nis.sh
Source100: ypbind-vine.sysconfig
Patch1: ypbind-1.11-broadcast.patch
Patch2: ypbind-1.11-gettextdomain.patch
Patch3: ypbind-mt-1.19-port-leak.patch
Patch4: ypbind-mt-1.19-log-binds.patch
Patch5: ypbind-mt-1.20.4-smartwrite.patch
Patch6: ypbind-mt-1.20.5-man-port.patch
Patch7: ypbind-mt-1.20.4-nm.patch

Patch100: ypbind-mt-1.20.5-nm-fix.patch

Epoch: 3
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-glib-devel
BuildRequires: NetworkManager-devel >= 0.7.0
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
Requires(postun): initscripts
Requires: portmap yp-tools bash

Vendor: Project Vine
Distribution: Vine Linux

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%description -l ja
Network Information Service (NIS) とは各種ネットワーク情報
(ログイン名，パスワード，ホームディレクトリ，グループ情報等) を
ネットワーク上の全マシンに提供する為のシステムです．
NIS を使うと，そのユーザのパスワードが NIS データベースに登録されて
さえいれば，NIS クライアントが動作しているどのマシンからでも
ログインすることが出来ます．NIS はかつて Sun Yellow Pages (YP) と
して広く知られていました．

このパッケージは ypbind デーモンを提供します．ypbind デーモンは
NIS クライアントを NIS ドメインにバインドします．
ypbind は，NIS クライアントプログラムが動作している全てのマシン上で
動作している必要があります．

NIS クライアントプログラム (yp-tools パッケージに含まれます) を
動作させるマシンには必ず ypbind パッケージをインストールして下さい．
NIS サーバが必要ならば，ネットワーク上の1台に ypserv パッケージを
インストールして下さい．


%prep
%setup -q -n ypbind-mt-%{version}
%patch1 -p1 -b .broadcast
%patch2 -p1 -b .gettextdomain
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .smartwrite
%patch6 -p1 -b .man-port
%patch7 -p1 -b .nm

%patch100 -p1 -b .nm-fix


%build
#configure --disable-nls --disable-dbus-nm --sbindir=%{_syssbindir}
%configure --disable-nls --sbindir=%{_syssbindir}
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initdir} \
    $RPM_BUILD_ROOT/var/yp/binding \
    $RPM_BUILD_ROOT/etc/dhcp/dhclient.d \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 etc/yp.conf $RPM_BUILD_ROOT%{_sysconfdir}/yp.conf
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/ypbind
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/dhcp/dhclient.d/nis.sh
install -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ypbind

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add ypbind


%preun
if [ "$1" = 0 ] ; then
    /sbin/service ypbind stop > /dev/null 2>&1
    /sbin/chkconfig --del ypbind
fi
exit 0


%postun
if [ "$1" -ge 1 ]; then
    /sbin/service ypbind condrestart > /dev/null 2>&1
fi
exit 0


%files 
%defattr(-,root,root)
%{_syssbindir}/ypbind
%{_mandir}/*/*
%config %{_initdir}/*
%{_sysconfdir}/dhcp/dhclient.d/*
%config(noreplace) %{_sysconfdir}/yp.conf
%config(noreplace) %{_sysconfdir}/sysconfig/ypbind
%dir /var/yp
%dir /var/yp/binding
%doc AUTHORS COPYING NEWS README THANKS TODO


%changelog
* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.20.5-5
- rebuild with VineSeed environment

* Sun Dec  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.20.5-4
- added Source100 for launching ypbind with -no-dbus option

* Mon Oct 19 2009 MATSUBAYSHI Kohji <shaolin@vinelinux.org> - 1.20.5-3
- add Patch100 to fix build w/ NetworkManager-devel >= 0.7.0
- add BuildRequires: NetworkManager-devel >= 0.7.0

* Sat Oct 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.20.5-2
- removed --disable-dbus-nm 
- added Patch5, 6 and 7 

* Mon May 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.20.5-1
- updated to 1.20.5
- added --disable-dbus-nm 
- spec in UTF-8

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.20.4-1
- new upstream release
- update ypbind-vine.init

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.19.1-0vl3
- update ypbind-vine.init
- added Patch4 and 5 from Fedora development
  * Fri Dec  1 2006 Steve Dickson <steved@redhat.com> - 3:1.19-7
  - Fixed leaking ports (bz 217874)
  - Log all server bindings (bz 217782)

* Sat May 20 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.19.1-0vl2
- use License instead of Copyright

* Tue Sep  6 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.19.1-0vl1
- new upstream release.

* Sun Jun 20 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.17.3-0vl1
- new upstream release.

* Fri Apr  9 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.17.2-0vl2
- new upstream release.

* Fri Feb  7 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> ypbind-1.12-0vl3
- build with new toolchain.

* Fri Dec 13 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> ypbind-1.12-0vl2
- build with new toolchain.

* Tue Oct 22 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> ypbind-1.12-0vl1
- updated ypbind-mt-1.12
- add some files to %%doc.
- merge patches from RedHat-8.0

* Thu Jun 06 2002 Satoshi MACHINO <machino@vinelinux.org> ypbind-1.10-0vl1
- updated ypbind-mt-1.10
- added patches from Rawhide
- fixed ypbind-vine.init
	-- changed /etc/rc.d/init.d/functions

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.7-2vl1
- based on 1.7-2 from Rawhide
- removed /etc/init.d from PreReq: line
- use better macros (%%{_syssbindir}, %%{_initdir}, %%{_sysconfdir})
- added Japanese summary and description

* Wed Nov 29 2000 Bill Nottingham <notting@redhat.com>
- set NIS domain name if it's not already set

* Mon Oct 02 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.7

* Thu Aug 31 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add again automatic fallback to broadcast

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- fix condrestart #16615
- security fix for syslog() call

* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- do not include broadcast fallback until it is more tested

* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add automatic fallback to broadcast
- add "exit 0" to the scripts

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- turn off broadcast; authconfig will enable this...
- put the pid that's actually listening to signals in the pidfile

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- prereq init.d

* Wed Jul  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- re-enable broadcasts

* Tue Jul  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix scripts

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- bump epoch

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- switch from ypbind to ypbind-mt
