%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Framework providing Desktop activity awareness
Name:		zeitgeist
Version:	0.9.16
Release:	1%{?_dist_release}

Group:		User Interface/Desktops
License:	LGPLv2+
URL:		https://launchpad.net/zeitgeist

Source0:	http://launchpad.net/%{name}/0.9/%{version}/+download/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python-devel python-rdflib
BuildRequires:	raptor2
BuildRequires:	gettext, perl-XML-Parser, intltool
BuildRequires:	gtk3-devel
BuildRequires:	sqlite3-devel
BuildRequires:	dbus-devel
BuildRequires:	xapian-core-devel
BuildRequires:	telepathy-glib-devel
BuildRequires:	json-glib-devel
BuildRequires:	vala
BuildRequires:	vala-tools

Requires:	dbus zeitgeist-datahub
Requires:	dbus-python pyxdg

Obsoletes:	zeitgeist-datahub < 0.9.10
Provides:	zeitgeist-datahub = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux

%description
Zeitgeist is a service which logs the users's activities and events (files
opened, websites visites, conversations hold with other people, etc.) and makes
relevant information available to other applications. 

Note that this package only contains the daemon, which you can use
together with several different user interfaces.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the %{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} pkgconfigdir=%{_datadir}/pkgconfig install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/xdg/autostart/zeitgeist-datahub.desktop
%{_bindir}/zeitgeist-daemon
%{_bindir}/zeitgeist-datahub
%{_libdir}/libzeitgeist-2.0.so.*
%{_libdir}/girepository-1.0/Zeitgeist-2.0.typelib
%{_datadir}/bash-completion/completions/zeitgeist-daemon
%{_datadir}/%{name}/
%{python_sitelib}/zeitgeist/
%{_datadir}/dbus-1/services/org.gnome.zeitgeist.service
%{_mandir}/man1/zeitgeist-*.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/zeitgeist-2.0
%{_libdir}/libzeitgeist-2.0.so
%{_datadir}/gir-1.0/Zeitgeist-2.0.gir
%{_datadir}/pkgconfig/zeitgeist-2.0.pc

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/zeitgeist-2.0.deps
%{_datadir}/vala/vapi/zeitgeist-2.0.vapi
%{_datadir}/vala/vapi/zeitgeist-datamodel-2.0.vapi


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.9.16-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.9.14-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.9.10-1
- new upstream release
- add BuildRequires: telepathy-glib-devel, json-glib-devel, vala, vala-tools

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.9.5-1
- new upstream release
- add BuildRequires: glib2-devel, sqlite3-devel, dbus-devel, xapian-core-devel
- remove BuildArch: noarch

* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.2-4
- rebuild with python-2.7.2

* Sun Nov 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.8.2-3
- Initial build for Vine Linux

* Sat Oct 22 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.2-2
- Revert post-install script to restart zeitgeist daemon on update

* Tue Oct 18 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.2-1
- Update to 0.8.2
- Restart the zeitgeist daemon on update (BZ #627982)

* Wed Jul 20 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.1-1
- Update to 0.8.1

* Fri May 13 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.0-1
- Update to 0.8.0
- Add a hard requires on zeitgeist-datahub

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Deji Akingunola <dakingun@gmail.com> - 0.7-1
- Update to 0.7

* Fri Aug 06 2010 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 15 2010 Deji Akingunola <dakingun@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Apr 21 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.3.1-1
- Update to 0.3.3.1 to fix datasource_registry bug (BZ #586238)

* Wed Apr 21 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.3-1
- Update to 0.3.3

* Wed Jan 20 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Thu Jan 14 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- Add missing requires (Package reviews)
- Update license tag (Package reviews)
- Update to latest release

* Tue Dec 01 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Nov 04 2009 Deji Akingunola <dakingun@gmail.com> - 0.2.1-1
- Initial Fedora packaging
