%define po_package zenity

Summary: Zenity - GNOME port of dialog
Summary(ja): Zenity - dialog の GNOME 版
Name: zenity
Version: 3.32.0
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux

License: LGPL
%global shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0: https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
Patch10: %{name}-3.30.0-i18n-help.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	webkitgtk4-devel
BuildRequires:	libnotify-devel >= 0.7.1
BuildRequires:  intltool
BuildRequires:  yelp-tools

%description
This is zenity - a rewrite of gdialog, the GNOME port of dialog
which allows you to display dialog boxes from the commandline
and shell scripts. If you understand, things are just as they
are. If you don't understand, things are just as they are.


%prep
%setup -q
%patch10 -p1 -b .i18n-help


%build
%configure
%__make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{po_package} --with-gnome

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{po_package}.lang
%license COPYING
%doc NEWS README
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man?/*


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.32.0-1
- new upstream release.

* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.0-1
- new upstream release.

* Sat Jul 16 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1.1-1
- new upstream release

* Sun Jun 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-3
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-2
- rebuild with WebKit3-2.2.0

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release
- add BuildRequires: WebKit3-gtk-devel

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires gnome-doc-utils, docbook-utils

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- dropped Patch20

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sun Oct 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- add Patch20 to make zenity grab the window focus on startup.

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Fri Jun 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- add Patch10 to fix corruption of help option message.

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Wed May 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Jul 26 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- initial build for Vine Linux

