Summary: A file compression and packaging utility compatible with PKZIP.
Summary(ja): PKZIP 互換のファイル圧縮/パッケージングユーティリティ
Name: zip
Version: 3.0
Release: 1%{?_dist_release}
License: BSD
Group: Applications/Archiving
Source: http://ftp.info-zip.org/pub/infozip/src/zip30.tar.gz
#Source1: ftp://ftp.freesoftware.com/pub/infozip/src/zcrypt29.tar.gz
URL: http://www.info-zip.org/pub/infozip/Zip.html

# This patch will probably be merged to zip 3.1
# http://www.info-zip.org/board/board.pl?m-1249408491/
Patch1: zip-3.0-exec-shield.patch
# Not upstreamed.
Patch2: zip-3.0-currdir.patch
# Not upstreamed.
Patch3: zip-3.0-time.patch
Patch4: man.patch
Patch5: zip-3.0-format-security.patch
Patch6: zipnote.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.


%description -l ja
zip プログラムはファイル圧縮/パッケージングユーティリティです．
zip は UNIX の tar と compress の組合せに似たもので，かつ
MS-DOS システムで広く使われる PKZIP と互換性があります．

zip プログラムを使ってファイルを圧縮したい場合は
zip パッケージをインストールして下さい．


%prep
#setup -q -a 1
%setup -q -n zip30
%patch1 -p1 -b .exec-shield
%patch2 -p1 -b .currdir
%patch3 -p1 -b .time
%patch4 -p1 -b .man
%patch5 -p1 -b .format-security
%patch6 -p1 -b .zipnote

%build
make -f unix/Makefile prefix=%{_prefix} "CFLAGS_NOOPT=$RPM_OPT_FLAGS -I. -DUNIX" generic_gcc %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BULD_ROOT%{_mandir}/man1

make -f unix/Makefile prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

pushd $RPM_BUILD_ROOT
for n in zipnote zipsplit zip zipcloak ; do
    chmod 755 ./usr/bin/$n
done
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%license LICENSE
%doc README CHANGES TODO WHATSNEW WHERE README.CR
%doc proginfo/algorith.txt
%{_bindir}/zipnote
%{_bindir}/zipsplit
%{_bindir}/zip
%{_bindir}/zipcloak
%{_mandir}/man1/*.1*

%changelog
* Sun May 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0-1
- new upstream release.
- replaced all patches from rawhide.

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32-4
- rebuild with VineSeed environment

* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32-3
- rebuild for Vine 6

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32-2
- spec in utf-8

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.32-1
- updated to 2.32
- added Patch2,5,6 and 8 from Fedora
  * Mon Jan 17 2005 Ivana Varekova <varekova@redhat.com> 2.3-29
  - Fix bug #142237 - problem with -d and ./files containing archives
  * Mon Dec 22 2003 Lon Hohberger <lhh@redhat.com> 2.3-19
  - Make temp file have umask 0066 mode (#112516)

* Fri Jul 06 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.3-14vl4
- rebuild with new toolchains.

* Tue Jan 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3-14vl3
- rebuild for VineSeed

* Fri Jan 07 2005 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.3-14vl2.1
- convert charcter code into euc-jp-unix.
- added a security patch for CAN-2004-1010 from Gentoo (Patch1).

* Mon Apr  7 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 2.3-14vl2
- rebuild

* Wed Dec 04 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
- based on 2.3-14 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr  2 2002 Trond Eivind Glomsr d <teg@redhat.com>
- Don't strip explicitly

* Wed Mar 13 2002 Trond Eivind Glomsr d <teg@redhat.com> 2.3-11
- Add URL

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Aug 25 2000 Bill Nottingham <notting@redhat.com>
- add encryption code (#16878)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Mon Mar 13 2000 Bill Nottingham <notting@redhat.com>
- spec file cleanups (#10143)

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix some perms

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
